/******************************************************************************
File:			XMC1000_TSE.h

	===========================================================================
	Copyright (C) 2012  Infineon Technologies AG (IFX).
	All rights reserved.
	This document contains proprietary information belonging to IFX here.
	Passing on and copying of this document, and communication of its
	contents is not permitted without prior written authorisation.
	===========================================================================

******************************************************************************/



/**************************************************************************//**
Function:       XMC1000_CalcTemperature

@requirements   None
@param          None
@return         uint32_t

Detailed description: The function is used to convert the ANATSEMON values to Kelvin.

******************************************************************************/

uint32_t XMC1000_CalcTemperature(void);

/**************************************************************************//**
Function:        TIMM1_CalcTSEVAR

@requirements   None
@param          None
@return         uint32_t

Detailed description: The function is used to convert Kelvin temperatures to ANATSEMON values.

If the convertion is not possible, the function returns 0x00

******************************************************************************/
uint32_t XMC1000_CalcTSEVAR(uint32_t temperature);


// end of code
