/**
 * @file xmc_posif_map.h
 * @date 2019-10-02
 *
 * @cond
 *****************************************************************************
 * XMClib v2.2.0 - XMC Peripheral Driver Library
 *
 * Copyright (c) 2015-2020, Infineon Technologies AG
 * All rights reserved.
 *
 * Boost Software License - Version 1.0 - August 17th, 2003
 *
 * Permission is hereby granted, free of charge, to any person or organization
 * obtaining a copy of the software and accompanying documentation covered by
 * this license (the "Software") to use, reproduce, display, distribute,
 * execute, and transmit the Software, and to prepare derivative works of the
 * Software, and to permit third-parties to whom the Software is furnished to
 * do so, all subject to the following:
 *
 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer,
 * must be included in all copies of the Software, in whole or in part, and
 * all derivative works of the Software, unless such copies or derivative
 * works are solely in the form of machine-executable object code generated by
 * a source language processor.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * To improve the quality of the software, users are encouraged to share
 * modifications, enhancements or bug fixes with Infineon Technologies AG
 * at XMCSupport@infineon.com.
 *****************************************************************************
 *
 * Change History
 * --------------
 *
 * 2015-02-20:
 *     - Initial version
 *
 * 2019-07-30:
 *     - Added support for XMC1404-Q040
 *
 * 2019-10-02:
 *     - Added POSIFx_HSD_x for POSIF HALL sampling delay input
 *
 * @endcond
 */

#ifndef XMC_POSIF_MAP_H
#define XMC_POSIF_MAP_H

#if (UC_DEVICE == XMC1301) && (UC_PACKAGE == VQFN24)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1301) && (UC_PACKAGE == VQFN40)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1301) && (UC_PACKAGE == TSSOP16)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1301) && (UC_PACKAGE == TSSOP38)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1302) && (UC_PACKAGE == VQFN24)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1302) && (UC_PACKAGE == VQFN40)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1302) && (UC_PACKAGE == TSSOP16)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1302) && (UC_PACKAGE == TSSOP28)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1302) && (UC_PACKAGE == TSSOP38)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1402) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P1_8     	0
#define POSIF1_IN0_P4_1     	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P1_7     	0
#define POSIF1_IN1_P4_2     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_P4_3     	1
#define POSIF1_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1402) && (UC_PACKAGE == VQFN40)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1402) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1402) && (UC_PACKAGE == VQFN64)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P1_8     	0
#define POSIF1_IN0_P4_1     	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P1_7     	0
#define POSIF1_IN1_P4_2     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_P4_3     	1
#define POSIF1_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1402) && (UC_PACKAGE == TSSOP38)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif

#if (UC_DEVICE == XMC1404) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P1_8     	0
#define POSIF1_IN0_P4_1     	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P1_7     	0
#define POSIF1_IN1_P4_2     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_P4_3     	1
#define POSIF1_IN2_VADC_G1BFL2	2
#endif

#if (UC_DEVICE == XMC1404) && (UC_PACKAGE == VQFN40)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#endif

#if (UC_DEVICE == XMC1404) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_VADC_G1BFL2	2
#endif


#if (UC_DEVICE == XMC1404) && (UC_PACKAGE == VQFN64)
#define POSIF0_IN0_ERU0_PDOUT0	3
#define POSIF0_IN0_P0_13    	1
#define POSIF0_IN0_P1_2     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU0_PDOUT1	3
#define POSIF0_IN1_P0_14    	1
#define POSIF0_IN1_P1_1     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU0_PDOUT2	3
#define POSIF0_IN2_P0_15    	1
#define POSIF0_IN2_P1_0     	0
#define POSIF0_IN2_VADC_G1BFL2	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P1_8     	0
#define POSIF1_IN0_P4_1     	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P1_7     	0
#define POSIF1_IN1_P4_2     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P1_6     	0
#define POSIF1_IN2_P4_3     	1
#define POSIF1_IN2_VADC_G1BFL2	2
#endif

#if (UC_DEVICE == XMC4100) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4100) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4104) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4104) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4108) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4108) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4200) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4200) && (UC_PACKAGE == VQFN48)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#endif


#if (UC_DEVICE == XMC4400) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4400) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4402) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4402) && (UC_PACKAGE == LQFP64)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4500) && (UC_PACKAGE == BGA144)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4500) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4500) && (UC_PACKAGE == LQFP144)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4502) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4504) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4504) && (UC_PACKAGE == LQFP144)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4700) && (UC_PACKAGE == BGA196)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4700) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4700) && (UC_PACKAGE == LQFP144)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF0_HSD_CCU40_ST0    0
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#define POSIF0_HSD_CCU41_ST0    0
#endif


#if (UC_DEVICE == XMC4800) && (UC_PACKAGE == BGA196)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4800) && (UC_PACKAGE == LQFP100)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_VADC_C0SR1	2
#endif


#if (UC_DEVICE == XMC4800) && (UC_PACKAGE == LQFP144)
#define POSIF0_IN0_ERU1_PDOUT0	3
#define POSIF0_IN0_P14_7    	1
#define POSIF0_IN0_P1_3     	0
#define POSIF0_IN0_VADC_G1BFL0	2
#define POSIF0_IN1_ERU1_PDOUT1	3
#define POSIF0_IN1_P14_6    	1
#define POSIF0_IN1_P1_2     	0
#define POSIF0_IN1_VADC_G1BFL1	2
#define POSIF0_IN2_ERU1_PDOUT2	3
#define POSIF0_IN2_P14_5    	1
#define POSIF0_IN2_P1_1     	0
#define POSIF0_IN2_VADC_C0SR0	2
#define POSIF1_IN0_ERU1_PDOUT0	3
#define POSIF1_IN0_P2_5     	0
#define POSIF1_IN0_P3_10    	1
#define POSIF1_IN0_VADC_G1BFL0	2
#define POSIF1_IN1_ERU1_PDOUT1	3
#define POSIF1_IN1_P2_4     	0
#define POSIF1_IN1_P3_9     	1
#define POSIF1_IN1_VADC_G1BFL1	2
#define POSIF1_IN2_ERU1_PDOUT2	3
#define POSIF1_IN2_P2_3     	0
#define POSIF1_IN2_P3_8     	1
#define POSIF1_IN2_VADC_C0SR1	2
#endif

#endif /* XMC_POSIF_MAP_H */
