REM xmc1_gen_pack.bat [<path to CMSIS pdsc>]
pushd %CD%

IF NOT "%1"=="" (
set CMSIS_PACK=%1%
) ELSE (
set CMSIS_PACK=""
)

@where /q dot.exe || ECHO The dot.exe needed for doxygen documenation generation is missing. Ensure it is installed (www.graphviz.org) and placed in your PATH. && EXIT /B
@where /q mscgen.exe || ECHO The mscgen.exe needed for doxygen documenation generation is missing. Ensure it is installed (https://www.microsoft.com/en-us/download/details.aspx?id=21138) and placed in your PATH. && EXIT /B

set PACKCHKEXE=%CD%\Utilities\PackChk.exe
set ZIPEXE=%CD%\Utilities\7z.exe
set STAGING_DIR=c:\TEMP\Staging\XMC1

set VERSION=2.12.0
set DFP_REL=
set XMCLIB_REL=
set CMSIS_REL=

del "%STAGING_DIR%\..\*.pack"
rmdir /q /s "%STAGING_DIR%"

rem Export SVN components
if NOT "%DFP_REL%"=="" (
svn export https://ifxsvnwn.muc.infineon.com/svn/mc_ae_xmc4k/xmc_peripheral_library/tags/%DFP_REL%/Infineon.XMC1000_DFP %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack
) ELSE (
xcopy "..\DFP" "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack" /E /H /I /EXCLUDE:exclude.txt
)

del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Infineon.XMC4000_DFP.pdsc"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\xmc4_gen_pack.bat"

rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4200 Application Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4200 Platform2Go"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4400 Application Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4400 Platform2Go"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4500 Application Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4500 SDRAM Application Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4300 Relax Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4500 Relax Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4500 Relax Lite Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4700 Relax Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4800 Relax Kit"
rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Boards\Infineon\XMC4800 Automation Board"

del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\*XMC4*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\*CPU_4*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\*cortex_m4*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\Board_Users_Manual_Automation_IO_Card_R1.0.pdf"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\Board_Users_Manual_Ethernet_CAN_RS485_Interface_Card_R1.0.pdf"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\Board_Users_Manual_General Purpose Drive Card_R1 0.pdf"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\Board_Users_Manual_Standard_HMI_Card_R1.0.pdf"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Documents\Infineon-PCB_Footprints_and_Symbols-XMC_48000_Relax_EtherCat_Kit_v1.0-PCB-v01_00-EN.zip"

del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Images\*XMC4*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Images\AutomationBoard.jpg"

pushd "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Flash"
for /f %%i in ('dir /a:d /b XMC4*') do rd /s /q %%i
popd
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Flash\*XMC4*"

rmdir /s /q "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Utilities"

if NOT "%XMCLIB_REL%"=="" (
svn export https://ifxsvnwn.muc.infineon.com/svn/mc_ae_xmc4k/xmc_peripheral_library/tags/%XMCLIB_REL% %STAGING_DIR%\XMClib
) ELSE (
xcopy "../XMClib" "%STAGING_DIR%/XMClib" /E /H /I /EXCLUDE:exclude.txt
)

if NOT "%CMSIS_REL%"=="" (
svn export https://ifxsvnwn.muc.infineon.com/svn/mc_ae_xmc4k/xmc_peripheral_library/tags/%CMSIS_REL% %STAGING_DIR%\CMSIS
) ELSE (
xcopy "../CMSIS" "%STAGING_DIR%/CMSIS" /E /H /I /EXCLUDE:exclude.txt
)

mkdir %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver
xcopy "%STAGING_DIR%\CMSIS\Driver\Source" "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver" /E /H /I /EXCLUDE:exclude.txt

for /d %%a in (%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver\Config\XMC4*) do rd %%a /s /q

del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver\ETH*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver\MCI*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver\USB*"
del "%STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Driver\dwc*"

mkdir %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\SVD
copy %STAGING_DIR%\CMSIS\Infineon\SVD\XMC1100.svd %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\SVD
copy %STAGING_DIR%\CMSIS\Infineon\SVD\XMC1200.svd %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\SVD
copy %STAGING_DIR%\CMSIS\Infineon\SVD\XMC1300.svd %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\SVD
copy %STAGING_DIR%\CMSIS\Infineon\SVD\XMC1400.svd %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\SVD

xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1100_series\Include %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1100_series\Include
xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1100_series\Source %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1100_series\Source

xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1200_series\Include %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1200_series\Include
xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1200_series\Source %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1200_series\Source

xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1300_series\Include %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1300_series\Include
xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1300_series\Source %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1300_series\Source

xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1400_series\Include %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1400_series\Include
xcopy /s /i %STAGING_DIR%\CMSIS\Infineon\XMC1400_series\Source %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMC1400_series\Source

mkdir %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
mkdir %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
mkdir %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\doc

cd %STAGING_DIR%\XMClib\doc
doxygen %STAGING_DIR%\XMClib\doc\xmc1lib.dox

copy %STAGING_DIR%\XMClib\inc\xmc1_* %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\src\xmc1_* %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src

copy %STAGING_DIR%\XMClib\src\xmc_acmp.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_bccu.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_can.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_ccu4.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_ccu8.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_common.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_eru.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_gpio.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_i2c.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_i2s.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_ledts.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_math.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_pau.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_posif.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_prng.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_rtc.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_spi.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_uart.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_usic.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_vadc.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src
copy %STAGING_DIR%\XMClib\src\xmc_wdt.c %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\src

copy %STAGING_DIR%\XMClib\inc\xmc_acmp.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_bccu.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_can.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_can_map.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_ccu4.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_ccu8.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_common.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_device.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_eru.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_flash.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_gpio.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_i2c.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_i2s.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_ledts.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_math.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_pau.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_posif.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_posif_map.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_prng.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_rtc.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_scu.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_spi.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_uart.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_usic.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_vadc.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_vadc_map.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc
copy %STAGING_DIR%\XMClib\inc\xmc_wdt.h %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\inc

copy %STAGING_DIR%\XMClib\doc\XMC1_Peripheral_Library.chm %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\doc\XMC1_Peripheral_Library.chm
xcopy /s %STAGING_DIR%\XMClib\doc\html %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\doc\html /i

rem Copy examples
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1100_series\GPIO\GPIO_TOGGLE %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1100_series\GPIO\GPIO_TOGGLE
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1100_series\UART\UART_TRANSMIT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1100_series\UART\UART_TRANSMIT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1100_series\VADC\VADC_BG %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1100_series\VADC\VADC_BG

xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\ANACMP\ACMP_CMP %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\ANACMP\ACMP_CMP
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\BCCU\BCCU_LED %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\BCCU\BCCU_LED
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\CCU4\CCU4_TIMER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\CCU4\CCU4_TIMER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\ERU\ERU_EXTINT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\ERU\ERU_EXTINT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\GPIO\GPIO_TOGGLE %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\GPIO\GPIO_TOGGLE
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\LEDTS\LEDTS_7_Segment_Display_Example1 %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\LEDTS\LEDTS_7_Segment_Display_Example1
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\LEDTS\LEDTS_7_Segment_Display_Example2 %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\LEDTS\LEDTS_7_Segment_Display_Example2
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\RTC\RTC_ALARM %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\RTC\RTC_ALARM
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\SPI\SPI_TRANSMIT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\SPI\SPI_TRANSMIT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\UART\UART_TRANSMIT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\UART\UART_TRANSMIT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\VADC\VADC_MEASUREMENT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\VADC\VADC_MEASUREMENT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1200_series\WDT\WDT_FEED %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1200_series\WDT\WDT_FEED

xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\ANACMP\ACMP_CMP %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\ANACMP\ACMP_CMP
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\CCU4\CCU4_TIMER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\CCU4\CCU4_TIMER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\CCU8\CCU8_TIMER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\CCU8\CCU8_TIMER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\ERU\ERU_EXTINT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\ERU\ERU_EXTINT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\FLASH\FLASH_PROGRAM %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\FLASH\FLASH_PROGRAM
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\GPIO\GPIO_TOGGLE %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\GPIO\GPIO_TOGGLE
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\MATH\MATH_SQRT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\MATH\MATH_SQRT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\RTC\RTC_ALARM %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\RTC\RTC_ALARM
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\SPI\SPI_TRANSMIT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\SPI\SPI_TRANSMIT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\UART\UART_TRANSMIT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\UART\UART_TRANSMIT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\UART\UART_SHELL %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\UART\UART_SHELL
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\VADC\VADC_MEASUREMENT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\VADC\VADC_MEASUREMENT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1300_series\WDT\WDT_FEED %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1300_series\WDT\WDT_FEED


xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\CAN\CAN_LOOPBACK_EXT_OSC %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\CAN\CAN_LOOPBACK_EXT_OSC
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\CAN\CAN_RECEIVER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\CAN\CAN_RECEIVER 
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\CAN\CAN_TRANSMITTER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\CAN\CAN_TRANSMITTER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\CCU4\CCU4_TIMER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\CCU4\CCU4_TIMER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\CCU8\CCU8_TIMER %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\CCU8\CCU8_TIMER
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\FREERTOS\FREERTOS_BLINKY %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\FREERTOS\FREERTOS_BLINKY
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\I2C\I2C_EEPROM %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\I2C\I2C_EEPROM
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\MATH\MATH_SQRT %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\MATH\MATH_SQRT
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\SCU\SCU_WAKEUP %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\SCU\SCU_WAKEUP
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\TSE\TSE_CALC_TEMPERATURE %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\TSE\TSE_CALC_TEMPERATURE
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\UART\UART_SHELL %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\UART\UART_SHELL
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\VADC\VADC_BACKGROUND %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\VADC\VADC_BACKGROUND
xcopy /s /i %STAGING_DIR%\XMClib\examples\XMC1400_series\VADC\VADC_EQUIDISTANT_SAMPLING %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Device\XMClib\examples\XMC1400_series\VADC\VADC_EQUIDISTANT_SAMPLING


%PACKCHKEXE% %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\Infineon.XMC1000_DFP.pdsc -i %CMSIS_PACK% > %STAGING_DIR%\..\Infineon.XMC1000_DFP.%VERSION%.log

pause

copy %STAGING_DIR%\xmc1_gen_pack.bat %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack
%ZIPEXE% a %STAGING_DIR%\..\Infineon.XMC1000_DFP.%VERSION%.pack %STAGING_DIR%\Infineon.XMC1000_DFP.%VERSION%.pack\* -tzip

popd
echo "Generated file at %STAGING_DIR%\..\Infineon.XMC1000_DFP.%VERSION%.pack"

