/*
 * Copyright (c) 2015-2020, Infineon Technologies AG
 * All rights reserved.
 *
 * Boost Software License - Version 1.0 - August 17th, 2003
 *
 * Permission is hereby granted, free of charge, to any person or organization
 * obtaining a copy of the software and accompanying documentation covered by
 * this license (the "Software") to use, reproduce, display, distribute,
 * execute, and transmit the Software, and to prepare derivative works of the
 * Software, and to permit third-parties to whom the Software is furnished to
 * do so, all subject to the following:
 *
 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer,
 * must be included in all copies of the Software, in whole or in part, and
 * all derivative works of the Software, unless such copies or derivative
 * works are solely in the form of machine-executable object code generated by
 * a source language processor.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * To improve the quality of the software, users are encouraged to share
 * modifications, enhancements or bug fixes with Infineon Technologies AG
 * at XMCSupport@infineon.com.
 *
 */

#include <xmc_common.h>
const uint16_t Test_Buffer[] = {
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 
0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 
0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 
0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 
0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 
0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 
0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 
0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 
0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 
0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 
0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 
0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 
0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 
0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 
0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 
0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 
0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x90, 0x90, 
0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 
0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 
0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 
0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 
0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 
0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 
0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x99, 0x99, 
0x9a, 0x9a, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 0xae, 0xae, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xaf, 0xaf, 0xac, 0xac, 0xa9, 0xa9, 
0xa5, 0xa5, 0xa2, 0xa2, 0xa0, 0xa0, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 
0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 
0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x6e, 0x6e, 
0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 
0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 
0x57, 0x57, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x58, 0x58, 
0x58, 0x58, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 
0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 
0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 
0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa5, 0xa5, 
0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8f, 0x8f, 0x8d, 0x8d, 0x8e, 0x8e, 0x91, 0x91, 0x96, 0x96, 0x9d, 0x9d, 0xa4, 0xa4, 0xaa, 0xaa, 0xaf, 0xaf, 
0xb1, 0xb1, 0xb2, 0xb2, 0xb0, 0xb0, 0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x9c, 0x9c, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 
0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 
0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 
0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5c, 0x5c, 
0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4b, 0x4b, 0x4e, 0x4e, 
0x52, 0x52, 0x56, 0x56, 0x5a, 0x5a, 0x5c, 0x5c, 0x5d, 0x5d, 0x5b, 0x5b, 0x58, 0x58, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 0x47, 0x47, 0x47, 0x47, 
0x49, 0x49, 0x4e, 0x4e, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 0x62, 0x62, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 
0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 
0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa8, 0xa8, 0xa6, 0xa6, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9e, 0x9e, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa3, 0xa3, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 
0x98, 0x98, 0x93, 0x93, 0x8e, 0x8e, 0x89, 0x89, 0x85, 0x85, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 
0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 
0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 
0x52, 0x52, 0x51, 0x51, 0x53, 0x53, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 
0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 
0x60, 0x60, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x71, 0x71, 
0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 
0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 0x98, 0x98, 
0x93, 0x93, 0x8e, 0x8e, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x93, 0x93, 0x9a, 0x9a, 0xa1, 0xa1, 0xa8, 0xa8, 0xad, 0xad, 0xb0, 0xb0, 
0xaf, 0xaf, 0xac, 0xac, 0xa7, 0xa7, 0xa2, 0xa2, 0x9c, 0x9c, 0x97, 0x97, 0x94, 0x94, 0x94, 0x94, 0x97, 0x97, 0x9c, 0x9c, 0xa3, 0xa3, 0xa9, 0xa9, 0xae, 0xae, 
0xb1, 0xb1, 0xb2, 0xb2, 0xb0, 0xb0, 0xaa, 0xaa, 0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x8b, 0x8b, 0x87, 0x87, 0x86, 0x86, 0x88, 0x88, 0x8d, 0x8d, 0x95, 0x95, 
0x9c, 0x9c, 0xa2, 0xa2, 0xa7, 0xa7, 0xa9, 0xa9, 0xa9, 0xa9, 0xa6, 0xa6, 0xa0, 0xa0, 0x99, 0x99, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x81, 0x81, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 
0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 
0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 
0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 
0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9f, 0x9f, 0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa6, 0xa6, 0xa0, 0xa0, 0x99, 0x99, 0x91, 0x91, 
0x8a, 0x8a, 0x86, 0x86, 0x85, 0x85, 0x88, 0x88, 0x8e, 0x8e, 0x96, 0x96, 0xa0, 0xa0, 0xab, 0xab, 0xb4, 0xb4, 0xb9, 0xb9, 0xbb, 0xbb, 0xb8, 0xb8, 0xb3, 0xb3, 
0xac, 0xac, 0xa4, 0xa4, 0x9c, 0x9c, 0x96, 0x96, 0x94, 0x94, 0x95, 0x95, 0x99, 0x99, 0x9f, 0x9f, 0xa6, 0xa6, 0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xb6, 0xb6, 
0xb3, 0xb3, 0xad, 0xad, 0xa6, 0xa6, 0x9f, 0x9f, 0x98, 0x98, 0x92, 0x92, 0x8e, 0x8e, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x99, 0x99, 
0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 
0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7c, 0x7c, 0x74, 0x74, 0x6d, 0x6d, 
0x67, 0x67, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 
0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x58, 0x58, 
0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x53, 0x53, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 
0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 
0x73, 0x73, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xaa, 0xaa, 
0xa9, 0xa9, 0xa7, 0xa7, 0xa4, 0xa4, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x88, 0x88, 0x83, 0x83, 0x81, 0x81, 0x82, 0x82, 0x86, 0x86, 0x8e, 0x8e, 0x98, 0x98, 
0xa5, 0xa5, 0xb0, 0xb0, 0xb8, 0xb8, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb4, 0xb4, 0xab, 0xab, 0xa1, 0xa1, 0x98, 0x98, 0x93, 0x93, 0x92, 0x92, 0x95, 0x95, 
0x9b, 0x9b, 0xa3, 0xa3, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc2, 0xc2, 0xc1, 0xc1, 0xbc, 0xbc, 0xb5, 0xb5, 0xac, 0xac, 0xa3, 0xa3, 0x99, 0x99, 0x91, 0x91, 
0x8d, 0x8d, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 
0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x64, 0x64, 
0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 
0x52, 0x52, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x56, 0x56, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 
0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 
0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa7, 0xa7, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 0x91, 0x91, 0x89, 0x89, 0x81, 0x81, 0x7b, 0x7b, 0x77, 0x77, 
0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8c, 0x8c, 0x98, 0x98, 0xa4, 0xa4, 0xb1, 0xb1, 0xba, 0xba, 0xbf, 0xbf, 0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xa9, 0xa9, 
0x9e, 0x9e, 0x95, 0x95, 0x8e, 0x8e, 0x8d, 0x8d, 0x91, 0x91, 0x99, 0x99, 0xa3, 0xa3, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xbd, 0xbd, 0xba, 0xba, 0xb1, 0xb1, 
0xa4, 0xa4, 0x96, 0x96, 0x89, 0x89, 0x7f, 0x7f, 0x78, 0x78, 0x75, 0x75, 0x76, 0x76, 0x7b, 0x7b, 0x84, 0x84, 0x8d, 0x8d, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9b, 0x9b, 0x95, 0x95, 0x8c, 0x8c, 0x84, 0x84, 0x7b, 0x7b, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 
0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 
0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5c, 0x5c, 0x58, 0x58, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x48, 0x48, 
0x46, 0x46, 0x45, 0x45, 0x46, 0x46, 0x4a, 0x4a, 0x4e, 0x4e, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5c, 0x5c, 0x5c, 0x5c, 0x5b, 0x5b, 0x58, 0x58, 0x54, 0x54, 
0x50, 0x50, 0x4e, 0x4e, 0x4c, 0x4c, 0x4c, 0x4c, 0x4d, 0x4d, 0x4f, 0x4f, 0x52, 0x52, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 
0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x92, 0x92, 
0x9b, 0x9b, 0xa4, 0xa4, 0xac, 0xac, 0xb1, 0xb1, 0xb3, 0xb3, 0xb3, 0xb3, 0xaf, 0xaf, 0xa8, 0xa8, 0x9e, 0x9e, 0x91, 0x91, 0x85, 0x85, 0x7a, 0x7a, 0x72, 0x72, 
0x6e, 0x6e, 0x6e, 0x6e, 0x74, 0x74, 0x7f, 0x7f, 0x8f, 0x8f, 0xa0, 0xa0, 0xb0, 0xb0, 0xbe, 0xbe, 0xc8, 0xc8, 0xcd, 0xcd, 0xcb, 0xcb, 0xc3, 0xc3, 0xb6, 0xb6, 
0xa8, 0xa8, 0x9a, 0x9a, 0x90, 0x90, 0x89, 0x89, 0x87, 0x87, 0x8b, 0x8b, 0x95, 0x95, 0xa2, 0xa2, 0xb1, 0xb1, 0xbd, 0xbd, 0xc5, 0xc5, 0xc8, 0xc8, 0xc7, 0xc7, 
0xc0, 0xc0, 0xb3, 0xb3, 0xa4, 0xa4, 0x94, 0x94, 0x86, 0x86, 0x7c, 0x7c, 0x76, 0x76, 0x74, 0x74, 0x78, 0x78, 0x80, 0x80, 0x8b, 0x8b, 0x96, 0x96, 0x9f, 0x9f, 
0xa5, 0xa5, 0xa8, 0xa8, 0xa6, 0xa6, 0xa1, 0xa1, 0x98, 0x98, 0x8d, 0x8d, 0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x7a, 0x7a, 
0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x7f, 0x7f, 0x78, 0x78, 0x71, 0x71, 0x6b, 0x6b, 
0x66, 0x66, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 0x62, 0x62, 
0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x53, 0x53, 0x57, 0x57, 0x5c, 0x5c, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6c, 0x6c, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 
0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x90, 0x90, 0x9a, 0x9a, 
0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb6, 0xb6, 0xb8, 0xb8, 0xb6, 0xb6, 0xb0, 0xb0, 0xa6, 0xa6, 0x9b, 0x9b, 0x8e, 0x8e, 0x80, 0x80, 0x74, 0x74, 0x6c, 0x6c, 
0x69, 0x69, 0x6e, 0x6e, 0x77, 0x77, 0x85, 0x85, 0x97, 0x97, 0xaa, 0xaa, 0xbd, 0xbd, 0xcc, 0xcc, 0xd4, 0xd4, 0xd5, 0xd5, 0xcf, 0xcf, 0xc5, 0xc5, 0xb7, 0xb7, 
0xa8, 0xa8, 0x9a, 0x9a, 0x8f, 0x8f, 0x8a, 0x8a, 0x8b, 0x8b, 0x93, 0x93, 0x9d, 0x9d, 0xaa, 0xaa, 0xb6, 0xb6, 0xc0, 0xc0, 0xc8, 0xc8, 0xc9, 0xc9, 0xc5, 0xc5, 
0xbc, 0xbc, 0xb0, 0xb0, 0xa4, 0xa4, 0x97, 0x97, 0x8c, 0x8c, 0x83, 0x83, 0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 0x98, 0x98, 0x9e, 0x9e, 
0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9a, 0x9a, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 0x7e, 0x7e, 0x79, 0x79, 0x76, 0x76, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 
0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7a, 0x7a, 0x71, 0x71, 0x68, 0x68, 0x62, 0x62, 
0x5d, 0x5d, 0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x64, 0x64, 0x6b, 0x6b, 0x71, 0x71, 0x74, 0x74, 0x74, 0x74, 0x70, 0x70, 0x6a, 0x6a, 0x62, 0x62, 0x58, 0x58, 
0x4f, 0x4f, 0x47, 0x47, 0x43, 0x43, 0x44, 0x44, 0x48, 0x48, 0x4f, 0x4f, 0x59, 0x59, 0x63, 0x63, 0x6e, 0x6e, 0x76, 0x76, 0x7c, 0x7c, 0x7e, 0x7e, 0x7c, 0x7c, 
0x78, 0x78, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 0x5a, 0x5a, 0x55, 0x55, 0x53, 0x53, 0x53, 0x53, 0x55, 0x55, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x70, 0x70, 
0x76, 0x76, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x7b, 0x7b, 0x7f, 0x7f, 0x85, 0x85, 0x8d, 0x8d, 0x96, 0x96, 
0xa1, 0xa1, 0xab, 0xab, 0xb2, 0xb2, 0xb6, 0xb6, 0xb5, 0xb5, 0xb0, 0xb0, 0xa6, 0xa6, 0x98, 0x98, 0x87, 0x87, 0x74, 0x74, 0x64, 0x64, 0x59, 0x59, 0x55, 0x55, 
0x57, 0x57, 0x60, 0x60, 0x70, 0x70, 0x86, 0x86, 0xa0, 0xa0, 0xb7, 0xb7, 0xc8, 0xc8, 0xd2, 0xd2, 0xd4, 0xd4, 0xce, 0xce, 0xc1, 0xc1, 0xaf, 0xaf, 0x9a, 0x9a, 
0x86, 0x86, 0x79, 0x79, 0x74, 0x74, 0x76, 0x76, 0x7e, 0x7e, 0x8c, 0x8c, 0x9d, 0x9d, 0xb0, 0xb0, 0xbf, 0xbf, 0xc8, 0xc8, 0xca, 0xca, 0xc5, 0xc5, 0xba, 0xba, 
0xab, 0xab, 0x99, 0x99, 0x86, 0x86, 0x76, 0x76, 0x6b, 0x6b, 0x67, 0x67, 0x69, 0x69, 0x6f, 0x6f, 0x79, 0x79, 0x86, 0x86, 0x94, 0x94, 0xa0, 0xa0, 0xa7, 0xa7, 
0xaa, 0xaa, 0xa7, 0xa7, 0xa0, 0xa0, 0x97, 0x97, 0x8b, 0x8b, 0x7e, 0x7e, 0x72, 0x72, 0x6a, 0x6a, 0x65, 0x65, 0x64, 0x64, 0x66, 0x66, 0x6b, 0x6b, 0x72, 0x72, 
0x7a, 0x7a, 0x82, 0x82, 0x88, 0x88, 0x8c, 0x8c, 0x8e, 0x8e, 0x8d, 0x8d, 0x89, 0x89, 0x82, 0x82, 0x79, 0x79, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 
0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x73, 0x73, 0x76, 0x76, 0x75, 0x75, 0x71, 0x71, 0x6a, 0x6a, 0x60, 0x60, 0x54, 0x54, 0x49, 0x49, 
0x41, 0x41, 0x3e, 0x3e, 0x3f, 0x3f, 0x43, 0x43, 0x4b, 0x4b, 0x55, 0x55, 0x61, 0x61, 0x6c, 0x6c, 0x75, 0x75, 0x7a, 0x7a, 0x7c, 0x7c, 0x7a, 0x7a, 0x74, 0x74, 
0x6c, 0x6c, 0x62, 0x62, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x49, 0x49, 0x4b, 0x4b, 0x4f, 0x4f, 0x57, 0x57, 0x62, 0x62, 0x6c, 0x6c, 0x75, 0x75, 0x7b, 0x7b, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6e, 0x6e, 0x6d, 0x6d, 0x70, 0x70, 0x77, 0x77, 0x81, 0x81, 0x8d, 0x8d, 0x9b, 0x9b, 0xa9, 0xa9, 
0xb4, 0xb4, 0xb9, 0xb9, 0xb8, 0xb8, 0xb1, 0xb1, 0xa5, 0xa5, 0x96, 0x96, 0x83, 0x83, 0x70, 0x70, 0x60, 0x60, 0x56, 0x56, 0x55, 0x55, 0x5b, 0x5b, 0x67, 0x67, 
0x7a, 0x7a, 0x92, 0x92, 0xab, 0xab, 0xc2, 0xc2, 0xd1, 0xd1, 0xd8, 0xd8, 0xd6, 0xd6, 0xcd, 0xcd, 0xbf, 0xbf, 0xab, 0xab, 0x97, 0x97, 0x85, 0x85, 0x7b, 0x7b, 
0x78, 0x78, 0x7d, 0x7d, 0x87, 0x87, 0x95, 0x95, 0xa4, 0xa4, 0xb3, 0xb3, 0xbf, 0xbf, 0xc4, 0xc4, 0xc2, 0xc2, 0xbb, 0xbb, 0xaf, 0xaf, 0xa1, 0xa1, 0x92, 0x92, 
0x83, 0x83, 0x77, 0x77, 0x6f, 0x6f, 0x6c, 0x6c, 0x6d, 0x6d, 0x72, 0x72, 0x7a, 0x7a, 0x84, 0x84, 0x8f, 0x8f, 0x98, 0x98, 0xa0, 0xa0, 0xa3, 0xa3, 0xa4, 0xa4, 
0xa1, 0xa1, 0x9a, 0x9a, 0x91, 0x91, 0x87, 0x87, 0x7c, 0x7c, 0x73, 0x73, 0x6c, 0x6c, 0x69, 0x69, 0x68, 0x68, 0x6a, 0x6a, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 
0x87, 0x87, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x8f, 0x8f, 0x88, 0x88, 0x7f, 0x7f, 0x74, 0x74, 0x6a, 0x6a, 0x61, 0x61, 0x5a, 0x5a, 0x56, 0x56, 0x56, 0x56, 
0x5a, 0x5a, 0x61, 0x61, 0x69, 0x69, 0x6f, 0x6f, 0x72, 0x72, 0x71, 0x71, 0x6e, 0x6e, 0x66, 0x66, 0x5b, 0x5b, 0x4f, 0x4f, 0x43, 0x43, 0x3b, 0x3b, 0x37, 0x37, 
0x38, 0x38, 0x3c, 0x3c, 0x43, 0x43, 0x4c, 0x4c, 0x57, 0x57, 0x60, 0x60, 0x66, 0x66, 0x69, 0x69, 0x69, 0x69, 0x66, 0x66, 0x60, 0x60, 0x57, 0x57, 0x4e, 0x4e, 
0x46, 0x46, 0x3f, 0x3f, 0x3a, 0x3a, 0x39, 0x39, 0x3a, 0x3a, 0x40, 0x40, 0x48, 0x48, 0x53, 0x53, 0x5e, 0x5e, 0x68, 0x68, 0x70, 0x70, 0x75, 0x75, 0x78, 0x78, 
0x77, 0x77, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x70, 0x70, 0x77, 0x77, 0x81, 0x81, 0x8c, 0x8c, 0x99, 0x99, 0xa6, 0xa6, 0xaf, 0xaf, 0xb2, 0xb2, 
0xaf, 0xaf, 0xa7, 0xa7, 0x9a, 0x9a, 0x8a, 0x8a, 0x79, 0x79, 0x68, 0x68, 0x5b, 0x5b, 0x54, 0x54, 0x56, 0x56, 0x5f, 0x5f, 0x6d, 0x6d, 0x81, 0x81, 0x98, 0x98, 
0xaf, 0xaf, 0xc3, 0xc3, 0xd0, 0xd0, 0xd4, 0xd4, 0xd0, 0xd0, 0xc6, 0xc6, 0xb8, 0xb8, 0xa6, 0xa6, 0x95, 0x95, 0x86, 0x86, 0x7f, 0x7f, 0x7f, 0x7f, 0x86, 0x86, 
0x91, 0x91, 0x9f, 0x9f, 0xac, 0xac, 0xb9, 0xb9, 0xc1, 0xc1, 0xc3, 0xc3, 0xbf, 0xbf, 0xb5, 0xb5, 0xa9, 0xa9, 0x9b, 0x9b, 0x8d, 0x8d, 0x80, 0x80, 0x77, 0x77, 
0x72, 0x72, 0x72, 0x72, 0x75, 0x75, 0x7c, 0x7c, 0x85, 0x85, 0x8f, 0x8f, 0x9a, 0x9a, 0xa3, 0xa3, 0xa9, 0xa9, 0xab, 0xab, 0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 
0x95, 0x95, 0x8b, 0x8b, 0x82, 0x82, 0x7c, 0x7c, 0x78, 0x78, 0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x94, 0x94, 
0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 0x81, 0x81, 0x79, 0x79, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 
0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x68, 0x68, 0x61, 0x61, 0x58, 0x58, 0x4d, 0x4d, 0x42, 0x42, 0x39, 0x39, 0x34, 0x34, 0x34, 0x34, 0x37, 0x37, 0x3e, 0x3e, 
0x46, 0x46, 0x50, 0x50, 0x59, 0x59, 0x61, 0x61, 0x67, 0x67, 0x68, 0x68, 0x67, 0x67, 0x64, 0x64, 0x5e, 0x5e, 0x58, 0x58, 0x52, 0x52, 0x4c, 0x4c, 0x48, 0x48, 
0x46, 0x46, 0x46, 0x46, 0x49, 0x49, 0x4e, 0x4e, 0x55, 0x55, 0x5e, 0x5e, 0x67, 0x67, 0x6f, 0x6f, 0x76, 0x76, 0x7b, 0x7b, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8f, 0x8f, 0x98, 0x98, 0xa2, 0xa2, 0xac, 0xac, 0xb4, 0xb4, 0xb9, 0xb9, 0xba, 0xba, 0xb4, 0xb4, 0xaa, 0xaa, 
0x9e, 0x9e, 0x90, 0x90, 0x81, 0x81, 0x74, 0x74, 0x6b, 0x6b, 0x68, 0x68, 0x6c, 0x6c, 0x77, 0x77, 0x86, 0x86, 0x98, 0x98, 0xad, 0xad, 0xc1, 0xc1, 0xd1, 0xd1, 
0xda, 0xda, 0xda, 0xda, 0xd4, 0xd4, 0xc9, 0xc9, 0xbb, 0xbb, 0xab, 0xab, 0x9b, 0x9b, 0x90, 0x90, 0x8c, 0x8c, 0x8f, 0x8f, 0x99, 0x99, 0xa5, 0xa5, 0xb3, 0xb3, 
0xc0, 0xc0, 0xca, 0xca, 0xd0, 0xd0, 0xd0, 0xd0, 0xc9, 0xc9, 0xbd, 0xbd, 0xaf, 0xaf, 0xa0, 0xa0, 0x92, 0x92, 0x86, 0x86, 0x7d, 0x7d, 0x7a, 0x7a, 0x7b, 0x7b, 
0x80, 0x80, 0x89, 0x89, 0x93, 0x93, 0x9e, 0x9e, 0xa8, 0xa8, 0xb1, 0xb1, 0xb6, 0xb6, 0xb7, 0xb7, 0xb3, 0xb3, 0xad, 0xad, 0xa3, 0xa3, 0x97, 0x97, 0x8b, 0x8b, 
0x80, 0x80, 0x78, 0x78, 0x75, 0x75, 0x75, 0x75, 0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8e, 0x8e, 0x95, 0x95, 0x98, 0x98, 0x97, 0x97, 0x92, 0x92, 0x8b, 0x8b, 
0x80, 0x80, 0x73, 0x73, 0x66, 0x66, 0x5a, 0x5a, 0x51, 0x51, 0x4b, 0x4b, 0x49, 0x49, 0x4a, 0x4a, 0x4d, 0x4d, 0x53, 0x53, 0x5a, 0x5a, 0x5f, 0x5f, 0x61, 0x61, 
0x5f, 0x5f, 0x59, 0x59, 0x51, 0x51, 0x47, 0x47, 0x3d, 0x3d, 0x33, 0x33, 0x2d, 0x2d, 0x2b, 0x2b, 0x2f, 0x2f, 0x37, 0x37, 0x41, 0x41, 0x4c, 0x4c, 0x57, 0x57, 
0x61, 0x61, 0x69, 0x69, 0x6c, 0x6c, 0x6b, 0x6b, 0x67, 0x67, 0x61, 0x61, 0x59, 0x59, 0x51, 0x51, 0x49, 0x49, 0x44, 0x44, 0x41, 0x41, 0x42, 0x42, 0x45, 0x45, 
0x4b, 0x4b, 0x53, 0x53, 0x5c, 0x5c, 0x66, 0x66, 0x6f, 0x6f, 0x76, 0x76, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x78, 0x78, 
0x7d, 0x7d, 0x85, 0x85, 0x91, 0x91, 0x9d, 0x9d, 0xa9, 0xa9, 0xb3, 0xb3, 0xba, 0xba, 0xbd, 0xbd, 0xba, 0xba, 0xb2, 0xb2, 0xa5, 0xa5, 0x97, 0x97, 0x88, 0x88, 
0x7a, 0x7a, 0x6f, 0x6f, 0x68, 0x68, 0x67, 0x67, 0x6d, 0x6d, 0x7a, 0x7a, 0x8a, 0x8a, 0x9e, 0x9e, 0xb4, 0xb4, 0xc9, 0xc9, 0xda, 0xda, 0xe4, 0xe4, 0xe5, 0xe5, 
0xdf, 0xdf, 0xd4, 0xd4, 0xc4, 0xc4, 0xb2, 0xb2, 0x9f, 0x9f, 0x90, 0x90, 0x88, 0x88, 0x88, 0x88, 0x8e, 0x8e, 0x99, 0x99, 0xa7, 0xa7, 0xb6, 0xb6, 0xc4, 0xc4, 
0xce, 0xce, 0xd3, 0xd3, 0xd1, 0xd1, 0xca, 0xca, 0xbe, 0xbe, 0xb1, 0xb1, 0xa2, 0xa2, 0x93, 0x93, 0x86, 0x86, 0x7e, 0x7e, 0x7a, 0x7a, 0x7b, 0x7b, 0x7f, 0x7f, 
0x86, 0x86, 0x90, 0x90, 0x9a, 0x9a, 0xa3, 0xa3, 0xa9, 0xa9, 0xaa, 0xaa, 0xa8, 0xa8, 0xa1, 0xa1, 0x97, 0x97, 0x8b, 0x8b, 0x7d, 0x7d, 0x71, 0x71, 0x67, 0x67, 
0x62, 0x62, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x79, 0x79, 0x7d, 0x7d, 0x7d, 0x7d, 0x7a, 0x7a, 0x74, 0x74, 0x6c, 0x6c, 0x62, 0x62, 
0x57, 0x57, 0x4c, 0x4c, 0x44, 0x44, 0x3f, 0x3f, 0x3c, 0x3c, 0x3c, 0x3c, 0x3e, 0x3e, 0x43, 0x43, 0x48, 0x48, 0x4c, 0x4c, 0x4c, 0x4c, 0x49, 0x49, 0x43, 0x43, 
0x3b, 0x3b, 0x32, 0x32, 0x2a, 0x2a, 0x22, 0x22, 0x1e, 0x1e, 0x1f, 0x1f, 0x26, 0x26, 0x30, 0x30, 0x3d, 0x3d, 0x49, 0x49, 0x53, 0x53, 0x5c, 0x5c, 0x61, 0x61, 
0x62, 0x62, 0x5e, 0x5e, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x40, 0x40, 0x3b, 0x3b, 0x37, 0x37, 0x36, 0x36, 0x38, 0x38, 0x3d, 0x3d, 0x43, 0x43, 0x4b, 0x4b, 
0x55, 0x55, 0x5e, 0x5e, 0x67, 0x67, 0x6e, 0x6e, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x73, 0x73, 0x7b, 0x7b, 
0x86, 0x86, 0x92, 0x92, 0x9e, 0x9e, 0xaa, 0xaa, 0xb3, 0xb3, 0xb8, 0xb8, 0xb6, 0xb6, 0xad, 0xad, 0x9f, 0x9f, 0x8f, 0x8f, 0x7e, 0x7e, 0x6d, 0x6d, 0x5f, 0x5f, 
0x57, 0x57, 0x57, 0x57, 0x60, 0x60, 0x70, 0x70, 0x85, 0x85, 0x9d, 0x9d, 0xb7, 0xb7, 0xcf, 0xcf, 0xe3, 0xe3, 0xee, 0xee, 0xf0, 0xf0, 0xe9, 0xe9, 0xdd, 0xdd, 
0xcb, 0xcb, 0xb7, 0xb7, 0xa2, 0xa2, 0x91, 0x91, 0x86, 0x86, 0x84, 0x84, 0x88, 0x88, 0x91, 0x91, 0x9e, 0x9e, 0xad, 0xad, 0xbc, 0xbc, 0xc8, 0xc8, 0xce, 0xce, 
0xce, 0xce, 0xc8, 0xc8, 0xbe, 0xbe, 0xb0, 0xb0, 0xa0, 0xa0, 0x90, 0x90, 0x81, 0x81, 0x77, 0x77, 0x73, 0x73, 0x74, 0x74, 0x79, 0x79, 0x82, 0x82, 0x8e, 0x8e, 
0x9c, 0x9c, 0xa7, 0xa7, 0xae, 0xae, 0xaf, 0xaf, 0xab, 0xab, 0xa2, 0xa2, 0x95, 0x95, 0x86, 0x86, 0x75, 0x75, 0x67, 0x67, 0x5d, 0x5d, 0x59, 0x59, 0x5a, 0x5a, 
0x5f, 0x5f, 0x66, 0x66, 0x6f, 0x6f, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x81, 0x81, 0x7c, 0x7c, 0x75, 0x75, 0x6b, 0x6b, 0x61, 0x61, 0x56, 0x56, 0x4c, 0x4c, 
0x45, 0x45, 0x40, 0x40, 0x3e, 0x3e, 0x3f, 0x3f, 0x41, 0x41, 0x46, 0x46, 0x4a, 0x4a, 0x4e, 0x4e, 0x4f, 0x4f, 0x4d, 0x4d, 0x49, 0x49, 0x43, 0x43, 0x3b, 0x3b, 
0x33, 0x33, 0x2c, 0x2c, 0x28, 0x28, 0x28, 0x28, 0x2c, 0x2c, 0x35, 0x35, 0x40, 0x40, 0x4b, 0x4b, 0x56, 0x56, 0x60, 0x60, 0x67, 0x67, 0x6a, 0x6a, 0x68, 0x68, 
0x63, 0x63, 0x5b, 0x5b, 0x53, 0x53, 0x4b, 0x4b, 0x44, 0x44, 0x3f, 0x3f, 0x3d, 0x3d, 0x40, 0x40, 0x45, 0x45, 0x4c, 0x4c, 0x55, 0x55, 0x5f, 0x5f, 0x68, 0x68, 
0x70, 0x70, 0x75, 0x75, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6f, 0x6f, 0x74, 0x74, 0x7d, 0x7d, 0x89, 0x89, 0x97, 0x97, 
0xa6, 0xa6, 0xb4, 0xb4, 0xc0, 0xc0, 0xc9, 0xc9, 0xcd, 0xcd, 0xcc, 0xcc, 0xc6, 0xc6, 0xbc, 0xbc, 0xae, 0xae, 0x9d, 0x9d, 0x8b, 0x8b, 0x7b, 0x7b, 0x6f, 0x6f, 
0x6a, 0x6a, 0x6a, 0x6a, 0x72, 0x72, 0x80, 0x80, 0x96, 0x96, 0xaf, 0xaf, 0xc7, 0xc7, 0xdb, 0xdb, 0xe8, 0xe8, 0xef, 0xef, 0xee, 0xee, 0xe4, 0xe4, 0xd3, 0xd3, 
0xbd, 0xbd, 0xa7, 0xa7, 0x95, 0x95, 0x88, 0x88, 0x82, 0x82, 0x81, 0x81, 0x86, 0x86, 0x92, 0x92, 0xa0, 0xa0, 0xb0, 0xb0, 0xbe, 0xbe, 0xc8, 0xc8, 0xcf, 0xcf, 
0xd1, 0xd1, 0xce, 0xce, 0xc4, 0xc4, 0xb6, 0xb6, 0xa5, 0xa5, 0x94, 0x94, 0x83, 0x83, 0x74, 0x74, 0x69, 0x69, 0x65, 0x65, 0x69, 0x69, 0x72, 0x72, 0x7f, 0x7f, 
0x8e, 0x8e, 0x9c, 0x9c, 0xa8, 0xa8, 0xae, 0xae, 0xae, 0xae, 0xa4, 0xa4, 0x95, 0x95, 0x82, 0x82, 0x6e, 0x6e, 0x5c, 0x5c, 0x4d, 0x4d, 0x43, 0x43, 0x41, 0x41, 
0x46, 0x46, 0x50, 0x50, 0x5e, 0x5e, 0x6c, 0x6c, 0x79, 0x79, 0x84, 0x84, 0x8a, 0x8a, 0x89, 0x89, 0x83, 0x83, 0x77, 0x77, 0x69, 0x69, 0x5b, 0x5b, 0x4d, 0x4d, 
0x41, 0x41, 0x39, 0x39, 0x35, 0x35, 0x37, 0x37, 0x3d, 0x3d, 0x45, 0x45, 0x4c, 0x4c, 0x51, 0x51, 0x54, 0x54, 0x54, 0x54, 0x50, 0x50, 0x49, 0x49, 0x3e, 0x3e, 
0x34, 0x34, 0x2c, 0x2c, 0x27, 0x27, 0x26, 0x26, 0x28, 0x28, 0x2d, 0x2d, 0x36, 0x36, 0x41, 0x41, 0x4d, 0x4d, 0x58, 0x58, 0x61, 0x61, 0x68, 0x68, 0x6d, 0x6d, 
0x6d, 0x6d, 0x6b, 0x6b, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 0x48, 0x48, 0x4d, 0x4d, 0x56, 0x56, 0x61, 0x61, 0x6c, 0x6c, 
0x76, 0x76, 0x7e, 0x7e, 0x83, 0x83, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6e, 0x6e, 0x6d, 0x6d, 0x6f, 0x6f, 0x76, 0x76, 0x81, 0x81, 0x8f, 0x8f, 
0xa1, 0xa1, 0xb2, 0xb2, 0xc2, 0xc2, 0xce, 0xce, 0xd7, 0xd7, 0xdb, 0xdb, 0xd9, 0xd9, 0xd2, 0xd2, 0xc6, 0xc6, 0xb7, 0xb7, 0xa6, 0xa6, 0x94, 0x94, 0x83, 0x83, 
0x75, 0x75, 0x6d, 0x6d, 0x6b, 0x6b, 0x71, 0x71, 0x7c, 0x7c, 0x8d, 0x8d, 0xa3, 0xa3, 0xbb, 0xbb, 0xd2, 0xd2, 0xe3, 0xe3, 0xee, 0xee, 0xf2, 0xf2, 0xf0, 0xf0, 
0xe6, 0xe6, 0xd6, 0xd6, 0xc2, 0xc2, 0xad, 0xad, 0x9c, 0x9c, 0x8f, 0x8f, 0x87, 0x87, 0x84, 0x84, 0x87, 0x87, 0x90, 0x90, 0x9d, 0x9d, 0xab, 0xab, 0xb6, 0xb6, 
0xbf, 0xbf, 0xc3, 0xc3, 0xc3, 0xc3, 0xbc, 0xbc, 0xb0, 0xb0, 0x9f, 0x9f, 0x8d, 0x8d, 0x7c, 0x7c, 0x6e, 0x6e, 0x64, 0x64, 0x5f, 0x5f, 0x61, 0x61, 0x69, 0x69, 
0x76, 0x76, 0x85, 0x85, 0x93, 0x93, 0x9f, 0x9f, 0xa7, 0xa7, 0xab, 0xab, 0xa8, 0xa8, 0x9f, 0x9f, 0x92, 0x92, 0x82, 0x82, 0x73, 0x73, 0x65, 0x65, 0x5a, 0x5a, 
0x53, 0x53, 0x52, 0x52, 0x56, 0x56, 0x5f, 0x5f, 0x69, 0x69, 0x72, 0x72, 0x79, 0x79, 0x7e, 0x7e, 0x7e, 0x7e, 0x79, 0x79, 0x70, 0x70, 0x63, 0x63, 0x55, 0x55, 
0x49, 0x49, 0x41, 0x41, 0x3b, 0x3b, 0x3a, 0x3a, 0x3d, 0x3d, 0x43, 0x43, 0x4c, 0x4c, 0x55, 0x55, 0x5b, 0x5b, 0x5e, 0x5e, 0x5e, 0x5e, 0x5a, 0x5a, 0x54, 0x54, 
0x4c, 0x4c, 0x43, 0x43, 0x3b, 0x3b, 0x36, 0x36, 0x35, 0x35, 0x36, 0x36, 0x3b, 0x3b, 0x43, 0x43, 0x4e, 0x4e, 0x5a, 0x5a, 0x65, 0x65, 0x6e, 0x6e, 0x75, 0x75, 
0x77, 0x77, 0x77, 0x77, 0x72, 0x72, 0x6a, 0x6a, 0x5f, 0x5f, 0x54, 0x54, 0x4a, 0x4a, 0x44, 0x44, 0x41, 0x41, 0x42, 0x42, 0x48, 0x48, 0x53, 0x53, 0x60, 0x60, 
0x6e, 0x6e, 0x7a, 0x7a, 0x84, 0x84, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x88, 0x88, 0x81, 0x81, 0x7a, 0x7a, 0x75, 0x75, 0x73, 0x73, 0x75, 0x75, 0x79, 0x79, 
0x81, 0x81, 0x8d, 0x8d, 0x9a, 0x9a, 0xa9, 0xa9, 0xb6, 0xb6, 0xc1, 0xc1, 0xcb, 0xcb, 0xd1, 0xd1, 0xd3, 0xd3, 0xd2, 0xd2, 0xcd, 0xcd, 0xc6, 0xc6, 0xbc, 0xbc, 
0xb0, 0xb0, 0xa3, 0xa3, 0x97, 0x97, 0x8c, 0x8c, 0x83, 0x83, 0x7d, 0x7d, 0x7b, 0x7b, 0x7f, 0x7f, 0x87, 0x87, 0x94, 0x94, 0xa3, 0xa3, 0xb2, 0xb2, 0xc1, 0xc1, 
0xce, 0xce, 0xd7, 0xd7, 0xdb, 0xdb, 0xd7, 0xd7, 0xcf, 0xcf, 0xc2, 0xc2, 0xb4, 0xb4, 0xa6, 0xa6, 0x98, 0x98, 0x8d, 0x8d, 0x87, 0x87, 0x87, 0x87, 0x8c, 0x8c, 
0x94, 0x94, 0x9f, 0x9f, 0xab, 0xab, 0xb7, 0xb7, 0xc0, 0xc0, 0xc6, 0xc6, 0xc8, 0xc8, 0xc5, 0xc5, 0xbe, 0xbe, 0xb4, 0xb4, 0xa7, 0xa7, 0x99, 0x99, 0x8b, 0x8b, 
0x80, 0x80, 0x78, 0x78, 0x74, 0x74, 0x73, 0x73, 0x77, 0x77, 0x7f, 0x7f, 0x8a, 0x8a, 0x94, 0x94, 0x9d, 0x9d, 0xa2, 0xa2, 0xa3, 0xa3, 0xa1, 0xa1, 0x9b, 0x9b, 
0x91, 0x91, 0x85, 0x85, 0x79, 0x79, 0x70, 0x70, 0x6b, 0x6b, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x77, 0x77, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x62, 0x62, 
0x5e, 0x5e, 0x59, 0x59, 0x52, 0x52, 0x4b, 0x4b, 0x45, 0x45, 0x40, 0x40, 0x3d, 0x3d, 0x3d, 0x3d, 0x3f, 0x3f, 0x44, 0x44, 0x4c, 0x4c, 0x54, 0x54, 0x5d, 0x5d, 
0x64, 0x64, 0x69, 0x69, 0x6c, 0x6c, 0x6c, 0x6c, 0x69, 0x69, 0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4b, 0x4b, 0x46, 0x46, 0x43, 0x43, 0x43, 0x43, 0x47, 0x47, 
0x4f, 0x4f, 0x5a, 0x5a, 0x65, 0x65, 0x71, 0x71, 0x7b, 0x7b, 0x83, 0x83, 0x89, 0x89, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6f, 0x6f, 0x76, 0x76, 0x81, 0x81, 0x8d, 0x8d, 0x99, 0x99, 0xa5, 0xa5, 0xb0, 0xb0, 0xb9, 0xb9, 0xbd, 0xbd, 0xbe, 0xbe, 0xbb, 0xbb, 
0xb5, 0xb5, 0xac, 0xac, 0xa1, 0xa1, 0x94, 0x94, 0x88, 0x88, 0x7c, 0x7c, 0x73, 0x73, 0x6c, 0x6c, 0x69, 0x69, 0x6b, 0x6b, 0x73, 0x73, 0x80, 0x80, 0x8f, 0x8f, 
0xa0, 0xa0, 0xb1, 0xb1, 0xc1, 0xc1, 0xcd, 0xcd, 0xd4, 0xd4, 0xd3, 0xd3, 0xcc, 0xcc, 0xc2, 0xc2, 0xb5, 0xb5, 0xa6, 0xa6, 0x98, 0x98, 0x8c, 0x8c, 0x85, 0x85, 
0x83, 0x83, 0x87, 0x87, 0x8d, 0x8d, 0x97, 0x97, 0xa2, 0xa2, 0xad, 0xad, 0xb7, 0xb7, 0xbd, 0xbd, 0xc0, 0xc0, 0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xa6, 0xa6, 
0x99, 0x99, 0x8c, 0x8c, 0x80, 0x80, 0x78, 0x78, 0x73, 0x73, 0x71, 0x71, 0x74, 0x74, 0x7b, 0x7b, 0x85, 0x85, 0x8f, 0x8f, 0x98, 0x98, 0x9f, 0x9f, 0xa3, 0xa3, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 
0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x64, 0x64, 
0x65, 0x65, 0x64, 0x64, 0x62, 0x62, 0x5d, 0x5d, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3c, 0x3c, 0x3d, 0x3d, 0x40, 0x40, 0x47, 0x47, 
0x4e, 0x4e, 0x56, 0x56, 0x5d, 0x5d, 0x63, 0x63, 0x66, 0x66, 0x67, 0x67, 0x64, 0x64, 0x5f, 0x5f, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 
0x39, 0x39, 0x3b, 0x3b, 0x40, 0x40, 0x49, 0x49, 0x53, 0x53, 0x5e, 0x5e, 0x69, 0x69, 0x73, 0x73, 0x7a, 0x7a, 0x7e, 0x7e, 0x7d, 0x7d, 0x79, 0x79, 0x73, 0x73, 
0x6d, 0x6d, 0x66, 0x66, 0x61, 0x61, 0x5e, 0x5e, 0x60, 0x60, 0x66, 0x66, 0x70, 0x70, 0x7c, 0x7c, 0x8a, 0x8a, 0x98, 0x98, 0xa5, 0xa5, 0xb0, 0xb0, 0xb8, 0xb8, 
0xbb, 0xbb, 0xbb, 0xbb, 0xb8, 0xb8, 0xb0, 0xb0, 0xa6, 0xa6, 0x99, 0x99, 0x8c, 0x8c, 0x80, 0x80, 0x74, 0x74, 0x6b, 0x6b, 0x66, 0x66, 0x66, 0x66, 0x6b, 0x6b, 
0x75, 0x75, 0x83, 0x83, 0x93, 0x93, 0xa5, 0xa5, 0xb6, 0xb6, 0xc5, 0xc5, 0xcf, 0xcf, 0xd3, 0xd3, 0xd2, 0xd2, 0xcc, 0xcc, 0xc2, 0xc2, 0xb5, 0xb5, 0xa6, 0xa6, 
0x99, 0x99, 0x8f, 0x8f, 0x89, 0x89, 0x87, 0x87, 0x8a, 0x8a, 0x8f, 0x8f, 0x98, 0x98, 0xa2, 0xa2, 0xac, 0xac, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 0xbf, 0xbf, 
0xbc, 0xbc, 0xb6, 0xb6, 0xad, 0xad, 0xa4, 0xa4, 0x9a, 0x9a, 0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x84, 0x84, 0x87, 0x87, 0x8d, 0x8d, 0x94, 0x94, 0x9b, 0x9b, 
0xa1, 0xa1, 0xa6, 0xa6, 0xa9, 0xa9, 0xa7, 0xa7, 0xa2, 0xa2, 0x9a, 0x9a, 0x91, 0x91, 0x88, 0x88, 0x7f, 0x7f, 0x78, 0x78, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 
0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 
0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x52, 0x52, 0x4c, 0x4c, 0x46, 0x46, 0x40, 0x40, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x35, 0x35, 
0x36, 0x36, 0x39, 0x39, 0x3e, 0x3e, 0x44, 0x44, 0x4a, 0x4a, 0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5b, 0x5b, 0x5b, 0x5b, 0x59, 0x59, 0x55, 0x55, 0x51, 0x51, 
0x4b, 0x4b, 0x46, 0x46, 0x42, 0x42, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x52, 0x52, 0x5b, 0x5b, 0x63, 0x63, 0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 
0x71, 0x71, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 0x5e, 0x5e, 0x65, 0x65, 0x6f, 0x6f, 0x7b, 0x7b, 0x88, 0x88, 
0x94, 0x94, 0xa0, 0xa0, 0xaa, 0xaa, 0xb2, 0xb2, 0xb8, 0xb8, 0xbc, 0xbc, 0xbe, 0xbe, 0xbd, 0xbd, 0xba, 0xba, 0xb5, 0xb5, 0xae, 0xae, 0xa5, 0xa5, 0x9c, 0x9c, 
0x93, 0x93, 0x8b, 0x8b, 0x84, 0x84, 0x80, 0x80, 0x7f, 0x7f, 0x83, 0x83, 0x89, 0x89, 0x92, 0x92, 0x9d, 0x9d, 0xa9, 0xa9, 0xb6, 0xb6, 0xc1, 0xc1, 0xca, 0xca, 
0xd1, 0xd1, 0xd5, 0xd5, 0xd7, 0xd7, 0xd5, 0xd5, 0xd1, 0xd1, 0xcb, 0xcb, 0xc4, 0xc4, 0xbc, 0xbc, 0xb4, 0xb4, 0xad, 0xad, 0xa8, 0xa8, 0xa7, 0xa7, 0xa9, 0xa9, 
0xae, 0xae, 0xb5, 0xb5, 0xbe, 0xbe, 0xc7, 0xc7, 0xd0, 0xd0, 0xd6, 0xd6, 0xd7, 0xd7, 0xd4, 0xd4, 0xcc, 0xcc, 0xc2, 0xc2, 0xb5, 0xb5, 0xa7, 0xa7, 0x9a, 0x9a, 
0x8f, 0x8f, 0x89, 0x89, 0x88, 0x88, 0x8a, 0x8a, 0x90, 0x90, 0x97, 0x97, 0x9f, 0x9f, 0xa7, 0xa7, 0xac, 0xac, 0xae, 0xae, 0xac, 0xac, 0xa7, 0xa7, 0x9f, 0x9f, 
0x94, 0x94, 0x88, 0x88, 0x7c, 0x7c, 0x71, 0x71, 0x69, 0x69, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x79, 0x79, 0x7f, 0x7f, 
0x81, 0x81, 0x82, 0x82, 0x7f, 0x7f, 0x79, 0x79, 0x6f, 0x6f, 0x64, 0x64, 0x59, 0x59, 0x4e, 0x4e, 0x45, 0x45, 0x3e, 0x3e, 0x3a, 0x3a, 0x38, 0x38, 0x39, 0x39, 
0x3c, 0x3c, 0x3f, 0x3f, 0x42, 0x42, 0x43, 0x43, 0x44, 0x44, 0x44, 0x44, 0x43, 0x43, 0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x42, 0x42, 0x46, 0x46, 
0x4a, 0x4a, 0x4e, 0x4e, 0x51, 0x51, 0x53, 0x53, 0x54, 0x54, 0x52, 0x52, 0x4f, 0x4f, 0x4a, 0x4a, 0x46, 0x46, 0x42, 0x42, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 
0x45, 0x45, 0x4c, 0x4c, 0x54, 0x54, 0x5c, 0x5c, 0x64, 0x64, 0x6b, 0x6b, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 
0x62, 0x62, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x66, 0x66, 0x6e, 0x6e, 0x78, 0x78, 0x83, 0x83, 0x8f, 0x8f, 0x9c, 0x9c, 0xa7, 0xa7, 0xb0, 0xb0, 0xb6, 0xb6, 
0xb9, 0xb9, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xba, 0xba, 0xba, 0xba, 0xbb, 0xbb, 0xbc, 0xbc, 0xbf, 0xbf, 0xc1, 0xc1, 0xc3, 0xc3, 0xc2, 0xc2, 0xc0, 0xc0, 
0xbc, 0xbc, 0xb7, 0xb7, 0xb0, 0xb0, 0xa9, 0xa9, 0xa3, 0xa3, 0xa1, 0xa1, 0xa1, 0xa1, 0xa5, 0xa5, 0xab, 0xab, 0xb5, 0xb5, 0xc0, 0xc0, 0xcc, 0xcc, 0xd6, 0xd6, 
0xde, 0xde, 0xe2, 0xe2, 0xe3, 0xe3, 0xe1, 0xe1, 0xdb, 0xdb, 0xd3, 0xd3, 0xc8, 0xc8, 0xbe, 0xbe, 0xb5, 0xb5, 0xae, 0xae, 0xa9, 0xa9, 0xa7, 0xa7, 0xa7, 0xa7, 
0xaa, 0xaa, 0xaf, 0xaf, 0xb4, 0xb4, 0xb8, 0xb8, 0xbb, 0xbb, 0xbb, 0xbb, 0xb8, 0xb8, 0xb2, 0xb2, 0xa8, 0xa8, 0x9c, 0x9c, 0x90, 0x90, 0x85, 0x85, 0x7c, 0x7c, 
0x76, 0x76, 0x74, 0x74, 0x77, 0x77, 0x7d, 0x7d, 0x87, 0x87, 0x90, 0x90, 0x98, 0x98, 0x9c, 0x9c, 0x9c, 0x9c, 0x99, 0x99, 0x90, 0x90, 0x84, 0x84, 0x74, 0x74, 
0x66, 0x66, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x4c, 0x4c, 0x50, 0x50, 0x57, 0x57, 0x61, 0x61, 0x6b, 0x6b, 0x73, 0x73, 0x78, 0x78, 0x7a, 0x7a, 0x79, 0x79, 
0x74, 0x74, 0x6b, 0x6b, 0x60, 0x60, 0x54, 0x54, 0x48, 0x48, 0x3d, 0x3d, 0x34, 0x34, 0x2e, 0x2e, 0x2a, 0x2a, 0x2a, 0x2a, 0x2d, 0x2d, 0x31, 0x31, 0x34, 0x34, 
0x38, 0x38, 0x3a, 0x3a, 0x3b, 0x3b, 0x3a, 0x3a, 0x38, 0x38, 0x34, 0x34, 0x31, 0x31, 0x2f, 0x2f, 0x30, 0x30, 0x32, 0x32, 0x36, 0x36, 0x3c, 0x3c, 0x42, 0x42, 
0x49, 0x49, 0x4e, 0x4e, 0x50, 0x50, 0x4f, 0x4f, 0x4c, 0x4c, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x38, 0x38, 0x3f, 0x3f, 0x49, 0x49, 
0x55, 0x55, 0x61, 0x61, 0x6d, 0x6d, 0x79, 0x79, 0x81, 0x81, 0x84, 0x84, 0x83, 0x83, 0x7d, 0x7d, 0x76, 0x76, 0x6f, 0x6f, 0x67, 0x67, 0x62, 0x62, 0x60, 0x60, 
0x63, 0x63, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x94, 0x94, 0xa3, 0xa3, 0xb0, 0xb0, 0xbb, 0xbb, 0xc1, 0xc1, 0xc4, 0xc4, 0xc4, 0xc4, 0xc3, 0xc3, 0xc1, 0xc1, 
0xc0, 0xc0, 0xc0, 0xc0, 0xc1, 0xc1, 0xc5, 0xc5, 0xca, 0xca, 0xd0, 0xd0, 0xd6, 0xd6, 0xdb, 0xdb, 0xdd, 0xdd, 0xdd, 0xdd, 0xd9, 0xd9, 0xd2, 0xd2, 0xc8, 0xc8, 
0xbb, 0xbb, 0xae, 0xae, 0xa2, 0xa2, 0x99, 0x99, 0x93, 0x93, 0x91, 0x91, 0x96, 0x96, 0x9f, 0x9f, 0xad, 0xad, 0xbc, 0xbc, 0xca, 0xca, 0xd5, 0xd5, 0xdc, 0xdc, 
0xdf, 0xdf, 0xdc, 0xdc, 0xd3, 0xd3, 0xc7, 0xc7, 0xb9, 0xb9, 0xae, 0xae, 0xa5, 0xa5, 0xa0, 0xa0, 0x9e, 0x9e, 0xa0, 0xa0, 0xa5, 0xa5, 0xab, 0xab, 0xb2, 0xb2, 
0xb5, 0xb5, 0xb6, 0xb6, 0xb3, 0xb3, 0xad, 0xad, 0xa4, 0xa4, 0x99, 0x99, 0x8e, 0x8e, 0x82, 0x82, 0x79, 0x79, 0x72, 0x72, 0x6e, 0x6e, 0x6d, 0x6d, 0x6f, 0x6f, 
0x73, 0x73, 0x7a, 0x7a, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8c, 0x8c, 0x8a, 0x8a, 0x85, 0x85, 0x7c, 0x7c, 0x72, 0x72, 0x66, 0x66, 0x5c, 0x5c, 0x54, 0x54, 
0x4f, 0x4f, 0x4c, 0x4c, 0x4c, 0x4c, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x5d, 0x5d, 0x5e, 0x5e, 0x5e, 0x5e, 0x5b, 0x5b, 0x56, 0x56, 0x50, 0x50, 0x48, 0x48, 
0x41, 0x41, 0x3b, 0x3b, 0x36, 0x36, 0x33, 0x33, 0x31, 0x31, 0x30, 0x30, 0x31, 0x31, 0x32, 0x32, 0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x2f, 0x2f, 0x2d, 0x2d, 
0x2a, 0x2a, 0x27, 0x27, 0x24, 0x24, 0x23, 0x23, 0x24, 0x24, 0x27, 0x27, 0x2b, 0x2b, 0x31, 0x31, 0x37, 0x37, 0x3d, 0x3d, 0x42, 0x42, 0x46, 0x46, 0x48, 0x48, 
0x48, 0x48, 0x46, 0x46, 0x44, 0x44, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3d, 0x3d, 0x40, 0x40, 0x44, 0x44, 0x4a, 0x4a, 0x50, 0x50, 0x57, 0x57, 
0x5f, 0x5f, 0x66, 0x66, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 
0x82, 0x82, 0x8c, 0x8c, 0x97, 0x97, 0xa1, 0xa1, 0xaa, 0xaa, 0xb0, 0xb0, 0xb1, 0xb1, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa4, 0xa4, 0xa1, 0xa1, 0xa0, 0xa0, 
0xa1, 0xa1, 0xa6, 0xa6, 0xad, 0xad, 0xb5, 0xb5, 0xbe, 0xbe, 0xc6, 0xc6, 0xce, 0xce, 0xd2, 0xd2, 0xd4, 0xd4, 0xd2, 0xd2, 0xcc, 0xcc, 0xc4, 0xc4, 0xba, 0xba, 
0xaf, 0xaf, 0xa3, 0xa3, 0x9a, 0x9a, 0x94, 0x94, 0x92, 0x92, 0x94, 0x94, 0x9b, 0x9b, 0xa4, 0xa4, 0xb1, 0xb1, 0xbf, 0xbf, 0xcb, 0xcb, 0xd3, 0xd3, 0xd6, 0xd6, 
0xd5, 0xd5, 0xd0, 0xd0, 0xc6, 0xc6, 0xba, 0xba, 0xad, 0xad, 0xa0, 0xa0, 0x98, 0x98, 0x95, 0x95, 0x95, 0x95, 0x9a, 0x9a, 0xa1, 0xa1, 0xab, 0xab, 0xb5, 0xb5, 
0xbd, 0xbd, 0xc1, 0xc1, 0xc0, 0xc0, 0xba, 0xba, 0xb0, 0xb0, 0xa2, 0xa2, 0x92, 0x92, 0x81, 0x81, 0x71, 0x71, 0x66, 0x66, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 
0x66, 0x66, 0x70, 0x70, 0x7a, 0x7a, 0x85, 0x85, 0x8c, 0x8c, 0x8f, 0x8f, 0x8f, 0x8f, 0x8c, 0x8c, 0x85, 0x85, 0x7b, 0x7b, 0x6f, 0x6f, 0x64, 0x64, 0x5a, 0x5a, 
0x53, 0x53, 0x4e, 0x4e, 0x4c, 0x4c, 0x4e, 0x4e, 0x52, 0x52, 0x58, 0x58, 0x5f, 0x5f, 0x65, 0x65, 0x6a, 0x6a, 0x6c, 0x6c, 0x6c, 0x6c, 0x6a, 0x6a, 0x65, 0x65, 
0x5e, 0x5e, 0x56, 0x56, 0x50, 0x50, 0x4a, 0x4a, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x41, 0x41, 0x40, 0x40, 0x3d, 0x3d, 
0x3b, 0x3b, 0x3a, 0x3a, 0x3a, 0x3a, 0x3c, 0x3c, 0x3f, 0x3f, 0x43, 0x43, 0x48, 0x48, 0x4e, 0x4e, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 
0x58, 0x58, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x51, 0x51, 0x52, 0x52, 0x55, 0x55, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 
0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x83, 0x83, 
0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 
0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc6, 0xc6, 0xcc, 0xcc, 0xd0, 0xd0, 0xd2, 0xd2, 0xd2, 0xd2, 0xd0, 0xd0, 
0xcc, 0xcc, 0xc6, 0xc6, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9d, 0x9d, 0x9a, 0x9a, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa9, 0xa9, 
0xb2, 0xb2, 0xba, 0xba, 0xc1, 0xc1, 0xc6, 0xc6, 0xc7, 0xc7, 0xc5, 0xc5, 0xc1, 0xc1, 0xbc, 0xbc, 0xb5, 0xb5, 0xaf, 0xaf, 0xab, 0xab, 0xa8, 0xa8, 0xa8, 0xa8, 
0xab, 0xab, 0xae, 0xae, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb4, 0xb4, 0xb2, 0xb2, 0xad, 0xad, 0xa6, 0xa6, 0x9e, 0x9e, 0x96, 0x96, 0x8d, 0x8d, 0x84, 0x84, 
0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x79, 0x79, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x8b, 0x8b, 
0x88, 0x88, 0x82, 0x82, 0x7b, 0x7b, 0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 
0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 
0x5d, 0x5d, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x49, 0x49, 0x46, 0x46, 0x45, 0x45, 0x46, 0x46, 0x4a, 0x4a, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 0x60, 0x60, 
0x65, 0x65, 0x66, 0x66, 0x65, 0x65, 0x61, 0x61, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x52, 0x52, 
0x58, 0x58, 0x5e, 0x5e, 0x65, 0x65, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 
0x59, 0x59, 0x5a, 0x5a, 0x5d, 0x5d, 0x63, 0x63, 0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 
0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 
0xa3, 0xa3, 0xa6, 0xa6, 0xaa, 0xaa, 0xae, 0xae, 0xb2, 0xb2, 0xb6, 0xb6, 0xb9, 0xb9, 0xbb, 0xbb, 0xbc, 0xbc, 0xbd, 0xbd, 0xbc, 0xbc, 0xbb, 0xbb, 0xb8, 0xb8, 
0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x9b, 0x9b, 0x97, 0x97, 0x95, 0x95, 0x95, 0x95, 0x98, 0x98, 0x9c, 0x9c, 0xa2, 0xa2, 0xa9, 0xa9, 
0xaf, 0xaf, 0xb4, 0xb4, 0xb9, 0xb9, 0xbc, 0xbc, 0xbd, 0xbd, 0xbd, 0xbd, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb7, 0xb7, 0xb5, 0xb5, 0xb2, 0xb2, 0xaf, 0xaf, 
0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa2, 0xa2, 0x9f, 0x9f, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 
0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x79, 0x79, 0x72, 0x72, 0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5c, 0x5c, 0x5a, 0x5a, 0x5a, 0x5a, 
0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5b, 0x5b, 0x55, 0x55, 
0x4d, 0x4d, 0x46, 0x46, 0x40, 0x40, 0x3b, 0x3b, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 0x3b, 0x3b, 0x3f, 0x3f, 0x44, 0x44, 0x48, 0x48, 0x4b, 0x4b, 0x4c, 0x4c, 
0x4c, 0x4c, 0x4a, 0x4a, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3d, 0x3d, 0x3b, 0x3b, 0x3a, 0x3a, 0x3a, 0x3a, 0x3c, 0x3c, 0x40, 0x40, 0x44, 0x44, 0x49, 0x49, 
0x4e, 0x4e, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 
0x56, 0x56, 0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 
0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb8, 0xb8, 
0xbd, 0xbd, 0xc2, 0xc2, 0xc6, 0xc6, 0xca, 0xca, 0xcc, 0xcc, 0xcc, 0xcc, 0xca, 0xca, 0xc6, 0xc6, 0xc1, 0xc1, 0xba, 0xba, 0xb2, 0xb2, 0xaa, 0xaa, 0xa4, 0xa4, 
0x9f, 0x9f, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa5, 0xa5, 0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 
0xb5, 0xb5, 0xb4, 0xb4, 0xb2, 0xb2, 0xb0, 0xb0, 0xad, 0xad, 0xab, 0xab, 0xa9, 0xa9, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa7, 0xa7, 0xa6, 0xa6, 
0xa4, 0xa4, 0xa0, 0xa0, 0x9a, 0x9a, 0x94, 0x94, 0x8d, 0x8d, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 
0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 
0x52, 0x52, 0x4f, 0x4f, 0x4c, 0x4c, 0x4a, 0x4a, 0x48, 0x48, 0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x45, 0x45, 0x45, 0x45, 0x46, 0x46, 0x46, 0x46, 0x47, 0x47, 
0x47, 0x47, 0x46, 0x46, 0x44, 0x44, 0x42, 0x42, 0x40, 0x40, 0x3f, 0x3f, 0x3e, 0x3e, 0x3d, 0x3d, 0x3e, 0x3e, 0x3f, 0x3f, 0x41, 0x41, 0x43, 0x43, 0x46, 0x46, 
0x48, 0x48, 0x4a, 0x4a, 0x4c, 0x4c, 0x4e, 0x4e, 0x51, 0x51, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 
0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 
0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 
0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 
0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xae, 0xae, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 
0xbb, 0xbb, 0xbb, 0xbb, 0xba, 0xba, 0xb8, 0xb8, 0xb5, 0xb5, 0xb1, 0xb1, 0xad, 0xad, 0xaa, 0xaa, 0xa8, 0xa8, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa4, 0xa4, 
0xa5, 0xa5, 0xa6, 0xa6, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa5, 0xa5, 0xa3, 0xa3, 
0xa1, 0xa1, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x99, 0x99, 
0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 
0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x68, 0x68, 
0x66, 0x66, 0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 
0x4f, 0x4f, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 0x51, 0x51, 
0x54, 0x54, 0x58, 0x58, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x60, 0x60, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 
0x5a, 0x5a, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 
0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 
0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 
0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 
0xa3, 0xa3, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb7, 0xb7, 0xb9, 0xb9, 0xbb, 0xbb, 0xbd, 0xbd, 
0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb9, 0xb9, 0xb6, 0xb6, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xac, 0xac, 
0xaf, 0xaf, 0xb2, 0xb2, 0xb5, 0xb5, 0xb8, 0xb8, 0xba, 0xba, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xaf, 0xaf, 
0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 0x98, 0x98, 0x93, 0x93, 
0x8e, 0x8e, 0x89, 0x89, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 
0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 
0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 
0x59, 0x59, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x49, 0x49, 0x49, 0x49, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 
0x4e, 0x4e, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 0x52, 0x52, 0x51, 0x51, 0x50, 0x50, 0x4e, 0x4e, 0x4c, 0x4c, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 
0x4e, 0x4e, 0x52, 0x52, 0x56, 0x56, 0x5a, 0x5a, 0x5e, 0x5e, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 
0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x6e, 0x6e, 
0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x92, 0x92, 
0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa5, 0xa5, 
0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x94, 0x94, 0x95, 0x95, 0x98, 0x98, 0x9d, 0x9d, 
0xa3, 0xa3, 0xa9, 0xa9, 0xaf, 0xaf, 0xb4, 0xb4, 0xb7, 0xb7, 0xb7, 0xb7, 0xb6, 0xb6, 0xb3, 0xb3, 0xb0, 0xb0, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa5, 0xa5, 
0xa6, 0xa6, 0xa9, 0xa9, 0xad, 0xad, 0xb2, 0xb2, 0xb7, 0xb7, 0xbc, 0xbc, 0xc0, 0xc0, 0xc2, 0xc2, 0xc2, 0xc2, 0xc0, 0xc0, 0xbd, 0xbd, 0xb8, 0xb8, 0xb1, 0xb1, 
0xab, 0xab, 0xa5, 0xa5, 0xa0, 0xa0, 0x9c, 0x9c, 0x9a, 0x9a, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa7, 0xa7, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa0, 0xa0, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 
0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 
0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 
0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x64, 0x64, 
0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 
0x53, 0x53, 0x52, 0x52, 0x51, 0x51, 0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 
0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x52, 0x52, 0x51, 0x51, 0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 
0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x55, 0x55, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 0x5e, 0x5e, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 
0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 
0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 
0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 
0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 
0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 
0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 
0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 
0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 
0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 
0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 
0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 
0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 
0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 
0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 
0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 
0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 
0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 
0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x98, 0x98, 
0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 
0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 
0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 
0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 
0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 
0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 
0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 
0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 
0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 
0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 
0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 
0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 
0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 
0x85, 0x85, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 
0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 
0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 
0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 
0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 
0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 
0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 
0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 
0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 
0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 
0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 
0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 
0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 
0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 
0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 
0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 
0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 
0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 
0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 
0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 
0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 
0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 
0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 
0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 
0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 
0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 
0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 
0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 
0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 
0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 
0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 
0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 
0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 
0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 
0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 
0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 
0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 
0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 
0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 
0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 
0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 
0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 
0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 
0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 
0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 
0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 
0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 
0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 
0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 
0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 
0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 
0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 
0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 
0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 
0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 
0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 
0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 
0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 
0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 
0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 
0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 
0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 
0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x7e, 0x7e, 
0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 
0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 
0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 
0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 
0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 
0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 
0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 
0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 
0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 
0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 
0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 
0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 
0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 
0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 
0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 
0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 
0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 
0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 
0x93, 0x93, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 
0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 
0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x78, 0x78, 0x74, 0x74, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x69, 0x69, 
0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 
0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x70, 0x70, 
0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6c, 0x6c, 
0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 
0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 
0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 
0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 
0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 
0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 
0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 
0x7f, 0x7f, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 
0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 
0x8b, 0x8b, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 
0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 
0x75, 0x75, 0x72, 0x72, 0x72, 0x72, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 0x8e, 0x8e, 
0x89, 0x89, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 0x7c, 0x7c, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 
0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x7e, 0x7e, 0x78, 0x78, 0x73, 0x73, 0x70, 0x70, 0x6f, 0x6f, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 
0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 
0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 
0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 
0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 
0x72, 0x72, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 0x83, 0x83, 0x89, 0x89, 0x8e, 0x8e, 0x8f, 0x8f, 0x8d, 0x8d, 0x88, 0x88, 0x81, 0x81, 
0x77, 0x77, 0x6c, 0x6c, 0x63, 0x63, 0x5c, 0x5c, 0x59, 0x59, 0x5a, 0x5a, 0x5e, 0x5e, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 0x82, 0x82, 0x88, 0x88, 0x8b, 0x8b, 
0x8a, 0x8a, 0x87, 0x87, 0x82, 0x82, 0x7b, 0x7b, 0x73, 0x73, 0x6d, 0x6d, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 
0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 
0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 
0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 
0x9d, 0x9d, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 
0x89, 0x89, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 
0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 
0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 
0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 
0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x56, 0x56, 0x51, 0x51, 
0x51, 0x51, 0x56, 0x56, 0x5f, 0x5f, 0x6a, 0x6a, 0x76, 0x76, 0x83, 0x83, 0x8f, 0x8f, 0x99, 0x99, 0x9e, 0x9e, 0x9e, 0x9e, 0x9b, 0x9b, 0x95, 0x95, 0x8e, 0x8e, 
0x86, 0x86, 0x7e, 0x7e, 0x79, 0x79, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x84, 0x84, 0x8b, 0x8b, 0x92, 0x92, 0x99, 0x99, 0x9e, 0x9e, 0x9f, 0x9f, 0x9d, 0x9d, 
0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 
0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 
0x7e, 0x7e, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 
0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 
0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 
0x71, 0x71, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 
0x5b, 0x5b, 0x5f, 0x5f, 0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x87, 0x87, 0x80, 0x80, 
0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5e, 0x5e, 0x61, 0x61, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 0x87, 0x87, 0x92, 0x92, 0x9b, 0x9b, 
0xa2, 0xa2, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 0x98, 0x98, 0x91, 0x91, 0x8a, 0x8a, 0x84, 0x84, 0x80, 0x80, 0x7f, 0x7f, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 
0x95, 0x95, 0x9c, 0x9c, 0xa1, 0xa1, 0xa3, 0xa3, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 
0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x81, 0x81, 0x7b, 0x7b, 0x77, 0x77, 0x75, 0x75, 0x76, 0x76, 0x7a, 0x7a, 0x81, 0x81, 0x8b, 0x8b, 
0x94, 0x94, 0x9b, 0x9b, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 0x80, 0x80, 0x7a, 0x7a, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 
0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 
0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 
0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x60, 0x60, 0x5c, 0x5c, 0x57, 0x57, 0x54, 0x54, 0x54, 0x54, 0x56, 0x56, 0x5b, 0x5b, 
0x60, 0x60, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x61, 0x61, 0x63, 0x63, 0x6a, 0x6a, 0x74, 0x74, 0x7f, 0x7f, 
0x89, 0x89, 0x91, 0x91, 0x96, 0x96, 0x97, 0x97, 0x93, 0x93, 0x89, 0x89, 0x7d, 0x7d, 0x70, 0x70, 0x66, 0x66, 0x5e, 0x5e, 0x5b, 0x5b, 0x5c, 0x5c, 0x63, 0x63, 
0x6e, 0x6e, 0x7d, 0x7d, 0x8c, 0x8c, 0x99, 0x99, 0xa2, 0xa2, 0xa8, 0xa8, 0xa9, 0xa9, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x83, 0x83, 0x79, 0x79, 0x73, 0x73, 
0x71, 0x71, 0x73, 0x73, 0x7a, 0x7a, 0x84, 0x84, 0x91, 0x91, 0x9c, 0x9c, 0xa5, 0xa5, 0xaa, 0xaa, 0xaa, 0xaa, 0xa7, 0xa7, 0xa0, 0xa0, 0x97, 0x97, 0x8d, 0x8d, 
0x83, 0x83, 0x7b, 0x7b, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x83, 0x83, 0x89, 0x89, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 
0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6d, 0x6d, 0x6f, 0x6f, 
0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8b, 0x8b, 0x82, 0x82, 0x76, 0x76, 0x6a, 0x6a, 0x60, 0x60, 0x5a, 0x5a, 
0x57, 0x57, 0x57, 0x57, 0x5c, 0x5c, 0x64, 0x64, 0x6e, 0x6e, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 0x7f, 0x7f, 0x7a, 0x7a, 0x70, 0x70, 0x64, 0x64, 0x56, 0x56, 
0x48, 0x48, 0x3e, 0x3e, 0x36, 0x36, 0x32, 0x32, 0x32, 0x32, 0x36, 0x36, 0x3d, 0x3d, 0x46, 0x46, 0x51, 0x51, 0x5a, 0x5a, 0x62, 0x62, 0x69, 0x69, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x47, 0x47, 0x4b, 0x4b, 0x51, 0x51, 0x57, 0x57, 
0x5d, 0x5d, 0x62, 0x62, 0x65, 0x65, 0x67, 0x67, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5f, 0x5f, 0x67, 0x67, 
0x71, 0x71, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0xa0, 0xa0, 0xa8, 0xa8, 0xab, 0xab, 0xaa, 0xaa, 0xa4, 0xa4, 0x9c, 0x9c, 0x91, 0x91, 0x84, 0x84, 0x78, 0x78, 
0x6e, 0x6e, 0x68, 0x68, 0x68, 0x68, 0x6d, 0x6d, 0x76, 0x76, 0x83, 0x83, 0x92, 0x92, 0xa2, 0xa2, 0xb0, 0xb0, 0xba, 0xba, 0xc0, 0xc0, 0xc1, 0xc1, 0xbe, 0xbe, 
0xb8, 0xb8, 0xaf, 0xaf, 0xa5, 0xa5, 0x9c, 0x9c, 0x95, 0x95, 0x93, 0x93, 0x94, 0x94, 0x98, 0x98, 0xa0, 0xa0, 0xa9, 0xa9, 0xb4, 0xb4, 0xbd, 0xbd, 0xc4, 0xc4, 
0xc6, 0xc6, 0xc5, 0xc5, 0xc0, 0xc0, 0xb9, 0xb9, 0xaf, 0xaf, 0xa4, 0xa4, 0x9b, 0x9b, 0x94, 0x94, 0x92, 0x92, 0x93, 0x93, 0x97, 0x97, 0x9e, 0x9e, 0xa6, 0xa6, 
0xb0, 0xb0, 0xb8, 0xb8, 0xbf, 0xbf, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xa9, 0xa9, 0x9f, 0x9f, 0x95, 0x95, 0x8c, 0x8c, 
0x84, 0x84, 0x7f, 0x7f, 0x7d, 0x7d, 0x7e, 0x7e, 0x82, 0x82, 0x88, 0x88, 0x90, 0x90, 0x99, 0x99, 0xa0, 0xa0, 0xa5, 0xa5, 0xa5, 0xa5, 0xa3, 0xa3, 0x9d, 0x9d, 
0x95, 0x95, 0x8b, 0x8b, 0x81, 0x81, 0x77, 0x77, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 0x76, 0x76, 
0x73, 0x73, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 0x57, 0x57, 0x4f, 0x4f, 0x49, 0x49, 0x46, 0x46, 0x47, 0x47, 0x4c, 0x4c, 0x52, 0x52, 0x5a, 0x5a, 0x62, 0x62, 
0x69, 0x69, 0x6f, 0x6f, 0x71, 0x71, 0x70, 0x70, 0x6c, 0x6c, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 
0x51, 0x51, 0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x65, 0x65, 0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 
0x6d, 0x6d, 0x75, 0x75, 0x7f, 0x7f, 0x8a, 0x8a, 0x96, 0x96, 0xa1, 0xa1, 0xab, 0xab, 0xb2, 0xb2, 0xb5, 0xb5, 0xb4, 0xb4, 0xae, 0xae, 0xa5, 0xa5, 0x9a, 0x9a, 
0x8c, 0x8c, 0x7e, 0x7e, 0x72, 0x72, 0x6b, 0x6b, 0x6a, 0x6a, 0x6e, 0x6e, 0x77, 0x77, 0x84, 0x84, 0x95, 0x95, 0xa7, 0xa7, 0xb8, 0xb8, 0xc3, 0xc3, 0xc9, 0xc9, 
0xca, 0xca, 0xc7, 0xc7, 0xc0, 0xc0, 0xb7, 0xb7, 0xad, 0xad, 0xa5, 0xa5, 0xa2, 0xa2, 0xa4, 0xa4, 0xaa, 0xaa, 0xb2, 0xb2, 0xbb, 0xbb, 0xc4, 0xc4, 0xcc, 0xcc, 
0xd1, 0xd1, 0xd1, 0xd1, 0xcd, 0xcd, 0xc6, 0xc6, 0xbc, 0xbc, 0xb2, 0xb2, 0xa8, 0xa8, 0x9f, 0x9f, 0x98, 0x98, 0x93, 0x93, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 
0x99, 0x99, 0x9e, 0x9e, 0xa4, 0xa4, 0xab, 0xab, 0xb1, 0xb1, 0xb6, 0xb6, 0xba, 0xba, 0xbd, 0xbd, 0xbc, 0xbc, 0xb8, 0xb8, 0xb2, 0xb2, 0xa9, 0xa9, 0x9f, 0x9f, 
0x93, 0x93, 0x87, 0x87, 0x7d, 0x7d, 0x76, 0x76, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x95, 0x95, 0x94, 0x94, 
0x90, 0x90, 0x89, 0x89, 0x82, 0x82, 0x79, 0x79, 0x71, 0x71, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x53, 0x53, 
0x4d, 0x4d, 0x46, 0x46, 0x3f, 0x3f, 0x38, 0x38, 0x33, 0x33, 0x30, 0x30, 0x30, 0x30, 0x33, 0x33, 0x38, 0x38, 0x3f, 0x3f, 0x47, 0x47, 0x4f, 0x4f, 0x56, 0x56, 
0x5c, 0x5c, 0x5f, 0x5f, 0x60, 0x60, 0x5f, 0x5f, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4c, 0x4c, 0x47, 0x47, 0x43, 0x43, 0x40, 0x40, 0x3e, 0x3e, 0x3c, 0x3c, 
0x3c, 0x3c, 0x3d, 0x3d, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x4a, 0x4a, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 
0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x74, 0x74, 0x7b, 0x7b, 0x83, 0x83, 0x8c, 0x8c, 0x96, 0x96, 0x9f, 0x9f, 0xa5, 0xa5, 0xa7, 0xa7, 0xa5, 0xa5, 0x9e, 0x9e, 
0x94, 0x94, 0x88, 0x88, 0x7b, 0x7b, 0x6f, 0x6f, 0x67, 0x67, 0x64, 0x64, 0x68, 0x68, 0x71, 0x71, 0x7e, 0x7e, 0x8d, 0x8d, 0x9d, 0x9d, 0xac, 0xac, 0xb8, 0xb8, 
0xbe, 0xbe, 0xbe, 0xbe, 0xb9, 0xb9, 0xb1, 0xb1, 0xa9, 0xa9, 0xa1, 0xa1, 0x9b, 0x9b, 0x98, 0x98, 0x99, 0x99, 0xa0, 0xa0, 0xaa, 0xaa, 0xb4, 0xb4, 0xbd, 0xbd, 
0xc3, 0xc3, 0xc6, 0xc6, 0xc5, 0xc5, 0xbf, 0xbf, 0xb6, 0xb6, 0xa9, 0xa9, 0x9d, 0x9d, 0x92, 0x92, 0x8a, 0x8a, 0x84, 0x84, 0x82, 0x82, 0x83, 0x83, 0x87, 0x87, 
0x8d, 0x8d, 0x94, 0x94, 0x9b, 0x9b, 0xa0, 0xa0, 0xa5, 0xa5, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 0x97, 0x97, 
0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x62, 0x62, 0x5e, 0x5e, 0x5a, 0x5a, 0x55, 0x55, 
0x4f, 0x4f, 0x4a, 0x4a, 0x44, 0x44, 0x40, 0x40, 0x3c, 0x3c, 0x3a, 0x3a, 0x39, 0x39, 0x3a, 0x3a, 0x3c, 0x3c, 0x40, 0x40, 0x44, 0x44, 0x49, 0x49, 0x4f, 0x4f, 
0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 
0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 
0x76, 0x76, 0x7f, 0x7f, 0x88, 0x88, 0x91, 0x91, 0x9a, 0x9a, 0xa2, 0xa2, 0xa9, 0xa9, 0xaf, 0xaf, 0xb3, 0xb3, 0xb4, 0xb4, 0xb3, 0xb3, 0xaf, 0xaf, 0xa9, 0xa9, 
0xa0, 0xa0, 0x95, 0x95, 0x8b, 0x8b, 0x83, 0x83, 0x7e, 0x7e, 0x7c, 0x7c, 0x7e, 0x7e, 0x85, 0x85, 0x91, 0x91, 0xa0, 0xa0, 0xb0, 0xb0, 0xbe, 0xbe, 0xca, 0xca, 
0xd2, 0xd2, 0xd6, 0xd6, 0xd4, 0xd4, 0xcc, 0xcc, 0xc0, 0xc0, 0xb3, 0xb3, 0xa8, 0xa8, 0xa1, 0xa1, 0x9d, 0x9d, 0x9d, 0x9d, 0xa3, 0xa3, 0xad, 0xad, 0xb9, 0xb9, 
0xc6, 0xc6, 0xcf, 0xcf, 0xd3, 0xd3, 0xd3, 0xd3, 0xce, 0xce, 0xc4, 0xc4, 0xb6, 0xb6, 0xa6, 0xa6, 0x96, 0x96, 0x89, 0x89, 0x80, 0x80, 0x7c, 0x7c, 0x7c, 0x7c, 
0x80, 0x80, 0x89, 0x89, 0x93, 0x93, 0x9e, 0x9e, 0xa7, 0xa7, 0xad, 0xad, 0xb1, 0xb1, 0xb1, 0xb1, 0xae, 0xae, 0xa7, 0xa7, 0x9d, 0x9d, 0x93, 0x93, 0x88, 0x88, 
0x7e, 0x7e, 0x75, 0x75, 0x6d, 0x6d, 0x68, 0x68, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 
0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x4f, 0x4f, 0x4b, 0x4b, 0x49, 0x49, 
0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x4d, 0x4d, 0x4f, 0x4f, 0x50, 0x50, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 
0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 
0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x59, 0x59, 0x56, 0x56, 0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x71, 0x71, 0x7b, 0x7b, 0x85, 0x85, 
0x8e, 0x8e, 0x97, 0x97, 0x9e, 0x9e, 0xa4, 0xa4, 0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 
0xae, 0xae, 0xa6, 0xa6, 0x9d, 0x9d, 0x93, 0x93, 0x8a, 0x8a, 0x84, 0x84, 0x82, 0x82, 0x84, 0x84, 0x8a, 0x8a, 0x94, 0x94, 0xa2, 0xa2, 0xb1, 0xb1, 0xc0, 0xc0, 
0xca, 0xca, 0xd0, 0xd0, 0xd1, 0xd1, 0xce, 0xce, 0xc7, 0xc7, 0xbd, 0xbd, 0xb2, 0xb2, 0xa9, 0xa9, 0xa4, 0xa4, 0xa5, 0xa5, 0xab, 0xab, 0xb3, 0xb3, 0xbd, 0xbd, 
0xc8, 0xc8, 0xd1, 0xd1, 0xd6, 0xd6, 0xd4, 0xd4, 0xcb, 0xcb, 0xbd, 0xbd, 0xac, 0xac, 0x9a, 0x9a, 0x88, 0x88, 0x78, 0x78, 0x6d, 0x6d, 0x68, 0x68, 0x69, 0x69, 
0x70, 0x70, 0x7a, 0x7a, 0x86, 0x86, 0x92, 0x92, 0x9c, 0x9c, 0xa4, 0xa4, 0xa8, 0xa8, 0xa7, 0xa7, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 
0x75, 0x75, 0x6d, 0x6d, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 
0x76, 0x76, 0x73, 0x73, 0x6d, 0x6d, 0x66, 0x66, 0x5d, 0x5d, 0x54, 0x54, 0x4b, 0x4b, 0x43, 0x43, 0x3d, 0x3d, 0x3a, 0x3a, 0x39, 0x39, 0x3a, 0x3a, 0x3c, 0x3c, 
0x40, 0x40, 0x45, 0x45, 0x4a, 0x4a, 0x4e, 0x4e, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 
0x4a, 0x4a, 0x4b, 0x4b, 0x4e, 0x4e, 0x52, 0x52, 0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x62, 0x62, 
0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x67, 0x67, 0x6f, 0x6f, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 
0x99, 0x99, 0xa2, 0xa2, 0xa9, 0xa9, 0xaf, 0xaf, 0xb2, 0xb2, 0xb3, 0xb3, 0xb1, 0xb1, 0xaf, 0xaf, 0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 
0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8e, 0x8e, 0x97, 0x97, 0xa3, 0xa3, 0xb0, 0xb0, 0xbd, 0xbd, 0xc8, 0xc8, 0xd0, 0xd0, 
0xd4, 0xd4, 0xd5, 0xd5, 0xd0, 0xd0, 0xc8, 0xc8, 0xbd, 0xbd, 0xb1, 0xb1, 0xa8, 0xa8, 0xa2, 0xa2, 0xa0, 0xa0, 0xa1, 0xa1, 0xa7, 0xa7, 0xb0, 0xb0, 0xbb, 0xbb, 
0xc4, 0xc4, 0xca, 0xca, 0xcb, 0xcb, 0xc7, 0xc7, 0xbf, 0xbf, 0xb3, 0xb3, 0xa4, 0xa4, 0x95, 0x95, 0x87, 0x87, 0x7e, 0x7e, 0x79, 0x79, 0x79, 0x79, 0x7d, 0x7d, 
0x84, 0x84, 0x8e, 0x8e, 0x98, 0x98, 0xa2, 0xa2, 0xab, 0xab, 0xb1, 0xb1, 0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xb1, 0xb1, 0xac, 0xac, 0xa5, 0xa5, 0x9d, 0x9d, 
0x93, 0x93, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 0x6c, 0x6c, 0x65, 0x65, 0x61, 0x61, 0x61, 0x61, 0x64, 0x64, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x7e, 0x7e, 
0x81, 0x81, 0x82, 0x82, 0x7e, 0x7e, 0x77, 0x77, 0x6d, 0x6d, 0x61, 0x61, 0x56, 0x56, 0x4d, 0x4d, 0x45, 0x45, 0x40, 0x40, 0x3e, 0x3e, 0x40, 0x40, 0x44, 0x44, 
0x4a, 0x4a, 0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 
0x48, 0x48, 0x47, 0x47, 0x46, 0x46, 0x46, 0x46, 0x47, 0x47, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x52, 0x52, 0x55, 0x55, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 
0x5c, 0x5c, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x70, 0x70, 0x78, 0x78, 0x80, 0x80, 
0x87, 0x87, 0x8e, 0x8e, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 
0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x63, 0x63, 0x68, 0x68, 0x71, 0x71, 0x7c, 0x7c, 0x89, 0x89, 0x96, 0x96, 0xa3, 0xa3, 0xad, 0xad, 0xb4, 0xb4, 
0xb6, 0xb6, 0xb3, 0xb3, 0xab, 0xab, 0xa1, 0xa1, 0x96, 0x96, 0x8d, 0x8d, 0x85, 0x85, 0x80, 0x80, 0x81, 0x81, 0x87, 0x87, 0x91, 0x91, 0x9c, 0x9c, 0xa5, 0xa5, 
0xad, 0xad, 0xb0, 0xb0, 0xb0, 0xb0, 0xaa, 0xaa, 0xa0, 0xa0, 0x92, 0x92, 0x84, 0x84, 0x79, 0x79, 0x72, 0x72, 0x6f, 0x6f, 0x71, 0x71, 0x78, 0x78, 0x83, 0x83, 
0x91, 0x91, 0x9f, 0x9f, 0xab, 0xab, 0xb3, 0xb3, 0xb9, 0xb9, 0xbb, 0xbb, 0xba, 0xba, 0xb6, 0xb6, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 
0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9b, 0x9b, 
0x99, 0x99, 0x94, 0x94, 0x8c, 0x8c, 0x84, 0x84, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x66, 0x66, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 
0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 
0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 
0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x83, 0x83, 0x8c, 0x8c, 
0x95, 0x95, 0x9d, 0x9d, 0xa4, 0xa4, 0xa9, 0xa9, 0xac, 0xac, 0xac, 0xac, 0xa9, 0xa9, 0xa3, 0xa3, 0x9b, 0x9b, 0x90, 0x90, 0x83, 0x83, 0x76, 0x76, 0x6a, 0x6a, 
0x60, 0x60, 0x58, 0x58, 0x54, 0x54, 0x55, 0x55, 0x5b, 0x5b, 0x64, 0x64, 0x70, 0x70, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0x9e, 0x9e, 0xa3, 0xa3, 0xa2, 0xa2, 
0x9e, 0x9e, 0x98, 0x98, 0x90, 0x90, 0x87, 0x87, 0x7f, 0x7f, 0x7a, 0x7a, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x8b, 0x8b, 0x94, 0x94, 0x9e, 0x9e, 0xa5, 0xa5, 
0xaa, 0xaa, 0xa9, 0xa9, 0xa4, 0xa4, 0x9a, 0x9a, 0x8e, 0x8e, 0x81, 0x81, 0x75, 0x75, 0x6a, 0x6a, 0x63, 0x63, 0x61, 0x61, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 
0x86, 0x86, 0x93, 0x93, 0xa0, 0xa0, 0xaa, 0xaa, 0xb0, 0xb0, 0xb2, 0xb2, 0xb0, 0xb0, 0xab, 0xab, 0xa4, 0xa4, 0x9a, 0x9a, 0x90, 0x90, 0x86, 0x86, 0x7d, 0x7d, 
0x76, 0x76, 0x71, 0x71, 0x6f, 0x6f, 0x70, 0x70, 0x74, 0x74, 0x7a, 0x7a, 0x82, 0x82, 0x8b, 0x8b, 0x93, 0x93, 0x9b, 0x9b, 0xa0, 0xa0, 0xa1, 0xa1, 0x9e, 0x9e, 
0x98, 0x98, 0x8f, 0x8f, 0x84, 0x84, 0x78, 0x78, 0x6c, 0x6c, 0x62, 0x62, 0x5c, 0x5c, 0x5b, 0x5b, 0x5d, 0x5d, 0x62, 0x62, 0x69, 0x69, 0x72, 0x72, 0x7a, 0x7a, 
0x82, 0x82, 0x86, 0x86, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 
0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 
0x52, 0x52, 0x50, 0x50, 0x51, 0x51, 0x55, 0x55, 0x5b, 0x5b, 0x64, 0x64, 0x6d, 0x6d, 0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x8c, 0x8c, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x75, 0x75, 0x6c, 0x6c, 0x61, 0x61, 0x55, 0x55, 
0x4b, 0x4b, 0x44, 0x44, 0x41, 0x41, 0x43, 0x43, 0x49, 0x49, 0x55, 0x55, 0x65, 0x65, 0x78, 0x78, 0x8b, 0x8b, 0x9a, 0x9a, 0xa6, 0xa6, 0xad, 0xad, 0xae, 0xae, 
0xaa, 0xaa, 0xa0, 0xa0, 0x93, 0x93, 0x85, 0x85, 0x79, 0x79, 0x70, 0x70, 0x6b, 0x6b, 0x69, 0x69, 0x6d, 0x6d, 0x76, 0x76, 0x81, 0x81, 0x8d, 0x8d, 0x96, 0x96, 
0x9d, 0x9d, 0xa0, 0xa0, 0x9f, 0x9f, 0x9a, 0x9a, 0x8f, 0x8f, 0x83, 0x83, 0x76, 0x76, 0x6a, 0x6a, 0x62, 0x62, 0x5d, 0x5d, 0x5d, 0x5d, 0x61, 0x61, 0x6a, 0x6a, 
0x77, 0x77, 0x86, 0x86, 0x94, 0x94, 0xa0, 0xa0, 0xab, 0xab, 0xb2, 0xb2, 0xb4, 0xb4, 0xb0, 0xb0, 0xa9, 0xa9, 0x9f, 0x9f, 0x92, 0x92, 0x84, 0x84, 0x76, 0x76, 
0x6a, 0x6a, 0x62, 0x62, 0x5e, 0x5e, 0x5f, 0x5f, 0x64, 0x64, 0x6e, 0x6e, 0x7c, 0x7c, 0x8b, 0x8b, 0x9b, 0x9b, 0xa7, 0xa7, 0xaf, 0xaf, 0xb2, 0xb2, 0xb0, 0xb0, 
0xa8, 0xa8, 0x9b, 0x9b, 0x8a, 0x8a, 0x78, 0x78, 0x69, 0x69, 0x5e, 0x5e, 0x57, 0x57, 0x56, 0x56, 0x5a, 0x5a, 0x64, 0x64, 0x71, 0x71, 0x7e, 0x7e, 0x8a, 0x8a, 
0x91, 0x91, 0x96, 0x96, 0x96, 0x96, 0x91, 0x91, 0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x6f, 0x6f, 0x6b, 0x6b, 0x6b, 0x6b, 0x6e, 0x6e, 0x74, 0x74, 0x7c, 0x7c, 
0x85, 0x85, 0x8e, 0x8e, 0x94, 0x94, 0x97, 0x97, 0x97, 0x97, 0x94, 0x94, 0x8e, 0x8e, 0x85, 0x85, 0x7b, 0x7b, 0x70, 0x70, 0x66, 0x66, 0x5d, 0x5d, 0x56, 0x56, 
0x52, 0x52, 0x51, 0x51, 0x54, 0x54, 0x5a, 0x5a, 0x62, 0x62, 0x6b, 0x6b, 0x76, 0x76, 0x81, 0x81, 0x8b, 0x8b, 0x92, 0x92, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 
0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x8a, 0x8a, 0x88, 0x88, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8a, 0x8a, 0x85, 0x85, 0x7c, 0x7c, 
0x70, 0x70, 0x62, 0x62, 0x54, 0x54, 0x48, 0x48, 0x40, 0x40, 0x3d, 0x3d, 0x3f, 0x3f, 0x48, 0x48, 0x57, 0x57, 0x6b, 0x6b, 0x81, 0x81, 0x95, 0x95, 0xa6, 0xa6, 
0xb3, 0xb3, 0xba, 0xba, 0xb8, 0xb8, 0xaf, 0xaf, 0xa0, 0xa0, 0x8e, 0x8e, 0x7b, 0x7b, 0x6b, 0x6b, 0x5e, 0x5e, 0x56, 0x56, 0x56, 0x56, 0x5d, 0x5d, 0x6a, 0x6a, 
0x7a, 0x7a, 0x89, 0x89, 0x95, 0x95, 0x9e, 0x9e, 0xa2, 0xa2, 0x9e, 0x9e, 0x93, 0x93, 0x82, 0x82, 0x70, 0x70, 0x5e, 0x5e, 0x4f, 0x4f, 0x43, 0x43, 0x3e, 0x3e, 
0x41, 0x41, 0x4b, 0x4b, 0x5b, 0x5b, 0x6f, 0x6f, 0x82, 0x82, 0x95, 0x95, 0xa4, 0xa4, 0xaf, 0xaf, 0xb2, 0xb2, 0xae, 0xae, 0xa4, 0xa4, 0x96, 0x96, 0x84, 0x84, 
0x71, 0x71, 0x5f, 0x5f, 0x4f, 0x4f, 0x45, 0x45, 0x41, 0x41, 0x43, 0x43, 0x4b, 0x4b, 0x58, 0x58, 0x69, 0x69, 0x7d, 0x7d, 0x8f, 0x8f, 0x9d, 0x9d, 0xa6, 0xa6, 
0xa9, 0xa9, 0xa6, 0xa6, 0x9c, 0x9c, 0x8c, 0x8c, 0x77, 0x77, 0x63, 0x63, 0x52, 0x52, 0x45, 0x45, 0x3e, 0x3e, 0x3c, 0x3c, 0x42, 0x42, 0x4f, 0x4f, 0x5f, 0x5f, 
0x71, 0x71, 0x81, 0x81, 0x8c, 0x8c, 0x94, 0x94, 0x96, 0x96, 0x93, 0x93, 0x8b, 0x8b, 0x7f, 0x7f, 0x73, 0x73, 0x69, 0x69, 0x61, 0x61, 0x5c, 0x5c, 0x5b, 0x5b, 
0x5e, 0x5e, 0x65, 0x65, 0x6e, 0x6e, 0x78, 0x78, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x8f, 0x8f, 0x8e, 0x8e, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x75, 0x75, 
0x6f, 0x6f, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x6a, 0x6a, 0x6f, 0x6f, 0x77, 0x77, 0x80, 0x80, 0x8a, 0x8a, 0x95, 0x95, 0x9e, 0x9e, 0xa5, 0xa5, 0xaa, 0xaa, 
0xac, 0xac, 0xad, 0xad, 0xac, 0xac, 0xaa, 0xaa, 0xa7, 0xa7, 0xa5, 0xa5, 0xa3, 0xa3, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 
0x9e, 0x9e, 0x98, 0x98, 0x91, 0x91, 0x88, 0x88, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8e, 0x8e, 0x9d, 0x9d, 0xac, 0xac, 
0xb8, 0xb8, 0xc0, 0xc0, 0xc5, 0xc5, 0xc5, 0xc5, 0xbf, 0xbf, 0xb4, 0xb4, 0xa5, 0xa5, 0x96, 0x96, 0x8a, 0x8a, 0x81, 0x81, 0x7c, 0x7c, 0x7d, 0x7d, 0x83, 0x83, 
0x8f, 0x8f, 0x9e, 0x9e, 0xad, 0xad, 0xb8, 0xb8, 0xbe, 0xbe, 0xc0, 0xc0, 0xbb, 0xbb, 0xb0, 0xb0, 0xa0, 0xa0, 0x8c, 0x8c, 0x78, 0x78, 0x68, 0x68, 0x5c, 0x5c, 
0x56, 0x56, 0x55, 0x55, 0x5a, 0x5a, 0x65, 0x65, 0x74, 0x74, 0x84, 0x84, 0x93, 0x93, 0x9e, 0x9e, 0xa7, 0xa7, 0xab, 0xab, 0xa9, 0xa9, 0xa3, 0xa3, 0x99, 0x99, 
0x8c, 0x8c, 0x7e, 0x7e, 0x70, 0x70, 0x64, 0x64, 0x5a, 0x5a, 0x54, 0x54, 0x53, 0x53, 0x56, 0x56, 0x5d, 0x5d, 0x67, 0x67, 0x75, 0x75, 0x83, 0x83, 0x91, 0x91, 
0x9b, 0x9b, 0xa0, 0xa0, 0xa0, 0xa0, 0x9c, 0x9c, 0x92, 0x92, 0x84, 0x84, 0x73, 0x73, 0x63, 0x63, 0x55, 0x55, 0x4b, 0x4b, 0x45, 0x45, 0x43, 0x43, 0x47, 0x47, 
0x4f, 0x4f, 0x59, 0x59, 0x64, 0x64, 0x6e, 0x6e, 0x75, 0x75, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x74, 0x74, 0x6e, 0x6e, 0x67, 0x67, 0x61, 0x61, 0x5b, 0x5b, 
0x57, 0x57, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 
0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x61, 0x61, 0x5b, 0x5b, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x73, 0x73, 0x80, 0x80, 0x8c, 0x8c, 
0x97, 0x97, 0x9f, 0x9f, 0xa5, 0xa5, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa1, 0xa1, 0x9d, 0x9d, 0x99, 0x99, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 
0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x80, 0x80, 0x87, 0x87, 0x91, 0x91, 
0x9e, 0x9e, 0xac, 0xac, 0xb8, 0xb8, 0xc2, 0xc2, 0xc9, 0xc9, 0xcb, 0xcb, 0xc8, 0xc8, 0xbf, 0xbf, 0xb2, 0xb2, 0xa5, 0xa5, 0x98, 0x98, 0x8e, 0x8e, 0x86, 0x86, 
0x83, 0x83, 0x85, 0x85, 0x8c, 0x8c, 0x96, 0x96, 0xa0, 0xa0, 0xa9, 0xa9, 0xae, 0xae, 0xb0, 0xb0, 0xae, 0xae, 0xa7, 0xa7, 0x9b, 0x9b, 0x8c, 0x8c, 0x7c, 0x7c, 
0x6e, 0x6e, 0x63, 0x63, 0x5b, 0x5b, 0x57, 0x57, 0x59, 0x59, 0x5f, 0x5f, 0x68, 0x68, 0x74, 0x74, 0x80, 0x80, 0x8b, 0x8b, 0x96, 0x96, 0x9d, 0x9d, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9b, 0x9b, 0x93, 0x93, 0x89, 0x89, 0x7e, 0x7e, 0x71, 0x71, 0x66, 0x66, 0x5e, 0x5e, 0x59, 0x59, 0x57, 0x57, 0x59, 0x59, 0x5f, 0x5f, 0x67, 0x67, 
0x71, 0x71, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x88, 0x88, 0x85, 0x85, 0x7e, 0x7e, 0x74, 0x74, 0x67, 0x67, 0x5a, 0x5a, 0x4f, 0x4f, 0x47, 0x47, 0x42, 0x42, 
0x40, 0x40, 0x43, 0x43, 0x49, 0x49, 0x53, 0x53, 0x5e, 0x5e, 0x68, 0x68, 0x71, 0x71, 0x77, 0x77, 0x7b, 0x7b, 0x7b, 0x7b, 0x77, 0x77, 0x70, 0x70, 0x68, 0x68, 
0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 0x4d, 0x4d, 0x4d, 0x4d, 0x51, 0x51, 0x57, 0x57, 0x5f, 0x5f, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 0x7e, 0x7e, 0x80, 0x80, 
0x7d, 0x7d, 0x78, 0x78, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5a, 0x5a, 0x56, 0x56, 0x56, 0x56, 0x5a, 0x5a, 0x62, 0x62, 0x6b, 0x6b, 0x75, 0x75, 0x7e, 0x7e, 
0x88, 0x88, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x96, 0x96, 0x9a, 0x9a, 0xa0, 0xa0, 
0xa7, 0xa7, 0xae, 0xae, 0xb7, 0xb7, 0xbf, 0xbf, 0xc6, 0xc6, 0xca, 0xca, 0xcc, 0xcc, 0xca, 0xca, 0xc5, 0xc5, 0xbc, 0xbc, 0xaf, 0xaf, 0x9f, 0x9f, 0x90, 0x90, 
0x83, 0x83, 0x78, 0x78, 0x71, 0x71, 0x70, 0x70, 0x74, 0x74, 0x80, 0x80, 0x90, 0x90, 0xa1, 0xa1, 0xb3, 0xb3, 0xc3, 0xc3, 0xd0, 0xd0, 0xd8, 0xd8, 0xda, 0xda, 
0xd4, 0xd4, 0xc9, 0xc9, 0xbb, 0xbb, 0xac, 0xac, 0x9d, 0x9d, 0x91, 0x91, 0x88, 0x88, 0x84, 0x84, 0x87, 0x87, 0x8d, 0x8d, 0x96, 0x96, 0xa0, 0xa0, 0xa9, 0xa9, 
0xb1, 0xb1, 0xb4, 0xb4, 0xb3, 0xb3, 0xab, 0xab, 0x9f, 0x9f, 0x91, 0x91, 0x81, 0x81, 0x71, 0x71, 0x63, 0x63, 0x58, 0x58, 0x53, 0x53, 0x54, 0x54, 0x5a, 0x5a, 
0x63, 0x63, 0x70, 0x70, 0x7e, 0x7e, 0x8d, 0x8d, 0x9a, 0x9a, 0xa2, 0xa2, 0xa5, 0xa5, 0xa2, 0xa2, 0x9b, 0x9b, 0x90, 0x90, 0x80, 0x80, 0x6d, 0x6d, 0x5b, 0x5b, 
0x4a, 0x4a, 0x3d, 0x3d, 0x33, 0x33, 0x2f, 0x2f, 0x31, 0x31, 0x3a, 0x3a, 0x48, 0x48, 0x58, 0x58, 0x68, 0x68, 0x78, 0x78, 0x85, 0x85, 0x8d, 0x8d, 0x8d, 0x8d, 
0x84, 0x84, 0x75, 0x75, 0x62, 0x62, 0x4c, 0x4c, 0x35, 0x35, 0x20, 0x20, 0x10, 0x10, 0x07, 0x07, 0x08, 0x08, 0x11, 0x11, 0x1f, 0x1f, 0x31, 0x31, 0x47, 0x47, 
0x5c, 0x5c, 0x6e, 0x6e, 0x79, 0x79, 0x7d, 0x7d, 0x7a, 0x7a, 0x71, 0x71, 0x65, 0x65, 0x55, 0x55, 0x46, 0x46, 0x38, 0x38, 0x30, 0x30, 0x2e, 0x2e, 0x32, 0x32, 
0x3a, 0x3a, 0x44, 0x44, 0x51, 0x51, 0x5f, 0x5f, 0x6b, 0x6b, 0x73, 0x73, 0x76, 0x76, 0x76, 0x76, 0x72, 0x72, 0x6b, 0x6b, 0x62, 0x62, 0x58, 0x58, 0x4f, 0x4f, 
0x48, 0x48, 0x45, 0x45, 0x46, 0x46, 0x4a, 0x4a, 0x53, 0x53, 0x5f, 0x5f, 0x6f, 0x6f, 0x7f, 0x7f, 0x8e, 0x8e, 0x9b, 0x9b, 0xa6, 0xa6, 0xac, 0xac, 0xad, 0xad, 
0xa9, 0xa9, 0xa2, 0xa2, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 0x84, 0x84, 0x88, 0x88, 0x92, 0x92, 0xa0, 0xa0, 0xaf, 0xaf, 0xbd, 0xbd, 0xc9, 0xc9, 
0xd1, 0xd1, 0xd5, 0xd5, 0xd2, 0xd2, 0xc9, 0xc9, 0xba, 0xba, 0xa9, 0xa9, 0x97, 0x97, 0x87, 0x87, 0x79, 0x79, 0x70, 0x70, 0x6e, 0x6e, 0x75, 0x75, 0x81, 0x81, 
0x92, 0x92, 0xa5, 0xa5, 0xb8, 0xb8, 0xcb, 0xcb, 0xd9, 0xd9, 0xe0, 0xe0, 0xdf, 0xdf, 0xd8, 0xd8, 0xcc, 0xcc, 0xbd, 0xbd, 0xac, 0xac, 0x9b, 0x9b, 0x8d, 0x8d, 
0x85, 0x85, 0x84, 0x84, 0x88, 0x88, 0x92, 0x92, 0x9e, 0x9e, 0xad, 0xad, 0xbb, 0xbb, 0xc6, 0xc6, 0xca, 0xca, 0xc8, 0xc8, 0xbf, 0xbf, 0xb1, 0xb1, 0x9f, 0x9f, 
0x8a, 0x8a, 0x76, 0x76, 0x64, 0x64, 0x58, 0x58, 0x52, 0x52, 0x54, 0x54, 0x5a, 0x5a, 0x66, 0x66, 0x76, 0x76, 0x87, 0x87, 0x97, 0x97, 0xa3, 0xa3, 0xa9, 0xa9, 
0xaa, 0xaa, 0xa5, 0xa5, 0x9b, 0x9b, 0x8c, 0x8c, 0x79, 0x79, 0x67, 0x67, 0x56, 0x56, 0x4a, 0x4a, 0x42, 0x42, 0x3f, 0x3f, 0x42, 0x42, 0x4c, 0x4c, 0x5a, 0x5a, 
0x69, 0x69, 0x77, 0x77, 0x83, 0x83, 0x8b, 0x8b, 0x8d, 0x8d, 0x8a, 0x8a, 0x80, 0x80, 0x71, 0x71, 0x60, 0x60, 0x4f, 0x4f, 0x40, 0x40, 0x33, 0x33, 0x2c, 0x2c, 
0x2a, 0x2a, 0x30, 0x30, 0x3a, 0x3a, 0x47, 0x47, 0x54, 0x54, 0x62, 0x62, 0x6d, 0x6d, 0x75, 0x75, 0x78, 0x78, 0x75, 0x75, 0x6d, 0x6d, 0x63, 0x63, 0x57, 0x57, 
0x4c, 0x4c, 0x41, 0x41, 0x39, 0x39, 0x37, 0x37, 0x39, 0x39, 0x40, 0x40, 0x4a, 0x4a, 0x55, 0x55, 0x62, 0x62, 0x6f, 0x6f, 0x79, 0x79, 0x7e, 0x7e, 0x7f, 0x7f, 
0x7c, 0x7c, 0x75, 0x75, 0x6c, 0x6c, 0x62, 0x62, 0x57, 0x57, 0x4e, 0x4e, 0x49, 0x49, 0x4a, 0x4a, 0x4f, 0x4f, 0x57, 0x57, 0x63, 0x63, 0x70, 0x70, 0x7f, 0x7f, 
0x8d, 0x8d, 0x97, 0x97, 0x9d, 0x9d, 0xa0, 0xa0, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x88, 0x88, 0x89, 0x89, 0x8c, 0x8c, 0x92, 0x92, 
0x9c, 0x9c, 0xa9, 0xa9, 0xb7, 0xb7, 0xc5, 0xc5, 0xcf, 0xcf, 0xd6, 0xd6, 0xd8, 0xd8, 0xd5, 0xd5, 0xcc, 0xcc, 0xbd, 0xbd, 0xaa, 0xaa, 0x97, 0x97, 0x87, 0x87, 
0x7b, 0x7b, 0x74, 0x74, 0x73, 0x73, 0x7c, 0x7c, 0x8c, 0x8c, 0xa3, 0xa3, 0xbb, 0xbb, 0xd0, 0xd0, 0xe2, 0xe2, 0xef, 0xef, 0xf4, 0xf4, 0xef, 0xef, 0xe1, 0xe1, 
0xcd, 0xcd, 0xb5, 0xb5, 0x9f, 0x9f, 0x8a, 0x8a, 0x7a, 0x7a, 0x71, 0x71, 0x71, 0x71, 0x79, 0x79, 0x88, 0x88, 0x99, 0x99, 0xaa, 0xaa, 0xb8, 0xb8, 0xc3, 0xc3, 
0xc6, 0xc6, 0xc2, 0xc2, 0xb6, 0xb6, 0xa3, 0xa3, 0x8e, 0x8e, 0x79, 0x79, 0x66, 0x66, 0x57, 0x57, 0x4e, 0x4e, 0x4c, 0x4c, 0x53, 0x53, 0x60, 0x60, 0x71, 0x71, 
0x83, 0x83, 0x96, 0x96, 0xa6, 0xa6, 0xb1, 0xb1, 0xb5, 0xb5, 0xb1, 0xb1, 0xa7, 0xa7, 0x97, 0x97, 0x85, 0x85, 0x70, 0x70, 0x5c, 0x5c, 0x4c, 0x4c, 0x41, 0x41, 
0x3d, 0x3d, 0x40, 0x40, 0x47, 0x47, 0x52, 0x52, 0x60, 0x60, 0x6f, 0x6f, 0x7d, 0x7d, 0x86, 0x86, 0x8b, 0x8b, 0x8b, 0x8b, 0x86, 0x86, 0x7d, 0x7d, 0x70, 0x70, 
0x5f, 0x5f, 0x4f, 0x4f, 0x41, 0x41, 0x35, 0x35, 0x2e, 0x2e, 0x2b, 0x2b, 0x2e, 0x2e, 0x37, 0x37, 0x44, 0x44, 0x53, 0x53, 0x62, 0x62, 0x6f, 0x6f, 0x79, 0x79, 
0x7f, 0x7f, 0x7f, 0x7f, 0x79, 0x79, 0x6f, 0x6f, 0x62, 0x62, 0x56, 0x56, 0x4b, 0x4b, 0x42, 0x42, 0x3e, 0x3e, 0x3f, 0x3f, 0x45, 0x45, 0x50, 0x50, 0x5d, 0x5d, 
0x69, 0x69, 0x74, 0x74, 0x7d, 0x7d, 0x82, 0x82, 0x81, 0x81, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 0x5a, 0x5a, 0x51, 0x51, 0x4a, 0x4a, 0x46, 0x46, 0x49, 0x49, 
0x51, 0x51, 0x5d, 0x5d, 0x6b, 0x6b, 0x7a, 0x7a, 0x88, 0x88, 0x94, 0x94, 0x9d, 0x9d, 0xa2, 0xa2, 0xa2, 0xa2, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8c, 0x8c, 
0x86, 0x86, 0x82, 0x82, 0x82, 0x82, 0x86, 0x86, 0x8d, 0x8d, 0x96, 0x96, 0xa2, 0xa2, 0xaf, 0xaf, 0xbd, 0xbd, 0xc9, 0xc9, 0xd2, 0xd2, 0xd7, 0xd7, 0xd9, 0xd9, 
0xd6, 0xd6, 0xcf, 0xcf, 0xc4, 0xc4, 0xb7, 0xb7, 0xa8, 0xa8, 0x9a, 0x9a, 0x8e, 0x8e, 0x84, 0x84, 0x7d, 0x7d, 0x7a, 0x7a, 0x7c, 0x7c, 0x82, 0x82, 0x8a, 0x8a, 
0x94, 0x94, 0xa0, 0xa0, 0xab, 0xab, 0xb5, 0xb5, 0xbb, 0xbb, 0xbd, 0xbd, 0xbb, 0xbb, 0xb5, 0xb5, 0xad, 0xad, 0xa1, 0xa1, 0x94, 0x94, 0x89, 0x89, 0x80, 0x80, 
0x7b, 0x7b, 0x7a, 0x7a, 0x7d, 0x7d, 0x83, 0x83, 0x8d, 0x8d, 0x98, 0x98, 0xa3, 0xa3, 0xaa, 0xaa, 0xac, 0xac, 0xab, 0xab, 0xa4, 0xa4, 0x98, 0x98, 0x87, 0x87, 
0x73, 0x73, 0x5f, 0x5f, 0x4e, 0x4e, 0x41, 0x41, 0x38, 0x38, 0x34, 0x34, 0x38, 0x38, 0x43, 0x43, 0x52, 0x52, 0x64, 0x64, 0x75, 0x75, 0x85, 0x85, 0x92, 0x92, 
0x9a, 0x9a, 0x9b, 0x9b, 0x95, 0x95, 0x89, 0x89, 0x78, 0x78, 0x66, 0x66, 0x53, 0x53, 0x41, 0x41, 0x33, 0x33, 0x2c, 0x2c, 0x2c, 0x2c, 0x34, 0x34, 0x40, 0x40, 
0x50, 0x50, 0x62, 0x62, 0x74, 0x74, 0x83, 0x83, 0x8b, 0x8b, 0x8c, 0x8c, 0x85, 0x85, 0x79, 0x79, 0x68, 0x68, 0x55, 0x55, 0x40, 0x40, 0x2e, 0x2e, 0x21, 0x21, 
0x1b, 0x1b, 0x1b, 0x1b, 0x21, 0x21, 0x2c, 0x2c, 0x3b, 0x3b, 0x4d, 0x4d, 0x5e, 0x5e, 0x6c, 0x6c, 0x77, 0x77, 0x7e, 0x7e, 0x80, 0x80, 0x7e, 0x7e, 0x78, 0x78, 
0x6f, 0x6f, 0x65, 0x65, 0x5c, 0x5c, 0x54, 0x54, 0x4f, 0x4f, 0x4d, 0x4d, 0x4f, 0x4f, 0x54, 0x54, 0x5c, 0x5c, 0x65, 0x65, 0x6f, 0x6f, 0x77, 0x77, 0x7e, 0x7e, 
0x83, 0x83, 0x85, 0x85, 0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6e, 0x6e, 0x69, 0x69, 0x66, 0x66, 0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x79, 0x79, 
0x83, 0x83, 0x8d, 0x8d, 0x97, 0x97, 0xa0, 0xa0, 0xa6, 0xa6, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa7, 0xa7, 0xad, 0xad, 0xb3, 0xb3, 0xb9, 0xb9, 0xbf, 0xbf, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xcc, 0xcc, 0xcc, 0xcc, 
0xca, 0xca, 0xc7, 0xc7, 0xc3, 0xc3, 0xbf, 0xbf, 0xba, 0xba, 0xb5, 0xb5, 0xaf, 0xaf, 0xa9, 0xa9, 0xa2, 0xa2, 0x9d, 0x9d, 0x98, 0x98, 0x94, 0x94, 0x93, 0x93, 
0x93, 0x93, 0x97, 0x97, 0x9d, 0x9d, 0xa6, 0xa6, 0xaf, 0xaf, 0xb8, 0xb8, 0xc0, 0xc0, 0xc6, 0xc6, 0xc9, 0xc9, 0xc8, 0xc8, 0xc3, 0xc3, 0xbb, 0xbb, 0xb1, 0xb1, 
0xa7, 0xa7, 0x9d, 0x9d, 0x95, 0x95, 0x8e, 0x8e, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0x9d, 0x9d, 
0x95, 0x95, 0x8a, 0x8a, 0x7d, 0x7d, 0x70, 0x70, 0x64, 0x64, 0x59, 0x59, 0x52, 0x52, 0x50, 0x50, 0x53, 0x53, 0x5a, 0x5a, 0x65, 0x65, 0x71, 0x71, 0x7f, 0x7f, 
0x8c, 0x8c, 0x97, 0x97, 0x9d, 0x9d, 0x9e, 0x9e, 0x9a, 0x9a, 0x92, 0x92, 0x86, 0x86, 0x77, 0x77, 0x66, 0x66, 0x57, 0x57, 0x4b, 0x4b, 0x43, 0x43, 0x41, 0x41, 
0x43, 0x43, 0x4a, 0x4a, 0x56, 0x56, 0x65, 0x65, 0x73, 0x73, 0x7f, 0x7f, 0x87, 0x87, 0x8a, 0x8a, 0x89, 0x89, 0x83, 0x83, 0x77, 0x77, 0x68, 0x68, 0x59, 0x59, 
0x4a, 0x4a, 0x3e, 0x3e, 0x35, 0x35, 0x30, 0x30, 0x32, 0x32, 0x38, 0x38, 0x43, 0x43, 0x51, 0x51, 0x5f, 0x5f, 0x6e, 0x6e, 0x7a, 0x7a, 0x83, 0x83, 0x86, 0x86, 
0x83, 0x83, 0x7c, 0x7c, 0x71, 0x71, 0x65, 0x65, 0x58, 0x58, 0x4c, 0x4c, 0x43, 0x43, 0x40, 0x40, 0x42, 0x42, 0x48, 0x48, 0x51, 0x51, 0x5d, 0x5d, 0x68, 0x68, 
0x73, 0x73, 0x7c, 0x7c, 0x7f, 0x7f, 0x7e, 0x7e, 0x79, 0x79, 0x71, 0x71, 0x67, 0x67, 0x5c, 0x5c, 0x51, 0x51, 0x49, 0x49, 0x44, 0x44, 0x43, 0x43, 0x47, 0x47, 
0x4e, 0x4e, 0x58, 0x58, 0x64, 0x64, 0x72, 0x72, 0x7f, 0x7f, 0x8a, 0x8a, 0x92, 0x92, 0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 0x8b, 0x8b, 
0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x88, 0x88, 0x91, 0x91, 0x9b, 0x9b, 0xa5, 0xa5, 0xaf, 0xaf, 0xb7, 0xb7, 
0xbd, 0xbd, 0xc2, 0xc2, 0xc4, 0xc4, 0xc4, 0xc4, 0xc2, 0xc2, 0xbe, 0xbe, 0xb8, 0xb8, 0xb2, 0xb2, 0xaa, 0xaa, 0xa2, 0xa2, 0x9a, 0x9a, 0x94, 0x94, 0x8f, 0x8f, 
0x8d, 0x8d, 0x8d, 0x8d, 0x91, 0x91, 0x98, 0x98, 0xa1, 0xa1, 0xaa, 0xaa, 0xb4, 0xb4, 0xbc, 0xbc, 0xc3, 0xc3, 0xc6, 0xc6, 0xc6, 0xc6, 0xc2, 0xc2, 0xbb, 0xbb, 
0xb3, 0xb3, 0xaa, 0xaa, 0xa2, 0xa2, 0x9c, 0x9c, 0x97, 0x97, 0x97, 0x97, 0x99, 0x99, 0x9f, 0x9f, 0xa6, 0xa6, 0xac, 0xac, 0xb2, 0xb2, 0xb5, 0xb5, 0xb6, 0xb6, 
0xb3, 0xb3, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 0x86, 0x86, 0x78, 0x78, 0x6c, 0x6c, 0x63, 0x63, 0x5e, 0x5e, 0x5d, 0x5d, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 
0x77, 0x77, 0x80, 0x80, 0x88, 0x88, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x89, 0x89, 0x82, 0x82, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x5b, 0x5b, 
0x5a, 0x5a, 0x5c, 0x5c, 0x61, 0x61, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 0x80, 0x80, 0x85, 0x85, 0x88, 0x88, 0x88, 0x88, 0x85, 0x85, 0x7e, 0x7e, 0x75, 0x75, 
0x6a, 0x6a, 0x5d, 0x5d, 0x50, 0x50, 0x43, 0x43, 0x38, 0x38, 0x31, 0x31, 0x2f, 0x2f, 0x31, 0x31, 0x36, 0x36, 0x3e, 0x3e, 0x4a, 0x4a, 0x56, 0x56, 0x61, 0x61, 
0x69, 0x69, 0x6d, 0x6d, 0x6c, 0x6c, 0x68, 0x68, 0x61, 0x61, 0x58, 0x58, 0x4d, 0x4d, 0x44, 0x44, 0x3e, 0x3e, 0x3b, 0x3b, 0x3c, 0x3c, 0x40, 0x40, 0x46, 0x46, 
0x4f, 0x4f, 0x59, 0x59, 0x62, 0x62, 0x69, 0x69, 0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x67, 0x67, 0x5f, 0x5f, 0x56, 0x56, 0x4e, 0x4e, 0x47, 0x47, 0x43, 0x43, 
0x42, 0x42, 0x43, 0x43, 0x48, 0x48, 0x50, 0x50, 0x5a, 0x5a, 0x65, 0x65, 0x6e, 0x6e, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x7f, 0x7f, 
0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa5, 0xa5, 0xa7, 0xa7, 0xaa, 0xaa, 0xac, 0xac, 0xaf, 0xaf, 0xb3, 0xb3, 0xb8, 0xb8, 0xbc, 0xbc, 0xc0, 0xc0, 0xc3, 0xc3, 0xc6, 0xc6, 0xc7, 0xc7, 0xc5, 0xc5, 
0xc2, 0xc2, 0xbd, 0xbd, 0xb6, 0xb6, 0xaf, 0xaf, 0xa7, 0xa7, 0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x9b, 0x9b, 0xa2, 0xa2, 
0xaa, 0xaa, 0xb1, 0xb1, 0xb7, 0xb7, 0xbb, 0xbb, 0xbd, 0xbd, 0xbc, 0xbc, 0xb9, 0xb9, 0xb4, 0xb4, 0xae, 0xae, 0xa7, 0xa7, 0xa3, 0xa3, 0xa0, 0xa0, 0xa0, 0xa0, 
0xa1, 0xa1, 0xa4, 0xa4, 0xa9, 0xa9, 0xaf, 0xaf, 0xb3, 0xb3, 0xb6, 0xb6, 0xb6, 0xb6, 0xb2, 0xb2, 0xac, 0xac, 0xa3, 0xa3, 0x96, 0x96, 0x88, 0x88, 0x7a, 0x7a, 
0x6d, 0x6d, 0x64, 0x64, 0x5d, 0x5d, 0x5a, 0x5a, 0x5a, 0x5a, 0x5f, 0x5f, 0x67, 0x67, 0x70, 0x70, 0x79, 0x79, 0x81, 0x81, 0x87, 0x87, 0x8b, 0x8b, 0x8c, 0x8c, 
0x8a, 0x8a, 0x85, 0x85, 0x7e, 0x7e, 0x77, 0x77, 0x6f, 0x6f, 0x68, 0x68, 0x61, 0x61, 0x5d, 0x5d, 0x5b, 0x5b, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x67, 0x67, 
0x6e, 0x6e, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x68, 0x68, 0x5f, 0x5f, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 
0x46, 0x46, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 0x61, 0x61, 0x62, 0x62, 0x61, 0x61, 0x5e, 0x5e, 0x5a, 0x5a, 0x55, 0x55, 
0x50, 0x50, 0x4c, 0x4c, 0x4a, 0x4a, 0x49, 0x49, 0x4b, 0x4b, 0x50, 0x50, 0x56, 0x56, 0x5d, 0x5d, 0x65, 0x65, 0x6d, 0x6d, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 
0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x82, 0x82, 
0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8a, 0x8a, 
0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0xa0, 0xa0, 0xa4, 0xa4, 0xa7, 0xa7, 
0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xaa, 0xaa, 0xa7, 0xa7, 0xa3, 0xa3, 0x9d, 0x9d, 0x97, 0x97, 0x90, 0x90, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 0x7b, 0x7b, 
0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 
0x8d, 0x8d, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0x9e, 0x9e, 0x9a, 0x9a, 
0x95, 0x95, 0x8d, 0x8d, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x66, 0x66, 0x62, 0x62, 0x61, 0x61, 0x63, 0x63, 0x67, 0x67, 0x6e, 0x6e, 0x76, 0x76, 
0x7e, 0x7e, 0x87, 0x87, 0x8e, 0x8e, 0x92, 0x92, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7d, 0x7d, 0x78, 0x78, 0x74, 0x74, 0x72, 0x72, 
0x72, 0x72, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 
0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 
0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 
0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 
0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 
0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 
0xa5, 0xa5, 0xa9, 0xa9, 0xae, 0xae, 0xb2, 0xb2, 0xb6, 0xb6, 0xb9, 0xb9, 0xba, 0xba, 0xb9, 0xb9, 0xb6, 0xb6, 0xb2, 0xb2, 0xad, 0xad, 0xa7, 0xa7, 0xa1, 0xa1, 
0x9c, 0x9c, 0x98, 0x98, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xad, 0xad, 0xb2, 0xb2, 0xb7, 0xb7, 0xbb, 0xbb, 
0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 0xbd, 0xbd, 0xbb, 0xbb, 0xba, 0xba, 0xb8, 0xb8, 0xb7, 0xb7, 0xb7, 0xb7, 0xb8, 0xb8, 0xba, 0xba, 0xbc, 0xbc, 0xbe, 0xbe, 
0xbe, 0xbe, 0xbe, 0xbe, 0xbc, 0xbc, 0xb8, 0xb8, 0xb3, 0xb3, 0xac, 0xac, 0xa5, 0xa5, 0x9f, 0x9f, 0x99, 0x99, 0x94, 0x94, 0x90, 0x90, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 
0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 
0x6d, 0x6d, 0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4d, 0x4d, 0x49, 0x49, 0x46, 0x46, 0x43, 0x43, 0x40, 0x40, 0x3e, 0x3e, 0x3d, 0x3d, 0x3d, 0x3d, 0x3e, 0x3e, 
0x40, 0x40, 0x43, 0x43, 0x46, 0x46, 0x4a, 0x4a, 0x4d, 0x4d, 0x50, 0x50, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 0x51, 0x51, 0x4f, 0x4f, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x4e, 0x4e, 
0x51, 0x51, 0x54, 0x54, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 
0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9b, 0x9b, 0xa0, 0xa0, 
0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xaf, 0xaf, 0xb0, 0xb0, 0xb1, 0xb1, 0xb1, 0xb1, 0xb2, 0xb2, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbd, 0xbd, 
0xc1, 0xc1, 0xc4, 0xc4, 0xc7, 0xc7, 0xc9, 0xc9, 0xca, 0xca, 0xca, 0xca, 0xc8, 0xc8, 0xc6, 0xc6, 0xc4, 0xc4, 0xc1, 0xc1, 0xbf, 0xbf, 0xbd, 0xbd, 0xbb, 0xbb, 
0xba, 0xba, 0xba, 0xba, 0xb9, 0xb9, 0xb9, 0xb9, 0xb8, 0xb8, 0xb7, 0xb7, 0xb6, 0xb6, 0xb4, 0xb4, 0xb3, 0xb3, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 
0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xb9, 0xb9, 0xbc, 0xbc, 0xbf, 0xbf, 0xc1, 0xc1, 0xc2, 0xc2, 0xc3, 0xc3, 0xc3, 0xc3, 0xc2, 0xc2, 0xbf, 0xbf, 0xba, 0xba, 
0xb5, 0xb5, 0xae, 0xae, 0xa7, 0xa7, 0x9f, 0x9f, 0x98, 0x98, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 
0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 
0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 0x59, 0x59, 0x57, 0x57, 
0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5e, 0x5e, 0x5c, 0x5c, 0x59, 0x59, 0x55, 0x55, 
0x52, 0x52, 0x4f, 0x4f, 0x4c, 0x4c, 0x4a, 0x4a, 0x48, 0x48, 0x47, 0x47, 0x46, 0x46, 0x46, 0x46, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 
0x49, 0x49, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x49, 0x49, 0x4a, 0x4a, 0x4b, 0x4b, 0x4c, 0x4c, 0x4e, 0x4e, 0x50, 0x50, 0x52, 0x52, 
0x53, 0x53, 0x55, 0x55, 0x56, 0x56, 0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 
0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x5d, 0x5d, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 
0x6f, 0x6f, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 
0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 
0xa1, 0xa1, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 
0xa1, 0xa1, 0xa0, 0xa0, 0x9e, 0x9e, 0x9c, 0x9c, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 
0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 
0x93, 0x93, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x8a, 0x8a, 0x88, 0x88, 
0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x88, 0x88, 
0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 
0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 
0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 
0x63, 0x63, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 
0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 
0x71, 0x71, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 
0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 
0x69, 0x69, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 
0xa8, 0xa8, 0xa7, 0xa7, 0xa7, 0xa7, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x97, 0x97, 
0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 
0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 
0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 
0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 
0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x73, 0x73, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x73, 0x73, 
0x77, 0x77, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 
0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 
0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 
0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6e, 0x6e, 
0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 
0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 
0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 
0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 
0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 
0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 
0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 
0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 
0x77, 0x77, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 
0x89, 0x89, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 
0x71, 0x71, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 
0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 
0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x80, 0x80, 
0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 
0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 
0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 
0x6f, 0x6f, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 
0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 
0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 
0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 
0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 
0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 
0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 
0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 
0x97, 0x97, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x77, 0x77, 
0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x76, 0x76, 
0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 
0x7f, 0x7f, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 
0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 
0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 
0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 
0x85, 0x85, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x88, 0x88, 0x8d, 0x8d, 0x93, 0x93, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa5, 0xa5, 0xa2, 0xa2, 
0x9e, 0x9e, 0x98, 0x98, 0x92, 0x92, 0x8b, 0x8b, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8e, 0x8e, 0x93, 0x93, 
0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 
0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 
0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 
0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 
0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 
0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x7a, 0x7a, 
0x7e, 0x7e, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 
0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 
0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 
0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 
0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 
0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 
0x6e, 0x6e, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 
0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x6f, 0x6f, 0x68, 0x68, 0x62, 0x62, 0x5d, 0x5d, 0x59, 0x59, 0x57, 0x57, 
0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 
0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 
0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 
0x80, 0x80, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 
0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 
0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 
0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 
0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 
0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 
0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 
0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 
0x98, 0x98, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 
0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 
0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 
0x6c, 0x6c, 0x68, 0x68, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x67, 0x67, 0x6c, 0x6c, 0x72, 0x72, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 
0x8a, 0x8a, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 
0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 
0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 
0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 
0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 
0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 
0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 
0x57, 0x57, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 
0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 
0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 
0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 
0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 
0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 
0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 
0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 
0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 
0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 
0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 
0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 
0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x8d, 0x8d, 0x87, 0x87, 0x80, 0x80, 0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x6f, 0x6f, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 
0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 
0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 
0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 
0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 
0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 
0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 
0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 
0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 
0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 
0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 
0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 
0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 
0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 
0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 
0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 
0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 
0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 
0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 
0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 
0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 
0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 
0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 
0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 
0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 
0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 
0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 
0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 
0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 
0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 
0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 
0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 
0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 
0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 
0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 
0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 
0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 
0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 
0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 
0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x91, 0x91, 
0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 
0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 
0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x68, 0x68, 
0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 
0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 
0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 
0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 
0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 
0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 
0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 
0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 
0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 
0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 
0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 
0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6d, 0x6d, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x57, 0x57, 0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 
0x68, 0x68, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6c, 0x6c, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 
0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6b, 0x6b, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8c, 0x8c, 
0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 
0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 
0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 
0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 
0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 
0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 
0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 
0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 
0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 
0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 
0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 
0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 
0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 
0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 
0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 
0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8e, 0x8e, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 
0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 
0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 
0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 
0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 0x71, 0x71, 
0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 
0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x83, 0x83, 
0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7c, 0x7c, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 
0x73, 0x73, 0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 
0x81, 0x81, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 
0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7c, 0x7c, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 
0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 
0x81, 0x81, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 
0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 
0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 
0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 
0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 
0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 
0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 
0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 
0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 
0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 
0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 
0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 
0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6d, 0x6d, 
0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 
0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 
0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 
0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 
0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 
0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x88, 0x88, 
0x81, 0x81, 0x7a, 0x7a, 0x74, 0x74, 0x6e, 0x6e, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 0x80, 0x80, 
0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 
0x8e, 0x8e, 0x94, 0x94, 0x98, 0x98, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x91, 0x91, 0x89, 0x89, 0x80, 0x80, 0x78, 0x78, 0x71, 0x71, 0x6c, 0x6c, 0x6a, 0x6a, 
0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 
0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 0x83, 0x83, 0x8d, 0x8d, 0x97, 0x97, 0xa0, 0xa0, 0xa6, 0xa6, 0xaa, 0xaa, 0xa9, 0xa9, 
0xa5, 0xa5, 0x9d, 0x9d, 0x94, 0x94, 0x8a, 0x8a, 0x81, 0x81, 0x79, 0x79, 0x72, 0x72, 0x6f, 0x6f, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7c, 0x7c, 0x82, 0x82, 
0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 
0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 
0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 
0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5b, 0x5b, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x69, 0x69, 
0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7f, 0x7f, 
0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 
0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8c, 0x8c, 0x92, 0x92, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x97, 0x97, 
0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 0xa9, 0xa9, 0xa7, 0xa7, 0xa4, 0xa4, 
0xa0, 0xa0, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 
0x75, 0x75, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x66, 0x66, 0x60, 0x60, 0x5a, 0x5a, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4a, 0x4a, 
0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 0x5c, 0x5c, 0x63, 0x63, 0x6a, 0x6a, 0x70, 0x70, 0x75, 0x75, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 
0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 
0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 
0xaa, 0xaa, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x95, 0x95, 0x92, 0x92, 0x8f, 0x8f, 0x90, 0x90, 0x93, 0x93, 0x97, 0x97, 0x9d, 0x9d, 
0xa3, 0xa3, 0xa8, 0xa8, 0xac, 0xac, 0xaf, 0xaf, 0xb1, 0xb1, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 0xbe, 0xbe, 0xc1, 0xc1, 
0xc4, 0xc4, 0xc5, 0xc5, 0xc5, 0xc5, 0xc2, 0xc2, 0xbe, 0xbe, 0xb7, 0xb7, 0xb0, 0xb0, 0xa9, 0xa9, 0xa1, 0xa1, 0x9a, 0x9a, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 
0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 
0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x55, 0x55, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x66, 0x66, 
0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 
0x5a, 0x5a, 0x57, 0x57, 0x54, 0x54, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x47, 0x47, 0x46, 0x46, 0x45, 0x45, 0x44, 0x44, 0x42, 0x42, 
0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x48, 0x48, 0x4d, 0x4d, 0x53, 0x53, 0x5c, 0x5c, 0x65, 0x65, 0x6e, 0x6e, 0x76, 0x76, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 
0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7b, 0x7b, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x62, 0x62, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x6c, 0x6c, 
0x74, 0x74, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0xa0, 0xa0, 
0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9e, 0x9e, 0x9f, 0x9f, 0xa1, 0xa1, 0xa5, 0xa5, 0xaa, 0xaa, 0xb0, 0xb0, 0xb6, 0xb6, 0xbb, 0xbb, 
0xc0, 0xc0, 0xc3, 0xc3, 0xc5, 0xc5, 0xc5, 0xc5, 0xc3, 0xc3, 0xbe, 0xbe, 0xb9, 0xb9, 0xb2, 0xb2, 0xaa, 0xaa, 0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x8b, 0x8b, 
0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 0xa2, 0xa2, 
0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 
0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x78, 0x78, 0x73, 0x73, 0x6d, 0x6d, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 
0x6f, 0x6f, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6d, 0x6d, 0x64, 0x64, 0x59, 0x59, 0x4e, 0x4e, 0x41, 0x41, 
0x36, 0x36, 0x2b, 0x2b, 0x22, 0x22, 0x1e, 0x1e, 0x1d, 0x1d, 0x1f, 0x1f, 0x24, 0x24, 0x2b, 0x2b, 0x33, 0x33, 0x3b, 0x3b, 0x44, 0x44, 0x4b, 0x4b, 0x51, 0x51, 
0x56, 0x56, 0x59, 0x59, 0x5b, 0x5b, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 0x6d, 0x6d, 
0x73, 0x73, 0x77, 0x77, 0x78, 0x78, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x61, 0x61, 0x57, 0x57, 0x50, 0x50, 0x4c, 0x4c, 0x4c, 0x4c, 0x51, 0x51, 0x59, 0x59, 
0x65, 0x65, 0x74, 0x74, 0x84, 0x84, 0x95, 0x95, 0xa5, 0xa5, 0xb3, 0xb3, 0xbe, 0xbe, 0xc5, 0xc5, 0xc7, 0xc7, 0xc4, 0xc4, 0xbc, 0xbc, 0xb0, 0xb0, 0xa1, 0xa1, 
0x90, 0x90, 0x7f, 0x7f, 0x71, 0x71, 0x67, 0x67, 0x65, 0x65, 0x67, 0x67, 0x6e, 0x6e, 0x78, 0x78, 0x84, 0x84, 0x91, 0x91, 0x9c, 0x9c, 0xa3, 0xa3, 0xa5, 0xa5, 
0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x9a, 0x9a, 0x9a, 0x9a, 0x9d, 0x9d, 0xa3, 0xa3, 0xab, 0xab, 0xb4, 0xb4, 0xbc, 0xbc, 0xc4, 0xc4, 0xca, 0xca, 
0xcf, 0xcf, 0xcf, 0xcf, 0xcd, 0xcd, 0xc7, 0xc7, 0xbf, 0xbf, 0xb5, 0xb5, 0xa8, 0xa8, 0x9b, 0x9b, 0x8f, 0x8f, 0x85, 0x85, 0x7e, 0x7e, 0x7a, 0x7a, 0x78, 0x78, 
0x7a, 0x7a, 0x7d, 0x7d, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 
0x91, 0x91, 0x8a, 0x8a, 0x83, 0x83, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 
0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 
0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x52, 0x52, 0x4b, 0x4b, 0x44, 0x44, 0x3c, 0x3c, 0x36, 0x36, 
0x32, 0x32, 0x30, 0x30, 0x31, 0x31, 0x33, 0x33, 0x36, 0x36, 0x39, 0x39, 0x3d, 0x3d, 0x41, 0x41, 0x45, 0x45, 0x49, 0x49, 0x4c, 0x4c, 0x50, 0x50, 0x53, 0x53, 
0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x63, 0x63, 
0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 0x62, 0x62, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 0x91, 0x91, 0x9a, 0x9a, 
0xa3, 0xa3, 0xaa, 0xaa, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb3, 0xb3, 0xaf, 0xaf, 0xa9, 0xa9, 0xa1, 0xa1, 0x98, 0x98, 0x8f, 0x8f, 0x87, 0x87, 
0x83, 0x83, 0x82, 0x82, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x97, 0x97, 0x9e, 0x9e, 0xa3, 0xa3, 0xa6, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0xa2, 0xa2, 0xa1, 0xa1, 
0xa2, 0xa2, 0xa5, 0xa5, 0xab, 0xab, 0xb2, 0xb2, 0xbc, 0xbc, 0xc6, 0xc6, 0xd0, 0xd0, 0xd6, 0xd6, 0xda, 0xda, 0xda, 0xda, 0xd7, 0xd7, 0xd1, 0xd1, 0xc7, 0xc7, 
0xbb, 0xbb, 0xae, 0xae, 0xa2, 0xa2, 0x96, 0x96, 0x8c, 0x8c, 0x84, 0x84, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 
0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x71, 0x71, 0x66, 0x66, 0x5a, 0x5a, 0x50, 0x50, 
0x48, 0x48, 0x43, 0x43, 0x40, 0x40, 0x42, 0x42, 0x49, 0x49, 0x52, 0x52, 0x5b, 0x5b, 0x64, 0x64, 0x6b, 0x6b, 0x70, 0x70, 0x73, 0x73, 0x72, 0x72, 0x6f, 0x6f, 
0x6a, 0x6a, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x51, 0x51, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 
0x52, 0x52, 0x51, 0x51, 0x4f, 0x4f, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4b, 0x4b, 0x4f, 0x4f, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 
0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 
0x70, 0x70, 0x73, 0x73, 0x79, 0x79, 0x81, 0x81, 0x8b, 0x8b, 0x96, 0x96, 0xa1, 0xa1, 0xab, 0xab, 0xb4, 0xb4, 0xbb, 0xbb, 0xc0, 0xc0, 0xc2, 0xc2, 0xc3, 0xc3, 
0xc2, 0xc2, 0xc0, 0xc0, 0xbc, 0xbc, 0xb6, 0xb6, 0xaf, 0xaf, 0xa8, 0xa8, 0xa0, 0xa0, 0x98, 0x98, 0x91, 0x91, 0x8c, 0x8c, 0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 
0x98, 0x98, 0x9f, 0x9f, 0xa6, 0xa6, 0xad, 0xad, 0xb1, 0xb1, 0xb3, 0xb3, 0xb2, 0xb2, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa4, 0xa4, 0xa4, 0xa4, 0xa6, 0xa6, 
0xac, 0xac, 0xb4, 0xb4, 0xbd, 0xbd, 0xc6, 0xc6, 0xce, 0xce, 0xd2, 0xd2, 0xd4, 0xd4, 0xd1, 0xd1, 0xc9, 0xc9, 0xbd, 0xbd, 0xad, 0xad, 0x9c, 0x9c, 0x8c, 0x8c, 
0x7e, 0x7e, 0x72, 0x72, 0x6a, 0x6a, 0x68, 0x68, 0x6b, 0x6b, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 0x90, 0x90, 0x98, 0x98, 0x9d, 0x9d, 0x9f, 0x9f, 0x9d, 0x9d, 
0x97, 0x97, 0x91, 0x91, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 0x75, 0x75, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6a, 0x6a, 0x66, 0x66, 0x60, 0x60, 0x59, 0x59, 0x53, 0x53, 0x4f, 0x4f, 0x4d, 0x4d, 0x4e, 0x4e, 0x51, 0x51, 
0x56, 0x56, 0x5d, 0x5d, 0x65, 0x65, 0x6b, 0x6b, 0x6f, 0x6f, 0x6f, 0x6f, 0x6c, 0x6c, 0x67, 0x67, 0x60, 0x60, 0x57, 0x57, 0x4e, 0x4e, 0x45, 0x45, 0x3f, 0x3f, 
0x3b, 0x3b, 0x39, 0x39, 0x3a, 0x3a, 0x3d, 0x3d, 0x43, 0x43, 0x4a, 0x4a, 0x51, 0x51, 0x58, 0x58, 0x5e, 0x5e, 0x63, 0x63, 0x66, 0x66, 0x66, 0x66, 0x64, 0x64, 
0x61, 0x61, 0x5e, 0x5e, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6c, 0x6c, 0x72, 0x72, 0x77, 0x77, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 
0x98, 0x98, 0xa2, 0xa2, 0xac, 0xac, 0xb4, 0xb4, 0xbb, 0xbb, 0xc0, 0xc0, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 0xc1, 0xc1, 0xbc, 0xbc, 0xb7, 0xb7, 0xb0, 0xb0, 
0xa9, 0xa9, 0xa1, 0xa1, 0x99, 0x99, 0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x82, 0x82, 0x82, 0x82, 0x85, 0x85, 0x8b, 0x8b, 0x93, 0x93, 0x9b, 0x9b, 0xa3, 0xa3, 
0xaa, 0xaa, 0xaf, 0xaf, 0xb1, 0xb1, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa6, 0xa6, 0xa4, 0xa4, 0xa5, 0xa5, 0xa8, 0xa8, 0xad, 0xad, 0xb4, 0xb4, 0xbd, 0xbd, 
0xc5, 0xc5, 0xca, 0xca, 0xcc, 0xcc, 0xcb, 0xcb, 0xc6, 0xc6, 0xbe, 0xbe, 0xb3, 0xb3, 0xa7, 0xa7, 0x9b, 0x9b, 0x90, 0x90, 0x88, 0x88, 0x82, 0x82, 0x7f, 0x7f, 
0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7f, 0x7f, 
0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 
0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x57, 0x57, 0x50, 0x50, 0x4a, 0x4a, 0x45, 0x45, 0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x43, 0x43, 
0x46, 0x46, 0x4a, 0x4a, 0x4e, 0x4e, 0x52, 0x52, 0x55, 0x55, 0x57, 0x57, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5b, 0x5b, 
0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x80, 0x80, 0x88, 0x88, 0x91, 0x91, 0x9b, 0x9b, 0xa4, 0xa4, 
0xad, 0xad, 0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 0xbc, 0xbc, 0xba, 0xba, 0xb7, 0xb7, 0xb2, 0xb2, 0xac, 0xac, 0xa5, 0xa5, 0x9d, 0x9d, 0x94, 0x94, 0x8c, 0x8c, 
0x84, 0x84, 0x7e, 0x7e, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 0x9d, 0x9d, 
0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x91, 0x91, 0x96, 0x96, 0x9f, 0x9f, 0xa9, 0xa9, 0xb2, 0xb2, 0xb8, 0xb8, 0xbb, 0xbb, 
0xba, 0xba, 0xb5, 0xb5, 0xaa, 0xaa, 0x9b, 0x9b, 0x89, 0x89, 0x77, 0x77, 0x68, 0x68, 0x5d, 0x5d, 0x56, 0x56, 0x54, 0x54, 0x58, 0x58, 0x61, 0x61, 0x6e, 0x6e, 
0x7b, 0x7b, 0x88, 0x88, 0x91, 0x91, 0x98, 0x98, 0x9b, 0x9b, 0x99, 0x99, 0x94, 0x94, 0x8c, 0x8c, 0x82, 0x82, 0x78, 0x78, 0x6f, 0x6f, 0x67, 0x67, 0x61, 0x61, 
0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 
0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 
0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x5e, 0x5e, 0x57, 0x57, 0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 0x46, 0x46, 0x47, 0x47, 0x4a, 0x4a, 0x50, 0x50, 0x57, 0x57, 
0x5e, 0x5e, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 
0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 
0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa7, 0xa7, 0xae, 0xae, 0xb5, 0xb5, 
0xbd, 0xbd, 0xc3, 0xc3, 0xc9, 0xc9, 0xcc, 0xcc, 0xcd, 0xcd, 0xca, 0xca, 0xc2, 0xc2, 0xb6, 0xb6, 0xa7, 0xa7, 0x97, 0x97, 0x87, 0x87, 0x79, 0x79, 0x6d, 0x6d, 
0x65, 0x65, 0x63, 0x63, 0x67, 0x67, 0x6e, 0x6e, 0x78, 0x78, 0x84, 0x84, 0x8f, 0x8f, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa4, 0xa4, 0xa1, 0xa1, 0x9b, 0x9b, 
0x94, 0x94, 0x8c, 0x8c, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 0x80, 0x80, 0x85, 0x85, 0x8b, 0x8b, 0x92, 0x92, 0x99, 0x99, 0x9f, 0x9f, 0xa1, 0xa1, 0x9f, 0x9f, 
0x97, 0x97, 0x8b, 0x8b, 0x7d, 0x7d, 0x6f, 0x6f, 0x63, 0x63, 0x59, 0x59, 0x53, 0x53, 0x53, 0x53, 0x59, 0x59, 0x63, 0x63, 0x6f, 0x6f, 0x7a, 0x7a, 0x83, 0x83, 
0x8a, 0x8a, 0x8d, 0x8d, 0x8b, 0x8b, 0x84, 0x84, 0x7a, 0x7a, 0x6e, 0x6e, 0x62, 0x62, 0x56, 0x56, 0x4c, 0x4c, 0x44, 0x44, 0x41, 0x41, 0x41, 0x41, 0x44, 0x44, 
0x4a, 0x4a, 0x52, 0x52, 0x5c, 0x5c, 0x67, 0x67, 0x70, 0x70, 0x76, 0x76, 0x79, 0x79, 0x79, 0x79, 0x76, 0x76, 0x71, 0x71, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 
0x5b, 0x5b, 0x5b, 0x5b, 0x5d, 0x5d, 0x61, 0x61, 0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x76, 0x76, 0x78, 0x78, 0x77, 0x77, 0x74, 0x74, 0x6f, 0x6f, 0x68, 0x68, 
0x60, 0x60, 0x58, 0x58, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x48, 0x48, 0x4d, 0x4d, 0x55, 0x55, 0x5e, 0x5e, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 
0x7f, 0x7f, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 
0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 
0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9d, 0x9d, 0xa6, 0xa6, 0xae, 0xae, 0xb7, 0xb7, 0xbf, 0xbf, 0xc7, 0xc7, 0xcd, 0xcd, 0xd1, 0xd1, 0xd4, 0xd4, 0xd4, 0xd4, 
0xd1, 0xd1, 0xcc, 0xcc, 0xc5, 0xc5, 0xbc, 0xbc, 0xb0, 0xb0, 0xa3, 0xa3, 0x96, 0x96, 0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x71, 0x71, 0x70, 0x70, 0x73, 0x73, 
0x7a, 0x7a, 0x84, 0x84, 0x8f, 0x8f, 0x9b, 0x9b, 0xa6, 0xa6, 0xaf, 0xaf, 0xb4, 0xb4, 0xb4, 0xb4, 0xb0, 0xb0, 0xaa, 0xaa, 0xa2, 0xa2, 0x98, 0x98, 0x8e, 0x8e, 
0x87, 0x87, 0x83, 0x83, 0x84, 0x84, 0x88, 0x88, 0x8f, 0x8f, 0x96, 0x96, 0x9e, 0x9e, 0xa4, 0xa4, 0xa6, 0xa6, 0xa3, 0xa3, 0x9b, 0x9b, 0x8e, 0x8e, 0x7f, 0x7f, 
0x6e, 0x6e, 0x5e, 0x5e, 0x4f, 0x4f, 0x43, 0x43, 0x3d, 0x3d, 0x3d, 0x3d, 0x42, 0x42, 0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 0x70, 0x70, 0x7c, 0x7c, 0x83, 0x83, 
0x85, 0x85, 0x84, 0x84, 0x7e, 0x7e, 0x76, 0x76, 0x6b, 0x6b, 0x5f, 0x5f, 0x54, 0x54, 0x4d, 0x4d, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 0x51, 0x51, 0x59, 0x59, 
0x62, 0x62, 0x6a, 0x6a, 0x70, 0x70, 0x73, 0x73, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 
0x5b, 0x5b, 0x5e, 0x5e, 0x63, 0x63, 0x69, 0x69, 0x6f, 0x6f, 0x74, 0x74, 0x78, 0x78, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x6f, 0x6f, 0x66, 0x66, 0x5c, 0x5c, 
0x54, 0x54, 0x4d, 0x4d, 0x48, 0x48, 0x47, 0x47, 0x4a, 0x4a, 0x51, 0x51, 0x5c, 0x5c, 0x67, 0x67, 0x72, 0x72, 0x7c, 0x7c, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 
0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8e, 0x8e, 0x90, 0x90, 0x96, 0x96, 0x9e, 0x9e, 
0xa8, 0xa8, 0xb2, 0xb2, 0xbd, 0xbd, 0xc7, 0xc7, 0xd1, 0xd1, 0xd9, 0xd9, 0xdf, 0xdf, 0xe4, 0xe4, 0xe7, 0xe7, 0xe8, 0xe8, 0xe7, 0xe7, 0xe5, 0xe5, 0xe1, 0xe1, 
0xda, 0xda, 0xd2, 0xd2, 0xc7, 0xc7, 0xbc, 0xbc, 0xb1, 0xb1, 0xa6, 0xa6, 0x9c, 0x9c, 0x93, 0x93, 0x8d, 0x8d, 0x89, 0x89, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 
0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9f, 0x9f, 0xa4, 0xa4, 0xa8, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xa8, 0xa8, 0xa4, 0xa4, 0xa0, 0xa0, 0x9c, 0x9c, 0x98, 0x98, 
0x95, 0x95, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x92, 0x92, 0x89, 0x89, 0x7e, 0x7e, 0x73, 0x73, 
0x67, 0x67, 0x5d, 0x5d, 0x56, 0x56, 0x51, 0x51, 0x4f, 0x4f, 0x50, 0x50, 0x54, 0x54, 0x5b, 0x5b, 0x63, 0x63, 0x6a, 0x6a, 0x71, 0x71, 0x76, 0x76, 0x78, 0x78, 
0x77, 0x77, 0x73, 0x73, 0x6c, 0x6c, 0x63, 0x63, 0x5a, 0x5a, 0x51, 0x51, 0x48, 0x48, 0x42, 0x42, 0x3f, 0x3f, 0x3f, 0x3f, 0x42, 0x42, 0x47, 0x47, 0x4e, 0x4e, 
0x55, 0x55, 0x5d, 0x5d, 0x64, 0x64, 0x68, 0x68, 0x6a, 0x6a, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x53, 0x53, 0x4f, 0x4f, 0x4c, 0x4c, 
0x4a, 0x4a, 0x4b, 0x4b, 0x4c, 0x4c, 0x50, 0x50, 0x54, 0x54, 0x57, 0x57, 0x59, 0x59, 0x59, 0x59, 0x56, 0x56, 0x52, 0x52, 0x4d, 0x4d, 0x46, 0x46, 0x3e, 0x3e, 
0x38, 0x38, 0x34, 0x34, 0x32, 0x32, 0x33, 0x33, 0x36, 0x36, 0x3d, 0x3d, 0x45, 0x45, 0x4f, 0x4f, 0x59, 0x59, 0x62, 0x62, 0x6a, 0x6a, 0x71, 0x71, 0x76, 0x76, 
0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x83, 0x83, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x9a, 0x9a, 
0xa2, 0xa2, 0xa9, 0xa9, 0xb0, 0xb0, 0xb7, 0xb7, 0xbd, 0xbd, 0xc3, 0xc3, 0xca, 0xca, 0xd0, 0xd0, 0xd7, 0xd7, 0xdd, 0xdd, 0xe3, 0xe3, 0xe7, 0xe7, 0xeb, 0xeb, 
0xec, 0xec, 0xeb, 0xeb, 0xe7, 0xe7, 0xe0, 0xe0, 0xd7, 0xd7, 0xcc, 0xcc, 0xbe, 0xbe, 0xb0, 0xb0, 0xa2, 0xa2, 0x97, 0x97, 0x8e, 0x8e, 0x89, 0x89, 0x87, 0x87, 
0x8a, 0x8a, 0x90, 0x90, 0x9a, 0x9a, 0xa5, 0xa5, 0xaf, 0xaf, 0xb9, 0xb9, 0xc0, 0xc0, 0xc5, 0xc5, 0xc6, 0xc6, 0xc3, 0xc3, 0xbe, 0xbe, 0xb7, 0xb7, 0xb1, 0xb1, 
0xab, 0xab, 0xa6, 0xa6, 0xa3, 0xa3, 0xa3, 0xa3, 0xa5, 0xa5, 0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb3, 0xb3, 0xb3, 0xb3, 0xb0, 0xb0, 0xaa, 0xaa, 0xa0, 0xa0, 
0x93, 0x93, 0x85, 0x85, 0x77, 0x77, 0x6a, 0x6a, 0x5f, 0x5f, 0x57, 0x57, 0x54, 0x54, 0x55, 0x55, 0x5b, 0x5b, 0x63, 0x63, 0x6d, 0x6d, 0x77, 0x77, 0x80, 0x80, 
0x87, 0x87, 0x89, 0x89, 0x87, 0x87, 0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x5f, 0x5f, 0x53, 0x53, 0x4a, 0x4a, 0x44, 0x44, 0x43, 0x43, 0x45, 0x45, 0x4a, 0x4a, 
0x51, 0x51, 0x59, 0x59, 0x62, 0x62, 0x69, 0x69, 0x6e, 0x6e, 0x70, 0x70, 0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x62, 0x62, 0x5c, 0x5c, 0x56, 0x56, 0x52, 0x52, 
0x4e, 0x4e, 0x4b, 0x4b, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4b, 0x4b, 0x4c, 0x4c, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 
0x3c, 0x3c, 0x39, 0x39, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x39, 0x39, 0x3c, 0x3c, 0x41, 0x41, 0x47, 0x47, 0x4d, 0x4d, 0x54, 0x54, 0x5a, 0x5a, 0x5f, 0x5f, 
0x64, 0x64, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 
0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8e, 0x8e, 
0x95, 0x95, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb6, 0xb6, 0xbc, 0xbc, 0xc3, 0xc3, 0xca, 0xca, 0xd0, 0xd0, 0xd8, 0xd8, 0xde, 0xde, 0xe4, 0xe4, 0xe9, 0xe9, 
0xec, 0xec, 0xec, 0xec, 0xe8, 0xe8, 0xe0, 0xe0, 0xd6, 0xd6, 0xc9, 0xc9, 0xbb, 0xbb, 0xad, 0xad, 0x9f, 0x9f, 0x94, 0x94, 0x8c, 0x8c, 0x87, 0x87, 0x87, 0x87, 
0x89, 0x89, 0x8f, 0x8f, 0x97, 0x97, 0xa1, 0xa1, 0xac, 0xac, 0xb5, 0xb5, 0xbd, 0xbd, 0xc3, 0xc3, 0xc5, 0xc5, 0xc4, 0xc4, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 
0xaa, 0xaa, 0xa7, 0xa7, 0xa5, 0xa5, 0xa7, 0xa7, 0xac, 0xac, 0xb3, 0xb3, 0xbb, 0xbb, 0xc2, 0xc2, 0xc5, 0xc5, 0xc4, 0xc4, 0xbe, 0xbe, 0xb4, 0xb4, 0xa7, 0xa7, 
0x97, 0x97, 0x85, 0x85, 0x75, 0x75, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 0x58, 0x58, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x80, 0x80, 0x8c, 0x8c, 0x97, 0x97, 
0x9f, 0x9f, 0xa2, 0xa2, 0x9e, 0x9e, 0x93, 0x93, 0x83, 0x83, 0x70, 0x70, 0x5d, 0x5d, 0x4c, 0x4c, 0x3d, 0x3d, 0x34, 0x34, 0x32, 0x32, 0x38, 0x38, 0x44, 0x44, 
0x53, 0x53, 0x62, 0x62, 0x70, 0x70, 0x7b, 0x7b, 0x81, 0x81, 0x81, 0x81, 0x7b, 0x7b, 0x70, 0x70, 0x63, 0x63, 0x55, 0x55, 0x49, 0x49, 0x40, 0x40, 0x39, 0x39, 
0x38, 0x38, 0x3a, 0x3a, 0x41, 0x41, 0x49, 0x49, 0x52, 0x52, 0x5b, 0x5b, 0x63, 0x63, 0x69, 0x69, 0x6a, 0x6a, 0x67, 0x67, 0x60, 0x60, 0x56, 0x56, 0x4b, 0x4b, 
0x40, 0x40, 0x35, 0x35, 0x2d, 0x2d, 0x2a, 0x2a, 0x2c, 0x2c, 0x33, 0x33, 0x3e, 0x3e, 0x4a, 0x4a, 0x59, 0x59, 0x67, 0x67, 0x73, 0x73, 0x7b, 0x7b, 0x7f, 0x7f, 
0x7f, 0x7f, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x61, 0x61, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x73, 0x73, 0x7c, 0x7c, 
0x84, 0x84, 0x8b, 0x8b, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 0x81, 0x81, 0x7a, 0x7a, 0x74, 0x74, 0x71, 0x71, 0x70, 0x70, 0x73, 0x73, 
0x7a, 0x7a, 0x85, 0x85, 0x92, 0x92, 0xa1, 0xa1, 0xae, 0xae, 0xba, 0xba, 0xc5, 0xc5, 0xcd, 0xcd, 0xd4, 0xd4, 0xd8, 0xd8, 0xdb, 0xdb, 0xde, 0xde, 0xe0, 0xe0, 
0xe2, 0xe2, 0xe4, 0xe4, 0xe6, 0xe6, 0xe8, 0xe8, 0xe9, 0xe9, 0xe8, 0xe8, 0xe6, 0xe6, 0xe1, 0xe1, 0xda, 0xda, 0xd1, 0xd1, 0xc5, 0xc5, 0xb7, 0xb7, 0xa7, 0xa7, 
0x96, 0x96, 0x86, 0x86, 0x78, 0x78, 0x6d, 0x6d, 0x66, 0x66, 0x62, 0x62, 0x64, 0x64, 0x6c, 0x6c, 0x77, 0x77, 0x85, 0x85, 0x93, 0x93, 0xa0, 0xa0, 0xab, 0xab, 
0xb3, 0xb3, 0xb6, 0xb6, 0xb4, 0xb4, 0xaf, 0xaf, 0xa6, 0xa6, 0x9d, 0x9d, 0x94, 0x94, 0x8c, 0x8c, 0x86, 0x86, 0x84, 0x84, 0x85, 0x85, 0x89, 0x89, 0x8e, 0x8e, 
0x93, 0x93, 0x97, 0x97, 0x99, 0x99, 0x98, 0x98, 0x93, 0x93, 0x89, 0x89, 0x7c, 0x7c, 0x6d, 0x6d, 0x5e, 0x5e, 0x4f, 0x4f, 0x42, 0x42, 0x38, 0x38, 0x34, 0x34, 
0x35, 0x35, 0x3a, 0x3a, 0x43, 0x43, 0x4d, 0x4d, 0x58, 0x58, 0x63, 0x63, 0x6a, 0x6a, 0x6d, 0x6d, 0x6c, 0x6c, 0x65, 0x65, 0x5c, 0x5c, 0x52, 0x52, 0x46, 0x46, 
0x3b, 0x3b, 0x32, 0x32, 0x2d, 0x2d, 0x2d, 0x2d, 0x31, 0x31, 0x37, 0x37, 0x41, 0x41, 0x4c, 0x4c, 0x59, 0x59, 0x64, 0x64, 0x6e, 0x6e, 0x75, 0x75, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7a, 0x7a, 0x76, 0x76, 0x6f, 0x6f, 0x67, 0x67, 0x5f, 0x5f, 0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4c, 0x4c, 0x4e, 0x4e, 0x52, 0x52, 0x56, 0x56, 
0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5c, 0x5c, 0x56, 0x56, 0x51, 0x51, 0x4c, 0x4c, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x53, 0x53, 
0x5c, 0x5c, 0x66, 0x66, 0x71, 0x71, 0x7c, 0x7c, 0x85, 0x85, 0x8c, 0x8c, 0x91, 0x91, 0x94, 0x94, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 
0x81, 0x81, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9f, 0x9f, 0xa4, 0xa4, 0xa9, 0xa9, 0xb0, 0xb0, 0xb8, 0xb8, 0xc0, 0xc0, 
0xc8, 0xc8, 0xd1, 0xd1, 0xda, 0xda, 0xe2, 0xe2, 0xe9, 0xe9, 0xee, 0xee, 0xf3, 0xf3, 0xf6, 0xf6, 0xf7, 0xf7, 0xf7, 0xf7, 0xf5, 0xf5, 0xf2, 0xf2, 0xed, 0xed, 
0xe7, 0xe7, 0xdf, 0xdf, 0xd5, 0xd5, 0xc8, 0xc8, 0xba, 0xba, 0xaa, 0xaa, 0x99, 0x99, 0x8a, 0x8a, 0x7c, 0x7c, 0x70, 0x70, 0x67, 0x67, 0x63, 0x63, 0x65, 0x65, 
0x6a, 0x6a, 0x73, 0x73, 0x7f, 0x7f, 0x8c, 0x8c, 0x9a, 0x9a, 0xa6, 0xa6, 0xb0, 0xb0, 0xb6, 0xb6, 0xb9, 0xb9, 0xb8, 0xb8, 0xb5, 0xb5, 0xaf, 0xaf, 0xa7, 0xa7, 
0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 
0x68, 0x68, 0x5d, 0x5d, 0x52, 0x52, 0x48, 0x48, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3f, 0x3f, 0x44, 0x44, 0x4b, 0x4b, 0x53, 0x53, 0x5c, 0x5c, 0x63, 0x63, 
0x67, 0x67, 0x6a, 0x6a, 0x69, 0x69, 0x65, 0x65, 0x5d, 0x5d, 0x53, 0x53, 0x49, 0x49, 0x3f, 0x3f, 0x37, 0x37, 0x31, 0x31, 0x2f, 0x2f, 0x31, 0x31, 0x38, 0x38, 
0x42, 0x42, 0x4e, 0x4e, 0x5b, 0x5b, 0x68, 0x68, 0x73, 0x73, 0x7c, 0x7c, 0x81, 0x81, 0x82, 0x82, 0x80, 0x80, 0x7a, 0x7a, 0x71, 0x71, 0x67, 0x67, 0x5c, 0x5c, 
0x51, 0x51, 0x48, 0x48, 0x40, 0x40, 0x3c, 0x3c, 0x39, 0x39, 0x3a, 0x3a, 0x3d, 0x3d, 0x41, 0x41, 0x46, 0x46, 0x4a, 0x4a, 0x4d, 0x4d, 0x4e, 0x4e, 0x4e, 0x4e, 
0x4c, 0x4c, 0x48, 0x48, 0x44, 0x44, 0x41, 0x41, 0x40, 0x40, 0x41, 0x41, 0x45, 0x45, 0x4b, 0x4b, 0x55, 0x55, 0x61, 0x61, 0x6f, 0x6f, 0x7e, 0x7e, 0x8b, 0x8b, 
0x96, 0x96, 0x9e, 0x9e, 0xa3, 0xa3, 0xa3, 0xa3, 0x9e, 0x9e, 0x96, 0x96, 0x8b, 0x8b, 0x80, 0x80, 0x75, 0x75, 0x6c, 0x6c, 0x66, 0x66, 0x65, 0x65, 0x6a, 0x6a, 
0x72, 0x72, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0x9f, 0x9f, 0xa6, 0xa6, 0xa8, 0xa8, 0xa6, 0xa6, 0xa0, 0xa0, 0x99, 0x99, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 
0x82, 0x82, 0x82, 0x82, 0x86, 0x86, 0x8c, 0x8c, 0x94, 0x94, 0x9c, 0x9c, 0xa5, 0xa5, 0xad, 0xad, 0xb5, 0xb5, 0xbc, 0xbc, 0xc1, 0xc1, 0xc5, 0xc5, 0xc7, 0xc7, 
0xc9, 0xc9, 0xc9, 0xc9, 0xc8, 0xc8, 0xc8, 0xc8, 0xc9, 0xc9, 0xcc, 0xcc, 0xcf, 0xcf, 0xd4, 0xd4, 0xd9, 0xd9, 0xe0, 0xe0, 0xe6, 0xe6, 0xea, 0xea, 0xea, 0xea, 
0xe6, 0xe6, 0xde, 0xde, 0xd2, 0xd2, 0xc2, 0xc2, 0xaf, 0xaf, 0x99, 0x99, 0x84, 0x84, 0x70, 0x70, 0x60, 0x60, 0x53, 0x53, 0x4b, 0x4b, 0x48, 0x48, 0x4b, 0x4b, 
0x52, 0x52, 0x5d, 0x5d, 0x69, 0x69, 0x76, 0x76, 0x82, 0x82, 0x8d, 0x8d, 0x94, 0x94, 0x98, 0x98, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 
0x88, 0x88, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x74, 0x74, 0x6a, 0x6a, 0x5f, 0x5f, 
0x55, 0x55, 0x4d, 0x4d, 0x46, 0x46, 0x42, 0x42, 0x3f, 0x3f, 0x3f, 0x3f, 0x41, 0x41, 0x44, 0x44, 0x49, 0x49, 0x4f, 0x4f, 0x55, 0x55, 0x5b, 0x5b, 0x60, 0x60, 
0x63, 0x63, 0x65, 0x65, 0x65, 0x65, 0x62, 0x62, 0x5d, 0x5d, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4d, 0x4d, 0x4f, 0x4f, 0x54, 0x54, 0x5b, 0x5b, 0x65, 0x65, 
0x70, 0x70, 0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x87, 0x87, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x69, 0x69, 0x68, 0x68, 
0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x61, 0x61, 0x5d, 0x5d, 0x57, 0x57, 0x50, 0x50, 0x48, 0x48, 0x3f, 0x3f, 0x38, 0x38, 0x32, 0x32, 0x2e, 0x2e, 0x2c, 0x2c, 
0x2e, 0x2e, 0x32, 0x32, 0x3a, 0x3a, 0x43, 0x43, 0x4e, 0x4e, 0x5a, 0x5a, 0x66, 0x66, 0x70, 0x70, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x82, 0x82, 
0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 
0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 
0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x9a, 0x9a, 0x9c, 0x9c, 0xa1, 0xa1, 0xaa, 0xaa, 0xb6, 0xb6, 0xc3, 0xc3, 
0xd1, 0xd1, 0xdf, 0xdf, 0xed, 0xed, 0xf8, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xfa, 0xfa, 0xf6, 0xf6, 0xef, 0xef, 0xe3, 0xe3, 
0xd2, 0xd2, 0xbd, 0xbd, 0xa6, 0xa6, 0x8e, 0x8e, 0x77, 0x77, 0x63, 0x63, 0x54, 0x54, 0x4c, 0x4c, 0x4c, 0x4c, 0x51, 0x51, 0x5c, 0x5c, 0x6a, 0x6a, 0x7a, 0x7a, 
0x8a, 0x8a, 0x99, 0x99, 0xa4, 0xa4, 0xab, 0xab, 0xae, 0xae, 0xad, 0xad, 0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9e, 0x9e, 0x9d, 0x9d, 0x9e, 0x9e, 0xa2, 0xa2, 
0xa7, 0xa7, 0xad, 0xad, 0xb3, 0xb3, 0xb9, 0xb9, 0xbb, 0xbb, 0xb7, 0xb7, 0xae, 0xae, 0x9f, 0x9f, 0x8c, 0x8c, 0x77, 0x77, 0x60, 0x60, 0x49, 0x49, 0x35, 0x35, 
0x29, 0x29, 0x23, 0x23, 0x25, 0x25, 0x2d, 0x2d, 0x39, 0x39, 0x4a, 0x4a, 0x5c, 0x5c, 0x6d, 0x6d, 0x7b, 0x7b, 0x83, 0x83, 0x87, 0x87, 0x85, 0x85, 0x7e, 0x7e, 
0x72, 0x72, 0x64, 0x64, 0x54, 0x54, 0x45, 0x45, 0x39, 0x39, 0x30, 0x30, 0x2c, 0x2c, 0x2f, 0x2f, 0x39, 0x39, 0x49, 0x49, 0x5c, 0x5c, 0x6f, 0x6f, 0x82, 0x82, 
0x93, 0x93, 0x9e, 0x9e, 0xa1, 0xa1, 0x9c, 0x9c, 0x90, 0x90, 0x80, 0x80, 0x6e, 0x6e, 0x5d, 0x5d, 0x4d, 0x4d, 0x40, 0x40, 0x3a, 0x3a, 0x3b, 0x3b, 0x40, 0x40, 
0x49, 0x49, 0x52, 0x52, 0x5c, 0x5c, 0x63, 0x63, 0x68, 0x68, 0x69, 0x69, 0x64, 0x64, 0x5d, 0x5d, 0x53, 0x53, 0x48, 0x48, 0x3d, 0x3d, 0x33, 0x33, 0x2d, 0x2d, 
0x2c, 0x2c, 0x30, 0x30, 0x39, 0x39, 0x47, 0x47, 0x58, 0x58, 0x6c, 0x6c, 0x80, 0x80, 0x93, 0x93, 0xa2, 0xa2, 0xaa, 0xaa, 0xae, 0xae, 0xab, 0xab, 0xa3, 0xa3, 
0x95, 0x95, 0x84, 0x84, 0x73, 0x73, 0x63, 0x63, 0x56, 0x56, 0x4d, 0x4d, 0x49, 0x49, 0x49, 0x49, 0x4f, 0x4f, 0x58, 0x58, 0x62, 0x62, 0x6c, 0x6c, 0x75, 0x75, 
0x7c, 0x7c, 0x80, 0x80, 0x80, 0x80, 0x7c, 0x7c, 0x76, 0x76, 0x6f, 0x6f, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x68, 0x68, 0x71, 0x71, 0x7e, 0x7e, 0x8f, 0x8f, 
0xa1, 0xa1, 0xb3, 0xb3, 0xc3, 0xc3, 0xd1, 0xd1, 0xdc, 0xdc, 0xe3, 0xe3, 0xe7, 0xe7, 0xe8, 0xe8, 0xe7, 0xe7, 0xe7, 0xe7, 0xe8, 0xe8, 0xe9, 0xe9, 0xeb, 0xeb, 
0xed, 0xed, 0xef, 0xef, 0xef, 0xef, 0xed, 0xed, 0xe6, 0xe6, 0xdb, 0xdb, 0xcd, 0xcd, 0xbc, 0xbc, 0xa9, 0xa9, 0x96, 0x96, 0x84, 0x84, 0x74, 0x74, 0x68, 0x68, 
0x61, 0x61, 0x5e, 0x5e, 0x5e, 0x5e, 0x63, 0x63, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x86, 0x86, 0x8d, 0x8d, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 
0x97, 0x97, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x9c, 0x9c, 0xa1, 0xa1, 0xa7, 0xa7, 0xae, 0xae, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 0xbe, 0xbe, 0xbb, 0xbb, 
0xb3, 0xb3, 0xa7, 0xa7, 0x98, 0x98, 0x86, 0x86, 0x74, 0x74, 0x64, 0x64, 0x55, 0x55, 0x4a, 0x4a, 0x42, 0x42, 0x40, 0x40, 0x43, 0x43, 0x4a, 0x4a, 0x53, 0x53, 
0x5d, 0x5d, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7a, 0x7a, 0x78, 0x78, 0x73, 0x73, 0x6c, 0x6c, 0x63, 0x63, 0x59, 0x59, 0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 
0x49, 0x49, 0x4f, 0x4f, 0x58, 0x58, 0x65, 0x65, 0x73, 0x73, 0x82, 0x82, 0x8f, 0x8f, 0x99, 0x99, 0x9f, 0x9f, 0xa0, 0xa0, 0x9d, 0x9d, 0x96, 0x96, 0x8c, 0x8c, 
0x7f, 0x7f, 0x73, 0x73, 0x69, 0x69, 0x62, 0x62, 0x5f, 0x5f, 0x5f, 0x5f, 0x62, 0x62, 0x69, 0x69, 0x71, 0x71, 0x79, 0x79, 0x7e, 0x7e, 0x80, 0x80, 0x7e, 0x7e, 
0x79, 0x79, 0x70, 0x70, 0x64, 0x64, 0x56, 0x56, 0x48, 0x48, 0x3e, 0x3e, 0x38, 0x38, 0x36, 0x36, 0x39, 0x39, 0x41, 0x41, 0x4f, 0x4f, 0x61, 0x61, 0x74, 0x74, 
0x86, 0x86, 0x97, 0x97, 0xa5, 0xa5, 0xae, 0xae, 0xb3, 0xb3, 0xb2, 0xb2, 0xac, 0xac, 0xa4, 0xa4, 0x9b, 0x9b, 0x91, 0x91, 0x87, 0x87, 0x7e, 0x7e, 0x78, 0x78, 
0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 0x4b, 0x4b, 
0x47, 0x47, 0x46, 0x46, 0x49, 0x49, 0x51, 0x51, 0x5c, 0x5c, 0x6a, 0x6a, 0x7a, 0x7a, 0x8c, 0x8c, 0x9e, 0x9e, 0xad, 0xad, 0xb8, 0xb8, 0xbe, 0xbe, 0xbf, 0xbf, 
0xbb, 0xbb, 0xb2, 0xb2, 0xa5, 0xa5, 0x96, 0x96, 0x86, 0x86, 0x79, 0x79, 0x70, 0x70, 0x6a, 0x6a, 0x69, 0x69, 0x6b, 0x6b, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 
0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x92, 0x92, 
0x9a, 0x9a, 0xa2, 0xa2, 0xaa, 0xaa, 0xb0, 0xb0, 0xb3, 0xb3, 0xb4, 0xb4, 0xb2, 0xb2, 0xab, 0xab, 0xa1, 0xa1, 0x95, 0x95, 0x88, 0x88, 0x7b, 0x7b, 0x70, 0x70, 
0x68, 0x68, 0x63, 0x63, 0x62, 0x62, 0x64, 0x64, 0x6a, 0x6a, 0x71, 0x71, 0x79, 0x79, 0x80, 0x80, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x79, 0x79, 
0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x56, 0x56, 0x5d, 0x5d, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 
0x85, 0x85, 0x8d, 0x8d, 0x92, 0x92, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8c, 0x8c, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 
0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x66, 0x66, 0x60, 0x60, 0x58, 0x58, 0x50, 0x50, 
0x4a, 0x4a, 0x44, 0x44, 0x40, 0x40, 0x3e, 0x3e, 0x3e, 0x3e, 0x3f, 0x3f, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x5d, 0x5d, 
0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x64, 0x64, 
0x6a, 0x6a, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x7e, 0x7e, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 
0x9a, 0x9a, 0x97, 0x97, 0x96, 0x96, 0x97, 0x97, 0x9c, 0x9c, 0xa5, 0xa5, 0xb1, 0xb1, 0xbf, 0xbf, 0xcd, 0xcd, 0xdc, 0xdc, 0xea, 0xea, 0xf5, 0xf5, 0xfd, 0xfd, 
0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf9, 0xf9, 0xf2, 0xf2, 0xe9, 0xe9, 0xdd, 0xdd, 0xcc, 0xcc, 0xb7, 0xb7, 0x9f, 0x9f, 0x87, 0x87, 0x70, 0x70, 0x5d, 0x5d, 
0x4e, 0x4e, 0x45, 0x45, 0x44, 0x44, 0x4b, 0x4b, 0x59, 0x59, 0x6a, 0x6a, 0x7c, 0x7c, 0x8d, 0x8d, 0x9d, 0x9d, 0xaa, 0xaa, 0xb1, 0xb1, 0xb3, 0xb3, 0xb0, 0xb0, 
0xab, 0xab, 0xa7, 0xa7, 0xa3, 0xa3, 0xa1, 0xa1, 0xa2, 0xa2, 0xa6, 0xa6, 0xad, 0xad, 0xb6, 0xb6, 0xc0, 0xc0, 0xc7, 0xc7, 0xca, 0xca, 0xca, 0xca, 0xc5, 0xc5, 
0xb9, 0xb9, 0xa8, 0xa8, 0x92, 0x92, 0x7a, 0x7a, 0x63, 0x63, 0x4f, 0x4f, 0x3f, 0x3f, 0x35, 0x35, 0x34, 0x34, 0x3c, 0x3c, 0x4a, 0x4a, 0x5b, 0x5b, 0x6e, 0x6e, 
0x7f, 0x7f, 0x8d, 0x8d, 0x96, 0x96, 0x98, 0x98, 0x91, 0x91, 0x84, 0x84, 0x73, 0x73, 0x61, 0x61, 0x4f, 0x4f, 0x3e, 0x3e, 0x32, 0x32, 0x2c, 0x2c, 0x2b, 0x2b, 
0x31, 0x31, 0x3a, 0x3a, 0x47, 0x47, 0x57, 0x57, 0x68, 0x68, 0x78, 0x78, 0x85, 0x85, 0x8f, 0x8f, 0x94, 0x94, 0x95, 0x95, 0x90, 0x90, 0x85, 0x85, 0x77, 0x77, 
0x67, 0x67, 0x58, 0x58, 0x4a, 0x4a, 0x3f, 0x3f, 0x37, 0x37, 0x34, 0x34, 0x36, 0x36, 0x3b, 0x3b, 0x40, 0x40, 0x46, 0x46, 0x49, 0x49, 0x4b, 0x4b, 0x49, 0x49, 
0x44, 0x44, 0x3b, 0x3b, 0x30, 0x30, 0x24, 0x24, 0x1b, 0x1b, 0x13, 0x13, 0x10, 0x10, 0x11, 0x11, 0x18, 0x18, 0x25, 0x25, 0x37, 0x37, 0x4c, 0x4c, 0x63, 0x63, 
0x7a, 0x7a, 0x90, 0x90, 0xa0, 0xa0, 0xa9, 0xa9, 0xaa, 0xaa, 0xa3, 0xa3, 0x97, 0x97, 0x86, 0x86, 0x71, 0x71, 0x5c, 0x5c, 0x4a, 0x4a, 0x3d, 0x3d, 0x37, 0x37, 
0x37, 0x37, 0x3d, 0x3d, 0x46, 0x46, 0x52, 0x52, 0x5f, 0x5f, 0x6b, 0x6b, 0x72, 0x72, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 
0x66, 0x66, 0x66, 0x66, 0x69, 0x69, 0x6f, 0x6f, 0x77, 0x77, 0x80, 0x80, 0x8b, 0x8b, 0x96, 0x96, 0xa1, 0xa1, 0xab, 0xab, 0xb3, 0xb3, 0xbb, 0xbb, 0xc1, 0xc1, 
0xc5, 0xc5, 0xc8, 0xc8, 0xca, 0xca, 0xcb, 0xcb, 0xcc, 0xcc, 0xce, 0xce, 0xd1, 0xd1, 0xd6, 0xd6, 0xdc, 0xdc, 0xe3, 0xe3, 0xec, 0xec, 0xf4, 0xf4, 0xfa, 0xfa, 
0xfe, 0xfe, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf2, 0xf2, 0xe8, 0xe8, 0xd9, 0xd9, 0xc5, 0xc5, 0xab, 0xab, 0x8e, 0x8e, 0x72, 0x72, 0x5d, 0x5d, 0x4f, 0x4f, 
0x49, 0x49, 0x4c, 0x4c, 0x57, 0x57, 0x6b, 0x6b, 0x82, 0x82, 0x9a, 0x9a, 0xae, 0xae, 0xbc, 0xbc, 0xc4, 0xc4, 0xc6, 0xc6, 0xc2, 0xc2, 0xb9, 0xb9, 0xac, 0xac, 
0xa1, 0xa1, 0x9b, 0x9b, 0x9c, 0x9c, 0xa2, 0xa2, 0xae, 0xae, 0xbd, 0xbd, 0xce, 0xce, 0xdf, 0xdf, 0xeb, 0xeb, 0xf0, 0xf0, 0xeb, 0xeb, 0xde, 0xde, 0xc9, 0xc9, 
0xaf, 0xaf, 0x91, 0x91, 0x71, 0x71, 0x54, 0x54, 0x3d, 0x3d, 0x2e, 0x2e, 0x26, 0x26, 0x25, 0x25, 0x2c, 0x2c, 0x38, 0x38, 0x48, 0x48, 0x58, 0x58, 0x65, 0x65, 
0x6f, 0x6f, 0x74, 0x74, 0x74, 0x74, 0x6f, 0x6f, 0x66, 0x66, 0x5a, 0x5a, 0x4e, 0x4e, 0x44, 0x44, 0x3d, 0x3d, 0x3b, 0x3b, 0x3c, 0x3c, 0x44, 0x44, 0x50, 0x50, 
0x61, 0x61, 0x73, 0x73, 0x85, 0x85, 0x96, 0x96, 0xa4, 0xa4, 0xad, 0xad, 0xb0, 0xb0, 0xac, 0xac, 0xa2, 0xa2, 0x92, 0x92, 0x7e, 0x7e, 0x67, 0x67, 0x4e, 0x4e, 
0x36, 0x36, 0x23, 0x23, 0x14, 0x14, 0x0a, 0x0a, 0x06, 0x06, 0x06, 0x06, 0x0a, 0x0a, 0x12, 0x12, 0x1a, 0x1a, 0x20, 0x20, 0x23, 0x23, 0x24, 0x24, 0x22, 0x22, 
0x1f, 0x1f, 0x19, 0x19, 0x14, 0x14, 0x12, 0x12, 0x14, 0x14, 0x1b, 0x1b, 0x27, 0x27, 0x38, 0x38, 0x4b, 0x4b, 0x61, 0x61, 0x78, 0x78, 0x8b, 0x8b, 0x99, 0x99, 
0xa0, 0xa0, 0xa1, 0xa1, 0x9c, 0x9c, 0x91, 0x91, 0x80, 0x80, 0x6d, 0x6d, 0x5b, 0x5b, 0x4c, 0x4c, 0x41, 0x41, 0x3c, 0x3c, 0x3b, 0x3b, 0x40, 0x40, 0x4b, 0x4b, 
0x58, 0x58, 0x66, 0x66, 0x72, 0x72, 0x7c, 0x7c, 0x82, 0x82, 0x85, 0x85, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6f, 0x6f, 
0x73, 0x73, 0x7a, 0x7a, 0x84, 0x84, 0x8f, 0x8f, 0x9b, 0x9b, 0xa6, 0xa6, 0xb0, 0xb0, 0xb8, 0xb8, 0xbe, 0xbe, 0xc2, 0xc2, 0xc4, 0xc4, 0xc5, 0xc5, 0xc6, 0xc6, 
0xc7, 0xc7, 0xc8, 0xc8, 0xc9, 0xc9, 0xcb, 0xcb, 0xce, 0xce, 0xd1, 0xd1, 0xd6, 0xd6, 0xda, 0xda, 0xe0, 0xe0, 0xe6, 0xe6, 0xed, 0xed, 0xf2, 0xf2, 0xf6, 0xf6, 
0xf8, 0xf8, 0xf8, 0xf8, 0xf4, 0xf4, 0xea, 0xea, 0xdb, 0xdb, 0xc7, 0xc7, 0xb1, 0xb1, 0x9a, 0x9a, 0x84, 0x84, 0x6f, 0x6f, 0x60, 0x60, 0x58, 0x58, 0x59, 0x59, 
0x62, 0x62, 0x70, 0x70, 0x81, 0x81, 0x95, 0x95, 0xaa, 0xaa, 0xbb, 0xbb, 0xc8, 0xc8, 0xce, 0xce, 0xcf, 0xcf, 0xcc, 0xcc, 0xc7, 0xc7, 0xc1, 0xc1, 0xbb, 0xbb, 
0xb8, 0xb8, 0xb8, 0xb8, 0xbb, 0xbb, 0xc2, 0xc2, 0xc9, 0xc9, 0xcf, 0xcf, 0xd2, 0xd2, 0xd2, 0xd2, 0xcd, 0xcd, 0xc3, 0xc3, 0xb3, 0xb3, 0x9e, 0x9e, 0x88, 0x88, 
0x72, 0x72, 0x5e, 0x5e, 0x4d, 0x4d, 0x40, 0x40, 0x3a, 0x3a, 0x3a, 0x3a, 0x40, 0x40, 0x48, 0x48, 0x53, 0x53, 0x5e, 0x5e, 0x68, 0x68, 0x70, 0x70, 0x74, 0x74, 
0x74, 0x74, 0x71, 0x71, 0x6c, 0x6c, 0x65, 0x65, 0x5e, 0x5e, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 0x53, 0x53, 0x5c, 0x5c, 
0x67, 0x67, 0x73, 0x73, 0x7f, 0x7f, 0x8a, 0x8a, 0x94, 0x94, 0x9a, 0x9a, 0x9c, 0x9c, 0x98, 0x98, 0x8f, 0x8f, 0x83, 0x83, 0x75, 0x75, 0x66, 0x66, 0x58, 0x58, 
0x4b, 0x4b, 0x42, 0x42, 0x3c, 0x3c, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x38, 0x38, 0x34, 0x34, 0x2d, 0x2d, 0x25, 0x25, 0x1e, 0x1e, 
0x18, 0x18, 0x16, 0x16, 0x17, 0x17, 0x1c, 0x1c, 0x25, 0x25, 0x33, 0x33, 0x42, 0x42, 0x54, 0x54, 0x65, 0x65, 0x75, 0x75, 0x83, 0x83, 0x8e, 0x8e, 0x94, 0x94, 
0x96, 0x96, 0x93, 0x93, 0x8d, 0x8d, 0x84, 0x84, 0x7a, 0x7a, 0x6e, 0x6e, 0x63, 0x63, 0x5a, 0x5a, 0x54, 0x54, 0x51, 0x51, 0x50, 0x50, 0x50, 0x50, 0x53, 0x53, 
0x55, 0x55, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6f, 0x6f, 
0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 
0x98, 0x98, 0x9a, 0x9a, 0x9f, 0x9f, 0xa4, 0xa4, 0xac, 0xac, 0xb4, 0xb4, 0xbc, 0xbc, 0xc3, 0xc3, 0xc7, 0xc7, 0xc9, 0xc9, 0xc8, 0xc8, 0xc7, 0xc7, 0xc5, 0xc5, 
0xc4, 0xc4, 0xc3, 0xc3, 0xc5, 0xc5, 0xc9, 0xc9, 0xd0, 0xd0, 0xd9, 0xd9, 0xe3, 0xe3, 0xeb, 0xeb, 0xf3, 0xf3, 0xf8, 0xf8, 0xfb, 0xfb, 0xfa, 0xfa, 0xf6, 0xf6, 
0xef, 0xef, 0xe4, 0xe4, 0xd5, 0xd5, 0xc2, 0xc2, 0xad, 0xad, 0x99, 0x99, 0x88, 0x88, 0x7b, 0x7b, 0x74, 0x74, 0x72, 0x72, 0x77, 0x77, 0x83, 0x83, 0x93, 0x93, 
0xa3, 0xa3, 0xb2, 0xb2, 0xbd, 0xbd, 0xc4, 0xc4, 0xc6, 0xc6, 0xc1, 0xc1, 0xb6, 0xb6, 0xa6, 0xa6, 0x96, 0x96, 0x89, 0x89, 0x7f, 0x7f, 0x78, 0x78, 0x77, 0x77, 
0x7a, 0x7a, 0x82, 0x82, 0x8c, 0x8c, 0x95, 0x95, 0x9c, 0x9c, 0x9e, 0x9e, 0x9c, 0x9c, 0x95, 0x95, 0x88, 0x88, 0x77, 0x77, 0x62, 0x62, 0x4e, 0x4e, 0x3c, 0x3c, 
0x2e, 0x2e, 0x25, 0x25, 0x21, 0x21, 0x23, 0x23, 0x2c, 0x2c, 0x3a, 0x3a, 0x49, 0x49, 0x57, 0x57, 0x62, 0x62, 0x6a, 0x6a, 0x6d, 0x6d, 0x6b, 0x6b, 0x64, 0x64, 
0x59, 0x59, 0x4d, 0x4d, 0x42, 0x42, 0x38, 0x38, 0x32, 0x32, 0x2f, 0x2f, 0x31, 0x31, 0x36, 0x36, 0x3e, 0x3e, 0x49, 0x49, 0x54, 0x54, 0x5e, 0x5e, 0x68, 0x68, 
0x71, 0x71, 0x76, 0x76, 0x77, 0x77, 0x75, 0x75, 0x70, 0x70, 0x67, 0x67, 0x5b, 0x5b, 0x4d, 0x4d, 0x3f, 0x3f, 0x33, 0x33, 0x2a, 0x2a, 0x24, 0x24, 0x23, 0x23, 
0x26, 0x26, 0x2f, 0x2f, 0x3b, 0x3b, 0x47, 0x47, 0x51, 0x51, 0x58, 0x58, 0x5c, 0x5c, 0x5c, 0x5c, 0x57, 0x57, 0x4f, 0x4f, 0x45, 0x45, 0x3b, 0x3b, 0x33, 0x33, 
0x2f, 0x2f, 0x2f, 0x2f, 0x32, 0x32, 0x3a, 0x3a, 0x45, 0x45, 0x51, 0x51, 0x5f, 0x5f, 0x6a, 0x6a, 0x73, 0x73, 0x79, 0x79, 0x7c, 0x7c, 0x7a, 0x7a, 0x74, 0x74, 
0x6b, 0x6b, 0x60, 0x60, 0x55, 0x55, 0x4b, 0x4b, 0x43, 0x43, 0x3f, 0x3f, 0x3e, 0x3e, 0x43, 0x43, 0x4b, 0x4b, 0x56, 0x56, 0x62, 0x62, 0x6e, 0x6e, 0x7a, 0x7a, 
0x83, 0x83, 0x88, 0x88, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x79, 0x79, 0x7f, 0x7f, 0x86, 0x86, 
0x8e, 0x8e, 0x96, 0x96, 0x9f, 0x9f, 0xa6, 0xa6, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xa8, 0xa8, 0xa3, 0xa3, 0x9d, 0x9d, 0x96, 0x96, 0x91, 0x91, 0x90, 0x90, 
0x92, 0x92, 0x97, 0x97, 0x9f, 0x9f, 0xa9, 0xa9, 0xb4, 0xb4, 0xbf, 0xbf, 0xc8, 0xc8, 0xcd, 0xcd, 0xcf, 0xcf, 0xcd, 0xcd, 0xc9, 0xc9, 0xc4, 0xc4, 0xbd, 0xbd, 
0xb6, 0xb6, 0xb1, 0xb1, 0xae, 0xae, 0xae, 0xae, 0xb0, 0xb0, 0xb5, 0xb5, 0xbb, 0xbb, 0xc3, 0xc3, 0xcd, 0xcd, 0xd7, 0xd7, 0xe1, 0xe1, 0xeb, 0xeb, 0xf3, 0xf3, 
0xfa, 0xfa, 0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 0xf4, 0xf4, 0xe8, 0xe8, 0xd8, 0xd8, 0xc5, 0xc5, 0xb1, 0xb1, 0xa0, 0xa0, 0x91, 0x91, 0x86, 0x86, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7f, 0x7f, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83, 
0x83, 0x83, 0x85, 0x85, 0x8b, 0x8b, 0x93, 0x93, 0x9d, 0x9d, 0xa9, 0xa9, 0xb2, 0xb2, 0xb7, 0xb7, 0xb6, 0xb6, 0xb0, 0xb0, 0xa5, 0xa5, 0x95, 0x95, 0x80, 0x80, 
0x69, 0x69, 0x53, 0x53, 0x40, 0x40, 0x33, 0x33, 0x2c, 0x2c, 0x2b, 0x2b, 0x30, 0x30, 0x3b, 0x3b, 0x49, 0x49, 0x59, 0x59, 0x68, 0x68, 0x73, 0x73, 0x7c, 0x7c, 
0x80, 0x80, 0x7f, 0x7f, 0x79, 0x79, 0x6f, 0x6f, 0x64, 0x64, 0x59, 0x59, 0x50, 0x50, 0x47, 0x47, 0x42, 0x42, 0x41, 0x41, 0x45, 0x45, 0x4b, 0x4b, 0x54, 0x54, 
0x5e, 0x5e, 0x68, 0x68, 0x70, 0x70, 0x77, 0x77, 0x7a, 0x7a, 0x79, 0x79, 0x75, 0x75, 0x6e, 0x6e, 0x67, 0x67, 0x60, 0x60, 0x59, 0x59, 0x54, 0x54, 0x53, 0x53, 
0x55, 0x55, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x7a, 0x7a, 0x77, 0x77, 0x71, 0x71, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 
0x4c, 0x4c, 0x43, 0x43, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x37, 0x37, 0x3a, 0x3a, 0x40, 0x40, 0x47, 0x47, 0x4f, 0x4f, 0x57, 0x57, 0x5e, 0x5e, 0x64, 0x64, 
0x68, 0x68, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 
0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x60, 0x60, 0x5b, 0x5b, 0x56, 0x56, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x53, 0x53, 
0x59, 0x59, 0x62, 0x62, 0x6b, 0x6b, 0x75, 0x75, 0x7d, 0x7d, 0x85, 0x85, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 
0x93, 0x93, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbc, 0xbc, 0xbf, 0xbf, 
0xc2, 0xc2, 0xc6, 0xc6, 0xca, 0xca, 0xce, 0xce, 0xd3, 0xd3, 0xd7, 0xd7, 0xdb, 0xdb, 0xdf, 0xdf, 0xe3, 0xe3, 0xe7, 0xe7, 0xeb, 0xeb, 0xee, 0xee, 0xf1, 0xf1, 
0xf4, 0xf4, 0xf6, 0xf6, 0xf6, 0xf6, 0xf4, 0xf4, 0xef, 0xef, 0xe8, 0xe8, 0xde, 0xde, 0xd1, 0xd1, 0xc2, 0xc2, 0xb2, 0xb2, 0xa3, 0xa3, 0x96, 0x96, 0x8c, 0x8c, 
0x86, 0x86, 0x83, 0x83, 0x84, 0x84, 0x88, 0x88, 0x8f, 0x8f, 0x97, 0x97, 0x9d, 0x9d, 0xa3, 0xa3, 0xa7, 0xa7, 0xaa, 0xaa, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 
0xa9, 0xa9, 0xa8, 0xa8, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0x9f, 0x9f, 0x97, 0x97, 0x8d, 0x8d, 
0x82, 0x82, 0x76, 0x76, 0x6a, 0x6a, 0x5e, 0x5e, 0x55, 0x55, 0x4e, 0x4e, 0x4a, 0x4a, 0x48, 0x48, 0x49, 0x49, 0x4c, 0x4c, 0x51, 0x51, 0x57, 0x57, 0x5d, 0x5d, 
0x61, 0x61, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 
0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 
0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x58, 0x58, 0x56, 0x56, 0x53, 0x53, 0x4e, 0x4e, 
0x49, 0x49, 0x44, 0x44, 0x3e, 0x3e, 0x38, 0x38, 0x33, 0x33, 0x2f, 0x2f, 0x2d, 0x2d, 0x2d, 0x2d, 0x2f, 0x2f, 0x33, 0x33, 0x3a, 0x3a, 0x42, 0x42, 0x4a, 0x4a, 
0x53, 0x53, 0x5a, 0x5a, 0x5f, 0x5f, 0x61, 0x61, 0x60, 0x60, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 0x49, 0x49, 0x44, 0x44, 0x40, 0x40, 0x40, 0x40, 0x42, 0x42, 
0x46, 0x46, 0x4c, 0x4c, 0x52, 0x52, 0x58, 0x58, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 
0x54, 0x54, 0x55, 0x55, 0x59, 0x59, 0x5f, 0x5f, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 0x88, 0x88, 0x93, 0x93, 0x9c, 0x9c, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x96, 0x96, 0x95, 0x95, 0x96, 0x96, 0x98, 0x98, 0x9d, 0x9d, 0xa2, 0xa2, 0xa9, 0xa9, 0xaf, 0xaf, 0xb5, 0xb5, 
0xb9, 0xb9, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xad, 0xad, 0xab, 0xab, 0xab, 0xab, 0xad, 0xad, 0xb1, 0xb1, 0xb9, 0xb9, 
0xc3, 0xc3, 0xcd, 0xcd, 0xd7, 0xd7, 0xde, 0xde, 0xe4, 0xe4, 0xe6, 0xe6, 0xe4, 0xe4, 0xde, 0xde, 0xd6, 0xd6, 0xcc, 0xcc, 0xc4, 0xc4, 0xbe, 0xbe, 0xbb, 0xbb, 
0xbb, 0xbb, 0xbf, 0xbf, 0xc6, 0xc6, 0xd0, 0xd0, 0xdb, 0xdb, 0xe4, 0xe4, 0xeb, 0xeb, 0xef, 0xef, 0xf1, 0xf1, 0xee, 0xee, 0xe7, 0xe7, 0xdd, 0xdd, 0xd1, 0xd1, 
0xc3, 0xc3, 0xb5, 0xb5, 0xa7, 0xa7, 0x9a, 0x9a, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 
0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x77, 0x77, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 
0x91, 0x91, 0x95, 0x95, 0x96, 0x96, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x61, 0x61, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 
0x48, 0x48, 0x49, 0x49, 0x4c, 0x4c, 0x51, 0x51, 0x57, 0x57, 0x5c, 0x5c, 0x61, 0x61, 0x64, 0x64, 0x66, 0x66, 0x65, 0x65, 0x62, 0x62, 0x5d, 0x5d, 0x58, 0x58, 
0x53, 0x53, 0x50, 0x50, 0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x63, 0x63, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 
0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x66, 0x66, 
0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x59, 0x59, 0x56, 0x56, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 
0x53, 0x53, 0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 
0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 
0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 
0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 
0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 0xac, 0xac, 
0xb0, 0xb0, 0xb4, 0xb4, 0xb8, 0xb8, 0xbc, 0xbc, 0xc0, 0xc0, 0xc2, 0xc2, 0xc3, 0xc3, 0xc2, 0xc2, 0xc0, 0xc0, 0xbb, 0xbb, 0xb4, 0xb4, 0xad, 0xad, 0xa4, 0xa4, 
0x9b, 0x9b, 0x93, 0x93, 0x8b, 0x8b, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 
0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 
0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6b, 0x6b, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 0x53, 0x53, 0x52, 0x52, 
0x53, 0x53, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 
0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 0x4f, 0x4f, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x6d, 0x6d, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 
0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x74, 0x74, 
0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 
0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 
0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 0x5c, 0x5c, 0x5e, 0x5e, 0x62, 0x62, 0x67, 0x67, 
0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 
0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 
0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 
0x9c, 0x9c, 0xa0, 0xa0, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0xa0, 0xa0, 0x9e, 0x9e, 0x9d, 0x9d, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa6, 0xa6, 0xa7, 0xa7, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 
0xa8, 0xa8, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 
0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 
0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x6f, 0x6f, 0x68, 0x68, 
0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x68, 0x68, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x65, 0x65, 
0x5f, 0x5f, 0x58, 0x58, 0x50, 0x50, 0x49, 0x49, 0x44, 0x44, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x49, 0x49, 0x51, 0x51, 0x5b, 0x5b, 0x64, 0x64, 0x6c, 0x6c, 
0x72, 0x72, 0x75, 0x75, 0x75, 0x75, 0x72, 0x72, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x55, 0x55, 0x4f, 0x4f, 0x4b, 0x4b, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 
0x51, 0x51, 0x56, 0x56, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 
0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x87, 0x87, 0x90, 0x90, 0x96, 0x96, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x94, 0x94, 
0x8e, 0x8e, 0x88, 0x88, 0x81, 0x81, 0x7b, 0x7b, 0x77, 0x77, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 
0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x88, 0x88, 
0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x84, 0x84, 0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 
0x6f, 0x6f, 0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x61, 0x61, 
0x5e, 0x5e, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x62, 0x62, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7b, 0x7b, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7c, 0x7c, 
0x76, 0x76, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 
0x77, 0x77, 0x75, 0x75, 0x71, 0x71, 0x6b, 0x6b, 0x65, 0x65, 0x5f, 0x5f, 0x5b, 0x5b, 0x58, 0x58, 0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x64, 0x64, 0x6c, 0x6c, 
0x75, 0x75, 0x7e, 0x7e, 0x85, 0x85, 0x8c, 0x8c, 0x90, 0x90, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x8c, 0x8c, 0x91, 0x91, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 
0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 
0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9f, 0x9f, 0xa2, 0xa2, 
0xa4, 0xa4, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 
0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 
0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 
0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 
0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 
0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 0x7a, 0x7a, 
0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 
0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 
0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa2, 0xa2, 0xa4, 0xa4, 0xa4, 0xa4, 
0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 
0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 
0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 
0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x64, 0x64, 0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 
0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 
0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 
0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 
0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 
0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8b, 0x8b, 
0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 
0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xa7, 0xa7, 
0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x98, 0x98, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8f, 0x8f, 0x91, 0x91, 0x94, 0x94, 0x98, 0x98, 0x9c, 0x9c, 0xa0, 0xa0, 
0xa4, 0xa4, 0xa7, 0xa7, 0xa8, 0xa8, 0xa8, 0xa8, 0xa7, 0xa7, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 
0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 
0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 
0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 
0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 
0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 
0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 
0x6e, 0x6e, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 
0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x61, 0x61, 
0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 
0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5e, 0x5e, 0x62, 0x62, 0x68, 0x68, 0x6f, 0x6f, 0x76, 0x76, 0x7c, 0x7c, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 
0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 0x8f, 0x8f, 0x87, 0x87, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x75, 0x75, 
0x7a, 0x7a, 0x80, 0x80, 0x87, 0x87, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xaa, 0xaa, 
0xaa, 0xaa, 0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9b, 0x9b, 0x94, 0x94, 
0x8c, 0x8c, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 
0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 
0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 
0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 
0x72, 0x72, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 
0x5f, 0x5f, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 
0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 
0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 
0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 
0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 
0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 
0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 
0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 
0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 
0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x81, 0x81, 
0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 
0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9e, 0x9e, 0x99, 0x99, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 
0x8a, 0x8a, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 
0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 
0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 
0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 
0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 
0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 
0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 
0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 
0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 
0x82, 0x82, 0x86, 0x86, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x84, 0x84, 0x7d, 0x7d, 0x76, 0x76, 
0x71, 0x71, 0x6c, 0x6c, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 
0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 
0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x84, 0x84, 0x7d, 0x7d, 0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8b, 0x8b, 
0x86, 0x86, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 
0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 
0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 
0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 
0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 
0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6e, 0x6e, 0x73, 0x73, 
0x79, 0x79, 0x7f, 0x7f, 0x85, 0x85, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 
0x7a, 0x7a, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x85, 0x85, 0x7e, 0x7e, 
0x77, 0x77, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x93, 0x93, 0x92, 0x92, 
0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 
0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 
0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 
0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 
0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 
0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 
0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 
0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 
0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 
0x78, 0x78, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 
0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 
0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 
0x71, 0x71, 0x73, 0x73, 0x77, 0x77, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 
0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 
0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 
0x7e, 0x7e, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 
0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 
0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 
0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 
0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 
0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 
0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 
0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 
0x91, 0x91, 0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 
0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 
0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 
0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 
0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 
0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 
0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 
0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 
0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8c, 0x8c, 
0x90, 0x90, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 
0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 
0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x84, 0x84, 
0x7f, 0x7f, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x80, 0x80, 0x87, 0x87, 0x8e, 0x8e, 0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9c, 0x9c, 0x98, 0x98, 0x92, 0x92, 0x8a, 0x8a, 0x81, 0x81, 0x7a, 0x7a, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 
0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x6f, 0x6f, 
0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 
0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 
0x75, 0x75, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 
0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 
0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 
0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6e, 0x6e, 
0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x62, 0x62, 
0x5f, 0x5f, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 
0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 
0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6d, 0x6d, 0x69, 0x69, 0x67, 0x67, 0x67, 0x67, 0x6a, 0x6a, 0x6f, 0x6f, 0x77, 0x77, 
0x7f, 0x7f, 0x87, 0x87, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 
0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 
0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 
0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 
0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 
0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 
0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 
0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 
0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 
0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6e, 0x6e, 
0x72, 0x72, 0x77, 0x77, 0x7b, 0x7b, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 
0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 
0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 
0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 
0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 
0x8d, 0x8d, 0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 0x79, 0x79, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 
0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 
0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 
0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 
0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 
0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 
0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 
0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 
0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 
0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 
0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 
0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 
0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 
0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 
0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 
0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x71, 0x71, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 
0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 
0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 
0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x76, 0x76, 
0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 
0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 
0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 
0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 
0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 
0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x93, 0x93, 0x8e, 0x8e, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 
0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 
0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 
0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x6d, 0x6d, 
0x73, 0x73, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 
0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8e, 0x8e, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 
0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 
0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 
0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 
0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 
0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 
0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 0x5c, 0x5c, 
0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x59, 0x59, 0x57, 0x57, 0x53, 0x53, 0x4e, 0x4e, 0x47, 0x47, 0x3e, 0x3e, 0x35, 0x35, 0x2c, 0x2c, 0x23, 0x23, 
0x1c, 0x1c, 0x17, 0x17, 0x16, 0x16, 0x19, 0x19, 0x1f, 0x1f, 0x29, 0x29, 0x34, 0x34, 0x42, 0x42, 0x50, 0x50, 0x5d, 0x5d, 0x67, 0x67, 0x6d, 0x6d, 0x70, 0x70, 
0x70, 0x70, 0x6e, 0x6e, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 
0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8e, 0x8e, 0x95, 0x95, 0x9f, 0x9f, 0xa9, 0xa9, 0xb5, 0xb5, 
0xc1, 0xc1, 0xcd, 0xcd, 0xd9, 0xd9, 0xe3, 0xe3, 0xec, 0xec, 0xf3, 0xf3, 0xf9, 0xf9, 0xfb, 0xfb, 0xfc, 0xfc, 0xfa, 0xfa, 0xf8, 0xf8, 0xf5, 0xf5, 0xf3, 0xf3, 
0xf1, 0xf1, 0xf0, 0xf0, 0xf1, 0xf1, 0xf4, 0xf4, 0xf7, 0xf7, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf1, 0xf1, 0xe7, 0xe7, 
0xdc, 0xdc, 0xcf, 0xcf, 0xc1, 0xc1, 0xb2, 0xb2, 0xa4, 0xa4, 0x99, 0x99, 0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 
0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 
0x75, 0x75, 0x75, 0x75, 0x73, 0x73, 0x6f, 0x6f, 0x68, 0x68, 0x5f, 0x5f, 0x54, 0x54, 0x4a, 0x4a, 0x3f, 0x3f, 0x36, 0x36, 0x2e, 0x2e, 0x2a, 0x2a, 0x2a, 0x2a, 
0x2c, 0x2c, 0x30, 0x30, 0x36, 0x36, 0x3b, 0x3b, 0x40, 0x40, 0x44, 0x44, 0x46, 0x46, 0x45, 0x45, 0x42, 0x42, 0x3d, 0x3d, 0x37, 0x37, 0x31, 0x31, 0x2b, 0x2b, 
0x27, 0x27, 0x26, 0x26, 0x29, 0x29, 0x30, 0x30, 0x39, 0x39, 0x44, 0x44, 0x51, 0x51, 0x5e, 0x5e, 0x6a, 0x6a, 0x74, 0x74, 0x7b, 0x7b, 0x80, 0x80, 0x82, 0x82, 
0x81, 0x81, 0x7f, 0x7f, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x71, 0x71, 
0x7a, 0x7a, 0x84, 0x84, 0x8d, 0x8d, 0x97, 0x97, 0x9f, 0x9f, 0xa4, 0xa4, 0xa6, 0xa6, 0xa5, 0xa5, 0xa0, 0xa0, 0x9a, 0x9a, 0x94, 0x94, 0x8d, 0x8d, 0x88, 0x88, 
0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6d, 0x6d, 
0x65, 0x65, 0x59, 0x59, 0x4c, 0x4c, 0x3e, 0x3e, 0x31, 0x31, 0x24, 0x24, 0x19, 0x19, 0x11, 0x11, 0x0c, 0x0c, 0x0a, 0x0a, 0x0c, 0x0c, 0x10, 0x10, 0x16, 0x16, 
0x1e, 0x1e, 0x28, 0x28, 0x32, 0x32, 0x3b, 0x3b, 0x43, 0x43, 0x4b, 0x4b, 0x52, 0x52, 0x57, 0x57, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 
0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 
0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 0x92, 0x92, 0x9c, 0x9c, 0xa7, 0xa7, 0xb2, 0xb2, 0xbd, 0xbd, 0xc8, 0xc8, 0xd2, 0xd2, 0xda, 0xda, 0xe2, 0xe2, 0xe9, 0xe9, 
0xef, 0xef, 0xf4, 0xf4, 0xf9, 0xf9, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf7, 0xf7, 0xf2, 0xf2, 0xea, 0xea, 0xe2, 0xe2, 0xd8, 0xd8, 
0xce, 0xce, 0xc4, 0xc4, 0xbb, 0xbb, 0xb5, 0xb5, 0xb3, 0xb3, 0xb3, 0xb3, 0xb6, 0xb6, 0xb8, 0xb8, 0xbb, 0xbb, 0xbd, 0xbd, 0xbc, 0xbc, 0xb7, 0xb7, 0xaf, 0xaf, 
0xa4, 0xa4, 0x98, 0x98, 0x8b, 0x8b, 0x7f, 0x7f, 0x74, 0x74, 0x6b, 0x6b, 0x66, 0x66, 0x65, 0x65, 0x67, 0x67, 0x6b, 0x6b, 0x71, 0x71, 0x79, 0x79, 0x81, 0x81, 
0x87, 0x87, 0x8a, 0x8a, 0x89, 0x89, 0x85, 0x85, 0x7f, 0x7f, 0x77, 0x77, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x56, 0x56, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 
0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 0x51, 0x51, 0x4e, 0x4e, 0x49, 0x49, 0x43, 0x43, 0x3d, 0x3d, 0x39, 0x39, 
0x36, 0x36, 0x35, 0x35, 0x36, 0x36, 0x38, 0x38, 0x3d, 0x3d, 0x43, 0x43, 0x4a, 0x4a, 0x53, 0x53, 0x5c, 0x5c, 0x66, 0x66, 0x6f, 0x6f, 0x76, 0x76, 0x7c, 0x7c, 
0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x8b, 0x8b, 0x8f, 0x8f, 0x95, 0x95, 0x9b, 0x9b, 0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 
0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 
0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 
0x9f, 0x9f, 0x9a, 0x9a, 0x95, 0x95, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7c, 0x7c, 0x72, 0x72, 0x66, 0x66, 0x58, 0x58, 0x49, 0x49, 0x3a, 0x3a, 0x2b, 0x2b, 
0x1c, 0x1c, 0x11, 0x11, 0x08, 0x08, 0x03, 0x03, 0x01, 0x01, 0x02, 0x02, 0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 0x1d, 0x1d, 0x27, 0x27, 0x32, 0x32, 0x3c, 0x3c, 
0x46, 0x46, 0x4d, 0x4d, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 
0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 0x8b, 0x8b, 0x92, 0x92, 0x9a, 0x9a, 0xa4, 0xa4, 0xae, 0xae, 0xb9, 0xb9, 
0xc5, 0xc5, 0xd2, 0xd2, 0xde, 0xde, 0xe8, 0xe8, 0xf1, 0xf1, 0xf7, 0xf7, 0xfc, 0xfc, 0xfe, 0xfe, 0xfd, 0xfd, 0xfa, 0xfa, 0xf6, 0xf6, 0xf0, 0xf0, 0xe8, 0xe8, 
0xdf, 0xdf, 0xd7, 0xd7, 0xd0, 0xd0, 0xca, 0xca, 0xc5, 0xc5, 0xc3, 0xc3, 0xc3, 0xc3, 0xc6, 0xc6, 0xca, 0xca, 0xce, 0xce, 0xd2, 0xd2, 0xd5, 0xd5, 0xd6, 0xd6, 
0xd6, 0xd6, 0xd2, 0xd2, 0xcb, 0xcb, 0xc2, 0xc2, 0xb7, 0xb7, 0xac, 0xac, 0x9f, 0x9f, 0x93, 0x93, 0x88, 0x88, 0x80, 0x80, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 
0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 
0x52, 0x52, 0x53, 0x53, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x56, 0x56, 0x51, 0x51, 0x49, 0x49, 0x40, 0x40, 0x38, 0x38, 0x31, 0x31, 
0x2b, 0x2b, 0x27, 0x27, 0x27, 0x27, 0x2a, 0x2a, 0x30, 0x30, 0x37, 0x37, 0x3f, 0x3f, 0x47, 0x47, 0x4e, 0x4e, 0x56, 0x56, 0x5e, 0x5e, 0x65, 0x65, 0x6d, 0x6d, 
0x74, 0x74, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x9a, 0x9a, 
0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x81, 0x81, 0x79, 0x79, 0x71, 0x71, 
0x6a, 0x6a, 0x63, 0x63, 0x5c, 0x5c, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 
0x48, 0x48, 0x48, 0x48, 0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x49, 0x49, 0x4a, 0x4a, 0x4e, 0x4e, 0x52, 0x52, 0x58, 0x58, 0x5d, 0x5d, 
0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 0x84, 0x84, 0x8d, 0x8d, 
0x97, 0x97, 0xa2, 0xa2, 0xad, 0xad, 0xb7, 0xb7, 0xc0, 0xc0, 0xc9, 0xc9, 0xd1, 0xd1, 0xd7, 0xd7, 0xdc, 0xdc, 0xe0, 0xe0, 0xe3, 0xe3, 0xe7, 0xe7, 0xea, 0xea, 
0xed, 0xed, 0xef, 0xef, 0xf0, 0xf0, 0xf0, 0xf0, 0xef, 0xef, 0xec, 0xec, 0xe7, 0xe7, 0xe0, 0xe0, 0xd8, 0xd8, 0xcf, 0xcf, 0xc6, 0xc6, 0xbd, 0xbd, 0xb4, 0xb4, 
0xac, 0xac, 0xa6, 0xa6, 0xa0, 0xa0, 0x9c, 0x9c, 0x9a, 0x9a, 0x9a, 0x9a, 0x9c, 0x9c, 0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xaf, 0xaf, 0xb2, 0xb2, 0xb3, 0xb3, 
0xb3, 0xb3, 0xb1, 0xb1, 0xad, 0xad, 0xa7, 0xa7, 0xa0, 0xa0, 0x99, 0x99, 0x90, 0x90, 0x87, 0x87, 0x7f, 0x7f, 0x77, 0x77, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 
0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5a, 0x5a, 0x54, 0x54, 0x4d, 0x4d, 0x45, 0x45, 0x3d, 0x3d, 0x36, 0x36, 0x31, 0x31, 0x2d, 0x2d, 0x2c, 0x2c, 0x2d, 0x2d, 
0x30, 0x30, 0x33, 0x33, 0x36, 0x36, 0x38, 0x38, 0x39, 0x39, 0x38, 0x38, 0x37, 0x37, 0x35, 0x35, 0x33, 0x33, 0x32, 0x32, 0x32, 0x32, 0x34, 0x34, 0x39, 0x39, 
0x3f, 0x3f, 0x47, 0x47, 0x51, 0x51, 0x5c, 0x5c, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 
0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 
0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 
0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 0x90, 0x90, 0x88, 0x88, 0x7f, 0x7f, 0x75, 0x75, 0x69, 0x69, 0x5c, 0x5c, 0x51, 0x51, 0x47, 0x47, 0x40, 0x40, 0x3c, 0x3c, 
0x3a, 0x3a, 0x3a, 0x3a, 0x3d, 0x3d, 0x41, 0x41, 0x47, 0x47, 0x4e, 0x4e, 0x56, 0x56, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 
0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9d, 0x9d, 
0xa5, 0xa5, 0xae, 0xae, 0xb7, 0xb7, 0xc1, 0xc1, 0xc9, 0xc9, 0xd1, 0xd1, 0xd9, 0xd9, 0xe0, 0xe0, 0xe5, 0xe5, 0xea, 0xea, 0xee, 0xee, 0xf0, 0xf0, 0xf1, 0xf1, 
0xf0, 0xf0, 0xec, 0xec, 0xe6, 0xe6, 0xde, 0xde, 0xd4, 0xd4, 0xc9, 0xc9, 0xbc, 0xbc, 0xaf, 0xaf, 0xa3, 0xa3, 0x98, 0x98, 0x90, 0x90, 0x8d, 0x8d, 0x8d, 0x8d, 
0x90, 0x90, 0x97, 0x97, 0xa0, 0xa0, 0xab, 0xab, 0xb5, 0xb5, 0xbc, 0xbc, 0xc1, 0xc1, 0xc2, 0xc2, 0xc2, 0xc2, 0xc0, 0xc0, 0xbd, 0xbd, 0xb9, 0xb9, 0xb5, 0xb5, 
0xb1, 0xb1, 0xac, 0xac, 0xa7, 0xa7, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8a, 0x8a, 0x81, 0x81, 0x77, 0x77, 0x6d, 0x6d, 0x62, 0x62, 0x57, 0x57, 0x4c, 0x4c, 
0x42, 0x42, 0x38, 0x38, 0x2f, 0x2f, 0x29, 0x29, 0x25, 0x25, 0x24, 0x24, 0x24, 0x24, 0x25, 0x25, 0x27, 0x27, 0x29, 0x29, 0x2b, 0x2b, 0x2c, 0x2c, 0x2d, 0x2d, 
0x2c, 0x2c, 0x2b, 0x2b, 0x28, 0x28, 0x25, 0x25, 0x22, 0x22, 0x1e, 0x1e, 0x1c, 0x1c, 0x1c, 0x1c, 0x1d, 0x1d, 0x20, 0x20, 0x27, 0x27, 0x30, 0x30, 0x3d, 0x3d, 
0x4a, 0x4a, 0x59, 0x59, 0x68, 0x68, 0x76, 0x76, 0x82, 0x82, 0x89, 0x89, 0x8d, 0x8d, 0x8c, 0x8c, 0x87, 0x87, 0x7e, 0x7e, 0x72, 0x72, 0x64, 0x64, 0x57, 0x57, 
0x4e, 0x4e, 0x49, 0x49, 0x48, 0x48, 0x4b, 0x4b, 0x52, 0x52, 0x5c, 0x5c, 0x67, 0x67, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x88, 0x88, 0x8c, 0x8c, 0x8e, 0x8e, 
0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x99, 0x99, 
0x92, 0x92, 0x87, 0x87, 0x7a, 0x7a, 0x6b, 0x6b, 0x5b, 0x5b, 0x4c, 0x4c, 0x40, 0x40, 0x37, 0x37, 0x32, 0x32, 0x31, 0x31, 0x35, 0x35, 0x3d, 0x3d, 0x48, 0x48, 
0x55, 0x55, 0x63, 0x63, 0x70, 0x70, 0x7b, 0x7b, 0x84, 0x84, 0x89, 0x89, 0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 
0x6d, 0x6d, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x86, 0x86, 0x8d, 0x8d, 0x94, 0x94, 0x9b, 0x9b, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xb1, 0xb1, 
0xb7, 0xb7, 0xbd, 0xbd, 0xc4, 0xc4, 0xcd, 0xcd, 0xd7, 0xd7, 0xe1, 0xe1, 0xeb, 0xeb, 0xf3, 0xf3, 0xf9, 0xf9, 0xfc, 0xfc, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 
0xee, 0xee, 0xe3, 0xe3, 0xd4, 0xd4, 0xc0, 0xc0, 0xaa, 0xaa, 0x95, 0x95, 0x86, 0x86, 0x7c, 0x7c, 0x79, 0x79, 0x7c, 0x7c, 0x85, 0x85, 0x93, 0x93, 0xa4, 0xa4, 
0xb5, 0xb5, 0xc3, 0xc3, 0xcd, 0xcd, 0xd4, 0xd4, 0xd6, 0xd6, 0xd5, 0xd5, 0xd0, 0xd0, 0xc9, 0xc9, 0xc0, 0xc0, 0xb7, 0xb7, 0xae, 0xae, 0xa6, 0xa6, 0x9f, 0x9f, 
0x9a, 0x9a, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7b, 0x7b, 0x6f, 0x6f, 0x60, 0x60, 0x50, 0x50, 0x40, 0x40, 0x32, 0x32, 
0x27, 0x27, 0x1f, 0x1f, 0x1a, 0x1a, 0x1a, 0x1a, 0x1d, 0x1d, 0x23, 0x23, 0x2a, 0x2a, 0x33, 0x33, 0x3b, 0x3b, 0x42, 0x42, 0x47, 0x47, 0x49, 0x49, 0x48, 0x48, 
0x44, 0x44, 0x3d, 0x3d, 0x36, 0x36, 0x2f, 0x2f, 0x28, 0x28, 0x23, 0x23, 0x22, 0x22, 0x26, 0x26, 0x2d, 0x2d, 0x38, 0x38, 0x46, 0x46, 0x57, 0x57, 0x6a, 0x6a, 
0x7c, 0x7c, 0x89, 0x89, 0x92, 0x92, 0x96, 0x96, 0x95, 0x95, 0x8e, 0x8e, 0x82, 0x82, 0x72, 0x72, 0x63, 0x63, 0x56, 0x56, 0x4e, 0x4e, 0x4a, 0x4a, 0x4a, 0x4a, 
0x4e, 0x4e, 0x56, 0x56, 0x60, 0x60, 0x6b, 0x6b, 0x75, 0x75, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 
0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9b, 0x9b, 0x9a, 0x9a, 0x95, 0x95, 0x8d, 0x8d, 0x82, 0x82, 0x75, 0x75, 
0x66, 0x66, 0x57, 0x57, 0x4a, 0x4a, 0x3f, 0x3f, 0x36, 0x36, 0x31, 0x31, 0x31, 0x31, 0x33, 0x33, 0x39, 0x39, 0x41, 0x41, 0x4a, 0x4a, 0x52, 0x52, 0x5a, 0x5a, 
0x60, 0x60, 0x64, 0x64, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x55, 0x55, 0x57, 0x57, 0x5b, 0x5b, 0x62, 0x62, 
0x6a, 0x6a, 0x75, 0x75, 0x82, 0x82, 0x90, 0x90, 0x9d, 0x9d, 0xaa, 0xaa, 0xb6, 0xb6, 0xc1, 0xc1, 0xca, 0xca, 0xd1, 0xd1, 0xd5, 0xd5, 0xd9, 0xd9, 0xdd, 0xdd, 
0xe0, 0xe0, 0xe4, 0xe4, 0xe8, 0xe8, 0xec, 0xec, 0xf2, 0xf2, 0xf7, 0xf7, 0xfa, 0xfa, 0xfa, 0xfa, 0xf6, 0xf6, 0xee, 0xee, 0xe2, 0xe2, 0xd2, 0xd2, 0xbd, 0xbd, 
0xa7, 0xa7, 0x92, 0x92, 0x83, 0x83, 0x7a, 0x7a, 0x78, 0x78, 0x7c, 0x7c, 0x85, 0x85, 0x94, 0x94, 0xa5, 0xa5, 0xb7, 0xb7, 0xc6, 0xc6, 0xd0, 0xd0, 0xd7, 0xd7, 
0xda, 0xda, 0xd7, 0xd7, 0xd1, 0xd1, 0xc7, 0xc7, 0xbc, 0xbc, 0xaf, 0xaf, 0xa4, 0xa4, 0x99, 0x99, 0x91, 0x91, 0x8d, 0x8d, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 
0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x93, 0x93, 0x8a, 0x8a, 0x7c, 0x7c, 0x6c, 0x6c, 0x5b, 0x5b, 0x4c, 0x4c, 0x3f, 0x3f, 0x34, 0x34, 0x2e, 0x2e, 0x2b, 0x2b, 
0x2d, 0x2d, 0x31, 0x31, 0x36, 0x36, 0x3a, 0x3a, 0x3e, 0x3e, 0x3f, 0x3f, 0x3e, 0x3e, 0x3a, 0x3a, 0x33, 0x33, 0x2b, 0x2b, 0x22, 0x22, 0x1c, 0x1c, 0x18, 0x18, 
0x18, 0x18, 0x1d, 0x1d, 0x26, 0x26, 0x35, 0x35, 0x48, 0x48, 0x5c, 0x5c, 0x71, 0x71, 0x86, 0x86, 0x98, 0x98, 0xa5, 0xa5, 0xad, 0xad, 0xad, 0xad, 0xa8, 0xa8, 
0x9e, 0x9e, 0x91, 0x91, 0x81, 0x81, 0x72, 0x72, 0x63, 0x63, 0x59, 0x59, 0x53, 0x53, 0x52, 0x52, 0x54, 0x54, 0x59, 0x59, 0x60, 0x60, 0x68, 0x68, 0x71, 0x71, 
0x79, 0x79, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 
0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x74, 0x74, 0x6c, 0x6c, 0x62, 0x62, 0x57, 0x57, 0x4a, 0x4a, 0x3d, 0x3d, 0x32, 0x32, 0x28, 0x28, 0x22, 0x22, 
0x20, 0x20, 0x20, 0x20, 0x25, 0x25, 0x2d, 0x2d, 0x37, 0x37, 0x42, 0x42, 0x4c, 0x4c, 0x53, 0x53, 0x58, 0x58, 0x5a, 0x5a, 0x59, 0x59, 0x56, 0x56, 0x51, 0x51, 
0x4d, 0x4d, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4d, 0x4d, 0x52, 0x52, 0x59, 0x59, 0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x81, 0x81, 0x8c, 0x8c, 0x97, 0x97, 
0xa1, 0xa1, 0xa9, 0xa9, 0xb1, 0xb1, 0xb8, 0xb8, 0xbe, 0xbe, 0xc4, 0xc4, 0xca, 0xca, 0xd0, 0xd0, 0xd6, 0xd6, 0xdd, 0xdd, 0xe4, 0xe4, 0xeb, 0xeb, 0xf1, 0xf1, 
0xf6, 0xf6, 0xfa, 0xfa, 0xfa, 0xfa, 0xf6, 0xf6, 0xef, 0xef, 0xe3, 0xe3, 0xd5, 0xd5, 0xc6, 0xc6, 0xb5, 0xb5, 0xa5, 0xa5, 0x98, 0x98, 0x91, 0x91, 0x90, 0x90, 
0x95, 0x95, 0x9d, 0x9d, 0xa8, 0xa8, 0xb5, 0xb5, 0xc1, 0xc1, 0xcc, 0xcc, 0xd4, 0xd4, 0xd9, 0xd9, 0xda, 0xda, 0xd9, 0xd9, 0xd6, 0xd6, 0xd2, 0xd2, 0xce, 0xce, 
0xc9, 0xc9, 0xc4, 0xc4, 0xbf, 0xbf, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 0x9e, 0x9e, 0x96, 0x96, 0x8c, 0x8c, 0x82, 0x82, 0x76, 0x76, 
0x6a, 0x6a, 0x5f, 0x5f, 0x54, 0x54, 0x4b, 0x4b, 0x44, 0x44, 0x41, 0x41, 0x3f, 0x3f, 0x40, 0x40, 0x42, 0x42, 0x45, 0x45, 0x49, 0x49, 0x4c, 0x4c, 0x4d, 0x4d, 
0x4d, 0x4d, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x3f, 0x3f, 0x3a, 0x3a, 0x36, 0x36, 0x34, 0x34, 0x34, 0x34, 0x36, 0x36, 0x3b, 0x3b, 0x43, 0x43, 0x4e, 0x4e, 
0x5c, 0x5c, 0x6b, 0x6b, 0x7c, 0x7c, 0x8d, 0x8d, 0x9d, 0x9d, 0xa9, 0xa9, 0xb1, 0xb1, 0xb2, 0xb2, 0xaf, 0xaf, 0xa7, 0xa7, 0x9d, 0x9d, 0x92, 0x92, 0x85, 0x85, 
0x7a, 0x7a, 0x72, 0x72, 0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 
0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x74, 0x74, 0x6c, 0x6c, 
0x62, 0x62, 0x57, 0x57, 0x4b, 0x4b, 0x40, 0x40, 0x37, 0x37, 0x2e, 0x2e, 0x28, 0x28, 0x23, 0x23, 0x21, 0x21, 0x20, 0x20, 0x21, 0x21, 0x24, 0x24, 0x29, 0x29, 
0x2e, 0x2e, 0x34, 0x34, 0x3a, 0x3a, 0x3f, 0x3f, 0x43, 0x43, 0x47, 0x47, 0x48, 0x48, 0x48, 0x48, 0x48, 0x48, 0x46, 0x46, 0x45, 0x45, 0x44, 0x44, 0x45, 0x45, 
0x46, 0x46, 0x49, 0x49, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 0x69, 0x69, 0x72, 0x72, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0xa2, 0xa2, 0xaf, 0xaf, 
0xbb, 0xbb, 0xc5, 0xc5, 0xcf, 0xcf, 0xd7, 0xd7, 0xde, 0xde, 0xe4, 0xe4, 0xe9, 0xe9, 0xec, 0xec, 0xee, 0xee, 0xef, 0xef, 0xee, 0xee, 0xea, 0xea, 0xe3, 0xe3, 
0xd9, 0xd9, 0xcc, 0xcc, 0xbd, 0xbd, 0xaf, 0xaf, 0xa0, 0xa0, 0x94, 0x94, 0x8a, 0x8a, 0x84, 0x84, 0x82, 0x82, 0x83, 0x83, 0x88, 0x88, 0x8e, 0x8e, 0x96, 0x96, 
0x9f, 0x9f, 0xa9, 0xa9, 0xb3, 0xb3, 0xbe, 0xbe, 0xc7, 0xc7, 0xd0, 0xd0, 0xd5, 0xd5, 0xd6, 0xd6, 0xd4, 0xd4, 0xcf, 0xcf, 0xc7, 0xc7, 0xbc, 0xbc, 0xaf, 0xaf, 
0xa2, 0xa2, 0x96, 0x96, 0x8c, 0x8c, 0x84, 0x84, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 0x49, 0x49, 
0x42, 0x42, 0x3c, 0x3c, 0x36, 0x36, 0x32, 0x32, 0x2f, 0x2f, 0x2e, 0x2e, 0x2d, 0x2d, 0x2d, 0x2d, 0x2e, 0x2e, 0x2e, 0x2e, 0x2e, 0x2e, 0x2f, 0x2f, 0x30, 0x30, 
0x31, 0x31, 0x32, 0x32, 0x35, 0x35, 0x39, 0x39, 0x3f, 0x3f, 0x46, 0x46, 0x4f, 0x4f, 0x5a, 0x5a, 0x65, 0x65, 0x71, 0x71, 0x7e, 0x7e, 0x8a, 0x8a, 0x96, 0x96, 
0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xab, 0xab, 0xa8, 0xa8, 0xa1, 0xa1, 0x97, 0x97, 0x8b, 0x8b, 0x7e, 0x7e, 0x72, 0x72, 0x67, 0x67, 0x5f, 0x5f, 0x5a, 0x5a, 
0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 0x84, 0x84, 0x8f, 0x8f, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 
0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8e, 0x8e, 0x88, 0x88, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 
0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x60, 0x60, 0x66, 0x66, 0x6f, 0x6f, 
0x7a, 0x7a, 0x87, 0x87, 0x94, 0x94, 0xa1, 0xa1, 0xad, 0xad, 0xb8, 0xb8, 0xc1, 0xc1, 0xc9, 0xc9, 0xd0, 0xd0, 0xd6, 0xd6, 0xdb, 0xdb, 0xe1, 0xe1, 0xe7, 0xe7, 
0xed, 0xed, 0xf2, 0xf2, 0xf8, 0xf8, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xf9, 0xef, 0xef, 0xdf, 0xdf, 0xcb, 0xcb, 0xb6, 0xb6, 0xa2, 0xa2, 
0x8f, 0x8f, 0x80, 0x80, 0x74, 0x74, 0x6f, 0x6f, 0x6f, 0x6f, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 
0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xad, 0xad, 0xa7, 0xa7, 0x9f, 0x9f, 0x97, 0x97, 0x8f, 0x8f, 0x88, 0x88, 0x81, 0x81, 
0x7b, 0x7b, 0x74, 0x74, 0x6b, 0x6b, 0x61, 0x61, 0x57, 0x57, 0x4b, 0x4b, 0x3e, 0x3e, 0x32, 0x32, 0x28, 0x28, 0x20, 0x20, 0x1c, 0x1c, 0x1b, 0x1b, 0x1b, 0x1b, 
0x1d, 0x1d, 0x1f, 0x1f, 0x22, 0x22, 0x24, 0x24, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x25, 0x25, 0x28, 0x28, 0x2c, 0x2c, 
0x33, 0x33, 0x3c, 0x3c, 0x46, 0x46, 0x52, 0x52, 0x60, 0x60, 0x6e, 0x6e, 0x7a, 0x7a, 0x83, 0x83, 0x89, 0x89, 0x8c, 0x8c, 0x8b, 0x8b, 0x87, 0x87, 0x81, 0x81, 
0x79, 0x79, 0x71, 0x71, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 
0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 
0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 0x9c, 0x9c, 0x99, 0x99, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 
0x7f, 0x7f, 0x77, 0x77, 0x71, 0x71, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 
0x5e, 0x5e, 0x5f, 0x5f, 0x63, 0x63, 0x6a, 0x6a, 0x75, 0x75, 0x83, 0x83, 0x92, 0x92, 0xa3, 0xa3, 0xb5, 0xb5, 0xc6, 0xc6, 0xd5, 0xd5, 0xe1, 0xe1, 0xeb, 0xeb, 
0xf2, 0xf2, 0xf6, 0xf6, 0xf6, 0xf6, 0xf4, 0xf4, 0xf1, 0xf1, 0xef, 0xef, 0xec, 0xec, 0xeb, 0xeb, 0xec, 0xec, 0xee, 0xee, 0xf2, 0xf2, 0xf6, 0xf6, 0xfa, 0xfa, 
0xfa, 0xfa, 0xf7, 0xf7, 0xf0, 0xf0, 0xe5, 0xe5, 0xd7, 0xd7, 0xc5, 0xc5, 0xb2, 0xb2, 0xa0, 0xa0, 0x90, 0x90, 0x84, 0x84, 0x7c, 0x7c, 0x78, 0x78, 0x77, 0x77, 
0x7b, 0x7b, 0x82, 0x82, 0x8a, 0x8a, 0x94, 0x94, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb7, 0xb7, 0xbc, 0xbc, 0xc1, 0xc1, 0xc3, 0xc3, 0xc3, 0xc3, 0xc1, 0xc1, 
0xbe, 0xbe, 0xb8, 0xb8, 0xb1, 0xb1, 0xa8, 0xa8, 0x9e, 0x9e, 0x93, 0x93, 0x87, 0x87, 0x7c, 0x7c, 0x70, 0x70, 0x64, 0x64, 0x58, 0x58, 0x4c, 0x4c, 0x3f, 0x3f, 
0x33, 0x33, 0x28, 0x28, 0x1e, 0x1e, 0x15, 0x15, 0x0e, 0x0e, 0x0a, 0x0a, 0x08, 0x08, 0x08, 0x08, 0x0a, 0x0a, 0x0b, 0x0b, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 
0x0b, 0x0b, 0x0a, 0x0a, 0x0a, 0x0a, 0x0c, 0x0c, 0x11, 0x11, 0x19, 0x19, 0x25, 0x25, 0x32, 0x32, 0x41, 0x41, 0x4f, 0x4f, 0x5e, 0x5e, 0x6c, 0x6c, 0x79, 0x79, 
0x84, 0x84, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7a, 0x7a, 0x72, 0x72, 0x6c, 0x6c, 
0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 
0x6f, 0x6f, 0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 0x8d, 0x8d, 0x95, 0x95, 0x9d, 0x9d, 0xa4, 0xa4, 0xa9, 0xa9, 0xaa, 0xaa, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 
0x94, 0x94, 0x8c, 0x8c, 0x85, 0x85, 0x80, 0x80, 0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 
0x65, 0x65, 0x5b, 0x5b, 0x52, 0x52, 0x4c, 0x4c, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 0x4f, 0x4f, 0x55, 0x55, 0x5c, 0x5c, 0x65, 0x65, 0x6f, 0x6f, 0x7a, 0x7a, 
0x86, 0x86, 0x93, 0x93, 0xa1, 0xa1, 0xae, 0xae, 0xbb, 0xbb, 0xc7, 0xc7, 0xd2, 0xd2, 0xda, 0xda, 0xe2, 0xe2, 0xe7, 0xe7, 0xeb, 0xeb, 0xed, 0xed, 0xee, 0xee, 
0xed, 0xed, 0xec, 0xec, 0xeb, 0xeb, 0xe9, 0xe9, 0xe8, 0xe8, 0xe8, 0xe8, 0xe9, 0xe9, 0xeb, 0xeb, 0xea, 0xea, 0xe7, 0xe7, 0xdf, 0xdf, 0xd3, 0xd3, 0xc3, 0xc3, 
0xb0, 0xb0, 0x9a, 0x9a, 0x83, 0x83, 0x6f, 0x6f, 0x62, 0x62, 0x5c, 0x5c, 0x5d, 0x5d, 0x62, 0x62, 0x6c, 0x6c, 0x78, 0x78, 0x84, 0x84, 0x91, 0x91, 0x9a, 0x9a, 
0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 0xaa, 0xaa, 0xac, 0xac, 0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xae, 0xae, 0xab, 0xab, 0xa6, 0xa6, 0xa1, 0xa1, 0x9a, 0x9a, 
0x92, 0x92, 0x89, 0x89, 0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x60, 0x60, 0x55, 0x55, 0x4a, 0x4a, 0x40, 0x40, 0x36, 0x36, 0x30, 0x30, 0x2b, 0x2b, 0x28, 0x28, 
0x26, 0x26, 0x24, 0x24, 0x22, 0x22, 0x1f, 0x1f, 0x1b, 0x1b, 0x16, 0x16, 0x10, 0x10, 0x09, 0x09, 0x04, 0x04, 0x02, 0x02, 0x02, 0x02, 0x05, 0x05, 0x0c, 0x0c, 
0x16, 0x16, 0x24, 0x24, 0x34, 0x34, 0x46, 0x46, 0x5a, 0x5a, 0x6e, 0x6e, 0x81, 0x81, 0x93, 0x93, 0xa2, 0xa2, 0xad, 0xad, 0xb5, 0xb5, 0xb9, 0xb9, 0xb8, 0xb8, 
0xb3, 0xb3, 0xaa, 0xaa, 0x9f, 0x9f, 0x92, 0x92, 0x84, 0x84, 0x75, 0x75, 0x66, 0x66, 0x58, 0x58, 0x4c, 0x4c, 0x41, 0x41, 0x38, 0x38, 0x32, 0x32, 0x30, 0x30, 
0x30, 0x30, 0x33, 0x33, 0x38, 0x38, 0x3e, 0x3e, 0x45, 0x45, 0x4e, 0x4e, 0x56, 0x56, 0x5f, 0x5f, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 0x82, 0x82, 0x89, 0x89, 
0x8f, 0x8f, 0x92, 0x92, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x68, 0x68, 
0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x58, 0x58, 0x56, 0x56, 0x53, 0x53, 0x50, 0x50, 0x4c, 0x4c, 0x48, 0x48, 0x43, 0x43, 0x3f, 0x3f, 
0x3c, 0x3c, 0x39, 0x39, 0x39, 0x39, 0x3a, 0x3a, 0x3e, 0x3e, 0x45, 0x45, 0x4e, 0x4e, 0x59, 0x59, 0x67, 0x67, 0x77, 0x77, 0x89, 0x89, 0x9a, 0x9a, 0xac, 0xac, 
0xbe, 0xbe, 0xcd, 0xcd, 0xda, 0xda, 0xe4, 0xe4, 0xeb, 0xeb, 0xef, 0xef, 0xf2, 0xf2, 0xf4, 0xf4, 0xf4, 0xf4, 0xf5, 0xf5, 0xf5, 0xf5, 0xf5, 0xf5, 0xf6, 0xf6, 
0xf5, 0xf5, 0xf1, 0xf1, 0xeb, 0xeb, 0xe3, 0xe3, 0xd8, 0xd8, 0xca, 0xca, 0xba, 0xba, 0xa9, 0xa9, 0x97, 0x97, 0x87, 0x87, 0x7a, 0x7a, 0x6f, 0x6f, 0x69, 0x69, 
0x69, 0x69, 0x6e, 0x6e, 0x77, 0x77, 0x83, 0x83, 0x91, 0x91, 0x9f, 0x9f, 0xac, 0xac, 0xb7, 0xb7, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 0xc2, 0xc2, 0xc1, 0xc1, 
0xc0, 0xc0, 0xbf, 0xbf, 0xbe, 0xbe, 0xbc, 0xbc, 0xba, 0xba, 0xb7, 0xb7, 0xb2, 0xb2, 0xaa, 0xaa, 0xa0, 0xa0, 0x94, 0x94, 0x87, 0x87, 0x7a, 0x7a, 0x6d, 0x6d, 
0x60, 0x60, 0x53, 0x53, 0x47, 0x47, 0x3c, 0x3c, 0x31, 0x31, 0x28, 0x28, 0x22, 0x22, 0x1f, 0x1f, 0x1f, 0x1f, 0x21, 0x21, 0x23, 0x23, 0x26, 0x26, 0x28, 0x28, 
0x29, 0x29, 0x27, 0x27, 0x22, 0x22, 0x1c, 0x1c, 0x17, 0x17, 0x14, 0x14, 0x16, 0x16, 0x1c, 0x1c, 0x25, 0x25, 0x33, 0x33, 0x45, 0x45, 0x59, 0x59, 0x6e, 0x6e, 
0x82, 0x82, 0x95, 0x95, 0xa5, 0xa5, 0xb2, 0xb2, 0xbb, 0xbb, 0xc0, 0xc0, 0xc1, 0xc1, 0xbc, 0xbc, 0xb3, 0xb3, 0xa5, 0xa5, 0x94, 0x94, 0x81, 0x81, 0x6f, 0x6f, 
0x5f, 0x5f, 0x52, 0x52, 0x48, 0x48, 0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 0x41, 0x41, 0x43, 0x43, 0x44, 0x44, 0x45, 0x45, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 
0x4d, 0x4d, 0x51, 0x51, 0x57, 0x57, 0x5e, 0x5e, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 0x86, 0x86, 0x91, 0x91, 0x99, 0x99, 0x9f, 0x9f, 0xa1, 0xa1, 0xa0, 0xa0, 
0x9b, 0x9b, 0x95, 0x95, 0x8c, 0x8c, 0x82, 0x82, 0x78, 0x78, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 
0x6a, 0x6a, 0x64, 0x64, 0x5e, 0x5e, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 0x4d, 0x4d, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 
0x50, 0x50, 0x56, 0x56, 0x5f, 0x5f, 0x6a, 0x6a, 0x77, 0x77, 0x85, 0x85, 0x94, 0x94, 0xa1, 0xa1, 0xac, 0xac, 0xb7, 0xb7, 0xc0, 0xc0, 0xc8, 0xc8, 0xcf, 0xcf, 
0xd7, 0xd7, 0xdd, 0xdd, 0xe3, 0xe3, 0xe9, 0xe9, 0xed, 0xed, 0xf2, 0xf2, 0xf5, 0xf5, 0xf8, 0xf8, 0xfa, 0xfa, 0xfb, 0xfb, 0xf8, 0xf8, 0xf2, 0xf2, 0xe9, 0xe9, 
0xdc, 0xdc, 0xcb, 0xcb, 0xb5, 0xb5, 0x9e, 0x9e, 0x87, 0x87, 0x73, 0x73, 0x64, 0x64, 0x59, 0x59, 0x54, 0x54, 0x55, 0x55, 0x5b, 0x5b, 0x65, 0x65, 0x71, 0x71, 
0x7d, 0x7d, 0x88, 0x88, 0x93, 0x93, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb3, 0xb3, 0xb1, 0xb1, 0xad, 0xad, 0xa8, 0xa8, 
0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8c, 0x8c, 0x84, 0x84, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 0x59, 0x59, 0x4b, 0x4b, 0x3e, 0x3e, 0x31, 0x31, 0x27, 0x27, 
0x1e, 0x1e, 0x19, 0x19, 0x18, 0x18, 0x1b, 0x1b, 0x21, 0x21, 0x27, 0x27, 0x2e, 0x2e, 0x33, 0x33, 0x36, 0x36, 0x36, 0x36, 0x32, 0x32, 0x2a, 0x2a, 0x20, 0x20, 
0x15, 0x15, 0x0d, 0x0d, 0x09, 0x09, 0x08, 0x08, 0x0e, 0x0e, 0x1a, 0x1a, 0x2d, 0x2d, 0x46, 0x46, 0x60, 0x60, 0x7a, 0x7a, 0x91, 0x91, 0xa6, 0xa6, 0xb6, 0xb6, 
0xbf, 0xbf, 0xc3, 0xc3, 0xc1, 0xc1, 0xbb, 0xbb, 0xb2, 0xb2, 0xa7, 0xa7, 0x9a, 0x9a, 0x8d, 0x8d, 0x82, 0x82, 0x78, 0x78, 0x70, 0x70, 0x6a, 0x6a, 0x68, 0x68, 
0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x77, 0x77, 0x7b, 0x7b, 0x81, 0x81, 
0x87, 0x87, 0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x8d, 0x8d, 0x85, 0x85, 
0x7d, 0x7d, 0x76, 0x76, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x7e, 0x7e, 
0x78, 0x78, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x56, 0x56, 0x4f, 0x4f, 0x4a, 0x4a, 0x48, 0x48, 0x48, 0x48, 0x4c, 0x4c, 0x53, 0x53, 0x5d, 0x5d, 0x6a, 0x6a, 
0x7a, 0x7a, 0x8b, 0x8b, 0x9c, 0x9c, 0xaa, 0xaa, 0xb6, 0xb6, 0xc0, 0xc0, 0xc7, 0xc7, 0xcc, 0xcc, 0xcf, 0xcf, 0xd2, 0xd2, 0xd5, 0xd5, 0xd9, 0xd9, 0xde, 0xde, 
0xe5, 0xe5, 0xeb, 0xeb, 0xf0, 0xf0, 0xf4, 0xf4, 0xf7, 0xf7, 0xf9, 0xf9, 0xf9, 0xf9, 0xf8, 0xf8, 0xf6, 0xf6, 0xf0, 0xf0, 0xe7, 0xe7, 0xda, 0xda, 0xc9, 0xc9, 
0xb6, 0xb6, 0xa3, 0xa3, 0x90, 0x90, 0x80, 0x80, 0x74, 0x74, 0x6f, 0x6f, 0x71, 0x71, 0x7a, 0x7a, 0x86, 0x86, 0x93, 0x93, 0xa0, 0xa0, 0xab, 0xab, 0xb4, 0xb4, 
0xb9, 0xb9, 0xba, 0xba, 0xb8, 0xb8, 0xb4, 0xb4, 0xae, 0xae, 0xa9, 0xa9, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 
0x88, 0x88, 0x84, 0x84, 0x7d, 0x7d, 0x73, 0x73, 0x65, 0x65, 0x55, 0x55, 0x43, 0x43, 0x31, 0x31, 0x21, 0x21, 0x13, 0x13, 0x09, 0x09, 0x05, 0x05, 0x07, 0x07, 
0x0e, 0x0e, 0x17, 0x17, 0x20, 0x20, 0x28, 0x28, 0x2d, 0x2d, 0x30, 0x30, 0x30, 0x30, 0x2e, 0x2e, 0x29, 0x29, 0x24, 0x24, 0x20, 0x20, 0x1e, 0x1e, 0x1e, 0x1e, 
0x1f, 0x1f, 0x24, 0x24, 0x2b, 0x2b, 0x35, 0x35, 0x40, 0x40, 0x4e, 0x4e, 0x5e, 0x5e, 0x6f, 0x6f, 0x7f, 0x7f, 0x8d, 0x8d, 0x96, 0x96, 0x9c, 0x9c, 0x9e, 0x9e, 
0x9d, 0x9d, 0x97, 0x97, 0x8e, 0x8e, 0x84, 0x84, 0x79, 0x79, 0x6f, 0x6f, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x55, 0x55, 0x55, 0x55, 0x58, 0x58, 0x5e, 0x5e, 
0x65, 0x65, 0x6e, 0x6e, 0x76, 0x76, 0x7d, 0x7d, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x96, 0x96, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 
0xb1, 0xb1, 0xb5, 0xb5, 0xb7, 0xb7, 0xb5, 0xb5, 0xb1, 0xb1, 0xab, 0xab, 0xa5, 0xa5, 0x9e, 0x9e, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x7e, 0x7e, 
0x78, 0x78, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 
0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6d, 0x6d, 0x72, 0x72, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 
0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 0x9c, 0x9c, 0xa6, 0xa6, 0xb3, 0xb3, 
0xc2, 0xc2, 0xd1, 0xd1, 0xdf, 0xdf, 0xeb, 0xeb, 0xf4, 0xf4, 0xfa, 0xfa, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf1, 0xf1, 0xe6, 0xe6, 0xd8, 0xd8, 0xc7, 0xc7, 
0xb6, 0xb6, 0xa4, 0xa4, 0x94, 0x94, 0x85, 0x85, 0x7a, 0x7a, 0x73, 0x73, 0x70, 0x70, 0x72, 0x72, 0x77, 0x77, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 
0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0x9e, 0x9e, 
0x9a, 0x9a, 0x93, 0x93, 0x89, 0x89, 0x7b, 0x7b, 0x6b, 0x6b, 0x59, 0x59, 0x47, 0x47, 0x38, 0x38, 0x2c, 0x2c, 0x24, 0x24, 0x20, 0x20, 0x21, 0x21, 0x27, 0x27, 
0x2f, 0x2f, 0x37, 0x37, 0x3e, 0x3e, 0x41, 0x41, 0x42, 0x42, 0x3f, 0x3f, 0x39, 0x39, 0x31, 0x31, 0x27, 0x27, 0x1d, 0x1d, 0x14, 0x14, 0x0d, 0x0d, 0x08, 0x08, 
0x08, 0x08, 0x0e, 0x0e, 0x19, 0x19, 0x2a, 0x2a, 0x3d, 0x3d, 0x53, 0x53, 0x6a, 0x6a, 0x80, 0x80, 0x94, 0x94, 0xa2, 0xa2, 0xaa, 0xaa, 0xae, 0xae, 0xad, 0xad, 
0xa9, 0xa9, 0xa2, 0xa2, 0x9a, 0x9a, 0x91, 0x91, 0x89, 0x89, 0x80, 0x80, 0x79, 0x79, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 
0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 
0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0x9f, 0x9f, 0x99, 0x99, 0x92, 0x92, 0x89, 0x89, 0x7d, 0x7d, 0x71, 0x71, 
0x66, 0x66, 0x5f, 0x5f, 0x5b, 0x5b, 0x5b, 0x5b, 0x5f, 0x5f, 0x64, 0x64, 0x6b, 0x6b, 0x73, 0x73, 0x77, 0x77, 0x77, 0x77, 0x71, 0x71, 0x67, 0x67, 0x5b, 0x5b, 
0x50, 0x50, 0x46, 0x46, 0x3f, 0x3f, 0x3c, 0x3c, 0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x4d, 0x4d, 0x55, 0x55, 0x5d, 0x5d, 0x64, 0x64, 0x6a, 0x6a, 0x70, 0x70, 
0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x73, 0x73, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x63, 0x63, 0x67, 0x67, 0x6f, 0x6f, 0x7b, 0x7b, 0x8b, 0x8b, 0x9e, 0x9e, 
0xb2, 0xb2, 0xc5, 0xc5, 0xd6, 0xd6, 0xe2, 0xe2, 0xec, 0xec, 0xf2, 0xf2, 0xf7, 0xf7, 0xfa, 0xfa, 0xfc, 0xfc, 0xfb, 0xfb, 0xf8, 0xf8, 0xf1, 0xf1, 0xe7, 0xe7, 
0xda, 0xda, 0xcb, 0xcb, 0xb9, 0xb9, 0xa6, 0xa6, 0x95, 0x95, 0x8a, 0x8a, 0x85, 0x85, 0x85, 0x85, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x98, 0x98, 
0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9b, 0x9b, 0x9e, 0x9e, 0xa3, 0xa3, 0xaa, 0xaa, 0xb2, 0xb2, 0xb9, 0xb9, 0xc0, 0xc0, 0xc5, 0xc5, 0xc8, 0xc8, 0xc8, 0xc8, 
0xc4, 0xc4, 0xbe, 0xbe, 0xb3, 0xb3, 0xa4, 0xa4, 0x92, 0x92, 0x7d, 0x7d, 0x68, 0x68, 0x55, 0x55, 0x44, 0x44, 0x37, 0x37, 0x2e, 0x2e, 0x2a, 0x2a, 0x2c, 0x2c, 
0x32, 0x32, 0x3a, 0x3a, 0x41, 0x41, 0x48, 0x48, 0x4c, 0x4c, 0x4e, 0x4e, 0x4d, 0x4d, 0x48, 0x48, 0x41, 0x41, 0x39, 0x39, 0x32, 0x32, 0x2a, 0x2a, 0x25, 0x25, 
0x21, 0x21, 0x20, 0x20, 0x22, 0x22, 0x28, 0x28, 0x30, 0x30, 0x3b, 0x3b, 0x49, 0x49, 0x5a, 0x5a, 0x6a, 0x6a, 0x7a, 0x7a, 0x88, 0x88, 0x94, 0x94, 0x9c, 0x9c, 
0xa1, 0xa1, 0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 0x96, 0x96, 0x90, 0x90, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6b, 0x6b, 0x63, 0x63, 0x5f, 0x5f, 0x5e, 0x5e, 0x61, 0x61, 0x67, 0x67, 0x71, 0x71, 0x7e, 0x7e, 
0x8d, 0x8d, 0x9b, 0x9b, 0xa7, 0xa7, 0xb0, 0xb0, 0xb5, 0xb5, 0xb6, 0xb6, 0xb3, 0xb3, 0xab, 0xab, 0xa2, 0xa2, 0x96, 0x96, 0x8b, 0x8b, 0x81, 0x81, 0x78, 0x78, 
0x71, 0x71, 0x6d, 0x6d, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x66, 0x66, 
0x62, 0x62, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x50, 0x50, 0x4c, 0x4c, 0x48, 0x48, 0x46, 0x46, 0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 
0x5b, 0x5b, 0x5f, 0x5f, 0x62, 0x62, 0x63, 0x63, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x67, 0x67, 0x6d, 0x6d, 0x75, 0x75, 
0x7e, 0x7e, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa3, 0xa3, 0xad, 0xad, 0xb8, 0xb8, 0xc5, 0xc5, 0xd1, 0xd1, 0xdd, 0xdd, 0xe8, 0xe8, 0xf0, 0xf0, 0xf5, 0xf5, 
0xf9, 0xf9, 0xfc, 0xfc, 0xfc, 0xfc, 0xfb, 0xfb, 0xf7, 0xf7, 0xef, 0xef, 0xe3, 0xe3, 0xd4, 0xd4, 0xc3, 0xc3, 0xb1, 0xb1, 0x9f, 0x9f, 0x8e, 0x8e, 0x82, 0x82, 
0x7b, 0x7b, 0x7b, 0x7b, 0x80, 0x80, 0x89, 0x89, 0x92, 0x92, 0x9c, 0x9c, 0xa5, 0xa5, 0xad, 0xad, 0xb4, 0xb4, 0xba, 0xba, 0xc0, 0xc0, 0xc4, 0xc4, 0xc8, 0xc8, 
0xca, 0xca, 0xcc, 0xcc, 0xcb, 0xcb, 0xc8, 0xc8, 0xc2, 0xc2, 0xba, 0xba, 0xb1, 0xb1, 0xa7, 0xa7, 0x9d, 0x9d, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 0x74, 0x74, 
0x6a, 0x6a, 0x5f, 0x5f, 0x55, 0x55, 0x4c, 0x4c, 0x44, 0x44, 0x3e, 0x3e, 0x3b, 0x3b, 0x3b, 0x3b, 0x3d, 0x3d, 0x41, 0x41, 0x46, 0x46, 0x4a, 0x4a, 0x4d, 0x4d, 
0x4f, 0x4f, 0x4f, 0x4f, 0x4c, 0x4c, 0x47, 0x47, 0x41, 0x41, 0x3b, 0x3b, 0x34, 0x34, 0x2e, 0x2e, 0x2a, 0x2a, 0x28, 0x28, 0x28, 0x28, 0x2b, 0x2b, 0x32, 0x32, 
0x3d, 0x3d, 0x4c, 0x4c, 0x5d, 0x5d, 0x6f, 0x6f, 0x80, 0x80, 0x8e, 0x8e, 0x9a, 0x9a, 0xa1, 0xa1, 0xa5, 0xa5, 0xa4, 0xa4, 0x9f, 0x9f, 0x98, 0x98, 0x90, 0x90, 
0x86, 0x86, 0x7b, 0x7b, 0x71, 0x71, 0x68, 0x68, 0x60, 0x60, 0x5b, 0x5b, 0x58, 0x58, 0x58, 0x58, 0x5b, 0x5b, 0x61, 0x61, 0x67, 0x67, 0x6d, 0x6d, 0x73, 0x73, 
0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8b, 0x8b, 0x91, 0x91, 0x98, 0x98, 0x9e, 0x9e, 0xa5, 0xa5, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 
0xaa, 0xaa, 0xa6, 0xa6, 0x9f, 0x9f, 0x98, 0x98, 0x90, 0x90, 0x88, 0x88, 0x81, 0x81, 0x7c, 0x7c, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 
0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x8f, 0x8f, 0x8d, 0x8d, 0x88, 0x88, 0x7f, 0x7f, 0x74, 0x74, 0x68, 0x68, 0x5b, 0x5b, 0x4e, 0x4e, 0x43, 0x43, 0x3b, 0x3b, 
0x37, 0x37, 0x35, 0x35, 0x36, 0x36, 0x3a, 0x3a, 0x3f, 0x3f, 0x45, 0x45, 0x4d, 0x4d, 0x54, 0x54, 0x5c, 0x5c, 0x64, 0x64, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 
0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 
0x91, 0x91, 0x9c, 0x9c, 0xa9, 0xa9, 0xb8, 0xb8, 0xc8, 0xc8, 0xd7, 0xd7, 0xe4, 0xe4, 0xf0, 0xf0, 0xfa, 0xfa, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 
0xf9, 0xf9, 0xf2, 0xf2, 0xe9, 0xe9, 0xde, 0xde, 0xd0, 0xd0, 0xc0, 0xc0, 0xae, 0xae, 0x9d, 0x9d, 0x91, 0x91, 0x8a, 0x8a, 0x88, 0x88, 0x8a, 0x8a, 0x8f, 0x8f, 
0x97, 0x97, 0xa1, 0xa1, 0xaa, 0xaa, 0xb3, 0xb3, 0xba, 0xba, 0xbf, 0xbf, 0xc3, 0xc3, 0xc7, 0xc7, 0xc9, 0xc9, 0xcb, 0xcb, 0xca, 0xca, 0xc6, 0xc6, 0xbe, 0xbe, 
0xb3, 0xb3, 0xa6, 0xa6, 0x98, 0x98, 0x89, 0x89, 0x7a, 0x7a, 0x6c, 0x6c, 0x60, 0x60, 0x56, 0x56, 0x4f, 0x4f, 0x48, 0x48, 0x44, 0x44, 0x40, 0x40, 0x3d, 0x3d, 
0x3c, 0x3c, 0x3d, 0x3d, 0x40, 0x40, 0x45, 0x45, 0x49, 0x49, 0x4c, 0x4c, 0x4d, 0x4d, 0x4c, 0x4c, 0x49, 0x49, 0x42, 0x42, 0x38, 0x38, 0x2d, 0x2d, 0x21, 0x21, 
0x17, 0x17, 0x0e, 0x0e, 0x08, 0x08, 0x04, 0x04, 0x04, 0x04, 0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 0x20, 0x20, 0x2e, 0x2e, 0x3f, 0x3f, 0x50, 0x50, 0x61, 0x61, 
0x71, 0x71, 0x7f, 0x7f, 0x8a, 0x8a, 0x92, 0x92, 0x95, 0x95, 0x94, 0x94, 0x90, 0x90, 0x8a, 0x8a, 0x81, 0x81, 0x77, 0x77, 0x6d, 0x6d, 0x62, 0x62, 0x57, 0x57, 
0x4d, 0x4d, 0x45, 0x45, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x46, 0x46, 0x4f, 0x4f, 0x5b, 0x5b, 0x68, 0x68, 0x76, 0x76, 0x83, 0x83, 0x8f, 0x8f, 0x9a, 0x9a, 
0xa2, 0xa2, 0xa9, 0xa9, 0xae, 0xae, 0xb0, 0xb0, 0xb1, 0xb1, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 0x9d, 0x9d, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x8a, 0x8a, 
0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 
0x93, 0x93, 0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x62, 0x62, 0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 
0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x57, 0x57, 0x5f, 0x5f, 0x68, 0x68, 0x71, 0x71, 0x78, 0x78, 0x7c, 0x7c, 0x7d, 0x7d, 0x7a, 0x7a, 
0x75, 0x75, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x64, 0x64, 0x67, 0x67, 0x6d, 0x6d, 0x75, 0x75, 0x7f, 0x7f, 0x8c, 0x8c, 0x9a, 0x9a, 0xa9, 0xa9, 
0xb9, 0xb9, 0xc8, 0xc8, 0xd7, 0xd7, 0xe4, 0xe4, 0xed, 0xed, 0xf3, 0xf3, 0xf5, 0xf5, 0xf6, 0xf6, 0xf7, 0xf7, 0xf9, 0xf9, 0xfb, 0xfb, 0xfd, 0xfd, 0xfd, 0xfd, 
0xfc, 0xfc, 0xf8, 0xf8, 0xf0, 0xf0, 0xe1, 0xe1, 0xcc, 0xcc, 0xb3, 0xb3, 0x9b, 0x9b, 0x86, 0x86, 0x77, 0x77, 0x6f, 0x6f, 0x6c, 0x6c, 0x6e, 0x6e, 0x76, 0x76, 
0x81, 0x81, 0x8f, 0x8f, 0x9d, 0x9d, 0xab, 0xab, 0xb8, 0xb8, 0xc3, 0xc3, 0xcb, 0xcb, 0xce, 0xce, 0xce, 0xce, 0xca, 0xca, 0xc3, 0xc3, 0xb9, 0xb9, 0xad, 0xad, 
0xa1, 0xa1, 0x95, 0x95, 0x8a, 0x8a, 0x80, 0x80, 0x76, 0x76, 0x6c, 0x6c, 0x61, 0x61, 0x57, 0x57, 0x4d, 0x4d, 0x44, 0x44, 0x3c, 0x3c, 0x35, 0x35, 0x30, 0x30, 
0x2d, 0x2d, 0x2d, 0x2d, 0x2f, 0x2f, 0x31, 0x31, 0x33, 0x33, 0x32, 0x32, 0x30, 0x30, 0x2c, 0x2c, 0x27, 0x27, 0x20, 0x20, 0x19, 0x19, 0x13, 0x13, 0x0d, 0x0d, 
0x08, 0x08, 0x04, 0x04, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x05, 0x05, 0x0e, 0x0e, 0x1c, 0x1c, 0x2e, 0x2e, 0x42, 0x42, 0x58, 0x58, 0x6c, 0x6c, 
0x80, 0x80, 0x90, 0x90, 0x9a, 0x9a, 0x9e, 0x9e, 0x9d, 0x9d, 0x97, 0x97, 0x8f, 0x8f, 0x84, 0x84, 0x77, 0x77, 0x6b, 0x6b, 0x5e, 0x5e, 0x53, 0x53, 0x48, 0x48, 
0x41, 0x41, 0x3c, 0x3c, 0x3a, 0x3a, 0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x4b, 0x4b, 0x51, 0x51, 0x59, 0x59, 0x61, 0x61, 0x69, 0x69, 0x72, 0x72, 0x7b, 0x7b, 
0x85, 0x85, 0x8e, 0x8e, 0x97, 0x97, 0x9f, 0x9f, 0xa5, 0xa5, 0xa9, 0xa9, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 0x95, 0x95, 0x8e, 0x8e, 
0x88, 0x88, 0x83, 0x83, 0x80, 0x80, 0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 0x98, 0x98, 0x9f, 0x9f, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 
0xa5, 0xa5, 0xa0, 0xa0, 0x97, 0x97, 0x8c, 0x8c, 0x80, 0x80, 0x72, 0x72, 0x65, 0x65, 0x59, 0x59, 0x4e, 0x4e, 0x46, 0x46, 0x41, 0x41, 0x3f, 0x3f, 0x41, 0x41, 
0x45, 0x45, 0x4d, 0x4d, 0x57, 0x57, 0x63, 0x63, 0x70, 0x70, 0x7a, 0x7a, 0x83, 0x83, 0x89, 0x89, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 
0x7b, 0x7b, 0x76, 0x76, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5f, 0x5f, 0x65, 0x65, 0x6d, 0x6d, 0x78, 0x78, 
0x85, 0x85, 0x94, 0x94, 0xa3, 0xa3, 0xb2, 0xb2, 0xc0, 0xc0, 0xce, 0xce, 0xda, 0xda, 0xe3, 0xe3, 0xeb, 0xeb, 0xf0, 0xf0, 0xf4, 0xf4, 0xf6, 0xf6, 0xf7, 0xf7, 
0xf6, 0xf6, 0xf4, 0xf4, 0xf1, 0xf1, 0xed, 0xed, 0xe8, 0xe8, 0xe0, 0xe0, 0xd7, 0xd7, 0xcb, 0xcb, 0xbe, 0xbe, 0xb1, 0xb1, 0xa6, 0xa6, 0x9e, 0x9e, 0x98, 0x98, 
0x95, 0x95, 0x96, 0x96, 0x9b, 0x9b, 0xa1, 0xa1, 0xa8, 0xa8, 0xae, 0xae, 0xb2, 0xb2, 0xb4, 0xb4, 0xb3, 0xb3, 0xaf, 0xaf, 0xa7, 0xa7, 0x9c, 0x9c, 0x90, 0x90, 
0x85, 0x85, 0x7a, 0x7a, 0x71, 0x71, 0x6a, 0x6a, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5c, 0x5c, 0x58, 0x58, 
0x54, 0x54, 0x4e, 0x4e, 0x48, 0x48, 0x43, 0x43, 0x3f, 0x3f, 0x3c, 0x3c, 0x39, 0x39, 0x37, 0x37, 0x35, 0x35, 0x33, 0x33, 0x31, 0x31, 0x2d, 0x2d, 0x28, 0x28, 
0x22, 0x22, 0x1c, 0x1c, 0x17, 0x17, 0x13, 0x13, 0x11, 0x11, 0x0f, 0x0f, 0x0d, 0x0d, 0x0b, 0x0b, 0x0a, 0x0a, 0x0a, 0x0a, 0x0c, 0x0c, 0x10, 0x10, 0x17, 0x17, 
0x21, 0x21, 0x2f, 0x2f, 0x42, 0x42, 0x56, 0x56, 0x6a, 0x6a, 0x7b, 0x7b, 0x89, 0x89, 0x91, 0x91, 0x96, 0x96, 0x97, 0x97, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 
0x82, 0x82, 0x7c, 0x7c, 0x76, 0x76, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x80, 0x80, 0x88, 0x88, 0x8f, 0x8f, 
0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 0xbe, 0xbe, 0xbf, 0xbf, 0xbe, 0xbe, 
0xba, 0xba, 0xb3, 0xb3, 0xab, 0xab, 0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x8c, 0x8c, 0x8a, 0x8a, 0x8c, 0x8c, 0x90, 0x90, 0x96, 0x96, 0x9d, 0x9d, 0xa5, 0xa5, 
0xab, 0xab, 0xaf, 0xaf, 0xb1, 0xb1, 0xaf, 0xaf, 0xaa, 0xaa, 0xa1, 0xa1, 0x96, 0x96, 0x87, 0x87, 0x79, 0x79, 0x6c, 0x6c, 0x61, 0x61, 0x58, 0x58, 0x52, 0x52, 
0x50, 0x50, 0x51, 0x51, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 
0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 
0x60, 0x60, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5e, 0x5e, 0x63, 0x63, 0x6c, 0x6c, 0x79, 0x79, 0x8a, 0x8a, 0x9c, 0x9c, 0xb1, 0xb1, 0xc6, 0xc6, 
0xd8, 0xd8, 0xe7, 0xe7, 0xf0, 0xf0, 0xf5, 0xf5, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xf6, 0xf6, 0xf6, 0xf6, 0xf7, 0xf7, 0xf9, 0xf9, 0xfb, 0xfb, 0xfd, 0xfd, 
0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf2, 0xf2, 0xea, 0xea, 0xdf, 0xdf, 0xd3, 0xd3, 0xc7, 0xc7, 0xbb, 0xbb, 0xb1, 0xb1, 0xa9, 0xa9, 0xa3, 0xa3, 0xa0, 0xa0, 
0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x90, 0x90, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7c, 0x7c, 0x73, 0x73, 0x69, 0x69, 0x5e, 0x5e, 0x54, 0x54, 0x49, 0x49, 0x3f, 0x3f, 
0x35, 0x35, 0x2b, 0x2b, 0x21, 0x21, 0x16, 0x16, 0x0d, 0x0d, 0x07, 0x07, 0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 0x06, 0x06, 0x0a, 0x0a, 0x0d, 0x0d, 
0x10, 0x10, 0x11, 0x11, 0x12, 0x12, 0x12, 0x12, 0x13, 0x13, 0x14, 0x14, 0x17, 0x17, 0x1c, 0x1c, 0x26, 0x26, 0x35, 0x35, 0x48, 0x48, 0x5a, 0x5a, 0x6a, 0x6a, 
0x76, 0x76, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 
0x6f, 0x6f, 0x70, 0x70, 0x74, 0x74, 0x7a, 0x7a, 0x83, 0x83, 0x8b, 0x8b, 0x91, 0x91, 0x95, 0x95, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 
0x97, 0x97, 0x99, 0x99, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xab, 0xab, 0xae, 0xae, 0xb0, 0xb0, 0xb2, 0xb2, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb6, 0xb6, 
0xb6, 0xb6, 0xb5, 0xb5, 0xb3, 0xb3, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 
0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x7e, 0x7e, 0x78, 0x78, 0x71, 0x71, 0x6b, 0x6b, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x55, 0x55, 0x4f, 0x4f, 0x48, 0x48, 
0x42, 0x42, 0x3d, 0x3d, 0x3b, 0x3b, 0x3d, 0x3d, 0x40, 0x40, 0x45, 0x45, 0x4a, 0x4a, 0x4e, 0x4e, 0x52, 0x52, 0x54, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x56, 0x56, 0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 
0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x8c, 0x8c, 0x96, 0x96, 
0xa2, 0xa2, 0xb0, 0xb0, 0xbf, 0xbf, 0xce, 0xce, 0xdb, 0xdb, 0xe6, 0xe6, 0xf0, 0xf0, 0xf6, 0xf6, 0xf9, 0xf9, 0xf9, 0xf9, 0xf8, 0xf8, 0xf6, 0xf6, 0xf4, 0xf4, 
0xf2, 0xf2, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xef, 0xef, 0xec, 0xec, 0xe5, 0xe5, 0xdb, 0xdb, 0xcf, 0xcf, 0xc0, 0xc0, 0xae, 0xae, 0x9d, 0x9d, 
0x8d, 0x8d, 0x81, 0x81, 0x7a, 0x7a, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x50, 0x50, 
0x47, 0x47, 0x3e, 0x3e, 0x37, 0x37, 0x31, 0x31, 0x2e, 0x2e, 0x2c, 0x2c, 0x2a, 0x2a, 0x28, 0x28, 0x23, 0x23, 0x1d, 0x1d, 0x16, 0x16, 0x11, 0x11, 0x0e, 0x0e, 
0x0c, 0x0c, 0x0c, 0x0c, 0x0d, 0x0d, 0x0e, 0x0e, 0x10, 0x10, 0x11, 0x11, 0x10, 0x10, 0x0e, 0x0e, 0x0a, 0x0a, 0x08, 0x08, 0x0a, 0x0a, 0x11, 0x11, 0x1c, 0x1c, 
0x2c, 0x2c, 0x40, 0x40, 0x58, 0x58, 0x72, 0x72, 0x8a, 0x8a, 0x9f, 0x9f, 0xae, 0xae, 0xb8, 0xb8, 0xbe, 0xbe, 0xbe, 0xbe, 0xbb, 0xbb, 0xb4, 0xb4, 0xab, 0xab, 
0xa0, 0xa0, 0x95, 0x95, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x70, 0x70, 0x73, 0x73, 
0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x96, 0x96, 0x96, 0x96, 0x93, 0x93, 
0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 
0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x92, 0x92, 0x89, 0x89, 0x7d, 0x7d, 0x6f, 0x6f, 0x62, 0x62, 0x54, 0x54, 0x49, 0x49, 0x3f, 0x3f, 
0x39, 0x39, 0x36, 0x36, 0x36, 0x36, 0x37, 0x37, 0x39, 0x39, 0x3c, 0x3c, 0x3f, 0x3f, 0x42, 0x42, 0x47, 0x47, 0x4d, 0x4d, 0x54, 0x54, 0x5b, 0x5b, 0x61, 0x61, 
0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 
0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x69, 0x69, 0x6e, 0x6e, 0x75, 0x75, 0x7d, 0x7d, 0x86, 0x86, 0x90, 0x90, 0x9a, 0x9a, 
0xa3, 0xa3, 0xac, 0xac, 0xb4, 0xb4, 0xbb, 0xbb, 0xc2, 0xc2, 0xca, 0xca, 0xd2, 0xd2, 0xdb, 0xdb, 0xe3, 0xe3, 0xea, 0xea, 0xef, 0xef, 0xf3, 0xf3, 0xf6, 0xf6, 
0xf8, 0xf8, 0xf9, 0xf9, 0xfa, 0xfa, 0xfa, 0xfa, 0xfb, 0xfb, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf7, 0xf7, 
0xef, 0xef, 0xe4, 0xe4, 0xd6, 0xd6, 0xc6, 0xc6, 0xb3, 0xb3, 0xa0, 0xa0, 0x8e, 0x8e, 0x82, 0x82, 0x7b, 0x7b, 0x79, 0x79, 0x7b, 0x7b, 0x80, 0x80, 0x88, 0x88, 
0x90, 0x90, 0x97, 0x97, 0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x82, 0x82, 0x79, 0x79, 0x72, 0x72, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 
0x67, 0x67, 0x63, 0x63, 0x5b, 0x5b, 0x51, 0x51, 0x45, 0x45, 0x3a, 0x3a, 0x2f, 0x2f, 0x26, 0x26, 0x1e, 0x1e, 0x18, 0x18, 0x15, 0x15, 0x13, 0x13, 0x11, 0x11, 
0x0e, 0x0e, 0x0b, 0x0b, 0x07, 0x07, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x07, 0x07, 0x0a, 0x0a, 0x0d, 0x0d, 0x0d, 0x0d, 
0x0c, 0x0c, 0x09, 0x09, 0x08, 0x08, 0x09, 0x09, 0x0e, 0x0e, 0x16, 0x16, 0x23, 0x23, 0x34, 0x34, 0x49, 0x49, 0x60, 0x60, 0x77, 0x77, 0x8a, 0x8a, 0x99, 0x99, 
0xa5, 0xa5, 0xad, 0xad, 0xb2, 0xb2, 0xb5, 0xb5, 0xb6, 0xb6, 0xb5, 0xb5, 0xb2, 0xb2, 0xae, 0xae, 0xa9, 0xa9, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9e, 0x9e, 
0x9f, 0x9f, 0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 0xb3, 0xb3, 0xb6, 0xb6, 0xb6, 0xb6, 0xb3, 0xb3, 0xb1, 0xb1, 0xb0, 0xb0, 0xb2, 0xb2, 0xb6, 0xb6, 0xbb, 0xbb, 
0xc1, 0xc1, 0xc6, 0xc6, 0xcb, 0xcb, 0xce, 0xce, 0xcf, 0xcf, 0xce, 0xce, 0xcc, 0xcc, 0xc8, 0xc8, 0xc4, 0xc4, 0xbf, 0xbf, 0xba, 0xba, 0xb4, 0xb4, 0xac, 0xac, 
0xa2, 0xa2, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x7d, 0x7d, 0x78, 0x78, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x86, 0x86, 0x87, 0x87, 0x83, 0x83, 
0x7b, 0x7b, 0x70, 0x70, 0x61, 0x61, 0x50, 0x50, 0x3f, 0x3f, 0x30, 0x30, 0x26, 0x26, 0x22, 0x22, 0x22, 0x22, 0x26, 0x26, 0x2b, 0x2b, 0x31, 0x31, 0x36, 0x36, 
0x3c, 0x3c, 0x41, 0x41, 0x47, 0x47, 0x4d, 0x4d, 0x51, 0x51, 0x54, 0x54, 0x54, 0x54, 0x52, 0x52, 0x4e, 0x4e, 0x48, 0x48, 0x41, 0x41, 0x3a, 0x3a, 0x35, 0x35, 
0x35, 0x35, 0x3a, 0x3a, 0x43, 0x43, 0x4e, 0x4e, 0x58, 0x58, 0x62, 0x62, 0x6a, 0x6a, 0x6f, 0x6f, 0x71, 0x71, 0x6f, 0x6f, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 
0x60, 0x60, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x85, 0x85, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x97, 0x97, 
0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 0x9b, 0x9b, 0x9c, 0x9c, 0xa1, 0xa1, 0xab, 0xab, 0xb7, 0xb7, 0xc6, 0xc6, 0xd7, 0xd7, 0xe8, 0xe8, 
0xf6, 0xf6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf9, 0xf9, 0xf8, 0xf8, 0xf7, 0xf7, 0xf6, 0xf6, 0xf4, 0xf4, 0xf3, 0xf3, 
0xf2, 0xf2, 0xf1, 0xf1, 0xf1, 0xf1, 0xee, 0xee, 0xe8, 0xe8, 0xde, 0xde, 0xd0, 0xd0, 0xbf, 0xbf, 0xaa, 0xaa, 0x92, 0x92, 0x7a, 0x7a, 0x63, 0x63, 0x52, 0x52, 
0x48, 0x48, 0x43, 0x43, 0x45, 0x45, 0x4b, 0x4b, 0x57, 0x57, 0x65, 0x65, 0x72, 0x72, 0x7c, 0x7c, 0x81, 0x81, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x72, 0x72, 
0x69, 0x69, 0x61, 0x61, 0x5b, 0x5b, 0x57, 0x57, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x43, 0x43, 0x3f, 0x3f, 0x3d, 0x3d, 0x3b, 0x3b, 
0x3a, 0x3a, 0x39, 0x39, 0x36, 0x36, 0x32, 0x32, 0x2d, 0x2d, 0x28, 0x28, 0x23, 0x23, 0x1f, 0x1f, 0x1d, 0x1d, 0x20, 0x20, 0x27, 0x27, 0x31, 0x31, 0x3c, 0x3c, 
0x47, 0x47, 0x50, 0x50, 0x58, 0x58, 0x5c, 0x5c, 0x5e, 0x5e, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5c, 0x5c, 0x64, 0x64, 0x6f, 0x6f, 0x7e, 0x7e, 
0x91, 0x91, 0xa6, 0xa6, 0xbb, 0xbb, 0xcf, 0xcf, 0xdf, 0xdf, 0xec, 0xec, 0xf4, 0xf4, 0xf6, 0xf6, 0xf3, 0xf3, 0xea, 0xea, 0xdf, 0xdf, 0xd1, 0xd1, 0xc1, 0xc1, 
0xb1, 0xb1, 0xa4, 0xa4, 0x9b, 0x9b, 0x96, 0x96, 0x96, 0x96, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa8, 0xa8, 0xac, 0xac, 0xae, 0xae, 0xad, 0xad, 0xaa, 0xaa, 
0xa7, 0xa7, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x90, 0x90, 0x89, 0x89, 
0x81, 0x81, 0x78, 0x78, 0x6e, 0x6e, 0x64, 0x64, 0x5a, 0x5a, 0x51, 0x51, 0x48, 0x48, 0x40, 0x40, 0x39, 0x39, 0x35, 0x35, 0x32, 0x32, 0x32, 0x32, 0x36, 0x36, 
0x3d, 0x3d, 0x46, 0x46, 0x4d, 0x4d, 0x51, 0x51, 0x51, 0x51, 0x4d, 0x4d, 0x46, 0x46, 0x3c, 0x3c, 0x31, 0x31, 0x25, 0x25, 0x1a, 0x1a, 0x13, 0x13, 0x0f, 0x0f, 
0x0e, 0x0e, 0x10, 0x10, 0x12, 0x12, 0x15, 0x15, 0x19, 0x19, 0x1e, 0x1e, 0x23, 0x23, 0x2b, 0x2b, 0x33, 0x33, 0x3b, 0x3b, 0x42, 0x42, 0x47, 0x47, 0x4b, 0x4b, 
0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4c, 0x4c, 0x50, 0x50, 0x56, 0x56, 0x5d, 0x5d, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 0x70, 0x70, 
0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xa8, 0xa8, 
0xaa, 0xaa, 0xab, 0xab, 0xad, 0xad, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbc, 0xbc, 0xbf, 0xbf, 0xc2, 0xc2, 0xc8, 0xc8, 0xce, 0xce, 
0xd6, 0xd6, 0xdf, 0xdf, 0xe7, 0xe7, 0xee, 0xee, 0xf4, 0xf4, 0xf9, 0xf9, 0xfc, 0xfc, 0xfd, 0xfd, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf7, 0xf7, 0xf5, 0xf5, 
0xf4, 0xf4, 0xf3, 0xf3, 0xf4, 0xf4, 0xf6, 0xf6, 0xf8, 0xf8, 0xfa, 0xfa, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xfd, 0xfd, 0xfb, 0xfb, 0xf8, 0xf8, 0xf1, 0xf1, 
0xe6, 0xe6, 0xd6, 0xd6, 0xc2, 0xc2, 0xae, 0xae, 0x9a, 0x9a, 0x89, 0x89, 0x7a, 0x7a, 0x6f, 0x6f, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 
0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5a, 0x5a, 
0x54, 0x54, 0x4d, 0x4d, 0x45, 0x45, 0x3a, 0x3a, 0x30, 0x30, 0x25, 0x25, 0x1b, 0x1b, 0x12, 0x12, 0x0b, 0x0b, 0x06, 0x06, 0x03, 0x03, 0x02, 0x02, 0x02, 0x02, 
0x05, 0x05, 0x09, 0x09, 0x0e, 0x0e, 0x14, 0x14, 0x1a, 0x1a, 0x20, 0x20, 0x26, 0x26, 0x2b, 0x2b, 0x2d, 0x2d, 0x2d, 0x2d, 0x2a, 0x2a, 0x24, 0x24, 0x1f, 0x1f, 
0x1c, 0x1c, 0x1c, 0x1c, 0x1f, 0x1f, 0x26, 0x26, 0x31, 0x31, 0x40, 0x40, 0x53, 0x53, 0x67, 0x67, 0x7c, 0x7c, 0x91, 0x91, 0xa5, 0xa5, 0xb7, 0xb7, 0xc4, 0xc4, 
0xcc, 0xcc, 0xcf, 0xcf, 0xd0, 0xd0, 0xcd, 0xcd, 0xc7, 0xc7, 0xc0, 0xc0, 0xb8, 0xb8, 0xb1, 0xb1, 0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 
0x9b, 0x9b, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x8b, 0x8b, 0x8f, 0x8f, 0x97, 0x97, 0xa0, 0xa0, 
0xa8, 0xa8, 0xae, 0xae, 0xb0, 0xb0, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 0x9b, 0x9b, 0x92, 0x92, 0x88, 0x88, 0x7e, 0x7e, 0x74, 0x74, 0x6a, 0x6a, 0x60, 0x60, 
0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 
0x65, 0x65, 0x5d, 0x5d, 0x55, 0x55, 0x4c, 0x4c, 0x43, 0x43, 0x3b, 0x3b, 0x35, 0x35, 0x31, 0x31, 0x2f, 0x2f, 0x2f, 0x2f, 0x30, 0x30, 0x33, 0x33, 0x37, 0x37, 
0x3c, 0x3c, 0x43, 0x43, 0x4a, 0x4a, 0x53, 0x53, 0x5c, 0x5c, 0x65, 0x65, 0x6b, 0x6b, 0x70, 0x70, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 
0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0xa0, 0xa0, 0xa5, 0xa5, 0xa9, 0xa9, 
0xac, 0xac, 0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xa8, 0xa8, 0xa4, 0xa4, 0xa1, 0xa1, 0x9f, 0x9f, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 0xa8, 0xa8, 0xac, 0xac, 
0xb0, 0xb0, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa5, 0xa5, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x93, 0x93, 
0x90, 0x90, 0x91, 0x91, 0x95, 0x95, 0x9c, 0x9c, 0xa6, 0xa6, 0xb1, 0xb1, 0xbd, 0xbd, 0xc9, 0xc9, 0xd5, 0xd5, 0xdf, 0xdf, 0xe7, 0xe7, 0xed, 0xed, 0xf2, 0xf2, 
0xf6, 0xf6, 0xf9, 0xf9, 0xfa, 0xfa, 0xfb, 0xfb, 0xfb, 0xfb, 0xfa, 0xfa, 0xf8, 0xf8, 0xf5, 0xf5, 0xef, 0xef, 0xe6, 0xe6, 0xdb, 0xdb, 0xce, 0xce, 0xbd, 0xbd, 
0xab, 0xab, 0x97, 0x97, 0x83, 0x83, 0x71, 0x71, 0x61, 0x61, 0x53, 0x53, 0x4a, 0x4a, 0x44, 0x44, 0x43, 0x43, 0x45, 0x45, 0x4b, 0x4b, 0x53, 0x53, 0x5c, 0x5c, 
0x66, 0x66, 0x6f, 0x6f, 0x75, 0x75, 0x76, 0x76, 0x74, 0x74, 0x70, 0x70, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 0x4d, 0x4d, 0x47, 0x47, 0x43, 0x43, 0x42, 0x42, 
0x42, 0x42, 0x43, 0x43, 0x45, 0x45, 0x47, 0x47, 0x49, 0x49, 0x4b, 0x4b, 0x4e, 0x4e, 0x50, 0x50, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 0x59, 0x59, 0x5a, 0x5a, 
0x59, 0x59, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x49, 0x49, 0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x4d, 0x4d, 
0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x5a, 0x5a, 0x67, 0x67, 0x78, 0x78, 0x8b, 0x8b, 0x9f, 0x9f, 0xb2, 0xb2, 0xc4, 0xc4, 0xd3, 0xd3, 0xde, 0xde, 0xe4, 0xe4, 
0xe6, 0xe6, 0xe5, 0xe5, 0xe1, 0xe1, 0xda, 0xda, 0xd1, 0xd1, 0xc6, 0xc6, 0xba, 0xba, 0xad, 0xad, 0xa0, 0xa0, 0x95, 0x95, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83, 
0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 
0x71, 0x71, 0x6c, 0x6c, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x4e, 0x4e, 0x44, 0x44, 0x3b, 0x3b, 0x34, 0x34, 0x31, 0x31, 0x30, 0x30, 0x31, 0x31, 0x33, 0x33, 
0x36, 0x36, 0x38, 0x38, 0x3b, 0x3b, 0x3d, 0x3d, 0x3f, 0x3f, 0x40, 0x40, 0x40, 0x40, 0x41, 0x41, 0x42, 0x42, 0x41, 0x41, 0x40, 0x40, 0x3c, 0x3c, 0x35, 0x35, 
0x2d, 0x2d, 0x25, 0x25, 0x1d, 0x1d, 0x18, 0x18, 0x14, 0x14, 0x14, 0x14, 0x17, 0x17, 0x1e, 0x1e, 0x28, 0x28, 0x34, 0x34, 0x40, 0x40, 0x4c, 0x4c, 0x57, 0x57, 
0x62, 0x62, 0x6d, 0x6d, 0x77, 0x77, 0x80, 0x80, 0x89, 0x89, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 
0x91, 0x91, 0x94, 0x94, 0x98, 0x98, 0x9d, 0x9d, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xaa, 0xaa, 0xac, 0xac, 0xb0, 0xb0, 0xb5, 0xb5, 0xbc, 0xbc, 0xc3, 0xc3, 
0xcd, 0xcd, 0xd6, 0xd6, 0xdf, 0xdf, 0xe5, 0xe5, 0xe8, 0xe8, 0xe8, 0xe8, 0xe7, 0xe7, 0xe3, 0xe3, 0xdd, 0xdd, 0xd7, 0xd7, 0xcf, 0xcf, 0xc8, 0xc8, 0xc0, 0xc0, 
0xb8, 0xb8, 0xb2, 0xb2, 0xac, 0xac, 0xa8, 0xa8, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 0xa7, 0xa7, 0xaa, 0xaa, 0xad, 0xad, 0xb0, 0xb0, 
0xb2, 0xb2, 0xb1, 0xb1, 0xae, 0xae, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 
0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x90, 0x90, 
0x96, 0x96, 0x9f, 0x9f, 0xaa, 0xaa, 0xb5, 0xb5, 0xc2, 0xc2, 0xce, 0xce, 0xd9, 0xd9, 0xe0, 0xe0, 0xe4, 0xe4, 0xe5, 0xe5, 0xe3, 0xe3, 0xdd, 0xdd, 0xd5, 0xd5, 
0xcb, 0xcb, 0xc0, 0xc0, 0xb4, 0xb4, 0xa8, 0xa8, 0x9c, 0x9c, 0x90, 0x90, 0x84, 0x84, 0x7a, 0x7a, 0x70, 0x70, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 
0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 
0x56, 0x56, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6c, 0x6c, 0x6a, 0x6a, 
0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x5a, 0x5a, 0x5d, 0x5d, 0x64, 0x64, 0x6e, 0x6e, 0x79, 0x79, 0x83, 0x83, 0x8d, 0x8d, 0x96, 0x96, 
0x9d, 0x9d, 0xa4, 0xa4, 0xaa, 0xaa, 0xae, 0xae, 0xb2, 0xb2, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb2, 0xb2, 0xaf, 0xaf, 0xad, 0xad, 0xaa, 0xaa, 0xa8, 0xa8, 
0xa8, 0xa8, 0xa9, 0xa9, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 0xa1, 0xa1, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x85, 0x85, 0x7f, 0x7f, 0x7a, 0x7a, 
0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x74, 0x74, 
0x70, 0x70, 0x6c, 0x6c, 0x66, 0x66, 0x60, 0x60, 0x59, 0x59, 0x54, 0x54, 0x51, 0x51, 0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 0x63, 0x63, 
0x65, 0x65, 0x65, 0x65, 0x62, 0x62, 0x5e, 0x5e, 0x59, 0x59, 0x52, 0x52, 0x4c, 0x4c, 0x46, 0x46, 0x40, 0x40, 0x3b, 0x3b, 0x37, 0x37, 0x33, 0x33, 0x31, 0x31, 
0x30, 0x30, 0x30, 0x30, 0x32, 0x32, 0x34, 0x34, 0x38, 0x38, 0x3c, 0x3c, 0x41, 0x41, 0x46, 0x46, 0x4a, 0x4a, 0x4d, 0x4d, 0x50, 0x50, 0x53, 0x53, 0x55, 0x55, 
0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x68, 0x68, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x73, 0x73, 0x79, 0x79, 0x7e, 0x7e, 
0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 
0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 
0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 
0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0xa1, 0xa1, 0xa7, 0xa7, 0xad, 0xad, 0xb3, 0xb3, 0xb9, 0xb9, 0xbe, 0xbe, 0xc1, 0xc1, 0xc3, 0xc3, 
0xc3, 0xc3, 0xc1, 0xc1, 0xbe, 0xbe, 0xb9, 0xb9, 0xb4, 0xb4, 0xae, 0xae, 0xa7, 0xa7, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 
0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 
0xaa, 0xaa, 0xab, 0xab, 0xad, 0xad, 0xb1, 0xb1, 0xb5, 0xb5, 0xba, 0xba, 0xbe, 0xbe, 0xc1, 0xc1, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 0xc1, 0xc1, 0xbd, 0xbd, 
0xba, 0xba, 0xb6, 0xb6, 0xb3, 0xb3, 0xb1, 0xb1, 0xb0, 0xb0, 0xb0, 0xb0, 0xb1, 0xb1, 0xb2, 0xb2, 0xb3, 0xb3, 0xb3, 0xb3, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 
0xa3, 0xa3, 0x9b, 0x9b, 0x92, 0x92, 0x89, 0x89, 0x80, 0x80, 0x77, 0x77, 0x6f, 0x6f, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 
0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5d, 0x5d, 0x59, 0x59, 0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x49, 0x49, 0x46, 0x46, 0x44, 0x44, 
0x42, 0x42, 0x41, 0x41, 0x40, 0x40, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3b, 0x3a, 0x3a, 0x3a, 0x3a, 0x39, 0x39, 
0x39, 0x39, 0x3a, 0x3a, 0x3b, 0x3b, 0x3d, 0x3d, 0x41, 0x41, 0x45, 0x45, 0x49, 0x49, 0x4e, 0x4e, 0x53, 0x53, 0x56, 0x56, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x62, 0x62, 0x68, 0x68, 0x6f, 0x6f, 0x77, 0x77, 0x7f, 0x7f, 0x87, 0x87, 0x8f, 0x8f, 0x96, 0x96, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0xa2, 0xa2, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9f, 0x9f, 0xa1, 0xa1, 
0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 
0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 0x68, 0x68, 
0x64, 0x64, 0x5f, 0x5f, 0x5a, 0x5a, 0x56, 0x56, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x57, 0x57, 0x5d, 0x5d, 0x63, 0x63, 
0x6a, 0x6a, 0x71, 0x71, 0x77, 0x77, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 
0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 
0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 
0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 
0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 0x6c, 0x6c, 0x64, 0x64, 0x5c, 0x5c, 0x55, 0x55, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 0x48, 0x48, 0x48, 0x48, 0x49, 0x49, 
0x4b, 0x4b, 0x4c, 0x4c, 0x4e, 0x4e, 0x4f, 0x4f, 0x50, 0x50, 0x50, 0x50, 0x4f, 0x4f, 0x4e, 0x4e, 0x4d, 0x4d, 0x4c, 0x4c, 0x4c, 0x4c, 0x4e, 0x4e, 0x50, 0x50, 
0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 
0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x90, 0x90, 0x97, 0x97, 0xa0, 0xa0, 
0xa9, 0xa9, 0xb0, 0xb0, 0xb6, 0xb6, 0xba, 0xba, 0xbc, 0xbc, 0xbd, 0xbd, 0xbb, 0xbb, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa5, 0xa5, 0x9e, 0x9e, 
0x97, 0x97, 0x90, 0x90, 0x89, 0x89, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 
0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 
0x8c, 0x8c, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9f, 0x9f, 0xa4, 0xa4, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xad, 0xad, 
0xae, 0xae, 0xae, 0xae, 0xaf, 0xaf, 0xb0, 0xb0, 0xb1, 0xb1, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x94, 0x94, 
0x90, 0x90, 0x8c, 0x8c, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9b, 0x9b, 
0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x8e, 0x8e, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 
0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5f, 0x5f, 
0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 
0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 
0x8a, 0x8a, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 
0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x76, 0x76, 
0x6f, 0x6f, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x6e, 0x6e, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 
0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 
0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 
0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 
0x7c, 0x7c, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 
0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 
0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 
0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 
0x99, 0x99, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 
0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 
0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 
0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 
0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa2, 0xa2, 
0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 
0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 
0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 
0x8a, 0x8a, 0x91, 0x91, 0x97, 0x97, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 
0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 
0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 
0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 
0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x99, 0x99, 
0x9d, 0x9d, 0xa0, 0xa0, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 0x9c, 0x9c, 
0x98, 0x98, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 
0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa5, 0xa5, 
0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa4, 0xa4, 0x9f, 0x9f, 0x98, 0x98, 0x91, 0x91, 0x89, 0x89, 0x82, 0x82, 0x7c, 0x7c, 0x76, 0x76, 
0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x51, 0x51, 
0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x53, 0x53, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6f, 0x6f, 0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 
0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x60, 0x60, 0x64, 0x64, 
0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 
0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x86, 0x86, 0x8f, 0x8f, 0x98, 0x98, 0x9f, 0x9f, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa3, 0xa3, 
0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 
0x86, 0x86, 0x80, 0x80, 0x79, 0x79, 0x71, 0x71, 0x69, 0x69, 0x61, 0x61, 0x5c, 0x5c, 0x5a, 0x5a, 0x5d, 0x5d, 0x63, 0x63, 0x6c, 0x6c, 0x76, 0x76, 0x82, 0x82, 
0x8e, 0x8e, 0x97, 0x97, 0x9e, 0x9e, 0xa0, 0xa0, 0x9f, 0x9f, 0x9b, 0x9b, 0x96, 0x96, 0x8f, 0x8f, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x84, 0x84, 0x7b, 0x7b, 
0x73, 0x73, 0x6b, 0x6b, 0x65, 0x65, 0x61, 0x61, 0x61, 0x61, 0x64, 0x64, 0x6a, 0x6a, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 
0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 
0xa2, 0xa2, 0xa3, 0xa3, 0xa1, 0xa1, 0x9c, 0x9c, 0x95, 0x95, 0x8c, 0x8c, 0x82, 0x82, 0x77, 0x77, 0x6d, 0x6d, 0x64, 0x64, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 
0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 
0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x85, 0x85, 
0x7c, 0x7c, 0x71, 0x71, 0x66, 0x66, 0x5d, 0x5d, 0x56, 0x56, 0x52, 0x52, 0x51, 0x51, 0x52, 0x52, 0x56, 0x56, 0x5c, 0x5c, 0x62, 0x62, 0x68, 0x68, 0x6d, 0x6d, 
0x70, 0x70, 0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x66, 0x66, 
0x6c, 0x6c, 0x73, 0x73, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 
0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x83, 0x83, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 
0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x79, 0x79, 0x7e, 0x7e, 0x85, 0x85, 0x8d, 0x8d, 0x96, 0x96, 0x9f, 0x9f, 0xa8, 0xa8, 0xb0, 0xb0, 0xb6, 0xb6, 
0xba, 0xba, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xbb, 0xbb, 0xb8, 0xb8, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 
0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 
0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 
0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 0x6a, 0x6a, 
0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 
0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 
0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 
0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 
0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 
0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 
0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x92, 0x92, 
0x93, 0x93, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 
0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 
0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 
0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x5e, 0x5e, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 
0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 
0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x98, 0x98, 
0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 
0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4, 0xb4, 0xb2, 0xb2, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9e, 0x9e, 
0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 
0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x87, 0x87, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x97, 0x97, 0x9e, 0x9e, 0xa5, 0xa5, 0xaa, 0xaa, 0xae, 0xae, 0xb0, 0xb0, 
0xaf, 0xaf, 0xab, 0xab, 0xa4, 0xa4, 0x9c, 0x9c, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x61, 0x61, 
0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 
0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 
0x6b, 0x6b, 0x62, 0x62, 0x59, 0x59, 0x51, 0x51, 0x4b, 0x4b, 0x48, 0x48, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 0x6d, 0x6d, 
0x72, 0x72, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x76, 0x76, 
0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x7f, 0x7f, 0x77, 0x77, 0x6e, 0x6e, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 
0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x69, 0x69, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 
0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x87, 0x87, 0x90, 0x90, 0x98, 0x98, 0x9f, 0x9f, 
0xa3, 0xa3, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x8a, 0x8a, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x9b, 0x9b, 
0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 0xb0, 0xb0, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa3, 0xa3, 0x9d, 0x9d, 0x97, 0x97, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 
0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 
0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 
0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 
0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 
0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x91, 0x91, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 
0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7f, 0x7f, 
0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x84, 0x84, 0x7c, 0x7c, 0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 0x67, 0x67, 
0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 
0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x84, 0x84, 
0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x71, 0x71, 0x6c, 0x6c, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 
0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x89, 0x89, 0x85, 0x85, 0x7f, 0x7f, 0x79, 0x79, 0x73, 0x73, 0x6d, 0x6d, 0x69, 0x69, 
0x65, 0x65, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 
0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 0x97, 0x97, 
0x98, 0x98, 0x97, 0x97, 0x93, 0x93, 0x8d, 0x8d, 0x85, 0x85, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5d, 0x5d, 0x60, 0x60, 
0x64, 0x64, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 
0x7b, 0x7b, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9d, 0x9d, 0xa3, 0xa3, 0xa8, 0xa8, 0xac, 0xac, 0xae, 0xae, 0xae, 0xae, 0xac, 0xac, 
0xab, 0xab, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 
0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 
0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 
0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 
0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x64, 0x64, 
0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6e, 0x6e, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 
0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 
0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 
0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 
0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x91, 0x91, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 
0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa2, 0xa2, 0xa5, 0xa5, 0xa6, 0xa6, 
0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa7, 0xa7, 0xa7, 0xa7, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa4, 0xa4, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 
0x7d, 0x7d, 0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 
0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 0x7d, 0x7d, 0x78, 0x78, 0x73, 0x73, 
0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 
0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 0x64, 0x64, 0x68, 0x68, 0x6d, 0x6d, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 
0x7d, 0x7d, 0x78, 0x78, 0x71, 0x71, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 0x4e, 0x4e, 0x47, 0x47, 0x42, 0x42, 0x40, 0x40, 0x40, 0x40, 0x42, 0x42, 0x47, 0x47, 
0x4d, 0x4d, 0x53, 0x53, 0x5a, 0x5a, 0x5f, 0x5f, 0x63, 0x63, 0x65, 0x65, 0x65, 0x65, 0x63, 0x63, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 
0x55, 0x55, 0x57, 0x57, 0x5d, 0x5d, 0x64, 0x64, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 
0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 
0x9b, 0x9b, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 
0x9a, 0x9a, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 
0xa3, 0xa3, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xac, 0xac, 0xac, 0xac, 0xa9, 0xa9, 0xa4, 0xa4, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 
0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 
0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 
0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 
0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 
0x85, 0x85, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x87, 0x87, 0x83, 0x83, 
0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 0x67, 0x67, 0x61, 0x61, 0x5c, 0x5c, 0x56, 0x56, 
0x52, 0x52, 0x4f, 0x4f, 0x4d, 0x4d, 0x4c, 0x4c, 0x4d, 0x4d, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 
0x63, 0x63, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 
0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8b, 0x8b, 0x86, 0x86, 0x80, 0x80, 0x79, 0x79, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6d, 0x6d, 
0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xb0, 0xb0, 0xb5, 0xb5, 
0xb9, 0xb9, 0xbe, 0xbe, 0xc3, 0xc3, 0xc8, 0xc8, 0xcc, 0xcc, 0xd0, 0xd0, 0xd3, 0xd3, 0xd5, 0xd5, 0xd5, 0xd5, 0xd3, 0xd3, 0xcf, 0xcf, 0xca, 0xca, 0xc3, 0xc3, 
0xbb, 0xbb, 0xb3, 0xb3, 0xac, 0xac, 0xa6, 0xa6, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 
0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6d, 0x6d, 0x68, 0x68, 0x62, 0x62, 0x5b, 0x5b, 0x52, 0x52, 0x49, 0x49, 0x41, 0x41, 0x3b, 0x3b, 0x37, 0x37, 
0x35, 0x35, 0x36, 0x36, 0x39, 0x39, 0x3f, 0x3f, 0x46, 0x46, 0x4d, 0x4d, 0x52, 0x52, 0x56, 0x56, 0x58, 0x58, 0x58, 0x58, 0x56, 0x56, 0x52, 0x52, 0x4d, 0x4d, 
0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 0x42, 0x42, 0x45, 0x45, 0x4b, 0x4b, 0x54, 0x54, 0x5f, 0x5f, 0x6b, 0x6b, 0x77, 0x77, 0x82, 0x82, 0x8b, 0x8b, 0x91, 0x91, 
0x94, 0x94, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 
0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x88, 0x88, 
0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa5, 0xa5, 0xa7, 0xa7, 0xa8, 0xa8, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 0x98, 0x98, 0x94, 0x94, 
0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 
0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6a, 0x6a, 
0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6e, 0x6e, 0x73, 0x73, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x89, 0x89, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x8a, 0x8a, 
0x90, 0x90, 0x96, 0x96, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xac, 0xac, 0xae, 0xae, 0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa1, 0xa1, 
0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x79, 0x79, 0x73, 0x73, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 
0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 
0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 
0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 
0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 
0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 
0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 
0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 
0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 
0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 
0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 
0x8b, 0x8b, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 
0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x95, 0x95, 
0x98, 0x98, 0x9c, 0x9c, 0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xaf, 0xaf, 0xb2, 0xb2, 0xb2, 0xb2, 0xb0, 0xb0, 0xac, 0xac, 0xa6, 0xa6, 0x9f, 0x9f, 0x97, 0x97, 
0x8e, 0x8e, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x66, 0x66, 0x64, 0x64, 0x64, 0x64, 0x67, 0x67, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 
0x83, 0x83, 0x85, 0x85, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 
0x90, 0x90, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x71, 0x71, 0x6c, 0x6c, 0x68, 0x68, 
0x65, 0x65, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6f, 0x6f, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 0xa0, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 
0x9f, 0x9f, 0x99, 0x99, 0x91, 0x91, 0x87, 0x87, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x63, 0x63, 0x5e, 0x5e, 0x5d, 0x5d, 0x61, 0x61, 0x67, 0x67, 0x6f, 0x6f, 
0x78, 0x78, 0x80, 0x80, 0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x86, 0x86, 0x7f, 0x7f, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 
0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 
0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 
0x8a, 0x8a, 0x83, 0x83, 0x7b, 0x7b, 0x75, 0x75, 0x70, 0x70, 0x6e, 0x6e, 0x70, 0x70, 0x75, 0x75, 0x7c, 0x7c, 0x85, 0x85, 0x8e, 0x8e, 0x98, 0x98, 0xa0, 0xa0, 
0xa5, 0xa5, 0xa8, 0xa8, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9d, 0x9d, 0x97, 0x97, 0x90, 0x90, 0x8a, 0x8a, 0x85, 0x85, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 
0x63, 0x63, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 
0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6f, 0x6f, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8a, 0x8a, 0x90, 0x90, 0x93, 0x93, 0x94, 0x94, 
0x92, 0x92, 0x8d, 0x8d, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 
0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 0x8a, 0x8a, 0x91, 0x91, 0x97, 0x97, 0x9c, 0x9c, 0x9e, 0x9e, 0x9e, 0x9e, 0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 
0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 
0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 
0x91, 0x91, 0x8d, 0x8d, 0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6f, 0x6f, 
0x77, 0x77, 0x81, 0x81, 0x89, 0x89, 0x91, 0x91, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x89, 0x89, 0x82, 0x82, 0x7a, 0x7a, 
0x73, 0x73, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 0x6c, 0x6c, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 
0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x84, 0x84, 0x8c, 0x8c, 0x93, 0x93, 0x99, 0x99, 0x9d, 0x9d, 0x9e, 0x9e, 0x9c, 0x9c, 
0x98, 0x98, 0x91, 0x91, 0x89, 0x89, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 
0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x73, 0x73, 
0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 
0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x8e, 0x8e, 
0x8a, 0x8a, 0x84, 0x84, 0x7b, 0x7b, 0x73, 0x73, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 
0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 0x6a, 0x6a, 
0x63, 0x63, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4a, 0x4a, 0x47, 0x47, 0x44, 0x44, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x44, 0x44, 
0x47, 0x47, 0x4c, 0x4c, 0x52, 0x52, 0x58, 0x58, 0x5e, 0x5e, 0x64, 0x64, 0x6b, 0x6b, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x94, 0x94, 0x9a, 0x9a, 0xa1, 0xa1, 0xa8, 0xa8, 0xb0, 0xb0, 
0xb7, 0xb7, 0xbd, 0xbd, 0xc1, 0xc1, 0xc3, 0xc3, 0xc2, 0xc2, 0xbf, 0xbf, 0xbc, 0xbc, 0xb8, 0xb8, 0xb6, 0xb6, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb9, 0xb9, 
0xbd, 0xbd, 0xc2, 0xc2, 0xc7, 0xc7, 0xcb, 0xcb, 0xcf, 0xcf, 0xd1, 0xd1, 0xd3, 0xd3, 0xd4, 0xd4, 0xd5, 0xd5, 0xd4, 0xd4, 0xd4, 0xd4, 0xd2, 0xd2, 0xd0, 0xd0, 
0xce, 0xce, 0xce, 0xce, 0xce, 0xce, 0xcf, 0xcf, 0xd0, 0xd0, 0xcf, 0xcf, 0xce, 0xce, 0xca, 0xca, 0xc5, 0xc5, 0xbd, 0xbd, 0xb2, 0xb2, 0xa5, 0xa5, 0x98, 0x98, 
0x8d, 0x8d, 0x83, 0x83, 0x7a, 0x7a, 0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 
0x53, 0x53, 0x53, 0x53, 0x52, 0x52, 0x4f, 0x4f, 0x4b, 0x4b, 0x46, 0x46, 0x40, 0x40, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x36, 0x36, 0x38, 0x38, 0x3c, 0x3c, 
0x41, 0x41, 0x48, 0x48, 0x4f, 0x4f, 0x56, 0x56, 0x5e, 0x5e, 0x64, 0x64, 0x68, 0x68, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 
0x5f, 0x5f, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 
0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x84, 0x84, 0x8b, 0x8b, 0x95, 0x95, 0xa0, 0xa0, 0xab, 0xab, 0xb5, 0xb5, 0xbf, 0xbf, 0xc6, 0xc6, 0xc9, 0xc9, 
0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb6, 0xb6, 0xaf, 0xaf, 0xa7, 0xa7, 0x9f, 0x9f, 0x96, 0x96, 0x8d, 0x8d, 0x83, 0x83, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 
0x5e, 0x5e, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x40, 0x40, 0x3d, 0x3d, 0x3a, 0x3a, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 0x3a, 0x3a, 
0x3c, 0x3c, 0x3f, 0x3f, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x55, 0x55, 0x53, 0x53, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x52, 0x54, 0x54, 0x55, 0x55, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 
0x62, 0x62, 0x68, 0x68, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xb2, 0xb2, 0xbb, 0xbb, 
0xc4, 0xc4, 0xce, 0xce, 0xd6, 0xd6, 0xde, 0xde, 0xe4, 0xe4, 0xe9, 0xe9, 0xee, 0xee, 0xf1, 0xf1, 0xf4, 0xf4, 0xf6, 0xf6, 0xf8, 0xf8, 0xfa, 0xfa, 0xfb, 0xfb, 
0xfd, 0xfd, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xf0, 0xf0, 0xe7, 0xe7, 0xdb, 0xdb, 0xcd, 0xcd, 0xbd, 0xbd, 0xad, 0xad, 0x9e, 0x9e, 
0x92, 0x92, 0x88, 0x88, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 
0x7e, 0x7e, 0x83, 0x83, 0x86, 0x86, 0x87, 0x87, 0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x6b, 0x6b, 0x66, 0x66, 0x60, 0x60, 0x59, 0x59, 
0x51, 0x51, 0x4a, 0x4a, 0x44, 0x44, 0x3f, 0x3f, 0x3d, 0x3d, 0x3c, 0x3c, 0x3e, 0x3e, 0x41, 0x41, 0x46, 0x46, 0x4a, 0x4a, 0x4c, 0x4c, 0x4d, 0x4d, 0x4c, 0x4c, 
0x49, 0x49, 0x47, 0x47, 0x44, 0x44, 0x41, 0x41, 0x40, 0x40, 0x41, 0x41, 0x44, 0x44, 0x49, 0x49, 0x50, 0x50, 0x59, 0x59, 0x64, 0x64, 0x71, 0x71, 0x7e, 0x7e, 
0x8a, 0x8a, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xb0, 0xb0, 0xb5, 0xb5, 0xb9, 0xb9, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 
0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x94, 0x94, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7b, 0x7b, 0x73, 0x73, 0x69, 0x69, 0x60, 0x60, 0x59, 0x59, 0x56, 0x56, 
0x55, 0x55, 0x57, 0x57, 0x5c, 0x5c, 0x64, 0x64, 0x6e, 0x6e, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 
0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x60, 0x60, 0x5c, 0x5c, 0x58, 0x58, 0x54, 0x54, 
0x52, 0x52, 0x51, 0x51, 0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x88, 0x88, 
0x8d, 0x8d, 0x90, 0x90, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7a, 0x7a, 0x71, 0x71, 0x68, 0x68, 0x60, 0x60, 0x5a, 0x5a, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 
0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 
0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x9d, 0x9d, 0xa3, 0xa3, 0xac, 0xac, 0xb5, 0xb5, 0xc0, 0xc0, 
0xcc, 0xcc, 0xd7, 0xd7, 0xe1, 0xe1, 0xe8, 0xe8, 0xeb, 0xeb, 0xec, 0xec, 0xed, 0xed, 0xed, 0xed, 0xee, 0xee, 0xf0, 0xf0, 0xf3, 0xf3, 0xf6, 0xf6, 0xf9, 0xf9, 
0xfb, 0xfb, 0xfd, 0xfd, 0xfd, 0xfd, 0xfa, 0xfa, 0xf6, 0xf6, 0xef, 0xef, 0xe4, 0xe4, 0xd5, 0xd5, 0xc4, 0xc4, 0xb2, 0xb2, 0xa1, 0xa1, 0x92, 0x92, 0x86, 0x86, 
0x7d, 0x7d, 0x78, 0x78, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x7f, 0x7f, 0x7d, 0x7d, 0x78, 0x78, 0x71, 0x71, 0x68, 0x68, 0x5d, 0x5d, 0x52, 0x52, 0x48, 0x48, 
0x40, 0x40, 0x3b, 0x3b, 0x39, 0x39, 0x38, 0x38, 0x39, 0x39, 0x3c, 0x3c, 0x3f, 0x3f, 0x41, 0x41, 0x42, 0x42, 0x41, 0x41, 0x3e, 0x3e, 0x39, 0x39, 0x31, 0x31, 
0x27, 0x27, 0x1d, 0x1d, 0x13, 0x13, 0x0c, 0x0c, 0x08, 0x08, 0x08, 0x08, 0x0a, 0x0a, 0x10, 0x10, 0x18, 0x18, 0x22, 0x22, 0x2c, 0x2c, 0x34, 0x34, 0x3b, 0x3b, 
0x3f, 0x3f, 0x42, 0x42, 0x44, 0x44, 0x43, 0x43, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x48, 0x48, 0x4f, 0x4f, 0x59, 0x59, 0x67, 0x67, 0x77, 0x77, 0x88, 0x88, 
0x99, 0x99, 0xa7, 0xa7, 0xb2, 0xb2, 0xba, 0xba, 0xc0, 0xc0, 0xc4, 0xc4, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc6, 0xc6, 0xc4, 0xc4, 0xc0, 0xc0, 
0xbb, 0xbb, 0xb4, 0xb4, 0xad, 0xad, 0xa6, 0xa6, 0xa2, 0xa2, 0xa1, 0xa1, 0xa3, 0xa3, 0xa6, 0xa6, 0xaa, 0xaa, 0xae, 0xae, 0xb2, 0xb2, 0xb5, 0xb5, 0xb8, 0xb8, 
0xbb, 0xbb, 0xbd, 0xbd, 0xbe, 0xbe, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xad, 0xad, 0xa9, 0xa9, 0xa6, 0xa6, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 0x99, 0x99, 0x93, 0x93, 0x8c, 0x8c, 0x84, 0x84, 0x7a, 0x7a, 0x6f, 0x6f, 0x65, 0x65, 0x5c, 0x5c, 0x55, 0x55, 0x4f, 0x4f, 
0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x48, 0x48, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3b, 0x3b, 0x35, 0x35, 0x2f, 0x2f, 0x2a, 0x2a, 0x26, 0x26, 0x25, 0x25, 
0x27, 0x27, 0x2c, 0x2c, 0x33, 0x33, 0x3a, 0x3a, 0x41, 0x41, 0x45, 0x45, 0x48, 0x48, 0x49, 0x49, 0x49, 0x49, 0x48, 0x48, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 
0x41, 0x41, 0x3f, 0x3f, 0x3b, 0x3b, 0x36, 0x36, 0x31, 0x31, 0x2b, 0x2b, 0x27, 0x27, 0x27, 0x27, 0x2a, 0x2a, 0x31, 0x31, 0x3b, 0x3b, 0x47, 0x47, 0x53, 0x53, 
0x60, 0x60, 0x6d, 0x6d, 0x79, 0x79, 0x83, 0x83, 0x8d, 0x8d, 0x97, 0x97, 0xa1, 0xa1, 0xab, 0xab, 0xb6, 0xb6, 0xc1, 0xc1, 0xca, 0xca, 0xd2, 0xd2, 0xd8, 0xd8, 
0xdc, 0xdc, 0xe0, 0xe0, 0xe2, 0xe2, 0xe3, 0xe3, 0xe5, 0xe5, 0xe6, 0xe6, 0xe8, 0xe8, 0xeb, 0xeb, 0xee, 0xee, 0xf2, 0xf2, 0xf5, 0xf5, 0xf9, 0xf9, 0xfd, 0xfd, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xf0, 0xf0, 0xe6, 0xe6, 0xd8, 0xd8, 0xc6, 0xc6, 
0xb0, 0xb0, 0x98, 0x98, 0x80, 0x80, 0x6d, 0x6d, 0x5e, 0x5e, 0x54, 0x54, 0x4f, 0x4f, 0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x61, 0x61, 
0x62, 0x62, 0x61, 0x61, 0x5e, 0x5e, 0x5a, 0x5a, 0x54, 0x54, 0x4e, 0x4e, 0x47, 0x47, 0x3f, 0x3f, 0x38, 0x38, 0x31, 0x31, 0x2b, 0x2b, 0x26, 0x26, 0x22, 0x22, 
0x1e, 0x1e, 0x1b, 0x1b, 0x17, 0x17, 0x13, 0x13, 0x10, 0x10, 0x0e, 0x0e, 0x0c, 0x0c, 0x0c, 0x0c, 0x0d, 0x0d, 0x10, 0x10, 0x15, 0x15, 0x1b, 0x1b, 0x22, 0x22, 
0x28, 0x28, 0x2f, 0x2f, 0x34, 0x34, 0x39, 0x39, 0x3c, 0x3c, 0x3f, 0x3f, 0x41, 0x41, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 0x4b, 0x4b, 0x51, 0x51, 0x59, 0x59, 
0x64, 0x64, 0x72, 0x72, 0x81, 0x81, 0x91, 0x91, 0xa2, 0xa2, 0xb3, 0xb3, 0xc3, 0xc3, 0xd0, 0xd0, 0xdc, 0xdc, 0xe4, 0xe4, 0xea, 0xea, 0xed, 0xed, 0xec, 0xec, 
0xe8, 0xe8, 0xe2, 0xe2, 0xda, 0xda, 0xcf, 0xcf, 0xc4, 0xc4, 0xb9, 0xb9, 0xb0, 0xb0, 0xa8, 0xa8, 0xa3, 0xa3, 0xa1, 0xa1, 0xa1, 0xa1, 0xa3, 0xa3, 0xa6, 0xa6, 
0xaa, 0xaa, 0xae, 0xae, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb2, 0xb2, 0xae, 0xae, 0xaa, 0xaa, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x8a, 0x8a, 
0x81, 0x81, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x61, 0x61, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x66, 0x66, 
0x64, 0x64, 0x62, 0x62, 0x5e, 0x5e, 0x5a, 0x5a, 0x55, 0x55, 0x50, 0x50, 0x4b, 0x4b, 0x46, 0x46, 0x42, 0x42, 0x3e, 0x3e, 0x3a, 0x3a, 0x35, 0x35, 0x2e, 0x2e, 
0x26, 0x26, 0x1d, 0x1d, 0x15, 0x15, 0x0e, 0x0e, 0x08, 0x08, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x08, 0x08, 0x10, 0x10, 0x1a, 0x1a, 
0x25, 0x25, 0x30, 0x30, 0x3c, 0x3c, 0x47, 0x47, 0x52, 0x52, 0x5c, 0x5c, 0x65, 0x65, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 
0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x9a, 0x9a, 0x9f, 0x9f, 0xa6, 0xa6, 0xae, 0xae, 0xb8, 0xb8, 
0xc4, 0xc4, 0xd0, 0xd0, 0xdc, 0xdc, 0xe6, 0xe6, 0xee, 0xee, 0xf3, 0xf3, 0xf7, 0xf7, 0xfa, 0xfa, 0xfb, 0xfb, 0xfc, 0xfc, 0xfd, 0xfd, 0xfd, 0xfd, 0xfe, 0xfe, 
0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf7, 0xf7, 0xf0, 0xf0, 0xe5, 0xe5, 0xd9, 0xd9, 0xcb, 0xcb, 0xbb, 0xbb, 0xab, 0xab, 
0x9b, 0x9b, 0x8e, 0x8e, 0x82, 0x82, 0x79, 0x79, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 0x59, 0x59, 0x51, 0x51, 0x48, 0x48, 0x3e, 0x3e, 
0x34, 0x34, 0x2b, 0x2b, 0x22, 0x22, 0x1b, 0x1b, 0x18, 0x18, 0x18, 0x18, 0x1a, 0x1a, 0x1d, 0x1d, 0x21, 0x21, 0x25, 0x25, 0x28, 0x28, 0x2a, 0x2a, 0x2a, 0x2a, 
0x27, 0x27, 0x23, 0x23, 0x1f, 0x1f, 0x1c, 0x1c, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1b, 0x1b, 0x1c, 0x1c, 0x1c, 0x1c, 0x1b, 0x1b, 0x18, 0x18, 0x14, 0x14, 
0x10, 0x10, 0x0c, 0x0c, 0x0c, 0x0c, 0x0e, 0x0e, 0x14, 0x14, 0x1d, 0x1d, 0x28, 0x28, 0x36, 0x36, 0x45, 0x45, 0x55, 0x55, 0x65, 0x65, 0x75, 0x75, 0x85, 0x85, 
0x96, 0x96, 0xa7, 0xa7, 0xb9, 0xb9, 0xca, 0xca, 0xd9, 0xd9, 0xe5, 0xe5, 0xee, 0xee, 0xf2, 0xf2, 0xf2, 0xf2, 0xef, 0xef, 0xe9, 0xe9, 0xe1, 0xe1, 0xd9, 0xd9, 
0xd3, 0xd3, 0xcf, 0xcf, 0xce, 0xce, 0xd0, 0xd0, 0xd3, 0xd3, 0xd8, 0xd8, 0xdd, 0xdd, 0xe2, 0xe2, 0xe5, 0xe5, 0xe5, 0xe5, 0xe4, 0xe4, 0xe0, 0xe0, 0xdb, 0xdb, 
0xd4, 0xd4, 0xcc, 0xcc, 0xc3, 0xc3, 0xb9, 0xb9, 0xae, 0xae, 0xa4, 0xa4, 0x9a, 0x9a, 0x91, 0x91, 0x89, 0x89, 0x82, 0x82, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 
0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x88, 0x88, 0x82, 0x82, 0x7a, 0x7a, 0x70, 0x70, 
0x64, 0x64, 0x56, 0x56, 0x45, 0x45, 0x34, 0x34, 0x24, 0x24, 0x16, 0x16, 0x0d, 0x0d, 0x06, 0x06, 0x03, 0x03, 0x02, 0x02, 0x03, 0x03, 0x05, 0x05, 0x07, 0x07, 
0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x08, 0x08, 0x0d, 0x0d, 0x15, 0x15, 0x21, 0x21, 0x30, 0x30, 0x41, 0x41, 0x54, 0x54, 0x67, 0x67, 0x78, 0x78, 0x85, 0x85, 
0x8f, 0x8f, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x93, 0x93, 0x97, 0x97, 0x9d, 0x9d, 0xa5, 0xa5, 0xb0, 0xb0, 0xbb, 0xbb, 
0xc8, 0xc8, 0xd4, 0xd4, 0xde, 0xde, 0xe7, 0xe7, 0xee, 0xee, 0xf3, 0xf3, 0xf6, 0xf6, 0xf7, 0xf7, 0xf6, 0xf6, 0xf4, 0xf4, 0xf2, 0xf2, 0xf0, 0xf0, 0xee, 0xee, 
0xed, 0xed, 0xee, 0xee, 0xf1, 0xf1, 0xf4, 0xf4, 0xf6, 0xf6, 0xf5, 0xf5, 0xf2, 0xf2, 0xec, 0xec, 0xe4, 0xe4, 0xdb, 0xdb, 0xd0, 0xd0, 0xc6, 0xc6, 0xbd, 0xbd, 
0xb8, 0xb8, 0xb6, 0xb6, 0xb7, 0xb7, 0xb8, 0xb8, 0xb7, 0xb7, 0xb4, 0xb4, 0xad, 0xad, 0xa4, 0xa4, 0x97, 0x97, 0x86, 0x86, 0x74, 0x74, 0x61, 0x61, 0x4e, 0x4e, 
0x3d, 0x3d, 0x2e, 0x2e, 0x20, 0x20, 0x16, 0x16, 0x0f, 0x0f, 0x0a, 0x0a, 0x08, 0x08, 0x07, 0x07, 0x08, 0x08, 0x0b, 0x0b, 0x0d, 0x0d, 0x0d, 0x0d, 0x0c, 0x0c, 
0x0a, 0x0a, 0x08, 0x08, 0x06, 0x06, 0x06, 0x06, 0x07, 0x07, 0x09, 0x09, 0x0d, 0x0d, 0x13, 0x13, 0x19, 0x19, 0x1e, 0x1e, 0x23, 0x23, 0x26, 0x26, 0x27, 0x27, 
0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x2b, 0x2b, 0x30, 0x30, 0x37, 0x37, 0x41, 0x41, 0x4f, 0x4f, 0x5f, 0x5f, 0x72, 0x72, 0x86, 0x86, 
0x99, 0x99, 0xac, 0xac, 0xbc, 0xbc, 0xcb, 0xcb, 0xd6, 0xd6, 0xdf, 0xdf, 0xe4, 0xe4, 0xe8, 0xe8, 0xe9, 0xe9, 0xe8, 0xe8, 0xe6, 0xe6, 0xe3, 0xe3, 0xe1, 0xe1, 
0xdf, 0xdf, 0xde, 0xde, 0xde, 0xde, 0xe0, 0xe0, 0xe3, 0xe3, 0xe6, 0xe6, 0xe9, 0xe9, 0xec, 0xec, 0xee, 0xee, 0xef, 0xef, 0xf0, 0xf0, 0xf1, 0xf1, 0xf2, 0xf2, 
0xf3, 0xf3, 0xf2, 0xf2, 0xef, 0xef, 0xe8, 0xe8, 0xdd, 0xdd, 0xd1, 0xd1, 0xc2, 0xc2, 0xb2, 0xb2, 0xa3, 0xa3, 0x95, 0x95, 0x8b, 0x8b, 0x86, 0x86, 0x85, 0x85, 
0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7c, 0x7c, 0x75, 0x75, 0x6a, 0x6a, 0x5d, 0x5d, 0x4e, 0x4e, 0x3e, 0x3e, 0x30, 0x30, 0x23, 0x23, 0x18, 0x18, 0x10, 0x10, 
0x0b, 0x0b, 0x0a, 0x0a, 0x0a, 0x0a, 0x0c, 0x0c, 0x0f, 0x0f, 0x11, 0x11, 0x13, 0x13, 0x14, 0x14, 0x12, 0x12, 0x0e, 0x0e, 0x09, 0x09, 0x05, 0x05, 0x04, 0x04, 
0x06, 0x06, 0x0c, 0x0c, 0x16, 0x16, 0x24, 0x24, 0x35, 0x35, 0x48, 0x48, 0x59, 0x59, 0x66, 0x66, 0x6f, 0x6f, 0x73, 0x73, 0x72, 0x72, 0x6e, 0x6e, 0x67, 0x67, 
0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 0x54, 0x54, 0x57, 0x57, 0x60, 0x60, 0x6d, 0x6d, 0x7e, 0x7e, 0x93, 0x93, 0xa8, 0xa8, 0xbd, 0xbd, 0xcf, 0xcf, 0xdf, 0xdf, 
0xec, 0xec, 0xf5, 0xf5, 0xfa, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfb, 0xfb, 
0xfb, 0xfb, 0xfc, 0xfc, 0xfc, 0xfc, 0xfc, 0xfc, 0xf9, 0xf9, 0xf4, 0xf4, 0xed, 0xed, 0xe5, 0xe5, 0xdc, 0xdc, 0xd5, 0xd5, 0xce, 0xce, 0xc6, 0xc6, 0xbe, 0xbe, 
0xb6, 0xb6, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 0x84, 0x84, 0x75, 0x75, 0x66, 0x66, 0x59, 0x59, 0x4e, 0x4e, 0x45, 0x45, 0x3d, 0x3d, 0x34, 0x34, 0x2b, 0x2b, 
0x22, 0x22, 0x1a, 0x1a, 0x13, 0x13, 0x0f, 0x0f, 0x0e, 0x0e, 0x0e, 0x0e, 0x10, 0x10, 0x14, 0x14, 0x17, 0x17, 0x1a, 0x1a, 0x1a, 0x1a, 0x18, 0x18, 0x14, 0x14, 
0x0f, 0x0f, 0x0b, 0x0b, 0x07, 0x07, 0x06, 0x06, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x03, 0x03, 0x03, 0x03, 0x02, 0x02, 0x03, 0x03, 
0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 0x20, 0x20, 0x30, 0x30, 0x45, 0x45, 0x5c, 0x5c, 0x74, 0x74, 0x8b, 0x8b, 0xa1, 0xa1, 0xb4, 0xb4, 0xc5, 0xc5, 0xd3, 0xd3, 
0xde, 0xde, 0xe7, 0xe7, 0xed, 0xed, 0xf1, 0xf1, 0xf3, 0xf3, 0xf3, 0xf3, 0xf2, 0xf2, 0xf0, 0xf0, 0xec, 0xec, 0xe9, 0xe9, 0xe7, 0xe7, 0xe7, 0xe7, 0xeb, 0xeb, 
0xf1, 0xf1, 0xf7, 0xf7, 0xfc, 0xfc, 0xfe, 0xfe, 0xfe, 0xfe, 0xfc, 0xfc, 0xf7, 0xf7, 0xf0, 0xf0, 0xe8, 0xe8, 0xe1, 0xe1, 0xdc, 0xdc, 0xd9, 0xd9, 0xd8, 0xd8, 
0xd6, 0xd6, 0xcf, 0xcf, 0xc5, 0xc5, 0xb6, 0xb6, 0xa5, 0xa5, 0x93, 0x93, 0x81, 0x81, 0x71, 0x71, 0x63, 0x63, 0x58, 0x58, 0x51, 0x51, 0x4c, 0x4c, 0x48, 0x48, 
0x42, 0x42, 0x3a, 0x3a, 0x30, 0x30, 0x25, 0x25, 0x1b, 0x1b, 0x12, 0x12, 0x0a, 0x0a, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 
0x03, 0x03, 0x05, 0x05, 0x07, 0x07, 0x09, 0x09, 0x0b, 0x0b, 0x0d, 0x0d, 0x0e, 0x0e, 0x10, 0x10, 0x12, 0x12, 0x15, 0x15, 0x17, 0x17, 0x1b, 0x1b, 0x1f, 0x1f, 
0x23, 0x23, 0x28, 0x28, 0x2d, 0x2d, 0x32, 0x32, 0x37, 0x37, 0x3b, 0x3b, 0x40, 0x40, 0x45, 0x45, 0x4a, 0x4a, 0x50, 0x50, 0x56, 0x56, 0x5d, 0x5d, 0x65, 0x65, 
0x6f, 0x6f, 0x7c, 0x7c, 0x8c, 0x8c, 0x9f, 0x9f, 0xb3, 0xb3, 0xc5, 0xc5, 0xd6, 0xd6, 0xe4, 0xe4, 0xef, 0xef, 0xf7, 0xf7, 0xfb, 0xfb, 0xfd, 0xfd, 0xfd, 0xfd, 
0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf8, 0xf8, 0xf5, 0xf5, 0xf4, 0xf4, 0xf5, 0xf5, 0xf7, 0xf7, 0xf9, 0xf9, 0xfa, 0xfa, 
0xf9, 0xf9, 0xf7, 0xf7, 0xf2, 0xf2, 0xeb, 0xeb, 0xe1, 0xe1, 0xd6, 0xd6, 0xcc, 0xcc, 0xc3, 0xc3, 0xbd, 0xbd, 0xb9, 0xb9, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 
0x9e, 0x9e, 0x94, 0x94, 0x88, 0x88, 0x7d, 0x7d, 0x73, 0x73, 0x69, 0x69, 0x61, 0x61, 0x5a, 0x5a, 0x54, 0x54, 0x4d, 0x4d, 0x45, 0x45, 0x3a, 0x3a, 0x2f, 0x2f, 
0x23, 0x23, 0x19, 0x19, 0x10, 0x10, 0x08, 0x08, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x02, 0x02, 
0x03, 0x03, 0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x09, 0x09, 0x0b, 0x0b, 0x0c, 0x0c, 0x0e, 0x0e, 0x10, 0x10, 0x12, 0x12, 0x16, 0x16, 0x1c, 0x1c, 0x26, 0x26, 
0x34, 0x34, 0x45, 0x45, 0x58, 0x58, 0x6d, 0x6d, 0x84, 0x84, 0x9a, 0x9a, 0xae, 0xae, 0xbe, 0xbe, 0xc8, 0xc8, 0xce, 0xce, 0xd2, 0xd2, 0xd5, 0xd5, 0xd8, 0xd8, 
0xdb, 0xdb, 0xdf, 0xdf, 0xe1, 0xe1, 0xe3, 0xe3, 0xe3, 0xe3, 0xe2, 0xe2, 0xe0, 0xe0, 0xdc, 0xdc, 0xd7, 0xd7, 0xd4, 0xd4, 0xd3, 0xd3, 0xd5, 0xd5, 0xd9, 0xd9, 
0xdd, 0xdd, 0xde, 0xde, 0xdc, 0xdc, 0xd7, 0xd7, 0xd1, 0xd1, 0xca, 0xca, 0xc5, 0xc5, 0xc0, 0xc0, 0xbd, 0xbd, 0xbc, 0xbc, 0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 
0xba, 0xba, 0xb2, 0xb2, 0xa5, 0xa5, 0x96, 0x96, 0x85, 0x85, 0x73, 0x73, 0x60, 0x60, 0x4e, 0x4e, 0x3d, 0x3d, 0x2d, 0x2d, 0x1f, 0x1f, 0x13, 0x13, 0x0a, 0x0a, 
0x05, 0x05, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x04, 0x04, 0x05, 0x05, 0x04, 0x04, 0x04, 0x04, 0x03, 0x03, 0x02, 0x02, 0x01, 0x01, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x06, 0x06, 0x0f, 0x0f, 0x1d, 0x1d, 0x2f, 0x2f, 0x41, 0x41, 0x52, 0x52, 0x5f, 0x5f, 0x69, 0x69, 
0x71, 0x71, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x86, 0x86, 0x8f, 0x8f, 
0x9b, 0x9b, 0xaa, 0xaa, 0xbb, 0xbb, 0xcc, 0xcc, 0xd9, 0xd9, 0xe4, 0xe4, 0xeb, 0xeb, 0xef, 0xef, 0xf2, 0xf2, 0xf3, 0xf3, 0xf4, 0xf4, 0xf4, 0xf4, 0xf5, 0xf5, 
0xf6, 0xf6, 0xf7, 0xf7, 0xf8, 0xf8, 0xf7, 0xf7, 0xf6, 0xf6, 0xf4, 0xf4, 0xf2, 0xf2, 0xf0, 0xf0, 0xee, 0xee, 0xed, 0xed, 0xe9, 0xe9, 0xe1, 0xe1, 0xd6, 0xd6, 
0xc7, 0xc7, 0xb6, 0xb6, 0xa6, 0xa6, 0x97, 0x97, 0x8b, 0x8b, 0x82, 0x82, 0x7e, 0x7e, 0x7f, 0x7f, 0x83, 0x83, 0x86, 0x86, 0x87, 0x87, 0x84, 0x84, 0x7d, 0x7d, 
0x73, 0x73, 0x66, 0x66, 0x57, 0x57, 0x49, 0x49, 0x3b, 0x3b, 0x30, 0x30, 0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x21, 0x21, 0x1f, 0x1f, 0x1e, 0x1e, 0x1c, 0x1c, 
0x1a, 0x1a, 0x17, 0x17, 0x14, 0x14, 0x11, 0x11, 0x0f, 0x0f, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0f, 0x0f, 0x10, 0x10, 0x10, 0x10, 0x12, 0x12, 0x13, 0x13, 
0x15, 0x15, 0x18, 0x18, 0x1a, 0x1a, 0x1d, 0x1d, 0x20, 0x20, 0x23, 0x23, 0x25, 0x25, 0x26, 0x26, 0x26, 0x26, 0x25, 0x25, 0x27, 0x27, 0x2c, 0x2c, 0x37, 0x37, 
0x46, 0x46, 0x59, 0x59, 0x6f, 0x6f, 0x88, 0x88, 0xa1, 0xa1, 0xb9, 0xb9, 0xce, 0xce, 0xdf, 0xdf, 0xeb, 0xeb, 0xf4, 0xf4, 0xfa, 0xfa, 0xfd, 0xfd, 0xfd, 0xfd, 
0xfa, 0xfa, 0xf4, 0xf4, 0xeb, 0xeb, 0xdf, 0xdf, 0xd4, 0xd4, 0xca, 0xca, 0xc2, 0xc2, 0xbe, 0xbe, 0xbd, 0xbd, 0xc2, 0xc2, 0xcb, 0xcb, 0xd6, 0xd6, 0xe2, 0xe2, 
0xea, 0xea, 0xee, 0xee, 0xed, 0xed, 0xe9, 0xe9, 0xe2, 0xe2, 0xd9, 0xd9, 0xcf, 0xcf, 0xc4, 0xc4, 0xbb, 0xbb, 0xb4, 0xb4, 0xad, 0xad, 0xa6, 0xa6, 0x9c, 0x9c, 
0x90, 0x90, 0x81, 0x81, 0x70, 0x70, 0x5f, 0x5f, 0x4d, 0x4d, 0x3b, 0x3b, 0x2c, 0x2c, 0x20, 0x20, 0x17, 0x17, 0x13, 0x13, 0x11, 0x11, 0x11, 0x11, 0x14, 0x14, 
0x17, 0x17, 0x1b, 0x1b, 0x1f, 0x1f, 0x23, 0x23, 0x26, 0x26, 0x28, 0x28, 0x28, 0x28, 0x27, 0x27, 0x25, 0x25, 0x21, 0x21, 0x1d, 0x1d, 0x17, 0x17, 0x12, 0x12, 
0x0e, 0x0e, 0x0c, 0x0c, 0x0d, 0x0d, 0x12, 0x12, 0x18, 0x18, 0x21, 0x21, 0x2c, 0x2c, 0x37, 0x37, 0x43, 0x43, 0x4e, 0x4e, 0x58, 0x58, 0x62, 0x62, 0x6a, 0x6a, 
0x71, 0x71, 0x78, 0x78, 0x7e, 0x7e, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x9b, 0x9b, 0xa2, 0xa2, 0xac, 0xac, 0xb7, 0xb7, 
0xc5, 0xc5, 0xd3, 0xd3, 0xe0, 0xe0, 0xec, 0xec, 0xf4, 0xf4, 0xfa, 0xfa, 0xfd, 0xfd, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xfa, 0xfa, 0xfa, 0xfa, 
0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf1, 0xf1, 0xe8, 0xe8, 0xdb, 0xdb, 0xca, 0xca, 0xb5, 0xb5, 0x9e, 0x9e, 
0x89, 0x89, 0x78, 0x78, 0x6d, 0x6d, 0x68, 0x68, 0x67, 0x67, 0x6b, 0x6b, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x85, 0x85, 0x83, 0x83, 0x7b, 0x7b, 0x70, 0x70, 
0x63, 0x63, 0x54, 0x54, 0x45, 0x45, 0x37, 0x37, 0x2c, 0x2c, 0x24, 0x24, 0x1f, 0x1f, 0x1a, 0x1a, 0x16, 0x16, 0x11, 0x11, 0x0c, 0x0c, 0x07, 0x07, 0x03, 0x03, 
0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x06, 0x06, 0x0c, 0x0c, 0x15, 0x15, 0x22, 0x22, 0x32, 0x32, 0x45, 0x45, 0x5b, 0x5b, 0x73, 0x73, 0x8b, 0x8b, 
0xa2, 0xa2, 0xb6, 0xb6, 0xc7, 0xc7, 0xd4, 0xd4, 0xdd, 0xdd, 0xe2, 0xe2, 0xe3, 0xe3, 0xe1, 0xe1, 0xde, 0xde, 0xdb, 0xdb, 0xd9, 0xd9, 0xd7, 0xd7, 0xd7, 0xd7, 
0xd8, 0xd8, 0xd9, 0xd9, 0xda, 0xda, 0xdb, 0xdb, 0xdb, 0xdb, 0xd9, 0xd9, 0xd6, 0xd6, 0xd4, 0xd4, 0xd1, 0xd1, 0xd0, 0xd0, 0xd1, 0xd1, 0xd2, 0xd2, 0xd5, 0xd5, 
0xd8, 0xd8, 0xdc, 0xdc, 0xe0, 0xe0, 0xe1, 0xe1, 0xe1, 0xe1, 0xdd, 0xdd, 0xd7, 0xd7, 0xcd, 0xcd, 0xc0, 0xc0, 0xb0, 0xb0, 0x9d, 0x9d, 0x88, 0x88, 0x71, 0x71, 
0x5a, 0x5a, 0x45, 0x45, 0x32, 0x32, 0x24, 0x24, 0x1a, 0x1a, 0x13, 0x13, 0x11, 0x11, 0x12, 0x12, 0x15, 0x15, 0x18, 0x18, 0x1b, 0x1b, 0x1c, 0x1c, 0x1c, 0x1c, 
0x1a, 0x1a, 0x17, 0x17, 0x13, 0x13, 0x0e, 0x0e, 0x0a, 0x0a, 0x06, 0x06, 0x03, 0x03, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x05, 0x05, 0x09, 0x09, 
0x10, 0x10, 0x1a, 0x1a, 0x27, 0x27, 0x34, 0x34, 0x41, 0x41, 0x4d, 0x4d, 0x58, 0x58, 0x62, 0x62, 0x6c, 0x6c, 0x76, 0x76, 0x81, 0x81, 0x8b, 0x8b, 0x94, 0x94, 
0x9c, 0x9c, 0xa3, 0xa3, 0xa9, 0xa9, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 0xbc, 0xbc, 0xc2, 0xc2, 0xc9, 0xc9, 0xd1, 0xd1, 0xda, 0xda, 0xe3, 0xe3, 0xeb, 0xeb, 
0xf2, 0xf2, 0xf8, 0xf8, 0xfc, 0xfc, 0xfe, 0xfe, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xfa, 0xfa, 0xfa, 0xfa, 0xfb, 0xfb, 0xfd, 0xfd, 
0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf5, 0xf5, 0xea, 0xea, 0xdd, 0xdd, 0xcc, 0xcc, 0xba, 0xba, 0xa6, 0xa6, 0x91, 0x91, 0x7f, 0x7f, 
0x70, 0x70, 0x67, 0x67, 0x62, 0x62, 0x61, 0x61, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x69, 0x69, 0x66, 0x66, 0x5d, 0x5d, 0x51, 0x51, 0x43, 0x43, 0x35, 0x35, 
0x28, 0x28, 0x1d, 0x1d, 0x14, 0x14, 0x0f, 0x0f, 0x0e, 0x0e, 0x10, 0x10, 0x12, 0x12, 0x13, 0x13, 0x13, 0x13, 0x12, 0x12, 0x0f, 0x0f, 0x0c, 0x0c, 0x09, 0x09, 
0x07, 0x07, 0x06, 0x06, 0x06, 0x06, 0x08, 0x08, 0x0b, 0x0b, 0x0e, 0x0e, 0x11, 0x11, 0x12, 0x12, 0x12, 0x12, 0x11, 0x11, 0x10, 0x10, 0x0e, 0x0e, 0x0d, 0x0d, 
0x0c, 0x0c, 0x0c, 0x0c, 0x0e, 0x0e, 0x12, 0x12, 0x18, 0x18, 0x21, 0x21, 0x2d, 0x2d, 0x3c, 0x3c, 0x4e, 0x4e, 0x64, 0x64, 0x7b, 0x7b, 0x94, 0x94, 0xab, 0xab, 
0xc0, 0xc0, 0xd1, 0xd1, 0xdf, 0xdf, 0xe9, 0xe9, 0xee, 0xee, 0xf1, 0xf1, 0xf1, 0xf1, 0xef, 0xef, 0xed, 0xed, 0xea, 0xea, 0xe8, 0xe8, 0xe5, 0xe5, 0xe0, 0xe0, 
0xdb, 0xdb, 0xd4, 0xd4, 0xce, 0xce, 0xca, 0xca, 0xc8, 0xc8, 0xc7, 0xc7, 0xc9, 0xc9, 0xce, 0xce, 0xd5, 0xd5, 0xdd, 0xdd, 0xe4, 0xe4, 0xe9, 0xe9, 0xea, 0xea, 
0xe8, 0xe8, 0xe3, 0xe3, 0xdb, 0xdb, 0xd1, 0xd1, 0xc5, 0xc5, 0xb8, 0xb8, 0xa9, 0xa9, 0x9a, 0x9a, 0x8a, 0x8a, 0x79, 0x79, 0x67, 0x67, 0x54, 0x54, 0x41, 0x41, 
0x2f, 0x2f, 0x20, 0x20, 0x14, 0x14, 0x0b, 0x0b, 0x05, 0x05, 0x04, 0x04, 0x06, 0x06, 0x0b, 0x0b, 0x12, 0x12, 0x19, 0x19, 0x20, 0x20, 0x27, 0x27, 0x2c, 0x2c, 
0x2f, 0x2f, 0x30, 0x30, 0x2e, 0x2e, 0x2c, 0x2c, 0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x20, 0x20, 0x1f, 0x1f, 0x20, 0x20, 0x24, 0x24, 0x29, 0x29, 0x31, 0x31, 
0x3a, 0x3a, 0x45, 0x45, 0x4f, 0x4f, 0x56, 0x56, 0x5c, 0x5c, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x71, 0x71, 0x7b, 0x7b, 
0x89, 0x89, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xae, 0xae, 0xb1, 0xb1, 0xb4, 0xb4, 0xb6, 0xb6, 0xb9, 0xb9, 0xbe, 0xbe, 0xc5, 0xc5, 0xce, 0xce, 0xda, 0xda, 
0xe5, 0xe5, 0xee, 0xee, 0xf5, 0xf5, 0xfa, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xfa, 0xfa, 0xf5, 0xf5, 0xec, 0xec, 0xe0, 0xe0, 0xcc, 0xcc, 0xb2, 0xb2, 0x94, 0x94, 0x75, 0x75, 0x59, 0x59, 
0x42, 0x42, 0x32, 0x32, 0x27, 0x27, 0x24, 0x24, 0x27, 0x27, 0x2f, 0x2f, 0x38, 0x38, 0x40, 0x40, 0x46, 0x46, 0x49, 0x49, 0x49, 0x49, 0x46, 0x46, 0x3f, 0x3f, 
0x37, 0x37, 0x2f, 0x2f, 0x29, 0x29, 0x26, 0x26, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x24, 0x24, 0x21, 0x21, 0x1d, 0x1d, 0x18, 0x18, 
0x13, 0x13, 0x0f, 0x0f, 0x0e, 0x0e, 0x0f, 0x0f, 0x10, 0x10, 0x11, 0x11, 0x11, 0x11, 0x10, 0x10, 0x10, 0x10, 0x11, 0x11, 0x13, 0x13, 0x16, 0x16, 0x1a, 0x1a, 
0x1e, 0x1e, 0x22, 0x22, 0x26, 0x26, 0x2a, 0x2a, 0x2d, 0x2d, 0x2e, 0x2e, 0x31, 0x31, 0x37, 0x37, 0x43, 0x43, 0x56, 0x56, 0x6f, 0x6f, 0x8b, 0x8b, 0xa6, 0xa6, 
0xbf, 0xbf, 0xd6, 0xd6, 0xe7, 0xe7, 0xf3, 0xf3, 0xf8, 0xf8, 0xfa, 0xfa, 0xf9, 0xf9, 0xf8, 0xf8, 0xf9, 0xf9, 0xfb, 0xfb, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfa, 0xfa, 0xf2, 0xf2, 0xe4, 0xe4, 0xd4, 0xd4, 0xc4, 0xc4, 0xb5, 0xb5, 0xa9, 0xa9, 0xa1, 0xa1, 0x9c, 0x9c, 0x9b, 0x9b, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa7, 0xa7, 0xae, 0xae, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 0xc1, 0xc1, 0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xa5, 0xa5, 0x95, 0x95, 0x82, 0x82, 0x6d, 0x6d, 
0x58, 0x58, 0x44, 0x44, 0x31, 0x31, 0x21, 0x21, 0x17, 0x17, 0x13, 0x13, 0x13, 0x13, 0x16, 0x16, 0x1b, 0x1b, 0x1f, 0x1f, 0x24, 0x24, 0x27, 0x27, 0x28, 0x28, 
0x28, 0x28, 0x26, 0x26, 0x24, 0x24, 0x23, 0x23, 0x23, 0x23, 0x24, 0x24, 0x24, 0x24, 0x25, 0x25, 0x24, 0x24, 0x24, 0x24, 0x26, 0x26, 0x2b, 0x2b, 0x33, 0x33, 
0x3f, 0x3f, 0x4b, 0x4b, 0x58, 0x58, 0x65, 0x65, 0x70, 0x70, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x8a, 0x8a, 0x93, 0x93, 0x9e, 0x9e, 
0xa9, 0xa9, 0xb4, 0xb4, 0xbd, 0xbd, 0xc4, 0xc4, 0xc9, 0xc9, 0xcb, 0xcb, 0xcd, 0xcd, 0xcd, 0xcd, 0xcd, 0xcd, 0xce, 0xce, 0xd1, 0xd1, 0xd4, 0xd4, 0xd7, 0xd7, 
0xda, 0xda, 0xde, 0xde, 0xe1, 0xe1, 0xe5, 0xe5, 0xea, 0xea, 0xef, 0xef, 0xf6, 0xf6, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xed, 0xed, 0xdb, 0xdb, 
0xc3, 0xc3, 0xa6, 0xa6, 0x86, 0x86, 0x64, 0x64, 0x42, 0x42, 0x25, 0x25, 0x10, 0x10, 0x06, 0x06, 0x05, 0x05, 0x09, 0x09, 0x10, 0x10, 0x19, 0x19, 0x22, 0x22, 
0x28, 0x28, 0x2a, 0x2a, 0x28, 0x28, 0x22, 0x22, 0x1a, 0x1a, 0x12, 0x12, 0x0b, 0x0b, 0x06, 0x06, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 
0x0a, 0x0a, 0x13, 0x13, 0x1e, 0x1e, 0x28, 0x28, 0x2f, 0x2f, 0x32, 0x32, 0x31, 0x31, 0x2e, 0x2e, 0x28, 0x28, 0x21, 0x21, 0x1b, 0x1b, 0x15, 0x15, 0x12, 0x12, 
0x13, 0x13, 0x16, 0x16, 0x1b, 0x1b, 0x21, 0x21, 0x27, 0x27, 0x2d, 0x2d, 0x32, 0x32, 0x37, 0x37, 0x3b, 0x3b, 0x3f, 0x3f, 0x44, 0x44, 0x4a, 0x4a, 0x52, 0x52, 
0x5c, 0x5c, 0x69, 0x69, 0x7a, 0x7a, 0x8e, 0x8e, 0xa4, 0xa4, 0xba, 0xba, 0xcf, 0xcf, 0xe0, 0xe0, 0xee, 0xee, 0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfb, 0xfb, 0xf6, 0xf6, 0xf1, 0xf1, 0xec, 0xec, 0xe5, 0xe5, 0xdd, 0xdd, 0xd4, 0xd4, 0xca, 0xca, 0xc0, 0xc0, 0xb7, 0xb7, 0xb0, 0xb0, 0xab, 0xab, 0xa8, 0xa8, 
0xa7, 0xa7, 0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 0x88, 0x88, 0x81, 0x81, 0x7a, 0x7a, 
0x73, 0x73, 0x6c, 0x6c, 0x64, 0x64, 0x5b, 0x5b, 0x50, 0x50, 0x45, 0x45, 0x3a, 0x3a, 0x2f, 0x2f, 0x26, 0x26, 0x1f, 0x1f, 0x19, 0x19, 0x16, 0x16, 0x14, 0x14, 
0x14, 0x14, 0x15, 0x15, 0x16, 0x16, 0x17, 0x17, 0x18, 0x18, 0x19, 0x19, 0x1c, 0x1c, 0x1f, 0x1f, 0x23, 0x23, 0x26, 0x26, 0x29, 0x29, 0x2b, 0x2b, 0x2c, 0x2c, 
0x2c, 0x2c, 0x2a, 0x2a, 0x28, 0x28, 0x25, 0x25, 0x26, 0x26, 0x2a, 0x2a, 0x35, 0x35, 0x43, 0x43, 0x54, 0x54, 0x67, 0x67, 0x79, 0x79, 0x8a, 0x8a, 0x98, 0x98, 
0xa1, 0xa1, 0xa6, 0xa6, 0xa7, 0xa7, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa3, 0xa3, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb6, 0xb6, 
0xbd, 0xbd, 0xc6, 0xc6, 0xcf, 0xcf, 0xd9, 0xd9, 0xe4, 0xe4, 0xef, 0xef, 0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf6, 0xf6, 
0xf3, 0xf3, 0xf1, 0xf1, 0xf1, 0xf1, 0xf3, 0xf3, 0xf8, 0xf8, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf7, 0xf7, 0xea, 0xea, 0xd5, 0xd5, 0xbb, 0xbb, 0x9c, 0x9c, 0x7d, 0x7d, 0x5d, 0x5d, 0x40, 0x40, 0x27, 0x27, 
0x16, 0x16, 0x0e, 0x0e, 0x0c, 0x0c, 0x0d, 0x0d, 0x11, 0x11, 0x14, 0x14, 0x17, 0x17, 0x1a, 0x1a, 0x1c, 0x1c, 0x1e, 0x1e, 0x1f, 0x1f, 0x21, 0x21, 0x23, 0x23, 
0x25, 0x25, 0x26, 0x26, 0x28, 0x28, 0x2a, 0x2a, 0x2c, 0x2c, 0x2e, 0x2e, 0x30, 0x30, 0x31, 0x31, 0x32, 0x32, 0x32, 0x32, 0x31, 0x31, 0x2d, 0x2d, 0x26, 0x26, 
0x1e, 0x1e, 0x16, 0x16, 0x0e, 0x0e, 0x09, 0x09, 0x05, 0x05, 0x05, 0x05, 0x08, 0x08, 0x0f, 0x0f, 0x19, 0x19, 0x23, 0x23, 0x2e, 0x2e, 0x38, 0x38, 0x41, 0x41, 
0x48, 0x48, 0x4e, 0x4e, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x6a, 0x6a, 0x77, 0x77, 0x86, 0x86, 0x97, 0x97, 0xaa, 0xaa, 0xbd, 0xbd, 0xcf, 0xcf, 
0xde, 0xde, 0xeb, 0xeb, 0xf4, 0xf4, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf5, 0xf5, 0xeb, 0xeb, 0xdf, 0xdf, 0xd2, 0xd2, 0xc4, 0xc4, 
0xb8, 0xb8, 0xac, 0xac, 0xa3, 0xa3, 0x9c, 0x9c, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 
0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 0x5d, 0x5d, 0x56, 0x56, 0x4d, 0x4d, 0x42, 0x42, 
0x36, 0x36, 0x29, 0x29, 0x1c, 0x1c, 0x10, 0x10, 0x07, 0x07, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x0a, 0x0a, 0x13, 0x13, 0x1e, 0x1e, 0x29, 0x29, 0x33, 0x33, 
0x3a, 0x3a, 0x3e, 0x3e, 0x3f, 0x3f, 0x3e, 0x3e, 0x3e, 0x3e, 0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3c, 0x3c, 0x3a, 0x3a, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 
0x3e, 0x3e, 0x47, 0x47, 0x54, 0x54, 0x65, 0x65, 0x7a, 0x7a, 0x91, 0x91, 0xa7, 0xa7, 0xbb, 0xbb, 0xca, 0xca, 0xd5, 0xd5, 0xdb, 0xdb, 0xdb, 0xdb, 0xd7, 0xd7, 
0xcf, 0xcf, 0xc6, 0xc6, 0xbd, 0xbd, 0xb6, 0xb6, 0xb1, 0xb1, 0xaf, 0xaf, 0xaf, 0xaf, 0xb1, 0xb1, 0xb6, 0xb6, 0xbb, 0xbb, 0xc1, 0xc1, 0xc7, 0xc7, 0xcc, 0xcc, 
0xd2, 0xd2, 0xd9, 0xd9, 0xe0, 0xe0, 0xe8, 0xe8, 0xf0, 0xf0, 0xf5, 0xf5, 0xf9, 0xf9, 0xfb, 0xfb, 0xfc, 0xfc, 0xfc, 0xfc, 0xfa, 0xfa, 0xf9, 0xf9, 0xf7, 0xf7, 
0xf7, 0xf7, 0xf7, 0xf7, 0xf8, 0xf8, 0xf8, 0xf8, 0xf8, 0xf8, 0xf8, 0xf8, 0xf7, 0xf7, 0xf6, 0xf6, 0xf6, 0xf6, 0xf8, 0xf8, 0xfa, 0xfa, 0xfd, 0xfd, 0xfe, 0xfe, 
0xfd, 0xfd, 0xf8, 0xf8, 0xee, 0xee, 0xdb, 0xdb, 0xbf, 0xbf, 0x9c, 0x9c, 0x78, 0x78, 0x58, 0x58, 0x3d, 0x3d, 0x29, 0x29, 0x1b, 0x1b, 0x13, 0x13, 0x10, 0x10, 
0x12, 0x12, 0x17, 0x17, 0x1d, 0x1d, 0x23, 0x23, 0x2a, 0x2a, 0x30, 0x30, 0x35, 0x35, 0x39, 0x39, 0x3c, 0x3c, 0x3d, 0x3d, 0x3d, 0x3d, 0x3c, 0x3c, 0x3b, 0x3b, 
0x3b, 0x3b, 0x3b, 0x3b, 0x3c, 0x3c, 0x3e, 0x3e, 0x40, 0x40, 0x40, 0x40, 0x3d, 0x3d, 0x39, 0x39, 0x32, 0x32, 0x2b, 0x2b, 0x22, 0x22, 0x1a, 0x1a, 0x13, 0x13, 
0x0f, 0x0f, 0x0f, 0x0f, 0x13, 0x13, 0x1a, 0x1a, 0x23, 0x23, 0x2f, 0x2f, 0x3b, 0x3b, 0x47, 0x47, 0x52, 0x52, 0x5a, 0x5a, 0x61, 0x61, 0x66, 0x66, 0x6a, 0x6a, 
0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x81, 0x81, 0x89, 0x89, 0x93, 0x93, 0x9d, 0x9d, 0xa7, 0xa7, 0xb1, 0xb1, 0xbb, 0xbb, 0xc6, 0xc6, 0xd1, 0xd1, 
0xde, 0xde, 0xe9, 0xe9, 0xf2, 0xf2, 0xf8, 0xf8, 0xfb, 0xfb, 0xfb, 0xfb, 0xf7, 0xf7, 0xef, 0xef, 0xe4, 0xe4, 0xd7, 0xd7, 0xc8, 0xc8, 0xb9, 0xb9, 0xaa, 0xaa, 
0x9d, 0x9d, 0x91, 0x91, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 
0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x70, 0x70, 0x68, 0x68, 0x5d, 0x5d, 0x4f, 0x4f, 0x40, 0x40, 0x30, 0x30, 
0x20, 0x20, 0x12, 0x12, 0x07, 0x07, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x07, 0x07, 0x10, 0x10, 0x1b, 0x1b, 0x27, 0x27, 0x32, 0x32, 0x3a, 0x3a, 0x40, 0x40, 
0x44, 0x44, 0x45, 0x45, 0x45, 0x45, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x49, 0x49, 0x4e, 0x4e, 0x55, 0x55, 0x5d, 0x5d, 0x66, 0x66, 0x6f, 0x6f, 
0x79, 0x79, 0x81, 0x81, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xba, 0xba, 0xbd, 0xbd, 0xbf, 0xbf, 0xbe, 0xbe, 
0xbb, 0xbb, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0xa3, 0xa3, 0x9f, 0x9f, 0x9e, 0x9e, 0x9f, 0x9f, 0xa2, 0xa2, 0xa7, 0xa7, 0xad, 0xad, 0xb4, 0xb4, 0xbc, 0xbc, 
0xc4, 0xc4, 0xcd, 0xcd, 0xd5, 0xd5, 0xdd, 0xdd, 0xe4, 0xe4, 0xeb, 0xeb, 0xf0, 0xf0, 0xf5, 0xf5, 0xf9, 0xf9, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf7, 0xf7, 0xf2, 0xf2, 0xef, 0xef, 0xef, 0xef, 0xf1, 0xf1, 0xf6, 0xf6, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xf8, 0xf8, 0xea, 0xea, 0xd6, 0xd6, 0xbb, 0xbb, 0x9c, 0x9c, 0x79, 0x79, 0x54, 0x54, 0x31, 0x31, 0x13, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 
0x0e, 0x0e, 0x1e, 0x1e, 0x2e, 0x2e, 0x3d, 0x3d, 0x48, 0x48, 0x4f, 0x4f, 0x53, 0x53, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 
0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5c, 0x5c, 0x57, 0x57, 0x4f, 0x4f, 0x45, 0x45, 0x3b, 0x3b, 0x32, 0x32, 0x29, 0x29, 0x23, 0x23, 0x1e, 0x1e, 0x1c, 0x1c, 
0x1b, 0x1b, 0x1c, 0x1c, 0x20, 0x20, 0x26, 0x26, 0x2e, 0x2e, 0x37, 0x37, 0x42, 0x42, 0x4e, 0x4e, 0x5a, 0x5a, 0x63, 0x63, 0x66, 0x66, 0x64, 0x64, 0x5d, 0x5d, 
0x54, 0x54, 0x4b, 0x4b, 0x45, 0x45, 0x42, 0x42, 0x45, 0x45, 0x4e, 0x4e, 0x5f, 0x5f, 0x76, 0x76, 0x8e, 0x8e, 0xa7, 0xa7, 0xbd, 0xbd, 0xd1, 0xd1, 0xe2, 0xe2, 
0xee, 0xee, 0xf6, 0xf6, 0xf9, 0xf9, 0xfa, 0xfa, 0xf7, 0xf7, 0xf1, 0xf1, 0xe8, 0xe8, 0xdd, 0xdd, 0xcf, 0xcf, 0xbf, 0xbf, 0xae, 0xae, 0x9d, 0x9d, 0x8e, 0x8e, 
0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 0x71, 0x71, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x85, 0x85, 0x89, 0x89, 0x8a, 0x8a, 0x86, 0x86, 0x7c, 0x7c, 0x6c, 0x6c, 0x5b, 0x5b, 0x4a, 0x4a, 0x3a, 0x3a, 0x2d, 0x2d, 
0x24, 0x24, 0x20, 0x20, 0x21, 0x21, 0x26, 0x26, 0x2c, 0x2c, 0x31, 0x31, 0x35, 0x35, 0x38, 0x38, 0x3a, 0x3a, 0x3c, 0x3c, 0x3e, 0x3e, 0x41, 0x41, 0x42, 0x42, 
0x41, 0x41, 0x3d, 0x3d, 0x37, 0x37, 0x2e, 0x2e, 0x25, 0x25, 0x1c, 0x1c, 0x14, 0x14, 0x10, 0x10, 0x13, 0x13, 0x1d, 0x1d, 0x2c, 0x2c, 0x3f, 0x3f, 0x52, 0x52, 
0x63, 0x63, 0x73, 0x73, 0x7f, 0x7f, 0x88, 0x88, 0x8c, 0x8c, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x9a, 0x9a, 0xa0, 0xa0, 0xa6, 0xa6, 
0xad, 0xad, 0xb2, 0xb2, 0xb5, 0xb5, 0xb7, 0xb7, 0xb7, 0xb7, 0xb5, 0xb5, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xab, 0xab, 0xac, 0xac, 0xaf, 0xaf, 0xb5, 0xb5, 
0xbc, 0xbc, 0xc6, 0xc6, 0xd1, 0xd1, 0xdd, 0xdd, 0xe8, 0xe8, 0xf1, 0xf1, 0xf7, 0xf7, 0xfb, 0xfb, 0xfd, 0xfd, 0xfc, 0xfc, 0xf9, 0xf9, 0xf5, 0xf5, 0xf0, 0xf0, 
0xea, 0xea, 0xe5, 0xe5, 0xe0, 0xe0, 0xde, 0xde, 0xde, 0xde, 0xe1, 0xe1, 0xe6, 0xe6, 0xec, 0xec, 0xf2, 0xf2, 0xf7, 0xf7, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 
0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf2, 0xf2, 0xe4, 0xe4, 0xd2, 0xd2, 0xbb, 0xbb, 0x9e, 0x9e, 0x7c, 0x7c, 0x58, 0x58, 0x37, 0x37, 0x1d, 0x1d, 0x0d, 0x0d, 
0x05, 0x05, 0x04, 0x04, 0x08, 0x08, 0x0f, 0x0f, 0x18, 0x18, 0x22, 0x22, 0x29, 0x29, 0x2e, 0x2e, 0x31, 0x31, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 
0x33, 0x33, 0x35, 0x35, 0x39, 0x39, 0x3e, 0x3e, 0x43, 0x43, 0x48, 0x48, 0x4e, 0x4e, 0x52, 0x52, 0x54, 0x54, 0x52, 0x52, 0x4d, 0x4d, 0x45, 0x45, 0x3c, 0x3c, 
0x34, 0x34, 0x2e, 0x2e, 0x2a, 0x2a, 0x2a, 0x2a, 0x31, 0x31, 0x3d, 0x3d, 0x4d, 0x4d, 0x5d, 0x5d, 0x6c, 0x6c, 0x77, 0x77, 0x7d, 0x7d, 0x7e, 0x7e, 0x78, 0x78, 
0x6d, 0x6d, 0x5e, 0x5e, 0x4e, 0x4e, 0x40, 0x40, 0x37, 0x37, 0x32, 0x32, 0x34, 0x34, 0x3c, 0x3c, 0x4b, 0x4b, 0x5f, 0x5f, 0x75, 0x75, 0x8d, 0x8d, 0xa5, 0xa5, 
0xbc, 0xbc, 0xd0, 0xd0, 0xe0, 0xe0, 0xec, 0xec, 0xf3, 0xf3, 0xf7, 0xf7, 0xf6, 0xf6, 0xf1, 0xf1, 0xe9, 0xe9, 0xde, 0xde, 0xd2, 0xd2, 0xc4, 0xc4, 0xb5, 0xb5, 
0xa7, 0xa7, 0x99, 0x99, 0x8c, 0x8c, 0x80, 0x80, 0x76, 0x76, 0x6c, 0x6c, 0x64, 0x64, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5d, 0x5d, 
0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x7f, 0x7f, 0x78, 0x78, 0x70, 0x70, 0x65, 0x65, 0x59, 0x59, 0x4d, 0x4d, 0x41, 0x41, 
0x36, 0x36, 0x2b, 0x2b, 0x22, 0x22, 0x1b, 0x1b, 0x17, 0x17, 0x15, 0x15, 0x17, 0x17, 0x1e, 0x1e, 0x2b, 0x2b, 0x3b, 0x3b, 0x4d, 0x4d, 0x5c, 0x5c, 0x69, 0x69, 
0x72, 0x72, 0x76, 0x76, 0x74, 0x74, 0x6d, 0x6d, 0x62, 0x62, 0x56, 0x56, 0x4d, 0x4d, 0x48, 0x48, 0x46, 0x46, 0x48, 0x48, 0x4d, 0x4d, 0x54, 0x54, 0x5d, 0x5d, 
0x65, 0x65, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 0x8b, 0x8b, 0x95, 0x95, 0x9f, 0x9f, 0xaa, 0xaa, 0xb3, 0xb3, 0xbb, 0xbb, 0xc2, 0xc2, 0xc5, 0xc5, 
0xc5, 0xc5, 0xc2, 0xc2, 0xbb, 0xbb, 0xb3, 0xb3, 0xab, 0xab, 0xa3, 0xa3, 0x9b, 0x9b, 0x95, 0x95, 0x91, 0x91, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x98, 0x98, 
0x9d, 0x9d, 0xa4, 0xa4, 0xab, 0xab, 0xb4, 0xb4, 0xbe, 0xbe, 0xc8, 0xc8, 0xd3, 0xd3, 0xdc, 0xdc, 0xe5, 0xe5, 0xec, 0xec, 0xf1, 0xf1, 0xf4, 0xf4, 0xf5, 0xf5, 
0xf4, 0xf4, 0xf3, 0xf3, 0xf4, 0xf4, 0xf5, 0xf5, 0xf8, 0xf8, 0xfa, 0xfa, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xed, 0xed, 0xdb, 0xdb, 0xc3, 0xc3, 0xa7, 0xa7, 0x88, 0x88, 0x66, 0x66, 0x45, 0x45, 0x29, 0x29, 
0x13, 0x13, 0x07, 0x07, 0x02, 0x02, 0x03, 0x03, 0x08, 0x08, 0x11, 0x11, 0x1c, 0x1c, 0x27, 0x27, 0x32, 0x32, 0x3d, 0x3d, 0x48, 0x48, 0x51, 0x51, 0x58, 0x58, 
0x5e, 0x5e, 0x62, 0x62, 0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x77, 0x77, 0x7a, 0x7a, 0x7a, 0x7a, 0x76, 0x76, 0x6e, 0x6e, 0x63, 0x63, 0x56, 0x56, 0x48, 0x48, 
0x3a, 0x3a, 0x2e, 0x2e, 0x27, 0x27, 0x25, 0x25, 0x27, 0x27, 0x2d, 0x2d, 0x35, 0x35, 0x3f, 0x3f, 0x4b, 0x4b, 0x55, 0x55, 0x5f, 0x5f, 0x66, 0x66, 0x6c, 0x6c, 
0x6e, 0x6e, 0x6c, 0x6c, 0x67, 0x67, 0x5f, 0x5f, 0x56, 0x56, 0x4e, 0x4e, 0x49, 0x49, 0x47, 0x47, 0x4a, 0x4a, 0x54, 0x54, 0x64, 0x64, 0x7a, 0x7a, 0x91, 0x91, 
0xa9, 0xa9, 0xbf, 0xbf, 0xd3, 0xd3, 0xe3, 0xe3, 0xee, 0xee, 0xf3, 0xf3, 0xf4, 0xf4, 0xf0, 0xf0, 0xe8, 0xe8, 0xdc, 0xdc, 0xce, 0xce, 0xbe, 0xbe, 0xac, 0xac, 
0x9b, 0x9b, 0x8a, 0x8a, 0x7a, 0x7a, 0x6e, 0x6e, 0x64, 0x64, 0x5c, 0x5c, 0x57, 0x57, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x55, 0x55, 
0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x67, 0x67, 0x6d, 0x6d, 0x74, 0x74, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x85, 0x85, 0x7d, 0x7d, 
0x73, 0x73, 0x67, 0x67, 0x5a, 0x5a, 0x4d, 0x4d, 0x43, 0x43, 0x3d, 0x3d, 0x3b, 0x3b, 0x3e, 0x3e, 0x44, 0x44, 0x4a, 0x4a, 0x52, 0x52, 0x59, 0x59, 0x5f, 0x5f, 
0x63, 0x63, 0x65, 0x65, 0x65, 0x65, 0x62, 0x62, 0x5e, 0x5e, 0x57, 0x57, 0x50, 0x50, 0x48, 0x48, 0x40, 0x40, 0x3a, 0x3a, 0x36, 0x36, 0x36, 0x36, 0x3a, 0x3a, 
0x44, 0x44, 0x53, 0x53, 0x63, 0x63, 0x73, 0x73, 0x82, 0x82, 0x8f, 0x8f, 0x9a, 0x9a, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 
0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 
0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xab, 0xab, 0xb1, 0xb1, 0xb8, 0xb8, 0xbe, 0xbe, 0xc4, 0xc4, 0xc7, 0xc7, 0xc8, 0xc8, 0xc6, 0xc6, 0xc2, 0xc2, 
0xbd, 0xbd, 0xb6, 0xb6, 0xb0, 0xb0, 0xab, 0xab, 0xa8, 0xa8, 0xa9, 0xa9, 0xac, 0xac, 0xb1, 0xb1, 0xb9, 0xb9, 0xc2, 0xc2, 0xcd, 0xcd, 0xd6, 0xd6, 0xdf, 0xdf, 
0xe5, 0xe5, 0xe9, 0xe9, 0xec, 0xec, 0xee, 0xee, 0xef, 0xef, 0xf1, 0xf1, 0xf2, 0xf2, 0xf3, 0xf3, 0xf3, 0xf3, 0xf2, 0xf2, 0xed, 0xed, 0xe2, 0xe2, 0xd0, 0xd0, 
0xb8, 0xb8, 0x9b, 0x9b, 0x7c, 0x7c, 0x5a, 0x5a, 0x39, 0x39, 0x1d, 0x1d, 0x09, 0x09, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x10, 0x10, 0x21, 0x21, 0x34, 0x34, 
0x47, 0x47, 0x58, 0x58, 0x66, 0x66, 0x71, 0x71, 0x76, 0x76, 0x74, 0x74, 0x6d, 0x6d, 0x61, 0x61, 0x55, 0x55, 0x4b, 0x4b, 0x44, 0x44, 0x42, 0x42, 0x42, 0x42, 
0x45, 0x45, 0x48, 0x48, 0x4d, 0x4d, 0x4f, 0x4f, 0x4f, 0x4f, 0x4c, 0x4c, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3e, 0x3e, 0x40, 0x40, 0x43, 0x43, 0x47, 0x47, 
0x4b, 0x4b, 0x4f, 0x4f, 0x51, 0x51, 0x51, 0x51, 0x4f, 0x4f, 0x4b, 0x4b, 0x48, 0x48, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 
0x56, 0x56, 0x5f, 0x5f, 0x6c, 0x6c, 0x7b, 0x7b, 0x8d, 0x8d, 0x9f, 0x9f, 0xb2, 0xb2, 0xc4, 0xc4, 0xd4, 0xd4, 0xe1, 0xe1, 0xeb, 0xeb, 0xf0, 0xf0, 0xf1, 0xf1, 
0xf0, 0xf0, 0xed, 0xed, 0xe7, 0xe7, 0xe0, 0xe0, 0xd7, 0xd7, 0xcb, 0xcb, 0xbc, 0xbc, 0xaa, 0xaa, 0x97, 0x97, 0x83, 0x83, 0x6f, 0x6f, 0x5b, 0x5b, 0x4a, 0x4a, 
0x3f, 0x3f, 0x3a, 0x3a, 0x3a, 0x3a, 0x3f, 0x3f, 0x48, 0x48, 0x55, 0x55, 0x62, 0x62, 0x6f, 0x6f, 0x78, 0x78, 0x7d, 0x7d, 0x7e, 0x7e, 0x7b, 0x7b, 0x75, 0x75, 
0x6d, 0x6d, 0x64, 0x64, 0x5a, 0x5a, 0x50, 0x50, 0x46, 0x46, 0x3e, 0x3e, 0x35, 0x35, 0x2e, 0x2e, 0x26, 0x26, 0x20, 0x20, 0x1d, 0x1d, 0x1d, 0x1d, 0x22, 0x22, 
0x2b, 0x2b, 0x36, 0x36, 0x42, 0x42, 0x4e, 0x4e, 0x58, 0x58, 0x61, 0x61, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 
0x60, 0x60, 0x5c, 0x5c, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x48, 0x48, 0x4d, 0x4d, 0x57, 0x57, 0x65, 0x65, 0x74, 0x74, 0x84, 0x84, 
0x91, 0x91, 0x9b, 0x9b, 0xa2, 0xa2, 0xa7, 0xa7, 0xac, 0xac, 0xaf, 0xaf, 0xb3, 0xb3, 0xb7, 0xb7, 0xba, 0xba, 0xbd, 0xbd, 0xbf, 0xbf, 0xbf, 0xbf, 0xbe, 0xbe, 
0xba, 0xba, 0xb4, 0xb4, 0xaf, 0xaf, 0xab, 0xab, 0xa9, 0xa9, 0xa9, 0xa9, 0xab, 0xab, 0xad, 0xad, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xb7, 0xb7, 0xb7, 0xb7, 
0xb5, 0xb5, 0xb2, 0xb2, 0xaf, 0xaf, 0xab, 0xab, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x99, 0x99, 0x95, 0x95, 0x92, 0x92, 0x92, 0x92, 0x94, 0x94, 0x98, 0x98, 
0xa0, 0xa0, 0xac, 0xac, 0xba, 0xba, 0xca, 0xca, 0xda, 0xda, 0xe8, 0xe8, 0xf2, 0xf2, 0xf8, 0xf8, 0xfb, 0xfb, 0xfa, 0xfa, 0xf7, 0xf7, 0xf1, 0xf1, 0xec, 0xec, 
0xe8, 0xe8, 0xe7, 0xe7, 0xe7, 0xe7, 0xe5, 0xe5, 0xdf, 0xdf, 0xd2, 0xd2, 0xbf, 0xbf, 0xa7, 0xa7, 0x8a, 0x8a, 0x69, 0x69, 0x46, 0x46, 0x28, 0x28, 0x13, 0x13, 
0x07, 0x07, 0x05, 0x05, 0x0a, 0x0a, 0x15, 0x15, 0x23, 0x23, 0x33, 0x33, 0x42, 0x42, 0x4e, 0x4e, 0x56, 0x56, 0x5b, 0x5b, 0x5d, 0x5d, 0x5c, 0x5c, 0x5a, 0x5a, 
0x57, 0x57, 0x53, 0x53, 0x4e, 0x4e, 0x49, 0x49, 0x44, 0x44, 0x41, 0x41, 0x40, 0x40, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x51, 0x51, 0x58, 0x58, 0x5d, 0x5d, 
0x62, 0x62, 0x64, 0x64, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 
0x56, 0x56, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x49, 0x49, 0x4d, 0x4d, 0x55, 0x55, 0x62, 0x62, 0x74, 0x74, 0x8a, 0x8a, 0xa0, 0xa0, 0xb6, 0xb6, 
0xca, 0xca, 0xdc, 0xdc, 0xeb, 0xeb, 0xf5, 0xf5, 0xfb, 0xfb, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 0xf4, 0xf4, 0xec, 0xec, 0xde, 0xde, 
0xce, 0xce, 0xbc, 0xbc, 0xaa, 0xaa, 0x99, 0x99, 0x89, 0x89, 0x7c, 0x7c, 0x74, 0x74, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 
0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x79, 0x79, 0x72, 0x72, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 0x4c, 0x4c, 0x42, 0x42, 0x38, 0x38, 
0x2f, 0x2f, 0x27, 0x27, 0x1f, 0x1f, 0x18, 0x18, 0x12, 0x12, 0x0e, 0x0e, 0x0a, 0x0a, 0x08, 0x08, 0x08, 0x08, 0x09, 0x09, 0x0c, 0x0c, 0x0f, 0x0f, 0x13, 0x13, 
0x15, 0x15, 0x18, 0x18, 0x19, 0x19, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1c, 0x1c, 0x1f, 0x1f, 0x25, 0x25, 
0x2e, 0x2e, 0x38, 0x38, 0x45, 0x45, 0x54, 0x54, 0x64, 0x64, 0x73, 0x73, 0x7f, 0x7f, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 
0x9e, 0x9e, 0xa2, 0xa2, 0xa7, 0xa7, 0xab, 0xab, 0xb0, 0xb0, 0xb2, 0xb2, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb8, 0xb8, 0xbc, 0xbc, 0xc2, 0xc2, 
0xc8, 0xc8, 0xce, 0xce, 0xd4, 0xd4, 0xda, 0xda, 0xdd, 0xdd, 0xdf, 0xdf, 0xe0, 0xe0, 0xdd, 0xdd, 0xd9, 0xd9, 0xd2, 0xd2, 0xc8, 0xc8, 0xbe, 0xbe, 0xb2, 0xb2, 
0xa6, 0xa6, 0x9b, 0x9b, 0x92, 0x92, 0x8c, 0x8c, 0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x9a, 0x9a, 0xa3, 0xa3, 0xab, 0xab, 0xb3, 0xb3, 0xb8, 0xb8, 0xba, 0xba, 
0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xac, 0xac, 0xa9, 0xa9, 0xa8, 0xa8, 0xa9, 0xa9, 0xad, 0xad, 0xb2, 0xb2, 0xb9, 0xb9, 0xc2, 0xc2, 0xcd, 0xcd, 
0xd8, 0xd8, 0xe2, 0xe2, 0xec, 0xec, 0xf4, 0xf4, 0xfa, 0xfa, 0xfc, 0xfc, 0xfb, 0xfb, 0xf6, 0xf6, 0xea, 0xea, 0xd8, 0xd8, 0xbf, 0xbf, 0xa0, 0xa0, 0x7f, 0x7f, 
0x5f, 0x5f, 0x41, 0x41, 0x27, 0x27, 0x14, 0x14, 0x09, 0x09, 0x08, 0x08, 0x0e, 0x0e, 0x19, 0x19, 0x27, 0x27, 0x37, 0x37, 0x47, 0x47, 0x56, 0x56, 0x65, 0x65, 
0x72, 0x72, 0x7f, 0x7f, 0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa3, 0xa3, 0xa7, 0xa7, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x88, 0x88, 
0x7c, 0x7c, 0x6f, 0x6f, 0x62, 0x62, 0x54, 0x54, 0x48, 0x48, 0x3e, 0x3e, 0x38, 0x38, 0x38, 0x38, 0x3b, 0x3b, 0x43, 0x43, 0x4d, 0x4d, 0x5a, 0x5a, 0x68, 0x68, 
0x73, 0x73, 0x7b, 0x7b, 0x7d, 0x7d, 0x7b, 0x7b, 0x76, 0x76, 0x6d, 0x6d, 0x63, 0x63, 0x58, 0x58, 0x4e, 0x4e, 0x47, 0x47, 0x43, 0x43, 0x42, 0x42, 0x45, 0x45, 
0x4c, 0x4c, 0x58, 0x58, 0x67, 0x67, 0x79, 0x79, 0x8d, 0x8d, 0xa2, 0xa2, 0xb7, 0xb7, 0xca, 0xca, 0xdb, 0xdb, 0xe7, 0xe7, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xf3, 
0xef, 0xef, 0xe8, 0xe8, 0xde, 0xde, 0xd2, 0xd2, 0xc5, 0xc5, 0xb7, 0xb7, 0xa8, 0xa8, 0x9b, 0x9b, 0x8d, 0x8d, 0x81, 0x81, 0x75, 0x75, 0x6a, 0x6a, 0x60, 0x60, 
0x58, 0x58, 0x52, 0x52, 0x4f, 0x4f, 0x50, 0x50, 0x55, 0x55, 0x5c, 0x5c, 0x65, 0x65, 0x71, 0x71, 0x7d, 0x7d, 0x88, 0x88, 0x90, 0x90, 0x94, 0x94, 0x96, 0x96, 
0x93, 0x93, 0x8e, 0x8e, 0x85, 0x85, 0x7b, 0x7b, 0x6e, 0x6e, 0x60, 0x60, 0x51, 0x51, 0x41, 0x41, 0x33, 0x33, 0x26, 0x26, 0x1d, 0x1d, 0x18, 0x18, 0x15, 0x15, 
0x17, 0x17, 0x1d, 0x1d, 0x25, 0x25, 0x2d, 0x2d, 0x32, 0x32, 0x33, 0x33, 0x31, 0x31, 0x2c, 0x2c, 0x25, 0x25, 0x1d, 0x1d, 0x15, 0x15, 0x0f, 0x0f, 0x0b, 0x0b, 
0x0b, 0x0b, 0x0e, 0x0e, 0x13, 0x13, 0x1a, 0x1a, 0x23, 0x23, 0x2c, 0x2c, 0x35, 0x35, 0x3f, 0x3f, 0x48, 0x48, 0x52, 0x52, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 
0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 
0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8c, 0x8c, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x89, 0x89, 0x90, 0x90, 0x99, 0x99, 0xa3, 0xa3, 
0xae, 0xae, 0xb7, 0xb7, 0xbf, 0xbf, 0xc6, 0xc6, 0xc9, 0xc9, 0xca, 0xca, 0xc8, 0xc8, 0xc6, 0xc6, 0xc5, 0xc5, 0xc4, 0xc4, 0xc4, 0xc4, 0xc5, 0xc5, 0xc7, 0xc7, 
0xcb, 0xcb, 0xce, 0xce, 0xd3, 0xd3, 0xd8, 0xd8, 0xdc, 0xdc, 0xe1, 0xe1, 0xe6, 0xe6, 0xeb, 0xeb, 0xef, 0xef, 0xf2, 0xf2, 0xf4, 0xf4, 0xf5, 0xf5, 0xf5, 0xf5, 
0xf3, 0xf3, 0xf2, 0xf2, 0xf0, 0xf0, 0xef, 0xef, 0xef, 0xef, 0xf0, 0xf0, 0xf3, 0xf3, 0xf6, 0xf6, 0xf9, 0xf9, 0xfd, 0xfd, 0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 
0xf2, 0xf2, 0xe0, 0xe0, 0xc6, 0xc6, 0xa5, 0xa5, 0x82, 0x82, 0x62, 0x62, 0x48, 0x48, 0x34, 0x34, 0x27, 0x27, 0x22, 0x22, 0x26, 0x26, 0x2f, 0x2f, 0x3a, 0x3a, 
0x42, 0x42, 0x47, 0x47, 0x49, 0x49, 0x48, 0x48, 0x46, 0x46, 0x44, 0x44, 0x41, 0x41, 0x3f, 0x3f, 0x40, 0x40, 0x42, 0x42, 0x46, 0x46, 0x4a, 0x4a, 0x4b, 0x4b, 
0x4b, 0x4b, 0x49, 0x49, 0x46, 0x46, 0x43, 0x43, 0x3e, 0x3e, 0x3a, 0x3a, 0x35, 0x35, 0x30, 0x30, 0x2a, 0x2a, 0x24, 0x24, 0x1e, 0x1e, 0x1a, 0x1a, 0x19, 0x19, 
0x1a, 0x1a, 0x1e, 0x1e, 0x27, 0x27, 0x33, 0x33, 0x41, 0x41, 0x4f, 0x4f, 0x5b, 0x5b, 0x62, 0x62, 0x66, 0x66, 0x66, 0x66, 0x63, 0x63, 0x5d, 0x5d, 0x56, 0x56, 
0x51, 0x51, 0x51, 0x51, 0x56, 0x56, 0x61, 0x61, 0x70, 0x70, 0x84, 0x84, 0x9a, 0x9a, 0xb2, 0xb2, 0xc8, 0xc8, 0xdb, 0xdb, 0xe9, 0xe9, 0xf2, 0xf2, 0xf8, 0xf8, 
0xfa, 0xfa, 0xfa, 0xfa, 0xf7, 0xf7, 0xf3, 0xf3, 0xed, 0xed, 0xe6, 0xe6, 0xdd, 0xdd, 0xd4, 0xd4, 0xc9, 0xc9, 0xbe, 0xbe, 0xb3, 0xb3, 0xa9, 0xa9, 0xa0, 0xa0, 
0x9a, 0x9a, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x7d, 0x7d, 0x72, 0x72, 0x66, 0x66, 0x5b, 0x5b, 0x52, 0x52, 0x4c, 0x4c, 0x4a, 0x4a, 0x4d, 0x4d, 0x56, 0x56, 
0x63, 0x63, 0x70, 0x70, 0x7b, 0x7b, 0x80, 0x80, 0x82, 0x82, 0x7f, 0x7f, 0x77, 0x77, 0x6b, 0x6b, 0x5d, 0x5d, 0x4e, 0x4e, 0x41, 0x41, 0x37, 0x37, 0x2f, 0x2f, 
0x29, 0x29, 0x24, 0x24, 0x20, 0x20, 0x1d, 0x1d, 0x1b, 0x1b, 0x19, 0x19, 0x17, 0x17, 0x16, 0x16, 0x15, 0x15, 0x13, 0x13, 0x12, 0x12, 0x10, 0x10, 0x0d, 0x0d, 
0x0a, 0x0a, 0x07, 0x07, 0x05, 0x05, 0x02, 0x02, 0x02, 0x02, 0x03, 0x03, 0x07, 0x07, 0x0d, 0x0d, 0x16, 0x16, 0x22, 0x22, 0x30, 0x30, 0x3f, 0x3f, 0x4d, 0x4d, 
0x5b, 0x5b, 0x67, 0x67, 0x72, 0x72, 0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 
0xbc, 0xbc, 0xbf, 0xbf, 0xc1, 0xc1, 0xc2, 0xc2, 0xc4, 0xc4, 0xc6, 0xc6, 0xc8, 0xc8, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 0xce, 0xce, 0xcc, 0xcc, 0xc9, 0xc9, 
0xc6, 0xc6, 0xc4, 0xc4, 0xc3, 0xc3, 0xc4, 0xc4, 0xc5, 0xc5, 0xc6, 0xc6, 0xc6, 0xc6, 0xc5, 0xc5, 0xc1, 0xc1, 0xbb, 0xbb, 0xb3, 0xb3, 0xaa, 0xaa, 0xa2, 0xa2, 
0x9c, 0x9c, 0x9b, 0x9b, 0x9d, 0x9d, 0xa2, 0xa2, 0xa9, 0xa9, 0xb0, 0xb0, 0xb8, 0xb8, 0xbd, 0xbd, 0xc0, 0xc0, 0xbf, 0xbf, 0xbb, 0xbb, 0xb6, 0xb6, 0xaf, 0xaf, 
0xa8, 0xa8, 0xa0, 0xa0, 0x99, 0x99, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 
0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xac, 0xac, 0xb3, 0xb3, 0xbd, 0xbd, 0xca, 0xca, 0xd9, 0xd9, 
0xe7, 0xe7, 0xf2, 0xf2, 0xf9, 0xf9, 0xfb, 0xfb, 0xf7, 0xf7, 0xea, 0xea, 0xd6, 0xd6, 0xbd, 0xbd, 0xa0, 0xa0, 0x83, 0x83, 0x67, 0x67, 0x4e, 0x4e, 0x3b, 0x3b, 
0x30, 0x30, 0x2f, 0x2f, 0x35, 0x35, 0x40, 0x40, 0x4c, 0x4c, 0x59, 0x59, 0x64, 0x64, 0x6d, 0x6d, 0x71, 0x71, 0x72, 0x72, 0x6f, 0x6f, 0x6a, 0x6a, 0x62, 0x62, 
0x59, 0x59, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 0x43, 0x43, 0x48, 0x48, 0x50, 0x50, 0x58, 0x58, 0x5f, 0x5f, 0x65, 0x65, 0x69, 0x69, 
0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 
0x85, 0x85, 0x80, 0x80, 0x78, 0x78, 0x6c, 0x6c, 0x60, 0x60, 0x56, 0x56, 0x4d, 0x4d, 0x48, 0x48, 0x48, 0x48, 0x4e, 0x4e, 0x5b, 0x5b, 0x6c, 0x6c, 0x80, 0x80, 
0x95, 0x95, 0xab, 0xab, 0xbf, 0xbf, 0xd1, 0xd1, 0xdf, 0xdf, 0xe9, 0xe9, 0xee, 0xee, 0xee, 0xee, 0xe9, 0xe9, 0xdf, 0xdf, 0xd0, 0xd0, 0xbf, 0xbf, 0xae, 0xae, 
0x9d, 0x9d, 0x8e, 0x8e, 0x81, 0x81, 0x7a, 0x7a, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x86, 0x86, 
0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 
0x46, 0x46, 0x40, 0x40, 0x39, 0x39, 0x32, 0x32, 0x2c, 0x2c, 0x29, 0x29, 0x29, 0x29, 0x2b, 0x2b, 0x2f, 0x2f, 0x33, 0x33, 0x38, 0x38, 0x3d, 0x3d, 0x41, 0x41, 
0x42, 0x42, 0x42, 0x42, 0x3f, 0x3f, 0x3a, 0x3a, 0x35, 0x35, 0x2f, 0x2f, 0x28, 0x28, 0x22, 0x22, 0x1d, 0x1d, 0x19, 0x19, 0x16, 0x16, 0x16, 0x16, 0x19, 0x19, 
0x20, 0x20, 0x2a, 0x2a, 0x35, 0x35, 0x43, 0x43, 0x51, 0x51, 0x5f, 0x5f, 0x6d, 0x6d, 0x78, 0x78, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 
0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 0xae, 0xae, 
0xb0, 0xb0, 0xb0, 0xb0, 0xb1, 0xb1, 0xb1, 0xb1, 0xb2, 0xb2, 0xb4, 0xb4, 0xb8, 0xb8, 0xbe, 0xbe, 0xc3, 0xc3, 0xc8, 0xc8, 0xcb, 0xcb, 0xce, 0xce, 0xce, 0xce, 
0xcc, 0xcc, 0xc9, 0xc9, 0xc5, 0xc5, 0xbf, 0xbf, 0xb9, 0xb9, 0xb3, 0xb3, 0xad, 0xad, 0xa8, 0xa8, 0xa5, 0xa5, 0xa5, 0xa5, 0xa7, 0xa7, 0xaa, 0xaa, 0xb0, 0xb0, 
0xb6, 0xb6, 0xbd, 0xbd, 0xc3, 0xc3, 0xc6, 0xc6, 0xc6, 0xc6, 0xc2, 0xc2, 0xbd, 0xbd, 0xb5, 0xb5, 0xac, 0xac, 0xa2, 0xa2, 0x99, 0x99, 0x92, 0x92, 0x8e, 0x8e, 
0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x95, 0x95, 0x9d, 0x9d, 0xa5, 0xa5, 0xae, 0xae, 0xb6, 0xb6, 0xbd, 0xbd, 0xc4, 0xc4, 0xc9, 0xc9, 0xcd, 0xcd, 0xd0, 0xd0, 
0xd4, 0xd4, 0xd8, 0xd8, 0xdd, 0xdd, 0xe3, 0xe3, 0xea, 0xea, 0xf0, 0xf0, 0xf5, 0xf5, 0xfa, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 
0xf9, 0xf9, 0xf2, 0xf2, 0xe9, 0xe9, 0xde, 0xde, 0xce, 0xce, 0xbc, 0xbc, 0xa7, 0xa7, 0x92, 0x92, 0x80, 0x80, 0x71, 0x71, 0x66, 0x66, 0x5d, 0x5d, 0x57, 0x57, 
0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4e, 0x4e, 0x4b, 0x4b, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3d, 0x3d, 0x3a, 0x3a, 0x38, 0x38, 0x37, 0x37, 0x37, 0x37, 
0x37, 0x37, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 0x3f, 0x3f, 0x41, 0x41, 0x42, 0x42, 0x40, 0x40, 0x3d, 0x3d, 0x39, 0x39, 0x35, 0x35, 0x31, 0x31, 0x2d, 0x2d, 
0x2c, 0x2c, 0x2e, 0x2e, 0x34, 0x34, 0x3d, 0x3d, 0x48, 0x48, 0x53, 0x53, 0x5f, 0x5f, 0x6a, 0x6a, 0x73, 0x73, 0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7e, 0x7e, 0x83, 0x83, 0x8a, 0x8a, 0x93, 0x93, 0x9d, 0x9d, 0xa8, 0xa8, 0xb2, 0xb2, 0xbd, 0xbd, 0xc5, 0xc5, 
0xcb, 0xcb, 0xd0, 0xd0, 0xd3, 0xd3, 0xd5, 0xd5, 0xd7, 0xd7, 0xd8, 0xd8, 0xd7, 0xd7, 0xd6, 0xd6, 0xd2, 0xd2, 0xce, 0xce, 0xc8, 0xc8, 0xc0, 0xc0, 0xb8, 0xb8, 
0xaf, 0xaf, 0xa5, 0xa5, 0x9d, 0x9d, 0x95, 0x95, 0x8e, 0x8e, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x59, 0x59, 0x52, 0x52, 0x4c, 0x4c, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3e, 0x3e, 
0x3a, 0x3a, 0x37, 0x37, 0x34, 0x34, 0x31, 0x31, 0x30, 0x30, 0x31, 0x31, 0x34, 0x34, 0x37, 0x37, 0x3a, 0x3a, 0x3e, 0x3e, 0x40, 0x40, 0x42, 0x42, 0x42, 0x42, 
0x41, 0x41, 0x3e, 0x3e, 0x3b, 0x3b, 0x38, 0x38, 0x36, 0x36, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x35, 0x35, 0x37, 0x37, 0x3a, 0x3a, 0x3d, 0x3d, 0x41, 0x41, 
0x45, 0x45, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x65, 0x65, 0x6d, 0x6d, 0x75, 0x75, 0x7d, 0x7d, 
0x84, 0x84, 0x89, 0x89, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x8b, 0x8b, 0x90, 0x90, 
0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 
0x76, 0x76, 0x6f, 0x6f, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 0x59, 0x59, 0x57, 0x57, 0x59, 0x59, 0x5e, 0x5e, 0x64, 0x64, 0x6a, 0x6a, 0x6f, 0x6f, 0x74, 0x74, 
0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x80, 0x80, 
0x86, 0x86, 0x8e, 0x8e, 0x97, 0x97, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xad, 0xad, 0xae, 0xae, 0xaf, 0xaf, 0xae, 0xae, 0xae, 0xae, 0xad, 0xad, 0xad, 0xad, 
0xae, 0xae, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xba, 0xba, 0xbe, 0xbe, 0xc3, 0xc3, 0xc7, 0xc7, 0xcb, 0xcb, 0xce, 0xce, 0xd0, 0xd0, 0xd0, 0xd0, 0xcf, 0xcf, 
0xcd, 0xcd, 0xc9, 0xc9, 0xc4, 0xc4, 0xbf, 0xbf, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xaa, 0xaa, 0xa7, 0xa7, 0xa6, 0xa6, 0xa7, 0xa7, 0xa9, 0xa9, 0xad, 0xad, 
0xb2, 0xb2, 0xb7, 0xb7, 0xbd, 0xbd, 0xc1, 0xc1, 0xc4, 0xc4, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc5, 0xc5, 0xc6, 0xc6, 0xc6, 0xc6, 0xc7, 0xc7, 
0xc9, 0xc9, 0xca, 0xca, 0xcc, 0xcc, 0xcd, 0xcd, 0xce, 0xce, 0xce, 0xce, 0xcc, 0xcc, 0xc7, 0xc7, 0xc0, 0xc0, 0xb7, 0xb7, 0xad, 0xad, 0xa2, 0xa2, 0x96, 0x96, 
0x8b, 0x8b, 0x81, 0x81, 0x7a, 0x7a, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x52, 0x52, 0x4b, 0x4b, 0x46, 0x46, 
0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x44, 0x44, 0x46, 0x46, 0x49, 0x49, 0x4a, 0x4a, 0x4b, 0x4b, 0x4b, 0x4b, 0x4b, 0x4b, 0x4c, 0x4c, 0x4c, 0x4c, 0x4d, 0x4d, 
0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4c, 0x4c, 0x48, 0x48, 0x43, 0x43, 0x3d, 0x3d, 0x37, 0x37, 0x33, 0x33, 0x30, 0x30, 0x2f, 0x2f, 0x31, 0x31, 0x34, 0x34, 
0x39, 0x39, 0x40, 0x40, 0x46, 0x46, 0x4b, 0x4b, 0x50, 0x50, 0x52, 0x52, 0x54, 0x54, 0x54, 0x54, 0x52, 0x52, 0x51, 0x51, 0x50, 0x50, 0x51, 0x51, 0x55, 0x55, 
0x5b, 0x5b, 0x63, 0x63, 0x6d, 0x6d, 0x79, 0x79, 0x85, 0x85, 0x92, 0x92, 0x9d, 0x9d, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xb8, 0xb8, 0xb9, 0xb9, 0xb9, 0xb9, 
0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa9, 0xa9, 
0xa6, 0xa6, 0xa3, 0xa3, 0x9f, 0x9f, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 
0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x71, 0x71, 0x6b, 0x6b, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 
0x52, 0x52, 0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x52, 0x52, 0x56, 0x56, 0x5a, 0x5a, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 
0x72, 0x72, 0x71, 0x71, 0x6e, 0x6e, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 
0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa7, 0xa7, 0xa8, 0xa8, 0xa9, 0xa9, 0xaa, 0xaa, 0xac, 0xac, 0xaf, 0xaf, 0xb1, 0xb1, 0xb2, 0xb2, 0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xb3, 0xb3, 0xb0, 0xb0, 
0xad, 0xad, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 
0x7e, 0x7e, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x59, 0x59, 0x58, 0x58, 
0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4c, 0x4c, 0x48, 0x48, 0x45, 0x45, 0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x42, 0x42, 
0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x43, 0x3f, 0x3f, 0x3b, 0x3b, 0x37, 0x37, 0x35, 0x35, 0x34, 0x34, 0x35, 0x35, 0x37, 0x37, 0x3b, 0x3b, 0x40, 0x40, 
0x45, 0x45, 0x4b, 0x4b, 0x51, 0x51, 0x57, 0x57, 0x5d, 0x5d, 0x63, 0x63, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 
0x98, 0x98, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 
0xa8, 0xa8, 0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xb8, 0xb8, 0xb9, 0xb9, 0xba, 0xba, 0xba, 0xba, 
0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xbb, 0xbb, 0xb7, 0xb7, 0xb0, 0xb0, 0xa9, 0xa9, 0xa0, 0xa0, 0x96, 0x96, 
0x8d, 0x8d, 0x85, 0x85, 0x7f, 0x7f, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 
0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x93, 0x93, 
0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 
0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 0xae, 0xae, 0xb0, 0xb0, 0xb2, 0xb2, 0xb3, 0xb3, 
0xb4, 0xb4, 0xb5, 0xb5, 0xb7, 0xb7, 0xb9, 0xb9, 0xbc, 0xbc, 0xbf, 0xbf, 0xc0, 0xc0, 0xc0, 0xc0, 0xbf, 0xbf, 0xbd, 0xbd, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 
0xb0, 0xb0, 0xac, 0xac, 0xa9, 0xa9, 0xa4, 0xa4, 0xa0, 0xa0, 0x9a, 0x9a, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x85, 0x85, 0x7d, 0x7d, 0x72, 0x72, 0x65, 0x65, 0x58, 0x58, 0x4b, 0x4b, 
0x40, 0x40, 0x37, 0x37, 0x2f, 0x2f, 0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x21, 0x21, 0x22, 0x22, 0x24, 0x24, 0x28, 0x28, 0x2d, 0x2d, 0x33, 0x33, 0x39, 0x39, 
0x40, 0x40, 0x46, 0x46, 0x4b, 0x4b, 0x4d, 0x4d, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x55, 0x55, 0x59, 0x59, 
0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x87, 0x87, 0x8c, 0x8c, 
0x8f, 0x8f, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 
0x98, 0x98, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb8, 0xb8, 0xbd, 0xbd, 
0xc1, 0xc1, 0xc2, 0xc2, 0xc1, 0xc1, 0xbd, 0xbd, 0xb6, 0xb6, 0xae, 0xae, 0xa6, 0xa6, 0x9f, 0x9f, 0x98, 0x98, 0x92, 0x92, 0x8c, 0x8c, 0x88, 0x88, 0x84, 0x84, 
0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x64, 0x64, 
0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 
0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8e, 0x8e, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x8b, 0x8b, 0x8f, 0x8f, 
0x93, 0x93, 0x98, 0x98, 0x9d, 0x9d, 0xa1, 0xa1, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 
0x77, 0x77, 0x70, 0x70, 0x68, 0x68, 0x5f, 0x5f, 0x57, 0x57, 0x4f, 0x4f, 0x49, 0x49, 0x45, 0x45, 0x43, 0x43, 0x44, 0x44, 0x47, 0x47, 0x4b, 0x4b, 0x4f, 0x4f, 
0x54, 0x54, 0x58, 0x58, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 
0x61, 0x61, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 0x74, 0x74, 0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 
0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 
0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 
0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 
0xb2, 0xb2, 0xb5, 0xb5, 0xb6, 0xb6, 0xb5, 0xb5, 0xb3, 0xb3, 0xb0, 0xb0, 0xab, 0xab, 0xa5, 0xa5, 0x9f, 0x9f, 0x99, 0x99, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 
0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 
0x6c, 0x6c, 0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4c, 0x4c, 0x4b, 0x4b, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 
0x56, 0x56, 0x5c, 0x5c, 0x63, 0x63, 0x6a, 0x6a, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 0x7e, 0x7e, 0x78, 0x78, 
0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 
0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x97, 0x97, 0x9f, 0x9f, 0xa6, 0xa6, 
0xad, 0xad, 0xb3, 0xb3, 0xb7, 0xb7, 0xba, 0xba, 0xba, 0xba, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xaf, 0xaf, 0xac, 0xac, 0xaa, 0xaa, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 
0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 
0x71, 0x71, 0x6c, 0x6c, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x5f, 0x5f, 
0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 
0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 
0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 
0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa3, 0xa3, 
0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 
0x6d, 0x6d, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 
0x71, 0x71, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7d, 0x7d, 
0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 
0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9b, 0x9b, 0xa1, 0xa1, 0xa7, 0xa7, 
0xad, 0xad, 0xb1, 0xb1, 0xb5, 0xb5, 0xb7, 0xb7, 0xb8, 0xb8, 0xb8, 0xb8, 0xb7, 0xb7, 0xb5, 0xb5, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 0x9e, 0x9e, 
0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6b, 0x6b, 
0x65, 0x65, 0x5f, 0x5f, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x49, 0x49, 0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x47, 0x47, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4f, 0x4f, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 
0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x96, 0x96, 0x9d, 0x9d, 0xa4, 0xa4, 0xac, 0xac, 0xb2, 0xb2, 0xb8, 0xb8, 
0xbd, 0xbd, 0xc0, 0xc0, 0xc1, 0xc1, 0xc2, 0xc2, 0xc0, 0xc0, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xad, 0xad, 0xa8, 0xa8, 0xa3, 0xa3, 0x9f, 0x9f, 
0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 
0x9e, 0x9e, 0x9b, 0x9b, 0x96, 0x96, 0x90, 0x90, 0x89, 0x89, 0x81, 0x81, 0x79, 0x79, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x56, 0x56, 0x52, 0x52, 
0x50, 0x50, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x63, 0x63, 
0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 
0x59, 0x59, 0x58, 0x58, 0x5a, 0x5a, 0x5e, 0x5e, 0x65, 0x65, 0x6f, 0x6f, 0x7a, 0x7a, 0x85, 0x85, 0x90, 0x90, 0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 0xae, 0xae, 
0xb0, 0xb0, 0xb2, 0xb2, 0xb2, 0xb2, 0xb3, 0xb3, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb3, 0xb3, 0xb2, 0xb2, 0xb0, 0xb0, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 
0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xb1, 0xb1, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xae, 0xae, 0xab, 0xab, 
0xa6, 0xa6, 0xa1, 0xa1, 0x9b, 0x9b, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 
0x78, 0x78, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5b, 0x5b, 
0x55, 0x55, 0x4f, 0x4f, 0x48, 0x48, 0x41, 0x41, 0x3b, 0x3b, 0x35, 0x35, 0x30, 0x30, 0x2e, 0x2e, 0x2d, 0x2d, 0x2e, 0x2e, 0x30, 0x30, 0x34, 0x34, 0x39, 0x39, 
0x3f, 0x3f, 0x45, 0x45, 0x4b, 0x4b, 0x50, 0x50, 0x55, 0x55, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 
0x63, 0x63, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x85, 0x85, 0x8f, 0x8f, 0x98, 0x98, 0xa1, 0xa1, 0xa9, 0xa9, 0xaf, 0xaf, 0xb4, 0xb4, 0xb9, 0xb9, 
0xbc, 0xbc, 0xbe, 0xbe, 0xbf, 0xbf, 0xbe, 0xbe, 0xba, 0xba, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0xa1, 0xa1, 0x9a, 0x9a, 0x94, 0x94, 0x91, 0x91, 0x90, 0x90, 
0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9e, 0x9e, 
0x9b, 0x9b, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8c, 0x8c, 0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x61, 0x61, 0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 
0x4a, 0x4a, 0x4b, 0x4b, 0x4e, 0x4e, 0x52, 0x52, 0x59, 0x59, 0x61, 0x61, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7c, 0x7c, 0x79, 0x79, 
0x74, 0x74, 0x6f, 0x6f, 0x68, 0x68, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x4a, 0x4a, 
0x4b, 0x4b, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 0x5f, 0x5f, 0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 
0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa3, 0xa3, 
0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb6, 0xb6, 0xb8, 0xb8, 0xba, 0xba, 0xbe, 0xbe, 0xc0, 0xc0, 0xc2, 0xc2, 
0xc1, 0xc1, 0xbf, 0xbf, 0xbb, 0xbb, 0xb4, 0xb4, 0xab, 0xab, 0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 
0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x7f, 0x7f, 
0x77, 0x77, 0x70, 0x70, 0x6a, 0x6a, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5c, 0x5c, 0x5a, 0x5a, 
0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 
0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x86, 0x86, 0x8d, 0x8d, 
0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 
0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xb0, 0xb0, 
0xae, 0xae, 0xaa, 0xaa, 0xa3, 0xa3, 0x9a, 0x9a, 0x8f, 0x8f, 0x84, 0x84, 0x77, 0x77, 0x6a, 0x6a, 0x5e, 0x5e, 0x51, 0x51, 0x45, 0x45, 0x3b, 0x3b, 0x32, 0x32, 
0x2d, 0x2d, 0x2a, 0x2a, 0x2a, 0x2a, 0x2f, 0x2f, 0x38, 0x38, 0x43, 0x43, 0x50, 0x50, 0x5d, 0x5d, 0x69, 0x69, 0x74, 0x74, 0x7d, 0x7d, 0x82, 0x82, 0x83, 0x83, 
0x80, 0x80, 0x7b, 0x7b, 0x74, 0x74, 0x6a, 0x6a, 0x60, 0x60, 0x54, 0x54, 0x48, 0x48, 0x3d, 0x3d, 0x32, 0x32, 0x29, 0x29, 0x22, 0x22, 0x1f, 0x1f, 0x1f, 0x1f, 
0x21, 0x21, 0x26, 0x26, 0x2d, 0x2d, 0x35, 0x35, 0x3f, 0x3f, 0x48, 0x48, 0x51, 0x51, 0x5a, 0x5a, 0x64, 0x64, 0x6d, 0x6d, 0x78, 0x78, 0x82, 0x82, 0x8c, 0x8c, 
0x94, 0x94, 0x9b, 0x9b, 0x9f, 0x9f, 0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9e, 0x9e, 0x9b, 0x9b, 0x99, 0x99, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa3, 0xa3, 
0xa9, 0xa9, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 0xbe, 0xbe, 0xc3, 0xc3, 0xc7, 0xc7, 0xca, 0xca, 0xcd, 0xcd, 0xcf, 0xcf, 0xcf, 0xcf, 0xcc, 0xcc, 0xc6, 0xc6, 
0xbe, 0xbe, 0xb4, 0xb4, 0xaa, 0xaa, 0x9f, 0x9f, 0x96, 0x96, 0x8f, 0x8f, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 
0x9d, 0x9d, 0xa1, 0xa1, 0xa4, 0xa4, 0xa8, 0xa8, 0xaa, 0xaa, 0xac, 0xac, 0xad, 0xad, 0xac, 0xac, 0xa9, 0xa9, 0xa3, 0xa3, 0x99, 0x99, 0x8e, 0x8e, 0x81, 0x81, 
0x74, 0x74, 0x68, 0x68, 0x5e, 0x5e, 0x55, 0x55, 0x4f, 0x4f, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 0x51, 0x51, 0x54, 0x54, 
0x57, 0x57, 0x5a, 0x5a, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 
0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 
0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x96, 0x96, 0x9c, 0x9c, 
0xa4, 0xa4, 0xab, 0xab, 0xb3, 0xb3, 0xba, 0xba, 0xc2, 0xc2, 0xca, 0xca, 0xd1, 0xd1, 0xd7, 0xd7, 0xdb, 0xdb, 0xde, 0xde, 0xde, 0xde, 0xdd, 0xdd, 0xd9, 0xd9, 
0xd2, 0xd2, 0xca, 0xca, 0xc0, 0xc0, 0xb4, 0xb4, 0xa8, 0xa8, 0x9c, 0x9c, 0x8f, 0x8f, 0x83, 0x83, 0x78, 0x78, 0x6d, 0x6d, 0x64, 0x64, 0x5e, 0x5e, 0x5a, 0x5a, 
0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 0x5c, 0x5c, 0x5b, 0x5b, 0x57, 0x57, 0x51, 0x51, 0x4b, 0x4b, 0x44, 0x44, 0x3e, 0x3e, 0x39, 0x39, 
0x35, 0x35, 0x34, 0x34, 0x34, 0x34, 0x36, 0x36, 0x39, 0x39, 0x3b, 0x3b, 0x3e, 0x3e, 0x40, 0x40, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x41, 0x41, 
0x40, 0x40, 0x3f, 0x3f, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3c, 0x3c, 0x3c, 0x3c, 0x3d, 0x3d, 0x40, 0x40, 0x44, 0x44, 0x49, 0x49, 0x4e, 0x4e, 0x54, 0x54, 
0x5a, 0x5a, 0x60, 0x60, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 0x8a, 0x8a, 0x92, 0x92, 0x9b, 0x9b, 0xa2, 0xa2, 0xa8, 0xa8, 0xac, 0xac, 
0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xb1, 0xb1, 0xb4, 0xb4, 0xb8, 0xb8, 0xbd, 0xbd, 0xc2, 0xc2, 0xc8, 0xc8, 0xcc, 0xcc, 
0xd1, 0xd1, 0xd4, 0xd4, 0xd7, 0xd7, 0xd9, 0xd9, 0xd9, 0xd9, 0xd8, 0xd8, 0xd4, 0xd4, 0xce, 0xce, 0xc6, 0xc6, 0xbc, 0xbc, 0xb1, 0xb1, 0xa6, 0xa6, 0x9b, 0x9b, 
0x91, 0x91, 0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 
0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 
0x63, 0x63, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 0x4f, 0x4f, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x57, 0x57, 0x5d, 0x5d, 0x63, 0x63, 
0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 
0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xa9, 0xa9, 0xac, 0xac, 
0xae, 0xae, 0xb1, 0xb1, 0xb4, 0xb4, 0xb6, 0xb6, 0xb9, 0xb9, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xac, 0xac, 0xa7, 0xa7, 
0xa3, 0xa3, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 
0x9d, 0x9d, 0x96, 0x96, 0x8c, 0x8c, 0x82, 0x82, 0x76, 0x76, 0x6c, 0x6c, 0x61, 0x61, 0x58, 0x58, 0x51, 0x51, 0x4c, 0x4c, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 
0x4c, 0x4c, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x50, 0x50, 0x4e, 0x4e, 0x4a, 0x4a, 0x45, 0x45, 0x40, 0x40, 0x3b, 0x3b, 0x35, 0x35, 0x30, 0x30, 0x2d, 0x2d, 
0x2b, 0x2b, 0x2a, 0x2a, 0x2b, 0x2b, 0x2e, 0x2e, 0x33, 0x33, 0x38, 0x38, 0x3f, 0x3f, 0x46, 0x46, 0x4e, 0x4e, 0x55, 0x55, 0x5c, 0x5c, 0x63, 0x63, 0x68, 0x68, 
0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 
0x84, 0x84, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 0x9c, 0x9c, 0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb9, 0xb9, 0xbe, 0xbe, 0xc2, 0xc2, 0xc4, 0xc4, 0xc4, 0xc4, 
0xc3, 0xc3, 0xc2, 0xc2, 0xbf, 0xbf, 0xbc, 0xbc, 0xb9, 0xb9, 0xb6, 0xb6, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 
0xa0, 0xa0, 0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x99, 0x99, 0x94, 0x94, 0x8d, 0x8d, 0x84, 0x84, 
0x79, 0x79, 0x6e, 0x6e, 0x63, 0x63, 0x5a, 0x5a, 0x51, 0x51, 0x4b, 0x4b, 0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x48, 0x48, 0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 
0x5c, 0x5c, 0x61, 0x61, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 
0x7c, 0x7c, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa9, 0xa9, 0xae, 0xae, 0xb2, 0xb2, 0xb6, 0xb6, 
0xb9, 0xb9, 0xbc, 0xbc, 0xbe, 0xbe, 0xbf, 0xbf, 0xbe, 0xbe, 0xbb, 0xbb, 0xb8, 0xb8, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 
0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 
0x84, 0x84, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 
0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x65, 0x65, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 
0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 
0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 
0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 
0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 
0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x86, 0x86, 
0x8c, 0x8c, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x98, 0x98, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 
0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 
0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 
0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xaf, 0xaf, 0xb1, 0xb1, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xaf, 0xaf, 
0xae, 0xae, 0xad, 0xad, 0xad, 0xad, 0xae, 0xae, 0xaf, 0xaf, 0xb1, 0xb1, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xb9, 0xb9, 
0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0xa0, 0xa0, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x7a, 0x7a, 0x71, 0x71, 0x6a, 0x6a, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 
0x58, 0x58, 0x56, 0x56, 0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 
0x5b, 0x5b, 0x60, 0x60, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 
0x60, 0x60, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 
0x56, 0x56, 0x54, 0x54, 0x52, 0x52, 0x53, 0x53, 0x56, 0x56, 0x5b, 0x5b, 0x63, 0x63, 0x6c, 0x6c, 0x77, 0x77, 0x83, 0x83, 0x8f, 0x8f, 0x9b, 0x9b, 0xa5, 0xa5, 
0xae, 0xae, 0xb6, 0xb6, 0xbc, 0xbc, 0xc0, 0xc0, 0xc3, 0xc3, 0xc5, 0xc5, 0xc5, 0xc5, 0xc2, 0xc2, 0xbe, 0xbe, 0xb7, 0xb7, 0xaf, 0xaf, 0xa6, 0xa6, 0x9b, 0x9b, 
0x8f, 0x8f, 0x84, 0x84, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 
0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 
0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x67, 0x67, 0x6c, 0x6c, 0x72, 0x72, 0x77, 0x77, 0x7b, 0x7b, 
0x7e, 0x7e, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 0x73, 0x73, 0x6b, 0x6b, 0x63, 0x63, 0x5b, 0x5b, 0x55, 0x55, 0x51, 0x51, 0x50, 0x50, 0x51, 0x51, 0x56, 0x56, 
0x5e, 0x5e, 0x67, 0x67, 0x72, 0x72, 0x7d, 0x7d, 0x88, 0x88, 0x92, 0x92, 0x9c, 0x9c, 0xa5, 0xa5, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xc0, 0xc0, 0xc4, 0xc4, 
0xc8, 0xc8, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xce, 0xce, 0xcc, 0xcc, 0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb9, 0xb9, 
0xb3, 0xb3, 0xae, 0xae, 0xa9, 0xa9, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 
0x88, 0x88, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 
0x88, 0x88, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6a, 0x6a, 0x61, 0x61, 0x57, 0x57, 0x4c, 0x4c, 0x41, 0x41, 0x38, 0x38, 0x2f, 0x2f, 0x28, 0x28, 
0x23, 0x23, 0x1f, 0x1f, 0x1e, 0x1e, 0x1e, 0x1e, 0x20, 0x20, 0x24, 0x24, 0x28, 0x28, 0x2e, 0x2e, 0x35, 0x35, 0x3d, 0x3d, 0x45, 0x45, 0x4e, 0x4e, 0x58, 0x58, 
0x61, 0x61, 0x6a, 0x6a, 0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 0x8c, 0x8c, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa3, 0xa3, 
0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xaa, 0xaa, 0xae, 0xae, 0xb1, 0xb1, 0xb5, 0xb5, 0xb9, 0xb9, 0xbd, 0xbd, 0xc1, 0xc1, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 
0xce, 0xce, 0xd0, 0xd0, 0xd1, 0xd1, 0xd0, 0xd0, 0xce, 0xce, 0xcb, 0xcb, 0xc7, 0xc7, 0xc3, 0xc3, 0xbd, 0xbd, 0xb8, 0xb8, 0xb3, 0xb3, 0xaf, 0xaf, 0xab, 0xab, 
0xa9, 0xa9, 0xa7, 0xa7, 0xa6, 0xa6, 0xa7, 0xa7, 0xa8, 0xa8, 0xa9, 0xa9, 0xac, 0xac, 0xaf, 0xaf, 0xb2, 0xb2, 0xb3, 0xb3, 0xb3, 0xb3, 0xb2, 0xb2, 0xaf, 0xaf, 
0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8c, 0x8c, 0x80, 0x80, 0x73, 0x73, 0x67, 0x67, 0x5b, 0x5b, 0x50, 0x50, 0x47, 0x47, 0x3e, 0x3e, 0x37, 0x37, 0x30, 0x30, 
0x2a, 0x2a, 0x25, 0x25, 0x20, 0x20, 0x1d, 0x1d, 0x1c, 0x1c, 0x1c, 0x1c, 0x1c, 0x1c, 0x1f, 0x1f, 0x22, 0x22, 0x26, 0x26, 0x29, 0x29, 0x2c, 0x2c, 0x2d, 0x2d, 
0x2e, 0x2e, 0x2e, 0x2e, 0x2e, 0x2e, 0x2d, 0x2d, 0x2e, 0x2e, 0x2f, 0x2f, 0x31, 0x31, 0x35, 0x35, 0x3b, 0x3b, 0x42, 0x42, 0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 
0x70, 0x70, 0x7e, 0x7e, 0x8d, 0x8d, 0x9a, 0x9a, 0xa6, 0xa6, 0xaf, 0xaf, 0xb4, 0xb4, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xb0, 0xb0, 0xab, 0xab, 0xa7, 0xa7, 
0xa4, 0xa4, 0xa2, 0xa2, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xae, 0xae, 0xb1, 0xb1, 0xb4, 0xb4, 0xb7, 0xb7, 0xbb, 0xbb, 
0xbf, 0xbf, 0xc3, 0xc3, 0xc7, 0xc7, 0xc9, 0xc9, 0xca, 0xca, 0xca, 0xca, 0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb7, 0xb7, 0xaf, 0xaf, 0xa6, 0xa6, 0x9d, 0x9d, 
0x94, 0x94, 0x8a, 0x8a, 0x81, 0x81, 0x78, 0x78, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 0x48, 0x48, 
0x45, 0x45, 0x41, 0x41, 0x3d, 0x3d, 0x38, 0x38, 0x33, 0x33, 0x2f, 0x2f, 0x2b, 0x2b, 0x28, 0x28, 0x26, 0x26, 0x25, 0x25, 0x25, 0x25, 0x26, 0x26, 0x27, 0x27, 
0x2a, 0x2a, 0x2d, 0x2d, 0x31, 0x31, 0x36, 0x36, 0x3b, 0x3b, 0x41, 0x41, 0x46, 0x46, 0x4b, 0x4b, 0x4f, 0x4f, 0x53, 0x53, 0x56, 0x56, 0x58, 0x58, 0x5a, 0x5a, 
0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x7a, 0x7a, 0x83, 0x83, 0x8c, 0x8c, 0x94, 0x94, 0x9c, 0x9c, 0xa2, 0xa2, 
0xa6, 0xa6, 0xa9, 0xa9, 0xac, 0xac, 0xad, 0xad, 0xae, 0xae, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xbb, 0xbb, 0xc1, 0xc1, 0xc9, 0xc9, 0xd1, 0xd1, 0xdb, 0xdb, 
0xe4, 0xe4, 0xec, 0xec, 0xf3, 0xf3, 0xf8, 0xf8, 0xfb, 0xfb, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 0xf1, 0xf1, 0xeb, 0xeb, 0xe5, 0xe5, 0xdf, 0xdf, 0xd8, 0xd8, 
0xd2, 0xd2, 0xcb, 0xcb, 0xc4, 0xc4, 0xbd, 0xbd, 0xb5, 0xb5, 0xae, 0xae, 0xa6, 0xa6, 0x9e, 0x9e, 0x96, 0x96, 0x8f, 0x8f, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 
0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x73, 0x73, 0x6d, 0x6d, 0x66, 0x66, 0x5e, 0x5e, 
0x56, 0x56, 0x4f, 0x4f, 0x4a, 0x4a, 0x45, 0x45, 0x42, 0x42, 0x41, 0x41, 0x42, 0x42, 0x45, 0x45, 0x49, 0x49, 0x4e, 0x4e, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 
0x60, 0x60, 0x61, 0x61, 0x60, 0x60, 0x5d, 0x5d, 0x59, 0x59, 0x54, 0x54, 0x4e, 0x4e, 0x49, 0x49, 0x45, 0x45, 0x43, 0x43, 0x43, 0x43, 0x46, 0x46, 0x4b, 0x4b, 
0x53, 0x53, 0x5d, 0x5d, 0x68, 0x68, 0x73, 0x73, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 
0xa0, 0xa0, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x73, 0x73, 0x6c, 0x6c, 0x64, 0x64, 
0x5b, 0x5b, 0x54, 0x54, 0x4d, 0x4d, 0x48, 0x48, 0x45, 0x45, 0x43, 0x43, 0x44, 0x44, 0x47, 0x47, 0x4b, 0x4b, 0x51, 0x51, 0x58, 0x58, 0x60, 0x60, 0x68, 0x68, 
0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 0x79, 0x79, 0x75, 0x75, 0x6d, 0x6d, 0x63, 0x63, 0x57, 0x57, 0x4a, 0x4a, 0x3c, 0x3c, 0x2f, 0x2f, 0x26, 0x26, 
0x21, 0x21, 0x20, 0x20, 0x23, 0x23, 0x2b, 0x2b, 0x37, 0x37, 0x45, 0x45, 0x54, 0x54, 0x63, 0x63, 0x71, 0x71, 0x7d, 0x7d, 0x87, 0x87, 0x8e, 0x8e, 0x93, 0x93, 
0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x78, 0x78, 0x7c, 0x7c, 0x83, 0x83, 0x8c, 0x8c, 
0x96, 0x96, 0xa1, 0xa1, 0xac, 0xac, 0xb6, 0xb6, 0xc0, 0xc0, 0xc9, 0xc9, 0xd1, 0xd1, 0xd8, 0xd8, 0xdd, 0xdd, 0xe0, 0xe0, 0xe2, 0xe2, 0xe1, 0xe1, 0xdf, 0xdf, 
0xda, 0xda, 0xd4, 0xd4, 0xcc, 0xcc, 0xc3, 0xc3, 0xbb, 0xbb, 0xb3, 0xb3, 0xac, 0xac, 0xa7, 0xa7, 0xa3, 0xa3, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa7, 0xa7, 
0xaa, 0xaa, 0xac, 0xac, 0xad, 0xad, 0xae, 0xae, 0xad, 0xad, 0xab, 0xab, 0xa8, 0xa8, 0xa4, 0xa4, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 
0x7d, 0x7d, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 
0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7c, 0x7c, 0x77, 0x77, 0x6f, 0x6f, 0x66, 0x66, 0x5d, 0x5d, 0x54, 0x54, 0x4d, 0x4d, 0x48, 0x48, 
0x48, 0x48, 0x4c, 0x4c, 0x55, 0x55, 0x60, 0x60, 0x6f, 0x6f, 0x81, 0x81, 0x94, 0x94, 0xa5, 0xa5, 0xb4, 0xb4, 0xc0, 0xc0, 0xc8, 0xc8, 0xcb, 0xcb, 0xca, 0xca, 
0xc4, 0xc4, 0xbb, 0xbb, 0xaf, 0xaf, 0xa2, 0xa2, 0x94, 0x94, 0x86, 0x86, 0x7a, 0x7a, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 
0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x68, 0x68, 0x71, 0x71, 0x7c, 0x7c, 0x88, 0x88, 0x96, 0x96, 0xa3, 0xa3, 
0xaf, 0xaf, 0xb9, 0xb9, 0xbf, 0xbf, 0xc3, 0xc3, 0xc3, 0xc3, 0xc0, 0xc0, 0xba, 0xba, 0xb2, 0xb2, 0xa8, 0xa8, 0x9d, 0x9d, 0x93, 0x93, 0x89, 0x89, 0x80, 0x80, 
0x79, 0x79, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 
0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 0x54, 0x54, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 
0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 
0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4b, 0x4b, 0x45, 0x45, 0x40, 0x40, 0x3e, 0x3e, 0x3d, 0x3d, 0x3e, 0x3e, 0x40, 0x40, 0x44, 0x44, 0x48, 0x48, 0x4c, 0x4c, 
0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5e, 0x5e, 0x65, 0x65, 0x6c, 0x6c, 0x75, 0x75, 0x7f, 0x7f, 0x89, 0x89, 0x94, 0x94, 0xa0, 0xa0, 0xab, 0xab, 0xb5, 0xb5, 
0xbd, 0xbd, 0xc5, 0xc5, 0xca, 0xca, 0xcd, 0xcd, 0xce, 0xce, 0xce, 0xce, 0xcd, 0xcd, 0xcb, 0xcb, 0xc9, 0xc9, 0xc7, 0xc7, 0xc6, 0xc6, 0xc6, 0xc6, 0xc7, 0xc7, 
0xc9, 0xc9, 0xcb, 0xcb, 0xca, 0xca, 0xc8, 0xc8, 0xc3, 0xc3, 0xbd, 0xbd, 0xb5, 0xb5, 0xac, 0xac, 0xa2, 0xa2, 0x9a, 0x9a, 0x94, 0x94, 0x90, 0x90, 0x8f, 0x8f, 
0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 
0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x63, 0x63, 0x5c, 0x5c, 0x55, 0x55, 0x4d, 0x4d, 0x44, 0x44, 
0x3c, 0x3c, 0x34, 0x34, 0x2d, 0x2d, 0x28, 0x28, 0x25, 0x25, 0x24, 0x24, 0x24, 0x24, 0x26, 0x26, 0x29, 0x29, 0x2c, 0x2c, 0x2f, 0x2f, 0x31, 0x31, 0x31, 0x31, 
0x31, 0x31, 0x31, 0x31, 0x31, 0x31, 0x34, 0x34, 0x39, 0x39, 0x40, 0x40, 0x4a, 0x4a, 0x57, 0x57, 0x65, 0x65, 0x75, 0x75, 0x84, 0x84, 0x91, 0x91, 0x9d, 0x9d, 
0xa6, 0xa6, 0xab, 0xab, 0xad, 0xad, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9d, 0x9d, 0x98, 0x98, 0x93, 0x93, 0x91, 0x91, 0x92, 0x92, 0x95, 0x95, 0x9b, 0x9b, 
0xa2, 0xa2, 0xab, 0xab, 0xb4, 0xb4, 0xbc, 0xbc, 0xc3, 0xc3, 0xc8, 0xc8, 0xca, 0xca, 0xcb, 0xcb, 0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb8, 0xb8, 0xb2, 0xb2, 
0xad, 0xad, 0xa9, 0xa9, 0xa7, 0xa7, 0xa6, 0xa6, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 0x95, 0x95, 
0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9f, 0x9f, 0xa6, 0xa6, 0xae, 0xae, 0xb5, 0xb5, 0xbb, 0xbb, 0xc0, 0xc0, 0xc2, 0xc2, 0xc0, 0xc0, 0xba, 0xba, 0xb1, 0xb1, 
0xa5, 0xa5, 0x97, 0x97, 0x87, 0x87, 0x76, 0x76, 0x67, 0x67, 0x59, 0x59, 0x4f, 0x4f, 0x48, 0x48, 0x44, 0x44, 0x44, 0x44, 0x47, 0x47, 0x4d, 0x4d, 0x54, 0x54, 
0x5b, 0x5b, 0x62, 0x62, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 
0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 0x7f, 0x7f, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 
0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 
0x7d, 0x7d, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7b, 0x7b, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 
0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x73, 0x73, 0x6d, 0x6d, 0x67, 0x67, 0x60, 0x60, 
0x5a, 0x5a, 0x53, 0x53, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 0x41, 0x41, 0x42, 0x42, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 0x56, 0x56, 
0x5d, 0x5d, 0x63, 0x63, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 
0x6d, 0x6d, 0x73, 0x73, 0x7a, 0x7a, 0x81, 0x81, 0x87, 0x87, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 
0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x63, 0x63, 0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 
0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9f, 0x9f, 0xa3, 0xa3, 0xa6, 0xa6, 0xa9, 0xa9, 0xaa, 0xaa, 
0xa9, 0xa9, 0xa8, 0xa8, 0xa4, 0xa4, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 
0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 
0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xae, 0xae, 0xb1, 0xb1, 0xb4, 0xb4, 0xb6, 0xb6, 0xb8, 0xb8, 0xbb, 0xbb, 0xbe, 0xbe, 
0xc0, 0xc0, 0xc3, 0xc3, 0xc6, 0xc6, 0xc9, 0xc9, 0xcb, 0xcb, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 
0xab, 0xab, 0xa1, 0xa1, 0x97, 0x97, 0x8d, 0x8d, 0x85, 0x85, 0x7e, 0x7e, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7c, 0x7c, 0x79, 0x79, 0x74, 0x74, 0x6c, 0x6c, 0x61, 0x61, 0x55, 0x55, 0x47, 0x47, 0x38, 0x38, 0x2a, 0x2a, 0x1e, 0x1e, 0x13, 0x13, 0x0b, 0x0b, 0x06, 0x06, 
0x04, 0x04, 0x04, 0x04, 0x07, 0x07, 0x0d, 0x0d, 0x15, 0x15, 0x1e, 0x1e, 0x28, 0x28, 0x34, 0x34, 0x40, 0x40, 0x4c, 0x4c, 0x57, 0x57, 0x60, 0x60, 0x67, 0x67, 
0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 
0x98, 0x98, 0x9f, 0x9f, 0xa5, 0xa5, 0xab, 0xab, 0xaf, 0xaf, 0xb1, 0xb1, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xaf, 0xaf, 0xae, 0xae, 0xae, 0xae, 
0xad, 0xad, 0xae, 0xae, 0xae, 0xae, 0xb0, 0xb0, 0xb2, 0xb2, 0xb6, 0xb6, 0xb9, 0xb9, 0xbd, 0xbd, 0xc0, 0xc0, 0xc2, 0xc2, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 
0xc2, 0xc2, 0xc1, 0xc1, 0xbf, 0xbf, 0xbe, 0xbe, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb7, 0xb7, 0xb3, 0xb3, 0xae, 0xae, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 
0x96, 0x96, 0x90, 0x90, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x62, 0x62, 0x5b, 0x5b, 0x54, 0x54, 0x4d, 0x4d, 0x48, 0x48, 
0x44, 0x44, 0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x40, 0x40, 0x41, 0x41, 0x42, 0x42, 0x43, 0x43, 0x44, 0x44, 0x44, 0x44, 0x45, 0x45, 0x46, 0x46, 
0x47, 0x47, 0x4a, 0x4a, 0x4e, 0x4e, 0x53, 0x53, 0x57, 0x57, 0x5c, 0x5c, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 
0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 
0x75, 0x75, 0x79, 0x79, 0x7e, 0x7e, 0x84, 0x84, 0x8b, 0x8b, 0x93, 0x93, 0x9c, 0x9c, 0xa7, 0xa7, 0xb4, 0xb4, 0xc0, 0xc0, 0xcb, 0xcb, 0xd5, 0xd5, 0xde, 0xde, 
0xe3, 0xe3, 0xe6, 0xe6, 0xe5, 0xe5, 0xe1, 0xe1, 0xdb, 0xdb, 0xd4, 0xd4, 0xcb, 0xcb, 0xc2, 0xc2, 0xb9, 0xb9, 0xb1, 0xb1, 0xaa, 0xaa, 0xa3, 0xa3, 0x9d, 0x9d, 
0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 0x57, 0x57, 0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 
0x46, 0x46, 0x48, 0x48, 0x4d, 0x4d, 0x54, 0x54, 0x5d, 0x5d, 0x66, 0x66, 0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x79, 0x79, 0x78, 0x78, 0x74, 0x74, 0x6e, 0x6e, 
0x68, 0x68, 0x60, 0x60, 0x5a, 0x5a, 0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 0x3d, 0x3d, 0x38, 0x38, 0x33, 0x33, 0x2e, 0x2e, 0x29, 0x29, 0x24, 0x24, 
0x20, 0x20, 0x1d, 0x1d, 0x1b, 0x1b, 0x1b, 0x1b, 0x1c, 0x1c, 0x20, 0x20, 0x26, 0x26, 0x2f, 0x2f, 0x39, 0x39, 0x45, 0x45, 0x52, 0x52, 0x5f, 0x5f, 0x6d, 0x6d, 
0x79, 0x79, 0x84, 0x84, 0x8d, 0x8d, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 0xa4, 0xa4, 0xa9, 0xa9, 0xb0, 0xb0, 0xb8, 0xb8, 
0xc2, 0xc2, 0xcc, 0xcc, 0xd5, 0xd5, 0xdc, 0xdc, 0xe1, 0xe1, 0xe4, 0xe4, 0xe6, 0xe6, 0xe5, 0xe5, 0xe2, 0xe2, 0xde, 0xde, 0xd8, 0xd8, 0xd2, 0xd2, 0xcb, 0xcb, 
0xc4, 0xc4, 0xbe, 0xbe, 0xb8, 0xb8, 0xb4, 0xb4, 0xb1, 0xb1, 0xaf, 0xaf, 0xae, 0xae, 0xae, 0xae, 0xb0, 0xb0, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 
0xb8, 0xb8, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb8, 0xb8, 0xb6, 0xb6, 0xb2, 0xb2, 0xad, 0xad, 0xa6, 0xa6, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 0x7d, 0x7d, 
0x70, 0x70, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x47, 0x47, 0x42, 0x42, 0x40, 0x40, 0x40, 0x40, 0x42, 0x42, 0x44, 0x44, 0x48, 0x48, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4e, 0x4e, 0x4f, 0x4f, 0x4e, 0x4e, 0x4c, 0x4c, 0x4a, 0x4a, 0x46, 0x46, 0x43, 0x43, 0x3f, 0x3f, 0x3b, 0x3b, 0x38, 0x38, 0x37, 0x37, 0x37, 0x37, 0x3b, 0x3b, 
0x41, 0x41, 0x49, 0x49, 0x52, 0x52, 0x5d, 0x5d, 0x68, 0x68, 0x73, 0x73, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 
0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 
0x9b, 0x9b, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb8, 0xb8, 0xba, 0xba, 0xbc, 0xbc, 0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 
0xbd, 0xbd, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xac, 0xac, 0xa5, 0xa5, 0x9e, 0x9e, 0x99, 0x99, 0x95, 0x95, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 
0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x7a, 0x7a, 0x74, 0x74, 0x6c, 0x6c, 0x65, 0x65, 0x5d, 0x5d, 0x55, 0x55, 
0x4d, 0x4d, 0x44, 0x44, 0x3b, 0x3b, 0x33, 0x33, 0x2b, 0x2b, 0x24, 0x24, 0x1e, 0x1e, 0x1a, 0x1a, 0x18, 0x18, 0x18, 0x18, 0x1b, 0x1b, 0x20, 0x20, 0x26, 0x26, 
0x2d, 0x2d, 0x35, 0x35, 0x3d, 0x3d, 0x45, 0x45, 0x4d, 0x4d, 0x55, 0x55, 0x5d, 0x5d, 0x64, 0x64, 0x6b, 0x6b, 0x71, 0x71, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 
0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x7f, 0x7f, 0x7a, 0x7a, 0x76, 0x76, 
0x75, 0x75, 0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8c, 0x8c, 0x98, 0x98, 0xa6, 0xa6, 0xb3, 0xb3, 0xc1, 0xc1, 0xce, 0xce, 0xda, 0xda, 0xe3, 0xe3, 0xeb, 0xeb, 
0xf1, 0xf1, 0xf6, 0xf6, 0xfa, 0xfa, 0xfc, 0xfc, 0xfe, 0xfe, 0xfe, 0xfe, 0xfd, 0xfd, 0xfb, 0xfb, 0xf6, 0xf6, 0xf0, 0xf0, 0xe6, 0xe6, 0xdb, 0xdb, 0xcf, 0xcf, 
0xc2, 0xc2, 0xb7, 0xb7, 0xac, 0xac, 0xa1, 0xa1, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 
0x59, 0x59, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 
0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x40, 0x40, 0x3c, 0x3c, 0x39, 0x39, 
0x36, 0x36, 0x34, 0x34, 0x31, 0x31, 0x2d, 0x2d, 0x2b, 0x2b, 0x28, 0x28, 0x26, 0x26, 0x24, 0x24, 0x23, 0x23, 0x22, 0x22, 0x22, 0x22, 0x23, 0x23, 0x24, 0x24, 
0x26, 0x26, 0x29, 0x29, 0x2e, 0x2e, 0x35, 0x35, 0x3f, 0x3f, 0x4d, 0x4d, 0x5d, 0x5d, 0x6f, 0x6f, 0x81, 0x81, 0x94, 0x94, 0xa6, 0xa6, 0xb6, 0xb6, 0xc3, 0xc3, 
0xcd, 0xcd, 0xd3, 0xd3, 0xd7, 0xd7, 0xd8, 0xd8, 0xd6, 0xd6, 0xd3, 0xd3, 0xd0, 0xd0, 0xcc, 0xcc, 0xc8, 0xc8, 0xc4, 0xc4, 0xc1, 0xc1, 0xbe, 0xbe, 0xbb, 0xbb, 
0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xac, 0xac, 0xa6, 0xa6, 0x9f, 0x9f, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x89, 0x89, 
0x82, 0x82, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 
0x3f, 0x3f, 0x3c, 0x3c, 0x3a, 0x3a, 0x38, 0x38, 0x37, 0x37, 0x35, 0x35, 0x34, 0x34, 0x33, 0x33, 0x33, 0x33, 0x34, 0x34, 0x36, 0x36, 0x39, 0x39, 0x3e, 0x3e, 
0x43, 0x43, 0x48, 0x48, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 
0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0xa1, 0xa1, 0xa6, 0xa6, 0xae, 0xae, 0xb8, 0xb8, 0xc3, 0xc3, 0xcf, 0xcf, 0xdb, 0xdb, 0xe5, 0xe5, 0xec, 0xec, 0xed, 0xed, 
0xe8, 0xe8, 0xdf, 0xdf, 0xd3, 0xd3, 0xc6, 0xc6, 0xb9, 0xb9, 0xac, 0xac, 0xa3, 0xa3, 0x9d, 0x9d, 0x9b, 0x9b, 0x9c, 0x9c, 0xa0, 0xa0, 0xa5, 0xa5, 0xab, 0xab, 
0xb1, 0xb1, 0xb5, 0xb5, 0xb6, 0xb6, 0xb2, 0xb2, 0xac, 0xac, 0xa2, 0xa2, 0x97, 0x97, 0x8a, 0x8a, 0x7e, 0x7e, 0x73, 0x73, 0x6b, 0x6b, 0x66, 0x66, 0x65, 0x65, 
0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x67, 0x67, 0x66, 0x66, 0x63, 0x63, 0x5d, 0x5d, 0x56, 0x56, 0x4d, 0x4d, 0x44, 0x44, 0x3b, 0x3b, 0x34, 0x34, 0x2e, 0x2e, 
0x2c, 0x2c, 0x2d, 0x2d, 0x32, 0x32, 0x38, 0x38, 0x40, 0x40, 0x48, 0x48, 0x51, 0x51, 0x59, 0x59, 0x60, 0x60, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 
0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 
0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x97, 0x97, 0x9e, 0x9e, 0xa7, 0xa7, 0xaf, 0xaf, 
0xb8, 0xb8, 0xbe, 0xbe, 0xc2, 0xc2, 0xc4, 0xc4, 0xc3, 0xc3, 0xc0, 0xc0, 0xbb, 0xbb, 0xb5, 0xb5, 0xae, 0xae, 0xa7, 0xa7, 0xa1, 0xa1, 0x9c, 0x9c, 0x99, 0x99, 
0x98, 0x98, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x94, 0x94, 0x8b, 0x8b, 0x80, 0x80, 0x74, 0x74, 0x68, 0x68, 0x5c, 0x5c, 
0x52, 0x52, 0x4a, 0x4a, 0x43, 0x43, 0x3f, 0x3f, 0x3c, 0x3c, 0x3b, 0x3b, 0x3d, 0x3d, 0x41, 0x41, 0x47, 0x47, 0x50, 0x50, 0x58, 0x58, 0x60, 0x60, 0x66, 0x66, 
0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 
0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6e, 0x6e, 0x67, 0x67, 0x60, 0x60, 0x59, 0x59, 0x54, 0x54, 0x51, 0x51, 0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 
0x54, 0x54, 0x58, 0x58, 0x5d, 0x5d, 0x63, 0x63, 0x6a, 0x6a, 0x72, 0x72, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 
0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x83, 0x83, 0x7d, 0x7d, 
0x74, 0x74, 0x6b, 0x6b, 0x62, 0x62, 0x58, 0x58, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 0x42, 0x42, 
0x48, 0x48, 0x4f, 0x4f, 0x55, 0x55, 0x5b, 0x5b, 0x61, 0x61, 0x66, 0x66, 0x6a, 0x6a, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x80, 0x80, 0x89, 0x89, 0x92, 0x92, 
0x9a, 0x9a, 0xa1, 0xa1, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 0xa7, 0xa7, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 
0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 
0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa8, 0xa8, 0xa6, 0xa6, 0xa4, 0xa4, 0xa3, 0xa3, 0xa3, 0xa3, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa9, 0xa9, 
0xaa, 0xaa, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8b, 0x8b, 0x84, 0x84, 0x7d, 0x7d, 0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 
0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 0x78, 0x78, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6b, 0x6b, 0x61, 0x61, 
0x54, 0x54, 0x49, 0x49, 0x3f, 0x3f, 0x39, 0x39, 0x37, 0x37, 0x38, 0x38, 0x3c, 0x3c, 0x44, 0x44, 0x4d, 0x4d, 0x58, 0x58, 0x63, 0x63, 0x6d, 0x6d, 0x76, 0x76, 
0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x98, 0x98, 0x9d, 0x9d, 0xa2, 0xa2, 
0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xae, 0xae, 0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 0x98, 0x98, 0x93, 0x93, 0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x89, 0x89, 
0x81, 0x81, 0x77, 0x77, 0x6c, 0x6c, 0x60, 0x60, 0x54, 0x54, 0x4a, 0x4a, 0x42, 0x42, 0x3d, 0x3d, 0x3b, 0x3b, 0x3a, 0x3a, 0x3b, 0x3b, 0x3d, 0x3d, 0x3f, 0x3f, 
0x41, 0x41, 0x40, 0x40, 0x3e, 0x3e, 0x3a, 0x3a, 0x35, 0x35, 0x2e, 0x2e, 0x27, 0x27, 0x21, 0x21, 0x1d, 0x1d, 0x1e, 0x1e, 0x23, 0x23, 0x2c, 0x2c, 0x39, 0x39, 
0x46, 0x46, 0x55, 0x55, 0x63, 0x63, 0x6f, 0x6f, 0x79, 0x79, 0x7f, 0x7f, 0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 
0x73, 0x73, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8c, 0x8c, 0x95, 0x95, 0x9d, 0x9d, 0xa4, 0xa4, 0xaa, 0xaa, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 0xbd, 0xbd, 
0xc3, 0xc3, 0xca, 0xca, 0xd2, 0xd2, 0xda, 0xda, 0xe2, 0xe2, 0xe9, 0xe9, 0xf0, 0xf0, 0xf5, 0xf5, 0xfa, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xfb, 0xfb, 0xf8, 0xf8, 0xf3, 0xf3, 0xed, 0xed, 0xe7, 0xe7, 0xe0, 0xe0, 0xd8, 0xd8, 0xcf, 0xcf, 0xc5, 0xc5, 0xba, 0xba, 0xaf, 0xaf, 0xa3, 0xa3, 
0x99, 0x99, 0x90, 0x90, 0x89, 0x89, 0x82, 0x82, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 0x6b, 0x6b, 0x64, 0x64, 0x5c, 0x5c, 0x55, 0x55, 0x4e, 0x4e, 0x49, 0x49, 
0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4b, 0x4b, 0x4e, 0x4e, 0x51, 0x51, 0x54, 0x54, 0x57, 0x57, 0x58, 0x58, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x57, 0x57, 
0x57, 0x57, 0x56, 0x56, 0x54, 0x54, 0x50, 0x50, 0x4b, 0x4b, 0x46, 0x46, 0x41, 0x41, 0x3d, 0x3d, 0x3a, 0x3a, 0x39, 0x39, 0x38, 0x38, 0x39, 0x39, 0x3b, 0x3b, 
0x3e, 0x3e, 0x42, 0x42, 0x47, 0x47, 0x4e, 0x4e, 0x56, 0x56, 0x5f, 0x5f, 0x6b, 0x6b, 0x77, 0x77, 0x84, 0x84, 0x91, 0x91, 0x9e, 0x9e, 0xa9, 0xa9, 0xb3, 0xb3, 
0xba, 0xba, 0xbf, 0xbf, 0xc0, 0xc0, 0xc0, 0xc0, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb4, 0xb4, 0xb3, 0xb3, 0xb4, 0xb4, 0xb6, 0xb6, 0xb8, 0xb8, 0xb7, 0xb7, 
0xb4, 0xb4, 0xaf, 0xaf, 0xa8, 0xa8, 0xa1, 0xa1, 0x99, 0x99, 0x92, 0x92, 0x8b, 0x8b, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 
0x62, 0x62, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 
0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 0x54, 0x54, 0x4d, 0x4d, 0x46, 0x46, 0x3f, 0x3f, 0x38, 0x38, 0x31, 0x31, 0x2c, 0x2c, 0x27, 0x27, 0x22, 0x22, 0x1f, 0x1f, 
0x1c, 0x1c, 0x1b, 0x1b, 0x19, 0x19, 0x18, 0x18, 0x17, 0x17, 0x15, 0x15, 0x13, 0x13, 0x11, 0x11, 0x0e, 0x0e, 0x0b, 0x0b, 0x0a, 0x0a, 0x0a, 0x0a, 0x0d, 0x0d, 
0x13, 0x13, 0x1c, 0x1c, 0x26, 0x26, 0x2f, 0x2f, 0x37, 0x37, 0x3d, 0x3d, 0x43, 0x43, 0x49, 0x49, 0x50, 0x50, 0x58, 0x58, 0x60, 0x60, 0x6b, 0x6b, 0x76, 0x76, 
0x83, 0x83, 0x8f, 0x8f, 0x99, 0x99, 0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb9, 0xb9, 0xbf, 0xbf, 0xc5, 0xc5, 0xcc, 0xcc, 0xd2, 0xd2, 0xd8, 0xd8, 0xdf, 0xdf, 
0xe5, 0xe5, 0xeb, 0xeb, 0xf2, 0xf2, 0xf7, 0xf7, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 
0xfc, 0xfc, 0xf9, 0xf9, 0xf5, 0xf5, 0xf2, 0xf2, 0xef, 0xef, 0xee, 0xee, 0xed, 0xed, 0xed, 0xed, 0xeb, 0xeb, 0xe8, 0xe8, 0xe2, 0xe2, 0xd9, 0xd9, 0xcb, 0xcb, 
0xb8, 0xb8, 0xa3, 0xa3, 0x8d, 0x8d, 0x78, 0x78, 0x67, 0x67, 0x59, 0x59, 0x4e, 0x4e, 0x46, 0x46, 0x41, 0x41, 0x3e, 0x3e, 0x3c, 0x3c, 0x38, 0x38, 0x32, 0x32, 
0x2c, 0x2c, 0x26, 0x26, 0x20, 0x20, 0x1c, 0x1c, 0x19, 0x19, 0x17, 0x17, 0x15, 0x15, 0x12, 0x12, 0x0f, 0x0f, 0x0c, 0x0c, 0x08, 0x08, 0x06, 0x06, 0x03, 0x03, 
0x02, 0x02, 0x01, 0x01, 0x03, 0x03, 0x05, 0x05, 0x09, 0x09, 0x0f, 0x0f, 0x17, 0x17, 0x21, 0x21, 0x2c, 0x2c, 0x38, 0x38, 0x46, 0x46, 0x54, 0x54, 0x60, 0x60, 
0x6a, 0x6a, 0x71, 0x71, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7f, 0x7f, 0x86, 0x86, 0x91, 0x91, 0x9d, 0x9d, 0xac, 0xac, 
0xbc, 0xbc, 0xcc, 0xcc, 0xd9, 0xd9, 0xe3, 0xe3, 0xe9, 0xe9, 0xeb, 0xeb, 0xea, 0xea, 0xe9, 0xe9, 0xe6, 0xe6, 0xe5, 0xe5, 0xe4, 0xe4, 0xe6, 0xe6, 0xea, 0xea, 
0xee, 0xee, 0xf1, 0xf1, 0xf1, 0xf1, 0xed, 0xed, 0xe6, 0xe6, 0xdd, 0xdd, 0xd6, 0xd6, 0xd0, 0xd0, 0xcc, 0xcc, 0xc9, 0xc9, 0xc6, 0xc6, 0xc3, 0xc3, 0xc0, 0xc0, 
0xbc, 0xbc, 0xb5, 0xb5, 0xac, 0xac, 0xa2, 0xa2, 0x97, 0x97, 0x8b, 0x8b, 0x7f, 0x7f, 0x73, 0x73, 0x66, 0x66, 0x58, 0x58, 0x48, 0x48, 0x38, 0x38, 0x29, 0x29, 
0x1c, 0x1c, 0x13, 0x13, 0x0c, 0x0c, 0x08, 0x08, 0x05, 0x05, 0x04, 0x04, 0x04, 0x04, 0x05, 0x05, 0x07, 0x07, 0x0a, 0x0a, 0x0e, 0x0e, 0x12, 0x12, 0x16, 0x16, 
0x1b, 0x1b, 0x1f, 0x1f, 0x23, 0x23, 0x25, 0x25, 0x25, 0x25, 0x23, 0x23, 0x21, 0x21, 0x1e, 0x1e, 0x1a, 0x1a, 0x16, 0x16, 0x13, 0x13, 0x11, 0x11, 0x10, 0x10, 
0x11, 0x11, 0x14, 0x14, 0x18, 0x18, 0x1e, 0x1e, 0x25, 0x25, 0x2b, 0x2b, 0x31, 0x31, 0x35, 0x35, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 0x41, 0x41, 0x46, 0x46, 
0x4b, 0x4b, 0x51, 0x51, 0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x78, 0x78, 0x83, 0x83, 
0x8e, 0x8e, 0x9a, 0x9a, 0xa7, 0xa7, 0xb4, 0xb4, 0xc1, 0xc1, 0xcd, 0xcd, 0xd9, 0xd9, 0xe3, 0xe3, 0xec, 0xec, 0xf3, 0xf3, 0xf8, 0xf8, 0xfc, 0xfc, 0xfd, 0xfd, 
0xfc, 0xfc, 0xfa, 0xfa, 0xf8, 0xf8, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xf9, 0xf9, 0xf9, 0xf9, 0xfa, 0xfa, 0xf9, 0xf9, 0xf8, 0xf8, 0xf6, 0xf6, 0xf3, 0xf3, 
0xf1, 0xf1, 0xf0, 0xf0, 0xf1, 0xf1, 0xf4, 0xf4, 0xf8, 0xf8, 0xfb, 0xfb, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf0, 0xf0, 0xe3, 0xe3, 0xd2, 0xd2, 0xbe, 0xbe, 
0xa7, 0xa7, 0x91, 0x91, 0x7c, 0x7c, 0x68, 0x68, 0x56, 0x56, 0x47, 0x47, 0x3c, 0x3c, 0x33, 0x33, 0x2c, 0x2c, 0x26, 0x26, 0x20, 0x20, 0x1a, 0x1a, 0x15, 0x15, 
0x10, 0x10, 0x0b, 0x0b, 0x07, 0x07, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 0x12, 0x12, 0x1c, 0x1c, 0x29, 0x29, 0x39, 0x39, 0x4b, 0x4b, 0x5f, 0x5f, 0x73, 0x73, 0x87, 0x87, 
0x9a, 0x9a, 0xa9, 0xa9, 0xb1, 0xb1, 0xb2, 0xb2, 0xad, 0xad, 0xa6, 0xa6, 0x9e, 0x9e, 0x97, 0x97, 0x91, 0x91, 0x8f, 0x8f, 0x92, 0x92, 0x9a, 0x9a, 0xa6, 0xa6, 
0xb3, 0xb3, 0xc0, 0xc0, 0xcc, 0xcc, 0xd7, 0xd7, 0xe0, 0xe0, 0xe9, 0xe9, 0xf0, 0xf0, 0xf7, 0xf7, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 
0xf6, 0xf6, 0xec, 0xec, 0xe0, 0xe0, 0xd4, 0xd4, 0xc9, 0xc9, 0xbf, 0xbf, 0xb6, 0xb6, 0xae, 0xae, 0xa6, 0xa6, 0x9f, 0x9f, 0x98, 0x98, 0x8f, 0x8f, 0x84, 0x84, 
0x78, 0x78, 0x6a, 0x6a, 0x5d, 0x5d, 0x52, 0x52, 0x4a, 0x4a, 0x44, 0x44, 0x40, 0x40, 0x3d, 0x3d, 0x3a, 0x3a, 0x36, 0x36, 0x30, 0x30, 0x28, 0x28, 0x1e, 0x1e, 
0x12, 0x12, 0x08, 0x08, 0x02, 0x02, 0x00, 0x00, 0x01, 0x01, 0x04, 0x04, 0x09, 0x09, 0x0d, 0x0d, 0x11, 0x11, 0x13, 0x13, 0x13, 0x13, 0x11, 0x11, 0x0e, 0x0e, 
0x0d, 0x0d, 0x0f, 0x0f, 0x16, 0x16, 0x1f, 0x1f, 0x2a, 0x2a, 0x32, 0x32, 0x37, 0x37, 0x3a, 0x3a, 0x3a, 0x3a, 0x38, 0x38, 0x36, 0x36, 0x33, 0x33, 0x31, 0x31, 
0x32, 0x32, 0x36, 0x36, 0x3c, 0x3c, 0x42, 0x42, 0x47, 0x47, 0x4b, 0x4b, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 0x63, 0x63, 0x70, 0x70, 0x7d, 0x7d, 0x8b, 0x8b, 
0x97, 0x97, 0xa2, 0xa2, 0xaa, 0xaa, 0xb0, 0xb0, 0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xbc, 0xbc, 0xc4, 0xc4, 0xce, 0xce, 0xda, 0xda, 0xe5, 0xe5, 0xef, 0xef, 
0xf6, 0xf6, 0xfb, 0xfb, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 0xf3, 0xf3, 0xf1, 0xf1, 0xf0, 0xf0, 0xf0, 0xf0, 0xf2, 0xf2, 0xf5, 0xf5, 0xf9, 0xf9, 
0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf4, 0xf4, 0xec, 0xec, 0xe0, 0xe0, 
0xce, 0xce, 0xb6, 0xb6, 0x9b, 0x9b, 0x80, 0x80, 0x68, 0x68, 0x53, 0x53, 0x43, 0x43, 0x36, 0x36, 0x2a, 0x2a, 0x21, 0x21, 0x18, 0x18, 0x11, 0x11, 0x0b, 0x0b, 
0x06, 0x06, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 
0x03, 0x03, 0x04, 0x04, 0x05, 0x05, 0x04, 0x04, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x08, 0x08, 0x10, 0x10, 0x1a, 0x1a, 
0x25, 0x25, 0x31, 0x31, 0x3d, 0x3d, 0x48, 0x48, 0x52, 0x52, 0x5a, 0x5a, 0x61, 0x61, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x81, 0x81, 0x8d, 0x8d, 
0x9c, 0x9c, 0xae, 0xae, 0xc1, 0xc1, 0xd4, 0xd4, 0xe4, 0xe4, 0xef, 0xef, 0xf7, 0xf7, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 
0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf3, 0xf3, 0xec, 0xec, 0xe3, 0xe3, 0xd8, 0xd8, 0xca, 0xca, 0xbb, 0xbb, 0xaa, 0xaa, 0x98, 0x98, 
0x85, 0x85, 0x73, 0x73, 0x62, 0x62, 0x53, 0x53, 0x46, 0x46, 0x3b, 0x3b, 0x34, 0x34, 0x2f, 0x2f, 0x2c, 0x2c, 0x2a, 0x2a, 0x28, 0x28, 0x26, 0x26, 0x23, 0x23, 
0x1f, 0x1f, 0x1c, 0x1c, 0x19, 0x19, 0x17, 0x17, 0x15, 0x15, 0x13, 0x13, 0x12, 0x12, 0x10, 0x10, 0x0f, 0x0f, 0x0c, 0x0c, 0x09, 0x09, 0x05, 0x05, 0x02, 0x02, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x06, 0x06, 0x07, 0x07, 
0x09, 0x09, 0x0a, 0x0a, 0x0b, 0x0b, 0x0d, 0x0d, 0x0e, 0x0e, 0x11, 0x11, 0x15, 0x15, 0x1d, 0x1d, 0x28, 0x28, 0x36, 0x36, 0x46, 0x46, 0x59, 0x59, 0x6d, 0x6d, 
0x83, 0x83, 0x99, 0x99, 0xaf, 0xaf, 0xc3, 0xc3, 0xd6, 0xd6, 0xe6, 0xe6, 0xf1, 0xf1, 0xf9, 0xf9, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfc, 0xfc, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 
0xfe, 0xfe, 0xfd, 0xfd, 0xfb, 0xfb, 0xfa, 0xfa, 0xf9, 0xf9, 0xfa, 0xfa, 0xfa, 0xfa, 0xf9, 0xf9, 0xf3, 0xf3, 0xe7, 0xe7, 0xd7, 0xd7, 0xc2, 0xc2, 0xa8, 0xa8, 
0x8a, 0x8a, 0x6b, 0x6b, 0x4e, 0x4e, 0x38, 0x38, 0x2a, 0x2a, 0x23, 0x23, 0x1f, 0x1f, 0x1e, 0x1e, 0x1d, 0x1d, 0x1d, 0x1d, 0x1b, 0x1b, 0x18, 0x18, 0x14, 0x14, 
0x10, 0x10, 0x0c, 0x0c, 0x0b, 0x0b, 0x0b, 0x0b, 0x0c, 0x0c, 0x0f, 0x0f, 0x13, 0x13, 0x16, 0x16, 0x19, 0x19, 0x1b, 0x1b, 0x1b, 0x1b, 0x19, 0x19, 0x16, 0x16, 
0x11, 0x11, 0x0d, 0x0d, 0x09, 0x09, 0x05, 0x05, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x07, 0x07, 0x0f, 0x0f, 0x18, 0x18, 0x24, 0x24, 
0x31, 0x31, 0x3f, 0x3f, 0x4d, 0x4d, 0x5a, 0x5a, 0x65, 0x65, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x88, 0x88, 0x97, 0x97, 0xa7, 0xa7, 0xba, 0xba, 0xcc, 0xcc, 
0xdd, 0xdd, 0xec, 0xec, 0xf8, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfc, 0xfc, 0xf7, 0xf7, 0xee, 0xee, 0xe4, 0xe4, 0xdb, 0xdb, 0xd3, 0xd3, 0xce, 0xce, 0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbb, 0xbb, 0xb2, 0xb2, 
0xa7, 0xa7, 0x9a, 0x9a, 0x8d, 0x8d, 0x80, 0x80, 0x73, 0x73, 0x67, 0x67, 0x5b, 0x5b, 0x4f, 0x4f, 0x44, 0x44, 0x37, 0x37, 0x2b, 0x2b, 0x1e, 0x1e, 0x12, 0x12, 
0x0a, 0x0a, 0x04, 0x04, 0x02, 0x02, 0x01, 0x01, 0x03, 0x03, 0x06, 0x06, 0x0a, 0x0a, 0x0d, 0x0d, 0x11, 0x11, 0x13, 0x13, 0x15, 0x15, 0x15, 0x15, 0x12, 0x12, 
0x0e, 0x0e, 0x09, 0x09, 0x04, 0x04, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x06, 0x06, 0x06, 0x06, 0x05, 0x05, 0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 
0x01, 0x01, 0x05, 0x05, 0x0e, 0x0e, 0x1d, 0x1d, 0x2f, 0x2f, 0x44, 0x44, 0x5a, 0x5a, 0x70, 0x70, 0x86, 0x86, 0x9b, 0x9b, 0xb0, 0xb0, 0xc4, 0xc4, 0xd7, 0xd7, 
0xe7, 0xe7, 0xf2, 0xf2, 0xf9, 0xf9, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xf7, 0xf7, 0xf5, 0xf5, 0xf3, 0xf3, 0xf3, 0xf3, 0xf5, 0xf5, 0xf7, 0xf7, 0xfa, 0xfa, 
0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xf9, 0xf9, 0xf7, 0xf7, 0xf4, 0xf4, 0xf2, 0xf2, 
0xf0, 0xf0, 0xee, 0xee, 0xe8, 0xe8, 0xdc, 0xdc, 0xc9, 0xc9, 0xb1, 0xb1, 0x97, 0x97, 0x7f, 0x7f, 0x6a, 0x6a, 0x58, 0x58, 0x4a, 0x4a, 0x3d, 0x3d, 0x32, 0x32, 
0x29, 0x29, 0x20, 0x20, 0x18, 0x18, 0x10, 0x10, 0x0a, 0x0a, 0x06, 0x06, 0x04, 0x04, 0x06, 0x06, 0x09, 0x09, 0x0d, 0x0d, 0x0f, 0x0f, 0x0f, 0x0f, 0x0c, 0x0c, 
0x0a, 0x0a, 0x08, 0x08, 0x09, 0x09, 0x0b, 0x0b, 0x0e, 0x0e, 0x13, 0x13, 0x19, 0x19, 0x1f, 0x1f, 0x24, 0x24, 0x28, 0x28, 0x2b, 0x2b, 0x2d, 0x2d, 0x2e, 0x2e, 
0x30, 0x30, 0x32, 0x32, 0x34, 0x34, 0x38, 0x38, 0x3e, 0x3e, 0x46, 0x46, 0x50, 0x50, 0x59, 0x59, 0x60, 0x60, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x71, 0x71, 
0x77, 0x77, 0x80, 0x80, 0x8b, 0x8b, 0x9a, 0x9a, 0xad, 0xad, 0xc1, 0xc1, 0xd3, 0xd3, 0xe1, 0xe1, 0xe9, 0xe9, 0xec, 0xec, 0xec, 0xec, 0xeb, 0xeb, 0xe9, 0xe9, 
0xe8, 0xe8, 0xe8, 0xe8, 0xea, 0xea, 0xee, 0xee, 0xf3, 0xf3, 0xf8, 0xf8, 0xfb, 0xfb, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xf9, 0xf9, 0xf9, 0xf9, 0xf9, 0xf9, 
0xf8, 0xf8, 0xf5, 0xf5, 0xf0, 0xf0, 0xe7, 0xe7, 0xdc, 0xdc, 0xcc, 0xcc, 0xba, 0xba, 0xa5, 0xa5, 0x8f, 0x8f, 0x7a, 0x7a, 0x65, 0x65, 0x53, 0x53, 0x41, 0x41, 
0x32, 0x32, 0x24, 0x24, 0x18, 0x18, 0x0f, 0x0f, 0x09, 0x09, 0x06, 0x06, 0x06, 0x06, 0x07, 0x07, 0x08, 0x08, 0x08, 0x08, 0x07, 0x07, 0x06, 0x06, 0x05, 0x05, 
0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x0b, 0x0b, 0x0e, 0x0e, 0x10, 0x10, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 
0x11, 0x11, 0x10, 0x10, 0x0e, 0x0e, 0x0b, 0x0b, 0x08, 0x08, 0x07, 0x07, 0x0b, 0x0b, 0x14, 0x14, 0x22, 0x22, 0x32, 0x32, 0x45, 0x45, 0x59, 0x59, 0x6d, 0x6d, 
0x82, 0x82, 0x96, 0x96, 0xaa, 0xaa, 0xbe, 0xbe, 0xd0, 0xd0, 0xdf, 0xdf, 0xeb, 0xeb, 0xf4, 0xf4, 0xf9, 0xf9, 0xfa, 0xfa, 0xf6, 0xf6, 0xef, 0xef, 0xe8, 0xe8, 
0xe2, 0xe2, 0xdf, 0xdf, 0xdf, 0xdf, 0xe0, 0xe0, 0xe3, 0xe3, 0xe6, 0xe6, 0xe9, 0xe9, 0xed, 0xed, 0xf1, 0xf1, 0xf5, 0xf5, 0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf5, 0xf5, 0xeb, 0xeb, 0xdd, 0xdd, 0xc9, 0xc9, 0xae, 0xae, 0x8c, 0x8c, 
0x67, 0x67, 0x43, 0x43, 0x27, 0x27, 0x13, 0x13, 0x08, 0x08, 0x03, 0x03, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x07, 0x07, 0x0b, 0x0b, 0x0f, 0x0f, 0x13, 0x13, 
0x17, 0x17, 0x19, 0x19, 0x1a, 0x1a, 0x19, 0x19, 0x16, 0x16, 0x12, 0x12, 0x0d, 0x0d, 0x08, 0x08, 0x04, 0x04, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 
0x03, 0x03, 0x07, 0x07, 0x0b, 0x0b, 0x11, 0x11, 0x17, 0x17, 0x1d, 0x1d, 0x25, 0x25, 0x2d, 0x2d, 0x36, 0x36, 0x3f, 0x3f, 0x49, 0x49, 0x53, 0x53, 0x5d, 0x5d, 
0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x86, 0x86, 0x8f, 0x8f, 0x9d, 0x9d, 0xb0, 0xb0, 0xc4, 0xc4, 0xd6, 0xd6, 0xe6, 0xe6, 
0xf2, 0xf2, 0xf9, 0xf9, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf5, 0xf5, 0xf3, 0xf3, 0xf5, 0xf5, 0xf8, 0xf8, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfc, 0xfc, 0xf5, 0xf5, 0xeb, 0xeb, 0xdf, 0xdf, 0xd1, 0xd1, 0xc4, 0xc4, 0xb7, 0xb7, 0xab, 0xab, 0x9f, 0x9f, 0x93, 0x93, 0x86, 0x86, 0x7a, 0x7a, 0x6d, 0x6d, 
0x61, 0x61, 0x54, 0x54, 0x49, 0x49, 0x40, 0x40, 0x3a, 0x3a, 0x39, 0x39, 0x3a, 0x3a, 0x3a, 0x3a, 0x37, 0x37, 0x30, 0x30, 0x26, 0x26, 0x1b, 0x1b, 0x11, 0x11, 
0x0a, 0x0a, 0x05, 0x05, 0x04, 0x04, 0x07, 0x07, 0x0e, 0x0e, 0x16, 0x16, 0x1f, 0x1f, 0x25, 0x25, 0x28, 0x28, 0x28, 0x28, 0x25, 0x25, 0x21, 0x21, 0x1a, 0x1a, 
0x14, 0x14, 0x0d, 0x0d, 0x09, 0x09, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x07, 0x07, 0x08, 0x08, 0x09, 0x09, 0x0d, 0x0d, 0x12, 0x12, 0x1b, 0x1b, 0x27, 0x27, 
0x37, 0x37, 0x4b, 0x4b, 0x63, 0x63, 0x7e, 0x7e, 0x98, 0x98, 0xaf, 0xaf, 0xc2, 0xc2, 0xd0, 0xd0, 0xdb, 0xdb, 0xe1, 0xe1, 0xe5, 0xe5, 0xe6, 0xe6, 0xe6, 0xe6, 
0xe7, 0xe7, 0xe9, 0xe9, 0xec, 0xec, 0xee, 0xee, 0xf0, 0xf0, 0xf1, 0xf1, 0xf1, 0xf1, 0xf0, 0xf0, 0xee, 0xee, 0xeb, 0xeb, 0xe7, 0xe7, 0xe5, 0xe5, 0xe5, 0xe5, 
0xe7, 0xe7, 0xeb, 0xeb, 0xef, 0xef, 0xf2, 0xf2, 0xf3, 0xf3, 0xf3, 0xf3, 0xf2, 0xf2, 0xf1, 0xf1, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf1, 0xf1, 0xf3, 0xf3, 
0xf3, 0xf3, 0xee, 0xee, 0xe2, 0xe2, 0xcc, 0xcc, 0xaf, 0xaf, 0x91, 0x91, 0x75, 0x75, 0x5e, 0x5e, 0x4b, 0x4b, 0x3d, 0x3d, 0x33, 0x33, 0x2c, 0x2c, 0x28, 0x28, 
0x24, 0x24, 0x20, 0x20, 0x1b, 0x1b, 0x16, 0x16, 0x11, 0x11, 0x0e, 0x0e, 0x0d, 0x0d, 0x0e, 0x0e, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0d, 0x0d, 0x0b, 0x0b, 
0x0a, 0x0a, 0x08, 0x08, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x08, 0x08, 0x0b, 0x0b, 0x10, 0x10, 0x19, 0x19, 0x27, 0x27, 0x38, 0x38, 0x4a, 0x4a, 0x59, 0x59, 
0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 0x82, 0x82, 0x91, 0x91, 0xa2, 0xa2, 0xb3, 0xb3, 0xc2, 0xc2, 0xce, 0xce, 0xd6, 0xd6, 0xda, 0xda, 0xd8, 0xd8, 0xd1, 0xd1, 
0xc8, 0xc8, 0xc1, 0xc1, 0xc1, 0xc1, 0xc8, 0xc8, 0xd5, 0xd5, 0xe3, 0xe3, 0xef, 0xef, 0xf5, 0xf5, 0xf7, 0xf7, 0xf6, 0xf6, 0xf6, 0xf6, 0xf7, 0xf7, 0xfa, 0xfa, 
0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf2, 0xf2, 0xe7, 0xe7, 0xdb, 0xdb, 0xd0, 0xd0, 0xc6, 0xc6, 0xc1, 0xc1, 0xbe, 0xbe, 0xbb, 0xbb, 
0xb7, 0xb7, 0xb1, 0xb1, 0xa8, 0xa8, 0x9d, 0x9d, 0x90, 0x90, 0x81, 0x81, 0x71, 0x71, 0x60, 0x60, 0x4e, 0x4e, 0x3b, 0x3b, 0x29, 0x29, 0x19, 0x19, 0x0e, 0x0e, 
0x08, 0x08, 0x06, 0x06, 0x07, 0x07, 0x09, 0x09, 0x0c, 0x0c, 0x0e, 0x0e, 0x0f, 0x0f, 0x10, 0x10, 0x10, 0x10, 0x0f, 0x0f, 0x0d, 0x0d, 0x0c, 0x0c, 0x0a, 0x0a, 
0x09, 0x09, 0x09, 0x09, 0x0b, 0x0b, 0x0e, 0x0e, 0x12, 0x12, 0x19, 0x19, 0x23, 0x23, 0x30, 0x30, 0x3e, 0x3e, 0x4b, 0x4b, 0x55, 0x55, 0x5b, 0x5b, 0x5d, 0x5d, 
0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x6b, 0x6b, 0x78, 0x78, 0x8b, 0x8b, 0xa2, 0xa2, 0xba, 0xba, 0xd0, 0xd0, 0xe1, 0xe1, 0xef, 0xef, 0xf9, 0xf9, 
0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xfb, 0xfb, 0xf9, 0xf9, 0xf8, 0xf8, 0xf7, 0xf7, 0xf5, 0xf5, 0xf4, 0xf4, 0xf3, 0xf3, 0xf2, 0xf2, 0xf3, 0xf3, 
0xf5, 0xf5, 0xf9, 0xf9, 0xfb, 0xfb, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 0xf1, 0xf1, 0xee, 0xee, 0xed, 0xed, 0xed, 0xed, 0xed, 0xed, 0xef, 0xef, 0xf0, 0xf0, 
0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xef, 0xef, 0xed, 0xed, 0xea, 0xea, 0xe5, 0xe5, 0xde, 0xde, 0xd4, 0xd4, 0xc5, 0xc5, 0xae, 0xae, 0x90, 0x90, 0x6e, 0x6e, 
0x4d, 0x4d, 0x31, 0x31, 0x1b, 0x1b, 0x0d, 0x0d, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 
0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x05, 0x05, 0x08, 0x08, 0x0a, 0x0a, 0x0d, 0x0d, 0x12, 0x12, 0x18, 0x18, 0x20, 0x20, 0x29, 0x29, 0x32, 0x32, 0x3b, 0x3b, 
0x44, 0x44, 0x4c, 0x4c, 0x55, 0x55, 0x60, 0x60, 0x6f, 0x6f, 0x7e, 0x7e, 0x8d, 0x8d, 0x9a, 0x9a, 0xa3, 0xa3, 0xa9, 0xa9, 0xaf, 0xaf, 0xb6, 0xb6, 0xbe, 0xbe, 
0xc8, 0xc8, 0xd1, 0xd1, 0xd8, 0xd8, 0xdb, 0xdb, 0xdc, 0xdc, 0xdb, 0xdb, 0xd7, 0xd7, 0xd2, 0xd2, 0xcd, 0xcd, 0xca, 0xca, 0xc9, 0xc9, 0xcc, 0xcc, 0xd2, 0xd2, 
0xd8, 0xd8, 0xdc, 0xdc, 0xdf, 0xdf, 0xe0, 0xe0, 0xe0, 0xe0, 0xe1, 0xe1, 0xe3, 0xe3, 0xe6, 0xe6, 0xea, 0xea, 0xef, 0xef, 0xf3, 0xf3, 0xf6, 0xf6, 0xf8, 0xf8, 
0xf5, 0xf5, 0xef, 0xef, 0xe6, 0xe6, 0xd9, 0xd9, 0xc8, 0xc8, 0xb5, 0xb5, 0xa0, 0xa0, 0x8c, 0x8c, 0x7b, 0x7b, 0x6e, 0x6e, 0x64, 0x64, 0x5b, 0x5b, 0x52, 0x52, 
0x47, 0x47, 0x3c, 0x3c, 0x30, 0x30, 0x24, 0x24, 0x19, 0x19, 0x10, 0x10, 0x08, 0x08, 0x04, 0x04, 0x03, 0x03, 0x05, 0x05, 0x07, 0x07, 0x09, 0x09, 0x0b, 0x0b, 
0x0b, 0x0b, 0x0a, 0x0a, 0x08, 0x08, 0x06, 0x06, 0x04, 0x04, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x05, 0x05, 0x0d, 0x0d, 0x19, 0x19, 0x28, 0x28, 
0x36, 0x36, 0x43, 0x43, 0x4b, 0x4b, 0x4f, 0x4f, 0x50, 0x50, 0x4f, 0x4f, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4e, 0x4e, 
0x5c, 0x5c, 0x70, 0x70, 0x88, 0x88, 0xa1, 0xa1, 0xb9, 0xb9, 0xd0, 0xd0, 0xe2, 0xe2, 0xf0, 0xf0, 0xf8, 0xf8, 0xf9, 0xf9, 0xf5, 0xf5, 0xf1, 0xf1, 0xef, 0xef, 
0xf0, 0xf0, 0xf3, 0xf3, 0xf8, 0xf8, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xfd, 0xfd, 0xfb, 0xfb, 0xf8, 0xf8, 0xf5, 0xf5, 0xf1, 0xf1, 0xed, 0xed, 0xe9, 0xe9, 
0xe6, 0xe6, 0xe3, 0xe3, 0xe2, 0xe2, 0xe2, 0xe2, 0xe3, 0xe3, 0xe6, 0xe6, 0xe8, 0xe8, 0xeb, 0xeb, 0xee, 0xee, 0xf0, 0xf0, 0xf4, 0xf4, 0xf7, 0xf7, 0xfa, 0xfa, 
0xfc, 0xfc, 0xfc, 0xfc, 0xfa, 0xfa, 0xf5, 0xf5, 0xea, 0xea, 0xd7, 0xd7, 0xbd, 0xbd, 0x9c, 0x9c, 0x7a, 0x7a, 0x5a, 0x5a, 0x3e, 0x3e, 0x26, 0x26, 0x14, 0x14, 
0x08, 0x08, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x07, 0x07, 0x0a, 0x0a, 0x0d, 0x0d, 0x0d, 0x0d, 0x0b, 0x0b, 0x07, 0x07, 0x03, 0x03, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x07, 0x07, 0x0f, 0x0f, 0x18, 0x18, 0x23, 0x23, 0x30, 0x30, 0x3d, 0x3d, 0x4b, 0x4b, 0x59, 0x59, 0x67, 0x67, 0x74, 0x74, 
0x81, 0x81, 0x8c, 0x8c, 0x97, 0x97, 0xa0, 0xa0, 0xa9, 0xa9, 0xb1, 0xb1, 0xb7, 0xb7, 0xbd, 0xbd, 0xc1, 0xc1, 0xc2, 0xc2, 0xc0, 0xc0, 0xb9, 0xb9, 0xaf, 0xaf, 
0xa5, 0xa5, 0x9c, 0x9c, 0x95, 0x95, 0x91, 0x91, 0x8f, 0x8f, 0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa9, 0xa9, 0xb6, 0xb6, 0xc5, 0xc5, 0xd3, 0xd3, 
0xde, 0xde, 0xe6, 0xe6, 0xea, 0xea, 0xea, 0xea, 0xe7, 0xe7, 0xe1, 0xe1, 0xd9, 0xd9, 0xd0, 0xd0, 0xc7, 0xc7, 0xbf, 0xbf, 0xb9, 0xb9, 0xb2, 0xb2, 0xaa, 0xaa, 
0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x7e, 0x7e, 0x78, 0x78, 0x6d, 0x6d, 0x61, 0x61, 0x53, 0x53, 0x45, 0x45, 0x3a, 0x3a, 
0x2f, 0x2f, 0x27, 0x27, 0x22, 0x22, 0x1f, 0x1f, 0x1e, 0x1e, 0x1e, 0x1e, 0x21, 0x21, 0x25, 0x25, 0x29, 0x29, 0x2d, 0x2d, 0x2f, 0x2f, 0x2f, 0x2f, 0x2d, 0x2d, 
0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x20, 0x20, 0x21, 0x21, 0x26, 0x26, 0x2f, 0x2f, 0x3b, 0x3b, 0x47, 0x47, 0x51, 0x51, 0x57, 0x57, 0x5a, 0x5a, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 0x60, 0x60, 0x6a, 0x6a, 0x79, 0x79, 0x8b, 0x8b, 0x9f, 0x9f, 0xb3, 0xb3, 
0xc5, 0xc5, 0xd4, 0xd4, 0xe2, 0xe2, 0xec, 0xec, 0xf3, 0xf3, 0xf8, 0xf8, 0xf9, 0xf9, 0xf7, 0xf7, 0xf1, 0xf1, 0xe9, 0xe9, 0xde, 0xde, 0xd2, 0xd2, 0xc6, 0xc6, 
0xb9, 0xb9, 0xad, 0xad, 0xa3, 0xa3, 0x9a, 0x9a, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 0x6e, 0x6e, 0x6f, 0x6f, 0x77, 0x77, 0x84, 0x84, 
0x95, 0x95, 0xa7, 0xa7, 0xb9, 0xb9, 0xca, 0xca, 0xd9, 0xd9, 0xe6, 0xe6, 0xef, 0xef, 0xf6, 0xf6, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf1, 0xf1, 0xe3, 0xe3, 0xd1, 0xd1, 0xb8, 0xb8, 0x99, 0x99, 0x75, 0x75, 0x4f, 0x4f, 0x2d, 0x2d, 0x15, 0x15, 
0x09, 0x09, 0x06, 0x06, 0x0a, 0x0a, 0x10, 0x10, 0x17, 0x17, 0x1d, 0x1d, 0x23, 0x23, 0x28, 0x28, 0x2d, 0x2d, 0x32, 0x32, 0x38, 0x38, 0x3d, 0x3d, 0x43, 0x43, 
0x49, 0x49, 0x4f, 0x4f, 0x55, 0x55, 0x5c, 0x5c, 0x64, 0x64, 0x6a, 0x6a, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 
0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x69, 0x69, 0x65, 0x65, 0x60, 0x60, 0x5a, 0x5a, 0x55, 0x55, 0x4f, 0x4f, 0x4a, 0x4a, 
0x46, 0x46, 0x42, 0x42, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x46, 0x46, 0x4e, 0x4e, 0x5a, 0x5a, 0x67, 0x67, 0x78, 0x78, 0x8a, 0x8a, 0x9d, 0x9d, 0xb2, 0xb2, 
0xc6, 0xc6, 0xda, 0xda, 0xe9, 0xe9, 0xf1, 0xf1, 0xf1, 0xf1, 0xea, 0xea, 0xdf, 0xdf, 0xd2, 0xd2, 0xc4, 0xc4, 0xb6, 0xb6, 0xab, 0xab, 0xa3, 0xa3, 0x9f, 0x9f, 
0x9e, 0x9e, 0x9c, 0x9c, 0x98, 0x98, 0x90, 0x90, 0x86, 0x86, 0x7b, 0x7b, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 
0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 
0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7a, 0x7a, 0x76, 0x76, 0x6e, 0x6e, 
0x62, 0x62, 0x56, 0x56, 0x4c, 0x4c, 0x48, 0x48, 0x4a, 0x4a, 0x53, 0x53, 0x5f, 0x5f, 0x6b, 0x6b, 0x78, 0x78, 0x83, 0x83, 0x8d, 0x8d, 0x96, 0x96, 0x9f, 0x9f, 
0xa7, 0xa7, 0xaf, 0xaf, 0xb4, 0xb4, 0xb8, 0xb8, 0xb9, 0xb9, 0xb7, 0xb7, 0xb1, 0xb1, 0xa8, 0xa8, 0x9c, 0x9c, 0x8f, 0x8f, 0x84, 0x84, 0x7a, 0x7a, 0x73, 0x73, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x89, 0x89, 
0x92, 0x92, 0x9e, 0x9e, 0xab, 0xab, 0xb7, 0xb7, 0xbf, 0xbf, 0xc5, 0xc5, 0xc7, 0xc7, 0xc8, 0xc8, 0xca, 0xca, 0xce, 0xce, 0xd3, 0xd3, 0xda, 0xda, 0xe2, 0xe2, 
0xea, 0xea, 0xf2, 0xf2, 0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 0xfe, 0xfe, 0xf9, 0xf9, 0xed, 0xed, 0xdb, 0xdb, 0xc4, 0xc4, 0xa9, 0xa9, 0x8c, 0x8c, 0x6e, 0x6e, 
0x52, 0x52, 0x3a, 0x3a, 0x2b, 0x2b, 0x26, 0x26, 0x29, 0x29, 0x31, 0x31, 0x3c, 0x3c, 0x47, 0x47, 0x51, 0x51, 0x59, 0x59, 0x5e, 0x5e, 0x60, 0x60, 0x5f, 0x5f, 
0x5c, 0x5c, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 0x57, 0x57, 0x5c, 0x5c, 0x63, 0x63, 0x69, 0x69, 0x6a, 0x6a, 0x68, 0x68, 0x62, 0x62, 0x5a, 0x5a, 
0x54, 0x54, 0x4f, 0x4f, 0x4d, 0x4d, 0x4d, 0x4d, 0x4f, 0x4f, 0x52, 0x52, 0x56, 0x56, 0x57, 0x57, 0x56, 0x56, 0x51, 0x51, 0x49, 0x49, 0x43, 0x43, 0x40, 0x40, 
0x42, 0x42, 0x48, 0x48, 0x4e, 0x4e, 0x52, 0x52, 0x54, 0x54, 0x52, 0x52, 0x51, 0x51, 0x53, 0x53, 0x58, 0x58, 0x61, 0x61, 0x6d, 0x6d, 0x7d, 0x7d, 0x90, 0x90, 
0xa5, 0xa5, 0xb8, 0xb8, 0xca, 0xca, 0xd9, 0xd9, 0xe5, 0xe5, 0xed, 0xed, 0xef, 0xef, 0xee, 0xee, 0xe8, 0xe8, 0xde, 0xde, 0xd0, 0xd0, 0xc0, 0xc0, 0xae, 0xae, 
0x9f, 0x9f, 0x94, 0x94, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x88, 0x88, 0x82, 0x82, 0x79, 0x79, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 
0x57, 0x57, 0x5c, 0x5c, 0x63, 0x63, 0x6a, 0x6a, 0x6e, 0x6e, 0x70, 0x70, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 
0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x51, 0x51, 0x54, 0x54, 0x57, 0x57, 0x59, 0x59, 0x59, 0x59, 
0x58, 0x58, 0x56, 0x56, 0x53, 0x53, 0x4f, 0x4f, 0x4c, 0x4c, 0x4a, 0x4a, 0x4d, 0x4d, 0x55, 0x55, 0x61, 0x61, 0x6f, 0x6f, 0x7e, 0x7e, 0x8d, 0x8d, 0x9c, 0x9c, 
0xa8, 0xa8, 0xb0, 0xb0, 0xb3, 0xb3, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 0xa2, 0xa2, 0x9a, 0x9a, 0x92, 0x92, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 
0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x76, 0x76, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 
0x84, 0x84, 0x84, 0x84, 0x8a, 0x8a, 0x96, 0x96, 0xa9, 0xa9, 0xc0, 0xc0, 0xd6, 0xd6, 0xe5, 0xe5, 0xeb, 0xeb, 0xea, 0xea, 0xe6, 0xe6, 0xe3, 0xe3, 0xe2, 0xe2, 
0xe3, 0xe3, 0xe6, 0xe6, 0xea, 0xea, 0xed, 0xed, 0xef, 0xef, 0xf1, 0xf1, 0xf4, 0xf4, 0xf7, 0xf7, 0xf9, 0xf9, 0xf9, 0xf9, 0xf5, 0xf5, 0xed, 0xed, 0xdf, 0xdf, 
0xca, 0xca, 0xaf, 0xaf, 0x8d, 0x8d, 0x67, 0x67, 0x43, 0x43, 0x27, 0x27, 0x15, 0x15, 0x0b, 0x0b, 0x08, 0x08, 0x0b, 0x0b, 0x11, 0x11, 0x1b, 0x1b, 0x25, 0x25, 
0x30, 0x30, 0x3b, 0x3b, 0x45, 0x45, 0x4b, 0x4b, 0x4c, 0x4c, 0x47, 0x47, 0x3f, 0x3f, 0x37, 0x37, 0x33, 0x33, 0x35, 0x35, 0x3c, 0x3c, 0x47, 0x47, 0x54, 0x54, 
0x61, 0x61, 0x6d, 0x6d, 0x76, 0x76, 0x7b, 0x7b, 0x7b, 0x7b, 0x78, 0x78, 0x73, 0x73, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5f, 0x5f, 0x67, 0x67, 0x73, 0x73, 0x81, 0x81, 0x8d, 0x8d, 0x91, 0x91, 0x8d, 0x8d, 0x82, 0x82, 0x75, 0x75, 0x69, 0x69, 0x5f, 0x5f, 0x5a, 0x5a, 
0x5c, 0x5c, 0x67, 0x67, 0x7a, 0x7a, 0x93, 0x93, 0xad, 0xad, 0xc5, 0xc5, 0xd9, 0xd9, 0xe9, 0xe9, 0xf4, 0xf4, 0xfb, 0xfb, 0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 
0xf5, 0xf5, 0xec, 0xec, 0xe2, 0xe2, 0xd6, 0xd6, 0xc9, 0xc9, 0xbb, 0xbb, 0xae, 0xae, 0xa2, 0xa2, 0x99, 0x99, 0x93, 0x93, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 
0x7d, 0x7d, 0x74, 0x74, 0x69, 0x69, 0x5f, 0x5f, 0x56, 0x56, 0x4e, 0x4e, 0x49, 0x49, 0x49, 0x49, 0x4d, 0x4d, 0x55, 0x55, 0x5d, 0x5d, 0x63, 0x63, 0x67, 0x67, 
0x67, 0x67, 0x64, 0x64, 0x5e, 0x5e, 0x55, 0x55, 0x4b, 0x4b, 0x41, 0x41, 0x37, 0x37, 0x2f, 0x2f, 0x28, 0x28, 0x23, 0x23, 0x22, 0x22, 0x23, 0x23, 0x28, 0x28, 
0x2e, 0x2e, 0x35, 0x35, 0x3e, 0x3e, 0x46, 0x46, 0x4e, 0x4e, 0x53, 0x53, 0x56, 0x56, 0x57, 0x57, 0x56, 0x56, 0x53, 0x53, 0x4f, 0x4f, 0x4b, 0x4b, 0x4a, 0x4a, 
0x4f, 0x4f, 0x59, 0x59, 0x68, 0x68, 0x7c, 0x7c, 0x92, 0x92, 0xaa, 0xaa, 0xc2, 0xc2, 0xd7, 0xd7, 0xe6, 0xe6, 0xef, 0xef, 0xf2, 0xf2, 0xf2, 0xf2, 0xef, 0xef, 
0xea, 0xea, 0xe4, 0xe4, 0xdd, 0xdd, 0xd5, 0xd5, 0xcc, 0xcc, 0xc3, 0xc3, 0xb8, 0xb8, 0xae, 0xae, 0xa3, 0xa3, 0x99, 0x99, 0x8e, 0x8e, 0x84, 0x84, 0x7a, 0x7a, 
0x71, 0x71, 0x69, 0x69, 0x64, 0x64, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x71, 0x71, 0x7d, 0x7d, 0x8b, 0x8b, 0x99, 0x99, 0xa6, 0xa6, 0xaf, 0xaf, 0xb5, 0xb5, 
0xb6, 0xb6, 0xb2, 0xb2, 0xaa, 0xaa, 0x9f, 0x9f, 0x93, 0x93, 0x89, 0x89, 0x83, 0x83, 0x80, 0x80, 0x82, 0x82, 0x8a, 0x8a, 0x97, 0x97, 0xa9, 0xa9, 0xbb, 0xbb, 
0xcc, 0xcc, 0xda, 0xda, 0xe6, 0xe6, 0xee, 0xee, 0xf2, 0xf2, 0xf3, 0xf3, 0xf0, 0xf0, 0xe7, 0xe7, 0xd7, 0xd7, 0xc0, 0xc0, 0xa4, 0xa4, 0x85, 0x85, 0x66, 0x66, 
0x48, 0x48, 0x2d, 0x2d, 0x17, 0x17, 0x0a, 0x0a, 0x05, 0x05, 0x06, 0x06, 0x0c, 0x0c, 0x15, 0x15, 0x1f, 0x1f, 0x2a, 0x2a, 0x35, 0x35, 0x41, 0x41, 0x4e, 0x4e, 
0x5a, 0x5a, 0x64, 0x64, 0x69, 0x69, 0x69, 0x69, 0x66, 0x66, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x62, 0x62, 0x68, 0x68, 
0x6c, 0x6c, 0x6c, 0x6c, 0x67, 0x67, 0x60, 0x60, 0x58, 0x58, 0x51, 0x51, 0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x54, 0x54, 0x5e, 0x5e, 0x6b, 0x6b, 0x7a, 0x7a, 
0x88, 0x88, 0x94, 0x94, 0x9e, 0x9e, 0xa3, 0xa3, 0xa0, 0xa0, 0x96, 0x96, 0x86, 0x86, 0x77, 0x77, 0x6d, 0x6d, 0x69, 0x69, 0x6d, 0x6d, 0x77, 0x77, 0x87, 0x87, 
0x9c, 0x9c, 0xb3, 0xb3, 0xca, 0xca, 0xdc, 0xdc, 0xe9, 0xe9, 0xf1, 0xf1, 0xf5, 0xf5, 0xf5, 0xf5, 0xf2, 0xf2, 0xec, 0xec, 0xe1, 0xe1, 0xd0, 0xd0, 0xb9, 0xb9, 
0x9f, 0x9f, 0x86, 0x86, 0x72, 0x72, 0x65, 0x65, 0x5f, 0x5f, 0x5d, 0x5d, 0x61, 0x61, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7c, 0x7c, 0x7d, 0x7d, 0x7b, 0x7b, 
0x77, 0x77, 0x70, 0x70, 0x68, 0x68, 0x60, 0x60, 0x59, 0x59, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x5c, 0x5c, 
0x54, 0x54, 0x46, 0x46, 0x35, 0x35, 0x25, 0x25, 0x1a, 0x1a, 0x17, 0x17, 0x19, 0x19, 0x20, 0x20, 0x2a, 0x2a, 0x36, 0x36, 0x42, 0x42, 0x4e, 0x4e, 0x58, 0x58, 
0x60, 0x60, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x68, 0x68, 0x6d, 0x6d, 0x77, 0x77, 0x86, 0x86, 0x9b, 0x9b, 
0xb3, 0xb3, 0xca, 0xca, 0xde, 0xde, 0xed, 0xed, 0xf6, 0xf6, 0xfc, 0xfc, 0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 0xf6, 0xf6, 0xef, 0xef, 0xe5, 0xe5, 0xd9, 0xd9, 
0xcb, 0xcb, 0xbc, 0xbc, 0xad, 0xad, 0x9e, 0x9e, 0x91, 0x91, 0x88, 0x88, 0x83, 0x83, 0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 
0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x8d, 0x8d, 0x86, 0x86, 
0x7d, 0x7d, 0x72, 0x72, 0x68, 0x68, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 0x55, 0x55, 0x59, 0x59, 0x62, 0x62, 0x6f, 0x6f, 0x7f, 0x7f, 0x90, 0x90, 0xa2, 0xa2, 
0xb3, 0xb3, 0xc4, 0xc4, 0xd2, 0xd2, 0xdd, 0xdd, 0xe6, 0xe6, 0xea, 0xea, 0xe9, 0xe9, 0xe3, 0xe3, 0xd8, 0xd8, 0xc7, 0xc7, 0xaf, 0xaf, 0x90, 0x90, 0x6f, 0x6f, 
0x4e, 0x4e, 0x32, 0x32, 0x1d, 0x1d, 0x0e, 0x0e, 0x05, 0x05, 0x01, 0x01, 0x02, 0x02, 0x06, 0x06, 0x10, 0x10, 0x21, 0x21, 0x38, 0x38, 0x53, 0x53, 0x6e, 0x6e, 
0x86, 0x86, 0x97, 0x97, 0xa1, 0xa1, 0xa4, 0xa4, 0x9c, 0x9c, 0x8c, 0x8c, 0x76, 0x76, 0x5f, 0x5f, 0x4b, 0x4b, 0x3e, 0x3e, 0x37, 0x37, 0x36, 0x36, 0x3e, 0x3e, 
0x4b, 0x4b, 0x5e, 0x5e, 0x72, 0x72, 0x86, 0x86, 0x98, 0x98, 0xa7, 0xa7, 0xb2, 0xb2, 0xb8, 0xb8, 0xb7, 0xb7, 0xb3, 0xb3, 0xad, 0xad, 0xa8, 0xa8, 0xa5, 0xa5, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x75, 0x75, 0x68, 0x68, 0x5d, 0x5d, 0x54, 0x54, 0x50, 0x50, 0x52, 0x52, 0x59, 0x59, 
0x65, 0x65, 0x76, 0x76, 0x8b, 0x8b, 0xa3, 0xa3, 0xba, 0xba, 0xcc, 0xcc, 0xd8, 0xd8, 0xdf, 0xdf, 0xde, 0xde, 0xd5, 0xd5, 0xc4, 0xc4, 0xae, 0xae, 0x96, 0x96, 
0x7f, 0x7f, 0x6b, 0x6b, 0x5a, 0x5a, 0x4d, 0x4d, 0x44, 0x44, 0x3f, 0x3f, 0x3d, 0x3d, 0x40, 0x40, 0x46, 0x46, 0x51, 0x51, 0x5e, 0x5e, 0x69, 0x69, 0x71, 0x71, 
0x73, 0x73, 0x70, 0x70, 0x68, 0x68, 0x5c, 0x5c, 0x4c, 0x4c, 0x3c, 0x3c, 0x30, 0x30, 0x2a, 0x2a, 0x2b, 0x2b, 0x34, 0x34, 0x40, 0x40, 0x4e, 0x4e, 0x5b, 0x5b, 
0x68, 0x68, 0x72, 0x72, 0x76, 0x76, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x71, 0x71, 0x74, 0x74, 0x79, 0x79, 0x81, 0x81, 0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 
0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x94, 0x94, 0x8e, 0x8e, 0x89, 0x89, 0x86, 0x86, 0x87, 0x87, 0x8b, 0x8b, 0x94, 0x94, 0xa0, 0xa0, 0xae, 0xae, 
0xbe, 0xbe, 0xce, 0xce, 0xde, 0xde, 0xec, 0xec, 0xf5, 0xf5, 0xfb, 0xfb, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xf7, 0xf7, 0xf4, 0xf4, 0xed, 0xed, 0xe1, 0xe1, 
0xd0, 0xd0, 0xba, 0xba, 0xa1, 0xa1, 0x88, 0x88, 0x70, 0x70, 0x5a, 0x5a, 0x48, 0x48, 0x3e, 0x3e, 0x3b, 0x3b, 0x3d, 0x3d, 0x42, 0x42, 0x46, 0x46, 0x49, 0x49, 
0x49, 0x49, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3b, 0x3b, 0x38, 0x38, 0x37, 0x37, 0x39, 0x39, 0x3e, 0x3e, 0x43, 0x43, 0x48, 0x48, 0x4c, 0x4c, 0x4f, 0x4f, 
0x4f, 0x4f, 0x4b, 0x4b, 0x44, 0x44, 0x3a, 0x3a, 0x31, 0x31, 0x2c, 0x2c, 0x2b, 0x2b, 0x2d, 0x2d, 0x33, 0x33, 0x3b, 0x3b, 0x44, 0x44, 0x4f, 0x4f, 0x5a, 0x5a, 
0x65, 0x65, 0x71, 0x71, 0x7e, 0x7e, 0x8c, 0x8c, 0x9c, 0x9c, 0xac, 0xac, 0xbe, 0xbe, 0xcd, 0xcd, 0xd9, 0xd9, 0xe0, 0xe0, 0xe3, 0xe3, 0xe5, 0xe5, 0xe7, 0xe7, 
0xeb, 0xeb, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xf3, 0xef, 0xef, 0xe6, 0xe6, 0xd5, 0xd5, 0xbb, 0xbb, 0x97, 0x97, 0x6e, 0x6e, 0x47, 0x47, 0x2a, 0x2a, 0x1a, 0x1a, 
0x16, 0x16, 0x1d, 0x1d, 0x30, 0x30, 0x4d, 0x4d, 0x6e, 0x6e, 0x8e, 0x8e, 0xa6, 0xa6, 0xb5, 0xb5, 0xba, 0xba, 0xb7, 0xb7, 0xab, 0xab, 0x99, 0x99, 0x84, 0x84, 
0x6d, 0x6d, 0x5a, 0x5a, 0x4c, 0x4c, 0x42, 0x42, 0x40, 0x40, 0x46, 0x46, 0x54, 0x54, 0x68, 0x68, 0x7d, 0x7d, 0x90, 0x90, 0x9e, 0x9e, 0xa6, 0xa6, 0xa7, 0xa7, 
0x9f, 0x9f, 0x90, 0x90, 0x7b, 0x7b, 0x65, 0x65, 0x50, 0x50, 0x40, 0x40, 0x35, 0x35, 0x30, 0x30, 0x34, 0x34, 0x3f, 0x3f, 0x4e, 0x4e, 0x5d, 0x5d, 0x67, 0x67, 
0x6a, 0x6a, 0x67, 0x67, 0x60, 0x60, 0x56, 0x56, 0x4c, 0x4c, 0x44, 0x44, 0x42, 0x42, 0x49, 0x49, 0x5a, 0x5a, 0x72, 0x72, 0x8e, 0x8e, 0xa8, 0xa8, 0xc0, 0xc0, 
0xd3, 0xd3, 0xe1, 0xe1, 0xe8, 0xe8, 0xe9, 0xe9, 0xe4, 0xe4, 0xd9, 0xd9, 0xc8, 0xc8, 0xb1, 0xb1, 0x96, 0x96, 0x7c, 0x7c, 0x65, 0x65, 0x53, 0x53, 0x47, 0x47, 
0x42, 0x42, 0x45, 0x45, 0x4e, 0x4e, 0x5c, 0x5c, 0x6a, 0x6a, 0x74, 0x74, 0x7a, 0x7a, 0x7b, 0x7b, 0x77, 0x77, 0x6e, 0x6e, 0x63, 0x63, 0x56, 0x56, 0x4a, 0x4a, 
0x41, 0x41, 0x3d, 0x3d, 0x3c, 0x3c, 0x3f, 0x3f, 0x46, 0x46, 0x51, 0x51, 0x5d, 0x5d, 0x69, 0x69, 0x73, 0x73, 0x7a, 0x7a, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x99, 0x99, 0x93, 0x93, 
0x8a, 0x8a, 0x81, 0x81, 0x7a, 0x7a, 0x76, 0x76, 0x75, 0x75, 0x77, 0x77, 0x7e, 0x7e, 0x88, 0x88, 0x96, 0x96, 0xa6, 0xa6, 0xb9, 0xb9, 0xcd, 0xcd, 0xe2, 0xe2, 
0xf3, 0xf3, 0xfe, 0xfe, 0xff, 0xff, 0xfc, 0xfc, 0xf1, 0xf1, 0xdf, 0xdf, 0xc8, 0xc8, 0xae, 0xae, 0x94, 0x94, 0x7f, 0x7f, 0x70, 0x70, 0x66, 0x66, 0x5e, 0x5e, 
0x58, 0x58, 0x51, 0x51, 0x4a, 0x4a, 0x42, 0x42, 0x39, 0x39, 0x30, 0x30, 0x28, 0x28, 0x20, 0x20, 0x1a, 0x1a, 0x16, 0x16, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 
0x19, 0x19, 0x1e, 0x1e, 0x23, 0x23, 0x28, 0x28, 0x2d, 0x2d, 0x33, 0x33, 0x38, 0x38, 0x3c, 0x3c, 0x40, 0x40, 0x43, 0x43, 0x44, 0x44, 0x42, 0x42, 0x3d, 0x3d, 
0x36, 0x36, 0x31, 0x31, 0x2e, 0x2e, 0x2f, 0x2f, 0x34, 0x34, 0x3d, 0x3d, 0x4a, 0x4a, 0x5a, 0x5a, 0x6d, 0x6d, 0x7f, 0x7f, 0x8e, 0x8e, 0x9a, 0x9a, 0xa3, 0xa3, 
0xa9, 0xa9, 0xb0, 0xb0, 0xb6, 0xb6, 0xbe, 0xbe, 0xc6, 0xc6, 0xd1, 0xd1, 0xde, 0xde, 0xec, 0xec, 0xf8, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfa, 0xfa, 0xf4, 0xf4, 0xed, 0xed, 0xe3, 0xe3, 0xd6, 0xd6, 0xc5, 0xc5, 0xb0, 0xb0, 0x98, 0x98, 0x7c, 0x7c, 0x5f, 0x5f, 0x43, 0x43, 0x2e, 0x2e, 0x27, 0x27, 
0x2f, 0x2f, 0x42, 0x42, 0x5c, 0x5c, 0x76, 0x76, 0x8d, 0x8d, 0x9e, 0x9e, 0xa7, 0xa7, 0xa6, 0xa6, 0x99, 0x99, 0x84, 0x84, 0x6c, 0x6c, 0x55, 0x55, 0x42, 0x42, 
0x34, 0x34, 0x29, 0x29, 0x23, 0x23, 0x22, 0x22, 0x24, 0x24, 0x28, 0x28, 0x30, 0x30, 0x39, 0x39, 0x43, 0x43, 0x4b, 0x4b, 0x4f, 0x4f, 0x4d, 0x4d, 0x47, 0x47, 
0x3e, 0x3e, 0x33, 0x33, 0x29, 0x29, 0x20, 0x20, 0x19, 0x19, 0x17, 0x17, 0x1a, 0x1a, 0x21, 0x21, 0x29, 0x29, 0x30, 0x30, 0x37, 0x37, 0x3b, 0x3b, 0x3c, 0x3c, 
0x39, 0x39, 0x31, 0x31, 0x28, 0x28, 0x22, 0x22, 0x21, 0x21, 0x29, 0x29, 0x38, 0x38, 0x4e, 0x4e, 0x69, 0x69, 0x88, 0x88, 0xa7, 0xa7, 0xc4, 0xc4, 0xd9, 0xd9, 
0xe5, 0xe5, 0xe9, 0xe9, 0xe8, 0xe8, 0xe2, 0xe2, 0xda, 0xda, 0xd1, 0xd1, 0xc6, 0xc6, 0xbc, 0xbc, 0xb0, 0xb0, 0xa6, 0xa6, 0x9d, 0x9d, 0x99, 0x99, 0x99, 0x99, 
0x9d, 0x9d, 0xa6, 0xa6, 0xb3, 0xb3, 0xc4, 0xc4, 0xd7, 0xd7, 0xe6, 0xe6, 0xef, 0xef, 0xef, 0xef, 0xe8, 0xe8, 0xda, 0xda, 0xc6, 0xc6, 0xaf, 0xaf, 0x97, 0x97, 
0x82, 0x82, 0x73, 0x73, 0x6c, 0x6c, 0x6b, 0x6b, 0x6e, 0x6e, 0x74, 0x74, 0x7a, 0x7a, 0x7f, 0x7f, 0x81, 0x81, 0x7f, 0x7f, 0x78, 0x78, 0x6d, 0x6d, 0x5f, 0x5f, 
0x52, 0x52, 0x44, 0x44, 0x39, 0x39, 0x31, 0x31, 0x2f, 0x2f, 0x32, 0x32, 0x39, 0x39, 0x40, 0x40, 0x45, 0x45, 0x47, 0x47, 0x45, 0x45, 0x41, 0x41, 0x39, 0x39, 
0x30, 0x30, 0x26, 0x26, 0x1f, 0x1f, 0x1c, 0x1c, 0x1f, 0x1f, 0x27, 0x27, 0x34, 0x34, 0x45, 0x45, 0x58, 0x58, 0x6e, 0x6e, 0x83, 0x83, 0x97, 0x97, 0xa9, 0xa9, 
0xb7, 0xb7, 0xbf, 0xbf, 0xbf, 0xbf, 0xb6, 0xb6, 0xa7, 0xa7, 0x94, 0x94, 0x81, 0x81, 0x6f, 0x6f, 0x5f, 0x5f, 0x52, 0x52, 0x4a, 0x4a, 0x46, 0x46, 0x45, 0x45, 
0x48, 0x48, 0x4e, 0x4e, 0x57, 0x57, 0x61, 0x61, 0x6b, 0x6b, 0x73, 0x73, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x89, 0x89, 
0x8f, 0x8f, 0x99, 0x99, 0xa3, 0xa3, 0xab, 0xab, 0xaf, 0xaf, 0xac, 0xac, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x84, 0x84, 0x7a, 0x7a, 0x72, 0x72, 0x70, 0x70, 
0x72, 0x72, 0x79, 0x79, 0x83, 0x83, 0x90, 0x90, 0x9f, 0x9f, 0xae, 0xae, 0xbb, 0xbb, 0xc3, 0xc3, 0xc5, 0xc5, 0xc3, 0xc3, 0xbd, 0xbd, 0xb7, 0xb7, 0xb0, 0xb0, 
0xab, 0xab, 0xa9, 0xa9, 0xab, 0xab, 0xb1, 0xb1, 0xbc, 0xbc, 0xc9, 0xc9, 0xd6, 0xd6, 0xe3, 0xe3, 0xef, 0xef, 0xf8, 0xf8, 0xfd, 0xfd, 0xfe, 0xfe, 0xfb, 0xfb, 
0xf7, 0xf7, 0xf3, 0xf3, 0xf0, 0xf0, 0xef, 0xef, 0xee, 0xee, 0xec, 0xec, 0xe9, 0xe9, 0xe3, 0xe3, 0xd7, 0xd7, 0xc0, 0xc0, 0xa0, 0xa0, 0x79, 0x79, 0x52, 0x52, 
0x31, 0x31, 0x1a, 0x1a, 0x0c, 0x0c, 0x04, 0x04, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x09, 0x09, 0x12, 0x12, 0x1d, 0x1d, 0x2c, 0x2c, 0x3c, 0x3c, 0x4c, 0x4c, 
0x5c, 0x5c, 0x69, 0x69, 0x71, 0x71, 0x71, 0x71, 0x69, 0x69, 0x5a, 0x5a, 0x48, 0x48, 0x36, 0x36, 0x27, 0x27, 0x1b, 0x1b, 0x15, 0x15, 0x16, 0x16, 0x1f, 0x1f, 
0x2e, 0x2e, 0x3f, 0x3f, 0x52, 0x52, 0x65, 0x65, 0x75, 0x75, 0x83, 0x83, 0x8b, 0x8b, 0x8f, 0x8f, 0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x82, 0x82, 0x8a, 0x8a, 0x95, 0x95, 0xa3, 0xa3, 0xb3, 0xb3, 0xc3, 0xc3, 0xd2, 0xd2, 0xde, 0xde, 0xe7, 0xe7, 0xed, 0xed, 
0xf0, 0xf0, 0xef, 0xef, 0xec, 0xec, 0xea, 0xea, 0xea, 0xea, 0xee, 0xee, 0xf4, 0xf4, 0xf9, 0xf9, 0xfc, 0xfc, 0xfb, 0xfb, 0xf6, 0xf6, 0xe9, 0xe9, 0xd5, 0xd5, 
0xba, 0xba, 0x9a, 0x9a, 0x7d, 0x7d, 0x66, 0x66, 0x5a, 0x5a, 0x56, 0x56, 0x59, 0x59, 0x61, 0x61, 0x6c, 0x6c, 0x78, 0x78, 0x83, 0x83, 0x88, 0x88, 0x88, 0x88, 
0x83, 0x83, 0x7b, 0x7b, 0x71, 0x71, 0x64, 0x64, 0x57, 0x57, 0x49, 0x49, 0x3a, 0x3a, 0x2b, 0x2b, 0x1d, 0x1d, 0x11, 0x11, 0x09, 0x09, 0x07, 0x07, 0x09, 0x09, 
0x0c, 0x0c, 0x11, 0x11, 0x16, 0x16, 0x1a, 0x1a, 0x1e, 0x1e, 0x23, 0x23, 0x28, 0x28, 0x2e, 0x2e, 0x32, 0x32, 0x34, 0x34, 0x33, 0x33, 0x2f, 0x2f, 0x2a, 0x2a, 
0x23, 0x23, 0x1c, 0x1c, 0x16, 0x16, 0x12, 0x12, 0x13, 0x13, 0x18, 0x18, 0x21, 0x21, 0x2e, 0x2e, 0x3e, 0x3e, 0x50, 0x50, 0x65, 0x65, 0x79, 0x79, 0x8d, 0x8d, 
0x9f, 0x9f, 0xb0, 0xb0, 0xbf, 0xbf, 0xcc, 0xcc, 0xd6, 0xd6, 0xe0, 0xe0, 0xe8, 0xe8, 0xee, 0xee, 0xf4, 0xf4, 0xf7, 0xf7, 0xf6, 0xf6, 0xed, 0xed, 0xdd, 0xdd, 
0xc8, 0xc8, 0xb3, 0xb3, 0xa1, 0xa1, 0x95, 0x95, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 
0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x77, 0x77, 0x79, 0x79, 0x76, 0x76, 0x6d, 0x6d, 0x60, 0x60, 0x52, 0x52, 0x47, 0x47, 0x40, 0x40, 0x3d, 0x3d, 0x3d, 0x3d, 
0x40, 0x40, 0x44, 0x44, 0x49, 0x49, 0x4b, 0x4b, 0x4a, 0x4a, 0x44, 0x44, 0x3c, 0x3c, 0x36, 0x36, 0x33, 0x33, 0x36, 0x36, 0x3e, 0x3e, 0x4a, 0x4a, 0x57, 0x57, 
0x64, 0x64, 0x71, 0x71, 0x79, 0x79, 0x7d, 0x7d, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x6b, 0x6b, 0x6b, 0x6b, 0x6f, 0x6f, 0x77, 0x77, 0x84, 0x84, 0x94, 0x94, 
0xa6, 0xa6, 0xb7, 0xb7, 0xc6, 0xc6, 0xd3, 0xd3, 0xdc, 0xdc, 0xe4, 0xe4, 0xeb, 0xeb, 0xf1, 0xf1, 0xf6, 0xf6, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf7, 0xf7, 0xf0, 0xf0, 0xe4, 0xe4, 0xd3, 0xd3, 0xb9, 0xb9, 0x97, 0x97, 0x70, 0x70, 0x4a, 0x4a, 
0x2c, 0x2c, 0x18, 0x18, 0x0e, 0x0e, 0x0f, 0x0f, 0x1c, 0x1c, 0x34, 0x34, 0x52, 0x52, 0x6f, 0x6f, 0x85, 0x85, 0x91, 0x91, 0x94, 0x94, 0x8f, 0x8f, 0x84, 0x84, 
0x73, 0x73, 0x60, 0x60, 0x4b, 0x4b, 0x38, 0x38, 0x25, 0x25, 0x15, 0x15, 0x09, 0x09, 0x03, 0x03, 0x04, 0x04, 0x0a, 0x0a, 0x14, 0x14, 0x21, 0x21, 0x30, 0x30, 
0x3f, 0x3f, 0x4d, 0x4d, 0x56, 0x56, 0x5a, 0x5a, 0x5a, 0x5a, 0x57, 0x57, 0x51, 0x51, 0x49, 0x49, 0x42, 0x42, 0x3d, 0x3d, 0x3f, 0x3f, 0x48, 0x48, 0x55, 0x55, 
0x65, 0x65, 0x75, 0x75, 0x83, 0x83, 0x8e, 0x8e, 0x96, 0x96, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x99, 0x99, 0x9f, 0x9f, 0xab, 0xab, 0xbb, 0xbb, 0xcc, 0xcc, 
0xda, 0xda, 0xe3, 0xe3, 0xe8, 0xe8, 0xea, 0xea, 0xec, 0xec, 0xed, 0xed, 0xee, 0xee, 0xee, 0xee, 0xea, 0xea, 0xe3, 0xe3, 0xd7, 0xd7, 0xc9, 0xc9, 0xb7, 0xb7, 
0xa4, 0xa4, 0x91, 0x91, 0x83, 0x83, 0x7d, 0x7d, 0x80, 0x80, 0x8a, 0x8a, 0x97, 0x97, 0xa3, 0xa3, 0xab, 0xab, 0xaf, 0xaf, 0xad, 0xad, 0xa4, 0xa4, 0x94, 0x94, 
0x80, 0x80, 0x6b, 0x6b, 0x59, 0x59, 0x4a, 0x4a, 0x40, 0x40, 0x39, 0x39, 0x38, 0x38, 0x3a, 0x3a, 0x3f, 0x3f, 0x43, 0x43, 0x44, 0x44, 0x43, 0x43, 0x3d, 0x3d, 
0x36, 0x36, 0x2c, 0x2c, 0x21, 0x21, 0x16, 0x16, 0x0d, 0x0d, 0x06, 0x06, 0x02, 0x02, 0x02, 0x02, 0x04, 0x04, 0x09, 0x09, 0x11, 0x11, 0x1a, 0x1a, 0x23, 0x23, 
0x2b, 0x2b, 0x32, 0x32, 0x38, 0x38, 0x3e, 0x3e, 0x45, 0x45, 0x4d, 0x4d, 0x57, 0x57, 0x62, 0x62, 0x6e, 0x6e, 0x7b, 0x7b, 0x88, 0x88, 0x95, 0x95, 0xa3, 0xa3, 
0xb1, 0xb1, 0xbf, 0xbf, 0xca, 0xca, 0xd1, 0xd1, 0xd4, 0xd4, 0xd2, 0xd2, 0xcd, 0xcd, 0xc3, 0xc3, 0xb5, 0xb5, 0xa6, 0xa6, 0x98, 0x98, 0x8d, 0x8d, 0x87, 0x87, 
0x86, 0x86, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x98, 0x98, 0x9e, 0x9e, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa4, 0xa4, 0x9f, 0x9f, 0x96, 0x96, 0x8c, 0x8c, 
0x83, 0x83, 0x7b, 0x7b, 0x77, 0x77, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x95, 0x95, 0x9a, 0x9a, 0xa0, 0xa0, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 0xac, 0xac, 0xa8, 0xa8, 
0xa0, 0xa0, 0x96, 0x96, 0x8b, 0x8b, 0x82, 0x82, 0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 0x7b, 0x7b, 0x81, 0x81, 0x8b, 0x8b, 0x97, 0x97, 0xa5, 0xa5, 0xb5, 0xb5, 
0xc5, 0xc5, 0xd2, 0xd2, 0xd9, 0xd9, 0xd9, 0xd9, 0xd3, 0xd3, 0xcb, 0xcb, 0xc4, 0xc4, 0xbf, 0xbf, 0xbd, 0xbd, 0xbe, 0xbe, 0xc3, 0xc3, 0xcb, 0xcb, 0xd6, 0xd6, 
0xe1, 0xe1, 0xeb, 0xeb, 0xf3, 0xf3, 0xf8, 0xf8, 0xf9, 0xf9, 0xf7, 0xf7, 0xef, 0xef, 0xe2, 0xe2, 0xd0, 0xd0, 0xb7, 0xb7, 0x98, 0x98, 0x75, 0x75, 0x52, 0x52, 
0x35, 0x35, 0x1f, 0x1f, 0x0f, 0x0f, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x0c, 0x0c, 0x18, 0x18, 0x26, 0x26, 0x33, 0x33, 0x3f, 0x3f, 
0x47, 0x47, 0x4c, 0x4c, 0x4e, 0x4e, 0x4d, 0x4d, 0x4a, 0x4a, 0x45, 0x45, 0x40, 0x40, 0x3d, 0x3d, 0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x50, 0x50, 0x5f, 0x5f, 
0x71, 0x71, 0x82, 0x82, 0x8e, 0x8e, 0x95, 0x95, 0x96, 0x96, 0x92, 0x92, 0x89, 0x89, 0x7d, 0x7d, 0x70, 0x70, 0x67, 0x67, 0x66, 0x66, 0x6f, 0x6f, 0x80, 0x80, 
0x94, 0x94, 0xaa, 0xaa, 0xbe, 0xbe, 0xd1, 0xd1, 0xdf, 0xdf, 0xe9, 0xe9, 0xed, 0xed, 0xed, 0xed, 0xeb, 0xeb, 0xe7, 0xe7, 0xe2, 0xe2, 0xdd, 0xdd, 0xdb, 0xdb, 
0xdc, 0xdc, 0xe1, 0xe1, 0xe8, 0xe8, 0xf1, 0xf1, 0xf8, 0xf8, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf1, 0xf1, 0xde, 0xde, 
0xbf, 0xbf, 0x9a, 0x9a, 0x74, 0x74, 0x53, 0x53, 0x39, 0x39, 0x29, 0x29, 0x20, 0x20, 0x20, 0x20, 0x27, 0x27, 0x30, 0x30, 0x39, 0x39, 0x3c, 0x3c, 0x38, 0x38, 
0x2f, 0x2f, 0x23, 0x23, 0x18, 0x18, 0x0e, 0x0e, 0x07, 0x07, 0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 0x1d, 0x1d, 
0x24, 0x24, 0x28, 0x28, 0x29, 0x29, 0x26, 0x26, 0x23, 0x23, 0x21, 0x21, 0x21, 0x21, 0x23, 0x23, 0x28, 0x28, 0x2f, 0x2f, 0x37, 0x37, 0x41, 0x41, 0x4d, 0x4d, 
0x5b, 0x5b, 0x6c, 0x6c, 0x7d, 0x7d, 0x8e, 0x8e, 0x9a, 0x9a, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb8, 0xb8, 0xc1, 0xc1, 0xcd, 0xcd, 
0xdb, 0xdb, 0xea, 0xea, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf5, 0xf5, 0xf1, 0xf1, 0xed, 0xed, 0xe9, 0xe9, 0xe4, 0xe4, 
0xde, 0xde, 0xd6, 0xd6, 0xca, 0xca, 0xbc, 0xbc, 0xab, 0xab, 0x9b, 0x9b, 0x8c, 0x8c, 0x81, 0x81, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x5e, 0x5e, 0x54, 0x54, 
0x48, 0x48, 0x3a, 0x3a, 0x29, 0x29, 0x18, 0x18, 0x09, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x02, 0x01, 0x01, 
0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x05, 0x05, 0x0c, 0x0c, 0x17, 0x17, 0x24, 0x24, 0x31, 0x31, 0x3b, 0x3b, 
0x43, 0x43, 0x47, 0x47, 0x49, 0x49, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x53, 0x53, 0x5f, 0x5f, 0x72, 0x72, 0x89, 0x89, 0xa2, 0xa2, 0xb9, 0xb9, 0xcc, 0xcc, 
0xdc, 0xdc, 0xe8, 0xe8, 0xf1, 0xf1, 0xf7, 0xf7, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xfb, 0xfb, 0xfc, 0xfc, 0xfe, 0xfe, 
0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 0xf4, 0xf4, 0xe7, 0xe7, 0xd1, 0xd1, 0xb6, 0xb6, 0x97, 0x97, 0x75, 0x75, 0x52, 0x52, 0x31, 0x31, 0x15, 0x15, 0x02, 0x02, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x06, 0x06, 0x09, 0x09, 0x0c, 0x0c, 0x10, 0x10, 0x16, 0x16, 0x1d, 0x1d, 0x24, 0x24, 0x28, 0x28, 0x28, 0x28, 
0x26, 0x26, 0x21, 0x21, 0x1a, 0x1a, 0x13, 0x13, 0x0b, 0x0b, 0x06, 0x06, 0x05, 0x05, 0x09, 0x09, 0x11, 0x11, 0x1d, 0x1d, 0x2d, 0x2d, 0x41, 0x41, 0x57, 0x57, 
0x6b, 0x6b, 0x7a, 0x7a, 0x84, 0x84, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 
0xa3, 0xa3, 0xab, 0xab, 0xb5, 0xb5, 0xc1, 0xc1, 0xce, 0xce, 0xdc, 0xdc, 0xea, 0xea, 0xf6, 0xf6, 0xfc, 0xfc, 0xfd, 0xfd, 0xf9, 0xf9, 0xf3, 0xf3, 0xee, 0xee, 
0xeb, 0xeb, 0xeb, 0xeb, 0xec, 0xec, 0xed, 0xed, 0xef, 0xef, 0xef, 0xef, 0xea, 0xea, 0xde, 0xde, 0xca, 0xca, 0xb0, 0xb0, 0x93, 0x93, 0x77, 0x77, 0x5c, 0x5c, 
0x45, 0x45, 0x34, 0x34, 0x2e, 0x2e, 0x30, 0x30, 0x39, 0x39, 0x43, 0x43, 0x48, 0x48, 0x46, 0x46, 0x3e, 0x3e, 0x33, 0x33, 0x26, 0x26, 0x19, 0x19, 0x0e, 0x0e, 
0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x04, 0x04, 0x05, 0x05, 0x04, 0x04, 0x05, 0x05, 0x08, 0x08, 0x0f, 0x0f, 0x18, 0x18, 0x22, 0x22, 
0x2a, 0x2a, 0x30, 0x30, 0x34, 0x34, 0x37, 0x37, 0x3a, 0x3a, 0x3d, 0x3d, 0x42, 0x42, 0x49, 0x49, 0x50, 0x50, 0x59, 0x59, 0x63, 0x63, 0x6a, 0x6a, 0x6e, 0x6e, 
0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x6a, 0x6a, 0x6f, 0x6f, 0x78, 0x78, 0x85, 0x85, 0x94, 0x94, 0xa5, 0xa5, 0xb7, 0xb7, 0xc7, 0xc7, 0xd4, 0xd4, 0xde, 0xde, 
0xe5, 0xe5, 0xea, 0xea, 0xee, 0xee, 0xf0, 0xf0, 0xf1, 0xf1, 0xf1, 0xf1, 0xee, 0xee, 0xea, 0xea, 0xe4, 0xe4, 0xdb, 0xdb, 0xcf, 0xcf, 0xc0, 0xc0, 0xb0, 0xb0, 
0xa1, 0xa1, 0x96, 0x96, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x82, 0x82, 0x7b, 0x7b, 0x72, 0x72, 0x68, 0x68, 0x5d, 0x5d, 0x53, 0x53, 0x49, 0x49, 
0x41, 0x41, 0x3a, 0x3a, 0x35, 0x35, 0x31, 0x31, 0x2c, 0x2c, 0x27, 0x27, 0x23, 0x23, 0x20, 0x20, 0x21, 0x21, 0x26, 0x26, 0x2e, 0x2e, 0x37, 0x37, 0x42, 0x42, 
0x4c, 0x4c, 0x55, 0x55, 0x5d, 0x5d, 0x64, 0x64, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 
0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x99, 0x99, 0x9e, 0x9e, 0xa7, 0xa7, 0xb4, 0xb4, 0xc4, 0xc4, 0xd5, 0xd5, 0xe3, 0xe3, 0xee, 0xee, 0xf7, 0xf7, 
0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf0, 0xf0, 0xe5, 0xe5, 0xd9, 0xd9, 0xcd, 0xcd, 0xc4, 0xc4, 0xbf, 0xbf, 0xbd, 0xbd, 0xbe, 0xbe, 
0xc1, 0xc1, 0xc5, 0xc5, 0xc9, 0xc9, 0xcb, 0xcb, 0xcc, 0xcc, 0xca, 0xca, 0xc6, 0xc6, 0xc3, 0xc3, 0xc3, 0xc3, 0xc6, 0xc6, 0xcb, 0xcb, 0xd3, 0xd3, 0xdc, 0xdc, 
0xe6, 0xe6, 0xee, 0xee, 0xf0, 0xf0, 0xea, 0xea, 0xd9, 0xd9, 0xbf, 0xbf, 0x9f, 0x9f, 0x7b, 0x7b, 0x55, 0x55, 0x31, 0x31, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x04, 0x04, 0x04, 0x04, 0x06, 0x06, 0x0b, 0x0b, 0x13, 0x13, 0x1d, 0x1d, 0x28, 0x28, 0x34, 0x34, 0x3f, 0x3f, 
0x46, 0x46, 0x47, 0x47, 0x3f, 0x3f, 0x34, 0x34, 0x2a, 0x2a, 0x27, 0x27, 0x2e, 0x2e, 0x3d, 0x3d, 0x52, 0x52, 0x6b, 0x6b, 0x86, 0x86, 0xa1, 0xa1, 0xb9, 0xb9, 
0xcc, 0xcc, 0xda, 0xda, 0xe3, 0xe3, 0xe7, 0xe7, 0xe8, 0xe8, 0xe4, 0xe4, 0xde, 0xde, 0xd7, 0xd7, 0xd0, 0xd0, 0xca, 0xca, 0xc6, 0xc6, 0xc3, 0xc3, 0xc2, 0xc2, 
0xc3, 0xc3, 0xc7, 0xc7, 0xcb, 0xcb, 0xcf, 0xcf, 0xd3, 0xd3, 0xd5, 0xd5, 0xd7, 0xd7, 0xd5, 0xd5, 0xd2, 0xd2, 0xce, 0xce, 0xcc, 0xcc, 0xd0, 0xd0, 0xd9, 0xd9, 
0xe7, 0xe7, 0xf5, 0xf5, 0xfe, 0xfe, 0xff, 0xff, 0xfb, 0xfb, 0xec, 0xec, 0xd1, 0xd1, 0xad, 0xad, 0x82, 0x82, 0x58, 0x58, 0x36, 0x36, 0x1f, 0x1f, 0x12, 0x12, 
0x0b, 0x0b, 0x08, 0x08, 0x06, 0x06, 0x05, 0x05, 0x04, 0x04, 0x03, 0x03, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x04, 0x04, 
0x04, 0x04, 0x04, 0x04, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x05, 0x05, 0x0a, 0x0a, 0x11, 0x11, 0x1b, 0x1b, 0x2a, 0x2a, 0x3c, 0x3c, 0x4f, 0x4f, 0x61, 0x61, 
0x73, 0x73, 0x84, 0x84, 0x94, 0x94, 0xa2, 0xa2, 0xaf, 0xaf, 0xba, 0xba, 0xc5, 0xc5, 0xce, 0xce, 0xd5, 0xd5, 0xdc, 0xdc, 0xe2, 0xe2, 0xe9, 0xe9, 0xef, 0xef, 
0xf6, 0xf6, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 0xf0, 0xf0, 0xe8, 0xe8, 0xdd, 0xdd, 0xce, 0xce, 0xba, 0xba, 0xa0, 0xa0, 0x84, 0x84, 0x67, 0x67, 
0x4e, 0x4e, 0x39, 0x39, 0x28, 0x28, 0x1c, 0x1c, 0x13, 0x13, 0x0e, 0x0e, 0x0b, 0x0b, 0x09, 0x09, 0x09, 0x09, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x07, 0x07, 
0x06, 0x06, 0x05, 0x05, 0x04, 0x04, 0x05, 0x05, 0x07, 0x07, 0x0b, 0x0b, 0x10, 0x10, 0x14, 0x14, 0x19, 0x19, 0x1c, 0x1c, 0x1e, 0x1e, 0x1e, 0x1e, 0x1b, 0x1b, 
0x17, 0x17, 0x14, 0x14, 0x16, 0x16, 0x1c, 0x1c, 0x26, 0x26, 0x33, 0x33, 0x43, 0x43, 0x53, 0x53, 0x64, 0x64, 0x77, 0x77, 0x8b, 0x8b, 0xa0, 0xa0, 0xb6, 0xb6, 
0xcb, 0xcb, 0xdc, 0xdc, 0xe8, 0xe8, 0xf1, 0xf1, 0xf6, 0xf6, 0xf8, 0xf8, 0xf8, 0xf8, 0xf5, 0xf5, 0xf2, 0xf2, 0xf0, 0xf0, 0xef, 0xef, 0xf0, 0xf0, 0xf1, 0xf1, 
0xf2, 0xf2, 0xf4, 0xf4, 0xf6, 0xf6, 0xf7, 0xf7, 0xf7, 0xf7, 0xf4, 0xf4, 0xf0, 0xf0, 0xec, 0xec, 0xe8, 0xe8, 0xe4, 0xe4, 0xe2, 0xe2, 0xe1, 0xe1, 0xe3, 0xe3, 
0xe9, 0xe9, 0xef, 0xef, 0xf5, 0xf5, 0xfa, 0xfa, 0xfb, 0xfb, 0xf9, 0xf9, 0xf6, 0xf6, 0xf3, 0xf3, 0xef, 0xef, 0xe9, 0xe9, 0xe0, 0xe0, 0xd0, 0xd0, 0xb8, 0xb8, 
0x9c, 0x9c, 0x7d, 0x7d, 0x60, 0x60, 0x47, 0x47, 0x32, 0x32, 0x22, 0x22, 0x1a, 0x1a, 0x19, 0x19, 0x1c, 0x1c, 0x20, 0x20, 0x20, 0x20, 0x1b, 0x1b, 0x12, 0x12, 
0x09, 0x09, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x07, 0x07, 0x0a, 0x0a, 0x0e, 0x0e, 0x11, 0x11, 0x13, 0x13, 0x15, 0x15, 0x19, 0x19, 
0x20, 0x20, 0x29, 0x29, 0x35, 0x35, 0x41, 0x41, 0x4d, 0x4d, 0x58, 0x58, 0x62, 0x62, 0x6c, 0x6c, 0x76, 0x76, 0x82, 0x82, 0x8f, 0x8f, 0x9f, 0x9f, 0xb0, 0xb0, 
0xc4, 0xc4, 0xd8, 0xd8, 0xe9, 0xe9, 0xf2, 0xf2, 0xf2, 0xf2, 0xec, 0xec, 0xe3, 0xe3, 0xd9, 0xd9, 0xd1, 0xd1, 0xcc, 0xcc, 0xcb, 0xcb, 0xd0, 0xd0, 0xd9, 0xd9, 
0xe6, 0xe6, 0xf3, 0xf3, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf9, 0xf9, 0xf5, 0xf5, 0xf0, 0xf0, 0xe9, 0xe9, 0xdf, 0xdf, 0xd3, 0xd3, 
0xc3, 0xc3, 0xb0, 0xb0, 0x9b, 0x9b, 0x83, 0x83, 0x6c, 0x6c, 0x58, 0x58, 0x47, 0x47, 0x39, 0x39, 0x2f, 0x2f, 0x29, 0x29, 0x26, 0x26, 0x25, 0x25, 0x24, 0x24, 
0x21, 0x21, 0x1c, 0x1c, 0x15, 0x15, 0x0e, 0x0e, 0x08, 0x08, 0x04, 0x04, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x05, 0x05, 0x08, 0x08, 
0x0c, 0x0c, 0x10, 0x10, 0x12, 0x12, 0x12, 0x12, 0x0f, 0x0f, 0x0a, 0x0a, 0x06, 0x06, 0x06, 0x06, 0x0a, 0x0a, 0x13, 0x13, 0x21, 0x21, 0x34, 0x34, 0x4c, 0x4c, 
0x66, 0x66, 0x7f, 0x7f, 0x93, 0x93, 0xa1, 0xa1, 0xa9, 0xa9, 0xac, 0xac, 0xaa, 0xaa, 0xa3, 0xa3, 0x9b, 0x9b, 0x94, 0x94, 0x90, 0x90, 0x92, 0x92, 0x9a, 0x9a, 
0xa6, 0xa6, 0xb6, 0xb6, 0xca, 0xca, 0xe0, 0xe0, 0xf3, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf5, 0xf5, 0xf2, 0xf2, 
0xee, 0xee, 0xe8, 0xe8, 0xe1, 0xe1, 0xd7, 0xd7, 0xcb, 0xcb, 0xbd, 0xbd, 0xad, 0xad, 0x9e, 0x9e, 0x90, 0x90, 0x85, 0x85, 0x7c, 0x7c, 0x72, 0x72, 0x68, 0x68, 
0x5d, 0x5d, 0x50, 0x50, 0x43, 0x43, 0x34, 0x34, 0x26, 0x26, 0x18, 0x18, 0x0d, 0x0d, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 
0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 0x12, 0x12, 0x1b, 0x1b, 0x28, 0x28, 0x37, 0x37, 0x47, 0x47, 
0x57, 0x57, 0x65, 0x65, 0x70, 0x70, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 0x83, 0x83, 0x8d, 0x8d, 0x9b, 0x9b, 0xac, 0xac, 
0xbd, 0xbd, 0xcf, 0xcf, 0xdf, 0xdf, 0xed, 0xed, 0xf6, 0xf6, 0xfb, 0xfb, 0xfc, 0xfc, 0xfa, 0xfa, 0xf7, 0xf7, 0xf3, 0xf3, 0xef, 0xef, 0xea, 0xea, 0xe3, 0xe3, 
0xdb, 0xdb, 0xd1, 0xd1, 0xc7, 0xc7, 0xbc, 0xbc, 0xb2, 0xb2, 0xa8, 0xa8, 0x9f, 0x9f, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 
0x85, 0x85, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x68, 0x68, 0x70, 0x70, 0x7b, 0x7b, 0x89, 0x89, 0x99, 0x99, 0xad, 0xad, 0xc2, 0xc2, 0xd7, 0xd7, 0xe8, 0xe8, 
0xee, 0xee, 0xea, 0xea, 0xdc, 0xdc, 0xc5, 0xc5, 0xa7, 0xa7, 0x83, 0x83, 0x5d, 0x5d, 0x3a, 0x3a, 0x1f, 0x1f, 0x0e, 0x0e, 0x06, 0x06, 0x07, 0x07, 0x0f, 0x0f, 
0x1f, 0x1f, 0x34, 0x34, 0x4d, 0x4d, 0x6c, 0x6c, 0x8e, 0x8e, 0xb0, 0xb0, 0xce, 0xce, 0xe1, 0xe1, 0xe9, 0xe9, 0xe6, 0xe6, 0xdc, 0xdc, 0xce, 0xce, 0xbc, 0xbc, 
0xab, 0xab, 0x9c, 0x9c, 0x92, 0x92, 0x8e, 0x8e, 0x8f, 0x8f, 0x94, 0x94, 0x9d, 0x9d, 0xa9, 0xa9, 0xb7, 0xb7, 0xc5, 0xc5, 0xd1, 0xd1, 0xd9, 0xd9, 0xde, 0xde, 
0xde, 0xde, 0xd9, 0xd9, 0xce, 0xce, 0xbf, 0xbf, 0xb0, 0xb0, 0xa1, 0xa1, 0x96, 0x96, 0x8d, 0x8d, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x76, 0x76, 
0x6f, 0x6f, 0x66, 0x66, 0x5b, 0x5b, 0x50, 0x50, 0x47, 0x47, 0x41, 0x41, 0x3d, 0x3d, 0x3f, 0x3f, 0x48, 0x48, 0x57, 0x57, 0x69, 0x69, 0x7a, 0x7a, 0x86, 0x86, 
0x89, 0x89, 0x86, 0x86, 0x7d, 0x7d, 0x6f, 0x6f, 0x60, 0x60, 0x4f, 0x4f, 0x3f, 0x3f, 0x33, 0x33, 0x2a, 0x2a, 0x25, 0x25, 0x21, 0x21, 0x20, 0x20, 0x1f, 0x1f, 
0x20, 0x20, 0x24, 0x24, 0x2a, 0x2a, 0x35, 0x35, 0x42, 0x42, 0x4f, 0x4f, 0x59, 0x59, 0x5f, 0x5f, 0x62, 0x62, 0x62, 0x62, 0x60, 0x60, 0x5c, 0x5c, 0x58, 0x58, 
0x55, 0x55, 0x55, 0x55, 0x5a, 0x5a, 0x61, 0x61, 0x6b, 0x6b, 0x76, 0x76, 0x82, 0x82, 0x8d, 0x8d, 0x97, 0x97, 0x9e, 0x9e, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 
0xab, 0xab, 0xaf, 0xaf, 0xb4, 0xb4, 0xb9, 0xb9, 0xbf, 0xbf, 0xc3, 0xc3, 0xc7, 0xc7, 0xc9, 0xc9, 0xc8, 0xc8, 0xc5, 0xc5, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 
0xa7, 0xa7, 0x9e, 0x9e, 0x96, 0x96, 0x8f, 0x8f, 0x8a, 0x8a, 0x87, 0x87, 0x85, 0x85, 0x87, 0x87, 0x8c, 0x8c, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 
0x9a, 0x9a, 0x94, 0x94, 0x8a, 0x8a, 0x7b, 0x7b, 0x6a, 0x6a, 0x5a, 0x5a, 0x4f, 0x4f, 0x4a, 0x4a, 0x4b, 0x4b, 0x4f, 0x4f, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 
0x6c, 0x6c, 0x6d, 0x6d, 0x69, 0x69, 0x61, 0x61, 0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4d, 0x4d, 0x4c, 0x4c, 0x4b, 0x4b, 0x47, 0x47, 0x42, 0x42, 0x3d, 0x3d, 
0x3b, 0x3b, 0x3b, 0x3b, 0x3e, 0x3e, 0x43, 0x43, 0x4a, 0x4a, 0x52, 0x52, 0x59, 0x59, 0x5f, 0x5f, 0x62, 0x62, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5f, 0x5f, 
0x64, 0x64, 0x6d, 0x6d, 0x78, 0x78, 0x83, 0x83, 0x8f, 0x8f, 0x98, 0x98, 0x9e, 0x9e, 0x9e, 0x9e, 0x98, 0x98, 0x8e, 0x8e, 0x82, 0x82, 0x76, 0x76, 0x6b, 0x6b, 
0x63, 0x63, 0x5f, 0x5f, 0x61, 0x61, 0x69, 0x69, 0x76, 0x76, 0x85, 0x85, 0x94, 0x94, 0xa1, 0xa1, 0xae, 0xae, 0xb8, 0xb8, 0xc1, 0xc1, 0xc8, 0xc8, 0xcd, 0xcd, 
0xd0, 0xd0, 0xce, 0xce, 0xc7, 0xc7, 0xbf, 0xbf, 0xb6, 0xb6, 0xb1, 0xb1, 0xb0, 0xb0, 0xb4, 0xb4, 0xbb, 0xbb, 0xc6, 0xc6, 0xd2, 0xd2, 0xdf, 0xdf, 0xe8, 0xe8, 
0xeb, 0xeb, 0xe8, 0xe8, 0xdf, 0xdf, 0xd3, 0xd3, 0xc6, 0xc6, 0xba, 0xba, 0xae, 0xae, 0xa4, 0xa4, 0x9b, 0x9b, 0x94, 0x94, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 
0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 0x69, 0x69, 0x5f, 0x5f, 0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 
0x57, 0x57, 0x5d, 0x5d, 0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 0x7e, 0x7e, 0x83, 0x83, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6f, 0x6f, 
0x6d, 0x6d, 0x6f, 0x6f, 0x77, 0x77, 0x83, 0x83, 0x92, 0x92, 0xa3, 0xa3, 0xb5, 0xb5, 0xc7, 0xc7, 0xd7, 0xd7, 0xe5, 0xe5, 0xef, 0xef, 0xf7, 0xf7, 0xfb, 0xfb, 
0xfc, 0xfc, 0xf9, 0xf9, 0xf4, 0xf4, 0xea, 0xea, 0xdd, 0xdd, 0xcb, 0xcb, 0xb7, 0xb7, 0xa0, 0xa0, 0x89, 0x89, 0x73, 0x73, 0x5e, 0x5e, 0x4c, 0x4c, 0x40, 0x40, 
0x38, 0x38, 0x34, 0x34, 0x33, 0x33, 0x34, 0x34, 0x36, 0x36, 0x38, 0x38, 0x3b, 0x3b, 0x3d, 0x3d, 0x40, 0x40, 0x42, 0x42, 0x44, 0x44, 0x46, 0x46, 0x46, 0x46, 
0x46, 0x46, 0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x45, 0x45, 0x46, 0x46, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 0x6f, 0x6f, 
0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 
0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x86, 0x86, 0x7f, 0x7f, 0x78, 0x78, 0x71, 0x71, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 0x5b, 0x5b, 
0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x63, 0x63, 0x69, 0x69, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x7b, 0x7b, 0x7a, 0x7a, 0x73, 0x73, 0x68, 0x68, 0x58, 0x58, 
0x49, 0x49, 0x3c, 0x3c, 0x32, 0x32, 0x2c, 0x2c, 0x29, 0x29, 0x27, 0x27, 0x27, 0x27, 0x28, 0x28, 0x2b, 0x2b, 0x32, 0x32, 0x3b, 0x3b, 0x47, 0x47, 0x54, 0x54, 
0x60, 0x60, 0x6b, 0x6b, 0x74, 0x74, 0x7a, 0x7a, 0x7d, 0x7d, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 0x8f, 0x8f, 
0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 
0x96, 0x96, 0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x8e, 0x8e, 0x88, 0x88, 0x81, 0x81, 
0x79, 0x79, 0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x87, 0x87, 0x84, 0x84, 0x7d, 0x7d, 0x72, 0x72, 0x67, 0x67, 
0x5d, 0x5d, 0x55, 0x55, 0x50, 0x50, 0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 
0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 0x8f, 0x8f, 
0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xaa, 0xaa, 0xaa, 0xaa, 0xa7, 0xa7, 
0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7c, 0x7c, 0x76, 0x76, 0x6f, 0x6f, 0x69, 0x69, 
0x63, 0x63, 0x5f, 0x5f, 0x5e, 0x5e, 0x61, 0x61, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x83, 0x83, 0x86, 0x86, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 
0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 
0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x71, 0x71, 0x76, 0x76, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x9b, 0x9b, 0xa5, 0xa5, 0xad, 0xad, 0xb2, 0xb2, 0xb3, 0xb3, 
0xaf, 0xaf, 0xa8, 0xa8, 0x9f, 0x9f, 0x96, 0x96, 0x8e, 0x8e, 0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x71, 0x71, 0x69, 0x69, 0x61, 0x61, 0x59, 0x59, 0x53, 0x53, 
0x4e, 0x4e, 0x4c, 0x4c, 0x4f, 0x4f, 0x56, 0x56, 0x61, 0x61, 0x6b, 0x6b, 0x73, 0x73, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x85, 0x85, 0x8b, 0x8b, 
0x91, 0x91, 0x97, 0x97, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x94, 0x94, 0x8b, 0x8b, 0x81, 0x81, 0x76, 0x76, 0x6a, 0x6a, 0x5d, 0x5d, 
0x50, 0x50, 0x45, 0x45, 0x3b, 0x3b, 0x37, 0x37, 0x37, 0x37, 0x3c, 0x3c, 0x45, 0x45, 0x50, 0x50, 0x5e, 0x5e, 0x6d, 0x6d, 0x7b, 0x7b, 0x88, 0x88, 0x92, 0x92, 
0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x96, 0x96, 0x8e, 0x8e, 0x88, 0x88, 0x82, 0x82, 0x7e, 0x7e, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 0x99, 0x99, 0x96, 0x96, 0x90, 0x90, 0x8a, 0x8a, 
0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x98, 0x98, 0x9c, 0x9c, 
0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xad, 0xad, 0xad, 0xad, 0xa9, 0xa9, 0xa4, 0xa4, 0x9d, 0x9d, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 0x80, 0x80, 0x7b, 0x7b, 
0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x65, 0x65, 0x6a, 0x6a, 0x71, 0x71, 
0x7a, 0x7a, 0x82, 0x82, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x99, 0x99, 
0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x81, 0x81, 0x7d, 0x7d, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x74, 0x74, 0x71, 0x71, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x5f, 0x5f, 0x58, 0x58, 0x50, 0x50, 0x49, 0x49, 0x42, 0x42, 
0x3d, 0x3d, 0x3a, 0x3a, 0x39, 0x39, 0x3b, 0x3b, 0x3e, 0x3e, 0x42, 0x42, 0x46, 0x46, 0x4a, 0x4a, 0x4d, 0x4d, 0x4f, 0x4f, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 
0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4c, 0x4c, 0x49, 0x49, 0x46, 0x46, 
0x43, 0x43, 0x41, 0x41, 0x40, 0x40, 0x3f, 0x3f, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3c, 0x3c, 0x3d, 0x3d, 0x3e, 0x3e, 0x41, 0x41, 0x45, 0x45, 0x4a, 0x4a, 
0x51, 0x51, 0x59, 0x59, 0x60, 0x60, 0x67, 0x67, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7f, 0x7f, 0x87, 0x87, 0x8f, 0x8f, 0x98, 0x98, 0xa2, 0xa2, 
0xab, 0xab, 0xb4, 0xb4, 0xbc, 0xbc, 0xc2, 0xc2, 0xc7, 0xc7, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc4, 0xc4, 0xbe, 0xbe, 0xb6, 0xb6, 0xad, 0xad, 0xa3, 0xa3, 
0x9b, 0x9b, 0x95, 0x95, 0x93, 0x93, 0x93, 0x93, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xa8, 0xa8, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 
0x99, 0x99, 0x93, 0x93, 0x8e, 0x8e, 0x8c, 0x8c, 0x8d, 0x8d, 0x92, 0x92, 0x9a, 0x9a, 0xa1, 0xa1, 0xa7, 0xa7, 0xa9, 0xa9, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 
0x9d, 0x9d, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 
0x61, 0x61, 0x60, 0x60, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 0x49, 0x49, 0x48, 0x48, 0x48, 0x48, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 0x53, 0x53, 
0x58, 0x58, 0x5e, 0x5e, 0x67, 0x67, 0x70, 0x70, 0x7a, 0x7a, 0x83, 0x83, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 
0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa5, 0xa5, 
0xa3, 0xa3, 0x9f, 0x9f, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 0x9a, 0x9a, 0x96, 0x96, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 
0x77, 0x77, 0x71, 0x71, 0x6a, 0x6a, 0x63, 0x63, 0x5c, 0x5c, 0x55, 0x55, 0x4e, 0x4e, 0x48, 0x48, 0x42, 0x42, 0x3c, 0x3c, 0x36, 0x36, 0x30, 0x30, 0x2b, 0x2b, 
0x25, 0x25, 0x21, 0x21, 0x1d, 0x1d, 0x1a, 0x1a, 0x17, 0x17, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x17, 0x17, 0x19, 0x19, 0x1c, 0x1c, 0x20, 0x20, 0x26, 0x26, 
0x2d, 0x2d, 0x36, 0x36, 0x40, 0x40, 0x4b, 0x4b, 0x57, 0x57, 0x64, 0x64, 0x70, 0x70, 0x7a, 0x7a, 0x83, 0x83, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x8f, 0x8f, 
0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x85, 0x85, 0x8b, 0x8b, 0x93, 0x93, 0x9c, 0x9c, 0xa4, 0xa4, 0xab, 0xab, 0xb2, 0xb2, 
0xb7, 0xb7, 0xbd, 0xbd, 0xc4, 0xc4, 0xcb, 0xcb, 0xd1, 0xd1, 0xd7, 0xd7, 0xda, 0xda, 0xdd, 0xdd, 0xde, 0xde, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xe0, 0xe0, 
0xe1, 0xe1, 0xe3, 0xe3, 0xe4, 0xe4, 0xe5, 0xe5, 0xe2, 0xe2, 0xdc, 0xdc, 0xd4, 0xd4, 0xcb, 0xcb, 0xc2, 0xc2, 0xbc, 0xbc, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 
0xae, 0xae, 0xab, 0xab, 0xa9, 0xa9, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x93, 0x93, 0x8c, 0x8c, 0x83, 0x83, 0x7a, 0x7a, 0x70, 0x70, 0x67, 0x67, 
0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 
0x63, 0x63, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x75, 0x75, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 
0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x99, 0x99, 
0x9a, 0x9a, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9a, 0x9a, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 
0x84, 0x84, 0x88, 0x88, 0x8e, 0x8e, 0x96, 0x96, 0x9e, 0x9e, 0xa6, 0xa6, 0xaa, 0xaa, 0xab, 0xab, 0xa9, 0xa9, 0xa4, 0xa4, 0x9d, 0x9d, 0x95, 0x95, 0x8b, 0x8b, 
0x82, 0x82, 0x79, 0x79, 0x72, 0x72, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 
0x65, 0x65, 0x63, 0x63, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x5e, 0x5e, 0x60, 0x60, 
0x5e, 0x5e, 0x5b, 0x5b, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x69, 0x69, 0x6a, 0x6a, 0x68, 0x68, 
0x64, 0x64, 0x5f, 0x5f, 0x5a, 0x5a, 0x56, 0x56, 0x51, 0x51, 0x4c, 0x4c, 0x45, 0x45, 0x3d, 0x3d, 0x33, 0x33, 0x2a, 0x2a, 0x23, 0x23, 0x1d, 0x1d, 0x1a, 0x1a, 
0x1a, 0x1a, 0x1e, 0x1e, 0x26, 0x26, 0x30, 0x30, 0x3d, 0x3d, 0x4b, 0x4b, 0x5a, 0x5a, 0x69, 0x69, 0x78, 0x78, 0x84, 0x84, 0x8f, 0x8f, 0x98, 0x98, 0x9e, 0x9e, 
0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa8, 0xa8, 0xa7, 0xa7, 0xa5, 0xa5, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 
0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x9a, 0x9a, 0xa1, 0xa1, 0xa7, 0xa7, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 
0xab, 0xab, 0xa8, 0xa8, 0xa5, 0xa5, 0xa5, 0xa5, 0xa7, 0xa7, 0xab, 0xab, 0xb0, 0xb0, 0xb7, 0xb7, 0xbe, 0xbe, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xcc, 0xcc, 
0xcb, 0xcb, 0xca, 0xca, 0xc9, 0xc9, 0xc7, 0xc7, 0xc4, 0xc4, 0xc1, 0xc1, 0xbd, 0xbd, 0xb7, 0xb7, 0xb0, 0xb0, 0xa8, 0xa8, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 
0x7e, 0x7e, 0x73, 0x73, 0x6a, 0x6a, 0x62, 0x62, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x66, 0x66, 
0x6d, 0x6d, 0x75, 0x75, 0x7d, 0x7d, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7d, 0x7d, 0x7c, 0x7c, 
0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 
0x6f, 0x6f, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x65, 0x65, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9d, 0x9d, 0x98, 0x98, 0x92, 0x92, 
0x8d, 0x8d, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 
0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 
0x56, 0x56, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 
0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3b, 0x3b, 0x3a, 0x3a, 0x39, 0x39, 0x3a, 0x3a, 0x3b, 0x3b, 0x3e, 0x3e, 0x42, 0x42, 
0x48, 0x48, 0x4f, 0x4f, 0x57, 0x57, 0x61, 0x61, 0x6c, 0x6c, 0x78, 0x78, 0x83, 0x83, 0x8c, 0x8c, 0x93, 0x93, 0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 0xa0, 0xa0, 
0xa0, 0xa0, 0xa0, 0xa0, 0x9e, 0x9e, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x95, 0x95, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa4, 0xa4, 0xaa, 0xaa, 0xaf, 0xaf, 
0xb5, 0xb5, 0xba, 0xba, 0xbe, 0xbe, 0xc2, 0xc2, 0xc5, 0xc5, 0xc7, 0xc7, 0xc9, 0xc9, 0xc9, 0xc9, 0xc8, 0xc8, 0xc7, 0xc7, 0xc4, 0xc4, 0xc1, 0xc1, 0xbd, 0xbd, 
0xba, 0xba, 0xb8, 0xb8, 0xb6, 0xb6, 0xb4, 0xb4, 0xb3, 0xb3, 0xb1, 0xb1, 0xaf, 0xaf, 0xad, 0xad, 0xa9, 0xa9, 0xa4, 0xa4, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 
0x88, 0x88, 0x81, 0x81, 0x7a, 0x7a, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 
0x60, 0x60, 0x5e, 0x5e, 0x5b, 0x5b, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4e, 0x4e, 0x54, 0x54, 
0x5a, 0x5a, 0x60, 0x60, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5d, 0x5d, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x72, 0x72, 0x7b, 0x7b, 0x84, 0x84, 0x8c, 0x8c, 0x93, 0x93, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 
0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 
0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa4, 0xa4, 0xa1, 0xa1, 
0x9d, 0x9d, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7b, 0x7b, 0x71, 0x71, 0x67, 0x67, 0x5c, 0x5c, 0x52, 0x52, 0x49, 0x49, 0x43, 0x43, 
0x40, 0x40, 0x41, 0x41, 0x44, 0x44, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x52, 0x52, 
0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5c, 0x5c, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 
0x60, 0x60, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x67, 0x67, 0x6d, 0x6d, 0x74, 0x74, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x9a, 0x9a, 0xa2, 0xa2, 0xa9, 0xa9, 
0xaf, 0xaf, 0xb4, 0xb4, 0xb9, 0xb9, 0xbe, 0xbe, 0xc3, 0xc3, 0xc9, 0xc9, 0xcf, 0xcf, 0xd5, 0xd5, 0xd9, 0xd9, 0xda, 0xda, 0xd8, 0xd8, 0xd4, 0xd4, 0xcf, 0xcf, 
0xc9, 0xc9, 0xc5, 0xc5, 0xc2, 0xc2, 0xc0, 0xc0, 0xbe, 0xbe, 0xbe, 0xbe, 0xbd, 0xbd, 0xbc, 0xbc, 0xb9, 0xb9, 0xb5, 0xb5, 0xae, 0xae, 0xa7, 0xa7, 0x9f, 0x9f, 
0x96, 0x96, 0x8e, 0x8e, 0x84, 0x84, 0x78, 0x78, 0x6b, 0x6b, 0x5c, 0x5c, 0x4d, 0x4d, 0x3e, 0x3e, 0x30, 0x30, 0x23, 0x23, 0x1a, 0x1a, 0x14, 0x14, 0x14, 0x14, 
0x17, 0x17, 0x1d, 0x1d, 0x25, 0x25, 0x30, 0x30, 0x3b, 0x3b, 0x46, 0x46, 0x50, 0x50, 0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 0x69, 0x69, 0x6c, 0x6c, 0x6e, 0x6e, 
0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x5e, 0x5e, 0x56, 0x56, 0x4c, 0x4c, 0x43, 0x43, 0x3a, 0x3a, 
0x33, 0x33, 0x30, 0x30, 0x2f, 0x2f, 0x31, 0x31, 0x37, 0x37, 0x40, 0x40, 0x4b, 0x4b, 0x58, 0x58, 0x66, 0x66, 0x74, 0x74, 0x82, 0x82, 0x8f, 0x8f, 0x9a, 0x9a, 
0xa2, 0xa2, 0xaa, 0xaa, 0xb0, 0xb0, 0xb5, 0xb5, 0xba, 0xba, 0xbf, 0xbf, 0xc4, 0xc4, 0xca, 0xca, 0xcf, 0xcf, 0xd5, 0xd5, 0xdb, 0xdb, 0xe0, 0xe0, 0xe6, 0xe6, 
0xeb, 0xeb, 0xee, 0xee, 0xf1, 0xf1, 0xf1, 0xf1, 0xef, 0xef, 0xeb, 0xeb, 0xe4, 0xe4, 0xda, 0xda, 0xcd, 0xcd, 0xc0, 0xc0, 0xb4, 0xb4, 0xa9, 0xa9, 0x9f, 0x9f, 
0x98, 0x98, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 
0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x5f, 0x5f, 
0x5b, 0x5b, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x48, 0x48, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 
0x5e, 0x5e, 0x63, 0x63, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 
0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9f, 0x9f, 0xa8, 0xa8, 0xb2, 0xb2, 0xbe, 0xbe, 0xc9, 0xc9, 0xd5, 0xd5, 
0xdf, 0xdf, 0xe7, 0xe7, 0xed, 0xed, 0xf1, 0xf1, 0xf2, 0xf2, 0xf0, 0xf0, 0xeb, 0xeb, 0xe4, 0xe4, 0xdc, 0xdc, 0xd3, 0xd3, 0xc9, 0xc9, 0xbf, 0xbf, 0xb6, 0xb6, 
0xae, 0xae, 0xa7, 0xa7, 0xa1, 0xa1, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 0x7b, 0x7b, 
0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 
0x7b, 0x7b, 0x77, 0x77, 0x71, 0x71, 0x68, 0x68, 0x5d, 0x5d, 0x52, 0x52, 0x46, 0x46, 0x3a, 0x3a, 0x30, 0x30, 0x28, 0x28, 0x22, 0x22, 0x1f, 0x1f, 0x1c, 0x1c, 
0x1b, 0x1b, 0x1b, 0x1b, 0x1b, 0x1b, 0x1c, 0x1c, 0x1f, 0x1f, 0x22, 0x22, 0x27, 0x27, 0x2d, 0x2d, 0x35, 0x35, 0x3f, 0x3f, 0x4a, 0x4a, 0x55, 0x55, 0x60, 0x60, 
0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x70, 0x70, 0x6a, 0x6a, 
0x65, 0x65, 0x62, 0x62, 0x63, 0x63, 0x67, 0x67, 0x6f, 0x6f, 0x79, 0x79, 0x84, 0x84, 0x90, 0x90, 0x9c, 0x9c, 0xa7, 0xa7, 0xae, 0xae, 0xb1, 0xb1, 0xb1, 0xb1, 
0xae, 0xae, 0xaa, 0xaa, 0xa4, 0xa4, 0x9d, 0x9d, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 
0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 
0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 
0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 
0x8b, 0x8b, 0x85, 0x85, 0x7f, 0x7f, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x84, 0x84, 
0x80, 0x80, 0x79, 0x79, 0x70, 0x70, 0x66, 0x66, 0x5d, 0x5d, 0x55, 0x55, 0x4e, 0x4e, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x5f, 0x5f, 
0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5b, 0x5b, 0x5f, 0x5f, 
0x65, 0x65, 0x6c, 0x6c, 0x75, 0x75, 0x7f, 0x7f, 0x88, 0x88, 0x8f, 0x8f, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 
0x71, 0x71, 0x6c, 0x6c, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x6f, 0x6f, 0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x8b, 0x8b, 0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 
0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x97, 0x97, 0x9b, 0x9b, 0xa0, 0xa0, 0xa6, 0xa6, 0xad, 0xad, 0xb4, 0xb4, 0xb9, 0xb9, 0xbd, 0xbd, 0xbe, 0xbe, 
0xbc, 0xbc, 0xb7, 0xb7, 0xb0, 0xb0, 0xa7, 0xa7, 0x9e, 0x9e, 0x94, 0x94, 0x8c, 0x8c, 0x86, 0x86, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 
0x8e, 0x8e, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7c, 0x7c, 0x75, 0x75, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 
0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 
0x5b, 0x5b, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6c, 0x6c, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 
0x56, 0x56, 0x4f, 0x4f, 0x4a, 0x4a, 0x46, 0x46, 0x44, 0x44, 0x45, 0x45, 0x48, 0x48, 0x4d, 0x4d, 0x55, 0x55, 0x5e, 0x5e, 0x67, 0x67, 0x6f, 0x6f, 0x75, 0x75, 
0x7a, 0x7a, 0x7d, 0x7d, 0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x8b, 0x8b, 
0x95, 0x95, 0xa0, 0xa0, 0xaa, 0xaa, 0xb3, 0xb3, 0xbb, 0xbb, 0xc1, 0xc1, 0xc5, 0xc5, 0xc7, 0xc7, 0xc8, 0xc8, 0xc8, 0xc8, 0xc7, 0xc7, 0xc5, 0xc5, 0xc3, 0xc3, 
0xc0, 0xc0, 0xbd, 0xbd, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8b, 0x8b, 0x82, 0x82, 0x7b, 0x7b, 0x74, 0x74, 
0x6f, 0x6f, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 
0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x69, 0x69, 0x62, 0x62, 0x5b, 0x5b, 0x53, 0x53, 0x4a, 0x4a, 0x42, 0x42, 0x39, 0x39, 0x2f, 0x2f, 
0x27, 0x27, 0x20, 0x20, 0x1a, 0x1a, 0x16, 0x16, 0x13, 0x13, 0x14, 0x14, 0x16, 0x16, 0x1b, 0x1b, 0x22, 0x22, 0x2a, 0x2a, 0x34, 0x34, 0x3e, 0x3e, 0x48, 0x48, 
0x52, 0x52, 0x5c, 0x5c, 0x65, 0x65, 0x6e, 0x6e, 0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 0x8e, 0x8e, 0x97, 0x97, 0xa1, 0xa1, 0xab, 0xab, 0xb5, 0xb5, 0xbe, 0xbe, 
0xc6, 0xc6, 0xcc, 0xcc, 0xd1, 0xd1, 0xd4, 0xd4, 0xd5, 0xd5, 0xd4, 0xd4, 0xd1, 0xd1, 0xcd, 0xcd, 0xc8, 0xc8, 0xc3, 0xc3, 0xbc, 0xbc, 0xb6, 0xb6, 0xb0, 0xb0, 
0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9d, 0x9d, 0x9f, 0x9f, 0xa2, 0xa2, 0xa7, 0xa7, 0xac, 0xac, 0xb2, 0xb2, 0xb7, 0xb7, 0xbd, 0xbd, 
0xc1, 0xc1, 0xc5, 0xc5, 0xc7, 0xc7, 0xc8, 0xc8, 0xc8, 0xc8, 0xc7, 0xc7, 0xc5, 0xc5, 0xc2, 0xc2, 0xbe, 0xbe, 0xb9, 0xb9, 0xb4, 0xb4, 0xad, 0xad, 0xa7, 0xa7, 
0xa0, 0xa0, 0x98, 0x98, 0x91, 0x91, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x71, 0x71, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 
0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 
0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 0x77, 0x77, 
0x80, 0x80, 0x89, 0x89, 0x91, 0x91, 0x99, 0x99, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 
0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7d, 0x7d, 0x75, 0x75, 0x6d, 0x6d, 0x65, 0x65, 
0x5d, 0x5d, 0x56, 0x56, 0x51, 0x51, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x50, 0x50, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x69, 0x69, 
0x69, 0x69, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x5c, 0x5c, 0x61, 0x61, 0x67, 0x67, 0x6e, 0x6e, 
0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 
0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 
0x76, 0x76, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 
0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x89, 0x89, 0x91, 0x91, 0x9b, 0x9b, 
0xa4, 0xa4, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 0xc3, 0xc3, 0xc1, 0xc1, 0xbf, 0xbf, 0xbc, 0xbc, 0xb9, 0xb9, 0xb6, 0xb6, 
0xb3, 0xb3, 0xb0, 0xb0, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xaa, 0xaa, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 
0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 
0x7f, 0x7f, 0x86, 0x86, 0x8c, 0x8c, 0x93, 0x93, 0x99, 0x99, 0x9e, 0x9e, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x94, 0x94, 0x8c, 0x8c, 0x83, 0x83, 
0x79, 0x79, 0x70, 0x70, 0x67, 0x67, 0x60, 0x60, 0x5a, 0x5a, 0x56, 0x56, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5f, 0x5f, 0x66, 0x66, 0x6e, 0x6e, 0x77, 0x77, 
0x7f, 0x7f, 0x84, 0x84, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 
0x84, 0x84, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 
0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x82, 0x82, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 0x6a, 0x6a, 
0x66, 0x66, 0x63, 0x63, 0x63, 0x63, 0x67, 0x67, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x84, 0x84, 0x83, 0x83, 0x80, 0x80, 0x7a, 0x7a, 
0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4e, 0x4e, 0x4d, 0x4d, 0x4e, 0x4e, 
0x50, 0x50, 0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x90, 0x90, 
0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x88, 0x88, 0x8e, 0x8e, 
0x95, 0x95, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 0xba, 0xba, 0xb9, 0xb9, 0xb6, 0xb6, 0xb1, 0xb1, 0xaa, 0xaa, 0xa3, 0xa3, 0x9b, 0x9b, 
0x93, 0x93, 0x8a, 0x8a, 0x83, 0x83, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5b, 0x5b, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 
0x4e, 0x4e, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x59, 0x59, 0x61, 0x61, 0x6b, 0x6b, 0x74, 0x74, 0x7d, 0x7d, 0x83, 0x83, 0x87, 0x87, 0x89, 0x89, 0x87, 0x87, 
0x81, 0x81, 0x7a, 0x7a, 0x70, 0x70, 0x67, 0x67, 0x5d, 0x5d, 0x55, 0x55, 0x4e, 0x4e, 0x4a, 0x4a, 0x49, 0x49, 0x4b, 0x4b, 0x50, 0x50, 0x58, 0x58, 0x63, 0x63, 
0x6f, 0x6f, 0x7b, 0x7b, 0x87, 0x87, 0x91, 0x91, 0x99, 0x99, 0x9e, 0x9e, 0xa0, 0xa0, 0x9f, 0x9f, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 
0x84, 0x84, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x8a, 0x8a, 0x8f, 0x8f, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb8, 0xb8, 0xbf, 0xbf, 
0xc5, 0xc5, 0xc9, 0xc9, 0xcc, 0xcc, 0xce, 0xce, 0xcd, 0xcd, 0xcb, 0xcb, 0xc8, 0xc8, 0xc3, 0xc3, 0xbd, 0xbd, 0xb5, 0xb5, 0xad, 0xad, 0xa3, 0xa3, 0x99, 0x99, 
0x8f, 0x8f, 0x84, 0x84, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 
0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x75, 0x75, 0x7b, 0x7b, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 
0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 0x7c, 0x7c, 
0x80, 0x80, 0x86, 0x86, 0x8c, 0x8c, 0x93, 0x93, 0x98, 0x98, 0x9d, 0x9d, 0xa1, 0xa1, 0xa2, 0xa2, 0xa1, 0xa1, 0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 
0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x70, 0x70, 0x6a, 0x6a, 
0x63, 0x63, 0x5d, 0x5d, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x46, 0x46, 0x43, 0x43, 0x40, 0x40, 0x3f, 0x3f, 0x3f, 0x3f, 0x40, 0x40, 0x43, 0x43, 0x47, 0x47, 
0x4c, 0x4c, 0x52, 0x52, 0x58, 0x58, 0x5f, 0x5f, 0x66, 0x66, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 0x96, 0x96, 
0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 
0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xac, 0xac, 0xb1, 0xb1, 
0xb5, 0xb5, 0xb9, 0xb9, 0xbc, 0xbc, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb8, 0xb8, 0xb3, 0xb3, 0xae, 0xae, 0xa8, 0xa8, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 
0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 
0x7f, 0x7f, 0x7b, 0x7b, 0x76, 0x76, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x61, 0x61, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4d, 0x4d, 0x49, 0x49, 0x45, 0x45, 
0x42, 0x42, 0x40, 0x40, 0x3f, 0x3f, 0x40, 0x40, 0x43, 0x43, 0x47, 0x47, 0x4d, 0x4d, 0x55, 0x55, 0x5e, 0x5e, 0x67, 0x67, 0x71, 0x71, 0x7a, 0x7a, 0x83, 0x83, 
0x8b, 0x8b, 0x91, 0x91, 0x95, 0x95, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 
0x93, 0x93, 0x9a, 0x9a, 0xa2, 0xa2, 0xab, 0xab, 0xb3, 0xb3, 0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xbf, 0xbf, 0xbc, 0xbc, 0xb8, 0xb8, 0xb3, 0xb3, 0xaf, 0xaf, 
0xab, 0xab, 0xa8, 0xa8, 0xa6, 0xa6, 0xa6, 0xa6, 0xa8, 0xa8, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb7, 0xb7, 0xba, 0xba, 0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 
0xbc, 0xbc, 0xba, 0xba, 0xb6, 0xb6, 0xb2, 0xb2, 0xad, 0xad, 0xa7, 0xa7, 0xa0, 0xa0, 0x97, 0x97, 0x8e, 0x8e, 0x83, 0x83, 0x77, 0x77, 0x69, 0x69, 0x59, 0x59, 
0x4a, 0x4a, 0x3b, 0x3b, 0x2d, 0x2d, 0x20, 0x20, 0x16, 0x16, 0x0e, 0x0e, 0x0a, 0x0a, 0x09, 0x09, 0x0b, 0x0b, 0x0f, 0x0f, 0x16, 0x16, 0x1f, 0x1f, 0x28, 0x28, 
0x33, 0x33, 0x3f, 0x3f, 0x4b, 0x4b, 0x56, 0x56, 0x5f, 0x5f, 0x67, 0x67, 0x6d, 0x6d, 0x71, 0x71, 0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 
0x65, 0x65, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 
0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa8, 0xa8, 0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xba, 0xba, 
0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xad, 0xad, 0xa7, 0xa7, 0xa2, 0xa2, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa4, 0xa4, 
0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa1, 0xa1, 0x99, 0x99, 0x8f, 0x8f, 0x83, 0x83, 0x79, 0x79, 0x6f, 0x6f, 0x67, 0x67, 0x61, 0x61, 0x5d, 0x5d, 
0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 
0x8b, 0x8b, 0x91, 0x91, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 
0x6c, 0x6c, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 0x54, 0x54, 0x53, 0x53, 0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x66, 0x66, 0x6d, 0x6d, 0x73, 0x73, 0x79, 0x79, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x8f, 0x8f, 0x96, 0x96, 0x9c, 0x9c, 
0xa1, 0xa1, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 
0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 
0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x69, 0x69, 0x72, 0x72, 0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 
0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 
0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 
0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 
0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x87, 0x87, 0x7f, 0x7f, 0x77, 0x77, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 
0x59, 0x59, 0x5c, 0x5c, 0x62, 0x62, 0x6b, 0x6b, 0x75, 0x75, 0x7f, 0x7f, 0x8a, 0x8a, 0x92, 0x92, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x90, 0x90, 0x89, 0x89, 
0x80, 0x80, 0x78, 0x78, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6f, 0x6f, 0x75, 0x75, 0x7d, 0x7d, 0x87, 0x87, 0x92, 0x92, 0x9d, 0x9d, 0xa6, 0xa6, 0xad, 0xad, 
0xb1, 0xb1, 0xb3, 0xb3, 0xb1, 0xb1, 0xac, 0xac, 0xa5, 0xa5, 0x9e, 0x9e, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8d, 0x8d, 0x8f, 0x8f, 0x93, 0x93, 0x99, 0x99, 
0xa0, 0xa0, 0xa5, 0xa5, 0xa8, 0xa8, 0xa9, 0xa9, 0xa8, 0xa8, 0xa3, 0xa3, 0x9b, 0x9b, 0x91, 0x91, 0x86, 0x86, 0x7a, 0x7a, 0x6e, 0x6e, 0x63, 0x63, 0x5a, 0x5a, 
0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 
0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 
0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 
0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 
0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x5f, 0x5f, 0x63, 0x63, 0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x83, 0x83, 
0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x79, 0x79, 0x72, 0x72, 0x6b, 0x6b, 0x65, 0x65, 0x5f, 0x5f, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 
0x4e, 0x4e, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x3f, 0x3f, 0x3c, 0x3c, 0x3b, 0x3b, 0x3d, 0x3d, 0x40, 0x40, 0x46, 0x46, 0x4c, 0x4c, 0x53, 0x53, 0x5b, 0x5b, 
0x61, 0x61, 0x66, 0x66, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x89, 0x89, 
0x92, 0x92, 0x9d, 0x9d, 0xa9, 0xa9, 0xb6, 0xb6, 0xc2, 0xc2, 0xce, 0xce, 0xd9, 0xd9, 0xe2, 0xe2, 0xe8, 0xe8, 0xec, 0xec, 0xed, 0xed, 0xec, 0xec, 0xea, 0xea, 
0xe5, 0xe5, 0xe0, 0xe0, 0xda, 0xda, 0xd4, 0xd4, 0xcf, 0xcf, 0xcb, 0xcb, 0xc7, 0xc7, 0xc4, 0xc4, 0xc2, 0xc2, 0xc1, 0xc1, 0xbf, 0xbf, 0xbd, 0xbd, 0xba, 0xba, 
0xb6, 0xb6, 0xb0, 0xb0, 0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8d, 0x8d, 0x84, 0x84, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x7a, 0x7a, 
0x7f, 0x7f, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 
0x83, 0x83, 0x7d, 0x7d, 0x75, 0x75, 0x6b, 0x6b, 0x61, 0x61, 0x56, 0x56, 0x4c, 0x4c, 0x43, 0x43, 0x3d, 0x3d, 0x3a, 0x3a, 0x39, 0x39, 0x39, 0x39, 0x3b, 0x3b, 
0x3d, 0x3d, 0x3f, 0x3f, 0x42, 0x42, 0x45, 0x45, 0x49, 0x49, 0x4e, 0x4e, 0x55, 0x55, 0x5e, 0x5e, 0x6a, 0x6a, 0x77, 0x77, 0x85, 0x85, 0x93, 0x93, 0x9f, 0x9f, 
0xaa, 0xaa, 0xb3, 0xb3, 0xb9, 0xb9, 0xbb, 0xbb, 0xbb, 0xbb, 0xba, 0xba, 0xb6, 0xb6, 0xb2, 0xb2, 0xae, 0xae, 0xa9, 0xa9, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 
0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 
0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x59, 0x59, 
0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3c, 0x3c, 0x3b, 0x3b, 0x3e, 0x3e, 0x45, 0x45, 0x4e, 0x4e, 0x58, 0x58, 0x62, 0x62, 0x6b, 0x6b, 
0x73, 0x73, 0x78, 0x78, 0x79, 0x79, 0x77, 0x77, 0x71, 0x71, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 0x4d, 0x4d, 0x44, 0x44, 0x3d, 0x3d, 0x38, 0x38, 0x35, 0x35, 
0x34, 0x34, 0x37, 0x37, 0x3d, 0x3d, 0x45, 0x45, 0x50, 0x50, 0x5e, 0x5e, 0x6d, 0x6d, 0x7d, 0x7d, 0x8b, 0x8b, 0x97, 0x97, 0x9e, 0x9e, 0xa2, 0xa2, 0xa2, 0xa2, 
0x9f, 0x9f, 0x99, 0x99, 0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 0x9b, 0x9b, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa5, 0xa5, 0xa3, 0xa3, 
0xa1, 0xa1, 0x9e, 0x9e, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x84, 0x84, 0x7f, 0x7f, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x77, 0x77, 0x7b, 0x7b, 
0x7f, 0x7f, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x80, 0x80, 0x78, 0x78, 0x6e, 0x6e, 0x63, 0x63, 0x59, 0x59, 0x50, 0x50, 0x49, 0x49, 0x45, 0x45, 
0x44, 0x44, 0x45, 0x45, 0x49, 0x49, 0x4f, 0x4f, 0x56, 0x56, 0x5f, 0x5f, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x85, 0x85, 0x8e, 0x8e, 0x96, 0x96, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xaa, 0xaa, 0xac, 0xac, 0xaf, 0xaf, 0xb3, 0xb3, 0xb6, 0xb6, 0xb8, 0xb8, 0xb8, 0xb8, 0xb4, 0xb4, 
0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x90, 0x90, 0x84, 0x84, 0x7a, 0x7a, 0x71, 0x71, 0x6b, 0x6b, 0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x6c, 0x6c, 0x71, 0x71, 
0x77, 0x77, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x7f, 0x7f, 0x78, 0x78, 0x73, 0x73, 
0x71, 0x71, 0x71, 0x71, 0x73, 0x73, 0x77, 0x77, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x7f, 0x7f, 0x7a, 0x7a, 0x73, 0x73, 0x6a, 0x6a, 0x61, 0x61, 
0x58, 0x58, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3b, 0x3b, 0x38, 0x38, 0x35, 0x35, 0x34, 0x34, 0x35, 0x35, 0x38, 0x38, 0x3c, 0x3c, 0x41, 0x41, 0x48, 0x48, 
0x50, 0x50, 0x58, 0x58, 0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x82, 0x82, 0x8e, 0x8e, 0x9a, 0x9a, 0xa5, 0xa5, 0xaf, 0xaf, 0xb6, 0xb6, 0xba, 0xba, 0xba, 0xba, 
0xb7, 0xb7, 0xb0, 0xb0, 0xa7, 0xa7, 0x9c, 0x9c, 0x91, 0x91, 0x88, 0x88, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 
0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 
0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 0x8d, 0x8d, 0x94, 0x94, 0x9a, 0x9a, 0x9f, 0x9f, 
0xa4, 0xa4, 0xa9, 0xa9, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xb8, 0xb8, 0xb1, 0xb1, 0xa9, 0xa9, 0x9e, 0x9e, 0x93, 0x93, 
0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x5c, 0x5c, 0x61, 0x61, 0x6a, 0x6a, 0x75, 0x75, 
0x81, 0x81, 0x8d, 0x8d, 0x98, 0x98, 0xa1, 0xa1, 0xa7, 0xa7, 0xa8, 0xa8, 0xa7, 0xa7, 0xa4, 0xa4, 0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 
0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x71, 0x71, 0x75, 0x75, 0x7c, 0x7c, 0x85, 0x85, 0x8f, 0x8f, 0x99, 0x99, 
0xa1, 0xa1, 0xa6, 0xa6, 0xa6, 0xa6, 0xa1, 0xa1, 0x99, 0x99, 0x8e, 0x8e, 0x83, 0x83, 0x79, 0x79, 0x70, 0x70, 0x6a, 0x6a, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 
0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 
0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 0x5b, 0x5b, 0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x47, 0x47, 0x46, 0x46, 
0x46, 0x46, 0x46, 0x46, 0x47, 0x47, 0x48, 0x48, 0x4b, 0x4b, 0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 
0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 
0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x88, 0x88, 0x88, 0x88, 0x8a, 0x8a, 0x8e, 0x8e, 
0x94, 0x94, 0x9c, 0x9c, 0xa4, 0xa4, 0xac, 0xac, 0xb3, 0xb3, 0xb8, 0xb8, 0xbc, 0xbc, 0xbf, 0xbf, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xbf, 0xbf, 0xbc, 0xbc, 
0xb8, 0xb8, 0xb2, 0xb2, 0xab, 0xab, 0xa3, 0xa3, 0x9b, 0x9b, 0x91, 0x91, 0x89, 0x89, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 
0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 
0x6c, 0x6c, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x72, 0x72, 0x7b, 0x7b, 0x84, 0x84, 
0x8d, 0x8d, 0x96, 0x96, 0x9c, 0x9c, 0xa2, 0xa2, 0xa4, 0xa4, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x99, 0x99, 0x98, 0x98, 0x98, 0x98, 
0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x86, 0x86, 0x86, 0x86, 0x89, 0x89, 
0x8e, 0x8e, 0x95, 0x95, 0x9d, 0x9d, 0xa3, 0xa3, 0xa9, 0xa9, 0xad, 0xad, 0xaf, 0xaf, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 
0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x67, 0x67, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x66, 0x66, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 
0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x48, 0x48, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x43, 0x43, 0x43, 0x43, 0x44, 0x44, 0x46, 0x46, 0x48, 0x48, 0x4b, 0x4b, 
0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x6f, 0x6f, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 0x97, 0x97, 0x9e, 0x9e, 0xa4, 0xa4, 
0xa6, 0xa6, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 
0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 
0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 0xa8, 0xa8, 0xa2, 0xa2, 0x9a, 0x9a, 
0x90, 0x90, 0x87, 0x87, 0x7f, 0x7f, 0x79, 0x79, 0x76, 0x76, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 
0x9d, 0x9d, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xa9, 0xa9, 0xa3, 0xa3, 0x9c, 0x9c, 
0x93, 0x93, 0x8b, 0x8b, 0x83, 0x83, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x70, 0x70, 0x6b, 0x6b, 0x65, 0x65, 0x5c, 0x5c, 0x52, 0x52, 
0x49, 0x49, 0x41, 0x41, 0x3e, 0x3e, 0x40, 0x40, 0x46, 0x46, 0x50, 0x50, 0x5d, 0x5d, 0x6d, 0x6d, 0x7d, 0x7d, 0x8c, 0x8c, 0x98, 0x98, 0xa1, 0xa1, 0xa7, 0xa7, 
0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xb1, 0xb1, 0xb1, 0xb1, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb0, 0xb0, 0xac, 0xac, 0xa6, 0xa6, 0x9e, 0x9e, 0x95, 0x95, 
0x8b, 0x8b, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 0x55, 0x55, 0x54, 0x54, 0x55, 0x55, 0x58, 0x58, 0x5d, 0x5d, 0x65, 0x65, 
0x6e, 0x6e, 0x78, 0x78, 0x81, 0x81, 0x89, 0x89, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x91, 0x91, 0x8e, 0x8e, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 
0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x69, 0x69, 0x65, 0x65, 0x60, 0x60, 0x5b, 0x5b, 0x55, 0x55, 0x4f, 0x4f, 0x49, 0x49, 0x42, 0x42, 0x3b, 0x3b, 
0x33, 0x33, 0x2c, 0x2c, 0x25, 0x25, 0x1e, 0x1e, 0x1a, 0x1a, 0x19, 0x19, 0x1c, 0x1c, 0x22, 0x22, 0x29, 0x29, 0x32, 0x32, 0x3b, 0x3b, 0x44, 0x44, 0x4c, 0x4c, 
0x52, 0x52, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x65, 0x65, 0x6f, 0x6f, 0x7c, 0x7c, 0x8b, 0x8b, 0x9b, 0x9b, 0xaa, 0xaa, 0xb7, 0xb7, 0xc0, 0xc0, 0xc3, 0xc3, 
0xc0, 0xc0, 0xb8, 0xb8, 0xad, 0xad, 0xa2, 0xa2, 0x98, 0x98, 0x8f, 0x8f, 0x8a, 0x8a, 0x88, 0x88, 0x89, 0x89, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 
0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xaa, 0xaa, 0xad, 0xad, 
0xb1, 0xb1, 0xb5, 0xb5, 0xb8, 0xb8, 0xbb, 0xbb, 0xbd, 0xbd, 0xbe, 0xbe, 0xbc, 0xbc, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 0xaa, 0xaa, 0xa5, 0xa5, 0xa0, 0xa0, 
0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 0x79, 0x79, 0x6e, 0x6e, 0x63, 0x63, 0x58, 0x58, 0x4f, 0x4f, 0x48, 0x48, 0x45, 0x45, 
0x45, 0x45, 0x48, 0x48, 0x4c, 0x4c, 0x50, 0x50, 0x53, 0x53, 0x56, 0x56, 0x58, 0x58, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x66, 0x66, 
0x6c, 0x6c, 0x72, 0x72, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 
0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xab, 0xab, 0xb1, 0xb1, 0xb9, 0xb9, 0xc3, 0xc3, 0xd0, 0xd0, 0xde, 0xde, 0xeb, 0xeb, 
0xf5, 0xf5, 0xfb, 0xfb, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf1, 0xf1, 0xe8, 0xe8, 0xde, 0xde, 0xd3, 0xd3, 0xc7, 0xc7, 0xbb, 0xbb, 0xb0, 0xb0, 0xa6, 0xa6, 
0x9e, 0x9e, 0x98, 0x98, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 0x6b, 0x6b, 0x66, 0x66, 0x60, 0x60, 
0x5a, 0x5a, 0x53, 0x53, 0x4c, 0x4c, 0x44, 0x44, 0x3d, 0x3d, 0x37, 0x37, 0x32, 0x32, 0x2f, 0x2f, 0x2c, 0x2c, 0x2b, 0x2b, 0x29, 0x29, 0x28, 0x28, 0x27, 0x27, 
0x26, 0x26, 0x25, 0x25, 0x24, 0x24, 0x23, 0x23, 0x24, 0x24, 0x25, 0x25, 0x29, 0x29, 0x2d, 0x2d, 0x32, 0x32, 0x36, 0x36, 0x3a, 0x3a, 0x3e, 0x3e, 0x40, 0x40, 
0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x52, 0x52, 0x5a, 0x5a, 0x63, 0x63, 0x6d, 0x6d, 0x76, 0x76, 0x7e, 0x7e, 
0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 
0x9e, 0x9e, 0x9b, 0x9b, 0x9b, 0x9b, 0x9d, 0x9d, 0xa2, 0xa2, 0xaa, 0xaa, 0xb4, 0xb4, 0xbf, 0xbf, 0xcc, 0xcc, 0xd7, 0xd7, 0xe0, 0xe0, 0xe6, 0xe6, 0xe9, 0xe9, 
0xe8, 0xe8, 0xe4, 0xe4, 0xdd, 0xdd, 0xd4, 0xd4, 0xca, 0xca, 0xbf, 0xbf, 0xb5, 0xb5, 0xaa, 0xaa, 0xa1, 0xa1, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 0x82, 0x82, 
0x7b, 0x7b, 0x74, 0x74, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x53, 0x53, 0x49, 0x49, 0x40, 0x40, 0x39, 0x39, 0x34, 0x34, 0x32, 0x32, 0x32, 0x32, 0x34, 0x34, 
0x39, 0x39, 0x3f, 0x3f, 0x44, 0x44, 0x47, 0x47, 0x48, 0x48, 0x46, 0x46, 0x43, 0x43, 0x3d, 0x3d, 0x37, 0x37, 0x30, 0x30, 0x2a, 0x2a, 0x27, 0x27, 0x27, 0x27, 
0x2a, 0x2a, 0x30, 0x30, 0x39, 0x39, 0x43, 0x43, 0x4f, 0x4f, 0x5b, 0x5b, 0x67, 0x67, 0x71, 0x71, 0x79, 0x79, 0x7f, 0x7f, 0x82, 0x82, 0x80, 0x80, 0x7c, 0x7c, 
0x76, 0x76, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x56, 0x56, 0x59, 0x59, 0x61, 0x61, 0x6c, 0x6c, 0x79, 0x79, 0x88, 0x88, 0x97, 0x97, 0xa5, 0xa5, 
0xb1, 0xb1, 0xb9, 0xb9, 0xbf, 0xbf, 0xc4, 0xc4, 0xc9, 0xc9, 0xd0, 0xd0, 0xd8, 0xd8, 0xe1, 0xe1, 0xe9, 0xe9, 0xf0, 0xf0, 0xf7, 0xf7, 0xfb, 0xfb, 0xfb, 0xfb, 
0xf9, 0xf9, 0xf3, 0xf3, 0xe9, 0xe9, 0xdc, 0xdc, 0xcb, 0xcb, 0xb9, 0xb9, 0xa8, 0xa8, 0x99, 0x99, 0x8f, 0x8f, 0x8a, 0x8a, 0x88, 0x88, 0x8a, 0x8a, 0x8f, 0x8f, 
0x96, 0x96, 0x9f, 0x9f, 0xa7, 0xa7, 0xae, 0xae, 0xb4, 0xb4, 0xb7, 0xb7, 0xb8, 0xb8, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0x9e, 0x9e, 0x93, 0x93, 0x87, 0x87, 
0x7c, 0x7c, 0x72, 0x72, 0x6a, 0x6a, 0x63, 0x63, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 
0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 0x5c, 0x5c, 0x58, 0x58, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 0x46, 0x46, 0x43, 0x43, 
0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 0x41, 0x41, 0x46, 0x46, 0x4d, 0x4d, 0x56, 0x56, 0x62, 0x62, 0x6f, 0x6f, 0x7e, 0x7e, 0x8b, 0x8b, 0x95, 0x95, 0x9b, 0x9b, 
0x9e, 0x9e, 0x9e, 0x9e, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x83, 0x83, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 
0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 
0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa7, 0xa7, 0xab, 0xab, 
0xaf, 0xaf, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xad, 0xad, 0xa7, 0xa7, 0xa0, 0xa0, 0x99, 0x99, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x82, 0x82, 0x82, 0x82, 
0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x83, 0x83, 0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 
0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x73, 0x73, 
0x6c, 0x6c, 0x63, 0x63, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x62, 0x62, 
0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x60, 0x60, 0x64, 0x64, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x83, 0x83, 
0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 
0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x7f, 0x7f, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 
0x78, 0x78, 0x7f, 0x7f, 0x88, 0x88, 0x91, 0x91, 0x99, 0x99, 0x9f, 0x9f, 0xa3, 0xa3, 0xa5, 0xa5, 0xa5, 0xa5, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9d, 0x9d, 
0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x6a, 0x6a, 0x6e, 0x6e, 0x74, 0x74, 0x7c, 0x7c, 
0x83, 0x83, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 
0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 
0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6d, 0x6d, 0x67, 0x67, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5e, 0x5e, 0x60, 0x60, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 
0x5f, 0x5f, 0x65, 0x65, 0x6e, 0x6e, 0x78, 0x78, 0x82, 0x82, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x90, 0x90, 0x8c, 0x8c, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 
0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x68, 0x68, 0x6d, 0x6d, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7c, 0x7c, 0x7a, 0x7a, 
0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x7a, 0x7a, 0x81, 0x81, 0x8d, 0x8d, 0x9b, 0x9b, 0xab, 0xab, 0xbb, 0xbb, 0xcc, 0xcc, 0xd9, 0xd9, 0xe3, 0xe3, 0xe8, 0xe8, 
0xea, 0xea, 0xe9, 0xe9, 0xe7, 0xe7, 0xe5, 0xe5, 0xe3, 0xe3, 0xe1, 0xe1, 0xdf, 0xdf, 0xdc, 0xdc, 0xd8, 0xd8, 0xd3, 0xd3, 0xcb, 0xcb, 0xc0, 0xc0, 0xb4, 0xb4, 
0xa6, 0xa6, 0x9a, 0x9a, 0x8e, 0x8e, 0x83, 0x83, 0x79, 0x79, 0x70, 0x70, 0x67, 0x67, 0x5f, 0x5f, 0x56, 0x56, 0x4d, 0x4d, 0x44, 0x44, 0x3b, 0x3b, 0x35, 0x35, 
0x31, 0x31, 0x32, 0x32, 0x35, 0x35, 0x3a, 0x3a, 0x3e, 0x3e, 0x41, 0x41, 0x41, 0x41, 0x3f, 0x3f, 0x38, 0x38, 0x2e, 0x2e, 0x23, 0x23, 0x18, 0x18, 0x11, 0x11, 
0x0f, 0x0f, 0x11, 0x11, 0x16, 0x16, 0x1e, 0x1e, 0x27, 0x27, 0x30, 0x30, 0x37, 0x37, 0x3c, 0x3c, 0x3e, 0x3e, 0x3e, 0x3e, 0x3e, 0x3e, 0x3f, 0x3f, 0x43, 0x43, 
0x48, 0x48, 0x4e, 0x4e, 0x55, 0x55, 0x5b, 0x5b, 0x60, 0x60, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x73, 0x73, 0x79, 0x79, 0x82, 0x82, 
0x8b, 0x8b, 0x94, 0x94, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xb2, 0xb2, 0xb9, 0xb9, 0xc2, 0xc2, 0xcb, 0xcb, 0xd5, 0xd5, 0xdf, 0xdf, 0xe9, 0xe9, 0xf0, 0xf0, 
0xf2, 0xf2, 0xef, 0xef, 0xe8, 0xe8, 0xde, 0xde, 0xd5, 0xd5, 0xcc, 0xcc, 0xc6, 0xc6, 0xc5, 0xc5, 0xc9, 0xc9, 0xd4, 0xd4, 0xe2, 0xe2, 0xf0, 0xf0, 0xfb, 0xfb, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf8, 0xf8, 0xf4, 0xf4, 0xf0, 0xf0, 0xec, 0xec, 0xe8, 0xe8, 0xe2, 0xe2, 0xda, 0xda, 0xcd, 0xcd, 0xbb, 0xbb, 
0xa5, 0xa5, 0x8c, 0x8c, 0x71, 0x71, 0x54, 0x54, 0x38, 0x38, 0x20, 0x20, 0x10, 0x10, 0x07, 0x07, 0x04, 0x04, 0x06, 0x06, 0x0b, 0x0b, 0x10, 0x10, 0x16, 0x16, 
0x1c, 0x1c, 0x21, 0x21, 0x25, 0x25, 0x28, 0x28, 0x2b, 0x2b, 0x2e, 0x2e, 0x31, 0x31, 0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x2f, 0x2f, 0x2b, 0x2b, 0x27, 0x27, 
0x25, 0x25, 0x26, 0x26, 0x2a, 0x2a, 0x30, 0x30, 0x39, 0x39, 0x45, 0x45, 0x53, 0x53, 0x5f, 0x5f, 0x69, 0x69, 0x6f, 0x6f, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 
0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x78, 0x78, 0x7e, 0x7e, 0x87, 0x87, 
0x91, 0x91, 0x9e, 0x9e, 0xab, 0xab, 0xba, 0xba, 0xca, 0xca, 0xd8, 0xd8, 0xe4, 0xe4, 0xed, 0xed, 0xf4, 0xf4, 0xf7, 0xf7, 0xf7, 0xf7, 0xf3, 0xf3, 0xec, 0xec, 
0xe2, 0xe2, 0xd6, 0xd6, 0xc9, 0xc9, 0xbb, 0xbb, 0xad, 0xad, 0xa2, 0xa2, 0x9a, 0x9a, 0x94, 0x94, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 
0x8a, 0x8a, 0x85, 0x85, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 
0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x7f, 0x7f, 0x79, 0x79, 0x71, 0x71, 0x66, 0x66, 
0x5a, 0x5a, 0x50, 0x50, 0x47, 0x47, 0x42, 0x42, 0x40, 0x40, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x49, 0x49, 0x4d, 0x4d, 0x50, 0x50, 0x53, 0x53, 0x55, 0x55, 
0x57, 0x57, 0x57, 0x57, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4b, 0x4b, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x39, 0x39, 0x36, 0x36, 
0x35, 0x35, 0x36, 0x36, 0x39, 0x39, 0x3f, 0x3f, 0x47, 0x47, 0x52, 0x52, 0x5e, 0x5e, 0x69, 0x69, 0x72, 0x72, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 
0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x93, 0x93, 0x9a, 0x9a, 0xa1, 0xa1, 0xa6, 0xa6, 0xa9, 0xa9, 0xa9, 0xa9, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x99, 0x99, 
0x95, 0x95, 0x95, 0x95, 0x98, 0x98, 0xa0, 0xa0, 0xab, 0xab, 0xb8, 0xb8, 0xc5, 0xc5, 0xd1, 0xd1, 0xdb, 0xdb, 0xe3, 0xe3, 0xe7, 0xe7, 0xe7, 0xe7, 0xe5, 0xe5, 
0xe1, 0xe1, 0xde, 0xde, 0xdb, 0xdb, 0xd9, 0xd9, 0xd7, 0xd7, 0xd4, 0xd4, 0xd0, 0xd0, 0xcb, 0xcb, 0xc6, 0xc6, 0xc2, 0xc2, 0xbf, 0xbf, 0xbd, 0xbd, 0xbc, 0xbc, 
0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbf, 0xbf, 0xbe, 0xbe, 0xba, 0xba, 0xaf, 0xaf, 
0x9c, 0x9c, 0x83, 0x83, 0x68, 0x68, 0x4d, 0x4d, 0x33, 0x33, 0x1c, 0x1c, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 
0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x04, 0x04, 0x07, 0x07, 0x0d, 0x0d, 0x16, 0x16, 0x20, 0x20, 0x2b, 0x2b, 0x35, 0x35, 0x3d, 0x3d, 0x44, 0x44, 
0x48, 0x48, 0x4c, 0x4c, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x57, 0x57, 0x60, 0x60, 0x6b, 0x6b, 0x77, 0x77, 0x84, 0x84, 0x8f, 0x8f, 0x9a, 0x9a, 0xa4, 0xa4, 
0xaf, 0xaf, 0xba, 0xba, 0xc6, 0xc6, 0xd1, 0xd1, 0xdb, 0xdb, 0xe3, 0xe3, 0xeb, 0xeb, 0xef, 0xef, 0xf1, 0xf1, 0xef, 0xef, 0xec, 0xec, 0xe9, 0xe9, 0xe8, 0xe8, 
0xea, 0xea, 0xee, 0xee, 0xf4, 0xf4, 0xf8, 0xf8, 0xfc, 0xfc, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xf2, 0xf2, 0xe9, 0xe9, 0xe0, 0xe0, 0xd6, 0xd6, 0xcd, 0xcd, 
0xc5, 0xc5, 0xbc, 0xbc, 0xb2, 0xb2, 0xa7, 0xa7, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x6d, 0x6d, 0x5b, 0x5b, 0x4a, 0x4a, 0x3a, 0x3a, 0x2c, 0x2c, 0x1f, 0x1f, 
0x15, 0x15, 0x0d, 0x0d, 0x08, 0x08, 0x04, 0x04, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x08, 0x08, 0x0d, 0x0d, 0x13, 0x13, 0x17, 0x17, 
0x18, 0x18, 0x15, 0x15, 0x10, 0x10, 0x0c, 0x0c, 0x0a, 0x0a, 0x0b, 0x0b, 0x10, 0x10, 0x19, 0x19, 0x25, 0x25, 0x35, 0x35, 0x47, 0x47, 0x58, 0x58, 0x68, 0x68, 
0x75, 0x75, 0x7f, 0x7f, 0x86, 0x86, 0x89, 0x89, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x84, 0x84, 0x89, 0x89, 0x92, 0x92, 0x9f, 0x9f, 0xb1, 0xb1, 0xc7, 0xc7, 
0xde, 0xde, 0xf2, 0xf2, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf6, 0xf6, 0xf5, 0xf5, 0xf6, 0xf6, 0xf7, 0xf7, 0xf9, 0xf9, 
0xfc, 0xfc, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfd, 0xfb, 0xfb, 0xf8, 0xf8, 0xf3, 0xf3, 0xed, 0xed, 0xe4, 0xe4, 0xd8, 0xd8, 0xc9, 0xc9, 0xb7, 0xb7, 0xa3, 0xa3, 
0x8f, 0x8f, 0x7a, 0x7a, 0x66, 0x66, 0x54, 0x54, 0x46, 0x46, 0x3c, 0x3c, 0x36, 0x36, 0x30, 0x30, 0x2b, 0x2b, 0x25, 0x25, 0x1e, 0x1e, 0x17, 0x17, 0x11, 0x11, 
0x0b, 0x0b, 0x06, 0x06, 0x03, 0x03, 0x03, 0x03, 0x05, 0x05, 0x09, 0x09, 0x0d, 0x0d, 0x11, 0x11, 0x13, 0x13, 0x14, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0f, 0x0f, 
0x0c, 0x0c, 0x08, 0x08, 0x06, 0x06, 0x05, 0x05, 0x05, 0x05, 0x06, 0x06, 0x07, 0x07, 0x09, 0x09, 0x0b, 0x0b, 0x10, 0x10, 0x1b, 0x1b, 0x2b, 0x2b, 0x41, 0x41, 
0x59, 0x59, 0x72, 0x72, 0x8b, 0x8b, 0xa3, 0xa3, 0xb9, 0xb9, 0xcc, 0xcc, 0xda, 0xda, 0xe5, 0xe5, 0xed, 0xed, 0xf3, 0xf3, 0xf8, 0xf8, 0xfb, 0xfb, 0xfe, 0xfe, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 0xf9, 0xf9, 0xf7, 0xf7, 0xf6, 0xf6, 0xf5, 0xf5, 0xf4, 0xf4, 0xf4, 0xf4, 
0xf3, 0xf3, 0xf1, 0xf1, 0xed, 0xed, 0xe4, 0xe4, 0xd7, 0xd7, 0xc6, 0xc6, 0xb1, 0xb1, 0x9a, 0x9a, 0x81, 0x81, 0x69, 0x69, 0x54, 0x54, 0x44, 0x44, 0x3b, 0x3b, 
0x38, 0x38, 0x36, 0x36, 0x35, 0x35, 0x34, 0x34, 0x30, 0x30, 0x2c, 0x2c, 0x25, 0x25, 0x1d, 0x1d, 0x16, 0x16, 0x0f, 0x0f, 0x0c, 0x0c, 0x0d, 0x0d, 0x10, 0x10, 
0x14, 0x14, 0x17, 0x17, 0x18, 0x18, 0x16, 0x16, 0x13, 0x13, 0x0f, 0x0f, 0x0b, 0x0b, 0x06, 0x06, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 
0x0b, 0x0b, 0x15, 0x15, 0x22, 0x22, 0x31, 0x31, 0x40, 0x40, 0x4e, 0x4e, 0x5c, 0x5c, 0x69, 0x69, 0x74, 0x74, 0x7e, 0x7e, 0x86, 0x86, 0x8d, 0x8d, 0x95, 0x95, 
0x9d, 0x9d, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc7, 0xc7, 0xd0, 0xd0, 0xd9, 0xd9, 0xe3, 0xe3, 0xed, 0xed, 0xf5, 0xf5, 0xf8, 0xf8, 0xf6, 0xf6, 
0xf0, 0xf0, 0xe6, 0xe6, 0xda, 0xda, 0xcc, 0xcc, 0xbd, 0xbd, 0xb0, 0xb0, 0xa5, 0xa5, 0x9d, 0x9d, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 
0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 
0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8f, 0x8f, 
0x96, 0x96, 0x9f, 0x9f, 0xa8, 0xa8, 0xae, 0xae, 0xb0, 0xb0, 0xb0, 0xb0, 0xae, 0xae, 0xa9, 0xa9, 0xa3, 0xa3, 0x9d, 0x9d, 0x97, 0x97, 0x94, 0x94, 0x94, 0x94, 
0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa8, 0xa8, 0xb0, 0xb0, 0xb9, 0xb9, 0xc4, 0xc4, 0xcf, 0xcf, 0xdb, 0xdb, 0xe3, 0xe3, 0xe5, 0xe5, 0xe0, 0xe0, 0xd5, 0xd5, 
0xc5, 0xc5, 0xb2, 0xb2, 0x9d, 0x9d, 0x87, 0x87, 0x73, 0x73, 0x63, 0x63, 0x58, 0x58, 0x51, 0x51, 0x4c, 0x4c, 0x48, 0x48, 0x44, 0x44, 0x41, 0x41, 0x3e, 0x3e, 
0x3c, 0x3c, 0x3d, 0x3d, 0x40, 0x40, 0x43, 0x43, 0x46, 0x46, 0x49, 0x49, 0x4c, 0x4c, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x51, 0x51, 0x51, 0x51, 0x4f, 0x4f, 
0x4c, 0x4c, 0x48, 0x48, 0x42, 0x42, 0x3b, 0x3b, 0x33, 0x33, 0x2b, 0x2b, 0x24, 0x24, 0x1f, 0x1f, 0x1e, 0x1e, 0x21, 0x21, 0x27, 0x27, 0x31, 0x31, 0x3f, 0x3f, 
0x50, 0x50, 0x62, 0x62, 0x74, 0x74, 0x86, 0x86, 0x96, 0x96, 0xa3, 0xa3, 0xab, 0xab, 0xb0, 0xb0, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa4, 0xa4, 
0xa1, 0xa1, 0xa1, 0xa1, 0xa3, 0xa3, 0xa8, 0xa8, 0xaf, 0xaf, 0xb9, 0xb9, 0xc5, 0xc5, 0xd2, 0xd2, 0xde, 0xde, 0xe7, 0xe7, 0xeb, 0xeb, 0xed, 0xed, 0xed, 0xed, 
0xee, 0xee, 0xf2, 0xf2, 0xf7, 0xf7, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf3, 0xf3, 0xde, 0xde, 0xbe, 0xbe, 0x97, 0x97, 0x6e, 0x6e, 0x49, 0x49, 
0x2c, 0x2c, 0x17, 0x17, 0x08, 0x08, 0x01, 0x01, 0x00, 0x00, 0x02, 0x02, 0x07, 0x07, 0x0d, 0x0d, 0x12, 0x12, 0x17, 0x17, 0x1a, 0x1a, 0x1b, 0x1b, 0x1a, 0x1a, 
0x17, 0x17, 0x13, 0x13, 0x0f, 0x0f, 0x0c, 0x0c, 0x0a, 0x0a, 0x0a, 0x0a, 0x0d, 0x0d, 0x12, 0x12, 0x19, 0x19, 0x20, 0x20, 0x24, 0x24, 0x25, 0x25, 0x25, 0x25, 
0x25, 0x25, 0x29, 0x29, 0x30, 0x30, 0x3c, 0x3c, 0x4a, 0x4a, 0x58, 0x58, 0x66, 0x66, 0x73, 0x73, 0x7e, 0x7e, 0x86, 0x86, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 
0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x9a, 0x9a, 0xa2, 0xa2, 0xac, 0xac, 0xb8, 0xb8, 0xc5, 0xc5, 0xd4, 0xd4, 0xe0, 0xe0, 0xe9, 0xe9, 
0xee, 0xee, 0xee, 0xee, 0xed, 0xed, 0xeb, 0xeb, 0xea, 0xea, 0xe8, 0xe8, 0xe5, 0xe5, 0xdf, 0xdf, 0xd6, 0xd6, 0xc9, 0xc9, 0xbb, 0xbb, 0xac, 0xac, 0x9d, 0x9d, 
0x8f, 0x8f, 0x84, 0x84, 0x7c, 0x7c, 0x78, 0x78, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x6e, 0x6e, 0x67, 0x67, 0x60, 0x60, 0x58, 0x58, 0x50, 0x50, 0x4a, 0x4a, 
0x43, 0x43, 0x3d, 0x3d, 0x38, 0x38, 0x33, 0x33, 0x2e, 0x2e, 0x2a, 0x2a, 0x27, 0x27, 0x24, 0x24, 0x23, 0x23, 0x22, 0x22, 0x23, 0x23, 0x25, 0x25, 0x29, 0x29, 
0x2e, 0x2e, 0x36, 0x36, 0x3f, 0x3f, 0x49, 0x49, 0x53, 0x53, 0x5c, 0x5c, 0x66, 0x66, 0x6f, 0x6f, 0x78, 0x78, 0x81, 0x81, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 
0x8f, 0x8f, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x77, 0x77, 0x73, 0x73, 0x73, 0x73, 0x7b, 0x7b, 0x8a, 0x8a, 0x9e, 0x9e, 0xb4, 0xb4, 0xc8, 0xc8, 0xd9, 0xd9, 
0xe7, 0xe7, 0xf1, 0xf1, 0xf8, 0xf8, 0xfc, 0xfc, 0xfc, 0xfc, 0xf9, 0xf9, 0xf1, 0xf1, 0xe3, 0xe3, 0xd2, 0xd2, 0xbf, 0xbf, 0xab, 0xab, 0x98, 0x98, 0x88, 0x88, 
0x7d, 0x7d, 0x7a, 0x7a, 0x7f, 0x7f, 0x8a, 0x8a, 0x96, 0x96, 0x9f, 0x9f, 0xa3, 0xa3, 0xa2, 0xa2, 0x9c, 0x9c, 0x92, 0x92, 0x85, 0x85, 0x76, 0x76, 0x67, 0x67, 
0x5b, 0x5b, 0x51, 0x51, 0x4a, 0x4a, 0x43, 0x43, 0x3b, 0x3b, 0x32, 0x32, 0x28, 0x28, 0x1e, 0x1e, 0x15, 0x15, 0x0d, 0x0d, 0x07, 0x07, 0x04, 0x04, 0x05, 0x05, 
0x09, 0x09, 0x10, 0x10, 0x18, 0x18, 0x21, 0x21, 0x29, 0x29, 0x31, 0x31, 0x3a, 0x3a, 0x43, 0x43, 0x4e, 0x4e, 0x58, 0x58, 0x62, 0x62, 0x6b, 0x6b, 0x71, 0x71, 
0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x92, 0x92, 0xa0, 0xa0, 0xb2, 0xb2, 0xc8, 0xc8, 0xdc, 0xdc, 0xed, 0xed, 0xf7, 0xf7, 0xfd, 0xfd, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf5, 0xf5, 0xeb, 0xeb, 0xdc, 0xdc, 0xca, 0xca, 0xb2, 0xb2, 0x95, 0x95, 0x77, 0x77, 0x5d, 0x5d, 
0x4f, 0x4f, 0x4d, 0x4d, 0x55, 0x55, 0x64, 0x64, 0x77, 0x77, 0x89, 0x89, 0x98, 0x98, 0xa2, 0xa2, 0xa1, 0xa1, 0x95, 0x95, 0x83, 0x83, 0x6e, 0x6e, 0x5c, 0x5c, 
0x4f, 0x4f, 0x47, 0x47, 0x46, 0x46, 0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 0x6f, 0x6f, 0x76, 0x76, 0x76, 0x76, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x55, 0x55, 
0x4e, 0x4e, 0x4b, 0x4b, 0x4e, 0x4e, 0x57, 0x57, 0x64, 0x64, 0x70, 0x70, 0x78, 0x78, 0x7c, 0x7c, 0x7b, 0x7b, 0x77, 0x77, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 
0x64, 0x64, 0x64, 0x64, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x96, 0x96, 0xa5, 0xa5, 0xb6, 0xb6, 0xc9, 0xc9, 0xd9, 0xd9, 
0xe3, 0xe3, 0xe6, 0xe6, 0xe2, 0xe2, 0xd8, 0xd8, 0xc8, 0xc8, 0xb3, 0xb3, 0x9b, 0x9b, 0x84, 0x84, 0x70, 0x70, 0x5f, 0x5f, 0x52, 0x52, 0x48, 0x48, 0x43, 0x43, 
0x40, 0x40, 0x40, 0x40, 0x41, 0x41, 0x42, 0x42, 0x44, 0x44, 0x46, 0x46, 0x46, 0x46, 0x46, 0x46, 0x44, 0x44, 0x41, 0x41, 0x3e, 0x3e, 0x3c, 0x3c, 0x3b, 0x3b, 
0x3b, 0x3b, 0x3c, 0x3c, 0x3e, 0x3e, 0x40, 0x40, 0x44, 0x44, 0x48, 0x48, 0x4f, 0x4f, 0x57, 0x57, 0x61, 0x61, 0x6c, 0x6c, 0x77, 0x77, 0x81, 0x81, 0x8a, 0x8a, 
0x93, 0x93, 0x9a, 0x9a, 0x9f, 0x9f, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 0x90, 0x90, 
0x95, 0x95, 0xa0, 0xa0, 0xb0, 0xb0, 0xc2, 0xc2, 0xd3, 0xd3, 0xe1, 0xe1, 0xeb, 0xeb, 0xf2, 0xf2, 0xf4, 0xf4, 0xf3, 0xf3, 0xee, 0xee, 0xe8, 0xe8, 0xe3, 0xe3, 
0xde, 0xde, 0xda, 0xda, 0xd5, 0xd5, 0xcd, 0xcd, 0xc2, 0xc2, 0xb5, 0xb5, 0xa5, 0xa5, 0x95, 0x95, 0x84, 0x84, 0x73, 0x73, 0x62, 0x62, 0x51, 0x51, 0x40, 0x40, 
0x2f, 0x2f, 0x22, 0x22, 0x18, 0x18, 0x13, 0x13, 0x12, 0x12, 0x12, 0x12, 0x14, 0x14, 0x15, 0x15, 0x16, 0x16, 0x15, 0x15, 0x12, 0x12, 0x0e, 0x0e, 0x09, 0x09, 
0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 0x07, 0x07, 0x0d, 0x0d, 0x16, 0x16, 0x22, 0x22, 
0x32, 0x32, 0x44, 0x44, 0x58, 0x58, 0x6a, 0x6a, 0x79, 0x79, 0x84, 0x84, 0x8b, 0x8b, 0x92, 0x92, 0x9b, 0x9b, 0xa7, 0xa7, 0xb6, 0xb6, 0xc5, 0xc5, 0xd5, 0xd5, 
0xe3, 0xe3, 0xef, 0xef, 0xf9, 0xf9, 0xfe, 0xfe, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf9, 0xf9, 0xf9, 0xf9, 0xfb, 0xfb, 0xfd, 0xfd, 0xfe, 0xfe, 0xfd, 0xfd, 
0xf9, 0xf9, 0xef, 0xef, 0xdb, 0xdb, 0xbe, 0xbe, 0x9c, 0x9c, 0x7e, 0x7e, 0x6e, 0x6e, 0x6e, 0x6e, 0x7b, 0x7b, 0x90, 0x90, 0xa6, 0xa6, 0xb9, 0xb9, 0xc7, 0xc7, 
0xcb, 0xcb, 0xc1, 0xc1, 0xaa, 0xaa, 0x8b, 0x8b, 0x69, 0x69, 0x4c, 0x4c, 0x37, 0x37, 0x29, 0x29, 0x23, 0x23, 0x22, 0x22, 0x27, 0x27, 0x2d, 0x2d, 0x33, 0x33, 
0x37, 0x37, 0x36, 0x36, 0x31, 0x31, 0x2a, 0x2a, 0x21, 0x21, 0x17, 0x17, 0x0d, 0x0d, 0x06, 0x06, 0x03, 0x03, 0x04, 0x04, 0x08, 0x08, 0x0f, 0x0f, 0x16, 0x16, 
0x1d, 0x1d, 0x24, 0x24, 0x29, 0x29, 0x2d, 0x2d, 0x2f, 0x2f, 0x31, 0x31, 0x34, 0x34, 0x3a, 0x3a, 0x44, 0x44, 0x51, 0x51, 0x63, 0x63, 0x77, 0x77, 0x8e, 0x8e, 
0xa6, 0xa6, 0xbd, 0xbd, 0xd2, 0xd2, 0xe3, 0xe3, 0xf0, 0xf0, 0xf8, 0xf8, 0xfc, 0xfc, 0xfb, 0xfb, 0xf7, 0xf7, 0xf0, 0xf0, 0xe7, 0xe7, 0xdd, 0xdd, 0xd2, 0xd2, 
0xc6, 0xc6, 0xba, 0xba, 0xae, 0xae, 0xa3, 0xa3, 0x9d, 0x9d, 0x9e, 0x9e, 0xa8, 0xa8, 0xb6, 0xb6, 0xc4, 0xc4, 0xcd, 0xcd, 0xcf, 0xcf, 0xc9, 0xc9, 0xbd, 0xbd, 
0xa9, 0xa9, 0x8f, 0x8f, 0x73, 0x73, 0x5a, 0x5a, 0x47, 0x47, 0x3c, 0x3c, 0x39, 0x39, 0x3a, 0x3a, 0x3b, 0x3b, 0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3c, 0x3c, 
0x3b, 0x3b, 0x39, 0x39, 0x38, 0x38, 0x37, 0x37, 0x35, 0x35, 0x33, 0x33, 0x34, 0x34, 0x37, 0x37, 0x3e, 0x3e, 0x48, 0x48, 0x53, 0x53, 0x5c, 0x5c, 0x63, 0x63, 
0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7e, 0x7e, 0x89, 0x89, 
0x96, 0x96, 0xa7, 0xa7, 0xbc, 0xbc, 0xd0, 0xd0, 0xe0, 0xe0, 0xe6, 0xe6, 0xe0, 0xe0, 0xd0, 0xd0, 0xbc, 0xbc, 0xa6, 0xa6, 0x92, 0x92, 0x81, 0x81, 0x76, 0x76, 
0x72, 0x72, 0x77, 0x77, 0x82, 0x82, 0x8e, 0x8e, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa1, 0xa1, 0x9b, 0x9b, 0x91, 0x91, 0x83, 0x83, 0x71, 0x71, 
0x5b, 0x5b, 0x42, 0x42, 0x2d, 0x2d, 0x1e, 0x1e, 0x18, 0x18, 0x1a, 0x1a, 0x22, 0x22, 0x2e, 0x2e, 0x3d, 0x3d, 0x4c, 0x4c, 0x59, 0x59, 0x60, 0x60, 0x62, 0x62, 
0x60, 0x60, 0x5b, 0x5b, 0x57, 0x57, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x68, 0x68, 0x72, 0x72, 0x7f, 0x7f, 0x8d, 0x8d, 
0x9c, 0x9c, 0xab, 0xab, 0xba, 0xba, 0xc9, 0xc9, 0xd6, 0xd6, 0xe0, 0xe0, 0xe8, 0xe8, 0xed, 0xed, 0xf0, 0xf0, 0xf3, 0xf3, 0xf4, 0xf4, 0xf4, 0xf4, 0xf2, 0xf2, 
0xec, 0xec, 0xe1, 0xe1, 0xd2, 0xd2, 0xbc, 0xbc, 0x9c, 0x9c, 0x75, 0x75, 0x49, 0x49, 0x22, 0x22, 0x08, 0x08, 0x00, 0x00, 0x04, 0x04, 0x17, 0x17, 0x35, 0x35, 
0x5d, 0x5d, 0x88, 0x88, 0xad, 0xad, 0xc4, 0xc4, 0xc9, 0xc9, 0xc0, 0xc0, 0xad, 0xad, 0x94, 0x94, 0x77, 0x77, 0x5b, 0x5b, 0x41, 0x41, 0x2c, 0x2c, 0x1c, 0x1c, 
0x12, 0x12, 0x0b, 0x0b, 0x09, 0x09, 0x0a, 0x0a, 0x0c, 0x0c, 0x0f, 0x0f, 0x10, 0x10, 0x0f, 0x0f, 0x0d, 0x0d, 0x0a, 0x0a, 0x08, 0x08, 0x08, 0x08, 0x0b, 0x0b, 
0x11, 0x11, 0x1d, 0x1d, 0x2d, 0x2d, 0x41, 0x41, 0x54, 0x54, 0x65, 0x65, 0x70, 0x70, 0x78, 0x78, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x8b, 0x8b, 
0x92, 0x92, 0x9d, 0x9d, 0xaa, 0xaa, 0xba, 0xba, 0xca, 0xca, 0xda, 0xda, 0xea, 0xea, 0xf6, 0xf6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf0, 0xf0, 
0xe0, 0xe0, 0xcd, 0xcd, 0xba, 0xba, 0xa6, 0xa6, 0x95, 0x95, 0x86, 0x86, 0x7d, 0x7d, 0x7a, 0x7a, 0x80, 0x80, 0x8a, 0x8a, 0x98, 0x98, 0xa5, 0xa5, 0xb0, 0xb0, 
0xb9, 0xb9, 0xbd, 0xbd, 0xbc, 0xbc, 0xb6, 0xb6, 0xac, 0xac, 0xa0, 0xa0, 0x96, 0x96, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 
0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5b, 0x5b, 0x56, 0x56, 0x4f, 0x4f, 0x47, 0x47, 0x3d, 0x3d, 0x34, 0x34, 0x2b, 0x2b, 0x24, 0x24, 0x1f, 0x1f, 0x1e, 0x1e, 
0x20, 0x20, 0x26, 0x26, 0x2f, 0x2f, 0x38, 0x38, 0x3e, 0x3e, 0x42, 0x42, 0x43, 0x43, 0x43, 0x43, 0x43, 0x43, 0x46, 0x46, 0x4a, 0x4a, 0x50, 0x50, 0x5a, 0x5a, 
0x66, 0x66, 0x75, 0x75, 0x86, 0x86, 0x99, 0x99, 0xad, 0xad, 0xc1, 0xc1, 0xd1, 0xd1, 0xdb, 0xdb, 0xde, 0xde, 0xdb, 0xdb, 0xd0, 0xd0, 0xc0, 0xc0, 0xab, 0xab, 
0x94, 0x94, 0x7f, 0x7f, 0x70, 0x70, 0x69, 0x69, 0x69, 0x69, 0x6d, 0x6d, 0x73, 0x73, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x83, 0x83, 0x88, 0x88, 0x8a, 0x8a, 
0x85, 0x85, 0x7a, 0x7a, 0x6b, 0x6b, 0x5c, 0x5c, 0x51, 0x51, 0x4c, 0x4c, 0x4e, 0x4e, 0x56, 0x56, 0x62, 0x62, 0x73, 0x73, 0x86, 0x86, 0x99, 0x99, 0xa9, 0xa9, 
0xb6, 0xb6, 0xc0, 0xc0, 0xc9, 0xc9, 0xd1, 0xd1, 0xda, 0xda, 0xe3, 0xe3, 0xea, 0xea, 0xed, 0xed, 0xed, 0xed, 0xea, 0xea, 0xe8, 0xe8, 0xe8, 0xe8, 0xec, 0xec, 
0xf2, 0xf2, 0xf7, 0xf7, 0xf9, 0xf9, 0xf5, 0xf5, 0xea, 0xea, 0xd6, 0xd6, 0xb8, 0xb8, 0x8f, 0x8f, 0x62, 0x62, 0x37, 0x37, 0x17, 0x17, 0x05, 0x05, 0x00, 0x00, 
0x06, 0x06, 0x16, 0x16, 0x2c, 0x2c, 0x44, 0x44, 0x59, 0x59, 0x66, 0x66, 0x68, 0x68, 0x61, 0x61, 0x53, 0x53, 0x42, 0x42, 0x2e, 0x2e, 0x1a, 0x1a, 0x0a, 0x0a, 
0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x0b, 0x0b, 0x1b, 0x1b, 0x31, 0x31, 0x49, 0x49, 0x5e, 0x5e, 0x6d, 0x6d, 0x72, 0x72, 0x70, 0x70, 0x68, 0x68, 0x5e, 0x5e, 
0x53, 0x53, 0x49, 0x49, 0x46, 0x46, 0x4c, 0x4c, 0x5d, 0x5d, 0x75, 0x75, 0x8f, 0x8f, 0xa7, 0xa7, 0xba, 0xba, 0xc6, 0xc6, 0xcd, 0xcd, 0xce, 0xce, 0xca, 0xca, 
0xc4, 0xc4, 0xc0, 0xc0, 0xc2, 0xc2, 0xcc, 0xcc, 0xdb, 0xdb, 0xea, 0xea, 0xf7, 0xf7, 0xfd, 0xfd, 0xff, 0xff, 0xfd, 0xfd, 0xfa, 0xfa, 0xf6, 0xf6, 0xf2, 0xf2, 
0xed, 0xed, 0xe7, 0xe7, 0xdf, 0xdf, 0xd4, 0xd4, 0xc6, 0xc6, 0xb3, 0xb3, 0x9a, 0x9a, 0x80, 0x80, 0x69, 0x69, 0x5c, 0x5c, 0x5a, 0x5a, 0x60, 0x60, 0x6a, 0x6a, 
0x72, 0x72, 0x76, 0x76, 0x75, 0x75, 0x6f, 0x6f, 0x62, 0x62, 0x50, 0x50, 0x3c, 0x3c, 0x28, 0x28, 0x19, 0x19, 0x10, 0x10, 0x0b, 0x0b, 0x09, 0x09, 0x07, 0x07, 
0x06, 0x06, 0x04, 0x04, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x07, 0x07, 0x0c, 0x0c, 0x12, 0x12, 0x19, 0x19, 0x22, 0x22, 
0x2b, 0x2b, 0x35, 0x35, 0x3f, 0x3f, 0x48, 0x48, 0x50, 0x50, 0x57, 0x57, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x70, 0x70, 0x7c, 0x7c, 0x8d, 0x8d, 
0xa0, 0xa0, 0xb6, 0xb6, 0xcc, 0xcc, 0xe2, 0xe2, 0xf4, 0xf4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xf9, 0xf2, 0xf2, 0xea, 0xea, 0xe3, 0xe3, 
0xde, 0xde, 0xd8, 0xd8, 0xd4, 0xd4, 0xce, 0xce, 0xc5, 0xc5, 0xbb, 0xbb, 0xaf, 0xaf, 0xa5, 0xa5, 0x9e, 0x9e, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa2, 0xa2, 
0x9f, 0x9f, 0x98, 0x98, 0x8e, 0x8e, 0x7f, 0x7f, 0x6d, 0x6d, 0x59, 0x59, 0x45, 0x45, 0x34, 0x34, 0x25, 0x25, 0x1a, 0x1a, 0x11, 0x11, 0x0c, 0x0c, 0x0a, 0x0a, 
0x09, 0x09, 0x0a, 0x0a, 0x0c, 0x0c, 0x0d, 0x0d, 0x0f, 0x0f, 0x10, 0x10, 0x12, 0x12, 0x15, 0x15, 0x18, 0x18, 0x1e, 0x1e, 0x28, 0x28, 0x36, 0x36, 0x48, 0x48, 
0x5b, 0x5b, 0x6e, 0x6e, 0x81, 0x81, 0x93, 0x93, 0xa5, 0xa5, 0xb6, 0xb6, 0xc7, 0xc7, 0xd7, 0xd7, 0xe3, 0xe3, 0xeb, 0xeb, 0xed, 0xed, 0xeb, 0xeb, 0xe9, 0xe9, 
0xe9, 0xe9, 0xec, 0xec, 0xf2, 0xf2, 0xf6, 0xf6, 0xf7, 0xf7, 0xf3, 0xf3, 0xe7, 0xe7, 0xd3, 0xd3, 0xb3, 0xb3, 0x87, 0x87, 0x57, 0x57, 0x2d, 0x2d, 0x12, 0x12, 
0x0b, 0x0b, 0x14, 0x14, 0x2a, 0x2a, 0x47, 0x47, 0x69, 0x69, 0x8b, 0x8b, 0xa6, 0xa6, 0xb7, 0xb7, 0xbc, 0xbc, 0xb7, 0xb7, 0xaa, 0xaa, 0x97, 0x97, 0x81, 0x81, 
0x6a, 0x6a, 0x55, 0x55, 0x46, 0x46, 0x3d, 0x3d, 0x3b, 0x3b, 0x40, 0x40, 0x4c, 0x4c, 0x5f, 0x5f, 0x74, 0x74, 0x86, 0x86, 0x8f, 0x8f, 0x8d, 0x8d, 0x81, 0x81, 
0x6f, 0x6f, 0x5b, 0x5b, 0x47, 0x47, 0x36, 0x36, 0x2b, 0x2b, 0x29, 0x29, 0x32, 0x32, 0x42, 0x42, 0x54, 0x54, 0x64, 0x64, 0x6f, 0x6f, 0x74, 0x74, 0x73, 0x73, 
0x6a, 0x6a, 0x5c, 0x5c, 0x4a, 0x4a, 0x3c, 0x3c, 0x38, 0x38, 0x3f, 0x3f, 0x50, 0x50, 0x69, 0x69, 0x87, 0x87, 0xa8, 0xa8, 0xc9, 0xc9, 0xe5, 0xe5, 0xf8, 0xf8, 
0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xed, 0xed, 0xdb, 0xdb, 0xc5, 0xc5, 0xab, 0xab, 0x8f, 0x8f, 0x71, 0x71, 0x54, 0x54, 0x3c, 0x3c, 0x2e, 0x2e, 0x2b, 0x2b, 
0x32, 0x32, 0x3e, 0x3e, 0x4e, 0x4e, 0x5e, 0x5e, 0x6c, 0x6c, 0x75, 0x75, 0x77, 0x77, 0x71, 0x71, 0x65, 0x65, 0x57, 0x57, 0x4b, 0x4b, 0x41, 0x41, 0x3b, 0x3b, 
0x39, 0x39, 0x3c, 0x3c, 0x43, 0x43, 0x4d, 0x4d, 0x58, 0x58, 0x63, 0x63, 0x6c, 0x6c, 0x73, 0x73, 0x77, 0x77, 0x75, 0x75, 0x6d, 0x6d, 0x63, 0x63, 0x59, 0x59, 
0x53, 0x53, 0x54, 0x54, 0x5a, 0x5a, 0x65, 0x65, 0x74, 0x74, 0x87, 0x87, 0x9a, 0x9a, 0xaa, 0xaa, 0xb4, 0xb4, 0xb6, 0xb6, 0xb2, 0xb2, 0xa9, 0xa9, 0x9d, 0x9d, 
0x8f, 0x8f, 0x81, 0x81, 0x75, 0x75, 0x70, 0x70, 0x70, 0x70, 0x77, 0x77, 0x83, 0x83, 0x95, 0x95, 0xac, 0xac, 0xc5, 0xc5, 0xdd, 0xdd, 0xee, 0xee, 0xf9, 0xf9, 
0xfc, 0xfc, 0xf9, 0xf9, 0xee, 0xee, 0xdd, 0xdd, 0xc7, 0xc7, 0xae, 0xae, 0x93, 0x93, 0x79, 0x79, 0x60, 0x60, 0x4d, 0x4d, 0x43, 0x43, 0x44, 0x44, 0x4b, 0x4b, 
0x56, 0x56, 0x5e, 0x5e, 0x63, 0x63, 0x62, 0x62, 0x5d, 0x5d, 0x53, 0x53, 0x45, 0x45, 0x34, 0x34, 0x24, 0x24, 0x17, 0x17, 0x0e, 0x0e, 0x09, 0x09, 0x07, 0x07, 
0x0a, 0x0a, 0x10, 0x10, 0x19, 0x19, 0x23, 0x23, 0x2e, 0x2e, 0x39, 0x39, 0x45, 0x45, 0x4f, 0x4f, 0x58, 0x58, 0x60, 0x60, 0x67, 0x67, 0x70, 0x70, 0x7b, 0x7b, 
0x8a, 0x8a, 0x9b, 0x9b, 0xae, 0xae, 0xc0, 0xc0, 0xd1, 0xd1, 0xdf, 0xdf, 0xeb, 0xeb, 0xf3, 0xf3, 0xf7, 0xf7, 0xf7, 0xf7, 0xf5, 0xf5, 0xf1, 0xf1, 0xec, 0xec, 
0xe6, 0xe6, 0xe2, 0xe2, 0xe1, 0xe1, 0xe3, 0xe3, 0xe6, 0xe6, 0xe7, 0xe7, 0xe3, 0xe3, 0xd8, 0xd8, 0xc6, 0xc6, 0xae, 0xae, 0x8d, 0x8d, 0x66, 0x66, 0x3d, 0x3d, 
0x1a, 0x1a, 0x05, 0x05, 0x02, 0x02, 0x0d, 0x0d, 0x25, 0x25, 0x47, 0x47, 0x6f, 0x6f, 0x98, 0x98, 0xb8, 0xb8, 0xc9, 0xc9, 0xc7, 0xc7, 0xb5, 0xb5, 0x99, 0x99, 
0x78, 0x78, 0x56, 0x56, 0x35, 0x35, 0x1b, 0x1b, 0x0b, 0x0b, 0x06, 0x06, 0x0b, 0x0b, 0x18, 0x18, 0x2c, 0x2c, 0x44, 0x44, 0x5f, 0x5f, 0x76, 0x76, 0x86, 0x86, 
0x8c, 0x8c, 0x89, 0x89, 0x80, 0x80, 0x72, 0x72, 0x61, 0x61, 0x50, 0x50, 0x43, 0x43, 0x40, 0x40, 0x46, 0x46, 0x55, 0x55, 0x68, 0x68, 0x7d, 0x7d, 0x91, 0x91, 
0xa2, 0xa2, 0xad, 0xad, 0xb0, 0xb0, 0xaa, 0xaa, 0x9f, 0x9f, 0x92, 0x92, 0x87, 0x87, 0x82, 0x82, 0x81, 0x81, 0x88, 0x88, 0x95, 0x95, 0xa8, 0xa8, 0xbf, 0xbf, 
0xd3, 0xd3, 0xe1, 0xe1, 0xe7, 0xe7, 0xe3, 0xe3, 0xd7, 0xd7, 0xc2, 0xc2, 0xa6, 0xa6, 0x85, 0x85, 0x65, 0x65, 0x4a, 0x4a, 0x35, 0x35, 0x28, 0x28, 0x22, 0x22, 
0x21, 0x21, 0x27, 0x27, 0x30, 0x30, 0x3a, 0x3a, 0x42, 0x42, 0x47, 0x47, 0x4a, 0x4a, 0x49, 0x49, 0x45, 0x45, 0x3e, 0x3e, 0x35, 0x35, 0x2c, 0x2c, 0x23, 0x23, 
0x1c, 0x1c, 0x17, 0x17, 0x17, 0x17, 0x1e, 0x1e, 0x2c, 0x2c, 0x40, 0x40, 0x57, 0x57, 0x6f, 0x6f, 0x86, 0x86, 0x9a, 0x9a, 0xab, 0xab, 0xb7, 0xb7, 0xbd, 0xbd, 
0xc0, 0xc0, 0xc0, 0xc0, 0xc1, 0xc1, 0xc2, 0xc2, 0xc3, 0xc3, 0xc5, 0xc5, 0xc6, 0xc6, 0xc7, 0xc7, 0xc7, 0xc7, 0xc6, 0xc6, 0xc5, 0xc5, 0xc5, 0xc5, 0xc4, 0xc4, 
0xc3, 0xc3, 0xc1, 0xc1, 0xbf, 0xbf, 0xbd, 0xbd, 0xba, 0xba, 0xb9, 0xb9, 0xb9, 0xb9, 0xbb, 0xbb, 0xbf, 0xbf, 0xc7, 0xc7, 0xd2, 0xd2, 0xdf, 0xdf, 0xea, 0xea, 
0xf2, 0xf2, 0xf3, 0xf3, 0xee, 0xee, 0xe0, 0xe0, 0xc9, 0xc9, 0xa9, 0xa9, 0x83, 0x83, 0x5d, 0x5d, 0x3d, 0x3d, 0x25, 0x25, 0x15, 0x15, 0x0d, 0x0d, 0x0c, 0x0c, 
0x13, 0x13, 0x1c, 0x1c, 0x26, 0x26, 0x2b, 0x2b, 0x2b, 0x2b, 0x27, 0x27, 0x21, 0x21, 0x1b, 0x1b, 0x17, 0x17, 0x15, 0x15, 0x13, 0x13, 0x10, 0x10, 0x0c, 0x0c, 
0x08, 0x08, 0x04, 0x04, 0x02, 0x02, 0x03, 0x03, 0x07, 0x07, 0x0e, 0x0e, 0x19, 0x19, 0x27, 0x27, 0x37, 0x37, 0x47, 0x47, 0x55, 0x55, 0x60, 0x60, 0x69, 0x69, 
0x74, 0x74, 0x81, 0x81, 0x93, 0x93, 0xa8, 0xa8, 0xbd, 0xbd, 0xd0, 0xd0, 0xdf, 0xdf, 0xea, 0xea, 0xf0, 0xf0, 0xf2, 0xf2, 0xf0, 0xf0, 0xec, 0xec, 0xe6, 0xe6, 
0xe1, 0xe1, 0xdc, 0xdc, 0xd9, 0xd9, 0xd8, 0xd8, 0xda, 0xda, 0xdf, 0xdf, 0xe5, 0xe5, 0xeb, 0xeb, 0xed, 0xed, 0xeb, 0xeb, 0xe4, 0xe4, 0xd5, 0xd5, 0xbc, 0xbc, 
0x98, 0x98, 0x6f, 0x6f, 0x47, 0x47, 0x27, 0x27, 0x13, 0x13, 0x09, 0x09, 0x0a, 0x0a, 0x16, 0x16, 0x2c, 0x2c, 0x46, 0x46, 0x5f, 0x5f, 0x6f, 0x6f, 0x76, 0x76, 
0x73, 0x73, 0x6a, 0x6a, 0x5d, 0x5d, 0x4e, 0x4e, 0x3e, 0x3e, 0x30, 0x30, 0x25, 0x25, 0x1e, 0x1e, 0x1a, 0x1a, 0x18, 0x18, 0x17, 0x17, 0x15, 0x15, 0x13, 0x13, 
0x13, 0x13, 0x14, 0x14, 0x18, 0x18, 0x1e, 0x1e, 0x24, 0x24, 0x2a, 0x2a, 0x2e, 0x2e, 0x31, 0x31, 0x36, 0x36, 0x3d, 0x3d, 0x48, 0x48, 0x56, 0x56, 0x68, 0x68, 
0x7d, 0x7d, 0x95, 0x95, 0xae, 0xae, 0xc4, 0xc4, 0xd4, 0xd4, 0xdd, 0xdd, 0xe1, 0xe1, 0xe1, 0xe1, 0xdf, 0xdf, 0xde, 0xde, 0xdd, 0xdd, 0xdd, 0xdd, 0xdf, 0xdf, 
0xe2, 0xe2, 0xe6, 0xe6, 0xea, 0xea, 0xef, 0xef, 0xf4, 0xf4, 0xf8, 0xf8, 0xfb, 0xfb, 0xfb, 0xfb, 0xf8, 0xf8, 0xf2, 0xf2, 0xe7, 0xe7, 0xd8, 0xd8, 0xc4, 0xc4, 
0xad, 0xad, 0x99, 0x99, 0x8c, 0x8c, 0x87, 0x87, 0x89, 0x89, 0x90, 0x90, 0x99, 0x99, 0xa2, 0xa2, 0xaa, 0xaa, 0xac, 0xac, 0xa6, 0xa6, 0x97, 0x97, 0x81, 0x81, 
0x68, 0x68, 0x4e, 0x4e, 0x36, 0x36, 0x20, 0x20, 0x10, 0x10, 0x08, 0x08, 0x07, 0x07, 0x0c, 0x0c, 0x14, 0x14, 0x19, 0x19, 0x1c, 0x1c, 0x1b, 0x1b, 0x18, 0x18, 
0x14, 0x14, 0x0f, 0x0f, 0x0b, 0x0b, 0x0a, 0x0a, 0x0c, 0x0c, 0x13, 0x13, 0x1e, 0x1e, 0x2b, 0x2b, 0x39, 0x39, 0x48, 0x48, 0x56, 0x56, 0x64, 0x64, 0x70, 0x70, 
0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x84, 0x84, 0x7e, 0x7e, 0x75, 0x75, 0x6e, 0x6e, 0x6d, 0x6d, 0x74, 0x74, 0x81, 0x81, 0x93, 0x93, 0xaa, 0xaa, 0xc3, 0xc3, 
0xdc, 0xdc, 0xf2, 0xf2, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0xf8, 0xf0, 0xf0, 0xe8, 0xe8, 0xdf, 0xdf, 0xd5, 0xd5, 0xc9, 0xc9, 0xbd, 0xbd, 
0xb1, 0xb1, 0xa7, 0xa7, 0x9f, 0x9f, 0x98, 0x98, 0x91, 0x91, 0x87, 0x87, 0x79, 0x79, 0x68, 0x68, 0x57, 0x57, 0x48, 0x48, 0x3a, 0x3a, 0x30, 0x30, 0x29, 0x29, 
0x25, 0x25, 0x25, 0x25, 0x27, 0x27, 0x2c, 0x2c, 0x32, 0x32, 0x39, 0x39, 0x41, 0x41, 0x47, 0x47, 0x4d, 0x4d, 0x50, 0x50, 0x52, 0x52, 0x51, 0x51, 0x4d, 0x4d, 
0x47, 0x47, 0x41, 0x41, 0x3d, 0x3d, 0x3e, 0x3e, 0x46, 0x46, 0x53, 0x53, 0x64, 0x64, 0x78, 0x78, 0x8d, 0x8d, 0xa2, 0xa2, 0xb4, 0xb4, 0xc3, 0xc3, 0xce, 0xce, 
0xd5, 0xd5, 0xdb, 0xdb, 0xe0, 0xe0, 0xe5, 0xe5, 0xe9, 0xe9, 0xee, 0xee, 0xf3, 0xf3, 0xf7, 0xf7, 0xfa, 0xfa, 0xfb, 0xfb, 0xf9, 0xf9, 0xf4, 0xf4, 0xec, 0xec, 
0xe0, 0xe0, 0xd0, 0xd0, 0xbd, 0xbd, 0xa7, 0xa7, 0x8e, 0x8e, 0x73, 0x73, 0x56, 0x56, 0x3a, 0x3a, 0x22, 0x22, 0x11, 0x11, 0x09, 0x09, 0x09, 0x09, 0x11, 0x11, 
0x20, 0x20, 0x34, 0x34, 0x4a, 0x4a, 0x5e, 0x5e, 0x6a, 0x6a, 0x6d, 0x6d, 0x68, 0x68, 0x5d, 0x5d, 0x4c, 0x4c, 0x39, 0x39, 0x24, 0x24, 0x12, 0x12, 0x07, 0x07, 
0x04, 0x04, 0x08, 0x08, 0x14, 0x14, 0x28, 0x28, 0x43, 0x43, 0x62, 0x62, 0x80, 0x80, 0x97, 0x97, 0xa5, 0xa5, 0xac, 0xac, 0xad, 0xad, 0xa9, 0xa9, 0xa1, 0xa1, 
0x98, 0x98, 0x91, 0x91, 0x90, 0x90, 0x94, 0x94, 0x9e, 0x9e, 0xa9, 0xa9, 0xb5, 0xb5, 0xc0, 0xc0, 0xca, 0xca, 0xd2, 0xd2, 0xd8, 0xd8, 0xdd, 0xdd, 0xe1, 0xe1, 
0xe3, 0xe3, 0xe5, 0xe5, 0xe7, 0xe7, 0xe8, 0xe8, 0xea, 0xea, 0xed, 0xed, 0xf1, 0xf1, 0xf7, 0xf7, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf4, 0xf4, 
0xdf, 0xdf, 0xc1, 0xc1, 0x9a, 0x9a, 0x73, 0x73, 0x4e, 0x4e, 0x30, 0x30, 0x1a, 0x1a, 0x0c, 0x0c, 0x08, 0x08, 0x0e, 0x0e, 0x1a, 0x1a, 0x29, 0x29, 0x38, 0x38, 
0x46, 0x46, 0x51, 0x51, 0x55, 0x55, 0x52, 0x52, 0x46, 0x46, 0x34, 0x34, 0x22, 0x22, 0x13, 0x13, 0x0a, 0x0a, 0x07, 0x07, 0x08, 0x08, 0x0e, 0x0e, 0x17, 0x17, 
0x23, 0x23, 0x31, 0x31, 0x44, 0x44, 0x59, 0x59, 0x70, 0x70, 0x86, 0x86, 0x96, 0x96, 0xa1, 0xa1, 0xa5, 0xa5, 0xa5, 0xa5, 0xa0, 0xa0, 0x98, 0x98, 0x90, 0x90, 
0x8a, 0x8a, 0x8b, 0x8b, 0x93, 0x93, 0xa0, 0xa0, 0xab, 0xab, 0xb0, 0xb0, 0xae, 0xae, 0xa4, 0xa4, 0x98, 0x98, 0x8d, 0x8d, 0x84, 0x84, 0x7f, 0x7f, 0x81, 0x81, 
0x8a, 0x8a, 0x9b, 0x9b, 0xb0, 0xb0, 0xc7, 0xc7, 0xda, 0xda, 0xe9, 0xe9, 0xf4, 0xf4, 0xf9, 0xf9, 0xf9, 0xf9, 0xf5, 0xf5, 0xeb, 0xeb, 0xdb, 0xdb, 0xc4, 0xc4, 
0xa6, 0xa6, 0x83, 0x83, 0x60, 0x60, 0x41, 0x41, 0x29, 0x29, 0x17, 0x17, 0x0c, 0x0c, 0x08, 0x08, 0x0b, 0x0b, 0x12, 0x12, 0x19, 0x19, 0x1e, 0x1e, 0x1e, 0x1e, 
0x1a, 0x1a, 0x14, 0x14, 0x0e, 0x0e, 0x09, 0x09, 0x05, 0x05, 0x02, 0x02, 0x02, 0x02, 0x04, 0x04, 0x07, 0x07, 0x0d, 0x0d, 0x15, 0x15, 0x20, 0x20, 0x2d, 0x2d, 
0x3e, 0x3e, 0x52, 0x52, 0x6a, 0x6a, 0x85, 0x85, 0x9f, 0x9f, 0xb7, 0xb7, 0xcb, 0xcb, 0xdc, 0xdc, 0xea, 0xea, 0xf3, 0xf3, 0xf9, 0xf9, 0xfc, 0xfc, 0xfe, 0xfe, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xf5, 0xf5, 0xf2, 0xf2, 0xf0, 0xf0, 0xf2, 0xf2, 0xf4, 0xf4, 0xf7, 0xf7, 0xf8, 0xf8, 
0xf6, 0xf6, 0xf3, 0xf3, 0xf1, 0xf1, 0xf0, 0xf0, 0xf2, 0xf2, 0xf6, 0xf6, 0xf7, 0xf7, 0xf5, 0xf5, 0xec, 0xec, 0xdc, 0xdc, 0xc4, 0xc4, 0xa2, 0xa2, 0x76, 0x76, 
0x46, 0x46, 0x1b, 0x1b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0x09, 0x16, 0x16, 0x21, 0x21, 0x28, 0x28, 0x2a, 0x2a, 0x28, 0x28, 0x23, 0x23, 
0x1c, 0x1c, 0x16, 0x16, 0x11, 0x11, 0x0d, 0x0d, 0x0a, 0x0a, 0x07, 0x07, 0x05, 0x05, 0x03, 0x03, 0x03, 0x03, 0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 0x21, 0x21, 
0x32, 0x32, 0x47, 0x47, 0x5e, 0x5e, 0x73, 0x73, 0x82, 0x82, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8d, 0x8d, 0x94, 0x94, 0x9e, 0x9e, 0xad, 0xad, 0xbe, 0xbe, 
0xd1, 0xd1, 0xe4, 0xe4, 0xf3, 0xf3, 0xfb, 0xfb, 0xfa, 0xfa, 0xf4, 0xf4, 0xed, 0xed, 0xe9, 0xe9, 0xea, 0xea, 0xef, 0xef, 0xf5, 0xf5, 0xfb, 0xfb, 0xfe, 0xfe, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xfa, 0xfa, 0xf4, 0xf4, 0xe9, 0xe9, 0xd9, 0xd9, 0xc3, 0xc3, 0xa5, 0xa5, 0x80, 0x80, 0x59, 0x59, 
0x36, 0x36, 0x20, 0x20, 0x1a, 0x1a, 0x1f, 0x1f, 0x2b, 0x2b, 0x39, 0x39, 0x44, 0x44, 0x4a, 0x4a, 0x4b, 0x4b, 0x44, 0x44, 0x36, 0x36, 0x25, 0x25, 0x14, 0x14, 
0x09, 0x09, 0x05, 0x05, 0x08, 0x08, 0x0e, 0x0e, 0x16, 0x16, 0x1f, 0x1f, 0x27, 0x27, 0x30, 0x30, 0x3a, 0x3a, 0x47, 0x47, 0x55, 0x55, 0x63, 0x63, 0x6e, 0x6e, 
0x78, 0x78, 0x7e, 0x7e, 0x80, 0x80, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x71, 0x71, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x71, 0x71, 0x6d, 0x6d, 
0x67, 0x67, 0x61, 0x61, 0x60, 0x60, 0x64, 0x64, 0x6d, 0x6d, 0x7b, 0x7b, 0x90, 0x90, 0xaa, 0xaa, 0xc6, 0xc6, 0xdf, 0xdf, 0xf2, 0xf2, 0xfd, 0xfd, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfa, 0xfa, 0xf3, 0xf3, 0xe7, 0xe7, 0xd7, 0xd7, 0xc3, 0xc3, 0xaa, 0xaa, 0x8d, 0x8d, 0x6f, 0x6f, 0x54, 0x54, 
0x40, 0x40, 0x33, 0x33, 0x2d, 0x2d, 0x29, 0x29, 0x26, 0x26, 0x21, 0x21, 0x1b, 0x1b, 0x14, 0x14, 0x0d, 0x0d, 0x08, 0x08, 0x05, 0x05, 0x04, 0x04, 0x06, 0x06, 
0x0c, 0x0c, 0x13, 0x13, 0x19, 0x19, 0x1c, 0x1c, 0x1c, 0x1c, 0x19, 0x19, 0x16, 0x16, 0x17, 0x17, 0x1d, 0x1d, 0x27, 0x27, 0x36, 0x36, 0x49, 0x49, 0x5f, 0x5f, 
0x76, 0x76, 0x8b, 0x8b, 0x9b, 0x9b, 0xa3, 0xa3, 0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xb1, 0xb1, 0xb6, 0xb6, 0xba, 0xba, 0xbf, 0xbf, 
0xc4, 0xc4, 0xc9, 0xc9, 0xce, 0xce, 0xd3, 0xd3, 0xd9, 0xd9, 0xde, 0xde, 0xe4, 0xe4, 0xe9, 0xe9, 0xec, 0xec, 0xed, 0xed, 0xeb, 0xeb, 0xe8, 0xe8, 0xe5, 0xe5, 
0xe4, 0xe4, 0xe5, 0xe5, 0xe7, 0xe7, 0xe6, 0xe6, 0xde, 0xde, 0xcf, 0xcf, 0xb8, 0xb8, 0x9b, 0x9b, 0x7b, 0x7b, 0x59, 0x59, 0x38, 0x38, 0x1d, 0x1d, 0x0c, 0x0c, 
0x06, 0x06, 0x09, 0x09, 0x11, 0x11, 0x1c, 0x1c, 0x26, 0x26, 0x2f, 0x2f, 0x36, 0x36, 0x3c, 0x3c, 0x40, 0x40, 0x43, 0x43, 0x44, 0x44, 0x43, 0x43, 0x3f, 0x3f, 
0x39, 0x39, 0x31, 0x31, 0x28, 0x28, 0x1f, 0x1f, 0x18, 0x18, 0x16, 0x16, 0x1e, 0x1e, 0x30, 0x30, 0x49, 0x49, 0x66, 0x66, 0x83, 0x83, 0x9c, 0x9c, 0xb1, 0xb1, 
0xc0, 0xc0, 0xc7, 0xc7, 0xc7, 0xc7, 0xc1, 0xc1, 0xba, 0xba, 0xb4, 0xb4, 0xb2, 0xb2, 0xb4, 0xb4, 0xb7, 0xb7, 0xbb, 0xbb, 0xbf, 0xbf, 0xc3, 0xc3, 0xc7, 0xc7, 
0xcb, 0xcb, 0xcf, 0xcf, 0xd4, 0xd4, 0xd8, 0xd8, 0xdc, 0xdc, 0xe0, 0xe0, 0xe3, 0xe3, 0xe6, 0xe6, 0xe8, 0xe8, 0xea, 0xea, 0xec, 0xec, 0xee, 0xee, 0xf1, 0xf1, 
0xf4, 0xf4, 0xf6, 0xf6, 0xf3, 0xf3, 0xe8, 0xe8, 0xd3, 0xd3, 0xb6, 0xb6, 0x95, 0x95, 0x73, 0x73, 0x53, 0x53, 0x35, 0x35, 0x1e, 0x1e, 0x10, 0x10, 0x0b, 0x0b, 
0x0d, 0x0d, 0x15, 0x15, 0x1e, 0x1e, 0x28, 0x28, 0x31, 0x31, 0x37, 0x37, 0x3a, 0x3a, 0x39, 0x39, 0x35, 0x35, 0x2f, 0x2f, 0x27, 0x27, 0x1f, 0x1f, 0x18, 0x18, 
0x14, 0x14, 0x16, 0x16, 0x1d, 0x1d, 0x28, 0x28, 0x37, 0x37, 0x47, 0x47, 0x58, 0x58, 0x68, 0x68, 0x76, 0x76, 0x81, 0x81, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 
0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0xa1, 0xa1, 0xa8, 0xa8, 0xb0, 0xb0, 0xb8, 0xb8, 0xbe, 0xbe, 0xc2, 0xc2, 0xc5, 0xc5, 0xc6, 0xc6, 0xc8, 0xc8, 
0xca, 0xca, 0xcd, 0xcd, 0xd2, 0xd2, 0xd9, 0xd9, 0xe3, 0xe3, 0xee, 0xee, 0xf7, 0xf7, 0xfd, 0xfd, 0xfd, 0xfd, 0xfa, 0xfa, 0xf3, 0xf3, 0xec, 0xec, 0xe4, 0xe4, 
0xdb, 0xdb, 0xcf, 0xcf, 0xbf, 0xbf, 0xa9, 0xa9, 0x8f, 0x8f, 0x73, 0x73, 0x56, 0x56, 0x3a, 0x3a, 0x21, 0x21, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x05, 0x05, 0x0c, 0x0c, 0x11, 0x11, 0x16, 0x16, 0x18, 0x18, 0x19, 0x19, 0x18, 0x18, 0x15, 0x15, 0x11, 0x11, 0x0d, 0x0d, 0x09, 0x09, 0x08, 0x08, 
0x0c, 0x0c, 0x17, 0x17, 0x27, 0x27, 0x3c, 0x3c, 0x54, 0x54, 0x6f, 0x6f, 0x8b, 0x8b, 0xa3, 0xa3, 0xb4, 0xb4, 0xbf, 0xbf, 0xc4, 0xc4, 0xc4, 0xc4, 0xc3, 0xc3, 
0xc0, 0xc0, 0xbe, 0xbe, 0xbc, 0xbc, 0xbb, 0xbb, 0xbc, 0xbc, 0xbf, 0xbf, 0xc2, 0xc2, 0xc8, 0xc8, 0xce, 0xce, 0xd6, 0xd6, 0xdc, 0xdc, 0xe0, 0xe0, 0xe1, 0xe1, 
0xe0, 0xe0, 0xdf, 0xdf, 0xde, 0xde, 0xdd, 0xdd, 0xde, 0xde, 0xe0, 0xe0, 0xe1, 0xe1, 0xe1, 0xe1, 0xe1, 0xe1, 0xe3, 0xe3, 0xe6, 0xe6, 0xec, 0xec, 0xf3, 0xf3, 
0xf9, 0xf9, 0xfc, 0xfc, 0xfa, 0xfa, 0xf3, 0xf3, 0xe2, 0xe2, 0xc4, 0xc4, 0x9a, 0x9a, 0x68, 0x68, 0x3a, 0x3a, 0x17, 0x17, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 
0x05, 0x05, 0x0c, 0x0c, 0x12, 0x12, 0x16, 0x16, 0x17, 0x17, 0x16, 0x16, 0x14, 0x14, 0x13, 0x13, 0x14, 0x14, 0x17, 0x17, 0x1c, 0x1c, 0x1f, 0x1f, 0x1f, 0x1f, 
0x19, 0x19, 0x11, 0x11, 0x09, 0x09, 0x04, 0x04, 0x04, 0x04, 0x0a, 0x0a, 0x17, 0x17, 0x2d, 0x2d, 0x4c, 0x4c, 0x6f, 0x6f, 0x91, 0x91, 0xae, 0xae, 0xc2, 0xc2, 
0xcf, 0xcf, 0xd4, 0xd4, 0xd2, 0xd2, 0xca, 0xca, 0xc0, 0xc0, 0xb6, 0xb6, 0xaf, 0xaf, 0xae, 0xae, 0xb2, 0xb2, 0xb7, 0xb7, 0xbd, 0xbd, 0xc4, 0xc4, 0xc9, 0xc9, 
0xcf, 0xcf, 0xd6, 0xd6, 0xdd, 0xdd, 0xe5, 0xe5, 0xec, 0xec, 0xf0, 0xf0, 0xf2, 0xf2, 0xf1, 0xf1, 0xef, 0xef, 0xee, 0xee, 0xee, 0xee, 0xef, 0xef, 0xf0, 0xf0, 
0xef, 0xef, 0xea, 0xea, 0xe2, 0xe2, 0xd2, 0xd2, 0xb7, 0xb7, 0x91, 0x91, 0x65, 0x65, 0x3b, 0x3b, 0x1b, 0x1b, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 
0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x09, 0x09, 0x0c, 0x0c, 0x0f, 0x0f, 0x11, 0x11, 0x12, 0x12, 0x10, 0x10, 0x0d, 0x0d, 0x0a, 0x0a, 0x07, 0x07, 0x05, 0x05, 
0x06, 0x06, 0x0d, 0x0d, 0x1b, 0x1b, 0x31, 0x31, 0x4e, 0x4e, 0x6d, 0x6d, 0x8b, 0x8b, 0xa7, 0xa7, 0xbf, 0xbf, 0xd3, 0xd3, 0xe3, 0xe3, 0xed, 0xed, 0xf3, 0xf3, 
0xf5, 0xf5, 0xf2, 0xf2, 0xec, 0xec, 0xe4, 0xe4, 0xdb, 0xdb, 0xd3, 0xd3, 0xce, 0xce, 0xca, 0xca, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc9, 0xc9, 0xca, 0xca, 
0xcb, 0xcb, 0xcc, 0xcc, 0xcd, 0xcd, 0xd0, 0xd0, 0xd4, 0xd4, 0xdb, 0xdb, 0xe2, 0xe2, 0xe9, 0xe9, 0xec, 0xec, 0xec, 0xec, 0xe8, 0xe8, 0xdf, 0xdf, 0xd3, 0xd3, 
0xc3, 0xc3, 0xb0, 0xb0, 0x9a, 0x9a, 0x82, 0x82, 0x69, 0x69, 0x4f, 0x4f, 0x38, 0x38, 0x27, 0x27, 0x1b, 0x1b, 0x15, 0x15, 0x12, 0x12, 0x10, 0x10, 0x0f, 0x0f, 
0x0e, 0x0e, 0x0d, 0x0d, 0x0c, 0x0c, 0x0a, 0x0a, 0x07, 0x07, 0x05, 0x05, 0x04, 0x04, 0x02, 0x02, 0x02, 0x02, 0x03, 0x03, 0x07, 0x07, 0x0e, 0x0e, 0x19, 0x19, 
0x2b, 0x2b, 0x45, 0x45, 0x68, 0x68, 0x8f, 0x8f, 0xb6, 0xb6, 0xd5, 0xd5, 0xea, 0xea, 0xf6, 0xf6, 0xfc, 0xfc, 0xfc, 0xfc, 0xfa, 0xfa, 0xf6, 0xf6, 0xf2, 0xf2, 
0xef, 0xef, 0xee, 0xee, 0xed, 0xed, 0xed, 0xed, 0xec, 0xec, 0xec, 0xec, 0xeb, 0xeb, 0xec, 0xec, 0xee, 0xee, 0xf2, 0xf2, 0xf7, 0xf7, 0xfb, 0xfb, 0xfe, 0xfe, 
0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xf1, 0xf1, 0xe7, 0xe7, 0xd6, 0xd6, 0xbd, 0xbd, 0x9c, 0x9c, 0x77, 0x77, 0x52, 0x52, 0x33, 0x33, 0x1d, 0x1d, 0x0f, 0x0f, 
0x08, 0x08, 0x07, 0x07, 0x09, 0x09, 0x0d, 0x0d, 0x11, 0x11, 0x11, 0x11, 0x0f, 0x0f, 0x0a, 0x0a, 0x05, 0x05, 0x02, 0x02, 0x02, 0x02, 0x04, 0x04, 0x08, 0x08, 
0x0d, 0x0d, 0x10, 0x10, 0x13, 0x13, 0x15, 0x15, 0x15, 0x15, 0x15, 0x15, 0x15, 0x15, 0x1a, 0x1a, 0x27, 0x27, 0x3b, 0x3b, 0x56, 0x56, 0x74, 0x74, 0x91, 0x91, 
0xaa, 0xaa, 0xc0, 0xc0, 0xd3, 0xd3, 0xe1, 0xe1, 0xeb, 0xeb, 0xf2, 0xf2, 0xf6, 0xf6, 0xf8, 0xf8, 0xf7, 0xf7, 0xf5, 0xf5, 0xf3, 0xf3, 0xf1, 0xf1, 0xf0, 0xf0, 
0xf1, 0xf1, 0xf3, 0xf3, 0xf5, 0xf5, 0xf8, 0xf8, 0xfa, 0xfa, 0xfc, 0xfc, 0xfb, 0xfb, 0xf7, 0xf7, 0xf2, 0xf2, 0xed, 0xed, 0xea, 0xea, 0xe8, 0xe8, 0xe9, 0xe9, 
0xeb, 0xeb, 0xed, 0xed, 0xf0, 0xf0, 0xef, 0xef, 0xe9, 0xe9, 0xda, 0xda, 0xc2, 0xc2, 0xa2, 0xa2, 0x80, 0x80, 0x5e, 0x5e, 0x40, 0x40, 0x26, 0x26, 0x12, 0x12, 
0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x05, 0x05, 0x07, 0x07, 0x08, 0x08, 
0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x09, 0x09, 0x0c, 0x0c, 0x12, 0x12, 0x1c, 0x1c, 0x2d, 0x2d, 0x44, 0x44, 0x61, 0x61, 0x7f, 0x7f, 0x9b, 0x9b, 0xb3, 0xb3, 
0xc8, 0xc8, 0xd9, 0xd9, 0xe6, 0xe6, 0xef, 0xef, 0xf5, 0xf5, 0xfa, 0xfa, 0xfc, 0xfc, 0xfd, 0xfd, 0xfc, 0xfc, 0xfb, 0xfb, 0xfa, 0xfa, 0xf9, 0xf9, 0xf9, 0xf9, 
0xf7, 0xf7, 0xf5, 0xf5, 0xf3, 0xf3, 0xf0, 0xf0, 0xed, 0xed, 0xea, 0xea, 0xe8, 0xe8, 0xe7, 0xe7, 0xe7, 0xe7, 0xe8, 0xe8, 0xea, 0xea, 0xec, 0xec, 0xed, 0xed, 
0xed, 0xed, 0xec, 0xec, 0xe8, 0xe8, 0xe0, 0xe0, 0xd4, 0xd4, 0xc3, 0xc3, 0xad, 0xad, 0x94, 0x94, 0x78, 0x78, 0x5a, 0x5a, 0x3d, 0x3d, 0x24, 0x24, 0x11, 0x11, 
0x07, 0x07, 0x03, 0x03, 0x03, 0x03, 0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x09, 0x09, 0x0a, 0x0a, 0x0b, 0x0b, 0x0b, 0x0b, 0x0b, 0x0b, 0x0a, 0x0a, 0x08, 0x08, 
0x06, 0x06, 0x05, 0x05, 0x09, 0x09, 0x10, 0x10, 0x1c, 0x1c, 0x2e, 0x2e, 0x44, 0x44, 0x60, 0x60, 0x7f, 0x7f, 0x9b, 0x9b, 0xb1, 0xb1, 0xbf, 0xbf, 0xc5, 0xc5, 
0xc6, 0xc6, 0xc3, 0xc3, 0xbc, 0xbc, 0xb4, 0xb4, 0xab, 0xab, 0xa4, 0xa4, 0x9f, 0x9f, 0x9c, 0x9c, 0x9d, 0x9d, 0xa3, 0xa3, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 0xcf, 
0xdd, 0xdd, 0xe7, 0xe7, 0xee, 0xee, 0xf1, 0xf1, 0xf2, 0xf2, 0xf2, 0xf2, 0xf0, 0xf0, 0xee, 0xee, 0xee, 0xee, 0xef, 0xef, 0xf1, 0xf1, 0xf1, 0xf1, 0xee, 0xee, 
0xe7, 0xe7, 0xdd, 0xdd, 0xd1, 0xd1, 0xc6, 0xc6, 0xbc, 0xbc, 0xb4, 0xb4, 0xb0, 0xb0, 0xb0, 0xb0, 0xb3, 0xb3, 0xba, 0xba, 0xc2, 0xc2, 0xcb, 0xcb, 0xd2, 0xd2, 
0xd7, 0xd7, 0xd5, 0xd5, 0xc9, 0xc9, 0xb2, 0xb2, 0x95, 0x95, 0x76, 0x76, 0x5b, 0x5b, 0x48, 0x48, 0x3a, 0x3a, 0x30, 0x30, 0x28, 0x28, 0x1f, 0x1f, 0x16, 0x16, 
0x0e, 0x0e, 0x08, 0x08, 0x05, 0x05, 0x06, 0x06, 0x11, 0x11, 0x29, 0x29, 0x4d, 0x4d, 0x78, 0x78, 0x9f, 0x9f, 0xb8, 0xb8, 0xc0, 0xc0, 0xb9, 0xb9, 0xab, 0xab, 
0x9d, 0x9d, 0x91, 0x91, 0x8b, 0x8b, 0x8d, 0x8d, 0x97, 0x97, 0xa9, 0xa9, 0xbf, 0xbf, 0xd6, 0xd6, 0xe8, 0xe8, 0xf4, 0xf4, 0xfa, 0xfa, 0xfd, 0xfd, 0xfd, 0xfd, 
0xfb, 0xfb, 0xf8, 0xf8, 0xf2, 0xf2, 0xe6, 0xe6, 0xd5, 0xd5, 0xc1, 0xc1, 0xad, 0xad, 0x9d, 0x9d, 0x94, 0x94, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x93, 0x93, 
0x95, 0x95, 0x94, 0x94, 0x8e, 0x8e, 0x81, 0x81, 0x72, 0x72, 0x65, 0x65, 0x5f, 0x5f, 0x60, 0x60, 0x69, 0x69, 0x77, 0x77, 0x87, 0x87, 0x98, 0x98, 0xa7, 0xa7, 
0xad, 0xad, 0xa7, 0xa7, 0x93, 0x93, 0x76, 0x76, 0x55, 0x55, 0x39, 0x39, 0x23, 0x23, 0x14, 0x14, 0x0c, 0x0c, 0x08, 0x08, 0x08, 0x08, 0x0a, 0x0a, 0x0e, 0x0e, 
0x12, 0x12, 0x16, 0x16, 0x1b, 0x1b, 0x24, 0x24, 0x32, 0x32, 0x47, 0x47, 0x5e, 0x5e, 0x73, 0x73, 0x7f, 0x7f, 0x82, 0x82, 0x7e, 0x7e, 0x78, 0x78, 0x75, 0x75, 
0x78, 0x78, 0x80, 0x80, 0x8d, 0x8d, 0x9e, 0x9e, 0xaf, 0xaf, 0xc1, 0xc1, 0xd0, 0xd0, 0xdb, 0xdb, 0xe2, 0xe2, 0xe4, 0xe4, 0xe6, 0xe6, 0xe7, 0xe7, 0xea, 0xea, 
0xed, 0xed, 0xef, 0xef, 0xed, 0xed, 0xe6, 0xe6, 0xdd, 0xdd, 0xd3, 0xd3, 0xca, 0xca, 0xc3, 0xc3, 0xbd, 0xbd, 0xb7, 0xb7, 0xad, 0xad, 0x9f, 0x9f, 0x8d, 0x8d, 
0x7b, 0x7b, 0x6a, 0x6a, 0x5c, 0x5c, 0x52, 0x52, 0x4d, 0x4d, 0x50, 0x50, 0x5b, 0x5b, 0x6b, 0x6b, 0x7a, 0x7a, 0x83, 0x83, 0x85, 0x85, 0x7f, 0x7f, 0x73, 0x73, 
0x61, 0x61, 0x49, 0x49, 0x30, 0x30, 0x19, 0x19, 0x09, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x07, 0x07, 0x0a, 0x0a, 0x0d, 0x0d, 0x0e, 0x0e, 
0x0d, 0x0d, 0x0c, 0x0c, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0b, 0x0b, 0x0c, 0x0c, 0x0c, 0x0c, 0x0b, 0x0b, 0x0b, 0x0b, 0x0f, 0x0f, 0x1b, 0x1b, 0x30, 0x30, 
0x4c, 0x4c, 0x6c, 0x6c, 0x8c, 0x8c, 0xaa, 0xaa, 0xc4, 0xc4, 0xda, 0xda, 0xe8, 0xe8, 0xf0, 0xf0, 0xf3, 0xf3, 0xf2, 0xf2, 0xf0, 0xf0, 0xee, 0xee, 0xec, 0xec, 
0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xec, 0xec, 0xee, 0xee, 0xf1, 0xf1, 0xf5, 0xf5, 0xf9, 0xf9, 0xfb, 0xfb, 0xfb, 0xfb, 0xf7, 0xf7, 0xf1, 0xf1, 0xe8, 0xe8, 
0xdc, 0xdc, 0xcf, 0xcf, 0xc1, 0xc1, 0xb5, 0xb5, 0xaf, 0xaf, 0xb0, 0xb0, 0xb5, 0xb5, 0xba, 0xba, 0xbd, 0xbd, 0xbc, 0xbc, 0xb6, 0xb6, 0xab, 0xab, 0x9d, 0x9d, 
0x8b, 0x8b, 0x78, 0x78, 0x67, 0x67, 0x5b, 0x5b, 0x54, 0x54, 0x55, 0x55, 0x5c, 0x5c, 0x6a, 0x6a, 0x7e, 0x7e, 0x96, 0x96, 0xab, 0xab, 0xb7, 0xb7, 0xba, 0xba, 
0xb3, 0xb3, 0xa4, 0xa4, 0x8e, 0x8e, 0x73, 0x73, 0x55, 0x55, 0x39, 0x39, 0x22, 0x22, 0x12, 0x12, 0x08, 0x08, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 
0x0a, 0x0a, 0x1a, 0x1a, 0x33, 0x33, 0x52, 0x52, 0x72, 0x72, 0x91, 0x91, 0xa9, 0xa9, 0xbb, 0xbb, 0xc3, 0xc3, 0xbe, 0xbe, 0xad, 0xad, 0x94, 0x94, 0x7d, 0x7d, 
0x6f, 0x6f, 0x6d, 0x6d, 0x76, 0x76, 0x88, 0x88, 0x9f, 0x9f, 0xb9, 0xb9, 0xd3, 0xd3, 0xe9, 0xe9, 0xf8, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf7, 0xf7, 
0xef, 0xef, 0xe6, 0xe6, 0xdc, 0xdc, 0xd2, 0xd2, 0xc6, 0xc6, 0xba, 0xba, 0xb0, 0xb0, 0xa9, 0xa9, 0xa7, 0xa7, 0xa8, 0xa8, 0xa8, 0xa8, 0xa5, 0xa5, 0x9d, 0x9d, 
0x92, 0x92, 0x85, 0x85, 0x77, 0x77, 0x69, 0x69, 0x5f, 0x5f, 0x5a, 0x5a, 0x5f, 0x5f, 0x6c, 0x6c, 0x80, 0x80, 0x94, 0x94, 0xa4, 0xa4, 0xad, 0xad, 0xae, 0xae, 
0xa7, 0xa7, 0x95, 0x95, 0x79, 0x79, 0x59, 0x59, 0x39, 0x39, 0x20, 0x20, 0x0f, 0x0f, 0x05, 0x05, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x04, 0x04, 
0x0b, 0x0b, 0x15, 0x15, 0x22, 0x22, 0x30, 0x30, 0x3e, 0x3e, 0x4b, 0x4b, 0x56, 0x56, 0x5c, 0x5c, 0x5c, 0x5c, 0x56, 0x56, 0x4c, 0x4c, 0x43, 0x43, 0x3f, 0x3f, 
0x43, 0x43, 0x4d, 0x4d, 0x5d, 0x5d, 0x6f, 0x6f, 0x83, 0x83, 0x97, 0x97, 0xa9, 0xa9, 0xb7, 0xb7, 0xc0, 0xc0, 0xc6, 0xc6, 0xcb, 0xcb, 0xd0, 0xd0, 0xd6, 0xd6, 
0xde, 0xde, 0xe4, 0xe4, 0xe7, 0xe7, 0xe7, 0xe7, 0xe3, 0xe3, 0xdc, 0xdc, 0xd2, 0xd2, 0xc5, 0xc5, 0xb7, 0xb7, 0xa6, 0xa6, 0x93, 0x93, 0x7f, 0x7f, 0x6b, 0x6b, 
0x5a, 0x5a, 0x4d, 0x4d, 0x47, 0x47, 0x47, 0x47, 0x4d, 0x4d, 0x5a, 0x5a, 0x6d, 0x6d, 0x82, 0x82, 0x97, 0x97, 0xa6, 0xa6, 0xaf, 0xaf, 0xb1, 0xb1, 0xac, 0xac, 
0x9d, 0x9d, 0x87, 0x87, 0x6d, 0x6d, 0x52, 0x52, 0x3c, 0x3c, 0x2c, 0x2c, 0x23, 0x23, 0x21, 0x21, 0x26, 0x26, 0x31, 0x31, 0x3f, 0x3f, 0x4b, 0x4b, 0x53, 0x53, 
0x55, 0x55, 0x51, 0x51, 0x4a, 0x4a, 0x42, 0x42, 0x39, 0x39, 0x31, 0x31, 0x2b, 0x2b, 0x28, 0x28, 0x27, 0x27, 0x2a, 0x2a, 0x2f, 0x2f, 0x38, 0x38, 0x45, 0x45, 
0x55, 0x55, 0x65, 0x65, 0x72, 0x72, 0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x89, 0x89, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x82, 0x82, 0x89, 0x89, 0x94, 0x94, 
0xa0, 0xa0, 0xab, 0xab, 0xb3, 0xb3, 0xb8, 0xb8, 0xb9, 0xb9, 0xb6, 0xb6, 0xae, 0xae, 0xa4, 0xa4, 0x97, 0x97, 0x8a, 0x8a, 0x7e, 0x7e, 0x72, 0x72, 0x68, 0x68, 
0x61, 0x61, 0x5e, 0x5e, 0x5e, 0x5e, 0x61, 0x61, 0x68, 0x68, 0x72, 0x72, 0x7d, 0x7d, 0x88, 0x88, 0x91, 0x91, 0x97, 0x97, 0x9a, 0x9a, 0x99, 0x99, 0x94, 0x94, 
0x8b, 0x8b, 0x81, 0x81, 0x79, 0x79, 0x78, 0x78, 0x7e, 0x7e, 0x8b, 0x8b, 0x9d, 0x9d, 0xb2, 0xb2, 0xc9, 0xc9, 0xe0, 0xe0, 0xf3, 0xf3, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xfb, 0xfb, 0xf8, 0xf8, 0xef, 0xef, 0xdf, 0xdf, 0xca, 0xca, 0xae, 0xae, 0x8e, 0x8e, 0x69, 0x69, 0x44, 0x44, 
0x23, 0x23, 0x0b, 0x0b, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0c, 0x0c, 0x1a, 0x1a, 0x2c, 0x2c, 0x42, 0x42, 0x60, 0x60, 0x85, 0x85, 0xab, 0xab, 0xca, 0xca, 
0xd8, 0xd8, 0xd2, 0xd2, 0xbc, 0xbc, 0x9b, 0x9b, 0x77, 0x77, 0x54, 0x54, 0x35, 0x35, 0x22, 0x22, 0x1f, 0x1f, 0x2d, 0x2d, 0x47, 0x47, 0x66, 0x66, 0x82, 0x82, 
0x96, 0x96, 0xa3, 0xa3, 0xa8, 0xa8, 0xa3, 0xa3, 0x97, 0x97, 0x86, 0x86, 0x74, 0x74, 0x63, 0x63, 0x57, 0x57, 0x4d, 0x4d, 0x49, 0x49, 0x49, 0x49, 0x4d, 0x4d, 
0x53, 0x53, 0x5a, 0x5a, 0x60, 0x60, 0x64, 0x64, 0x65, 0x65, 0x64, 0x64, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x5a, 0x5a, 0x61, 0x61, 0x71, 0x71, 0x87, 0x87, 
0xa0, 0xa0, 0xb9, 0xb9, 0xd1, 0xd1, 0xe3, 0xe3, 0xed, 0xed, 0xe9, 0xe9, 0xd8, 0xd8, 0xbb, 0xbb, 0x98, 0x98, 0x73, 0x73, 0x4e, 0x4e, 0x2c, 0x2c, 0x10, 0x10, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x11, 0x11, 0x23, 0x23, 0x37, 0x37, 0x4c, 0x4c, 0x60, 0x60, 0x74, 0x74, 0x85, 0x85, 0x90, 0x90, 0x94, 0x94, 
0x8e, 0x8e, 0x82, 0x82, 0x75, 0x75, 0x69, 0x69, 0x62, 0x62, 0x60, 0x60, 0x64, 0x64, 0x70, 0x70, 0x82, 0x82, 0x98, 0x98, 0xad, 0xad, 0xbc, 0xbc, 0xc4, 0xc4, 
0xc5, 0xc5, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xad, 0xad, 0xa6, 0xa6, 0xa2, 0xa2, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa7, 0xa7, 0xa7, 0xa7, 
0xa4, 0xa4, 0x9e, 0x9e, 0x93, 0x93, 0x86, 0x86, 0x77, 0x77, 0x68, 0x68, 0x5b, 0x5b, 0x52, 0x52, 0x4e, 0x4e, 0x54, 0x54, 0x63, 0x63, 0x78, 0x78, 0x90, 0x90, 
0xa5, 0xa5, 0xb5, 0xb5, 0xc0, 0xc0, 0xc4, 0xc4, 0xc0, 0xc0, 0xb5, 0xb5, 0xa4, 0xa4, 0x91, 0x91, 0x7d, 0x7d, 0x69, 0x69, 0x56, 0x56, 0x47, 0x47, 0x3d, 0x3d, 
0x38, 0x38, 0x38, 0x38, 0x3b, 0x3b, 0x42, 0x42, 0x4b, 0x4b, 0x54, 0x54, 0x5a, 0x5a, 0x5a, 0x5a, 0x53, 0x53, 0x47, 0x47, 0x38, 0x38, 0x28, 0x28, 0x1a, 0x1a, 
0x0f, 0x0f, 0x0a, 0x0a, 0x0c, 0x0c, 0x16, 0x16, 0x27, 0x27, 0x3b, 0x3b, 0x50, 0x50, 0x66, 0x66, 0x7a, 0x7a, 0x8b, 0x8b, 0x96, 0x96, 0x9c, 0x9c, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa3, 0xa3, 0xa9, 0xa9, 0xaf, 0xaf, 0xb5, 0xb5, 0xba, 0xba, 0xbe, 0xbe, 
0xbf, 0xbf, 0xbc, 0xbc, 0xb7, 0xb7, 0xb2, 0xb2, 0xad, 0xad, 0xaa, 0xaa, 0xa9, 0xa9, 0xab, 0xab, 0xb1, 0xb1, 0xb9, 0xb9, 0xc3, 0xc3, 0xca, 0xca, 0xce, 0xce, 
0xcb, 0xcb, 0xc4, 0xc4, 0xb9, 0xb9, 0xac, 0xac, 0x9e, 0x9e, 0x90, 0x90, 0x83, 0x83, 0x79, 0x79, 0x70, 0x70, 0x6b, 0x6b, 0x68, 0x68, 0x6a, 0x6a, 0x6f, 0x6f, 
0x77, 0x77, 0x7f, 0x7f, 0x85, 0x85, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x99, 0x99, 0xa7, 0xa7, 0xbb, 0xbb, 0xd2, 0xd2, 
0xe4, 0xe4, 0xeb, 0xeb, 0xe5, 0xe5, 0xd2, 0xd2, 0xb8, 0xb8, 0x98, 0x98, 0x75, 0x75, 0x53, 0x53, 0x35, 0x35, 0x1f, 0x1f, 0x11, 0x11, 0x0b, 0x0b, 0x09, 0x09, 
0x0b, 0x0b, 0x0e, 0x0e, 0x14, 0x14, 0x1c, 0x1c, 0x29, 0x29, 0x39, 0x39, 0x4c, 0x4c, 0x5f, 0x5f, 0x6e, 0x6e, 0x77, 0x77, 0x7c, 0x7c, 0x7a, 0x7a, 0x72, 0x72, 
0x64, 0x64, 0x54, 0x54, 0x47, 0x47, 0x41, 0x41, 0x46, 0x46, 0x53, 0x53, 0x68, 0x68, 0x83, 0x83, 0xa4, 0xa4, 0xc5, 0xc5, 0xe3, 0xe3, 0xf8, 0xf8, 0xff, 0xff, 
0xff, 0xff, 0xfd, 0xfd, 0xf1, 0xf1, 0xe2, 0xe2, 0xd2, 0xd2, 0xc3, 0xc3, 0xb8, 0xb8, 0xb0, 0xb0, 0xac, 0xac, 0xac, 0xac, 0xaf, 0xaf, 0xb4, 0xb4, 0xba, 0xba, 
0xbd, 0xbd, 0xba, 0xba, 0xb0, 0xb0, 0xa1, 0xa1, 0x91, 0x91, 0x82, 0x82, 0x76, 0x76, 0x70, 0x70, 0x72, 0x72, 0x7e, 0x7e, 0x94, 0x94, 0xaf, 0xaf, 0xc7, 0xc7, 
0xd5, 0xd5, 0xd5, 0xd5, 0xc8, 0xc8, 0xb1, 0xb1, 0x92, 0x92, 0x6d, 0x6d, 0x47, 0x47, 0x25, 0x25, 0x0d, 0x0d, 0x01, 0x01, 0x00, 0x00, 0x02, 0x02, 0x0b, 0x0b, 
0x18, 0x18, 0x26, 0x26, 0x33, 0x33, 0x3f, 0x3f, 0x49, 0x49, 0x50, 0x50, 0x52, 0x52, 0x4e, 0x4e, 0x44, 0x44, 0x35, 0x35, 0x27, 0x27, 0x1b, 0x1b, 0x13, 0x13, 
0x11, 0x11, 0x16, 0x16, 0x22, 0x22, 0x37, 0x37, 0x50, 0x50, 0x6b, 0x6b, 0x83, 0x83, 0x96, 0x96, 0xa5, 0xa5, 0xaf, 0xaf, 0xb5, 0xb5, 0xb6, 0xb6, 0xb6, 0xb6, 
0xb6, 0xb6, 0xb8, 0xb8, 0xbe, 0xbe, 0xc5, 0xc5, 0xcf, 0xcf, 0xd7, 0xd7, 0xdf, 0xdf, 0xe6, 0xe6, 0xeb, 0xeb, 0xf0, 0xf0, 0xf4, 0xf4, 0xf6, 0xf6, 0xf6, 0xf6, 
0xf1, 0xf1, 0xe7, 0xe7, 0xda, 0xda, 0xcc, 0xcc, 0xbe, 0xbe, 0xb2, 0xb2, 0xaa, 0xaa, 0xa5, 0xa5, 0xa6, 0xa6, 0xab, 0xab, 0xb4, 0xb4, 0xba, 0xba, 0xbb, 0xbb, 
0xb4, 0xb4, 0xa8, 0xa8, 0x98, 0x98, 0x86, 0x86, 0x74, 0x74, 0x64, 0x64, 0x58, 0x58, 0x50, 0x50, 0x4d, 0x4d, 0x4f, 0x4f, 0x53, 0x53, 0x59, 0x59, 0x60, 0x60, 
0x66, 0x66, 0x69, 0x69, 0x67, 0x67, 0x5f, 0x5f, 0x53, 0x53, 0x44, 0x44, 0x35, 0x35, 0x26, 0x26, 0x19, 0x19, 0x0f, 0x0f, 0x09, 0x09, 0x07, 0x07, 0x09, 0x09, 
0x0c, 0x0c, 0x10, 0x10, 0x13, 0x13, 0x14, 0x14, 0x15, 0x15, 0x16, 0x16, 0x15, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 0x19, 0x19, 
0x21, 0x21, 0x2c, 0x2c, 0x3a, 0x3a, 0x49, 0x49, 0x59, 0x59, 0x68, 0x68, 0x76, 0x76, 0x84, 0x84, 0x91, 0x91, 0x9e, 0x9e, 0xab, 0xab, 0xb7, 0xb7, 0xc0, 0xc0, 
0xc8, 0xc8, 0xce, 0xce, 0xd1, 0xd1, 0xd3, 0xd3, 0xd2, 0xd2, 0xcf, 0xcf, 0xca, 0xca, 0xc4, 0xc4, 0xbd, 0xbd, 0xb5, 0xb5, 0xac, 0xac, 0xa3, 0xa3, 0x99, 0x99, 
0x90, 0x90, 0x89, 0x89, 0x87, 0x87, 0x89, 0x89, 0x8f, 0x8f, 0x97, 0x97, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 0xa2, 0xa2, 
0x9b, 0x9b, 0x93, 0x93, 0x8b, 0x8b, 0x83, 0x83, 0x7f, 0x7f, 0x7f, 0x7f, 0x86, 0x86, 0x91, 0x91, 0xa0, 0xa0, 0xb3, 0xb3, 0xc7, 0xc7, 0xdb, 0xdb, 0xed, 0xed, 
0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf9, 0xf9, 0xf2, 0xf2, 0xe8, 0xe8, 0xd8, 0xd8, 0xbd, 0xbd, 0x99, 0x99, 0x6d, 0x6d, 0x44, 0x44, 0x23, 0x23, 
0x0e, 0x0e, 0x04, 0x04, 0x03, 0x03, 0x08, 0x08, 0x11, 0x11, 0x1d, 0x1d, 0x2c, 0x2c, 0x3d, 0x3d, 0x51, 0x51, 0x65, 0x65, 0x77, 0x77, 0x82, 0x82, 0x86, 0x86, 
0x84, 0x84, 0x7d, 0x7d, 0x74, 0x74, 0x6a, 0x6a, 0x62, 0x62, 0x5e, 0x5e, 0x5f, 0x5f, 0x68, 0x68, 0x76, 0x76, 0x87, 0x87, 0x99, 0x99, 0xac, 0xac, 0xbd, 0xbd, 
0xca, 0xca, 0xd2, 0xd2, 0xd4, 0xd4, 0xd0, 0xd0, 0xc8, 0xc8, 0xbc, 0xbc, 0xad, 0xad, 0x9e, 0x9e, 0x91, 0x91, 0x8a, 0x8a, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 
0x92, 0x92, 0x8c, 0x8c, 0x82, 0x82, 0x73, 0x73, 0x64, 0x64, 0x55, 0x55, 0x48, 0x48, 0x42, 0x42, 0x45, 0x45, 0x53, 0x53, 0x6a, 0x6a, 0x84, 0x84, 0xa1, 0xa1, 
0xbc, 0xbc, 0xd3, 0xd3, 0xe4, 0xe4, 0xea, 0xea, 0xe4, 0xe4, 0xd5, 0xd5, 0xbd, 0xbd, 0x9d, 0x9d, 0x78, 0x78, 0x50, 0x50, 0x2c, 0x2c, 0x12, 0x12, 0x03, 0x03, 
0x00, 0x00, 0x03, 0x03, 0x0c, 0x0c, 0x19, 0x19, 0x29, 0x29, 0x38, 0x38, 0x47, 0x47, 0x55, 0x55, 0x60, 0x60, 0x67, 0x67, 0x69, 0x69, 0x65, 0x65, 0x5c, 0x5c, 
0x51, 0x51, 0x47, 0x47, 0x3e, 0x3e, 0x38, 0x38, 0x37, 0x37, 0x3b, 0x3b, 0x45, 0x45, 0x54, 0x54, 0x64, 0x64, 0x75, 0x75, 0x85, 0x85, 0x93, 0x93, 0x9f, 0x9f, 
0xaa, 0xaa, 0xb3, 0xb3, 0xba, 0xba, 0xc0, 0xc0, 0xc2, 0xc2, 0xc1, 0xc1, 0xbe, 0xbe, 0xba, 0xba, 0xb7, 0xb7, 0xb3, 0xb3, 0xb0, 0xb0, 0xab, 0xab, 0xa3, 0xa3, 
0x96, 0x96, 0x87, 0x87, 0x78, 0x78, 0x6d, 0x6d, 0x67, 0x67, 0x66, 0x66, 0x6a, 0x6a, 0x75, 0x75, 0x84, 0x84, 0x96, 0x96, 0xa5, 0xa5, 0xaf, 0xaf, 0xb1, 0xb1, 
0xac, 0xac, 0xa3, 0xa3, 0x96, 0x96, 0x87, 0x87, 0x78, 0x78, 0x6b, 0x6b, 0x61, 0x61, 0x5a, 0x5a, 0x57, 0x57, 0x57, 0x57, 0x5b, 0x5b, 0x62, 0x62, 0x6b, 0x6b, 
0x74, 0x74, 0x7a, 0x7a, 0x7c, 0x7c, 0x7b, 0x7b, 0x77, 0x77, 0x70, 0x70, 0x66, 0x66, 0x5a, 0x5a, 0x4d, 0x4d, 0x40, 0x40, 0x33, 0x33, 0x27, 0x27, 0x1f, 0x1f, 
0x1c, 0x1c, 0x1e, 0x1e, 0x25, 0x25, 0x2d, 0x2d, 0x35, 0x35, 0x3c, 0x3c, 0x41, 0x41, 0x44, 0x44, 0x46, 0x46, 0x47, 0x47, 0x49, 0x49, 0x4c, 0x4c, 0x54, 0x54, 
0x60, 0x60, 0x6f, 0x6f, 0x7d, 0x7d, 0x88, 0x88, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa5, 0xa5, 0xa9, 0xa9, 0xaf, 0xaf, 0xb6, 0xb6, 0xbe, 0xbe, 0xc6, 0xc6, 0xcd, 0xcd, 0xd3, 0xd3, 0xd6, 0xd6, 0xd6, 0xd6, 0xd1, 0xd1, 0xc7, 0xc7, 0xb9, 0xb9, 
0xac, 0xac, 0xa1, 0xa1, 0x9a, 0x9a, 0x97, 0x97, 0x96, 0x96, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x79, 0x79, 
0x7b, 0x7b, 0x80, 0x80, 0x87, 0x87, 0x91, 0x91, 0x9c, 0x9c, 0xa9, 0xa9, 0xb7, 0xb7, 0xc6, 0xc6, 0xd6, 0xd6, 0xe5, 0xe5, 0xf1, 0xf1, 0xf7, 0xf7, 0xf6, 0xf6, 
0xed, 0xed, 0xdd, 0xdd, 0xc5, 0xc5, 0xa4, 0xa4, 0x7f, 0x7f, 0x5a, 0x5a, 0x3c, 0x3c, 0x26, 0x26, 0x18, 0x18, 0x11, 0x11, 0x0f, 0x0f, 0x12, 0x12, 0x19, 0x19, 
0x26, 0x26, 0x39, 0x39, 0x53, 0x53, 0x71, 0x71, 0x8f, 0x8f, 0xa9, 0xa9, 0xbd, 0xbd, 0xc9, 0xc9, 0xcb, 0xcb, 0xc1, 0xc1, 0xab, 0xab, 0x8d, 0x8d, 0x71, 0x71, 
0x5d, 0x5d, 0x56, 0x56, 0x59, 0x59, 0x66, 0x66, 0x7b, 0x7b, 0x96, 0x96, 0xb3, 0xb3, 0xcc, 0xcc, 0xdc, 0xdc, 0xe1, 0xe1, 0xdc, 0xdc, 0xd0, 0xd0, 0xbe, 0xbe, 
0xa8, 0xa8, 0x92, 0x92, 0x80, 0x80, 0x76, 0x76, 0x75, 0x75, 0x7b, 0x7b, 0x83, 0x83, 0x8c, 0x8c, 0x91, 0x91, 0x92, 0x92, 0x8f, 0x8f, 0x85, 0x85, 0x75, 0x75, 
0x62, 0x62, 0x50, 0x50, 0x45, 0x45, 0x42, 0x42, 0x47, 0x47, 0x55, 0x55, 0x6d, 0x6d, 0x8c, 0x8c, 0xaf, 0xaf, 0xd0, 0xd0, 0xe6, 0xe6, 0xf1, 0xf1, 0xef, 0xef, 
0xe0, 0xe0, 0xc5, 0xc5, 0x9e, 0x9e, 0x72, 0x72, 0x47, 0x47, 0x25, 0x25, 0x10, 0x10, 0x06, 0x06, 0x04, 0x04, 0x08, 0x08, 0x10, 0x10, 0x1c, 0x1c, 0x29, 0x29, 
0x37, 0x37, 0x47, 0x47, 0x56, 0x56, 0x61, 0x61, 0x64, 0x64, 0x60, 0x60, 0x55, 0x55, 0x47, 0x47, 0x3b, 0x3b, 0x31, 0x31, 0x2d, 0x2d, 0x30, 0x30, 0x3e, 0x3e, 
0x56, 0x56, 0x75, 0x75, 0x96, 0x96, 0xb2, 0xb2, 0xc8, 0xc8, 0xd7, 0xd7, 0xde, 0xde, 0xde, 0xde, 0xd7, 0xd7, 0xcc, 0xcc, 0xbf, 0xbf, 0xb3, 0xb3, 0xa8, 0xa8, 
0xa0, 0xa0, 0x9b, 0x9b, 0x9a, 0x9a, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 0x94, 0x94, 0x8c, 0x8c, 
0x86, 0x86, 0x85, 0x85, 0x88, 0x88, 0x90, 0x90, 0x9a, 0x9a, 0xa7, 0xa7, 0xb5, 0xb5, 0xc3, 0xc3, 0xcb, 0xcb, 0xcc, 0xcc, 0xc4, 0xc4, 0xb4, 0xb4, 0x9d, 0x9d, 
0x81, 0x81, 0x61, 0x61, 0x40, 0x40, 0x24, 0x24, 0x11, 0x11, 0x0a, 0x0a, 0x0c, 0x0c, 0x16, 0x16, 0x24, 0x24, 0x35, 0x35, 0x45, 0x45, 0x53, 0x53, 0x5b, 0x5b, 
0x5c, 0x5c, 0x57, 0x57, 0x4c, 0x4c, 0x3e, 0x3e, 0x2d, 0x2d, 0x1a, 0x1a, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x16, 0x16, 0x2d, 0x2d, 
0x48, 0x48, 0x62, 0x62, 0x78, 0x78, 0x88, 0x88, 0x92, 0x92, 0x97, 0x97, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x80, 0x80, 0x7c, 0x7c, 0x7a, 0x7a, 
0x7b, 0x7b, 0x82, 0x82, 0x8f, 0x8f, 0x9f, 0x9f, 0xb1, 0xb1, 0xc3, 0xc3, 0xd1, 0xd1, 0xde, 0xde, 0xe7, 0xe7, 0xed, 0xed, 0xf1, 0xf1, 0xf3, 0xf3, 0xf4, 0xf4, 
0xf5, 0xf5, 0xf8, 0xf8, 0xfa, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf7, 0xf7, 0xea, 0xea, 0xd6, 0xd6, 0xbc, 0xbc, 0xa1, 0xa1, 0x86, 0x86, 
0x6d, 0x6d, 0x58, 0x58, 0x49, 0x49, 0x40, 0x40, 0x3d, 0x3d, 0x3f, 0x3f, 0x42, 0x42, 0x43, 0x43, 0x41, 0x41, 0x3b, 0x3b, 0x33, 0x33, 0x2b, 0x2b, 0x22, 0x22, 
0x1a, 0x1a, 0x13, 0x13, 0x0e, 0x0e, 0x0a, 0x0a, 0x07, 0x07, 0x07, 0x07, 0x09, 0x09, 0x0d, 0x0d, 0x15, 0x15, 0x1f, 0x1f, 0x2e, 0x2e, 0x40, 0x40, 0x55, 0x55, 
0x6c, 0x6c, 0x81, 0x81, 0x95, 0x95, 0xa8, 0xa8, 0xb7, 0xb7, 0xc4, 0xc4, 0xcd, 0xcd, 0xd3, 0xd3, 0xd8, 0xd8, 0xdc, 0xdc, 0xdf, 0xdf, 0xe2, 0xe2, 0xe4, 0xe4, 
0xe5, 0xe5, 0xe5, 0xe5, 0xe2, 0xe2, 0xd9, 0xd9, 0xc9, 0xc9, 0xb0, 0xb0, 0x92, 0x92, 0x71, 0x71, 0x53, 0x53, 0x38, 0x38, 0x24, 0x24, 0x1a, 0x1a, 0x1b, 0x1b, 
0x29, 0x29, 0x40, 0x40, 0x5b, 0x5b, 0x75, 0x75, 0x8d, 0x8d, 0x9f, 0x9f, 0xa9, 0xa9, 0xa6, 0xa6, 0x98, 0x98, 0x81, 0x81, 0x66, 0x66, 0x4d, 0x4d, 0x38, 0x38, 
0x29, 0x29, 0x23, 0x23, 0x28, 0x28, 0x38, 0x38, 0x50, 0x50, 0x69, 0x69, 0x7d, 0x7d, 0x89, 0x89, 0x8d, 0x8d, 0x89, 0x89, 0x7d, 0x7d, 0x69, 0x69, 0x52, 0x52, 
0x3c, 0x3c, 0x2b, 0x2b, 0x23, 0x23, 0x21, 0x21, 0x28, 0x28, 0x36, 0x36, 0x4a, 0x4a, 0x61, 0x61, 0x75, 0x75, 0x81, 0x81, 0x83, 0x83, 0x7c, 0x7c, 0x6e, 0x6e, 
0x5b, 0x5b, 0x44, 0x44, 0x2e, 0x2e, 0x1f, 0x1f, 0x1e, 0x1e, 0x2d, 0x2d, 0x48, 0x48, 0x6a, 0x6a, 0x8e, 0x8e, 0xb0, 0xb0, 0xcc, 0xcc, 0xde, 0xde, 0xe1, 0xe1, 
0xd3, 0xd3, 0xb8, 0xb8, 0x97, 0x97, 0x75, 0x75, 0x55, 0x55, 0x39, 0x39, 0x26, 0x26, 0x1e, 0x1e, 0x20, 0x20, 0x2a, 0x2a, 0x38, 0x38, 0x47, 0x47, 0x54, 0x54, 
0x5e, 0x5e, 0x65, 0x65, 0x68, 0x68, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 0x59, 0x59, 0x53, 0x53, 0x4d, 0x4d, 0x4a, 0x4a, 0x49, 0x49, 0x4c, 0x4c, 0x52, 0x52, 
0x5b, 0x5b, 0x67, 0x67, 0x76, 0x76, 0x86, 0x86, 0x95, 0x95, 0xa1, 0xa1, 0xaa, 0xaa, 0xb0, 0xb0, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4, 0xb4, 
0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb4, 0xb4, 0xb6, 0xb6, 0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xc0, 0xc0, 0xbf, 0xbf, 0xbd, 0xbd, 0xb9, 0xb9, 0xb5, 0xb5, 
0xb1, 0xb1, 0xae, 0xae, 0xad, 0xad, 0xb0, 0xb0, 0xb7, 0xb7, 0xc0, 0xc0, 0xc8, 0xc8, 0xcc, 0xcc, 0xca, 0xca, 0xc2, 0xc2, 0xb4, 0xb4, 0xa0, 0xa0, 0x87, 0x87, 
0x6a, 0x6a, 0x4e, 0x4e, 0x36, 0x36, 0x23, 0x23, 0x14, 0x14, 0x0b, 0x0b, 0x06, 0x06, 0x05, 0x05, 0x07, 0x07, 0x0c, 0x0c, 0x12, 0x12, 0x19, 0x19, 0x21, 0x21, 
0x27, 0x27, 0x2c, 0x2c, 0x2d, 0x2d, 0x2c, 0x2c, 0x28, 0x28, 0x23, 0x23, 0x1b, 0x1b, 0x14, 0x14, 0x0f, 0x0f, 0x0f, 0x0f, 0x14, 0x14, 0x1e, 0x1e, 0x29, 0x29, 
0x34, 0x34, 0x3d, 0x3d, 0x45, 0x45, 0x4b, 0x4b, 0x4f, 0x4f, 0x51, 0x51, 0x54, 0x54, 0x58, 0x58, 0x60, 0x60, 0x6d, 0x6d, 0x7e, 0x7e, 0x90, 0x90, 0xa3, 0xa3, 
0xb6, 0xb6, 0xc7, 0xc7, 0xd5, 0xd5, 0xe1, 0xe1, 0xe9, 0xe9, 0xee, 0xee, 0xf0, 0xf0, 0xf0, 0xf0, 0xef, 0xef, 0xec, 0xec, 0xe9, 0xe9, 0xe7, 0xe7, 0xe7, 0xe7, 
0xe7, 0xe7, 0xe9, 0xe9, 0xeb, 0xeb, 0xef, 0xef, 0xf2, 0xf2, 0xf3, 0xf3, 0xf0, 0xf0, 0xe8, 0xe8, 0xdd, 0xdd, 0xcf, 0xcf, 0xbf, 0xbf, 0xae, 0xae, 0x9d, 0x9d, 
0x8d, 0x8d, 0x80, 0x80, 0x76, 0x76, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x5c, 0x5c, 0x58, 0x58, 0x54, 0x54, 0x51, 0x51, 0x4d, 0x4d, 
0x49, 0x49, 0x45, 0x45, 0x42, 0x42, 0x3f, 0x3f, 0x3d, 0x3d, 0x3d, 0x3d, 0x3f, 0x3f, 0x41, 0x41, 0x44, 0x44, 0x48, 0x48, 0x4c, 0x4c, 0x4f, 0x4f, 0x50, 0x50, 
0x50, 0x50, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 
0x81, 0x81, 0x8a, 0x8a, 0x95, 0x95, 0xa1, 0xa1, 0xaf, 0xaf, 0xbc, 0xbc, 0xc8, 0xc8, 0xd2, 0xd2, 0xdb, 0xdb, 0xe2, 0xe2, 0xea, 0xea, 0xf0, 0xf0, 0xf6, 0xf6, 
0xfa, 0xfa, 0xfb, 0xfb, 0xf9, 0xf9, 0xf2, 0xf2, 0xe6, 0xe6, 0xd2, 0xd2, 0xb7, 0xb7, 0x97, 0x97, 0x77, 0x77, 0x59, 0x59, 0x41, 0x41, 0x2e, 0x2e, 0x23, 0x23, 
0x20, 0x20, 0x26, 0x26, 0x31, 0x31, 0x3d, 0x3d, 0x46, 0x46, 0x4a, 0x4a, 0x4a, 0x4a, 0x45, 0x45, 0x3c, 0x3c, 0x30, 0x30, 0x23, 0x23, 0x18, 0x18, 0x14, 0x14, 
0x16, 0x16, 0x1f, 0x1f, 0x2c, 0x2c, 0x3d, 0x3d, 0x50, 0x50, 0x64, 0x64, 0x73, 0x73, 0x7d, 0x7d, 0x7e, 0x7e, 0x7a, 0x7a, 0x74, 0x74, 0x6d, 0x6d, 0x69, 0x69, 
0x68, 0x68, 0x6c, 0x6c, 0x77, 0x77, 0x88, 0x88, 0x9d, 0x9d, 0xb1, 0xb1, 0xc1, 0xc1, 0xca, 0xca, 0xcd, 0xcd, 0xcb, 0xcb, 0xc6, 0xc6, 0xbf, 0xbf, 0xb7, 0xb7, 
0xae, 0xae, 0xa7, 0xa7, 0xa0, 0xa0, 0x9b, 0x9b, 0x98, 0x98, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xae, 0xae, 0xb2, 0xb2, 0xb1, 0xb1, 
0xa9, 0xa9, 0x9b, 0x9b, 0x87, 0x87, 0x70, 0x70, 0x5a, 0x5a, 0x46, 0x46, 0x34, 0x34, 0x26, 0x26, 0x1d, 0x1d, 0x17, 0x17, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 
0x14, 0x14, 0x15, 0x15, 0x16, 0x16, 0x17, 0x17, 0x19, 0x19, 0x1b, 0x1b, 0x1f, 0x1f, 0x25, 0x25, 0x2e, 0x2e, 0x39, 0x39, 0x45, 0x45, 0x52, 0x52, 0x5f, 0x5f, 
0x6b, 0x6b, 0x77, 0x77, 0x82, 0x82, 0x8c, 0x8c, 0x95, 0x95, 0x9d, 0x9d, 0xa5, 0xa5, 0xab, 0xab, 0xb2, 0xb2, 0xba, 0xba, 0xc2, 0xc2, 0xcc, 0xcc, 0xd7, 0xd7, 
0xe1, 0xe1, 0xea, 0xea, 0xf2, 0xf2, 0xf7, 0xf7, 0xf9, 0xf9, 0xf6, 0xf6, 0xee, 0xee, 0xe3, 0xe3, 0xd7, 0xd7, 0xcc, 0xcc, 0xc4, 0xc4, 0xbe, 0xbe, 0xba, 0xba, 
0xb5, 0xb5, 0xb1, 0xb1, 0xad, 0xad, 0xa8, 0xa8, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 0x99, 0x99, 0x93, 0x93, 0x8b, 0x8b, 0x81, 0x81, 0x74, 0x74, 0x64, 0x64, 
0x51, 0x51, 0x3d, 0x3d, 0x2b, 0x2b, 0x1e, 0x1e, 0x17, 0x17, 0x15, 0x15, 0x17, 0x17, 0x1a, 0x1a, 0x1f, 0x1f, 0x24, 0x24, 0x29, 0x29, 0x2e, 0x2e, 0x33, 0x33, 
0x39, 0x39, 0x3e, 0x3e, 0x44, 0x44, 0x48, 0x48, 0x4d, 0x4d, 0x51, 0x51, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x5f, 0x5f, 0x63, 0x63, 0x69, 0x69, 0x70, 0x70, 
0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x94, 0x94, 0x9d, 0x9d, 0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xac, 0xac, 
0xae, 0xae, 0xb3, 0xb3, 0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xbd, 0xbd, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xab, 0xab, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 
0x9d, 0x9d, 0x98, 0x98, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 
0x64, 0x64, 0x60, 0x60, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 
0x78, 0x78, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x56, 0x56, 0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 
0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8a, 0x8a, 0x83, 0x83, 0x79, 0x79, 0x6e, 0x6e, 0x63, 0x63, 0x5d, 0x5d, 0x5b, 0x5b, 0x5e, 0x5e, 0x63, 0x63, 0x69, 0x69, 0x6f, 0x6f, 
0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x8f, 0x8f, 0x96, 0x96, 0x9f, 0x9f, 0xa8, 0xa8, 0xb0, 0xb0, 0xb8, 0xb8, 0xbd, 0xbd, 0xc2, 0xc2, 
0xc7, 0xc7, 0xcc, 0xcc, 0xd2, 0xd2, 0xd8, 0xd8, 0xde, 0xde, 0xe2, 0xe2, 0xe3, 0xe3, 0xe3, 0xe3, 0xe1, 0xe1, 0xdd, 0xdd, 0xd9, 0xd9, 0xd4, 0xd4, 0xd0, 0xd0, 
0xcd, 0xcd, 0xcb, 0xcb, 0xc9, 0xc9, 0xc9, 0xc9, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 0xcd, 0xcd, 0xc6, 0xc6, 0xba, 0xba, 0xa9, 0xa9, 0x96, 0x96, 0x84, 0x84, 
0x73, 0x73, 0x66, 0x66, 0x5c, 0x5c, 0x54, 0x54, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x47, 0x47, 0x42, 0x42, 0x3c, 0x3c, 0x36, 0x36, 0x33, 0x33, 0x32, 0x32, 
0x33, 0x33, 0x35, 0x35, 0x35, 0x35, 0x34, 0x34, 0x31, 0x31, 0x2d, 0x2d, 0x2b, 0x2b, 0x2a, 0x2a, 0x29, 0x29, 0x29, 0x29, 0x27, 0x27, 0x24, 0x24, 0x20, 0x20, 
0x1c, 0x1c, 0x1a, 0x1a, 0x1a, 0x1a, 0x1e, 0x1e, 0x24, 0x24, 0x2e, 0x2e, 0x3a, 0x3a, 0x49, 0x49, 0x59, 0x59, 0x68, 0x68, 0x77, 0x77, 0x85, 0x85, 0x93, 0x93, 
0xa1, 0xa1, 0xaf, 0xaf, 0xbc, 0xbc, 0xc8, 0xc8, 0xd0, 0xd0, 0xd4, 0xd4, 0xd6, 0xd6, 0xd5, 0xd5, 0xd3, 0xd3, 0xd0, 0xd0, 0xcd, 0xcd, 0xcb, 0xcb, 0xc9, 0xc9, 
0xc9, 0xc9, 0xca, 0xca, 0xcc, 0xcc, 0xcf, 0xcf, 0xd2, 0xd2, 0xd6, 0xd6, 0xd8, 0xd8, 0xd7, 0xd7, 0xd2, 0xd2, 0xca, 0xca, 0xc2, 0xc2, 0xbb, 0xbb, 0xb5, 0xb5, 
0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 0x90, 0x90, 0x89, 0x89, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 
0x77, 0x77, 0x71, 0x71, 0x68, 0x68, 0x5c, 0x5c, 0x50, 0x50, 0x47, 0x47, 0x40, 0x40, 0x3c, 0x3c, 0x3a, 0x3a, 0x37, 0x37, 0x34, 0x34, 0x2f, 0x2f, 0x2b, 0x2b, 
0x27, 0x27, 0x23, 0x23, 0x21, 0x21, 0x1f, 0x1f, 0x1f, 0x1f, 0x20, 0x20, 0x21, 0x21, 0x22, 0x22, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x22, 0x22, 
0x21, 0x21, 0x20, 0x20, 0x20, 0x20, 0x1f, 0x1f, 0x1e, 0x1e, 0x1e, 0x1e, 0x21, 0x21, 0x28, 0x28, 0x34, 0x34, 0x42, 0x42, 0x52, 0x52, 0x60, 0x60, 0x6b, 0x6b, 
0x74, 0x74, 0x7a, 0x7a, 0x7d, 0x7d, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x78, 0x78, 0x7c, 0x7c, 0x84, 0x84, 0x8e, 0x8e, 
0x9a, 0x9a, 0xa6, 0xa6, 0xb2, 0xb2, 0xbe, 0xbe, 0xc8, 0xc8, 0xd0, 0xd0, 0xd5, 0xd5, 0xd9, 0xd9, 0xdc, 0xdc, 0xde, 0xde, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 
0xdd, 0xdd, 0xda, 0xda, 0xd6, 0xd6, 0xd1, 0xd1, 0xcc, 0xcc, 0xc6, 0xc6, 0xc0, 0xc0, 0xb8, 0xb8, 0xad, 0xad, 0x9f, 0x9f, 0x90, 0x90, 0x80, 0x80, 0x74, 0x74, 
0x6c, 0x6c, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x52, 0x52, 0x4d, 0x4d, 0x47, 0x47, 0x40, 0x40, 0x3a, 0x3a, 
0x33, 0x33, 0x2b, 0x2b, 0x22, 0x22, 0x18, 0x18, 0x0e, 0x0e, 0x07, 0x07, 0x03, 0x03, 0x03, 0x03, 0x07, 0x07, 0x0e, 0x0e, 0x17, 0x17, 0x21, 0x21, 0x2c, 0x2c, 
0x37, 0x37, 0x44, 0x44, 0x52, 0x52, 0x60, 0x60, 0x6c, 0x6c, 0x76, 0x76, 0x7c, 0x7c, 0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 
0x61, 0x61, 0x5e, 0x5e, 0x5e, 0x5e, 0x61, 0x61, 0x68, 0x68, 0x73, 0x73, 0x80, 0x80, 0x90, 0x90, 0xa2, 0xa2, 0xb6, 0xb6, 0xca, 0xca, 0xdc, 0xdc, 0xe9, 0xe9, 
0xf1, 0xf1, 0xf5, 0xf5, 0xf5, 0xf5, 0xf3, 0xf3, 0xef, 0xef, 0xea, 0xea, 0xe5, 0xe5, 0xe1, 0xe1, 0xdd, 0xdd, 0xda, 0xda, 0xd7, 0xd7, 0xd5, 0xd5, 0xd3, 0xd3, 
0xd2, 0xd2, 0xcf, 0xcf, 0xca, 0xca, 0xc3, 0xc3, 0xba, 0xba, 0xb3, 0xb3, 0xad, 0xad, 0xaa, 0xaa, 0xa9, 0xa9, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 
0xa3, 0xa3, 0x9c, 0x9c, 0x92, 0x92, 0x85, 0x85, 0x78, 0x78, 0x6d, 0x6d, 0x64, 0x64, 0x5c, 0x5c, 0x55, 0x55, 0x4d, 0x4d, 0x45, 0x45, 0x3d, 0x3d, 0x36, 0x36, 
0x34, 0x34, 0x37, 0x37, 0x3e, 0x3e, 0x48, 0x48, 0x51, 0x51, 0x59, 0x59, 0x60, 0x60, 0x64, 0x64, 0x64, 0x64, 0x60, 0x60, 0x59, 0x59, 0x51, 0x51, 0x48, 0x48, 
0x40, 0x40, 0x38, 0x38, 0x33, 0x33, 0x30, 0x30, 0x31, 0x31, 0x35, 0x35, 0x3d, 0x3d, 0x48, 0x48, 0x57, 0x57, 0x67, 0x67, 0x77, 0x77, 0x83, 0x83, 0x8b, 0x8b, 
0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbd, 0xbd, 0xc3, 0xc3, 0xc6, 0xc6, 0xc5, 0xc5, 
0xc3, 0xc3, 0xbe, 0xbe, 0xb7, 0xb7, 0xaf, 0xaf, 0xa8, 0xa8, 0xa4, 0xa4, 0xa3, 0xa3, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 
0x99, 0x99, 0x92, 0x92, 0x8a, 0x8a, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 
0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 
0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x80, 0x80, 0x85, 0x85, 0x8b, 0x8b, 0x90, 0x90, 0x91, 0x91, 0x8f, 0x8f, 0x89, 0x89, 
0x81, 0x81, 0x78, 0x78, 0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x64, 0x64, 0x6b, 0x6b, 0x73, 0x73, 
0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7c, 0x7c, 
0x77, 0x77, 0x71, 0x71, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 
0x7c, 0x7c, 0x82, 0x82, 0x86, 0x86, 0x86, 0x86, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6c, 0x6c, 0x6f, 0x6f, 
0x74, 0x74, 0x7b, 0x7b, 0x83, 0x83, 0x8d, 0x8d, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xb0, 0xb0, 0xb7, 0xb7, 0xbb, 0xbb, 0xbe, 0xbe, 0xbf, 0xbf, 0xc0, 0xc0, 
0xc0, 0xc0, 0xc0, 0xc0, 0xbf, 0xbf, 0xbd, 0xbd, 0xb9, 0xb9, 0xb3, 0xb3, 0xaa, 0xaa, 0xa1, 0xa1, 0x97, 0x97, 0x8e, 0x8e, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x93, 0x93, 0x98, 0x98, 0x9a, 0x9a, 0x98, 0x98, 0x92, 0x92, 0x88, 0x88, 0x7a, 0x7a, 0x6a, 0x6a, 
0x57, 0x57, 0x47, 0x47, 0x39, 0x39, 0x31, 0x31, 0x2d, 0x2d, 0x2d, 0x2d, 0x31, 0x31, 0x37, 0x37, 0x3e, 0x3e, 0x46, 0x46, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 
0x5f, 0x5f, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 
0x68, 0x68, 0x6b, 0x6b, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 
0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0xa0, 0xa0, 0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 
0xa3, 0xa3, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 0x83, 0x83, 0x7a, 0x7a, 0x71, 0x71, 0x6a, 0x6a, 
0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6c, 0x6c, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 
0x54, 0x54, 0x4f, 0x4f, 0x4a, 0x4a, 0x48, 0x48, 0x48, 0x48, 0x4c, 0x4c, 0x52, 0x52, 0x5a, 0x5a, 0x64, 0x64, 0x6e, 0x6e, 0x78, 0x78, 0x80, 0x80, 0x84, 0x84, 
0x83, 0x83, 0x7f, 0x7f, 0x78, 0x78, 0x70, 0x70, 0x66, 0x66, 0x5d, 0x5d, 0x56, 0x56, 0x52, 0x52, 0x51, 0x51, 0x54, 0x54, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 
0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x80, 0x80, 0x84, 0x84, 0x8a, 0x8a, 0x92, 0x92, 
0x9b, 0x9b, 0xa2, 0xa2, 0xa8, 0xa8, 0xac, 0xac, 0xad, 0xad, 0xab, 0xab, 0xa5, 0xa5, 0x9d, 0x9d, 0x95, 0x95, 0x8f, 0x8f, 0x8a, 0x8a, 0x88, 0x88, 0x89, 0x89, 
0x8b, 0x8b, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x85, 0x85, 
0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x81, 0x81, 0x7f, 0x7f, 
0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 
0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 
0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x67, 0x67, 0x6c, 0x6c, 0x73, 0x73, 0x7d, 0x7d, 0x88, 0x88, 0x95, 0x95, 0xa2, 0xa2, 0xae, 0xae, 
0xb8, 0xb8, 0xc0, 0xc0, 0xc5, 0xc5, 0xc6, 0xc6, 0xc3, 0xc3, 0xbd, 0xbd, 0xb6, 0xb6, 0xad, 0xad, 0xa4, 0xa4, 0x9b, 0x9b, 0x94, 0x94, 0x8f, 0x8f, 0x8d, 0x8d, 
0x8e, 0x8e, 0x90, 0x90, 0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa4, 0xa4, 0x9c, 0x9c, 0x92, 0x92, 
0x87, 0x87, 0x7c, 0x7c, 0x73, 0x73, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x59, 0x59, 0x58, 0x58, 0x56, 0x56, 
0x54, 0x54, 0x52, 0x52, 0x51, 0x51, 0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x50, 0x50, 0x51, 0x51, 0x50, 0x50, 0x4e, 0x4e, 
0x49, 0x49, 0x45, 0x45, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x4d, 0x4d, 0x57, 0x57, 0x64, 0x64, 0x73, 0x73, 0x81, 0x81, 0x8e, 0x8e, 0x98, 0x98, 
0xa1, 0xa1, 0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb1, 0xb1, 0xb2, 0xb2, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xa9, 0xa9, 0xa8, 0xa8, 0xaa, 0xaa, 0xae, 0xae, 
0xb3, 0xb3, 0xb8, 0xb8, 0xbc, 0xbc, 0xc0, 0xc0, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 0xc1, 0xc1, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 
0xae, 0xae, 0xab, 0xab, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x89, 0x89, 0x80, 0x80, 0x76, 0x76, 0x6e, 0x6e, 
0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x45, 0x45, 0x42, 0x42, 0x3f, 0x3f, 
0x3d, 0x3d, 0x3c, 0x3c, 0x3c, 0x3c, 0x3e, 0x3e, 0x42, 0x42, 0x46, 0x46, 0x4c, 0x4c, 0x52, 0x52, 0x58, 0x58, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6c, 0x6c, 
0x6f, 0x6f, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x71, 0x71, 0x76, 0x76, 0x7e, 0x7e, 0x88, 0x88, 0x93, 0x93, 
0x9c, 0x9c, 0xa3, 0xa3, 0xa8, 0xa8, 0xaa, 0xaa, 0xa8, 0xa8, 0xa3, 0xa3, 0x9b, 0x9b, 0x92, 0x92, 0x89, 0x89, 0x81, 0x81, 0x7a, 0x7a, 0x75, 0x75, 0x74, 0x74, 
0x77, 0x77, 0x7c, 0x7c, 0x84, 0x84, 0x8c, 0x8c, 0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa3, 0xa3, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x94, 0x94, 0x8c, 0x8c, 0x81, 0x81, 0x75, 0x75, 0x69, 0x69, 0x5f, 0x5f, 0x56, 0x56, 0x50, 0x50, 
0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x4d, 0x4d, 0x4d, 0x4d, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x48, 0x48, 0x47, 0x47, 0x47, 0x47, 
0x48, 0x48, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x5b, 0x5b, 0x62, 0x62, 0x6c, 0x6c, 0x78, 0x78, 
0x86, 0x86, 0x96, 0x96, 0xa6, 0xa6, 0xb6, 0xb6, 0xc4, 0xc4, 0xd0, 0xd0, 0xd9, 0xd9, 0xdd, 0xdd, 0xdd, 0xdd, 0xd9, 0xd9, 0xd3, 0xd3, 0xcc, 0xcc, 0xc5, 0xc5, 
0xbe, 0xbe, 0xb8, 0xb8, 0xb2, 0xb2, 0xad, 0xad, 0xa7, 0xa7, 0x9f, 0x9f, 0x95, 0x95, 0x89, 0x89, 0x7b, 0x7b, 0x6e, 0x6e, 0x63, 0x63, 0x5c, 0x5c, 0x58, 0x58, 
0x57, 0x57, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x75, 0x75, 
0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x88, 0x88, 0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 
0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa7, 0xa7, 0xab, 0xab, 0xad, 0xad, 0xaf, 0xaf, 0xad, 0xad, 0xaa, 0xaa, 0xa6, 0xa6, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 
0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 
0x65, 0x65, 0x63, 0x63, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 
0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6e, 0x6e, 0x76, 0x76, 0x7f, 0x7f, 0x89, 0x89, 0x92, 0x92, 0x99, 0x99, 0x9e, 0x9e, 
0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa6, 0xa6, 0xa7, 0xa7, 0xa8, 0xa8, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 
0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x94, 0x94, 0x8e, 0x8e, 0x88, 0x88, 0x81, 0x81, 
0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x63, 0x63, 0x5b, 0x5b, 0x54, 0x54, 0x4d, 0x4d, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 0x3a, 0x3a, 0x3d, 0x3d, 0x44, 0x44, 
0x50, 0x50, 0x5d, 0x5d, 0x6b, 0x6b, 0x77, 0x77, 0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 
0x81, 0x81, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 
0x5b, 0x5b, 0x57, 0x57, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x58, 0x58, 0x5e, 0x5e, 0x64, 0x64, 0x6a, 0x6a, 0x71, 0x71, 0x76, 0x76, 0x7a, 0x7a, 
0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x88, 0x88, 0x88, 0x88, 
0x86, 0x86, 0x83, 0x83, 0x7d, 0x7d, 0x76, 0x76, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x56, 0x56, 0x4f, 0x4f, 0x4a, 0x4a, 0x4a, 0x4a, 0x4e, 0x4e, 0x56, 0x56, 
0x61, 0x61, 0x6e, 0x6e, 0x7b, 0x7b, 0x89, 0x89, 0x95, 0x95, 0xa0, 0xa0, 0xa7, 0xa7, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xa9, 0xa9, 0xa3, 0xa3, 
0x9e, 0x9e, 0x99, 0x99, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 
0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 
0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x84, 0x84, 0x8b, 0x8b, 0x93, 0x93, 0x9d, 0x9d, 0xa7, 0xa7, 
0xb1, 0xb1, 0xb9, 0xb9, 0xc1, 0xc1, 0xc7, 0xc7, 0xcc, 0xcc, 0xd0, 0xd0, 0xd4, 0xd4, 0xd7, 0xd7, 0xda, 0xda, 0xdc, 0xdc, 0xdd, 0xdd, 0xdd, 0xdd, 0xdc, 0xdc, 
0xda, 0xda, 0xd6, 0xd6, 0xd0, 0xd0, 0xca, 0xca, 0xc3, 0xc3, 0xba, 0xba, 0xb1, 0xb1, 0xa6, 0xa6, 0x9a, 0x9a, 0x8e, 0x8e, 0x83, 0x83, 0x7b, 0x7b, 0x76, 0x76, 
0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8a, 0x8a, 0x93, 0x93, 0x9a, 0x9a, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0x9d, 0x9d, 0x97, 0x97, 0x8e, 0x8e, 
0x84, 0x84, 0x7a, 0x7a, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x56, 0x56, 0x4f, 0x4f, 0x49, 0x49, 0x43, 0x43, 0x3e, 0x3e, 0x39, 0x39, 0x33, 0x33, 0x2f, 0x2f, 
0x2b, 0x2b, 0x29, 0x29, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x2a, 0x2a, 0x2c, 0x2c, 0x30, 0x30, 0x35, 0x35, 0x3d, 0x3d, 0x46, 0x46, 0x50, 0x50, 0x59, 0x59, 
0x62, 0x62, 0x69, 0x69, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 
0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 
0x80, 0x80, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x7f, 0x7f, 0x77, 0x77, 0x6d, 0x6d, 0x64, 0x64, 0x5d, 0x5d, 
0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4e, 0x4e, 0x4d, 0x4d, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x59, 0x59, 0x60, 0x60, 0x67, 0x67, 0x6f, 0x6f, 
0x78, 0x78, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9f, 0x9f, 0xa5, 0xa5, 0xab, 0xab, 0xb1, 0xb1, 0xb7, 0xb7, 
0xbb, 0xbb, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb7, 0xb7, 0xb1, 0xb1, 0xab, 0xab, 0xa4, 0xa4, 0x9e, 0x9e, 0x9b, 0x9b, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 
0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 
0x70, 0x70, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x60, 0x60, 0x5a, 0x5a, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x48, 0x48, 0x45, 0x45, 0x43, 0x43, 0x42, 0x42, 
0x40, 0x40, 0x3f, 0x3f, 0x3d, 0x3d, 0x3a, 0x3a, 0x37, 0x37, 0x35, 0x35, 0x34, 0x34, 0x35, 0x35, 0x36, 0x36, 0x3a, 0x3a, 0x3f, 0x3f, 0x45, 0x45, 0x4d, 0x4d, 
0x57, 0x57, 0x63, 0x63, 0x70, 0x70, 0x7e, 0x7e, 0x8c, 0x8c, 0x98, 0x98, 0xa3, 0xa3, 0xad, 0xad, 0xb5, 0xb5, 0xbc, 0xbc, 0xc1, 0xc1, 0xc6, 0xc6, 0xca, 0xca, 
0xce, 0xce, 0xd2, 0xd2, 0xd6, 0xd6, 0xd8, 0xd8, 0xd9, 0xd9, 0xd9, 0xd9, 0xd7, 0xd7, 0xd5, 0xd5, 0xd1, 0xd1, 0xce, 0xce, 0xc9, 0xc9, 0xc5, 0xc5, 0xc1, 0xc1, 
0xbe, 0xbe, 0xbb, 0xbb, 0xb8, 0xb8, 0xb5, 0xb5, 0xb3, 0xb3, 0xb0, 0xb0, 0xac, 0xac, 0xa8, 0xa8, 0xa2, 0xa2, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 0x85, 0x85, 
0x7d, 0x7d, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x4f, 0x4f, 0x48, 0x48, 
0x40, 0x40, 0x38, 0x38, 0x32, 0x32, 0x2c, 0x2c, 0x29, 0x29, 0x29, 0x29, 0x2b, 0x2b, 0x30, 0x30, 0x36, 0x36, 0x3d, 0x3d, 0x43, 0x43, 0x4a, 0x4a, 0x51, 0x51, 
0x58, 0x58, 0x61, 0x61, 0x6a, 0x6a, 0x74, 0x74, 0x7e, 0x7e, 0x87, 0x87, 0x91, 0x91, 0x9a, 0x9a, 0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb9, 0xb9, 0xbe, 0xbe, 
0xc2, 0xc2, 0xc5, 0xc5, 0xc5, 0xc5, 0xc3, 0xc3, 0xbe, 0xbe, 0xb8, 0xb8, 0xb1, 0xb1, 0xac, 0xac, 0xa9, 0xa9, 0xa8, 0xa8, 0xa9, 0xa9, 0xad, 0xad, 0xb3, 0xb3, 
0xba, 0xba, 0xc1, 0xc1, 0xc5, 0xc5, 0xc7, 0xc7, 0xc6, 0xc6, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xab, 0xab, 0xa1, 0xa1, 0x97, 0x97, 0x8e, 0x8e, 0x86, 0x86, 
0x7f, 0x7f, 0x78, 0x78, 0x73, 0x73, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 
0x4c, 0x4c, 0x47, 0x47, 0x42, 0x42, 0x3d, 0x3d, 0x3a, 0x3a, 0x38, 0x38, 0x38, 0x38, 0x3b, 0x3b, 0x40, 0x40, 0x47, 0x47, 0x51, 0x51, 0x5b, 0x5b, 0x65, 0x65, 
0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 
0x80, 0x80, 0x7c, 0x7c, 0x7b, 0x7b, 0x7e, 0x7e, 0x84, 0x84, 0x8b, 0x8b, 0x93, 0x93, 0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 
0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 
0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 
0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 0x50, 0x50, 0x55, 0x55, 0x5d, 0x5d, 
0x68, 0x68, 0x74, 0x74, 0x80, 0x80, 0x8d, 0x8d, 0x98, 0x98, 0xa3, 0xa3, 0xab, 0xab, 0xb1, 0xb1, 0xb5, 0xb5, 0xb6, 0xb6, 0xb7, 0xb7, 0xb6, 0xb6, 0xb3, 0xb3, 
0xb0, 0xb0, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9d, 0x9d, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x79, 0x79, 
0x78, 0x78, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 
0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 0x4e, 0x4e, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x49, 0x49, 0x47, 0x47, 0x45, 0x45, 
0x42, 0x42, 0x40, 0x40, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3e, 0x3e, 0x44, 0x44, 0x4c, 0x4c, 0x58, 0x58, 0x66, 0x66, 0x75, 0x75, 0x85, 0x85, 0x95, 0x95, 
0xa4, 0xa4, 0xb0, 0xb0, 0xba, 0xba, 0xc0, 0xc0, 0xc5, 0xc5, 0xc9, 0xc9, 0xcc, 0xcc, 0xce, 0xce, 0xcf, 0xcf, 0xd2, 0xd2, 0xd4, 0xd4, 0xd7, 0xd7, 0xda, 0xda, 
0xdb, 0xdb, 0xdc, 0xdc, 0xdb, 0xdb, 0xd8, 0xd8, 0xd1, 0xd1, 0xc8, 0xc8, 0xbb, 0xbb, 0xad, 0xad, 0x9d, 0x9d, 0x8c, 0x8c, 0x7b, 0x7b, 0x6d, 0x6d, 0x62, 0x62, 
0x5c, 0x5c, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x69, 0x69, 0x6a, 0x6a, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 
0x49, 0x49, 0x44, 0x44, 0x40, 0x40, 0x3f, 0x3f, 0x40, 0x40, 0x43, 0x43, 0x46, 0x46, 0x4a, 0x4a, 0x4e, 0x4e, 0x51, 0x51, 0x52, 0x52, 0x51, 0x51, 0x4f, 0x4f, 
0x4b, 0x4b, 0x46, 0x46, 0x41, 0x41, 0x3c, 0x3c, 0x37, 0x37, 0x33, 0x33, 0x31, 0x31, 0x30, 0x30, 0x31, 0x31, 0x35, 0x35, 0x3d, 0x3d, 0x47, 0x47, 0x53, 0x53, 
0x60, 0x60, 0x6d, 0x6d, 0x7b, 0x7b, 0x88, 0x88, 0x94, 0x94, 0xa0, 0xa0, 0xab, 0xab, 0xb5, 0xb5, 0xc0, 0xc0, 0xcb, 0xcb, 0xd5, 0xd5, 0xdf, 0xdf, 0xe6, 0xe6, 
0xeb, 0xeb, 0xef, 0xef, 0xf0, 0xf0, 0xef, 0xef, 0xed, 0xed, 0xea, 0xea, 0xe7, 0xe7, 0xe2, 0xe2, 0xde, 0xde, 0xd9, 0xd9, 0xd5, 0xd5, 0xd0, 0xd0, 0xcc, 0xcc, 
0xc9, 0xc9, 0xc5, 0xc5, 0xc1, 0xc1, 0xbc, 0xbc, 0xb6, 0xb6, 0xaf, 0xaf, 0xa6, 0xa6, 0x9b, 0x9b, 0x8e, 0x8e, 0x80, 0x80, 0x71, 0x71, 0x62, 0x62, 0x53, 0x53, 
0x46, 0x46, 0x3c, 0x3c, 0x35, 0x35, 0x32, 0x32, 0x32, 0x32, 0x36, 0x36, 0x3e, 0x3e, 0x49, 0x49, 0x54, 0x54, 0x60, 0x60, 0x6a, 0x6a, 0x73, 0x73, 0x79, 0x79, 
0x7c, 0x7c, 0x7c, 0x7c, 0x78, 0x78, 0x72, 0x72, 0x6a, 0x6a, 0x61, 0x61, 0x58, 0x58, 0x50, 0x50, 0x49, 0x49, 0x45, 0x45, 0x43, 0x43, 0x44, 0x44, 0x47, 0x47, 
0x4d, 0x4d, 0x54, 0x54, 0x5d, 0x5d, 0x66, 0x66, 0x70, 0x70, 0x79, 0x79, 0x82, 0x82, 0x8c, 0x8c, 0x96, 0x96, 0xa0, 0xa0, 0xaa, 0xaa, 0xb3, 0xb3, 0xbc, 0xbc, 
0xc3, 0xc3, 0xc7, 0xc7, 0xc8, 0xc8, 0xc5, 0xc5, 0xbe, 0xbe, 0xb6, 0xb6, 0xac, 0xac, 0xa3, 0xa3, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x4f, 0x4f, 
0x48, 0x48, 0x42, 0x42, 0x3d, 0x3d, 0x39, 0x39, 0x38, 0x38, 0x39, 0x39, 0x3c, 0x3c, 0x41, 0x41, 0x49, 0x49, 0x52, 0x52, 0x5d, 0x5d, 0x68, 0x68, 0x72, 0x72, 
0x7b, 0x7b, 0x83, 0x83, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 
0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 
0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa4, 0xa4, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 
0x91, 0x91, 0x8a, 0x8a, 0x83, 0x83, 0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x70, 0x70, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x83, 0x83, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 
0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 
0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 
0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 
0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x95, 0x95, 
0x96, 0x96, 0x98, 0x98, 0x9b, 0x9b, 0x9f, 0x9f, 0xa4, 0xa4, 0xaa, 0xaa, 0xb1, 0xb1, 0xb9, 0xb9, 0xc1, 0xc1, 0xc8, 0xc8, 0xce, 0xce, 0xd2, 0xd2, 0xd5, 0xd5, 
0xd6, 0xd6, 0xd5, 0xd5, 0xd2, 0xd2, 0xce, 0xce, 0xc6, 0xc6, 0xbd, 0xbd, 0xb2, 0xb2, 0xa5, 0xa5, 0x97, 0x97, 0x89, 0x89, 0x7a, 0x7a, 0x6d, 0x6d, 0x63, 0x63, 
0x5c, 0x5c, 0x57, 0x57, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 
0x49, 0x49, 0x45, 0x45, 0x41, 0x41, 0x3d, 0x3d, 0x39, 0x39, 0x36, 0x36, 0x33, 0x33, 0x31, 0x31, 0x2f, 0x2f, 0x2d, 0x2d, 0x2c, 0x2c, 0x2b, 0x2b, 0x2a, 0x2a, 
0x2c, 0x2c, 0x2f, 0x2f, 0x35, 0x35, 0x3c, 0x3c, 0x46, 0x46, 0x51, 0x51, 0x5d, 0x5d, 0x6b, 0x6b, 0x77, 0x77, 0x83, 0x83, 0x8e, 0x8e, 0x97, 0x97, 0x9f, 0x9f, 
0xa5, 0xa5, 0xa9, 0xa9, 0xad, 0xad, 0xb0, 0xb0, 0xb5, 0xb5, 0xbb, 0xbb, 0xc2, 0xc2, 0xc9, 0xc9, 0xcf, 0xcf, 0xd5, 0xd5, 0xd9, 0xd9, 0xdb, 0xdb, 0xdb, 0xdb, 
0xd8, 0xd8, 0xd3, 0xd3, 0xcd, 0xcd, 0xc9, 0xc9, 0xc5, 0xc5, 0xc3, 0xc3, 0xc2, 0xc2, 0xc3, 0xc3, 0xc6, 0xc6, 0xc9, 0xc9, 0xcc, 0xcc, 0xce, 0xce, 0xce, 0xce, 
0xcb, 0xcb, 0xc7, 0xc7, 0xc1, 0xc1, 0xba, 0xba, 0xb1, 0xb1, 0xa8, 0xa8, 0xa1, 0xa1, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 
0x82, 0x82, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6b, 0x6b, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 0x49, 0x49, 0x44, 0x44, 0x40, 0x40, 
0x3d, 0x3d, 0x3b, 0x3b, 0x39, 0x39, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 0x42, 0x42, 0x47, 0x47, 0x4c, 0x4c, 0x52, 0x52, 
0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 
0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 
0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 
0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 
0x9b, 0x9b, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 
0x63, 0x63, 0x5c, 0x5c, 0x55, 0x55, 0x4e, 0x4e, 0x48, 0x48, 0x43, 0x43, 0x3f, 0x3f, 0x3d, 0x3d, 0x3e, 0x3e, 0x41, 0x41, 0x45, 0x45, 0x49, 0x49, 0x4c, 0x4c, 
0x50, 0x50, 0x53, 0x53, 0x57, 0x57, 0x5c, 0x5c, 0x61, 0x61, 0x67, 0x67, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa3, 0xa3, 
0xaa, 0xaa, 0xaf, 0xaf, 0xb1, 0xb1, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa4, 0xa4, 0x9d, 0x9d, 0x98, 0x98, 0x95, 0x95, 0x95, 0x95, 0x97, 0x97, 0x9a, 0x9a, 
0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x91, 0x91, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 
0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7c, 0x7c, 
0x75, 0x75, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x52, 0x52, 0x55, 0x55, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 
0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 
0x6a, 0x6a, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8c, 0x8c, 0x93, 0x93, 0x99, 0x99, 0x9c, 0x9c, 
0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xab, 0xab, 0xac, 0xac, 0xad, 0xad, 0xad, 0xad, 
0xac, 0xac, 0xab, 0xab, 0xaa, 0xaa, 0xa9, 0xa9, 0xa8, 0xa8, 0xa7, 0xa7, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 
0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8c, 0x8c, 0x85, 0x85, 0x7f, 0x7f, 0x79, 0x79, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 
0x61, 0x61, 0x5e, 0x5e, 0x5b, 0x5b, 0x57, 0x57, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x45, 0x45, 0x46, 0x46, 
0x49, 0x49, 0x4d, 0x4d, 0x50, 0x50, 0x54, 0x54, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x70, 0x70, 0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 
0x84, 0x84, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7c, 0x7c, 0x76, 0x76, 0x6f, 0x6f, 0x67, 0x67, 0x5f, 0x5f, 0x58, 0x58, 0x53, 0x53, 0x4f, 0x4f, 0x4e, 0x4e, 
0x50, 0x50, 0x55, 0x55, 0x5d, 0x5d, 0x67, 0x67, 0x74, 0x74, 0x83, 0x83, 0x92, 0x92, 0xa0, 0xa0, 0xac, 0xac, 0xb4, 0xb4, 0xb9, 0xb9, 0xbb, 0xbb, 0xba, 0xba, 
0xb6, 0xb6, 0xb1, 0xb1, 0xab, 0xab, 0xa5, 0xa5, 0xa0, 0xa0, 0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 
0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 0xa3, 0xa3, 0x9b, 0x9b, 0x92, 0x92, 0x86, 0x86, 0x7a, 0x7a, 0x6d, 0x6d, 
0x62, 0x62, 0x59, 0x59, 0x53, 0x53, 0x50, 0x50, 0x51, 0x51, 0x55, 0x55, 0x5d, 0x5d, 0x67, 0x67, 0x73, 0x73, 0x80, 0x80, 0x8d, 0x8d, 0x99, 0x99, 0xa3, 0xa3, 
0xac, 0xac, 0xb1, 0xb1, 0xb4, 0xb4, 0xb3, 0xb3, 0xae, 0xae, 0xa5, 0xa5, 0x98, 0x98, 0x8b, 0x8b, 0x7e, 0x7e, 0x72, 0x72, 0x68, 0x68, 0x60, 0x60, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5f, 0x5f, 0x64, 0x64, 0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x8f, 0x8f, 0x8c, 0x8c, 0x86, 0x86, 
0x7f, 0x7f, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x51, 0x51, 0x51, 0x51, 0x54, 0x54, 0x59, 0x59, 
0x5f, 0x5f, 0x66, 0x66, 0x6e, 0x6e, 0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 
0x76, 0x76, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 0x9a, 0x9a, 0xa7, 0xa7, 0xb2, 0xb2, 
0xbc, 0xbc, 0xc4, 0xc4, 0xca, 0xca, 0xcd, 0xcd, 0xcd, 0xcd, 0xcb, 0xcb, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb6, 0xb6, 0xb1, 0xb1, 0xad, 0xad, 0xaa, 0xaa, 
0xa9, 0xa9, 0xa8, 0xa8, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x93, 0x93, 
0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x6f, 0x6f, 0x69, 0x69, 0x60, 0x60, 0x57, 0x57, 0x4e, 0x4e, 
0x46, 0x46, 0x40, 0x40, 0x3d, 0x3d, 0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x4d, 0x4d, 0x55, 0x55, 0x5d, 0x5d, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6a, 0x6a, 
0x66, 0x66, 0x5f, 0x5f, 0x56, 0x56, 0x4d, 0x4d, 0x42, 0x42, 0x38, 0x38, 0x30, 0x30, 0x2b, 0x2b, 0x28, 0x28, 0x2a, 0x2a, 0x2e, 0x2e, 0x37, 0x37, 0x43, 0x43, 
0x52, 0x52, 0x62, 0x62, 0x71, 0x71, 0x7f, 0x7f, 0x8b, 0x8b, 0x95, 0x95, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9d, 0x9d, 0x9f, 0x9f, 
0xa2, 0xa2, 0xa5, 0xa5, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 0xaa, 0xaa, 0xa5, 0xa5, 0x9d, 0x9d, 0x93, 0x93, 0x87, 0x87, 0x7b, 0x7b, 0x6e, 0x6e, 0x64, 0x64, 
0x5c, 0x5c, 0x59, 0x59, 0x59, 0x59, 0x5c, 0x5c, 0x64, 0x64, 0x6e, 0x6e, 0x79, 0x79, 0x84, 0x84, 0x8b, 0x8b, 0x8e, 0x8e, 0x8d, 0x8d, 0x89, 0x89, 0x81, 0x81, 
0x78, 0x78, 0x6d, 0x6d, 0x65, 0x65, 0x60, 0x60, 0x60, 0x60, 0x63, 0x63, 0x6a, 0x6a, 0x73, 0x73, 0x7d, 0x7d, 0x88, 0x88, 0x90, 0x90, 0x95, 0x95, 0x96, 0x96, 
0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 0x7e, 0x7e, 0x78, 0x78, 0x73, 0x73, 0x71, 0x71, 0x74, 0x74, 0x7a, 0x7a, 0x82, 0x82, 0x8b, 0x8b, 0x95, 0x95, 0x9f, 0x9f, 
0xa8, 0xa8, 0xaf, 0xaf, 0xb4, 0xb4, 0xb7, 0xb7, 0xb8, 0xb8, 0xb6, 0xb6, 0xb2, 0xb2, 0xac, 0xac, 0xa6, 0xa6, 0xa2, 0xa2, 0xa0, 0xa0, 0xa0, 0xa0, 0xa2, 0xa2, 
0xa7, 0xa7, 0xae, 0xae, 0xb5, 0xb5, 0xba, 0xba, 0xbb, 0xbb, 0xb7, 0xb7, 0xae, 0xae, 0xa1, 0xa1, 0x90, 0x90, 0x7e, 0x7e, 0x6b, 0x6b, 0x59, 0x59, 0x4c, 0x4c, 
0x42, 0x42, 0x3d, 0x3d, 0x3b, 0x3b, 0x3c, 0x3c, 0x3f, 0x3f, 0x43, 0x43, 0x47, 0x47, 0x49, 0x49, 0x49, 0x49, 0x48, 0x48, 0x45, 0x45, 0x42, 0x42, 0x40, 0x40, 
0x3e, 0x3e, 0x3d, 0x3d, 0x40, 0x40, 0x45, 0x45, 0x4c, 0x4c, 0x55, 0x55, 0x60, 0x60, 0x6c, 0x6c, 0x77, 0x77, 0x82, 0x82, 0x8b, 0x8b, 0x93, 0x93, 0x98, 0x98, 
0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xaa, 0xaa, 0xb0, 0xb0, 0xb6, 0xb6, 0xbc, 0xbc, 0xc2, 0xc2, 0xc7, 0xc7, 
0xc9, 0xc9, 0xc9, 0xc9, 0xc6, 0xc6, 0xc3, 0xc3, 0xbf, 0xbf, 0xbd, 0xbd, 0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbe, 0xbe, 0xc1, 0xc1, 0xc4, 0xc4, 0xc6, 0xc6, 
0xc7, 0xc7, 0xc6, 0xc6, 0xc3, 0xc3, 0xbf, 0xbf, 0xb9, 0xb9, 0xb2, 0xb2, 0xaa, 0xaa, 0xa0, 0xa0, 0x95, 0x95, 0x8a, 0x8a, 0x7f, 0x7f, 0x74, 0x74, 0x6a, 0x6a, 
0x60, 0x60, 0x58, 0x58, 0x50, 0x50, 0x48, 0x48, 0x41, 0x41, 0x3a, 0x3a, 0x33, 0x33, 0x2e, 0x2e, 0x29, 0x29, 0x24, 0x24, 0x20, 0x20, 0x1d, 0x1d, 0x1b, 0x1b, 
0x18, 0x18, 0x16, 0x16, 0x14, 0x14, 0x12, 0x12, 0x10, 0x10, 0x0f, 0x0f, 0x0f, 0x0f, 0x10, 0x10, 0x12, 0x12, 0x17, 0x17, 0x1f, 0x1f, 0x28, 0x28, 0x34, 0x34, 
0x42, 0x42, 0x52, 0x52, 0x62, 0x62, 0x73, 0x73, 0x81, 0x81, 0x8e, 0x8e, 0x99, 0x99, 0xa2, 0xa2, 0xa8, 0xa8, 0xac, 0xac, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 
0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xac, 0xac, 0xad, 0xad, 0xae, 0xae, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 
0xb3, 0xb3, 0xb1, 0xb1, 0xaf, 0xaf, 0xad, 0xad, 0xaa, 0xaa, 0xa8, 0xa8, 0xa7, 0xa7, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 
0x8b, 0x8b, 0x81, 0x81, 0x76, 0x76, 0x6b, 0x6b, 0x61, 0x61, 0x59, 0x59, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x46, 0x46, 0x41, 0x41, 
0x3a, 0x3a, 0x31, 0x31, 0x26, 0x26, 0x1d, 0x1d, 0x15, 0x15, 0x11, 0x11, 0x11, 0x11, 0x14, 0x14, 0x1c, 0x1c, 0x28, 0x28, 0x36, 0x36, 0x46, 0x46, 0x54, 0x54, 
0x5f, 0x5f, 0x68, 0x68, 0x6e, 0x6e, 0x70, 0x70, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6d, 0x6d, 0x74, 0x74, 
0x7e, 0x7e, 0x89, 0x89, 0x95, 0x95, 0xa1, 0xa1, 0xad, 0xad, 0xb8, 0xb8, 0xc0, 0xc0, 0xc6, 0xc6, 0xc9, 0xc9, 0xca, 0xca, 0xc8, 0xc8, 0xc4, 0xc4, 0xbf, 0xbf, 
0xbb, 0xbb, 0xb7, 0xb7, 0xb4, 0xb4, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xaf, 0xaf, 0xa9, 0xa9, 0xa2, 0xa2, 
0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 
0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x70, 0x70, 0x7a, 0x7a, 0x84, 0x84, 0x8e, 0x8e, 0x98, 0x98, 0xa0, 0xa0, 
0xa6, 0xa6, 0xaa, 0xaa, 0xac, 0xac, 0xab, 0xab, 0xa8, 0xa8, 0xa4, 0xa4, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8e, 0x8e, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 
0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x77, 0x77, 
0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 
0x82, 0x82, 0x7b, 0x7b, 0x72, 0x72, 0x69, 0x69, 0x5f, 0x5f, 0x55, 0x55, 0x4a, 0x4a, 0x3f, 0x3f, 0x35, 0x35, 0x2c, 0x2c, 0x25, 0x25, 0x20, 0x20, 0x1e, 0x1e, 
0x1f, 0x1f, 0x22, 0x22, 0x28, 0x28, 0x31, 0x31, 0x3b, 0x3b, 0x47, 0x47, 0x55, 0x55, 0x65, 0x65, 0x76, 0x76, 0x86, 0x86, 0x95, 0x95, 0xa4, 0xa4, 0xb0, 0xb0, 
0xb8, 0xb8, 0xbd, 0xbd, 0xbd, 0xbd, 0xb8, 0xb8, 0xb1, 0xb1, 0xa8, 0xa8, 0x9d, 0x9d, 0x92, 0x92, 0x88, 0x88, 0x80, 0x80, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 
0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 
0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x85, 0x85, 0x8c, 0x8c, 0x93, 0x93, 0x9c, 0x9c, 0xa6, 0xa6, 0xaf, 0xaf, 0xb7, 0xb7, 0xbb, 0xbb, 0xbc, 0xbc, 
0xba, 0xba, 0xb4, 0xb4, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 0x86, 0x86, 0x7a, 0x7a, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 
0x54, 0x54, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 
0x73, 0x73, 0x72, 0x72, 0x6e, 0x6e, 0x68, 0x68, 0x60, 0x60, 0x55, 0x55, 0x49, 0x49, 0x3c, 0x3c, 0x31, 0x31, 0x29, 0x29, 0x23, 0x23, 0x20, 0x20, 0x22, 0x22, 
0x28, 0x28, 0x32, 0x32, 0x3d, 0x3d, 0x4a, 0x4a, 0x58, 0x58, 0x65, 0x65, 0x71, 0x71, 0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 
0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x91, 0x91, 0x99, 0x99, 0xa1, 0xa1, 0xa9, 0xa9, 0xb0, 0xb0, 
0xb7, 0xb7, 0xbc, 0xbc, 0xc0, 0xc0, 0xc2, 0xc2, 0xc2, 0xc2, 0xc1, 0xc1, 0xbe, 0xbe, 0xb9, 0xb9, 0xb4, 0xb4, 0xae, 0xae, 0xa9, 0xa9, 0xa5, 0xa5, 0xa1, 0xa1, 
0x9d, 0x9d, 0x99, 0x99, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 
0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 
0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 0x54, 0x54, 0x51, 0x51, 0x50, 0x50, 0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x5e, 0x5e, 
0x62, 0x62, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 
0x9d, 0x9d, 0xa3, 0xa3, 0xaa, 0xaa, 0xb0, 0xb0, 0xb6, 0xb6, 0xba, 0xba, 0xbc, 0xbc, 0xbc, 0xbc, 0xb9, 0xb9, 0xb3, 0xb3, 0xab, 0xab, 0xa2, 0xa2, 0x99, 0x99, 
0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 
0x8a, 0x8a, 0x85, 0x85, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x61, 0x61, 0x66, 0x66, 0x6d, 0x6d, 0x75, 0x75, 
0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 
0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 
0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 0x9e, 0x9e, 0x9b, 0x9b, 0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x77, 0x77, 0x6d, 0x6d, 
0x65, 0x65, 0x60, 0x60, 0x5f, 0x5f, 0x63, 0x63, 0x6a, 0x6a, 0x73, 0x73, 0x7d, 0x7d, 0x85, 0x85, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x8f, 0x8f, 0x88, 0x88, 
0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x61, 0x61, 0x59, 0x59, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 
0x75, 0x75, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x72, 0x72, 0x74, 0x74, 
0x78, 0x78, 0x7e, 0x7e, 0x83, 0x83, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8e, 0x8e, 
0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 
0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x84, 0x84, 0x7f, 0x7f, 
0x79, 0x79, 0x70, 0x70, 0x67, 0x67, 0x5d, 0x5d, 0x54, 0x54, 0x4d, 0x4d, 0x47, 0x47, 0x43, 0x43, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 0x49, 0x49, 
0x49, 0x49, 0x49, 0x49, 0x49, 0x49, 0x48, 0x48, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4e, 0x4e, 0x54, 0x54, 0x5b, 0x5b, 0x63, 0x63, 0x6c, 0x6c, 
0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 0x8e, 0x8e, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 
0x88, 0x88, 0x89, 0x89, 0x8d, 0x8d, 0x94, 0x94, 0x9c, 0x9c, 0xa4, 0xa4, 0xac, 0xac, 0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 0xbb, 0xbb, 0xb9, 0xb9, 0xb4, 0xb4, 
0xac, 0xac, 0xa1, 0xa1, 0x95, 0x95, 0x88, 0x88, 0x7b, 0x7b, 0x6f, 0x6f, 0x65, 0x65, 0x5f, 0x5f, 0x5c, 0x5c, 0x5d, 0x5d, 0x62, 0x62, 0x6a, 0x6a, 0x75, 0x75, 
0x81, 0x81, 0x8f, 0x8f, 0x9b, 0x9b, 0xa4, 0xa4, 0xaa, 0xaa, 0xad, 0xad, 0xab, 0xab, 0xa5, 0xa5, 0x9b, 0x9b, 0x8e, 0x8e, 0x7f, 0x7f, 0x72, 0x72, 0x66, 0x66, 
0x5c, 0x5c, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 0x56, 0x56, 0x5d, 0x5d, 0x66, 0x66, 0x70, 0x70, 0x7c, 0x7c, 0x86, 0x86, 0x8e, 0x8e, 0x94, 0x94, 0x98, 0x98, 
0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 
0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 
0x87, 0x87, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 
0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 
0x5c, 0x5c, 0x5a, 0x5a, 0x5a, 0x5a, 0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 
0x74, 0x74, 0x7c, 0x7c, 0x85, 0x85, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa1, 0xa1, 0xa2, 0xa2, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 
0x88, 0x88, 0x88, 0x88, 0x8a, 0x8a, 0x8f, 0x8f, 0x97, 0x97, 0xa0, 0xa0, 0xaa, 0xaa, 0xb2, 0xb2, 0xb8, 0xb8, 0xbb, 0xbb, 0xbb, 0xbb, 0xb8, 0xb8, 0xb1, 0xb1, 
0xa7, 0xa7, 0x9c, 0x9c, 0x91, 0x91, 0x87, 0x87, 0x7e, 0x7e, 0x76, 0x76, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 
0x77, 0x77, 0x74, 0x74, 0x70, 0x70, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5f, 0x5f, 
0x61, 0x61, 0x62, 0x62, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x5a, 0x5a, 0x5d, 0x5d, 0x63, 0x63, 0x6c, 0x6c, 0x76, 0x76, 0x81, 0x81, 
0x8c, 0x8c, 0x95, 0x95, 0x9c, 0x9c, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x91, 0x91, 0x86, 0x86, 0x7a, 0x7a, 0x6d, 0x6d, 0x61, 0x61, 0x58, 0x58, 0x54, 0x54, 
0x53, 0x53, 0x57, 0x57, 0x5f, 0x5f, 0x6c, 0x6c, 0x7a, 0x7a, 0x89, 0x89, 0x96, 0x96, 0x9f, 0x9f, 0xa6, 0xa6, 0xa8, 0xa8, 0xa7, 0xa7, 0xa4, 0xa4, 0x9e, 0x9e, 
0x98, 0x98, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xa7, 0xa7, 0xa4, 0xa4, 0x9e, 0x9e, 0x96, 0x96, 
0x8c, 0x8c, 0x82, 0x82, 0x78, 0x78, 0x70, 0x70, 0x6b, 0x6b, 0x6c, 0x6c, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 0x88, 0x88, 0x92, 0x92, 0x9b, 0x9b, 0xa1, 0xa1, 
0xa4, 0xa4, 0xa5, 0xa5, 0xa3, 0xa3, 0xa0, 0xa0, 0x9a, 0x9a, 0x94, 0x94, 0x8f, 0x8f, 0x8d, 0x8d, 0x8f, 0x8f, 0x93, 0x93, 0x9a, 0x9a, 0xa2, 0xa2, 0xac, 0xac, 
0xb5, 0xb5, 0xbc, 0xbc, 0xbe, 0xbe, 0xbc, 0xbc, 0xb6, 0xb6, 0xac, 0xac, 0xa1, 0xa1, 0x94, 0x94, 0x87, 0x87, 0x7b, 0x7b, 0x70, 0x70, 0x68, 0x68, 0x62, 0x62, 
0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 
0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x80, 0x80, 0x86, 0x86, 0x8d, 0x8d, 0x93, 0x93, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9d, 0x9d, 0x99, 0x99, 
0x91, 0x91, 0x87, 0x87, 0x7c, 0x7c, 0x72, 0x72, 0x69, 0x69, 0x61, 0x61, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5e, 0x5e, 
0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 
0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 
0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 
0x8b, 0x8b, 0x92, 0x92, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x94, 0x94, 0x8f, 0x8f, 0x8a, 0x8a, 0x86, 0x86, 0x85, 0x85, 
0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 
0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x76, 0x76, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x62, 0x62, 0x61, 0x61, 
0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 0x74, 0x74, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 
0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x73, 0x73, 0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x8a, 0x8a, 0x95, 0x95, 0xa1, 0xa1, 0xab, 0xab, 0xb3, 0xb3, 0xb7, 0xb7, 
0xba, 0xba, 0xb9, 0xb9, 0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa7, 0xa7, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 
0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x80, 0x80, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x76, 0x76, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 0x50, 0x50, 0x53, 0x53, 
0x59, 0x59, 0x61, 0x61, 0x69, 0x69, 0x6f, 0x6f, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x72, 0x72, 0x6e, 0x6e, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x61, 0x61, 
0x62, 0x62, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 
0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 
0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x74, 0x74, 0x7b, 0x7b, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 
0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7c, 0x7c, 0x75, 0x75, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x83, 0x83, 
0x87, 0x87, 0x8a, 0x8a, 0x89, 0x89, 0x85, 0x85, 0x7f, 0x7f, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x61, 0x61, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 
0x5d, 0x5d, 0x63, 0x63, 0x6d, 0x6d, 0x78, 0x78, 0x84, 0x84, 0x90, 0x90, 0x9a, 0x9a, 0xa4, 0xa4, 0xab, 0xab, 0xb0, 0xb0, 0xb2, 0xb2, 0xb2, 0xb2, 0xb0, 0xb0, 
0xaf, 0xaf, 0xad, 0xad, 0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x93, 0x93, 0x95, 0x95, 0x99, 0x99, 
0x9f, 0x9f, 0xa5, 0xa5, 0xaa, 0xaa, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa7, 0xa7, 0x9f, 0x9f, 
0x97, 0x97, 0x8e, 0x8e, 0x86, 0x86, 0x7f, 0x7f, 0x79, 0x79, 0x73, 0x73, 0x6d, 0x6d, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x51, 0x51, 0x4b, 0x4b, 0x45, 0x45, 
0x42, 0x42, 0x40, 0x40, 0x41, 0x41, 0x44, 0x44, 0x49, 0x49, 0x4f, 0x4f, 0x57, 0x57, 0x60, 0x60, 0x6a, 0x6a, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 
0x88, 0x88, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x79, 0x79, 0x78, 0x78, 0x7a, 0x7a, 0x7f, 0x7f, 0x86, 0x86, 0x8f, 0x8f, 0x98, 0x98, 0xa1, 0xa1, 0xa8, 0xa8, 
0xac, 0xac, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 0xa3, 0xa3, 0x9b, 0x9b, 0x93, 0x93, 0x8a, 0x8a, 0x80, 0x80, 0x77, 0x77, 0x6f, 0x6f, 0x6b, 0x6b, 0x6a, 0x6a, 
0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 
0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 
0x5d, 0x5d, 0x61, 0x61, 0x67, 0x67, 0x6d, 0x6d, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7b, 0x7b, 0x79, 0x79, 0x74, 0x74, 0x6e, 0x6e, 0x69, 0x69, 0x66, 0x66, 
0x67, 0x67, 0x6a, 0x6a, 0x71, 0x71, 0x79, 0x79, 0x84, 0x84, 0x90, 0x90, 0x9d, 0x9d, 0xaa, 0xaa, 0xb6, 0xb6, 0xc2, 0xc2, 0xcc, 0xcc, 0xd5, 0xd5, 0xdb, 0xdb, 
0xe0, 0xe0, 0xe2, 0xe2, 0xe0, 0xe0, 0xdb, 0xdb, 0xd3, 0xd3, 0xca, 0xca, 0xbf, 0xbf, 0xb5, 0xb5, 0xab, 0xab, 0xa1, 0xa1, 0x99, 0x99, 0x93, 0x93, 0x8e, 0x8e, 
0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7c, 0x7c, 0x76, 0x76, 
0x71, 0x71, 0x6c, 0x6c, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5b, 0x5b, 0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 
0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x77, 0x77, 
0x71, 0x71, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x61, 0x61, 0x63, 0x63, 0x68, 0x68, 0x70, 0x70, 0x7b, 0x7b, 0x87, 0x87, 0x93, 0x93, 0x9f, 0x9f, 0xaa, 0xaa, 
0xb4, 0xb4, 0xbd, 0xbd, 0xc4, 0xc4, 0xc9, 0xc9, 0xcb, 0xcb, 0xca, 0xca, 0xc5, 0xc5, 0xbd, 0xbd, 0xb5, 0xb5, 0xad, 0xad, 0xa7, 0xa7, 0xa3, 0xa3, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 0x7b, 0x7b, 0x72, 0x72, 0x68, 0x68, 0x5e, 0x5e, 0x54, 0x54, 
0x49, 0x49, 0x3f, 0x3f, 0x37, 0x37, 0x32, 0x32, 0x31, 0x31, 0x33, 0x33, 0x37, 0x37, 0x3d, 0x3d, 0x44, 0x44, 0x4c, 0x4c, 0x56, 0x56, 0x61, 0x61, 0x6d, 0x6d, 
0x79, 0x79, 0x84, 0x84, 0x8c, 0x8c, 0x90, 0x90, 0x90, 0x90, 0x8d, 0x8d, 0x86, 0x86, 0x7b, 0x7b, 0x70, 0x70, 0x64, 0x64, 0x5c, 0x5c, 0x58, 0x58, 0x57, 0x57, 
0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x68, 0x68, 0x6f, 0x6f, 0x77, 0x77, 0x7f, 0x7f, 0x88, 0x88, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 
0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 
0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x80, 0x80, 0x76, 0x76, 
0x6c, 0x6c, 0x61, 0x61, 0x59, 0x59, 0x54, 0x54, 0x51, 0x51, 0x53, 0x53, 0x59, 0x59, 0x63, 0x63, 0x70, 0x70, 0x7e, 0x7e, 0x8c, 0x8c, 0x98, 0x98, 0xa1, 0xa1, 
0xa9, 0xa9, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb5, 0xb5, 0xb1, 0xb1, 0xaa, 0xaa, 0xa0, 0xa0, 0x95, 0x95, 0x88, 0x88, 0x7a, 0x7a, 0x6c, 0x6c, 0x60, 0x60, 
0x57, 0x57, 0x51, 0x51, 0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x56, 0x56, 0x5d, 0x5d, 0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 
0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 
0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x62, 0x62, 0x5e, 0x5e, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x62, 0x62, 
0x68, 0x68, 0x6d, 0x6d, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x86, 0x86, 0x8d, 0x8d, 0x96, 0x96, 0xa2, 0xa2, 
0xb0, 0xb0, 0xbe, 0xbe, 0xcc, 0xcc, 0xd8, 0xd8, 0xdf, 0xdf, 0xe2, 0xe2, 0xe0, 0xe0, 0xda, 0xda, 0xd0, 0xd0, 0xc2, 0xc2, 0xb2, 0xb2, 0xa2, 0xa2, 0x92, 0x92, 
0x84, 0x84, 0x77, 0x77, 0x6f, 0x6f, 0x6b, 0x6b, 0x6c, 0x6c, 0x72, 0x72, 0x79, 0x79, 0x80, 0x80, 0x86, 0x86, 0x8b, 0x8b, 0x8c, 0x8c, 0x8a, 0x8a, 0x84, 0x84, 
0x7a, 0x7a, 0x6f, 0x6f, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x45, 0x45, 0x40, 0x40, 0x3d, 0x3d, 0x3d, 0x3d, 0x3f, 0x3f, 0x43, 0x43, 0x49, 0x49, 0x50, 0x50, 
0x55, 0x55, 0x58, 0x58, 0x58, 0x58, 0x56, 0x56, 0x52, 0x52, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 0x3f, 0x3f, 0x3e, 0x3e, 0x41, 0x41, 0x46, 0x46, 0x4e, 0x4e, 
0x58, 0x58, 0x64, 0x64, 0x71, 0x71, 0x7e, 0x7e, 0x89, 0x89, 0x93, 0x93, 0x9a, 0x9a, 0x9f, 0x9f, 0xa1, 0xa1, 0xa0, 0xa0, 0x9e, 0x9e, 0x9d, 0x9d, 0x9f, 0x9f, 
0xa6, 0xa6, 0xaf, 0xaf, 0xba, 0xba, 0xc6, 0xc6, 0xd0, 0xd0, 0xd9, 0xd9, 0xdf, 0xdf, 0xdf, 0xdf, 0xdb, 0xdb, 0xd2, 0xd2, 0xc6, 0xc6, 0xb8, 0xb8, 0xa9, 0xa9, 
0x9b, 0x9b, 0x8e, 0x8e, 0x84, 0x84, 0x7d, 0x7d, 0x78, 0x78, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7a, 0x7a, 0x74, 0x74, 
0x6c, 0x6c, 0x64, 0x64, 0x5b, 0x5b, 0x54, 0x54, 0x4f, 0x4f, 0x4c, 0x4c, 0x4d, 0x4d, 0x50, 0x50, 0x55, 0x55, 0x5b, 0x5b, 0x61, 0x61, 0x67, 0x67, 0x6c, 0x6c, 
0x6d, 0x6d, 0x6b, 0x6b, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 0x4c, 0x4c, 0x51, 0x51, 0x5c, 0x5c, 0x6b, 0x6b, 0x7d, 0x7d, 0x8f, 0x8f, 
0x9f, 0x9f, 0xac, 0xac, 0xb4, 0xb4, 0xb5, 0xb5, 0xae, 0xae, 0xa3, 0xa3, 0x95, 0x95, 0x89, 0x89, 0x7f, 0x7f, 0x7a, 0x7a, 0x79, 0x79, 0x7e, 0x7e, 0x88, 0x88, 
0x95, 0x95, 0xa5, 0xa5, 0xb4, 0xb4, 0xc2, 0xc2, 0xce, 0xce, 0xd8, 0xd8, 0xdd, 0xdd, 0xdf, 0xdf, 0xdd, 0xdd, 0xd9, 0xd9, 0xd2, 0xd2, 0xc9, 0xc9, 0xbe, 0xbe, 
0xb5, 0xb5, 0xad, 0xad, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 0x9b, 0x9b, 0x93, 0x93, 0x88, 0x88, 0x7b, 0x7b, 0x6d, 0x6d, 0x5f, 0x5f, 0x52, 0x52, 0x46, 0x46, 
0x3e, 0x3e, 0x39, 0x39, 0x37, 0x37, 0x39, 0x39, 0x3d, 0x3d, 0x44, 0x44, 0x4c, 0x4c, 0x54, 0x54, 0x5c, 0x5c, 0x62, 0x62, 0x66, 0x66, 0x67, 0x67, 0x63, 0x63, 
0x5a, 0x5a, 0x4d, 0x4d, 0x3f, 0x3f, 0x32, 0x32, 0x27, 0x27, 0x1f, 0x1f, 0x1c, 0x1c, 0x1f, 0x1f, 0x27, 0x27, 0x32, 0x32, 0x40, 0x40, 0x4d, 0x4d, 0x59, 0x59, 
0x63, 0x63, 0x6a, 0x6a, 0x6c, 0x6c, 0x69, 0x69, 0x62, 0x62, 0x59, 0x59, 0x50, 0x50, 0x47, 0x47, 0x40, 0x40, 0x3b, 0x3b, 0x3b, 0x3b, 0x40, 0x40, 0x4a, 0x4a, 
0x59, 0x59, 0x6c, 0x6c, 0x84, 0x84, 0x9f, 0x9f, 0xb9, 0xb9, 0xcf, 0xcf, 0xe0, 0xe0, 0xec, 0xec, 0xf3, 0xf3, 0xf6, 0xf6, 0xf4, 0xf4, 0xee, 0xee, 0xe7, 0xe7, 
0xdf, 0xdf, 0xd7, 0xd7, 0xce, 0xce, 0xc6, 0xc6, 0xbd, 0xbd, 0xb6, 0xb6, 0xaf, 0xaf, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x95, 0x95, 0x8e, 0x8e, 
0x84, 0x84, 0x79, 0x79, 0x6e, 0x6e, 0x64, 0x64, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x45, 0x45, 0x3e, 0x3e, 0x37, 0x37, 0x30, 0x30, 0x28, 0x28, 
0x22, 0x22, 0x1d, 0x1d, 0x1b, 0x1b, 0x1c, 0x1c, 0x20, 0x20, 0x28, 0x28, 0x34, 0x34, 0x44, 0x44, 0x56, 0x56, 0x6a, 0x6a, 0x7c, 0x7c, 0x8d, 0x8d, 0x9a, 0x9a, 
0xa2, 0xa2, 0xa4, 0xa4, 0x9f, 0x9f, 0x94, 0x94, 0x87, 0x87, 0x79, 0x79, 0x6b, 0x6b, 0x60, 0x60, 0x58, 0x58, 0x55, 0x55, 0x59, 0x59, 0x61, 0x61, 0x6d, 0x6d, 
0x7c, 0x7c, 0x8c, 0x8c, 0x9d, 0x9d, 0xaa, 0xaa, 0xb3, 0xb3, 0xb6, 0xb6, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0x9f, 0x9f, 0x96, 0x96, 0x8e, 0x8e, 0x88, 0x88, 
0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8d, 0x8d, 0x93, 0x93, 0x9a, 0x9a, 0xa1, 0xa1, 0xa8, 0xa8, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 0xb9, 0xb9, 
0xb9, 0xb9, 0xb8, 0xb8, 0xb5, 0xb5, 0xb1, 0xb1, 0xac, 0xac, 0xa4, 0xa4, 0x9a, 0x9a, 0x8c, 0x8c, 0x7d, 0x7d, 0x6d, 0x6d, 0x5f, 0x5f, 0x54, 0x54, 0x4d, 0x4d, 
0x4b, 0x4b, 0x50, 0x50, 0x5c, 0x5c, 0x6d, 0x6d, 0x81, 0x81, 0x95, 0x95, 0xa8, 0xa8, 0xb8, 0xb8, 0xc6, 0xc6, 0xd0, 0xd0, 0xd7, 0xd7, 0xdb, 0xdb, 0xda, 0xda, 
0xd6, 0xd6, 0xcf, 0xcf, 0xc4, 0xc4, 0xb7, 0xb7, 0xa9, 0xa9, 0x9c, 0x9c, 0x90, 0x90, 0x86, 0x86, 0x82, 0x82, 0x84, 0x84, 0x8a, 0x8a, 0x93, 0x93, 0x9d, 0x9d, 
0xa7, 0xa7, 0xb0, 0xb0, 0xb7, 0xb7, 0xba, 0xba, 0xb9, 0xb9, 0xb5, 0xb5, 0xad, 0xad, 0xa3, 0xa3, 0x96, 0x96, 0x89, 0x89, 0x7c, 0x7c, 0x73, 0x73, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 
0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x73, 0x73, 0x6c, 0x6c, 0x65, 0x65, 0x5b, 0x5b, 0x51, 0x51, 0x47, 0x47, 0x3d, 0x3d, 0x34, 0x34, 0x2d, 0x2d, 0x28, 0x28, 
0x28, 0x28, 0x2b, 0x2b, 0x32, 0x32, 0x3d, 0x3d, 0x4a, 0x4a, 0x59, 0x59, 0x69, 0x69, 0x78, 0x78, 0x87, 0x87, 0x94, 0x94, 0x9f, 0x9f, 0xa7, 0xa7, 0xab, 0xab, 
0xab, 0xab, 0xa8, 0xa8, 0xa4, 0xa4, 0xa1, 0xa1, 0xa0, 0xa0, 0xa1, 0xa1, 0xa3, 0xa3, 0xa8, 0xa8, 0xae, 0xae, 0xb5, 0xb5, 0xb9, 0xb9, 0xba, 0xba, 0xb6, 0xb6, 
0xae, 0xae, 0xa4, 0xa4, 0x99, 0x99, 0x8d, 0x8d, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 
0x55, 0x55, 0x52, 0x52, 0x4e, 0x4e, 0x4a, 0x4a, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x50, 0x50, 0x58, 0x58, 0x5f, 0x5f, 
0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x67, 0x67, 0x60, 0x60, 0x54, 0x54, 0x45, 0x45, 0x35, 0x35, 0x25, 0x25, 0x18, 0x18, 0x0e, 0x0e, 0x09, 0x09, 0x0a, 0x0a, 
0x12, 0x12, 0x20, 0x20, 0x33, 0x33, 0x4b, 0x4b, 0x65, 0x65, 0x81, 0x81, 0x9c, 0x9c, 0xb4, 0xb4, 0xc8, 0xc8, 0xd8, 0xd8, 0xe5, 0xe5, 0xec, 0xec, 0xef, 0xef, 
0xee, 0xee, 0xeb, 0xeb, 0xe4, 0xe4, 0xda, 0xda, 0xcf, 0xcf, 0xc3, 0xc3, 0xb7, 0xb7, 0xac, 0xac, 0xa2, 0xa2, 0x9a, 0x9a, 0x96, 0x96, 0x96, 0x96, 0x98, 0x98, 
0x9c, 0x9c, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa2, 0xa2, 0x9a, 0x9a, 0x90, 0x90, 0x85, 0x85, 0x7a, 0x7a, 0x72, 0x72, 0x6c, 0x6c, 0x68, 0x68, 
0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8c, 0x8c, 0x88, 0x88, 0x81, 0x81, 0x76, 0x76, 0x6b, 0x6b, 0x5f, 0x5f, 0x54, 0x54, 0x4a, 0x4a, 0x43, 0x43, 0x3f, 0x3f, 0x3f, 0x3f, 
0x42, 0x42, 0x48, 0x48, 0x51, 0x51, 0x5d, 0x5d, 0x6b, 0x6b, 0x7a, 0x7a, 0x8b, 0x8b, 0x9c, 0x9c, 0xac, 0xac, 0xb9, 0xb9, 0xbf, 0xbf, 0xbf, 0xbf, 0xb9, 0xb9, 
0xb1, 0xb1, 0xa9, 0xa9, 0xa2, 0xa2, 0x9e, 0x9e, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 0x9f, 0x9f, 0xa3, 0xa3, 0xa8, 0xa8, 0xae, 0xae, 0xb4, 0xb4, 0xb7, 0xb7, 
0xb6, 0xb6, 0xb2, 0xb2, 0xa9, 0xa9, 0x9d, 0x9d, 0x90, 0x90, 0x80, 0x80, 0x71, 0x71, 0x64, 0x64, 0x5a, 0x5a, 0x54, 0x54, 0x51, 0x51, 0x50, 0x50, 0x4e, 0x4e, 
0x4c, 0x4c, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4d, 0x4d, 0x54, 0x54, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x73, 0x73, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 
0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x64, 0x64, 0x5d, 0x5d, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 
0x5e, 0x5e, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 0x84, 0x84, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa3, 0xa3, 0xa8, 0xa8, 0xad, 0xad, 0xb2, 0xb2, 0xb7, 0xb7, 
0xbd, 0xbd, 0xc2, 0xc2, 0xc7, 0xc7, 0xcb, 0xcb, 0xcc, 0xcc, 0xca, 0xca, 0xc6, 0xc6, 0xc2, 0xc2, 0xbd, 0xbd, 0xb9, 0xb9, 0xb6, 0xb6, 0xb2, 0xb2, 0xab, 0xab, 
0xa1, 0xa1, 0x95, 0x95, 0x87, 0x87, 0x79, 0x79, 0x6b, 0x6b, 0x5d, 0x5d, 0x51, 0x51, 0x46, 0x46, 0x3d, 0x3d, 0x36, 0x36, 0x31, 0x31, 0x2f, 0x2f, 0x31, 0x31, 
0x36, 0x36, 0x3e, 0x3e, 0x47, 0x47, 0x53, 0x53, 0x5f, 0x5f, 0x6b, 0x6b, 0x75, 0x75, 0x7e, 0x7e, 0x85, 0x85, 0x88, 0x88, 0x88, 0x88, 0x84, 0x84, 0x7e, 0x7e, 
0x77, 0x77, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x72, 0x72, 0x6f, 0x6f, 0x69, 0x69, 0x63, 0x63, 
0x5d, 0x5d, 0x5a, 0x5a, 0x5a, 0x5a, 0x5d, 0x5d, 0x66, 0x66, 0x73, 0x73, 0x84, 0x84, 0x97, 0x97, 0xaa, 0xaa, 0xbe, 0xbe, 0xd0, 0xd0, 0xde, 0xde, 0xe8, 0xe8, 
0xeb, 0xeb, 0xea, 0xea, 0xe6, 0xe6, 0xdf, 0xdf, 0xd6, 0xd6, 0xcc, 0xcc, 0xc3, 0xc3, 0xbc, 0xbc, 0xb6, 0xb6, 0xb1, 0xb1, 0xae, 0xae, 0xab, 0xab, 0xa8, 0xa8, 
0xa5, 0xa5, 0xa1, 0xa1, 0x9c, 0x9c, 0x95, 0x95, 0x8d, 0x8d, 0x83, 0x83, 0x78, 0x78, 0x6b, 0x6b, 0x5e, 0x5e, 0x53, 0x53, 0x4c, 0x4c, 0x49, 0x49, 0x49, 0x49, 
0x4c, 0x4c, 0x50, 0x50, 0x53, 0x53, 0x56, 0x56, 0x57, 0x57, 0x55, 0x55, 0x50, 0x50, 0x4a, 0x4a, 0x43, 0x43, 0x3f, 0x3f, 0x3e, 0x3e, 0x3f, 0x3f, 0x42, 0x42, 
0x45, 0x45, 0x48, 0x48, 0x4a, 0x4a, 0x4b, 0x4b, 0x4b, 0x4b, 0x49, 0x49, 0x45, 0x45, 0x40, 0x40, 0x3c, 0x3c, 0x36, 0x36, 0x32, 0x32, 0x30, 0x30, 0x31, 0x31, 
0x35, 0x35, 0x3e, 0x3e, 0x4a, 0x4a, 0x5a, 0x5a, 0x6d, 0x6d, 0x83, 0x83, 0x98, 0x98, 0xab, 0xab, 0xbb, 0xbb, 0xc8, 0xc8, 0xd1, 0xd1, 0xd5, 0xd5, 0xd6, 0xd6, 
0xd4, 0xd4, 0xd0, 0xd0, 0xcb, 0xcb, 0xc6, 0xc6, 0xc2, 0xc2, 0xbf, 0xbf, 0xc0, 0xc0, 0xc5, 0xc5, 0xcd, 0xcd, 0xd4, 0xd4, 0xd8, 0xd8, 0xd7, 0xd7, 0xd2, 0xd2, 
0xc9, 0xc9, 0xbc, 0xbc, 0xac, 0xac, 0x9a, 0x9a, 0x89, 0x89, 0x7a, 0x7a, 0x6d, 0x6d, 0x64, 0x64, 0x5f, 0x5f, 0x5d, 0x5d, 0x60, 0x60, 0x64, 0x64, 0x69, 0x69, 
0x6b, 0x6b, 0x69, 0x69, 0x64, 0x64, 0x5c, 0x5c, 0x53, 0x53, 0x48, 0x48, 0x3f, 0x3f, 0x38, 0x38, 0x38, 0x38, 0x3d, 0x3d, 0x48, 0x48, 0x55, 0x55, 0x61, 0x61, 
0x6a, 0x6a, 0x71, 0x71, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x73, 0x73, 0x6e, 0x6e, 0x66, 0x66, 0x5d, 0x5d, 0x53, 0x53, 0x4a, 0x4a, 0x45, 0x45, 0x45, 0x45, 
0x47, 0x47, 0x4c, 0x4c, 0x52, 0x52, 0x57, 0x57, 0x5d, 0x5d, 0x63, 0x63, 0x6b, 0x6b, 0x74, 0x74, 0x7e, 0x7e, 0x89, 0x89, 0x94, 0x94, 0x9d, 0x9d, 0xa6, 0xa6, 
0xad, 0xad, 0xb3, 0xb3, 0xb8, 0xb8, 0xbd, 0xbd, 0xc0, 0xc0, 0xc3, 0xc3, 0xc6, 0xc6, 0xc6, 0xc6, 0xc3, 0xc3, 0xbb, 0xbb, 0xae, 0xae, 0x9d, 0x9d, 0x8b, 0x8b, 
0x7d, 0x7d, 0x72, 0x72, 0x6c, 0x6c, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6d, 0x6d, 0x74, 0x74, 0x79, 0x79, 0x7c, 0x7c, 
0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x79, 0x79, 0x81, 0x81, 0x88, 0x88, 0x8f, 0x8f, 0x93, 0x93, 
0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 
0x82, 0x82, 0x81, 0x81, 0x7d, 0x7d, 0x77, 0x77, 0x70, 0x70, 0x6b, 0x6b, 0x68, 0x68, 0x69, 0x69, 0x6d, 0x6d, 0x74, 0x74, 0x7f, 0x7f, 0x8c, 0x8c, 0x99, 0x99, 
0xa3, 0xa3, 0xab, 0xab, 0xaf, 0xaf, 0xb0, 0xb0, 0xae, 0xae, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x92, 0x92, 0x8a, 0x8a, 0x83, 0x83, 0x7d, 0x7d, 0x79, 0x79, 
0x79, 0x79, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x8d, 0x8d, 0x95, 0x95, 0x9b, 0x9b, 0x9c, 0x9c, 0x97, 0x97, 0x8e, 0x8e, 0x81, 0x81, 0x73, 0x73, 0x64, 0x64, 
0x56, 0x56, 0x4d, 0x4d, 0x4b, 0x4b, 0x50, 0x50, 0x5d, 0x5d, 0x6e, 0x6e, 0x83, 0x83, 0x9a, 0x9a, 0xb2, 0xb2, 0xc6, 0xc6, 0xd4, 0xd4, 0xdb, 0xdb, 0xda, 0xda, 
0xd1, 0xd1, 0xc0, 0xc0, 0xa8, 0xa8, 0x8c, 0x8c, 0x70, 0x70, 0x58, 0x58, 0x47, 0x47, 0x3c, 0x3c, 0x37, 0x37, 0x37, 0x37, 0x3b, 0x3b, 0x42, 0x42, 0x4a, 0x4a, 
0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x7c, 0x7c, 0x88, 0x88, 0x94, 0x94, 0xa1, 0xa1, 0xab, 0xab, 
0xb4, 0xb4, 0xb9, 0xb9, 0xba, 0xba, 0xb7, 0xb7, 0xb0, 0xb0, 0xa5, 0xa5, 0x9a, 0x9a, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 0x83, 0x83, 0x86, 0x86, 0x8d, 0x8d, 
0x97, 0x97, 0xa2, 0xa2, 0xab, 0xab, 0xb1, 0xb1, 0xb4, 0xb4, 0xb4, 0xb4, 0xb1, 0xb1, 0xaa, 0xaa, 0xa1, 0xa1, 0x97, 0x97, 0x8c, 0x8c, 0x81, 0x81, 0x76, 0x76, 
0x6f, 0x6f, 0x6b, 0x6b, 0x6b, 0x6b, 0x70, 0x70, 0x78, 0x78, 0x82, 0x82, 0x90, 0x90, 0x9d, 0x9d, 0xa8, 0xa8, 0xad, 0xad, 0xaa, 0xaa, 0xa2, 0xa2, 0x97, 0x97, 
0x89, 0x89, 0x7c, 0x7c, 0x6f, 0x6f, 0x64, 0x64, 0x5b, 0x5b, 0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x47, 0x47, 0x40, 0x40, 0x37, 0x37, 0x2d, 0x2d, 0x24, 0x24, 
0x1d, 0x1d, 0x17, 0x17, 0x12, 0x12, 0x10, 0x10, 0x10, 0x10, 0x12, 0x12, 0x18, 0x18, 0x21, 0x21, 0x30, 0x30, 0x41, 0x41, 0x55, 0x55, 0x68, 0x68, 0x7b, 0x7b, 
0x8c, 0x8c, 0x99, 0x99, 0xa1, 0xa1, 0xa2, 0xa2, 0xa0, 0xa0, 0x9c, 0x9c, 0x9a, 0x9a, 0x9b, 0x9b, 0x9f, 0x9f, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbf, 0xbf, 
0xc7, 0xc7, 0xcd, 0xcd, 0xd0, 0xd0, 0xd0, 0xd0, 0xcc, 0xcc, 0xc3, 0xc3, 0xb6, 0xb6, 0xa5, 0xa5, 0x94, 0x94, 0x84, 0x84, 0x78, 0x78, 0x6f, 0x6f, 0x6a, 0x6a, 
0x6a, 0x6a, 0x6e, 0x6e, 0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9c, 0x9c, 0x9d, 0x9d, 
0x9b, 0x9b, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 0x77, 0x77, 0x6c, 0x6c, 0x5d, 0x5d, 0x4d, 0x4d, 0x3e, 0x3e, 0x31, 0x31, 
0x28, 0x28, 0x22, 0x22, 0x22, 0x22, 0x26, 0x26, 0x2f, 0x2f, 0x39, 0x39, 0x43, 0x43, 0x4b, 0x4b, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 0x68, 0x68, 0x70, 0x70, 
0x77, 0x77, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x80, 0x80, 0x89, 0x89, 0x94, 0x94, 0xa0, 0xa0, 0xa9, 0xa9, 0xae, 0xae, 0xb0, 0xb0, 0xae, 0xae, 
0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x74, 0x74, 0x76, 0x76, 
0x7d, 0x7d, 0x88, 0x88, 0x93, 0x93, 0x9a, 0x9a, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x95, 0x95, 0x98, 0x98, 0x9e, 0x9e, 0xa7, 0xa7, 0xb2, 0xb2, 
0xc0, 0xc0, 0xcb, 0xcb, 0xd3, 0xd3, 0xd6, 0xd6, 0xd5, 0xd5, 0xd3, 0xd3, 0xd0, 0xd0, 0xcf, 0xcf, 0xcf, 0xcf, 0xcc, 0xcc, 0xc6, 0xc6, 0xbb, 0xbb, 0xac, 0xac, 
0x9c, 0x9c, 0x8b, 0x8b, 0x7b, 0x7b, 0x6c, 0x6c, 0x5e, 0x5e, 0x50, 0x50, 0x43, 0x43, 0x36, 0x36, 0x2a, 0x2a, 0x20, 0x20, 0x18, 0x18, 0x13, 0x13, 0x13, 0x13, 
0x18, 0x18, 0x24, 0x24, 0x33, 0x33, 0x42, 0x42, 0x4e, 0x4e, 0x55, 0x55, 0x58, 0x58, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x66, 0x66, 0x6a, 0x6a, 
0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 0x90, 0x90, 0x9a, 0x9a, 0xa4, 0xa4, 0xae, 0xae, 0xb6, 0xb6, 0xb9, 0xb9, 0xb7, 0xb7, 
0xb1, 0xb1, 0xa9, 0xa9, 0xa1, 0xa1, 0x99, 0x99, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 
0x73, 0x73, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 0x8a, 0x8a, 
0x7f, 0x7f, 0x71, 0x71, 0x63, 0x63, 0x55, 0x55, 0x4b, 0x4b, 0x45, 0x45, 0x44, 0x44, 0x45, 0x45, 0x4a, 0x4a, 0x51, 0x51, 0x59, 0x59, 0x61, 0x61, 0x69, 0x69, 
0x6f, 0x6f, 0x74, 0x74, 0x7a, 0x7a, 0x81, 0x81, 0x89, 0x89, 0x92, 0x92, 0x9a, 0x9a, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 
0x94, 0x94, 0x94, 0x94, 0x97, 0x97, 0x9d, 0x9d, 0xa5, 0xa5, 0xaf, 0xaf, 0xba, 0xba, 0xc4, 0xc4, 0xcc, 0xcc, 0xd3, 0xd3, 0xd5, 0xd5, 0xd4, 0xd4, 0xd0, 0xd0, 
0xca, 0xca, 0xc4, 0xc4, 0xbf, 0xbf, 0xb9, 0xb9, 0xb3, 0xb3, 0xab, 0xab, 0xa0, 0xa0, 0x94, 0x94, 0x88, 0x88, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x66, 0x66, 
0x63, 0x63, 0x62, 0x62, 0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x4a, 0x4a, 0x46, 0x46, 0x41, 0x41, 
0x3a, 0x3a, 0x33, 0x33, 0x2f, 0x2f, 0x2f, 0x2f, 0x34, 0x34, 0x3e, 0x3e, 0x4a, 0x4a, 0x55, 0x55, 0x60, 0x60, 0x6a, 0x6a, 0x75, 0x75, 0x80, 0x80, 0x8d, 0x8d, 
0x99, 0x99, 0xa3, 0xa3, 0xa7, 0xa7, 0xa5, 0xa5, 0x9d, 0x9d, 0x92, 0x92, 0x87, 0x87, 0x7c, 0x7c, 0x72, 0x72, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 
0x5e, 0x5e, 0x5b, 0x5b, 0x56, 0x56, 0x52, 0x52, 0x51, 0x51, 0x53, 0x53, 0x5a, 0x5a, 0x64, 0x64, 0x6d, 0x6d, 0x71, 0x71, 0x6f, 0x6f, 0x69, 0x69, 0x63, 0x63, 
0x61, 0x61, 0x66, 0x66, 0x71, 0x71, 0x7e, 0x7e, 0x8a, 0x8a, 0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 0xb0, 0xb0, 0xb4, 0xb4, 
0xb9, 0xb9, 0xbd, 0xbd, 0xc2, 0xc2, 0xc7, 0xc7, 0xcb, 0xcb, 0xcf, 0xcf, 0xd2, 0xd2, 0xd3, 0xd3, 0xd2, 0xd2, 0xd0, 0xd0, 0xcd, 0xcd, 0xca, 0xca, 0xc7, 0xc7, 
0xc4, 0xc4, 0xc4, 0xc4, 0xca, 0xca, 0xd4, 0xd4, 0xe1, 0xe1, 0xe8, 0xe8, 0xe6, 0xe6, 0xd8, 0xd8, 0xbf, 0xbf, 0xa1, 0xa1, 0x80, 0x80, 0x5f, 0x5f, 0x42, 0x42, 
0x2a, 0x2a, 0x19, 0x19, 0x11, 0x11, 0x10, 0x10, 0x12, 0x12, 0x18, 0x18, 0x1f, 0x1f, 0x26, 0x26, 0x2d, 0x2d, 0x34, 0x34, 0x39, 0x39, 0x3e, 0x3e, 0x43, 0x43, 
0x4a, 0x4a, 0x53, 0x53, 0x5d, 0x5d, 0x69, 0x69, 0x75, 0x75, 0x81, 0x81, 0x8c, 0x8c, 0x95, 0x95, 0x9a, 0x9a, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 
0x8e, 0x8e, 0x8a, 0x8a, 0x89, 0x89, 0x8b, 0x8b, 0x90, 0x90, 0x97, 0x97, 0x9f, 0x9f, 0xa7, 0xa7, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 0xb7, 0xb7, 0xb5, 0xb5, 
0xb0, 0xb0, 0xaa, 0xaa, 0xa4, 0xa4, 0x9d, 0x9d, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x8c, 0x8c, 0x92, 0x92, 0x9b, 0x9b, 0xa7, 0xa7, 
0xb1, 0xb1, 0xb8, 0xb8, 0xba, 0xba, 0xb7, 0xb7, 0xb0, 0xb0, 0xa5, 0xa5, 0x96, 0x96, 0x85, 0x85, 0x74, 0x74, 0x65, 0x65, 0x59, 0x59, 0x50, 0x50, 0x48, 0x48, 
0x41, 0x41, 0x3b, 0x3b, 0x35, 0x35, 0x2f, 0x2f, 0x27, 0x27, 0x1f, 0x1f, 0x16, 0x16, 0x10, 0x10, 0x0d, 0x0d, 0x0f, 0x0f, 0x15, 0x15, 0x1f, 0x1f, 0x2c, 0x2c, 
0x3c, 0x3c, 0x4e, 0x4e, 0x61, 0x61, 0x74, 0x74, 0x88, 0x88, 0x9a, 0x9a, 0xab, 0xab, 0xba, 0xba, 0xc6, 0xc6, 0xcf, 0xcf, 0xd6, 0xd6, 0xda, 0xda, 0xdd, 0xdd, 
0xde, 0xde, 0xdf, 0xdf, 0xe0, 0xe0, 0xe1, 0xe1, 0xe2, 0xe2, 0xe3, 0xe3, 0xe2, 0xe2, 0xe0, 0xe0, 0xdc, 0xdc, 0xd7, 0xd7, 0xce, 0xce, 0xc3, 0xc3, 0xb6, 0xb6, 
0xa9, 0xa9, 0x9b, 0x9b, 0x8e, 0x8e, 0x83, 0x83, 0x7b, 0x7b, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x70, 0x70, 
0x69, 0x69, 0x62, 0x62, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x4e, 0x4e, 0x48, 0x48, 0x3f, 0x3f, 
0x33, 0x33, 0x25, 0x25, 0x19, 0x19, 0x0e, 0x0e, 0x07, 0x07, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 
0x10, 0x10, 0x18, 0x18, 0x21, 0x21, 0x2b, 0x2b, 0x37, 0x37, 0x42, 0x42, 0x4c, 0x4c, 0x56, 0x56, 0x5f, 0x5f, 0x68, 0x68, 0x71, 0x71, 0x7a, 0x7a, 0x84, 0x84, 
0x8c, 0x8c, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa5, 0xa5, 0xae, 0xae, 0xb7, 0xb7, 0xc0, 0xc0, 0xc7, 0xc7, 0xcd, 0xcd, 0xd2, 0xd2, 
0xd8, 0xd8, 0xde, 0xde, 0xe5, 0xe5, 0xeb, 0xeb, 0xee, 0xee, 0xef, 0xef, 0xee, 0xee, 0xed, 0xed, 0xee, 0xee, 0xf1, 0xf1, 0xf6, 0xf6, 0xfa, 0xfa, 0xfb, 0xfb, 
0xf9, 0xf9, 0xf4, 0xf4, 0xef, 0xef, 0xeb, 0xeb, 0xea, 0xea, 0xe9, 0xe9, 0xe8, 0xe8, 0xe3, 0xe3, 0xd9, 0xd9, 0xc9, 0xc9, 0xb4, 0xb4, 0x96, 0x96, 0x72, 0x72, 
0x4b, 0x4b, 0x28, 0x28, 0x0f, 0x0f, 0x03, 0x03, 0x01, 0x01, 0x04, 0x04, 0x07, 0x07, 0x08, 0x08, 0x06, 0x06, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 
0x02, 0x02, 0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x0b, 0x0b, 0x12, 0x12, 0x1d, 0x1d, 0x2a, 0x2a, 0x37, 0x37, 0x44, 0x44, 0x4e, 0x4e, 0x56, 0x56, 0x5c, 0x5c, 
0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x73, 0x73, 0x82, 0x82, 0x93, 0x93, 0xa3, 0xa3, 0xae, 0xae, 0xb1, 0xb1, 0xaf, 0xaf, 0xac, 0xac, 0xac, 0xac, 
0xaf, 0xaf, 0xb6, 0xb6, 0xbd, 0xbd, 0xc2, 0xc2, 0xc3, 0xc3, 0xc2, 0xc2, 0xbf, 0xbf, 0xbd, 0xbd, 0xbd, 0xbd, 0xc0, 0xc0, 0xc6, 0xc6, 0xcf, 0xcf, 0xda, 0xda, 
0xe6, 0xe6, 0xf1, 0xf1, 0xf8, 0xf8, 0xfa, 0xfa, 0xf6, 0xf6, 0xec, 0xec, 0xd8, 0xd8, 0xbd, 0xbd, 0x9b, 0x9b, 0x78, 0x78, 0x56, 0x56, 0x38, 0x38, 0x1f, 0x1f, 
0x0d, 0x0d, 0x03, 0x03, 0x02, 0x02, 0x07, 0x07, 0x0e, 0x0e, 0x13, 0x13, 0x15, 0x15, 0x15, 0x15, 0x15, 0x15, 0x17, 0x17, 0x1c, 0x1c, 0x25, 0x25, 0x30, 0x30, 
0x3b, 0x3b, 0x47, 0x47, 0x51, 0x51, 0x5c, 0x5c, 0x65, 0x65, 0x6d, 0x6d, 0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 0x98, 0x98, 0xa1, 0xa1, 0xa9, 0xa9, 
0xb0, 0xb0, 0xb6, 0xb6, 0xbb, 0xbb, 0xc1, 0xc1, 0xc6, 0xc6, 0xca, 0xca, 0xcd, 0xcd, 0xcb, 0xcb, 0xc5, 0xc5, 0xbd, 0xbd, 0xb3, 0xb3, 0xaa, 0xaa, 0xa4, 0xa4, 
0x9f, 0x9f, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 0x8f, 0x8f, 0x91, 0x91, 0x95, 0x95, 0x9c, 0x9c, 0xa5, 0xa5, 0xb0, 0xb0, 0xba, 0xba, 
0xc2, 0xc2, 0xc3, 0xc3, 0xbd, 0xbd, 0xb1, 0xb1, 0xa0, 0xa0, 0x8d, 0x8d, 0x79, 0x79, 0x65, 0x65, 0x52, 0x52, 0x3f, 0x3f, 0x2e, 0x2e, 0x1f, 0x1f, 0x12, 0x12, 
0x08, 0x08, 0x03, 0x03, 0x02, 0x02, 0x05, 0x05, 0x0d, 0x0d, 0x19, 0x19, 0x29, 0x29, 0x39, 0x39, 0x47, 0x47, 0x52, 0x52, 0x5a, 0x5a, 0x5e, 0x5e, 0x60, 0x60, 
0x5f, 0x5f, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5f, 0x5f, 0x66, 0x66, 0x6f, 0x6f, 0x7b, 0x7b, 0x89, 0x89, 0x97, 0x97, 0xa6, 0xa6, 0xb4, 0xb4, 0xc0, 0xc0, 
0xcb, 0xcb, 0xd3, 0xd3, 0xd8, 0xd8, 0xda, 0xda, 0xd8, 0xd8, 0xd4, 0xd4, 0xcd, 0xcd, 0xc5, 0xc5, 0xbb, 0xbb, 0xb1, 0xb1, 0xa6, 0xa6, 0x9c, 0x9c, 0x93, 0x93, 
0x8e, 0x8e, 0x8e, 0x8e, 0x93, 0x93, 0x9d, 0x9d, 0xaa, 0xaa, 0xb9, 0xb9, 0xc8, 0xc8, 0xd6, 0xd6, 0xe3, 0xe3, 0xed, 0xed, 0xf5, 0xf5, 0xf9, 0xf9, 0xf8, 0xf8, 
0xf1, 0xf1, 0xe4, 0xe4, 0xd2, 0xd2, 0xb8, 0xb8, 0x99, 0x99, 0x73, 0x73, 0x4b, 0x4b, 0x27, 0x27, 0x0d, 0x0d, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x02, 0x02, 0x02, 0x02, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x09, 0x09, 0x11, 0x11, 0x1c, 0x1c, 
0x2b, 0x2b, 0x3c, 0x3c, 0x4e, 0x4e, 0x61, 0x61, 0x72, 0x72, 0x82, 0x82, 0x8e, 0x8e, 0x98, 0x98, 0xa0, 0xa0, 0xaa, 0xaa, 0xb8, 0xb8, 0xca, 0xca, 0xdf, 0xdf, 
0xf2, 0xf2, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xec, 0xec, 0xd8, 0xd8, 0xc1, 0xc1, 0xad, 0xad, 0x9e, 0x9e, 0x97, 0x97, 0x95, 0x95, 0x97, 0x97, 
0x9b, 0x9b, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 0xac, 0xac, 0xb3, 0xb3, 0xbb, 0xbb, 0xc3, 0xc3, 0xca, 0xca, 0xce, 0xce, 0xd0, 0xd0, 0xce, 0xce, 0xc4, 0xc4, 
0xb3, 0xb3, 0x9e, 0x9e, 0x87, 0x87, 0x72, 0x72, 0x61, 0x61, 0x53, 0x53, 0x47, 0x47, 0x3a, 0x3a, 0x2d, 0x2d, 0x20, 0x20, 0x16, 0x16, 0x0f, 0x0f, 0x0f, 0x0f, 
0x13, 0x13, 0x1c, 0x1c, 0x28, 0x28, 0x36, 0x36, 0x45, 0x45, 0x52, 0x52, 0x5c, 0x5c, 0x60, 0x60, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x64, 0x64, 0x67, 0x67, 
0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x86, 0x86, 0x93, 0x93, 0xa2, 0xa2, 0xb5, 0xb5, 0xc9, 0xc9, 0xdc, 0xdc, 0xeb, 0xeb, 0xf5, 0xf5, 0xfa, 0xfa, 0xfa, 0xfa, 
0xf6, 0xf6, 0xed, 0xed, 0xe0, 0xe0, 0xd0, 0xd0, 0xbd, 0xbd, 0xa8, 0xa8, 0x92, 0x92, 0x7e, 0x7e, 0x70, 0x70, 0x68, 0x68, 0x66, 0x66, 0x67, 0x67, 0x6b, 0x6b, 
0x70, 0x70, 0x76, 0x76, 0x7c, 0x7c, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x8f, 0x8f, 0x8a, 0x8a, 0x7e, 0x7e, 0x6d, 0x6d, 0x5a, 0x5a, 0x47, 0x47, 0x36, 0x36, 
0x29, 0x29, 0x1f, 0x1f, 0x19, 0x19, 0x16, 0x16, 0x16, 0x16, 0x15, 0x15, 0x14, 0x14, 0x10, 0x10, 0x0b, 0x0b, 0x08, 0x08, 0x0b, 0x0b, 0x13, 0x13, 0x20, 0x20, 
0x2e, 0x2e, 0x3a, 0x3a, 0x42, 0x42, 0x48, 0x48, 0x4c, 0x4c, 0x52, 0x52, 0x5a, 0x5a, 0x64, 0x64, 0x6e, 0x6e, 0x78, 0x78, 0x81, 0x81, 0x89, 0x89, 0x91, 0x91, 
0x9c, 0x9c, 0xa8, 0xa8, 0xb6, 0xb6, 0xc5, 0xc5, 0xd4, 0xd4, 0xe2, 0xe2, 0xef, 0xef, 0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 
0xf6, 0xf6, 0xf2, 0xf2, 0xee, 0xee, 0xea, 0xea, 0xe8, 0xe8, 0xe6, 0xe6, 0xe4, 0xe4, 0xe2, 0xe2, 0xe1, 0xe1, 0xdf, 0xdf, 0xde, 0xde, 0xde, 0xde, 0xe0, 0xe0, 
0xe3, 0xe3, 0xe5, 0xe5, 0xe4, 0xe4, 0xe0, 0xe0, 0xd6, 0xd6, 0xc5, 0xc5, 0xa8, 0xa8, 0x80, 0x80, 0x52, 0x52, 0x28, 0x28, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 
0x08, 0x08, 0x10, 0x10, 0x14, 0x14, 0x15, 0x15, 0x12, 0x12, 0x0e, 0x0e, 0x09, 0x09, 0x05, 0x05, 0x02, 0x02, 0x02, 0x02, 0x03, 0x03, 0x06, 0x06, 0x0a, 0x0a, 
0x0f, 0x0f, 0x14, 0x14, 0x1a, 0x1a, 0x21, 0x21, 0x2c, 0x2c, 0x39, 0x39, 0x47, 0x47, 0x55, 0x55, 0x5f, 0x5f, 0x66, 0x66, 0x6a, 0x6a, 0x72, 0x72, 0x81, 0x81, 
0x97, 0x97, 0xb4, 0xb4, 0xd0, 0xd0, 0xe7, 0xe7, 0xf5, 0xf5, 0xfc, 0xfc, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 0xf9, 0xf9, 0xf9, 0xf9, 0xfa, 0xfa, 
0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 0xf9, 0xf9, 0xf8, 0xf8, 0xf8, 0xf8, 0xf9, 0xf9, 0xf9, 0xf9, 
0xf6, 0xf6, 0xeb, 0xeb, 0xd8, 0xd8, 0xbe, 0xbe, 0x9f, 0x9f, 0x7c, 0x7c, 0x56, 0x56, 0x32, 0x32, 0x14, 0x14, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 
0x0f, 0x0f, 0x18, 0x18, 0x1f, 0x1f, 0x23, 0x23, 0x22, 0x22, 0x1e, 0x1e, 0x18, 0x18, 0x12, 0x12, 0x0d, 0x0d, 0x0b, 0x0b, 0x0c, 0x0c, 0x10, 0x10, 0x18, 0x18, 
0x22, 0x22, 0x2e, 0x2e, 0x3b, 0x3b, 0x45, 0x45, 0x4e, 0x4e, 0x55, 0x55, 0x5e, 0x5e, 0x6a, 0x6a, 0x7a, 0x7a, 0x8e, 0x8e, 0xa3, 0xa3, 0xb6, 0xb6, 0xc7, 0xc7, 
0xd4, 0xd4, 0xdc, 0xdc, 0xdc, 0xdc, 0xd5, 0xd5, 0xc9, 0xc9, 0xbb, 0xbb, 0xae, 0xae, 0xa4, 0xa4, 0x9d, 0x9d, 0x9a, 0x9a, 0x9b, 0x9b, 0x9e, 0x9e, 0xa4, 0xa4, 
0xaa, 0xaa, 0xb0, 0xb0, 0xb5, 0xb5, 0xba, 0xba, 0xbe, 0xbe, 0xc4, 0xc4, 0xca, 0xca, 0xcf, 0xcf, 0xd0, 0xd0, 0xc7, 0xc7, 0xb5, 0xb5, 0x9b, 0x9b, 0x7e, 0x7e, 
0x62, 0x62, 0x4b, 0x4b, 0x38, 0x38, 0x2a, 0x2a, 0x22, 0x22, 0x1f, 0x1f, 0x1e, 0x1e, 0x1e, 0x1e, 0x1b, 0x1b, 0x16, 0x16, 0x0e, 0x0e, 0x08, 0x08, 0x07, 0x07, 
0x0b, 0x0b, 0x14, 0x14, 0x1d, 0x1d, 0x23, 0x23, 0x26, 0x26, 0x25, 0x25, 0x22, 0x22, 0x1e, 0x1e, 0x1b, 0x1b, 0x1a, 0x1a, 0x1c, 0x1c, 0x20, 0x20, 0x29, 0x29, 
0x34, 0x34, 0x44, 0x44, 0x57, 0x57, 0x6e, 0x6e, 0x87, 0x87, 0xa0, 0xa0, 0xb7, 0xb7, 0xc9, 0xc9, 0xd7, 0xd7, 0xe2, 0xe2, 0xe9, 0xe9, 0xed, 0xed, 0xef, 0xef, 
0xf0, 0xf0, 0xf1, 0xf1, 0xf3, 0xf3, 0xf6, 0xf6, 0xf7, 0xf7, 0xf4, 0xf4, 0xee, 0xee, 0xe7, 0xe7, 0xe0, 0xe0, 0xdc, 0xdc, 0xdd, 0xdd, 0xe1, 0xe1, 0xe7, 0xe7, 
0xed, 0xed, 0xf0, 0xf0, 0xf0, 0xf0, 0xea, 0xea, 0xdc, 0xdc, 0xc5, 0xc5, 0xa7, 0xa7, 0x88, 0x88, 0x69, 0x69, 0x4e, 0x4e, 0x36, 0x36, 0x24, 0x24, 0x18, 0x18, 
0x11, 0x11, 0x10, 0x10, 0x10, 0x10, 0x12, 0x12, 0x14, 0x14, 0x15, 0x15, 0x15, 0x15, 0x15, 0x15, 0x12, 0x12, 0x10, 0x10, 0x0d, 0x0d, 0x0d, 0x0d, 0x0e, 0x0e, 
0x13, 0x13, 0x1b, 0x1b, 0x29, 0x29, 0x3a, 0x3a, 0x4e, 0x4e, 0x60, 0x60, 0x69, 0x69, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x61, 0x61, 0x68, 0x68, 0x77, 0x77, 
0x8b, 0x8b, 0xa3, 0xa3, 0xbd, 0xbd, 0xd7, 0xd7, 0xea, 0xea, 0xf4, 0xf4, 0xf1, 0xf1, 0xe7, 0xe7, 0xd9, 0xd9, 0xce, 0xce, 0xc7, 0xc7, 0xc4, 0xc4, 0xc2, 0xc2, 
0xbe, 0xbe, 0xb8, 0xb8, 0xae, 0xae, 0xa5, 0xa5, 0x9f, 0x9f, 0x9d, 0x9d, 0x9e, 0x9e, 0xa4, 0xa4, 0xab, 0xab, 0xb5, 0xb5, 0xbf, 0xbf, 0xc7, 0xc7, 0xca, 0xca, 
0xc9, 0xc9, 0xc2, 0xc2, 0xb5, 0xb5, 0xa4, 0xa4, 0x8e, 0x8e, 0x74, 0x74, 0x5a, 0x5a, 0x41, 0x41, 0x2b, 0x2b, 0x18, 0x18, 0x0c, 0x0c, 0x07, 0x07, 0x0b, 0x0b, 
0x14, 0x14, 0x1e, 0x1e, 0x26, 0x26, 0x2a, 0x2a, 0x2a, 0x2a, 0x27, 0x27, 0x22, 0x22, 0x1e, 0x1e, 0x1a, 0x1a, 0x17, 0x17, 0x15, 0x15, 0x16, 0x16, 0x18, 0x18, 
0x1f, 0x1f, 0x2b, 0x2b, 0x3d, 0x3d, 0x53, 0x53, 0x6c, 0x6c, 0x86, 0x86, 0x9f, 0x9f, 0xb6, 0xb6, 0xca, 0xca, 0xd8, 0xd8, 0xe0, 0xe0, 0xe3, 0xe3, 0xe5, 0xe5, 
0xe6, 0xe6, 0xe7, 0xe7, 0xe8, 0xe8, 0xe8, 0xe8, 0xe5, 0xe5, 0xde, 0xde, 0xd5, 0xd5, 0xcd, 0xcd, 0xc7, 0xc7, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc6, 0xc6, 
0xbe, 0xbe, 0xb2, 0xb2, 0xa5, 0xa5, 0x9a, 0x9a, 0x91, 0x91, 0x8c, 0x8c, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x6f, 0x6f, 0x5e, 0x5e, 
0x4b, 0x4b, 0x37, 0x37, 0x27, 0x27, 0x1b, 0x1b, 0x13, 0x13, 0x0e, 0x0e, 0x0a, 0x0a, 0x07, 0x07, 0x06, 0x06, 0x07, 0x07, 0x0e, 0x0e, 0x1b, 0x1b, 0x2b, 0x2b, 
0x3a, 0x3a, 0x44, 0x44, 0x48, 0x48, 0x46, 0x46, 0x41, 0x41, 0x3a, 0x3a, 0x34, 0x34, 0x2f, 0x2f, 0x2d, 0x2d, 0x31, 0x31, 0x39, 0x39, 0x45, 0x45, 0x53, 0x53, 
0x60, 0x60, 0x6c, 0x6c, 0x77, 0x77, 0x83, 0x83, 0x91, 0x91, 0xa1, 0xa1, 0xb2, 0xb2, 0xc3, 0xc3, 0xd1, 0xd1, 0xdc, 0xdc, 0xe3, 0xe3, 0xe7, 0xe7, 0xe7, 0xe7, 
0xe5, 0xe5, 0xe2, 0xe2, 0xe1, 0xe1, 0xe3, 0xe3, 0xe8, 0xe8, 0xf0, 0xf0, 0xf7, 0xf7, 0xfa, 0xfa, 0xf8, 0xf8, 0xf3, 0xf3, 0xec, 0xec, 0xe6, 0xe6, 0xe3, 0xe3, 
0xe2, 0xe2, 0xe3, 0xe3, 0xe3, 0xe3, 0xe2, 0xe2, 0xdd, 0xdd, 0xcf, 0xcf, 0xb4, 0xb4, 0x8b, 0x8b, 0x5a, 0x5a, 0x2b, 0x2b, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x04, 0x04, 0x09, 0x09, 0x0b, 0x0b, 0x0b, 0x0b, 0x09, 0x09, 0x06, 0x06, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x05, 0x05, 
0x0d, 0x0d, 0x19, 0x19, 0x29, 0x29, 0x3b, 0x3b, 0x50, 0x50, 0x66, 0x66, 0x7c, 0x7c, 0x8d, 0x8d, 0x96, 0x96, 0x96, 0x96, 0x90, 0x90, 0x8c, 0x8c, 0x8f, 0x8f, 
0x9b, 0x9b, 0xae, 0xae, 0xc3, 0xc3, 0xd4, 0xd4, 0xdf, 0xdf, 0xe3, 0xe3, 0xe3, 0xe3, 0xe0, 0xe0, 0xdd, 0xdd, 0xda, 0xda, 0xd5, 0xd5, 0xcf, 0xcf, 0xc7, 0xc7, 
0xbd, 0xbd, 0xb4, 0xb4, 0xad, 0xad, 0xa8, 0xa8, 0xa8, 0xa8, 0xad, 0xad, 0xb8, 0xb8, 0xc9, 0xc9, 0xde, 0xde, 0xf1, 0xf1, 0xfd, 0xfd, 0xff, 0xff, 0xf9, 0xf9, 
0xec, 0xec, 0xda, 0xda, 0xc2, 0xc2, 0xa8, 0xa8, 0x8c, 0x8c, 0x70, 0x70, 0x54, 0x54, 0x3a, 0x3a, 0x23, 0x23, 0x13, 0x13, 0x0a, 0x0a, 0x06, 0x06, 0x06, 0x06, 
0x09, 0x09, 0x0d, 0x0d, 0x11, 0x11, 0x15, 0x15, 0x18, 0x18, 0x1a, 0x1a, 0x1a, 0x1a, 0x1c, 0x1c, 0x1f, 0x1f, 0x25, 0x25, 0x2d, 0x2d, 0x38, 0x38, 0x45, 0x45, 
0x55, 0x55, 0x66, 0x66, 0x77, 0x77, 0x89, 0x89, 0x9b, 0x9b, 0xac, 0xac, 0xbc, 0xbc, 0xc9, 0xc9, 0xd4, 0xd4, 0xdc, 0xdc, 0xe2, 0xe2, 0xe7, 0xe7, 0xe9, 0xe9, 
0xeb, 0xeb, 0xed, 0xed, 0xee, 0xee, 0xf0, 0xf0, 0xf1, 0xf1, 0xf2, 0xf2, 0xf2, 0xf2, 0xf0, 0xf0, 0xed, 0xed, 0xe7, 0xe7, 0xdd, 0xdd, 0xd1, 0xd1, 0xc2, 0xc2, 
0xb5, 0xb5, 0xa9, 0xa9, 0xa2, 0xa2, 0x9d, 0x9d, 0x9a, 0x9a, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x89, 0x89, 0x7d, 0x7d, 0x6c, 0x6c, 0x59, 0x59, 0x44, 0x44, 
0x31, 0x31, 0x20, 0x20, 0x11, 0x11, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 
0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 0x14, 0x14, 0x22, 0x22, 0x33, 0x33, 0x48, 0x48, 0x5e, 0x5e, 0x77, 0x77, 
0x8f, 0x8f, 0xa6, 0xa6, 0xb9, 0xb9, 0xc7, 0xc7, 0xd3, 0xd3, 0xdb, 0xdb, 0xe0, 0xe0, 0xe4, 0xe4, 0xe7, 0xe7, 0xe9, 0xe9, 0xed, 0xed, 0xf2, 0xf2, 0xf7, 0xf7, 
0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xee, 0xee, 0xda, 0xda, 0xbd, 0xbd, 0x98, 0x98, 0x73, 0x73, 0x51, 0x51, 0x35, 0x35, 0x20, 0x20, 0x11, 0x11, 0x09, 0x09, 
0x06, 0x06, 0x07, 0x07, 0x0a, 0x0a, 0x0d, 0x0d, 0x0f, 0x0f, 0x11, 0x11, 0x12, 0x12, 0x13, 0x13, 0x15, 0x15, 0x16, 0x16, 0x16, 0x16, 0x14, 0x14, 0x0f, 0x0f, 
0x0b, 0x0b, 0x0b, 0x0b, 0x11, 0x11, 0x20, 0x20, 0x36, 0x36, 0x4d, 0x4d, 0x64, 0x64, 0x77, 0x77, 0x87, 0x87, 0x95, 0x95, 0xa2, 0xa2, 0xaf, 0xaf, 0xbc, 0xbc, 
0xc9, 0xc9, 0xd7, 0xd7, 0xe4, 0xe4, 0xf0, 0xf0, 0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf5, 0xf5, 0xea, 0xea, 0xde, 0xde, 0xd1, 0xd1, 
0xc5, 0xc5, 0xba, 0xba, 0xb1, 0xb1, 0xab, 0xab, 0xa8, 0xa8, 0xa8, 0xa8, 0xab, 0xab, 0xb1, 0xb1, 0xb9, 0xb9, 0xc2, 0xc2, 0xca, 0xca, 0xcd, 0xcd, 0xc7, 0xc7, 
0xb6, 0xb6, 0x9d, 0x9d, 0x7f, 0x7f, 0x5f, 0x5f, 0x40, 0x40, 0x25, 0x25, 0x10, 0x10, 0x05, 0x05, 0x06, 0x06, 0x0e, 0x0e, 0x18, 0x18, 0x20, 0x20, 0x23, 0x23, 
0x22, 0x22, 0x20, 0x20, 0x1e, 0x1e, 0x1e, 0x1e, 0x1f, 0x1f, 0x1f, 0x1f, 0x1c, 0x1c, 0x17, 0x17, 0x0f, 0x0f, 0x09, 0x09, 0x08, 0x08, 0x0d, 0x0d, 0x18, 0x18, 
0x27, 0x27, 0x39, 0x39, 0x4c, 0x4c, 0x5f, 0x5f, 0x70, 0x70, 0x7e, 0x7e, 0x88, 0x88, 0x91, 0x91, 0x9a, 0x9a, 0xa6, 0xa6, 0xb7, 0xb7, 0xca, 0xca, 0xdd, 0xdd, 
0xeb, 0xeb, 0xf4, 0xf4, 0xf8, 0xf8, 0xfa, 0xfa, 0xfa, 0xfa, 0xfb, 0xfb, 0xfb, 0xfb, 0xfa, 0xfa, 0xf7, 0xf7, 0xef, 0xef, 0xe5, 0xe5, 0xd7, 0xd7, 0xc6, 0xc6, 
0xb4, 0xb4, 0xa1, 0xa1, 0x91, 0x91, 0x86, 0x86, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7d, 0x7d, 0x77, 0x77, 0x6c, 0x6c, 0x5d, 0x5d, 0x4a, 0x4a, 0x35, 0x35, 
0x1f, 0x1f, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x02, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x02, 0x04, 0x04, 0x06, 0x06, 0x0a, 0x0a, 0x10, 0x10, 0x18, 0x18, 0x22, 0x22, 0x31, 0x31, 0x44, 0x44, 0x5b, 0x5b, 0x76, 0x76, 0x91, 0x91, 
0xaa, 0xaa, 0xbe, 0xbe, 0xcf, 0xcf, 0xdc, 0xdc, 0xe7, 0xe7, 0xf0, 0xf0, 0xf7, 0xf7, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 
0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf7, 0xf7, 0xf3, 0xf3, 0xf0, 0xf0, 0xee, 0xee, 0xef, 0xef, 
0xf1, 0xf1, 0xf4, 0xf4, 0xf6, 0xf6, 0xf7, 0xf7, 0xf3, 0xf3, 0xe8, 0xe8, 0xd3, 0xd3, 0xb2, 0xb2, 0x89, 0x89, 0x61, 0x61, 0x3d, 0x3d, 0x23, 0x23, 0x10, 0x10, 
0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x06, 0x06, 0x0a, 0x0a, 0x0d, 0x0d, 
0x0d, 0x0d, 0x0c, 0x0c, 0x0a, 0x0a, 0x0d, 0x0d, 0x18, 0x18, 0x2e, 0x2e, 0x4d, 0x4d, 0x6e, 0x6e, 0x90, 0x90, 0xae, 0xae, 0xc8, 0xc8, 0xdc, 0xdc, 0xe9, 0xe9, 
0xef, 0xef, 0xf0, 0xf0, 0xef, 0xef, 0xeb, 0xeb, 0xe7, 0xe7, 0xe4, 0xe4, 0xe3, 0xe3, 0xe3, 0xe3, 0xe7, 0xe7, 0xec, 0xec, 0xf2, 0xf2, 0xf6, 0xf6, 0xf9, 0xf9, 
0xf8, 0xf8, 0xf4, 0xf4, 0xec, 0xec, 0xdf, 0xdf, 0xd0, 0xd0, 0xc2, 0xc2, 0xb8, 0xb8, 0xb3, 0xb3, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbc, 0xbc, 0xbe, 0xbe, 
0xbc, 0xbc, 0xb6, 0xb6, 0xac, 0xac, 0x9e, 0x9e, 0x8c, 0x8c, 0x77, 0x77, 0x5e, 0x5e, 0x45, 0x45, 0x2f, 0x2f, 0x1e, 0x1e, 0x14, 0x14, 0x0f, 0x0f, 0x0e, 0x0e, 
0x0f, 0x0f, 0x11, 0x11, 0x13, 0x13, 0x14, 0x14, 0x13, 0x13, 0x11, 0x11, 0x0d, 0x0d, 0x08, 0x08, 0x05, 0x05, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 
0x05, 0x05, 0x0a, 0x0a, 0x12, 0x12, 0x20, 0x20, 0x33, 0x33, 0x4b, 0x4b, 0x66, 0x66, 0x82, 0x82, 0x9f, 0x9f, 0xba, 0xba, 0xd3, 0xd3, 0xe5, 0xe5, 0xf2, 0xf2, 
0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf7, 0xf7, 0xf2, 0xf2, 0xeb, 0xeb, 0xe2, 0xe2, 
0xd7, 0xd7, 0xcd, 0xcd, 0xc3, 0xc3, 0xb9, 0xb9, 0xae, 0xae, 0xa3, 0xa3, 0x95, 0x95, 0x87, 0x87, 0x7b, 0x7b, 0x71, 0x71, 0x6a, 0x6a, 0x65, 0x65, 0x5e, 0x5e, 
0x53, 0x53, 0x43, 0x43, 0x2f, 0x2f, 0x1b, 0x1b, 0x0c, 0x0c, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 0x05, 0x05, 0x08, 0x08, 
0x0c, 0x0c, 0x11, 0x11, 0x16, 0x16, 0x18, 0x18, 0x18, 0x18, 0x15, 0x15, 0x12, 0x12, 0x0f, 0x0f, 0x0e, 0x0e, 0x0f, 0x0f, 0x15, 0x15, 0x22, 0x22, 0x37, 0x37, 
0x50, 0x50, 0x6b, 0x6b, 0x84, 0x84, 0x99, 0x99, 0xab, 0xab, 0xba, 0xba, 0xc8, 0xc8, 0xd4, 0xd4, 0xe0, 0xe0, 0xe9, 0xe9, 0xef, 0xef, 0xf2, 0xf2, 0xf1, 0xf1, 
0xf0, 0xf0, 0xee, 0xee, 0xef, 0xef, 0xf0, 0xf0, 0xf2, 0xf2, 0xf4, 0xf4, 0xf5, 0xf5, 0xf6, 0xf6, 0xf6, 0xf6, 0xf4, 0xf4, 0xf1, 0xf1, 0xed, 0xed, 0xe8, 0xe8, 
0xe1, 0xe1, 0xd9, 0xd9, 0xd1, 0xd1, 0xcb, 0xcb, 0xcb, 0xcb, 0xcf, 0xcf, 0xd7, 0xd7, 0xde, 0xde, 0xdf, 0xdf, 0xd9, 0xd9, 0xcb, 0xcb, 0xb5, 0xb5, 0x96, 0x96, 
0x70, 0x70, 0x47, 0x47, 0x23, 0x23, 0x0a, 0x0a, 0x00, 0x00, 0x01, 0x01, 0x06, 0x06, 0x0b, 0x0b, 0x0c, 0x0c, 0x09, 0x09, 0x05, 0x05, 0x01, 0x01, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x02, 0x04, 0x04, 0x04, 0x04, 0x05, 0x05, 0x08, 0x08, 0x10, 0x10, 0x1d, 0x1d, 0x2f, 0x2f, 0x47, 0x47, 0x64, 0x64, 0x85, 0x85, 0xa7, 0xa7, 
0xc5, 0xc5, 0xdd, 0xdd, 0xec, 0xec, 0xf3, 0xf3, 0xf6, 0xf6, 0xf5, 0xf5, 0xf3, 0xf3, 0xf1, 0xf1, 0xf0, 0xf0, 0xf1, 0xf1, 0xf4, 0xf4, 0xf8, 0xf8, 0xfc, 0xfc, 
0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf6, 0xf6, 0xe5, 0xe5, 0xcb, 0xcb, 0xac, 0xac, 0x8e, 0x8e, 0x75, 0x75, 0x65, 0x65, 0x5d, 0x5d, 0x5c, 0x5c, 0x5e, 0x5e, 
0x64, 0x64, 0x6b, 0x6b, 0x70, 0x70, 0x72, 0x72, 0x70, 0x70, 0x6b, 0x6b, 0x64, 0x64, 0x5d, 0x5d, 0x55, 0x55, 0x4d, 0x4d, 0x44, 0x44, 0x39, 0x39, 0x2d, 0x2d, 
0x20, 0x20, 0x15, 0x15, 0x0e, 0x0e, 0x0b, 0x0b, 0x0c, 0x0c, 0x0e, 0x0e, 0x0f, 0x0f, 0x0c, 0x0c, 0x08, 0x08, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x03, 0x03, 0x08, 0x08, 0x0e, 0x0e, 0x16, 0x16, 0x21, 0x21, 0x2d, 0x2d, 0x3d, 0x3d, 0x4f, 0x4f, 0x63, 0x63, 0x7a, 0x7a, 0x94, 0x94, 0xae, 0xae, 0xc7, 0xc7, 
0xdb, 0xdb, 0xea, 0xea, 0xf5, 0xf5, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xfc, 0xfc, 0xf6, 0xf6, 0xea, 0xea, 0xd6, 0xd6, 0xbd, 0xbd, 0xa4, 0xa4, 0x8b, 0x8b, 0x77, 0x77, 0x66, 0x66, 0x59, 0x59, 0x4f, 0x4f, 0x49, 0x49, 
0x44, 0x44, 0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x40, 0x40, 0x3d, 0x3d, 0x36, 0x36, 0x29, 0x29, 0x19, 0x19, 0x0b, 0x0b, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 
0x05, 0x05, 0x09, 0x09, 0x0b, 0x0b, 0x0c, 0x0c, 0x0c, 0x0c, 0x0f, 0x0f, 0x14, 0x14, 0x1b, 0x1b, 0x24, 0x24, 0x2c, 0x2c, 0x34, 0x34, 0x3a, 0x3a, 0x3f, 0x3f, 
0x43, 0x43, 0x46, 0x46, 0x4b, 0x4b, 0x55, 0x55, 0x67, 0x67, 0x83, 0x83, 0xa4, 0xa4, 0xc5, 0xc5, 0xdf, 0xdf, 0xef, 0xef, 0xf7, 0xf7, 0xfa, 0xfa, 0xfb, 0xfb, 
0xfb, 0xfb, 0xfc, 0xfc, 0xfb, 0xfb, 0xf7, 0xf7, 0xf0, 0xf0, 0xe8, 0xe8, 0xe1, 0xe1, 0xdf, 0xdf, 0xe2, 0xe2, 0xe9, 0xe9, 0xf1, 0xf1, 0xf7, 0xf7, 0xf9, 0xf9, 
0xf7, 0xf7, 0xf0, 0xf0, 0xe6, 0xe6, 0xd9, 0xd9, 0xcc, 0xcc, 0xc0, 0xc0, 0xb9, 0xb9, 0xb8, 0xb8, 0xbc, 0xbc, 0xc4, 0xc4, 0xd0, 0xd0, 0xdd, 0xdd, 0xea, 0xea, 
0xf4, 0xf4, 0xf7, 0xf7, 0xf2, 0xf2, 0xe4, 0xe4, 0xcc, 0xcc, 0xa9, 0xa9, 0x7c, 0x7c, 0x4a, 0x4a, 0x1d, 0x1d, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x04, 0x04, 0x05, 0x05, 0x04, 0x04, 0x03, 0x03, 0x04, 0x04, 0x06, 0x06, 0x09, 0x09, 0x0b, 0x0b, 0x0a, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x0d, 0x0d, 
0x16, 0x16, 0x24, 0x24, 0x39, 0x39, 0x56, 0x56, 0x7a, 0x7a, 0xa2, 0xa2, 0xc7, 0xc7, 0xe3, 0xe3, 0xf5, 0xf5, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 
0xfd, 0xfd, 0xfc, 0xfc, 0xfd, 0xfd, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf1, 0xf1, 0xda, 0xda, 0xb6, 0xb6, 0x8a, 0x8a, 
0x60, 0x60, 0x40, 0x40, 0x2d, 0x2d, 0x27, 0x27, 0x2c, 0x2c, 0x3a, 0x3a, 0x4d, 0x4d, 0x63, 0x63, 0x77, 0x77, 0x85, 0x85, 0x8c, 0x8c, 0x8b, 0x8b, 0x84, 0x84, 
0x77, 0x77, 0x65, 0x65, 0x51, 0x51, 0x3d, 0x3d, 0x2b, 0x2b, 0x1d, 0x1d, 0x13, 0x13, 0x0d, 0x0d, 0x0a, 0x0a, 0x0b, 0x0b, 0x0e, 0x0e, 0x11, 0x11, 0x15, 0x15, 
0x17, 0x17, 0x1a, 0x1a, 0x1c, 0x1c, 0x1e, 0x1e, 0x21, 0x21, 0x24, 0x24, 0x27, 0x27, 0x28, 0x28, 0x28, 0x28, 0x28, 0x28, 0x2a, 0x2a, 0x32, 0x32, 0x3f, 0x3f, 
0x51, 0x51, 0x66, 0x66, 0x7a, 0x7a, 0x8d, 0x8d, 0x9f, 0x9f, 0xb0, 0xb0, 0xc0, 0xc0, 0xd1, 0xd1, 0xe0, 0xe0, 0xee, 0xee, 0xf8, 0xf8, 0xfd, 0xfd, 0xfe, 0xfe, 
0xfd, 0xfd, 0xfc, 0xfc, 0xfc, 0xfc, 0xfb, 0xfb, 0xf8, 0xf8, 0xf2, 0xf2, 0xe7, 0xe7, 0xd9, 0xd9, 0xc7, 0xc7, 0xb2, 0xb2, 0x9c, 0x9c, 0x85, 0x85, 0x71, 0x71, 
0x62, 0x62, 0x59, 0x59, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x5f, 0x5f, 0x5b, 0x5b, 0x54, 0x54, 0x4a, 0x4a, 
0x3c, 0x3c, 0x2c, 0x2c, 0x1e, 0x1e, 0x12, 0x12, 0x0b, 0x0b, 0x08, 0x08, 0x08, 0x08, 0x0a, 0x0a, 0x0e, 0x0e, 0x13, 0x13, 0x1a, 0x1a, 0x22, 0x22, 0x2d, 0x2d, 
0x38, 0x38, 0x42, 0x42, 0x4a, 0x4a, 0x50, 0x50, 0x52, 0x52, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x63, 0x63, 0x6b, 0x6b, 0x75, 0x75, 0x7f, 0x7f, 
0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 0xa2, 0xa2, 0xa7, 0xa7, 0xac, 0xac, 0xb2, 0xb2, 0xb7, 0xb7, 0xbe, 0xbe, 0xc6, 0xc6, 0xcf, 0xcf, 0xd8, 0xd8, 0xe0, 0xe0, 
0xe5, 0xe5, 0xe7, 0xe7, 0xe6, 0xe6, 0xe1, 0xe1, 0xd8, 0xd8, 0xcc, 0xcc, 0xbe, 0xbe, 0xb1, 0xb1, 0xa6, 0xa6, 0x9e, 0x9e, 0x99, 0x99, 0x98, 0x98, 0x9b, 0x9b, 
0xa2, 0xa2, 0xac, 0xac, 0xb9, 0xb9, 0xc8, 0xc8, 0xd9, 0xd9, 0xe9, 0xe9, 0xf6, 0xf6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf6, 0xf6, 0xe1, 0xe1, 0xc3, 0xc3, 
0x9f, 0x9f, 0x7a, 0x7a, 0x59, 0x59, 0x3f, 0x3f, 0x2b, 0x2b, 0x1c, 0x1c, 0x11, 0x11, 0x0a, 0x0a, 0x06, 0x06, 0x05, 0x05, 0x08, 0x08, 0x10, 0x10, 0x1a, 0x1a, 
0x25, 0x25, 0x2f, 0x2f, 0x38, 0x38, 0x3e, 0x3e, 0x42, 0x42, 0x44, 0x44, 0x43, 0x43, 0x42, 0x42, 0x44, 0x44, 0x4c, 0x4c, 0x5b, 0x5b, 0x70, 0x70, 0x88, 0x88, 
0xa2, 0xa2, 0xba, 0xba, 0xd0, 0xd0, 0xe1, 0xe1, 0xea, 0xea, 0xeb, 0xeb, 0xe6, 0xe6, 0xdd, 0xdd, 0xd2, 0xd2, 0xc7, 0xc7, 0xbe, 0xbe, 0xb8, 0xb8, 0xb7, 0xb7, 
0xbb, 0xbb, 0xc1, 0xc1, 0xc4, 0xc4, 0xc1, 0xc1, 0xb5, 0xb5, 0xa3, 0xa3, 0x8c, 0x8c, 0x74, 0x74, 0x5d, 0x5d, 0x4a, 0x4a, 0x3e, 0x3e, 0x3d, 0x3d, 0x48, 0x48, 
0x5c, 0x5c, 0x75, 0x75, 0x8f, 0x8f, 0xa6, 0xa6, 0xb9, 0xb9, 0xc5, 0xc5, 0xc7, 0xc7, 0xbf, 0xbf, 0xaf, 0xaf, 0x99, 0x99, 0x80, 0x80, 0x64, 0x64, 0x49, 0x49, 
0x31, 0x31, 0x1f, 0x1f, 0x13, 0x13, 0x0c, 0x0c, 0x09, 0x09, 0x09, 0x09, 0x0c, 0x0c, 0x10, 0x10, 0x15, 0x15, 0x1a, 0x1a, 0x1f, 0x1f, 0x23, 0x23, 0x28, 0x28, 
0x2b, 0x2b, 0x2e, 0x2e, 0x31, 0x31, 0x36, 0x36, 0x3e, 0x3e, 0x4a, 0x4a, 0x5a, 0x5a, 0x6b, 0x6b, 0x7e, 0x7e, 0x91, 0x91, 0xa3, 0xa3, 0xb5, 0xb5, 0xc5, 0xc5, 
0xd4, 0xd4, 0xe1, 0xe1, 0xec, 0xec, 0xf3, 0xf3, 0xf7, 0xf7, 0xf8, 0xf8, 0xf8, 0xf8, 0xf9, 0xf9, 0xfa, 0xfa, 0xfb, 0xfb, 0xfc, 0xfc, 0xfb, 0xfb, 0xf7, 0xf7, 
0xf0, 0xf0, 0xe3, 0xe3, 0xcf, 0xcf, 0xb4, 0xb4, 0x94, 0x94, 0x76, 0x76, 0x5f, 0x5f, 0x52, 0x52, 0x4c, 0x4c, 0x4b, 0x4b, 0x4c, 0x4c, 0x4d, 0x4d, 0x4d, 0x4d, 
0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4c, 0x4c, 0x49, 0x49, 0x45, 0x45, 0x3f, 0x3f, 0x38, 0x38, 0x30, 0x30, 0x29, 0x29, 0x23, 0x23, 
0x22, 0x22, 0x24, 0x24, 0x2b, 0x2b, 0x32, 0x32, 0x39, 0x39, 0x3f, 0x3f, 0x42, 0x42, 0x43, 0x43, 0x43, 0x43, 0x42, 0x42, 0x40, 0x40, 0x40, 0x40, 0x43, 0x43, 
0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 0x72, 0x72, 0x80, 0x80, 0x8f, 0x8f, 0x9f, 0x9f, 0xaf, 0xaf, 0xc1, 0xc1, 0xd2, 0xd2, 0xe0, 0xe0, 0xe9, 0xe9, 0xec, 0xec, 
0xeb, 0xeb, 0xe7, 0xe7, 0xe4, 0xe4, 0xe2, 0xe2, 0xe2, 0xe2, 0xe3, 0xe3, 0xe4, 0xe4, 0xe5, 0xe5, 0xe4, 0xe4, 0xde, 0xde, 0xd1, 0xd1, 0xbd, 0xbd, 0xa5, 0xa5, 
0x90, 0x90, 0x83, 0x83, 0x82, 0x82, 0x89, 0x89, 0x91, 0x91, 0x94, 0x94, 0x8f, 0x8f, 0x84, 0x84, 0x78, 0x78, 0x72, 0x72, 0x73, 0x73, 0x7b, 0x7b, 0x87, 0x87, 
0x95, 0x95, 0xa2, 0xa2, 0xae, 0xae, 0xb7, 0xb7, 0xbd, 0xbd, 0xc2, 0xc2, 0xc4, 0xc4, 0xc7, 0xc7, 0xcb, 0xcb, 0xd1, 0xd1, 0xd4, 0xd4, 0xd1, 0xd1, 0xc0, 0xc0, 
0xa0, 0xa0, 0x77, 0x77, 0x4e, 0x4e, 0x2d, 0x2d, 0x19, 0x19, 0x0f, 0x0f, 0x0c, 0x0c, 0x0c, 0x0c, 0x0a, 0x0a, 0x08, 0x08, 0x08, 0x08, 0x0d, 0x0d, 0x17, 0x17, 
0x26, 0x26, 0x37, 0x37, 0x45, 0x45, 0x50, 0x50, 0x57, 0x57, 0x5b, 0x5b, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x65, 0x65, 0x75, 0x75, 0x90, 0x90, 0xb1, 0xb1, 
0xd1, 0xd1, 0xe9, 0xe9, 0xf7, 0xf7, 0xfa, 0xfa, 0xf6, 0xf6, 0xef, 0xef, 0xe6, 0xe6, 0xdc, 0xdc, 0xd4, 0xd4, 0xcf, 0xcf, 0xcb, 0xcb, 0xca, 0xca, 0xcb, 0xcb, 
0xce, 0xce, 0xd2, 0xd2, 0xd6, 0xd6, 0xd7, 0xd7, 0xd1, 0xd1, 0xc4, 0xc4, 0xb0, 0xb0, 0x98, 0x98, 0x7e, 0x7e, 0x63, 0x63, 0x4b, 0x4b, 0x3b, 0x3b, 0x39, 0x39, 
0x46, 0x46, 0x5e, 0x5e, 0x7c, 0x7c, 0x9b, 0x9b, 0xb9, 0xb9, 0xd1, 0xd1, 0xe2, 0xe2, 0xe9, 0xe9, 0xe6, 0xe6, 0xd9, 0xd9, 0xc5, 0xc5, 0xac, 0xac, 0x8e, 0x8e, 
0x6f, 0x6f, 0x51, 0x51, 0x37, 0x37, 0x22, 0x22, 0x13, 0x13, 0x0a, 0x0a, 0x09, 0x09, 0x10, 0x10, 0x1a, 0x1a, 0x25, 0x25, 0x2c, 0x2c, 0x2c, 0x2c, 0x28, 0x28, 
0x23, 0x23, 0x1f, 0x1f, 0x1e, 0x1e, 0x21, 0x21, 0x28, 0x28, 0x31, 0x31, 0x3d, 0x3d, 0x4a, 0x4a, 0x54, 0x54, 0x5b, 0x5b, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 
0x5f, 0x5f, 0x67, 0x67, 0x73, 0x73, 0x81, 0x81, 0x8c, 0x8c, 0x93, 0x93, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0xa3, 0xa3, 0xa8, 0xa8, 0xab, 0xab, 0xac, 0xac, 
0xa8, 0xa8, 0xa1, 0xa1, 0x95, 0x95, 0x85, 0x85, 0x72, 0x72, 0x5e, 0x5e, 0x4e, 0x4e, 0x47, 0x47, 0x4a, 0x4a, 0x54, 0x54, 0x62, 0x62, 0x6e, 0x6e, 0x78, 0x78, 
0x7f, 0x7f, 0x86, 0x86, 0x8d, 0x8d, 0x97, 0x97, 0xa2, 0xa2, 0xab, 0xab, 0xae, 0xae, 0xab, 0xab, 0xa1, 0xa1, 0x94, 0x94, 0x84, 0x84, 0x73, 0x73, 0x63, 0x63, 
0x58, 0x58, 0x55, 0x55, 0x5c, 0x5c, 0x68, 0x68, 0x76, 0x76, 0x80, 0x80, 0x83, 0x83, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x6a, 0x6a, 0x70, 0x70, 0x7b, 0x7b, 0x86, 0x86, 0x91, 0x91, 0x98, 0x98, 0x9c, 0x9c, 0x9b, 0x9b, 0x95, 0x95, 
0x8b, 0x8b, 0x7e, 0x7e, 0x73, 0x73, 0x6d, 0x6d, 0x6e, 0x6e, 0x73, 0x73, 0x7a, 0x7a, 0x7e, 0x7e, 0x7d, 0x7d, 0x79, 0x79, 0x72, 0x72, 0x6b, 0x6b, 0x65, 0x65, 
0x60, 0x60, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 
0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa3, 0xa3, 0xad, 0xad, 0xb7, 0xb7, 0xc0, 0xc0, 0xc8, 0xc8, 0xd1, 0xd1, 0xdb, 0xdb, 0xe5, 0xe5, 0xee, 0xee, 0xf1, 0xf1, 
0xea, 0xea, 0xd7, 0xd7, 0xbc, 0xbc, 0x9b, 0x9b, 0x77, 0x77, 0x53, 0x53, 0x32, 0x32, 0x17, 0x17, 0x06, 0x06, 0x00, 0x00, 0x04, 0x04, 0x10, 0x10, 0x21, 0x21, 
0x38, 0x38, 0x50, 0x50, 0x63, 0x63, 0x6f, 0x6f, 0x71, 0x71, 0x6a, 0x6a, 0x5c, 0x5c, 0x4a, 0x4a, 0x35, 0x35, 0x21, 0x21, 0x17, 0x17, 0x1c, 0x1c, 0x34, 0x34, 
0x57, 0x57, 0x80, 0x80, 0xa6, 0xa6, 0xc4, 0xc4, 0xd9, 0xd9, 0xe5, 0xe5, 0xe7, 0xe7, 0xdf, 0xdf, 0xd1, 0xd1, 0xc1, 0xc1, 0xaf, 0xaf, 0xa0, 0xa0, 0x94, 0x94, 
0x8e, 0x8e, 0x90, 0x90, 0x9a, 0x9a, 0xaa, 0xaa, 0xb8, 0xb8, 0xbf, 0xbf, 0xbd, 0xbd, 0xb1, 0xb1, 0x9e, 0x9e, 0x85, 0x85, 0x67, 0x67, 0x49, 0x49, 0x31, 0x31, 
0x27, 0x27, 0x2d, 0x2d, 0x3f, 0x3f, 0x57, 0x57, 0x70, 0x70, 0x87, 0x87, 0x9b, 0x9b, 0xa9, 0xa9, 0xb2, 0xb2, 0xb6, 0xb6, 0xb4, 0xb4, 0xad, 0xad, 0xa0, 0xa0, 
0x8d, 0x8d, 0x76, 0x76, 0x5d, 0x5d, 0x46, 0x46, 0x31, 0x31, 0x1f, 0x1f, 0x12, 0x12, 0x0c, 0x0c, 0x0c, 0x0c, 0x10, 0x10, 0x17, 0x17, 0x1c, 0x1c, 0x21, 0x21, 
0x23, 0x23, 0x25, 0x25, 0x27, 0x27, 0x29, 0x29, 0x2c, 0x2c, 0x33, 0x33, 0x3d, 0x3d, 0x4a, 0x4a, 0x5b, 0x5b, 0x6e, 0x6e, 0x80, 0x80, 0x92, 0x92, 0xa2, 0xa2, 
0xb1, 0xb1, 0xbe, 0xbe, 0xca, 0xca, 0xd5, 0xd5, 0xde, 0xde, 0xe4, 0xe4, 0xea, 0xea, 0xed, 0xed, 0xf0, 0xf0, 0xf2, 0xf2, 0xf5, 0xf5, 0xf7, 0xf7, 0xf8, 0xf8, 
0xf8, 0xf8, 0xf5, 0xf5, 0xf0, 0xf0, 0xe9, 0xe9, 0xe0, 0xe0, 0xd5, 0xd5, 0xc8, 0xc8, 0xbc, 0xbc, 0xaf, 0xaf, 0xa3, 0xa3, 0x98, 0x98, 0x91, 0x91, 0x8e, 0x8e, 
0x91, 0x91, 0x97, 0x97, 0x9f, 0x9f, 0xa6, 0xa6, 0xab, 0xab, 0xad, 0xad, 0xaa, 0xaa, 0xa1, 0xa1, 0x90, 0x90, 0x7b, 0x7b, 0x64, 0x64, 0x4e, 0x4e, 0x3b, 0x3b, 
0x2b, 0x2b, 0x1e, 0x1e, 0x16, 0x16, 0x10, 0x10, 0x0d, 0x0d, 0x0d, 0x0d, 0x10, 0x10, 0x15, 0x15, 0x1a, 0x1a, 0x1f, 0x1f, 0x1f, 0x1f, 0x1c, 0x1c, 0x15, 0x15, 
0x0d, 0x0d, 0x08, 0x08, 0x06, 0x06, 0x06, 0x06, 0x09, 0x09, 0x0b, 0x0b, 0x0d, 0x0d, 0x0f, 0x0f, 0x13, 0x13, 0x1a, 0x1a, 0x25, 0x25, 0x33, 0x33, 0x43, 0x43, 
0x53, 0x53, 0x64, 0x64, 0x75, 0x75, 0x83, 0x83, 0x8f, 0x8f, 0x98, 0x98, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xac, 0xac, 0xaf, 0xaf, 0xb2, 0xb2, 0xb1, 0xb1, 
0xae, 0xae, 0xa9, 0xa9, 0xa5, 0xa5, 0xa2, 0xa2, 0xa3, 0xa3, 0xa6, 0xa6, 0xaa, 0xaa, 0xad, 0xad, 0xae, 0xae, 0xaf, 0xaf, 0xb0, 0xb0, 0xb3, 0xb3, 0xb8, 0xb8, 
0xbe, 0xbe, 0xc6, 0xc6, 0xce, 0xce, 0xd6, 0xd6, 0xdd, 0xdd, 0xe4, 0xe4, 0xe9, 0xe9, 0xee, 0xee, 0xf2, 0xf2, 0xf5, 0xf5, 0xf6, 0xf6, 0xf6, 0xf6, 0xf5, 0xf5, 
0xf3, 0xf3, 0xf2, 0xf2, 0xf1, 0xf1, 0xef, 0xef, 0xea, 0xea, 0xde, 0xde, 0xcb, 0xcb, 0xb2, 0xb2, 0x94, 0x94, 0x75, 0x75, 0x55, 0x55, 0x37, 0x37, 0x1d, 0x1d, 
0x0b, 0x0b, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x08, 0x08, 0x0d, 0x0d, 0x14, 0x14, 0x1f, 0x1f, 0x2b, 0x2b, 0x37, 0x37, 0x41, 0x41, 
0x48, 0x48, 0x4d, 0x4d, 0x55, 0x55, 0x62, 0x62, 0x76, 0x76, 0x8f, 0x8f, 0xaa, 0xaa, 0xc2, 0xc2, 0xd6, 0xd6, 0xe6, 0xe6, 0xf0, 0xf0, 0xf3, 0xf3, 0xf2, 0xf2, 
0xeb, 0xeb, 0xe2, 0xe2, 0xd6, 0xd6, 0xc8, 0xc8, 0xbb, 0xbb, 0xb2, 0xb2, 0xb0, 0xb0, 0xb6, 0xb6, 0xc2, 0xc2, 0xcc, 0xcc, 0xd0, 0xd0, 0xcb, 0xcb, 0xbe, 0xbe, 
0xaa, 0xaa, 0x93, 0x93, 0x7a, 0x7a, 0x62, 0x62, 0x50, 0x50, 0x49, 0x49, 0x4e, 0x4e, 0x5c, 0x5c, 0x6f, 0x6f, 0x85, 0x85, 0x9b, 0x9b, 0xaf, 0xaf, 0xbd, 0xbd, 
0xc2, 0xc2, 0xbf, 0xbf, 0xb4, 0xb4, 0xa2, 0xa2, 0x8c, 0x8c, 0x72, 0x72, 0x57, 0x57, 0x3e, 0x3e, 0x2a, 0x2a, 0x1c, 0x1c, 0x14, 0x14, 0x0f, 0x0f, 0x0b, 0x0b, 
0x08, 0x08, 0x05, 0x05, 0x03, 0x03, 0x03, 0x03, 0x05, 0x05, 0x0a, 0x0a, 0x0f, 0x0f, 0x16, 0x16, 0x1f, 0x1f, 0x28, 0x28, 0x34, 0x34, 0x43, 0x43, 0x55, 0x55, 
0x69, 0x69, 0x7d, 0x7d, 0x8c, 0x8c, 0x97, 0x97, 0xa0, 0xa0, 0xa7, 0xa7, 0xb0, 0xb0, 0xbd, 0xbd, 0xcc, 0xcc, 0xda, 0xda, 0xe6, 0xe6, 0xef, 0xef, 0xf3, 0xf3, 
0xf4, 0xf4, 0xf2, 0xf2, 0xed, 0xed, 0xe8, 0xe8, 0xe4, 0xe4, 0xe2, 0xe2, 0xe5, 0xe5, 0xe8, 0xe8, 0xe9, 0xe9, 0xe1, 0xe1, 0xd0, 0xd0, 0xb9, 0xb9, 0x9f, 0x9f, 
0x87, 0x87, 0x73, 0x73, 0x65, 0x65, 0x5c, 0x5c, 0x59, 0x59, 0x5b, 0x5b, 0x60, 0x60, 0x68, 0x68, 0x70, 0x70, 0x78, 0x78, 0x7f, 0x7f, 0x81, 0x81, 0x7d, 0x7d, 
0x72, 0x72, 0x61, 0x61, 0x4d, 0x4d, 0x38, 0x38, 0x25, 0x25, 0x14, 0x14, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x0b, 0x0b, 
0x11, 0x11, 0x17, 0x17, 0x1c, 0x1c, 0x20, 0x20, 0x23, 0x23, 0x29, 0x29, 0x32, 0x32, 0x40, 0x40, 0x51, 0x51, 0x62, 0x62, 0x73, 0x73, 0x83, 0x83, 0x90, 0x90, 
0x9b, 0x9b, 0xa3, 0xa3, 0xa9, 0xa9, 0xae, 0xae, 0xb1, 0xb1, 0xb4, 0xb4, 0xb7, 0xb7, 0xb9, 0xb9, 0xbc, 0xbc, 0xbf, 0xbf, 0xc4, 0xc4, 0xc9, 0xc9, 0xcf, 0xcf, 
0xd5, 0xd5, 0xdc, 0xdc, 0xe1, 0xe1, 0xe3, 0xe3, 0xde, 0xde, 0xd3, 0xd3, 0xc3, 0xc3, 0xb4, 0xb4, 0xa9, 0xa9, 0xa3, 0xa3, 0xa3, 0xa3, 0xa5, 0xa5, 0xa8, 0xa8, 
0xa9, 0xa9, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8b, 0x8b, 0x83, 0x83, 0x77, 0x77, 0x6a, 0x6a, 
0x5c, 0x5c, 0x50, 0x50, 0x49, 0x49, 0x49, 0x49, 0x4e, 0x4e, 0x56, 0x56, 0x5f, 0x5f, 0x68, 0x68, 0x70, 0x70, 0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 0x89, 0x89, 
0x8a, 0x8a, 0x87, 0x87, 0x7e, 0x7e, 0x72, 0x72, 0x62, 0x62, 0x51, 0x51, 0x3f, 0x3f, 0x2e, 0x2e, 0x1e, 0x1e, 0x12, 0x12, 0x0a, 0x0a, 0x06, 0x06, 0x05, 0x05, 
0x0a, 0x0a, 0x13, 0x13, 0x22, 0x22, 0x35, 0x35, 0x4d, 0x4d, 0x6b, 0x6b, 0x8a, 0x8a, 0xa4, 0xa4, 0xb3, 0xb3, 0xb5, 0xb5, 0xae, 0xae, 0xa2, 0xa2, 0x98, 0x98, 
0x92, 0x92, 0x92, 0x92, 0x98, 0x98, 0xa6, 0xa6, 0xba, 0xba, 0xd1, 0xd1, 0xe6, 0xe6, 0xf5, 0xf5, 0xfc, 0xfc, 0xfc, 0xfc, 0xf6, 0xf6, 0xed, 0xed, 0xe2, 0xe2, 
0xd7, 0xd7, 0xce, 0xce, 0xc8, 0xc8, 0xc7, 0xc7, 0xc7, 0xc7, 0xc8, 0xc8, 0xc8, 0xc8, 0xc5, 0xc5, 0xbe, 0xbe, 0xb2, 0xb2, 0xa1, 0xa1, 0x8b, 0x8b, 0x72, 0x72, 
0x5b, 0x5b, 0x4b, 0x4b, 0x42, 0x42, 0x42, 0x42, 0x48, 0x48, 0x54, 0x54, 0x64, 0x64, 0x75, 0x75, 0x82, 0x82, 0x89, 0x89, 0x87, 0x87, 0x7e, 0x7e, 0x70, 0x70, 
0x60, 0x60, 0x4f, 0x4f, 0x3f, 0x3f, 0x32, 0x32, 0x2a, 0x2a, 0x27, 0x27, 0x28, 0x28, 0x2b, 0x2b, 0x2c, 0x2c, 0x2b, 0x2b, 0x28, 0x28, 0x27, 0x27, 0x2c, 0x2c, 
0x36, 0x36, 0x44, 0x44, 0x51, 0x51, 0x5b, 0x5b, 0x5f, 0x5f, 0x5e, 0x5e, 0x57, 0x57, 0x4d, 0x4d, 0x41, 0x41, 0x35, 0x35, 0x2e, 0x2e, 0x30, 0x30, 0x3c, 0x3c, 
0x50, 0x50, 0x66, 0x66, 0x7c, 0x7c, 0x8e, 0x8e, 0x9d, 0x9d, 0xab, 0xab, 0xba, 0xba, 0xca, 0xca, 0xdb, 0xdb, 0xea, 0xea, 0xf4, 0xf4, 0xf9, 0xf9, 0xf9, 0xf9, 
0xf6, 0xf6, 0xf3, 0xf3, 0xf1, 0xf1, 0xed, 0xed, 0xe8, 0xe8, 0xde, 0xde, 0xcf, 0xcf, 0xbc, 0xbc, 0xa9, 0xa9, 0x99, 0x99, 0x8e, 0x8e, 0x88, 0x88, 0x87, 0x87, 
0x8d, 0x8d, 0x99, 0x99, 0xa7, 0xa7, 0xb3, 0xb3, 0xb9, 0xb9, 0xb7, 0xb7, 0xb0, 0xb0, 0xa3, 0xa3, 0x94, 0x94, 0x84, 0x84, 0x75, 0x75, 0x66, 0x66, 0x5a, 0x5a, 
0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 0x48, 0x48, 0x4e, 0x4e, 0x57, 0x57, 0x60, 0x60, 0x67, 0x67, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6f, 0x6f, 
0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7b, 0x7b, 0x73, 0x73, 0x69, 0x69, 
0x5e, 0x5e, 0x56, 0x56, 0x50, 0x50, 0x4e, 0x4e, 0x4e, 0x4e, 0x50, 0x50, 0x54, 0x54, 0x59, 0x59, 0x5d, 0x5d, 0x5f, 0x5f, 0x5f, 0x5f, 0x5e, 0x5e, 0x5b, 0x5b, 
0x58, 0x58, 0x56, 0x56, 0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x50, 0x50, 0x54, 0x54, 0x58, 0x58, 
0x5a, 0x5a, 0x5d, 0x5d, 0x60, 0x60, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 0x83, 0x83, 0x84, 0x84, 0x7b, 0x7b, 0x6c, 0x6c, 0x5d, 0x5d, 0x51, 0x51, 0x4d, 0x4d, 
0x4f, 0x4f, 0x57, 0x57, 0x65, 0x65, 0x78, 0x78, 0x8e, 0x8e, 0xa5, 0xa5, 0xbb, 0xbb, 0xd1, 0xd1, 0xe5, 0xe5, 0xf5, 0xf5, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfe, 0xfe, 0xf6, 0xf6, 0xec, 0xec, 0xe1, 0xe1, 0xd7, 0xd7, 0xce, 0xce, 0xc7, 0xc7, 0xbf, 0xbf, 0xb3, 0xb3, 0x9d, 0x9d, 0x7d, 0x7d, 0x57, 0x57, 0x33, 0x33, 
0x17, 0x17, 0x06, 0x06, 0x01, 0x01, 0x05, 0x05, 0x12, 0x12, 0x25, 0x25, 0x3b, 0x3b, 0x4f, 0x4f, 0x5d, 0x5d, 0x63, 0x63, 0x63, 0x63, 0x5b, 0x5b, 0x4c, 0x4c, 
0x38, 0x38, 0x22, 0x22, 0x10, 0x10, 0x06, 0x06, 0x06, 0x06, 0x0f, 0x0f, 0x1f, 0x1f, 0x34, 0x34, 0x4a, 0x4a, 0x60, 0x60, 0x70, 0x70, 0x76, 0x76, 0x71, 0x71, 
0x63, 0x63, 0x51, 0x51, 0x3d, 0x3d, 0x29, 0x29, 0x17, 0x17, 0x0b, 0x0b, 0x06, 0x06, 0x08, 0x08, 0x11, 0x11, 0x1d, 0x1d, 0x2c, 0x2c, 0x3b, 0x3b, 0x4a, 0x4a, 
0x56, 0x56, 0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 0x72, 0x72, 0x80, 0x80, 0x95, 0x95, 0xaf, 0xaf, 0xc9, 0xc9, 0xdf, 0xdf, 0xee, 0xee, 0xf7, 0xf7, 0xfa, 0xfa, 
0xf7, 0xf7, 0xf0, 0xf0, 0xe6, 0xe6, 0xda, 0xda, 0xcd, 0xcd, 0xc1, 0xc1, 0xb5, 0xb5, 0xab, 0xab, 0xa4, 0xa4, 0xa0, 0xa0, 0x9f, 0x9f, 0xa0, 0xa0, 0xa5, 0xa5, 
0xab, 0xab, 0xb3, 0xb3, 0xb9, 0xb9, 0xbd, 0xbd, 0xbd, 0xbd, 0xba, 0xba, 0xb4, 0xb4, 0xab, 0xab, 0xa0, 0xa0, 0x94, 0x94, 0x87, 0x87, 0x7c, 0x7c, 0x73, 0x73, 
0x6c, 0x6c, 0x68, 0x68, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x85, 0x85, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9d, 0x9d, 0x99, 0x99, 0x93, 0x93, 
0x8b, 0x8b, 0x83, 0x83, 0x7c, 0x7c, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x5d, 0x5d, 0x54, 0x54, 0x48, 0x48, 0x3b, 0x3b, 0x2d, 0x2d, 
0x22, 0x22, 0x19, 0x19, 0x14, 0x14, 0x16, 0x16, 0x20, 0x20, 0x33, 0x33, 0x4b, 0x4b, 0x66, 0x66, 0x7f, 0x7f, 0x93, 0x93, 0xa4, 0xa4, 0xae, 0xae, 0xb2, 0xb2, 
0xb0, 0xb0, 0xa9, 0xa9, 0x9f, 0x9f, 0x94, 0x94, 0x89, 0x89, 0x7f, 0x7f, 0x79, 0x79, 0x78, 0x78, 0x7c, 0x7c, 0x84, 0x84, 0x8f, 0x8f, 0x9c, 0x9c, 0xa8, 0xa8, 
0xb3, 0xb3, 0xb8, 0xb8, 0xb5, 0xb5, 0xaa, 0xaa, 0x99, 0x99, 0x87, 0x87, 0x79, 0x79, 0x70, 0x70, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 
0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 
0x7e, 0x7e, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x65, 0x65, 0x5b, 0x5b, 0x51, 0x51, 0x4a, 0x4a, 0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x52, 0x52, 0x57, 0x57, 
0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x82, 0x82, 
0x8e, 0x8e, 0x99, 0x99, 0xa3, 0xa3, 0xab, 0xab, 0xb0, 0xb0, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa6, 0xa6, 0x9d, 0x9d, 0x93, 0x93, 
0x8b, 0x8b, 0x87, 0x87, 0x89, 0x89, 0x8e, 0x8e, 0x97, 0x97, 0xa1, 0xa1, 0xab, 0xab, 0xb4, 0xb4, 0xbb, 0xbb, 0xbf, 0xbf, 0xbe, 0xbe, 0xb9, 0xb9, 0xb1, 0xb1, 
0xa6, 0xa6, 0x97, 0x97, 0x87, 0x87, 0x74, 0x74, 0x60, 0x60, 0x4a, 0x4a, 0x35, 0x35, 0x23, 0x23, 0x17, 0x17, 0x11, 0x11, 0x10, 0x10, 0x14, 0x14, 0x1a, 0x1a, 
0x23, 0x23, 0x2d, 0x2d, 0x39, 0x39, 0x48, 0x48, 0x5a, 0x5a, 0x6b, 0x6b, 0x78, 0x78, 0x7c, 0x7c, 0x75, 0x75, 0x69, 0x69, 0x5d, 0x5d, 0x5a, 0x5a, 0x62, 0x62, 
0x74, 0x74, 0x8d, 0x8d, 0xa8, 0xa8, 0xc4, 0xc4, 0xde, 0xde, 0xf3, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xfb, 0xfb, 
0xfb, 0xfb, 0xfa, 0xfa, 0xf8, 0xf8, 0xf5, 0xf5, 0xf2, 0xf2, 0xee, 0xee, 0xeb, 0xeb, 0xe6, 0xe6, 0xdd, 0xdd, 0xce, 0xce, 0xb9, 0xb9, 0xa1, 0xa1, 0x8a, 0x8a, 
0x7b, 0x7b, 0x76, 0x76, 0x79, 0x79, 0x82, 0x82, 0x8f, 0x8f, 0x9f, 0x9f, 0xad, 0xad, 0xb6, 0xb6, 0xb5, 0xb5, 0xa9, 0xa9, 0x95, 0x95, 0x7c, 0x7c, 0x61, 0x61, 
0x47, 0x47, 0x30, 0x30, 0x1c, 0x1c, 0x0e, 0x0e, 0x06, 0x06, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x04, 0x04, 0x07, 0x07, 
0x0b, 0x0b, 0x10, 0x10, 0x15, 0x15, 0x19, 0x19, 0x1d, 0x1d, 0x25, 0x25, 0x30, 0x30, 0x41, 0x41, 0x56, 0x56, 0x6d, 0x6d, 0x85, 0x85, 0x9e, 0x9e, 0xb5, 0xb5, 
0xc9, 0xc9, 0xd9, 0xd9, 0xe5, 0xe5, 0xee, 0xee, 0xf4, 0xf4, 0xf8, 0xf8, 0xfb, 0xfb, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfd, 0xfd, 0xfc, 0xfc, 0xf9, 0xf9, 0xf6, 0xf6, 0xf3, 0xf3, 0xee, 0xee, 0xea, 0xea, 0xe4, 0xe4, 0xdf, 0xdf, 0xda, 0xda, 0xd5, 0xd5, 0xd0, 0xd0, 0xcc, 0xcc, 
0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb5, 0xb5, 0xa9, 0xa9, 0x9b, 0x9b, 0x8c, 0x8c, 0x7f, 0x7f, 0x72, 0x72, 0x67, 0x67, 0x5b, 0x5b, 0x4d, 0x4d, 0x3d, 0x3d, 
0x2b, 0x2b, 0x1a, 0x1a, 0x0d, 0x0d, 0x05, 0x05, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x02, 0x02, 0x04, 0x04, 0x08, 0x08, 0x0d, 0x0d, 0x12, 0x12, 0x16, 0x16, 0x19, 0x19, 0x1b, 0x1b, 0x1f, 0x1f, 0x26, 0x26, 0x31, 0x31, 0x40, 0x40, 0x50, 0x50, 
0x61, 0x61, 0x71, 0x71, 0x80, 0x80, 0x8e, 0x8e, 0x99, 0x99, 0xa2, 0xa2, 0xa9, 0xa9, 0xaf, 0xaf, 0xb5, 0xb5, 0xbc, 0xbc, 0xc2, 0xc2, 0xc8, 0xc8, 0xcd, 0xcd, 
0xd2, 0xd2, 0xd6, 0xd6, 0xda, 0xda, 0xe0, 0xe0, 0xe8, 0xe8, 0xf1, 0xf1, 0xf9, 0xf9, 0xfd, 0xfd, 0xfd, 0xfd, 0xfa, 0xfa, 0xf5, 0xf5, 0xef, 0xef, 0xea, 0xea, 
0xe6, 0xe6, 0xe1, 0xe1, 0xda, 0xda, 0xd1, 0xd1, 0xc6, 0xc6, 0xb9, 0xb9, 0xa8, 0xa8, 0x95, 0x95, 0x81, 0x81, 0x70, 0x70, 0x66, 0x66, 0x64, 0x64, 0x67, 0x67, 
0x6e, 0x6e, 0x74, 0x74, 0x79, 0x79, 0x7b, 0x7b, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x59, 0x59, 0x5a, 0x5a, 0x5e, 0x5e, 0x64, 0x64, 
0x6a, 0x6a, 0x70, 0x70, 0x76, 0x76, 0x7b, 0x7b, 0x83, 0x83, 0x8c, 0x8c, 0x96, 0x96, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xad, 0xad, 0xad, 0xad, 0xae, 0xae, 
0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 0xb4, 0xb4, 0xab, 0xab, 0x97, 0x97, 0x78, 0x78, 0x52, 0x52, 0x2e, 0x2e, 0x12, 0x12, 0x03, 0x03, 
0x00, 0x00, 0x03, 0x03, 0x0e, 0x0e, 0x1e, 0x1e, 0x31, 0x31, 0x48, 0x48, 0x63, 0x63, 0x82, 0x82, 0xa2, 0xa2, 0xbc, 0xbc, 0xca, 0xca, 0xcb, 0xcb, 0xc1, 0xc1, 
0xaf, 0xaf, 0x9b, 0x9b, 0x87, 0x87, 0x78, 0x78, 0x72, 0x72, 0x7a, 0x7a, 0x92, 0x92, 0xb4, 0xb4, 0xd6, 0xd6, 0xf1, 0xf1, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 
0xed, 0xed, 0xda, 0xda, 0xc4, 0xc4, 0xaf, 0xaf, 0x9e, 0x9e, 0x92, 0x92, 0x8b, 0x8b, 0x89, 0x89, 0x8c, 0x8c, 0x92, 0x92, 0x9a, 0x9a, 0xa0, 0xa0, 0xa1, 0xa1, 
0x9a, 0x9a, 0x8e, 0x8e, 0x82, 0x82, 0x78, 0x78, 0x72, 0x72, 0x71, 0x71, 0x77, 0x77, 0x84, 0x84, 0x97, 0x97, 0xaf, 0xaf, 0xc4, 0xc4, 0xd3, 0xd3, 0xda, 0xda, 
0xd8, 0xd8, 0xcd, 0xcd, 0xb9, 0xb9, 0x9d, 0x9d, 0x7b, 0x7b, 0x5a, 0x5a, 0x3d, 0x3d, 0x25, 0x25, 0x13, 0x13, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x04, 0x04, 0x0d, 0x0d, 0x1b, 0x1b, 0x2b, 0x2b, 0x3c, 0x3c, 0x4c, 0x4c, 0x5a, 0x5a, 0x66, 0x66, 0x6d, 0x6d, 0x6e, 0x6e, 0x69, 0x69, 0x60, 0x60, 0x56, 0x56, 
0x4f, 0x4f, 0x4b, 0x4b, 0x4c, 0x4c, 0x50, 0x50, 0x57, 0x57, 0x60, 0x60, 0x6c, 0x6c, 0x79, 0x79, 0x8b, 0x8b, 0x9f, 0x9f, 0xb3, 0xb3, 0xc4, 0xc4, 0xcd, 0xcd, 
0xcd, 0xcd, 0xc5, 0xc5, 0xbc, 0xbc, 0xb3, 0xb3, 0xae, 0xae, 0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0x9e, 0x9e, 0x93, 0x93, 0x85, 0x85, 
0x76, 0x76, 0x6a, 0x6a, 0x64, 0x64, 0x66, 0x66, 0x6e, 0x6e, 0x79, 0x79, 0x85, 0x85, 0x90, 0x90, 0x9a, 0x9a, 0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb7, 0xb7, 
0xb9, 0xb9, 0xb4, 0xb4, 0xa8, 0xa8, 0x97, 0x97, 0x84, 0x84, 0x72, 0x72, 0x64, 0x64, 0x5a, 0x5a, 0x56, 0x56, 0x58, 0x58, 0x62, 0x62, 0x6f, 0x6f, 0x7c, 0x7c, 
0x85, 0x85, 0x88, 0x88, 0x86, 0x86, 0x81, 0x81, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x63, 0x63, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 
0x4a, 0x4a, 0x4d, 0x4d, 0x54, 0x54, 0x5e, 0x5e, 0x6c, 0x6c, 0x7c, 0x7c, 0x8a, 0x8a, 0x92, 0x92, 0x94, 0x94, 0x90, 0x90, 0x8a, 0x8a, 0x82, 0x82, 0x7b, 0x7b, 
0x75, 0x75, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 0x55, 0x55, 0x4c, 0x4c, 0x42, 0x42, 0x39, 0x39, 0x32, 0x32, 0x2e, 0x2e, 0x2d, 0x2d, 0x31, 0x31, 0x39, 0x39, 
0x42, 0x42, 0x4b, 0x4b, 0x55, 0x55, 0x5d, 0x5d, 0x67, 0x67, 0x71, 0x71, 0x7c, 0x7c, 0x87, 0x87, 0x91, 0x91, 0x98, 0x98, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 
0x97, 0x97, 0x95, 0x95, 0x95, 0x95, 0x98, 0x98, 0x9f, 0x9f, 0xab, 0xab, 0xb8, 0xb8, 0xc5, 0xc5, 0xcf, 0xcf, 0xd4, 0xd4, 0xd4, 0xd4, 0xd1, 0xd1, 0xcc, 0xcc, 
0xc6, 0xc6, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x8b, 0x8b, 0x8c, 0x8c, 0x90, 0x90, 
0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 0xb5, 0xb5, 0xbf, 0xbf, 0xcd, 0xcd, 0xdd, 0xdd, 0xec, 0xec, 0xf8, 0xf8, 0xfe, 0xfe, 0xff, 0xff, 
0xff, 0xff, 0xfc, 0xfc, 0xf9, 0xf9, 0xf3, 0xf3, 0xeb, 0xeb, 0xdc, 0xdc, 0xc7, 0xc7, 0xad, 0xad, 0x8e, 0x8e, 0x6e, 0x6e, 0x4c, 0x4c, 0x2d, 0x2d, 0x12, 0x12, 
0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x0c, 0x0c, 0x13, 0x13, 0x19, 0x19, 0x20, 0x20, 0x28, 0x28, 0x30, 0x30, 0x35, 0x35, 0x34, 0x34, 
0x2f, 0x2f, 0x27, 0x27, 0x22, 0x22, 0x26, 0x26, 0x35, 0x35, 0x4e, 0x4e, 0x6c, 0x6c, 0x8c, 0x8c, 0xaa, 0xaa, 0xc6, 0xc6, 0xdb, 0xdb, 0xe8, 0xe8, 0xea, 0xea, 
0xe5, 0xe5, 0xdb, 0xdb, 0xcf, 0xcf, 0xc3, 0xc3, 0xb7, 0xb7, 0xad, 0xad, 0xa6, 0xa6, 0xa3, 0xa3, 0xa1, 0xa1, 0xa0, 0xa0, 0x9c, 0x9c, 0x95, 0x95, 0x8c, 0x8c, 
0x82, 0x82, 0x78, 0x78, 0x6f, 0x6f, 0x67, 0x67, 0x62, 0x62, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6e, 0x6e, 0x77, 0x77, 0x82, 0x82, 0x8e, 0x8e, 0x98, 0x98, 
0x9e, 0x9e, 0xa0, 0xa0, 0x9d, 0x9d, 0x97, 0x97, 0x8c, 0x8c, 0x7e, 0x7e, 0x6f, 0x6f, 0x5f, 0x5f, 0x53, 0x53, 0x49, 0x49, 0x43, 0x43, 0x3f, 0x3f, 0x3c, 0x3c, 
0x3b, 0x3b, 0x3b, 0x3b, 0x40, 0x40, 0x49, 0x49, 0x59, 0x59, 0x6c, 0x6c, 0x7e, 0x7e, 0x8a, 0x8a, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x8a, 0x8a, 
0x8f, 0x8f, 0x97, 0x97, 0xa1, 0xa1, 0xae, 0xae, 0xbc, 0xbc, 0xc7, 0xc7, 0xce, 0xce, 0xcf, 0xcf, 0xcd, 0xcd, 0xc8, 0xc8, 0xc5, 0xc5, 0xc4, 0xc4, 0xc4, 0xc4, 
0xc6, 0xc6, 0xc8, 0xc8, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc5, 0xc5, 0xbd, 0xbd, 0xb1, 0xb1, 0xa3, 0xa3, 0x92, 0x92, 0x80, 0x80, 0x6d, 0x6d, 0x5d, 0x5d, 
0x51, 0x51, 0x4c, 0x4c, 0x4c, 0x4c, 0x4e, 0x4e, 0x4f, 0x4f, 0x4e, 0x4e, 0x4a, 0x4a, 0x43, 0x43, 0x3a, 0x3a, 0x2d, 0x2d, 0x1f, 0x1f, 0x13, 0x13, 0x09, 0x09, 
0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 0x06, 0x06, 0x0b, 0x0b, 0x11, 0x11, 0x18, 0x18, 0x21, 0x21, 0x2c, 0x2c, 0x39, 0x39, 0x46, 0x46, 0x56, 0x56, 
0x65, 0x65, 0x74, 0x74, 0x83, 0x83, 0x90, 0x90, 0x9b, 0x9b, 0xa3, 0xa3, 0xa8, 0xa8, 0xaa, 0xaa, 0xa9, 0xa9, 0xa9, 0xa9, 0xaa, 0xaa, 0xae, 0xae, 0xb5, 0xb5, 
0xbc, 0xbc, 0xc5, 0xc5, 0xcf, 0xcf, 0xd8, 0xd8, 0xe0, 0xe0, 0xe6, 0xe6, 0xea, 0xea, 0xec, 0xec, 0xec, 0xec, 0xe8, 0xe8, 0xe2, 0xe2, 0xda, 0xda, 0xd0, 0xd0, 
0xc7, 0xc7, 0xbd, 0xbd, 0xb3, 0xb3, 0xaa, 0xaa, 0xa2, 0xa2, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7a, 0x7a, 
0x6f, 0x6f, 0x61, 0x61, 0x53, 0x53, 0x46, 0x46, 0x3b, 0x3b, 0x31, 0x31, 0x2a, 0x2a, 0x25, 0x25, 0x21, 0x21, 0x1d, 0x1d, 0x1a, 0x1a, 0x15, 0x15, 0x10, 0x10, 
0x09, 0x09, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x06, 0x06, 0x11, 0x11, 0x22, 0x22, 0x35, 0x35, 0x4a, 0x4a, 0x5c, 0x5c, 0x6d, 0x6d, 0x7a, 0x7a, 
0x85, 0x85, 0x8d, 0x8d, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 
0xbd, 0xbd, 0xbf, 0xbf, 0xc2, 0xc2, 0xc5, 0xc5, 0xca, 0xca, 0xd1, 0xd1, 0xd8, 0xd8, 0xe0, 0xe0, 0xe7, 0xe7, 0xec, 0xec, 0xf1, 0xf1, 0xf3, 0xf3, 0xf4, 0xf4, 
0xf4, 0xf4, 0xf4, 0xf4, 0xf3, 0xf3, 0xf4, 0xf4, 0xf6, 0xf6, 0xf9, 0xf9, 0xfb, 0xfb, 0xfb, 0xfb, 0xf9, 0xf9, 0xf4, 0xf4, 0xee, 0xee, 0xe8, 0xe8, 0xe3, 0xe3, 
0xe0, 0xe0, 0xdf, 0xdf, 0xe2, 0xe2, 0xe8, 0xe8, 0xf0, 0xf0, 0xf6, 0xf6, 0xf8, 0xf8, 0xf2, 0xf2, 0xe6, 0xe6, 0xd2, 0xd2, 0xb4, 0xb4, 0x8e, 0x8e, 0x63, 0x63, 
0x3c, 0x3c, 0x1d, 0x1d, 0x0a, 0x0a, 0x02, 0x02, 0x02, 0x02, 0x05, 0x05, 0x0c, 0x0c, 0x13, 0x13, 0x1c, 0x1c, 0x25, 0x25, 0x30, 0x30, 0x3c, 0x3c, 0x47, 0x47, 
0x4f, 0x4f, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x67, 0x67, 0x6d, 0x6d, 0x77, 0x77, 0x82, 0x82, 0x90, 0x90, 0x9c, 0x9c, 0xa6, 0xa6, 
0xac, 0xac, 0xaf, 0xaf, 0xb0, 0xb0, 0xb2, 0xb2, 0xb4, 0xb4, 0xb6, 0xb6, 0xb8, 0xb8, 0xb9, 0xb9, 0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 
0xab, 0xab, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 
0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7a, 0x7a, 0x6f, 0x6f, 0x61, 0x61, 0x52, 0x52, 0x41, 0x41, 0x31, 0x31, 0x22, 0x22, 0x16, 0x16, 
0x0e, 0x0e, 0x0c, 0x0c, 0x0e, 0x0e, 0x13, 0x13, 0x1b, 0x1b, 0x24, 0x24, 0x2f, 0x2f, 0x3b, 0x3b, 0x48, 0x48, 0x56, 0x56, 0x65, 0x65, 0x71, 0x71, 0x7b, 0x7b, 
0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8d, 0x8d, 0x94, 0x94, 0x9c, 0x9c, 0xa4, 0xa4, 0xa9, 0xa9, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 0xa4, 0xa4, 0xa2, 0xa2, 
0xa1, 0xa1, 0xa2, 0xa2, 0xa7, 0xa7, 0xae, 0xae, 0xb8, 0xb8, 0xc1, 0xc1, 0xc8, 0xc8, 0xcd, 0xcd, 0xcf, 0xcf, 0xcd, 0xcd, 0xc7, 0xc7, 0xbe, 0xbe, 0xb2, 0xb2, 
0xa4, 0xa4, 0x97, 0x97, 0x89, 0x89, 0x7c, 0x7c, 0x71, 0x71, 0x67, 0x67, 0x5f, 0x5f, 0x57, 0x57, 0x50, 0x50, 0x48, 0x48, 0x3f, 0x3f, 0x36, 0x36, 0x2d, 0x2d, 
0x27, 0x27, 0x23, 0x23, 0x21, 0x21, 0x20, 0x20, 0x1f, 0x1f, 0x1d, 0x1d, 0x1b, 0x1b, 0x19, 0x19, 0x18, 0x18, 0x1a, 0x1a, 0x1d, 0x1d, 0x21, 0x21, 0x27, 0x27, 
0x2e, 0x2e, 0x37, 0x37, 0x41, 0x41, 0x4d, 0x4d, 0x5b, 0x5b, 0x6a, 0x6a, 0x78, 0x78, 0x83, 0x83, 0x8b, 0x8b, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 
0x8b, 0x8b, 0x8a, 0x8a, 0x8c, 0x8c, 0x91, 0x91, 0x99, 0x99, 0xa2, 0xa2, 0xac, 0xac, 0xb6, 0xb6, 0xbf, 0xbf, 0xc7, 0xc7, 0xcc, 0xcc, 0xcf, 0xcf, 0xd0, 0xd0, 
0xcf, 0xcf, 0xcc, 0xcc, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb6, 0xb6, 0xaf, 0xaf, 0xa9, 0xa9, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7a, 0x7a, 0x70, 0x70, 0x66, 0x66, 0x5c, 0x5c, 0x52, 0x52, 0x47, 0x47, 0x3c, 0x3c, 
0x2f, 0x2f, 0x22, 0x22, 0x17, 0x17, 0x0f, 0x0f, 0x0a, 0x0a, 0x09, 0x09, 0x0d, 0x0d, 0x14, 0x14, 0x20, 0x20, 0x2e, 0x2e, 0x3c, 0x3c, 0x4a, 0x4a, 0x57, 0x57, 
0x61, 0x61, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 
0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 
0xac, 0xac, 0xb2, 0xb2, 0xb8, 0xb8, 0xbb, 0xbb, 0xbc, 0xbc, 0xb9, 0xb9, 0xb3, 0xb3, 0xab, 0xab, 0xa4, 0xa4, 0x9e, 0x9e, 0x99, 0x99, 0x96, 0x96, 0x96, 0x96, 
0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 0xac, 0xac, 0xa9, 0xa9, 0xa3, 0xa3, 0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 
0x8a, 0x8a, 0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 
0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 
0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x52, 0x52, 0x56, 0x56, 0x5c, 0x5c, 0x64, 0x64, 0x6b, 0x6b, 
0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x71, 0x71, 0x77, 0x77, 0x81, 0x81, 
0x8f, 0x8f, 0x9e, 0x9e, 0xab, 0xab, 0xb7, 0xb7, 0xbf, 0xbf, 0xc1, 0xc1, 0xbc, 0xbc, 0xae, 0xae, 0x99, 0x99, 0x80, 0x80, 0x66, 0x66, 0x4a, 0x4a, 0x31, 0x31, 
0x1d, 0x1d, 0x12, 0x12, 0x10, 0x10, 0x16, 0x16, 0x21, 0x21, 0x30, 0x30, 0x42, 0x42, 0x54, 0x54, 0x65, 0x65, 0x74, 0x74, 0x7f, 0x7f, 0x89, 0x89, 0x91, 0x91, 
0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xa8, 0xa8, 0xa7, 0xa7, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 
0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x67, 0x67, 0x60, 0x60, 
0x59, 0x59, 0x52, 0x52, 0x4c, 0x4c, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3a, 0x3a, 0x38, 0x38, 0x37, 0x37, 0x37, 0x37, 0x39, 0x39, 0x3c, 0x3c, 0x41, 0x41, 
0x47, 0x47, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 0x5f, 0x5f, 0x62, 0x62, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x42, 0x42, 
0x40, 0x40, 0x43, 0x43, 0x4a, 0x4a, 0x54, 0x54, 0x60, 0x60, 0x6d, 0x6d, 0x7a, 0x7a, 0x88, 0x88, 0x94, 0x94, 0xa0, 0xa0, 0xaa, 0xaa, 0xb2, 0xb2, 0xb7, 0xb7, 
0xb9, 0xb9, 0xb8, 0xb8, 0xb6, 0xb6, 0xb2, 0xb2, 0xad, 0xad, 0xa8, 0xa8, 0xa3, 0xa3, 0xa0, 0xa0, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 0xa2, 0xa2, 0xa6, 0xa6, 
0xaa, 0xaa, 0xac, 0xac, 0xab, 0xab, 0xa7, 0xa7, 0xa0, 0xa0, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 0x84, 0x84, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6b, 0x6b, 0x62, 0x62, 0x58, 0x58, 0x4d, 0x4d, 0x43, 0x43, 0x3c, 0x3c, 0x37, 0x37, 0x36, 0x36, 0x37, 0x37, 
0x3d, 0x3d, 0x45, 0x45, 0x50, 0x50, 0x59, 0x59, 0x5f, 0x5f, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5a, 0x5a, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 
0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x9a, 0x9a, 0xa3, 0xa3, 0xab, 0xab, 0xb3, 0xb3, 0xb9, 0xb9, 0xbc, 0xbc, 0xbb, 0xbb, 
0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xad, 0xad, 0xac, 0xac, 0xae, 0xae, 0xb4, 0xb4, 0xbf, 0xbf, 0xcc, 0xcc, 0xd8, 0xd8, 0xe1, 0xe1, 0xe4, 0xe4, 0xe3, 0xe3, 
0xde, 0xde, 0xd5, 0xd5, 0xca, 0xca, 0xbd, 0xbd, 0xb1, 0xb1, 0xa6, 0xa6, 0x9d, 0x9d, 0x96, 0x96, 0x90, 0x90, 0x8c, 0x8c, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 
0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x60, 0x60, 0x59, 0x59, 0x53, 0x53, 0x4c, 0x4c, 0x44, 0x44, 0x3b, 0x3b, 
0x2f, 0x2f, 0x23, 0x23, 0x17, 0x17, 0x0e, 0x0e, 0x08, 0x08, 0x05, 0x05, 0x04, 0x04, 0x04, 0x04, 0x06, 0x06, 0x08, 0x08, 0x0c, 0x0c, 0x11, 0x11, 0x17, 0x17, 
0x20, 0x20, 0x2b, 0x2b, 0x38, 0x38, 0x48, 0x48, 0x59, 0x59, 0x69, 0x69, 0x76, 0x76, 0x7f, 0x7f, 0x85, 0x85, 0x87, 0x87, 0x85, 0x85, 0x80, 0x80, 0x79, 0x79, 
0x73, 0x73, 0x6f, 0x6f, 0x6d, 0x6d, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x7f, 0x7f, 0x88, 0x88, 0x92, 0x92, 0x9b, 0x9b, 0xa4, 0xa4, 0xac, 0xac, 0xb4, 0xb4, 
0xbb, 0xbb, 0xc1, 0xc1, 0xc6, 0xc6, 0xc9, 0xc9, 0xc7, 0xc7, 0xc0, 0xc0, 0xb6, 0xb6, 0xa9, 0xa9, 0x9c, 0x9c, 0x8f, 0x8f, 0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 
0x71, 0x71, 0x72, 0x72, 0x76, 0x76, 0x7d, 0x7d, 0x86, 0x86, 0x90, 0x90, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 
0x96, 0x96, 0x8f, 0x8f, 0x84, 0x84, 0x78, 0x78, 0x69, 0x69, 0x5b, 0x5b, 0x4f, 0x4f, 0x46, 0x46, 0x3f, 0x3f, 0x3c, 0x3c, 0x3c, 0x3c, 0x3f, 0x3f, 0x44, 0x44, 
0x4b, 0x4b, 0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 
0x59, 0x59, 0x60, 0x60, 0x6a, 0x6a, 0x74, 0x74, 0x7e, 0x7e, 0x87, 0x87, 0x8e, 0x8e, 0x94, 0x94, 0x9a, 0x9a, 0xa0, 0xa0, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 
0xac, 0xac, 0xaa, 0xaa, 0xa6, 0xa6, 0xa0, 0xa0, 0x97, 0x97, 0x8d, 0x8d, 0x84, 0x84, 0x7d, 0x7d, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 
0x88, 0x88, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8d, 0x8d, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 
0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8d, 0x8d, 0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa6, 0xa6, 0xaa, 0xaa, 0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 
0xa7, 0xa7, 0xa6, 0xa6, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 
0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 0xb1, 0xb1, 0xb1, 0xb1, 0xae, 0xae, 0xa6, 0xa6, 0x9b, 0x9b, 0x8b, 0x8b, 
0x78, 0x78, 0x65, 0x65, 0x52, 0x52, 0x42, 0x42, 0x35, 0x35, 0x2c, 0x2c, 0x29, 0x29, 0x2d, 0x2d, 0x34, 0x34, 0x3f, 0x3f, 0x4a, 0x4a, 0x56, 0x56, 0x60, 0x60, 
0x68, 0x68, 0x6e, 0x6e, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x52, 0x52, 0x4c, 0x4c, 0x48, 0x48, 
0x47, 0x47, 0x48, 0x48, 0x4d, 0x4d, 0x53, 0x53, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 
0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x91, 0x91, 
0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 0xa5, 0xa5, 0xa5, 0xa5, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 
0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 
0x6c, 0x6c, 0x70, 0x70, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 0x80, 0x80, 0x7e, 0x7e, 0x79, 0x79, 0x71, 0x71, 0x68, 0x68, 0x5e, 0x5e, 0x55, 0x55, 0x4e, 0x4e, 
0x48, 0x48, 0x44, 0x44, 0x43, 0x43, 0x45, 0x45, 0x49, 0x49, 0x4f, 0x4f, 0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 
0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 
0x5d, 0x5d, 0x62, 0x62, 0x6b, 0x6b, 0x77, 0x77, 0x86, 0x86, 0x98, 0x98, 0xab, 0xab, 0xbd, 0xbd, 0xcd, 0xcd, 0xd8, 0xd8, 0xdc, 0xdc, 0xdc, 0xdc, 0xd7, 0xd7, 
0xcf, 0xcf, 0xc6, 0xc6, 0xbd, 0xbd, 0xb3, 0xb3, 0xaa, 0xaa, 0xa3, 0xa3, 0x9c, 0x9c, 0x97, 0x97, 0x94, 0x94, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 
0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x71, 0x71, 
0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x84, 0x84, 
0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 
0x87, 0x87, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x82, 0x82, 0x7a, 0x7a, 0x72, 0x72, 
0x6b, 0x6b, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x78, 0x78, 
0x78, 0x78, 0x77, 0x77, 0x73, 0x73, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 0x56, 0x56, 0x5d, 0x5d, 
0x65, 0x65, 0x6f, 0x6f, 0x7a, 0x7a, 0x85, 0x85, 0x8f, 0x8f, 0x99, 0x99, 0xa1, 0xa1, 0xa7, 0xa7, 0xab, 0xab, 0xac, 0xac, 0xaa, 0xaa, 0xa5, 0xa5, 0xa0, 0xa0, 
0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x8a, 0x8a, 
0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x87, 0x87, 0x8c, 0x8c, 0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 
0x96, 0x96, 0x8e, 0x8e, 0x84, 0x84, 0x79, 0x79, 0x6d, 0x6d, 0x63, 0x63, 0x5b, 0x5b, 0x57, 0x57, 0x57, 0x57, 0x5a, 0x5a, 0x5f, 0x5f, 0x67, 0x67, 0x6f, 0x6f, 
0x77, 0x77, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x80, 0x80, 0x7b, 0x7b, 0x74, 0x74, 0x6c, 0x6c, 0x64, 0x64, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x5c, 0x5c, 
0x63, 0x63, 0x6f, 0x6f, 0x7d, 0x7d, 0x8b, 0x8b, 0x94, 0x94, 0x99, 0x99, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x88, 0x88, 
0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x8f, 0x8f, 0x86, 0x86, 0x7c, 0x7c, 0x72, 0x72, 0x6a, 0x6a, 0x65, 0x65, 
0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x6f, 0x6f, 
0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x65, 0x65, 0x6e, 0x6e, 0x78, 0x78, 0x83, 0x83, 0x8d, 0x8d, 0x96, 0x96, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x83, 0x83, 0x79, 0x79, 0x70, 0x70, 0x6b, 0x6b, 0x6c, 0x6c, 0x71, 0x71, 0x79, 0x79, 0x82, 0x82, 
0x8a, 0x8a, 0x92, 0x92, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x97, 0x97, 0x9a, 0x9a, 
0xa0, 0xa0, 0xa7, 0xa7, 0xae, 0xae, 0xb5, 0xb5, 0xba, 0xba, 0xbd, 0xbd, 0xbc, 0xbc, 0xb7, 0xb7, 0xaf, 0xaf, 0xa5, 0xa5, 0x9c, 0x9c, 0x94, 0x94, 0x8c, 0x8c, 
0x84, 0x84, 0x7c, 0x7c, 0x72, 0x72, 0x67, 0x67, 0x5c, 0x5c, 0x52, 0x52, 0x47, 0x47, 0x3d, 0x3d, 0x35, 0x35, 0x2d, 0x2d, 0x27, 0x27, 0x23, 0x23, 0x1f, 0x1f, 
0x1c, 0x1c, 0x19, 0x19, 0x18, 0x18, 0x16, 0x16, 0x15, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x15, 0x15, 0x18, 0x18, 0x1c, 0x1c, 0x22, 0x22, 0x2b, 0x2b, 
0x38, 0x38, 0x47, 0x47, 0x58, 0x58, 0x6a, 0x6a, 0x7d, 0x7d, 0x8f, 0x8f, 0xa0, 0xa0, 0xad, 0xad, 0xb6, 0xb6, 0xbc, 0xbc, 0xc0, 0xc0, 0xc2, 0xc2, 0xc2, 0xc2, 
0xc2, 0xc2, 0xc1, 0xc1, 0xbf, 0xbf, 0xbb, 0xbb, 0xb7, 0xb7, 0xb4, 0xb4, 0xb2, 0xb2, 0xb3, 0xb3, 0xb5, 0xb5, 0xb9, 0xb9, 0xbf, 0xbf, 0xc7, 0xc7, 0xcf, 0xcf, 
0xd6, 0xd6, 0xdb, 0xdb, 0xde, 0xde, 0xe0, 0xe0, 0xe1, 0xe1, 0xe2, 0xe2, 0xe5, 0xe5, 0xe7, 0xe7, 0xea, 0xea, 0xea, 0xea, 0xe9, 0xe9, 0xe5, 0xe5, 0xdf, 0xdf, 
0xd8, 0xd8, 0xd0, 0xd0, 0xc6, 0xc6, 0xbb, 0xbb, 0xae, 0xae, 0x9f, 0x9f, 0x90, 0x90, 0x80, 0x80, 0x71, 0x71, 0x62, 0x62, 0x55, 0x55, 0x4a, 0x4a, 0x42, 0x42, 
0x3c, 0x3c, 0x39, 0x39, 0x36, 0x36, 0x32, 0x32, 0x2c, 0x2c, 0x25, 0x25, 0x1e, 0x1e, 0x19, 0x19, 0x15, 0x15, 0x13, 0x13, 0x15, 0x15, 0x1a, 0x1a, 0x22, 0x22, 
0x2d, 0x2d, 0x3a, 0x3a, 0x47, 0x47, 0x53, 0x53, 0x60, 0x60, 0x6a, 0x6a, 0x74, 0x74, 0x7c, 0x7c, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb7, 0xb7, 0xbb, 0xbb, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 
0xc3, 0xc3, 0xc1, 0xc1, 0xbf, 0xbf, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xb1, 0xb1, 0xaf, 0xaf, 0xaf, 0xaf, 0xb0, 0xb0, 0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 
0xb5, 0xb5, 0xb2, 0xb2, 0xae, 0xae, 0xa8, 0xa8, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 0x74, 0x74, 0x69, 0x69, 0x60, 0x60, 0x57, 0x57, 
0x50, 0x50, 0x49, 0x49, 0x44, 0x44, 0x3f, 0x3f, 0x3b, 0x3b, 0x36, 0x36, 0x31, 0x31, 0x2c, 0x2c, 0x26, 0x26, 0x22, 0x22, 0x21, 0x21, 0x22, 0x22, 0x26, 0x26, 
0x2e, 0x2e, 0x37, 0x37, 0x44, 0x44, 0x51, 0x51, 0x5e, 0x5e, 0x6a, 0x6a, 0x73, 0x73, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 
0x87, 0x87, 0x8b, 0x8b, 0x91, 0x91, 0x98, 0x98, 0xa1, 0xa1, 0xaa, 0xaa, 0xb4, 0xb4, 0xbd, 0xbd, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xcb, 0xcb, 0xc9, 0xc9, 
0xc5, 0xc5, 0xbf, 0xbf, 0xb8, 0xb8, 0xb1, 0xb1, 0xaa, 0xaa, 0xa3, 0xa3, 0x9b, 0x9b, 0x92, 0x92, 0x87, 0x87, 0x7c, 0x7c, 0x72, 0x72, 0x69, 0x69, 0x64, 0x64, 
0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x51, 0x51, 0x4c, 0x4c, 0x46, 0x46, 0x41, 0x41, 0x3d, 0x3d, 0x3a, 0x3a, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 
0x39, 0x39, 0x39, 0x39, 0x38, 0x38, 0x37, 0x37, 0x35, 0x35, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x35, 0x35, 0x36, 0x36, 0x37, 0x37, 0x38, 0x38, 0x39, 0x39, 
0x3a, 0x3a, 0x3c, 0x3c, 0x3f, 0x3f, 0x41, 0x41, 0x44, 0x44, 0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x51, 0x51, 0x59, 0x59, 0x63, 0x63, 0x6f, 0x6f, 0x7c, 0x7c, 
0x8b, 0x8b, 0x9b, 0x9b, 0xaa, 0xaa, 0xb9, 0xb9, 0xc6, 0xc6, 0xd1, 0xd1, 0xda, 0xda, 0xe0, 0xe0, 0xe3, 0xe3, 0xe5, 0xe5, 0xe5, 0xe5, 0xe4, 0xe4, 0xe4, 0xe4, 
0xe3, 0xe3, 0xe2, 0xe2, 0xe1, 0xe1, 0xdf, 0xdf, 0xde, 0xde, 0xdb, 0xdb, 0xd7, 0xd7, 0xd2, 0xd2, 0xcc, 0xcc, 0xc4, 0xc4, 0xbb, 0xbb, 0xb0, 0xb0, 0xa4, 0xa4, 
0x98, 0x98, 0x8b, 0x8b, 0x7d, 0x7d, 0x70, 0x70, 0x63, 0x63, 0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x50, 0x50, 0x55, 0x55, 
0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x6d, 0x6d, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 
0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 
0x93, 0x93, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1, 
0x9f, 0x9f, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x89, 0x89, 0x82, 0x82, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 
0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 0x87, 0x87, 0x8e, 0x8e, 0x96, 0x96, 0x9e, 0x9e, 0xa5, 0xa5, 0xab, 0xab, 0xb0, 0xb0, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 
0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xba, 0xba, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xae, 0xae, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xac, 0xac, 0xae, 0xae, 
0xae, 0xae, 0xad, 0xad, 0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 
0x57, 0x57, 0x4d, 0x4d, 0x44, 0x44, 0x3b, 0x3b, 0x33, 0x33, 0x2c, 0x2c, 0x27, 0x27, 0x23, 0x23, 0x21, 0x21, 0x1f, 0x1f, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 
0x1f, 0x1f, 0x21, 0x21, 0x25, 0x25, 0x2a, 0x2a, 0x30, 0x30, 0x38, 0x38, 0x42, 0x42, 0x4d, 0x4d, 0x59, 0x59, 0x65, 0x65, 0x71, 0x71, 0x7c, 0x7c, 0x86, 0x86, 
0x8d, 0x8d, 0x92, 0x92, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x81, 0x81, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x86, 0x86, 0x8c, 0x8c, 0x93, 0x93, 
0x9a, 0x9a, 0x9f, 0x9f, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8c, 0x8c, 0x88, 0x88, 0x87, 0x87, 0x89, 0x89, 0x8f, 0x8f, 
0x99, 0x99, 0xa6, 0xa6, 0xb6, 0xb6, 0xc3, 0xc3, 0xcc, 0xcc, 0xcf, 0xcf, 0xcb, 0xcb, 0xc3, 0xc3, 0xb7, 0xb7, 0xa7, 0xa7, 0x96, 0x96, 0x85, 0x85, 0x78, 0x78, 
0x6d, 0x6d, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x4f, 0x4f, 0x45, 0x45, 0x3b, 0x3b, 0x30, 0x30, 0x26, 0x26, 
0x1d, 0x1d, 0x19, 0x19, 0x1a, 0x1a, 0x21, 0x21, 0x2d, 0x2d, 0x3c, 0x3c, 0x4d, 0x4d, 0x60, 0x60, 0x72, 0x72, 0x83, 0x83, 0x8f, 0x8f, 0x98, 0x98, 0x9e, 0x9e, 
0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x9d, 0x9d, 0xa3, 0xa3, 0xaa, 0xaa, 0xb3, 0xb3, 0xbb, 0xbb, 
0xbf, 0xbf, 0xc0, 0xc0, 0xbc, 0xbc, 0xb6, 0xb6, 0xac, 0xac, 0x9f, 0x9f, 0x92, 0x92, 0x87, 0x87, 0x7e, 0x7e, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x80, 0x80, 
0x86, 0x86, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0x9e, 0x9e, 0x9b, 0x9b, 0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 
0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 0x50, 0x50, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 0x52, 0x52, 0x57, 0x57, 
0x5c, 0x5c, 0x60, 0x60, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x74, 0x74, 0x7b, 0x7b, 0x82, 0x82, 0x8a, 0x8a, 0x91, 0x91, 0x98, 0x98, 0x9d, 0x9d, 
0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xa9, 0xa9, 0xad, 0xad, 0xb2, 0xb2, 0xb8, 0xb8, 0xbe, 0xbe, 0xc2, 0xc2, 0xc5, 0xc5, 0xc5, 0xc5, 0xc4, 0xc4, 0xc0, 0xc0, 
0xbb, 0xbb, 0xb3, 0xb3, 0xab, 0xab, 0xa1, 0xa1, 0x97, 0x97, 0x8c, 0x8c, 0x82, 0x82, 0x7b, 0x7b, 0x76, 0x76, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 
0x77, 0x77, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x56, 0x56, 0x4f, 0x4f, 0x47, 0x47, 0x3c, 0x3c, 
0x31, 0x31, 0x26, 0x26, 0x1c, 0x1c, 0x13, 0x13, 0x0e, 0x0e, 0x0e, 0x0e, 0x14, 0x14, 0x1e, 0x1e, 0x2c, 0x2c, 0x3d, 0x3d, 0x4f, 0x4f, 0x63, 0x63, 0x76, 0x76, 
0x87, 0x87, 0x97, 0x97, 0xa4, 0xa4, 0xad, 0xad, 0xb3, 0xb3, 0xb3, 0xb3, 0xb1, 0xb1, 0xae, 0xae, 0xab, 0xab, 0xab, 0xab, 0xac, 0xac, 0xaf, 0xaf, 0xb4, 0xb4, 
0xba, 0xba, 0xc2, 0xc2, 0xc9, 0xc9, 0xce, 0xce, 0xd3, 0xd3, 0xd7, 0xd7, 0xd9, 0xd9, 0xdb, 0xdb, 0xdd, 0xdd, 0xde, 0xde, 0xdd, 0xdd, 0xda, 0xda, 0xd3, 0xd3, 
0xcb, 0xcb, 0xc2, 0xc2, 0xba, 0xba, 0xb2, 0xb2, 0xab, 0xab, 0xa5, 0xa5, 0xa0, 0xa0, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 0x8b, 0x8b, 0x84, 0x84, 0x7d, 0x7d, 
0x75, 0x75, 0x6d, 0x6d, 0x64, 0x64, 0x5b, 0x5b, 0x50, 0x50, 0x45, 0x45, 0x38, 0x38, 0x2b, 0x2b, 0x1f, 0x1f, 0x15, 0x15, 0x0d, 0x0d, 0x08, 0x08, 0x05, 0x05, 
0x03, 0x03, 0x02, 0x02, 0x03, 0x03, 0x05, 0x05, 0x08, 0x08, 0x0e, 0x0e, 0x16, 0x16, 0x1e, 0x1e, 0x28, 0x28, 0x32, 0x32, 0x3c, 0x3c, 0x45, 0x45, 0x4d, 0x4d, 
0x52, 0x52, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 0x83, 0x83, 0x91, 0x91, 
0xa1, 0xa1, 0xb3, 0xb3, 0xc5, 0xc5, 0xd6, 0xd6, 0xe5, 0xe5, 0xf0, 0xf0, 0xf7, 0xf7, 0xf9, 0xf9, 0xf7, 0xf7, 0xf2, 0xf2, 0xed, 0xed, 0xe8, 0xe8, 0xe4, 0xe4, 
0xe0, 0xe0, 0xdd, 0xdd, 0xdb, 0xdb, 0xda, 0xda, 0xd9, 0xd9, 0xd7, 0xd7, 0xd6, 0xd6, 0xd4, 0xd4, 0xd0, 0xd0, 0xc9, 0xc9, 0xc0, 0xc0, 0xb3, 0xb3, 0xa5, 0xa5, 
0x96, 0x96, 0x86, 0x86, 0x77, 0x77, 0x68, 0x68, 0x5b, 0x5b, 0x51, 0x51, 0x48, 0x48, 0x42, 0x42, 0x3e, 0x3e, 0x3b, 0x3b, 0x3a, 0x3a, 0x3a, 0x3a, 0x3c, 0x3c, 
0x40, 0x40, 0x45, 0x45, 0x49, 0x49, 0x4d, 0x4d, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x54, 0x54, 
0x58, 0x58, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 
0x87, 0x87, 0x8d, 0x8d, 0x95, 0x95, 0x9e, 0x9e, 0xa8, 0xa8, 0xb2, 0xb2, 0xbd, 0xbd, 0xc6, 0xc6, 0xce, 0xce, 0xd3, 0xd3, 0xd6, 0xd6, 0xd6, 0xd6, 0xd4, 0xd4, 
0xd0, 0xd0, 0xcc, 0xcc, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb6, 0xb6, 0xb0, 0xb0, 0xa9, 0xa9, 0xa1, 0xa1, 0x99, 0x99, 0x90, 0x90, 0x86, 0x86, 0x79, 0x79, 
0x6b, 0x6b, 0x5b, 0x5b, 0x4c, 0x4c, 0x3e, 0x3e, 0x33, 0x33, 0x2c, 0x2c, 0x28, 0x28, 0x2a, 0x2a, 0x31, 0x31, 0x3c, 0x3c, 0x4a, 0x4a, 0x5a, 0x5a, 0x6a, 0x6a, 
0x7a, 0x7a, 0x89, 0x89, 0x96, 0x96, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xaa, 0xaa, 0xa4, 0xa4, 0x9c, 0x9c, 0x93, 0x93, 0x8c, 0x8c, 0x86, 0x86, 0x82, 0x82, 
0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x7f, 0x7f, 0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x5e, 0x5e, 0x5a, 0x5a, 
0x59, 0x59, 0x5a, 0x5a, 0x5e, 0x5e, 0x66, 0x66, 0x72, 0x72, 0x81, 0x81, 0x93, 0x93, 0xa5, 0xa5, 0xb6, 0xb6, 0xc4, 0xc4, 0xce, 0xce, 0xd4, 0xd4, 0xd5, 0xd5, 
0xd1, 0xd1, 0xc8, 0xc8, 0xbe, 0xbe, 0xb3, 0xb3, 0xa9, 0xa9, 0x9f, 0x9f, 0x97, 0x97, 0x90, 0x90, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 
0x6b, 0x6b, 0x62, 0x62, 0x57, 0x57, 0x4a, 0x4a, 0x3c, 0x3c, 0x30, 0x30, 0x26, 0x26, 0x20, 0x20, 0x1d, 0x1d, 0x1e, 0x1e, 0x22, 0x22, 0x29, 0x29, 0x31, 0x31, 
0x3a, 0x3a, 0x43, 0x43, 0x4c, 0x4c, 0x55, 0x55, 0x5e, 0x5e, 0x69, 0x69, 0x74, 0x74, 0x80, 0x80, 0x8c, 0x8c, 0x96, 0x96, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 
0xa8, 0xa8, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9d, 0x9d, 0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 
0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8d, 0x8d, 0x92, 0x92, 0x98, 0x98, 0x9f, 0x9f, 0xa7, 0xa7, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 
0xb9, 0xb9, 0xb7, 0xb7, 0xb2, 0xb2, 0xaa, 0xaa, 0xa0, 0xa0, 0x96, 0x96, 0x8d, 0x8d, 0x87, 0x87, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x8c, 0x8c, 0x94, 0x94, 
0x9b, 0x9b, 0xa2, 0xa2, 0xa5, 0xa5, 0xa6, 0xa6, 0xa3, 0xa3, 0x9b, 0x9b, 0x8e, 0x8e, 0x7f, 0x7f, 0x6e, 0x6e, 0x5e, 0x5e, 0x50, 0x50, 0x45, 0x45, 0x3d, 0x3d, 
0x3a, 0x3a, 0x3b, 0x3b, 0x40, 0x40, 0x47, 0x47, 0x4f, 0x4f, 0x59, 0x59, 0x63, 0x63, 0x6e, 0x6e, 0x79, 0x79, 0x85, 0x85, 0x8f, 0x8f, 0x98, 0x98, 0x9f, 0x9f, 
0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 
0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x77, 0x77, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 
0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x7f, 0x7f, 0x78, 0x78, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 
0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 0x88, 0x88, 0x90, 0x90, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 
0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 0x9d, 0x9d, 0x9f, 0x9f, 
0x9f, 0x9f, 0x9e, 0x9e, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x81, 0x81, 0x76, 0x76, 0x6a, 0x6a, 0x60, 0x60, 0x58, 0x58, 0x53, 0x53, 0x52, 0x52, 0x55, 0x55, 
0x5a, 0x5a, 0x61, 0x61, 0x6a, 0x6a, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 0x7a, 0x7a, 
0x72, 0x72, 0x6b, 0x6b, 0x64, 0x64, 0x5d, 0x5d, 0x59, 0x59, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 
0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 
0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb6, 0xb6, 0xbd, 0xbd, 0xc2, 0xc2, 0xc4, 0xc4, 0xc4, 0xc4, 0xc1, 0xc1, 
0xbd, 0xbd, 0xb6, 0xb6, 0xaf, 0xaf, 0xa6, 0xa6, 0x9e, 0x9e, 0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 
0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 
0x54, 0x54, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x3f, 0x3f, 0x3c, 0x3c, 0x3b, 0x3b, 0x3c, 0x3c, 0x40, 0x40, 0x45, 0x45, 0x4b, 0x4b, 0x52, 0x52, 
0x5a, 0x5a, 0x60, 0x60, 0x65, 0x65, 0x67, 0x67, 0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x60, 0x60, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x53, 0x53, 0x54, 0x54, 
0x56, 0x56, 0x5c, 0x5c, 0x65, 0x65, 0x71, 0x71, 0x7e, 0x7e, 0x8c, 0x8c, 0x99, 0x99, 0xa7, 0xa7, 0xb2, 0xb2, 0xbb, 0xbb, 0xc1, 0xc1, 0xc4, 0xc4, 0xc4, 0xc4, 
0xc2, 0xc2, 0xbd, 0xbd, 0xb6, 0xb6, 0xb0, 0xb0, 0xaa, 0xaa, 0xa5, 0xa5, 0xa3, 0xa3, 0xa3, 0xa3, 0xa5, 0xa5, 0xab, 0xab, 0xb2, 0xb2, 0xb9, 0xb9, 0xbe, 0xbe, 
0xc0, 0xc0, 0xbf, 0xbf, 0xbb, 0xbb, 0xb5, 0xb5, 0xad, 0xad, 0xa3, 0xa3, 0x9a, 0x9a, 0x92, 0x92, 0x8b, 0x8b, 0x84, 0x84, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 
0x6a, 0x6a, 0x62, 0x62, 0x59, 0x59, 0x50, 0x50, 0x48, 0x48, 0x40, 0x40, 0x3b, 0x3b, 0x37, 0x37, 0x36, 0x36, 0x38, 0x38, 0x3c, 0x3c, 0x42, 0x42, 0x4a, 0x4a, 
0x52, 0x52, 0x59, 0x59, 0x5e, 0x5e, 0x61, 0x61, 0x62, 0x62, 0x60, 0x60, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x50, 0x50, 
0x56, 0x56, 0x5f, 0x5f, 0x6a, 0x6a, 0x76, 0x76, 0x83, 0x83, 0x91, 0x91, 0x9e, 0x9e, 0xa9, 0xa9, 0xb2, 0xb2, 0xb8, 0xb8, 0xbc, 0xbc, 0xbd, 0xbd, 0xbc, 0xbc, 
0xbb, 0xbb, 0xb8, 0xb8, 0xb6, 0xb6, 0xb4, 0xb4, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xb1, 0xb1, 0xb0, 0xb0, 0xaf, 0xaf, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 
0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xba, 0xba, 0xbd, 0xbd, 0xbf, 0xbf, 0xc0, 0xc0, 0xbe, 0xbe, 0xba, 0xba, 0xb4, 0xb4, 0xac, 0xac, 0xa2, 0xa2, 0x97, 0x97, 
0x8c, 0x8c, 0x81, 0x81, 0x78, 0x78, 0x70, 0x70, 0x6a, 0x6a, 0x67, 0x67, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6b, 0x6b, 0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4c, 0x4c, 0x49, 0x49, 0x47, 0x47, 0x47, 0x47, 
0x4a, 0x4a, 0x4e, 0x4e, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 
0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x8d, 0x8d, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 
0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x70, 0x70, 0x76, 0x76, 0x7d, 0x7d, 0x83, 0x83, 0x86, 0x86, 0x86, 0x86, 0x82, 0x82, 0x7a, 0x7a, 0x71, 0x71, 0x67, 0x67, 
0x5e, 0x5e, 0x55, 0x55, 0x50, 0x50, 0x4f, 0x4f, 0x52, 0x52, 0x59, 0x59, 0x62, 0x62, 0x6d, 0x6d, 0x77, 0x77, 0x81, 0x81, 0x8a, 0x8a, 0x91, 0x91, 0x95, 0x95, 
0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x94, 0x94, 
0x8f, 0x8f, 0x87, 0x87, 0x7e, 0x7e, 0x74, 0x74, 0x69, 0x69, 0x5e, 0x5e, 0x53, 0x53, 0x49, 0x49, 0x41, 0x41, 0x3a, 0x3a, 0x34, 0x34, 0x30, 0x30, 0x2f, 0x2f, 
0x30, 0x30, 0x32, 0x32, 0x37, 0x37, 0x3f, 0x3f, 0x48, 0x48, 0x53, 0x53, 0x60, 0x60, 0x6f, 0x6f, 0x80, 0x80, 0x91, 0x91, 0xa1, 0xa1, 0xaf, 0xaf, 0xba, 0xba, 
0xc2, 0xc2, 0xc7, 0xc7, 0xc8, 0xc8, 0xc5, 0xc5, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 0xa8, 0xa8, 0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 
0x90, 0x90, 0x93, 0x93, 0x98, 0x98, 0x9f, 0x9f, 0xa6, 0xa6, 0xad, 0xad, 0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 0xbc, 0xbc, 0xba, 0xba, 0xb7, 0xb7, 0xb3, 0xb3, 
0xae, 0xae, 0xa8, 0xa8, 0xa3, 0xa3, 0x9d, 0x9d, 0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x82, 0x82, 
0x87, 0x87, 0x8c, 0x8c, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x97, 0x97, 0x94, 0x94, 0x8e, 0x8e, 0x84, 0x84, 0x77, 0x77, 0x69, 0x69, 0x5b, 0x5b, 0x4e, 0x4e, 
0x41, 0x41, 0x37, 0x37, 0x31, 0x31, 0x2f, 0x2f, 0x31, 0x31, 0x36, 0x36, 0x3d, 0x3d, 0x47, 0x47, 0x52, 0x52, 0x5d, 0x5d, 0x67, 0x67, 0x71, 0x71, 0x79, 0x79, 
0x7f, 0x7f, 0x82, 0x82, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x66, 0x66, 0x63, 0x63, 0x63, 0x63, 0x66, 0x66, 0x6d, 0x6d, 0x75, 0x75, 
0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 
0xa4, 0xa4, 0xa8, 0xa8, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa2, 0xa2, 0x9d, 0x9d, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x87, 0x87, 0x8a, 0x8a, 
0x90, 0x90, 0x99, 0x99, 0xa3, 0xa3, 0xae, 0xae, 0xb8, 0xb8, 0xc0, 0xc0, 0xc4, 0xc4, 0xc4, 0xc4, 0xc0, 0xc0, 0xb7, 0xb7, 0xaa, 0xaa, 0x99, 0x99, 0x85, 0x85, 
0x71, 0x71, 0x5e, 0x5e, 0x4c, 0x4c, 0x3d, 0x3d, 0x31, 0x31, 0x2b, 0x2b, 0x29, 0x29, 0x2b, 0x2b, 0x30, 0x30, 0x36, 0x36, 0x3c, 0x3c, 0x41, 0x41, 0x46, 0x46, 
0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 0x4f, 0x4f, 0x52, 0x52, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6f, 0x6f, 0x78, 0x78, 0x80, 0x80, 0x86, 0x86, 0x89, 0x89, 
0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 0x68, 0x68, 0x6d, 0x6d, 0x74, 0x74, 0x7e, 0x7e, 0x88, 0x88, 
0x93, 0x93, 0x9c, 0x9c, 0xa2, 0xa2, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 
0x8a, 0x8a, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 
0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x67, 0x67, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x5a, 0x5a, 0x5f, 0x5f, 0x67, 0x67, 0x70, 0x70, 0x7a, 0x7a, 
0x85, 0x85, 0x90, 0x90, 0x98, 0x98, 0x9e, 0x9e, 0xa2, 0xa2, 0xa3, 0xa3, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x97, 0x97, 0x98, 0x98, 
0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 0xad, 0xad, 0xad, 0xad, 0xaa, 0xaa, 0xa4, 0xa4, 0x9d, 0x9d, 0x94, 0x94, 0x8b, 0x8b, 0x81, 0x81, 
0x79, 0x79, 0x71, 0x71, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4e, 0x4e, 0x48, 0x48, 0x43, 0x43, 0x3e, 0x3e, 
0x3d, 0x3d, 0x3d, 0x3d, 0x40, 0x40, 0x45, 0x45, 0x4b, 0x4b, 0x52, 0x52, 0x58, 0x58, 0x5d, 0x5d, 0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x57, 0x57, 0x4f, 0x4f, 
0x45, 0x45, 0x3b, 0x3b, 0x32, 0x32, 0x2d, 0x2d, 0x2b, 0x2b, 0x2d, 0x2d, 0x33, 0x33, 0x3f, 0x3f, 0x51, 0x51, 0x65, 0x65, 0x7c, 0x7c, 0x93, 0x93, 0xa8, 0xa8, 
0xbc, 0xbc, 0xcd, 0xcd, 0xd8, 0xd8, 0xde, 0xde, 0xe0, 0xe0, 0xde, 0xde, 0xda, 0xda, 0xd4, 0xd4, 0xce, 0xce, 0xc9, 0xc9, 0xc6, 0xc6, 0xc7, 0xc7, 0xca, 0xca, 
0xce, 0xce, 0xd2, 0xd2, 0xd5, 0xd5, 0xd6, 0xd6, 0xd5, 0xd5, 0xd0, 0xd0, 0xc7, 0xc7, 0xbb, 0xbb, 0xae, 0xae, 0xa0, 0xa0, 0x93, 0x93, 0x86, 0x86, 0x7b, 0x7b, 
0x71, 0x71, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x54, 0x54, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 
0x4b, 0x4b, 0x4e, 0x4e, 0x52, 0x52, 0x57, 0x57, 0x5b, 0x5b, 0x5e, 0x5e, 0x5f, 0x5f, 0x5e, 0x5e, 0x59, 0x59, 0x52, 0x52, 0x4a, 0x4a, 0x40, 0x40, 0x37, 0x37, 
0x2e, 0x2e, 0x27, 0x27, 0x22, 0x22, 0x21, 0x21, 0x22, 0x22, 0x26, 0x26, 0x2e, 0x2e, 0x37, 0x37, 0x43, 0x43, 0x50, 0x50, 0x5c, 0x5c, 0x69, 0x69, 0x74, 0x74, 
0x7f, 0x7f, 0x8a, 0x8a, 0x93, 0x93, 0x9c, 0x9c, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc6, 0xc6, 0xcd, 0xcd, 0xd2, 0xd2, 0xd6, 0xd6, 0xd9, 0xd9, 
0xda, 0xda, 0xd9, 0xd9, 0xd8, 0xd8, 0xd5, 0xd5, 0xd1, 0xd1, 0xcd, 0xcd, 0xc9, 0xc9, 0xc4, 0xc4, 0xc1, 0xc1, 0xbd, 0xbd, 0xba, 0xba, 0xb7, 0xb7, 0xb3, 0xb3, 
0xae, 0xae, 0xa9, 0xa9, 0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 
0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 0x5b, 0x5b, 0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x3b, 0x3b, 0x39, 0x39, 0x37, 0x37, 
0x36, 0x36, 0x34, 0x34, 0x33, 0x33, 0x31, 0x31, 0x30, 0x30, 0x2f, 0x2f, 0x30, 0x30, 0x31, 0x31, 0x35, 0x35, 0x3c, 0x3c, 0x47, 0x47, 0x55, 0x55, 0x66, 0x66, 
0x78, 0x78, 0x8b, 0x8b, 0x9e, 0x9e, 0xb0, 0xb0, 0xc1, 0xc1, 0xd0, 0xd0, 0xdc, 0xdc, 0xe5, 0xe5, 0xeb, 0xeb, 0xec, 0xec, 0xeb, 0xeb, 0xe8, 0xe8, 0xe2, 0xe2, 
0xdb, 0xdb, 0xd3, 0xd3, 0xcc, 0xcc, 0xc6, 0xc6, 0xc1, 0xc1, 0xbe, 0xbe, 0xbb, 0xbb, 0xb7, 0xb7, 0xb3, 0xb3, 0xad, 0xad, 0xa6, 0xa6, 0x9e, 0x9e, 0x94, 0x94, 
0x89, 0x89, 0x7d, 0x7d, 0x71, 0x71, 0x66, 0x66, 0x5b, 0x5b, 0x53, 0x53, 0x4e, 0x4e, 0x4c, 0x4c, 0x4c, 0x4c, 0x4f, 0x4f, 0x53, 0x53, 0x57, 0x57, 0x5b, 0x5b, 
0x5d, 0x5d, 0x5c, 0x5c, 0x57, 0x57, 0x4f, 0x4f, 0x46, 0x46, 0x3d, 0x3d, 0x36, 0x36, 0x30, 0x30, 0x2c, 0x2c, 0x29, 0x29, 0x29, 0x29, 0x2b, 0x2b, 0x2d, 0x2d, 
0x30, 0x30, 0x33, 0x33, 0x37, 0x37, 0x3c, 0x3c, 0x41, 0x41, 0x48, 0x48, 0x50, 0x50, 0x59, 0x59, 0x63, 0x63, 0x6e, 0x6e, 0x7b, 0x7b, 0x88, 0x88, 0x97, 0x97, 
0xa6, 0xa6, 0xb6, 0xb6, 0xc3, 0xc3, 0xce, 0xce, 0xd4, 0xd4, 0xd8, 0xd8, 0xd8, 0xd8, 0xd6, 0xd6, 0xd2, 0xd2, 0xcc, 0xcc, 0xc6, 0xc6, 0xc0, 0xc0, 0xb9, 0xb9, 
0xb3, 0xb3, 0xac, 0xac, 0xa6, 0xa6, 0xa1, 0xa1, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 
0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x75, 0x75, 
0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5a, 0x5a, 0x55, 0x55, 0x51, 0x51, 0x4e, 0x4e, 0x4c, 0x4c, 0x4c, 0x4c, 0x4c, 0x4c, 0x4d, 0x4d, 0x4e, 0x4e, 
0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x55, 0x55, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x81, 0x81, 0x91, 0x91, 0xa2, 0xa2, 0xb1, 0xb1, 0xbf, 0xbf, 
0xcb, 0xcb, 0xd5, 0xd5, 0xde, 0xde, 0xe7, 0xe7, 0xee, 0xee, 0xf3, 0xf3, 0xf5, 0xf5, 0xf3, 0xf3, 0xef, 0xef, 0xe7, 0xe7, 0xde, 0xde, 0xd2, 0xd2, 0xc6, 0xc6, 
0xb9, 0xb9, 0xad, 0xad, 0xa2, 0xa2, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 
0x5c, 0x5c, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x69, 0x69, 0x6f, 0x6f, 0x76, 0x76, 0x7c, 0x7c, 0x7f, 0x7f, 0x7e, 0x7e, 0x79, 0x79, 0x72, 0x72, 0x67, 0x67, 
0x5b, 0x5b, 0x4e, 0x4e, 0x42, 0x42, 0x39, 0x39, 0x33, 0x33, 0x31, 0x31, 0x30, 0x30, 0x30, 0x30, 0x31, 0x31, 0x31, 0x31, 0x32, 0x32, 0x33, 0x33, 0x35, 0x35, 
0x37, 0x37, 0x3b, 0x3b, 0x3f, 0x3f, 0x44, 0x44, 0x4a, 0x4a, 0x51, 0x51, 0x59, 0x59, 0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x82, 0x82, 0x8d, 0x8d, 0x98, 0x98, 
0xa2, 0xa2, 0xab, 0xab, 0xb1, 0xb1, 0xb7, 0xb7, 0xbc, 0xbc, 0xc2, 0xc2, 0xca, 0xca, 0xd3, 0xd3, 0xdb, 0xdb, 0xe2, 0xe2, 0xe8, 0xe8, 0xeb, 0xeb, 0xec, 0xec, 
0xe9, 0xe9, 0xe3, 0xe3, 0xd9, 0xd9, 0xcd, 0xcd, 0xbe, 0xbe, 0xae, 0xae, 0x9c, 0x9c, 0x8b, 0x8b, 0x7b, 0x7b, 0x6e, 0x6e, 0x63, 0x63, 0x5c, 0x5c, 0x5a, 0x5a, 
0x5d, 0x5d, 0x63, 0x63, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x6e, 0x6e, 0x6b, 0x6b, 0x65, 0x65, 0x5e, 0x5e, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 0x48, 0x48, 
0x48, 0x48, 0x4a, 0x4a, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x6c, 0x6c, 0x6f, 0x6f, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6a, 0x6a, 
0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 
0x68, 0x68, 0x6b, 0x6b, 0x71, 0x71, 0x7a, 0x7a, 0x84, 0x84, 0x8f, 0x8f, 0x9b, 0x9b, 0xa5, 0xa5, 0xae, 0xae, 0xb4, 0xb4, 0xb7, 0xb7, 0xb7, 0xb7, 0xb2, 0xb2, 
0xa8, 0xa8, 0x9a, 0x9a, 0x8d, 0x8d, 0x80, 0x80, 0x75, 0x75, 0x6e, 0x6e, 0x6a, 0x6a, 0x6a, 0x6a, 0x6d, 0x6d, 0x73, 0x73, 0x7a, 0x7a, 0x80, 0x80, 0x84, 0x84, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x83, 0x83, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x84, 0x84, 0x8b, 0x8b, 0x93, 0x93, 
0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb6, 0xb6, 0xbb, 0xbb, 0xbf, 0xbf, 0xc2, 0xc2, 0xc5, 0xc5, 0xc8, 0xc8, 0xca, 0xca, 0xcb, 0xcb, 0xcc, 0xcc, 
0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb5, 0xb5, 0xaf, 0xaf, 0xa9, 0xa9, 0xa3, 0xa3, 0x9c, 0x9c, 0x95, 0x95, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 
0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8c, 0x8c, 0x8c, 0x8c, 0x88, 0x88, 0x81, 0x81, 0x78, 0x78, 0x6d, 0x6d, 0x60, 0x60, 
0x53, 0x53, 0x48, 0x48, 0x3e, 0x3e, 0x36, 0x36, 0x31, 0x31, 0x2f, 0x2f, 0x2e, 0x2e, 0x2f, 0x2f, 0x32, 0x32, 0x34, 0x34, 0x34, 0x34, 0x32, 0x32, 0x2f, 0x2f, 
0x2b, 0x2b, 0x28, 0x28, 0x27, 0x27, 0x27, 0x27, 0x2b, 0x2b, 0x33, 0x33, 0x3f, 0x3f, 0x4e, 0x4e, 0x5d, 0x5d, 0x6a, 0x6a, 0x74, 0x74, 0x7b, 0x7b, 0x80, 0x80, 
0x81, 0x81, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7f, 0x7f, 0x85, 0x85, 0x8d, 0x8d, 0x98, 0x98, 0xa4, 0xa4, 0xb0, 0xb0, 0xba, 0xba, 
0xc2, 0xc2, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc4, 0xc4, 0xbe, 0xbe, 0xb8, 0xb8, 0xb2, 0xb2, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 
0x99, 0x99, 0x94, 0x94, 0x8e, 0x8e, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x54, 0x54, 0x49, 0x49, 0x40, 0x40, 
0x38, 0x38, 0x34, 0x34, 0x34, 0x34, 0x37, 0x37, 0x3e, 0x3e, 0x46, 0x46, 0x50, 0x50, 0x5a, 0x5a, 0x64, 0x64, 0x6b, 0x6b, 0x70, 0x70, 0x73, 0x73, 0x73, 0x73, 
0x71, 0x71, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x71, 0x71, 0x7a, 0x7a, 0x84, 0x84, 0x8e, 0x8e, 0x96, 0x96, 
0x9d, 0x9d, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa2, 0xa2, 0xa0, 0xa0, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 
0x99, 0x99, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x77, 0x77, 0x6b, 0x6b, 0x60, 0x60, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 
0x4f, 0x4f, 0x52, 0x52, 0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x64, 0x64, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 
0x4f, 0x4f, 0x51, 0x51, 0x57, 0x57, 0x61, 0x61, 0x6e, 0x6e, 0x7f, 0x7f, 0x91, 0x91, 0xa2, 0xa2, 0xb0, 0xb0, 0xba, 0xba, 0xc1, 0xc1, 0xc5, 0xc5, 0xc6, 0xc6, 
0xc5, 0xc5, 0xc3, 0xc3, 0xc2, 0xc2, 0xc2, 0xc2, 0xc3, 0xc3, 0xc7, 0xc7, 0xcb, 0xcb, 0xce, 0xce, 0xd2, 0xd2, 0xd3, 0xd3, 0xd3, 0xd3, 0xd0, 0xd0, 0xca, 0xca, 
0xc2, 0xc2, 0xb9, 0xb9, 0xb1, 0xb1, 0xaa, 0xaa, 0xa5, 0xa5, 0xa3, 0xa3, 0xa5, 0xa5, 0xa9, 0xa9, 0xb0, 0xb0, 0xb5, 0xb5, 0xb8, 0xb8, 0xb8, 0xb8, 0xb3, 0xb3, 
0xab, 0xab, 0x9e, 0x9e, 0x8c, 0x8c, 0x78, 0x78, 0x63, 0x63, 0x4e, 0x4e, 0x3c, 0x3c, 0x2c, 0x2c, 0x21, 0x21, 0x19, 0x19, 0x17, 0x17, 0x19, 0x19, 0x1e, 0x1e, 
0x25, 0x25, 0x2d, 0x2d, 0x35, 0x35, 0x3c, 0x3c, 0x40, 0x40, 0x42, 0x42, 0x40, 0x40, 0x3d, 0x3d, 0x39, 0x39, 0x35, 0x35, 0x31, 0x31, 0x2e, 0x2e, 0x2d, 0x2d, 
0x2f, 0x2f, 0x33, 0x33, 0x39, 0x39, 0x40, 0x40, 0x48, 0x48, 0x52, 0x52, 0x5b, 0x5b, 0x66, 0x66, 0x71, 0x71, 0x7c, 0x7c, 0x89, 0x89, 0x97, 0x97, 0xa5, 0xa5, 
0xb4, 0xb4, 0xc2, 0xc2, 0xce, 0xce, 0xd8, 0xd8, 0xdf, 0xdf, 0xe3, 0xe3, 0xe4, 0xe4, 0xe2, 0xe2, 0xdd, 0xdd, 0xd7, 0xd7, 0xd2, 0xd2, 0xce, 0xce, 0xcc, 0xcc, 
0xcc, 0xcc, 0xce, 0xce, 0xd4, 0xd4, 0xdb, 0xdb, 0xe2, 0xe2, 0xea, 0xea, 0xef, 0xef, 0xf4, 0xf4, 0xf5, 0xf5, 0xf3, 0xf3, 0xee, 0xee, 0xe5, 0xe5, 0xda, 0xda, 
0xcc, 0xcc, 0xbc, 0xbc, 0xab, 0xab, 0x98, 0x98, 0x86, 0x86, 0x74, 0x74, 0x62, 0x62, 0x51, 0x51, 0x41, 0x41, 0x33, 0x33, 0x27, 0x27, 0x1c, 0x1c, 0x14, 0x14, 
0x0e, 0x0e, 0x0b, 0x0b, 0x09, 0x09, 0x08, 0x08, 0x09, 0x09, 0x0a, 0x0a, 0x0c, 0x0c, 0x0d, 0x0d, 0x0f, 0x0f, 0x10, 0x10, 0x10, 0x10, 0x11, 0x11, 0x11, 0x11, 
0x12, 0x12, 0x14, 0x14, 0x18, 0x18, 0x1d, 0x1d, 0x23, 0x23, 0x2c, 0x2c, 0x35, 0x35, 0x40, 0x40, 0x4b, 0x4b, 0x56, 0x56, 0x60, 0x60, 0x69, 0x69, 0x71, 0x71, 
0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x9b, 0x9b, 0xa1, 0xa1, 0xa8, 0xa8, 0xb0, 0xb0, 0xb9, 0xb9, 0xc3, 0xc3, 0xce, 0xce, 
0xd8, 0xd8, 0xe2, 0xe2, 0xec, 0xec, 0xf4, 0xf4, 0xf9, 0xf9, 0xfc, 0xfc, 0xfc, 0xfc, 0xfb, 0xfb, 0xf8, 0xf8, 0xf4, 0xf4, 0xf0, 0xf0, 0xec, 0xec, 0xe8, 0xe8, 
0xe4, 0xe4, 0xe1, 0xe1, 0xdd, 0xdd, 0xda, 0xda, 0xd6, 0xd6, 0xd1, 0xd1, 0xca, 0xca, 0xc0, 0xc0, 0xb2, 0xb2, 0xa2, 0xa2, 0x8f, 0x8f, 0x79, 0x79, 0x62, 0x62, 
0x4b, 0x4b, 0x36, 0x36, 0x24, 0x24, 0x15, 0x15, 0x0b, 0x0b, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x06, 0x06, 0x0c, 0x0c, 0x14, 0x14, 
0x1c, 0x1c, 0x25, 0x25, 0x2e, 0x2e, 0x37, 0x37, 0x41, 0x41, 0x4c, 0x4c, 0x57, 0x57, 0x62, 0x62, 0x6d, 0x6d, 0x77, 0x77, 0x80, 0x80, 0x87, 0x87, 0x8c, 0x8c, 
0x8e, 0x8e, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x83, 0x83, 0x88, 0x88, 0x8f, 0x8f, 0x98, 0x98, 0xa4, 0xa4, 
0xb1, 0xb1, 0xbf, 0xbf, 0xcc, 0xcc, 0xd7, 0xd7, 0xde, 0xde, 0xe2, 0xe2, 0xe1, 0xe1, 0xdb, 0xdb, 0xcf, 0xcf, 0xc0, 0xc0, 0xaf, 0xaf, 0x9e, 0x9e, 0x8f, 0x8f, 
0x83, 0x83, 0x7a, 0x7a, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x72, 0x72, 0x6a, 0x6a, 0x61, 0x61, 
0x57, 0x57, 0x4f, 0x4f, 0x49, 0x49, 0x46, 0x46, 0x45, 0x45, 0x48, 0x48, 0x4d, 0x4d, 0x54, 0x54, 0x5c, 0x5c, 0x63, 0x63, 0x69, 0x69, 0x6d, 0x6d, 0x71, 0x71, 
0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8c, 0x8c, 0x93, 0x93, 0x9b, 0x9b, 0xa3, 0xa3, 0xa9, 0xa9, 0xae, 0xae, 0xb2, 0xb2, 0xb4, 0xb4, 0xb6, 0xb6, 0xb7, 0xb7, 
0xb8, 0xb8, 0xb9, 0xb9, 0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xba, 0xba, 0xb7, 0xb7, 0xb4, 0xb4, 0xaf, 0xaf, 0xa9, 0xa9, 0xa2, 0xa2, 0x9a, 0x9a, 
0x92, 0x92, 0x8b, 0x8b, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 
0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x62, 0x62, 0x5e, 0x5e, 0x59, 0x59, 0x51, 0x51, 0x46, 0x46, 0x3b, 0x3b, 0x30, 0x30, 
0x27, 0x27, 0x20, 0x20, 0x1c, 0x1c, 0x1d, 0x1d, 0x22, 0x22, 0x2c, 0x2c, 0x3b, 0x3b, 0x4c, 0x4c, 0x5e, 0x5e, 0x71, 0x71, 0x83, 0x83, 0x93, 0x93, 0x9e, 0x9e, 
0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9f, 0x9f, 0xa6, 0xa6, 0xb0, 0xb0, 
0xbb, 0xbb, 0xc6, 0xc6, 0xd0, 0xd0, 0xd7, 0xd7, 0xdc, 0xdc, 0xdf, 0xdf, 0xde, 0xde, 0xda, 0xda, 0xd4, 0xd4, 0xcd, 0xcd, 0xc7, 0xc7, 0xc2, 0xc2, 0xbd, 0xbd, 
0xb9, 0xb9, 0xb4, 0xb4, 0xad, 0xad, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x81, 0x81, 0x72, 0x72, 0x62, 0x62, 0x51, 0x51, 0x41, 0x41, 0x31, 0x31, 0x24, 0x24, 
0x1b, 0x1b, 0x16, 0x16, 0x15, 0x15, 0x16, 0x16, 0x1b, 0x1b, 0x22, 0x22, 0x2a, 0x2a, 0x33, 0x33, 0x39, 0x39, 0x3f, 0x3f, 0x43, 0x43, 0x46, 0x46, 0x4b, 0x4b, 
0x51, 0x51, 0x58, 0x58, 0x60, 0x60, 0x69, 0x69, 0x72, 0x72, 0x7b, 0x7b, 0x84, 0x84, 0x8d, 0x8d, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xac, 0xac, 
0xb0, 0xb0, 0xb2, 0xb2, 0xb3, 0xb3, 0xb2, 0xb2, 0xb0, 0xb0, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x80, 0x80, 
0x79, 0x79, 0x76, 0x76, 0x76, 0x76, 0x79, 0x79, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 0x98, 0x98, 0xa1, 0xa1, 0xa7, 0xa7, 0xab, 0xab, 0xad, 0xad, 0xad, 0xad, 
0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9c, 0x9c, 0x95, 0x95, 0x8e, 0x8e, 0x86, 0x86, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x67, 0x67, 0x60, 0x60, 
0x58, 0x58, 0x4e, 0x4e, 0x45, 0x45, 0x3e, 0x3e, 0x39, 0x39, 0x37, 0x37, 0x38, 0x38, 0x3c, 0x3c, 0x43, 0x43, 0x4c, 0x4c, 0x55, 0x55, 0x5d, 0x5d, 0x63, 0x63, 
0x66, 0x66, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x89, 0x89, 
0x92, 0x92, 0x9a, 0x9a, 0xa0, 0xa0, 0xa6, 0xa6, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa8, 0xa8, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 
0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x82, 0x82, 0x79, 0x79, 
0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 
0x5b, 0x5b, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x74, 0x74, 0x70, 0x70, 0x6a, 0x6a, 
0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x5a, 0x5a, 0x5d, 0x5d, 0x65, 0x65, 0x73, 0x73, 0x84, 0x84, 0x96, 0x96, 0xa6, 0xa6, 0xb4, 0xb4, 0xbd, 0xbd, 0xc2, 0xc2, 
0xc4, 0xc4, 0xc1, 0xc1, 0xbc, 0xbc, 0xb5, 0xb5, 0xaf, 0xaf, 0xaa, 0xaa, 0xa7, 0xa7, 0xa5, 0xa5, 0xa6, 0xa6, 0xaa, 0xaa, 0xaf, 0xaf, 0xb4, 0xb4, 0xba, 0xba, 
0xbd, 0xbd, 0xc0, 0xc0, 0xbf, 0xbf, 0xba, 0xba, 0xb1, 0xb1, 0xa6, 0xa6, 0x99, 0x99, 0x8e, 0x8e, 0x84, 0x84, 0x7c, 0x7c, 0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 
0x68, 0x68, 0x65, 0x65, 0x60, 0x60, 0x5b, 0x5b, 0x55, 0x55, 0x4e, 0x4e, 0x45, 0x45, 0x3b, 0x3b, 0x30, 0x30, 0x25, 0x25, 0x1b, 0x1b, 0x11, 0x11, 0x0a, 0x0a, 
0x07, 0x07, 0x08, 0x08, 0x0e, 0x0e, 0x18, 0x18, 0x26, 0x26, 0x35, 0x35, 0x45, 0x45, 0x55, 0x55, 0x63, 0x63, 0x6f, 0x6f, 0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 
0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x91, 0x91, 0x99, 0x99, 0xa2, 0xa2, 0xab, 0xab, 0xb5, 0xb5, 0xbe, 0xbe, 0xc5, 0xc5, 0xc9, 0xc9, 0xc8, 0xc8, 
0xc2, 0xc2, 0xb8, 0xb8, 0xac, 0xac, 0xa1, 0xa1, 0x98, 0x98, 0x92, 0x92, 0x90, 0x90, 0x92, 0x92, 0x99, 0x99, 0xa3, 0xa3, 0xaf, 0xaf, 0xba, 0xba, 0xc4, 0xc4, 
0xcb, 0xcb, 0xcf, 0xcf, 0xce, 0xce, 0xc7, 0xc7, 0xbc, 0xbc, 0xad, 0xad, 0x9b, 0x9b, 0x88, 0x88, 0x75, 0x75, 0x64, 0x64, 0x5a, 0x5a, 0x56, 0x56, 0x57, 0x57, 
0x5c, 0x5c, 0x63, 0x63, 0x6a, 0x6a, 0x71, 0x71, 0x74, 0x74, 0x73, 0x73, 0x6c, 0x6c, 0x60, 0x60, 0x52, 0x52, 0x42, 0x42, 0x31, 0x31, 0x21, 0x21, 0x13, 0x13, 
0x0a, 0x0a, 0x06, 0x06, 0x07, 0x07, 0x0e, 0x0e, 0x1a, 0x1a, 0x2b, 0x2b, 0x3f, 0x3f, 0x52, 0x52, 0x63, 0x63, 0x70, 0x70, 0x7a, 0x7a, 0x81, 0x81, 0x87, 0x87, 
0x8c, 0x8c, 0x91, 0x91, 0x97, 0x97, 0xa1, 0xa1, 0xad, 0xad, 0xbb, 0xbb, 0xca, 0xca, 0xd8, 0xd8, 0xe5, 0xe5, 0xf0, 0xf0, 0xf7, 0xf7, 0xfa, 0xfa, 0xf9, 0xf9, 
0xf4, 0xf4, 0xec, 0xec, 0xe1, 0xe1, 0xd5, 0xd5, 0xc8, 0xc8, 0xbd, 0xbd, 0xb6, 0xb6, 0xb3, 0xb3, 0xb4, 0xb4, 0xb6, 0xb6, 0xb8, 0xb8, 0xb9, 0xb9, 0xb7, 0xb7, 
0xb3, 0xb3, 0xab, 0xab, 0x9f, 0x9f, 0x91, 0x91, 0x83, 0x83, 0x76, 0x76, 0x6b, 0x6b, 0x63, 0x63, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 
0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x67, 0x67, 0x62, 0x62, 0x59, 0x59, 0x4e, 0x4e, 0x43, 0x43, 0x3a, 0x3a, 0x32, 0x32, 0x2e, 0x2e, 0x2c, 0x2c, 0x2d, 0x2d, 
0x31, 0x31, 0x36, 0x36, 0x3b, 0x3b, 0x40, 0x40, 0x43, 0x43, 0x45, 0x45, 0x46, 0x46, 0x48, 0x48, 0x49, 0x49, 0x4b, 0x4b, 0x4e, 0x4e, 0x52, 0x52, 0x56, 0x56, 
0x5b, 0x5b, 0x61, 0x61, 0x68, 0x68, 0x71, 0x71, 0x7a, 0x7a, 0x84, 0x84, 0x8d, 0x8d, 0x96, 0x96, 0x9f, 0x9f, 0xa7, 0xa7, 0xad, 0xad, 0xb2, 0xb2, 0xb5, 0xb5, 
0xb8, 0xb8, 0xba, 0xba, 0xbc, 0xbc, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xbc, 0xbc, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb2, 0xb2, 0xb1, 0xb1, 0xaf, 0xaf, 
0xad, 0xad, 0xab, 0xab, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 
0x7a, 0x7a, 0x73, 0x73, 0x6d, 0x6d, 0x69, 0x69, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 0x83, 0x83, 0x84, 0x84, 
0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 
0x53, 0x53, 0x4f, 0x4f, 0x4a, 0x4a, 0x45, 0x45, 0x41, 0x41, 0x3d, 0x3d, 0x3b, 0x3b, 0x3a, 0x3a, 0x3c, 0x3c, 0x3f, 0x3f, 0x44, 0x44, 0x4b, 0x4b, 0x53, 0x53, 
0x5c, 0x5c, 0x65, 0x65, 0x6f, 0x6f, 0x7a, 0x7a, 0x84, 0x84, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa1, 0xa1, 0xa2, 0xa2, 0xa1, 0xa1, 0x9e, 0x9e, 0x99, 0x99, 
0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 0x8d, 0x8d, 
0x92, 0x92, 0x97, 0x97, 0x9d, 0x9d, 0xa3, 0xa3, 0xa9, 0xa9, 0xad, 0xad, 0xae, 0xae, 0xac, 0xac, 0xa7, 0xa7, 0xa0, 0xa0, 0x95, 0x95, 0x88, 0x88, 0x7a, 0x7a, 
0x6d, 0x6d, 0x65, 0x65, 0x62, 0x62, 0x64, 0x64, 0x6c, 0x6c, 0x79, 0x79, 0x8c, 0x8c, 0xa2, 0xa2, 0xb7, 0xb7, 0xc9, 0xc9, 0xd5, 0xd5, 0xdc, 0xdc, 0xdd, 0xdd, 
0xd7, 0xd7, 0xcb, 0xcb, 0xbb, 0xbb, 0xa8, 0xa8, 0x96, 0x96, 0x84, 0x84, 0x75, 0x75, 0x68, 0x68, 0x5e, 0x5e, 0x59, 0x59, 0x57, 0x57, 0x56, 0x56, 0x57, 0x57, 
0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 
0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x83, 0x83, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 
0x8c, 0x8c, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 
0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8b, 0x8b, 0x85, 0x85, 
0x7d, 0x7d, 0x74, 0x74, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 
0x68, 0x68, 0x63, 0x63, 0x5d, 0x5d, 0x58, 0x58, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x40, 0x40, 0x3f, 0x3f, 0x3f, 0x3f, 0x40, 0x40, 
0x45, 0x45, 0x4e, 0x4e, 0x5b, 0x5b, 0x6c, 0x6c, 0x7e, 0x7e, 0x92, 0x92, 0xa6, 0xa6, 0xb9, 0xb9, 0xc8, 0xc8, 0xd1, 0xd1, 0xd3, 0xd3, 0xd0, 0xd0, 0xc8, 0xc8, 
0xbd, 0xbd, 0xb0, 0xb0, 0xa3, 0xa3, 0x97, 0x97, 0x8f, 0x8f, 0x8b, 0x8b, 0x8b, 0x8b, 0x8e, 0x8e, 0x95, 0x95, 0x9e, 0x9e, 0xa9, 0xa9, 0xb1, 0xb1, 0xb7, 0xb7, 
0xb7, 0xb7, 0xb3, 0xb3, 0xac, 0xac, 0xa1, 0xa1, 0x94, 0x94, 0x87, 0x87, 0x7a, 0x7a, 0x71, 0x71, 0x6b, 0x6b, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 
0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 
0x68, 0x68, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5b, 0x5b, 0x54, 0x54, 0x4e, 0x4e, 0x4b, 0x4b, 0x4c, 0x4c, 0x50, 0x50, 0x58, 0x58, 
0x61, 0x61, 0x6b, 0x6b, 0x76, 0x76, 0x80, 0x80, 0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 0xa1, 0xa1, 0xa6, 0xa6, 0xa9, 0xa9, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 
0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9a, 0x9a, 0x95, 0x95, 0x8f, 0x8f, 
0x8b, 0x8b, 0x89, 0x89, 0x8a, 0x8a, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa5, 0xa5, 0xa6, 0xa6, 0xa3, 0xa3, 0x9d, 0x9d, 0x93, 0x93, 0x86, 0x86, 
0x78, 0x78, 0x6a, 0x6a, 0x5d, 0x5d, 0x50, 0x50, 0x47, 0x47, 0x40, 0x40, 0x3e, 0x3e, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x48, 0x48, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4d, 0x4d, 0x4c, 0x4c, 0x4a, 0x4a, 0x47, 0x47, 0x45, 0x45, 0x43, 0x43, 0x41, 0x41, 0x3f, 0x3f, 0x3d, 0x3d, 0x39, 0x39, 0x35, 0x35, 0x32, 0x32, 0x31, 0x31, 
0x32, 0x32, 0x36, 0x36, 0x3d, 0x3d, 0x47, 0x47, 0x55, 0x55, 0x66, 0x66, 0x79, 0x79, 0x8d, 0x8d, 0xa2, 0xa2, 0xb7, 0xb7, 0xc8, 0xc8, 0xd6, 0xd6, 0xde, 0xde, 
0xe1, 0xe1, 0xdf, 0xdf, 0xd9, 0xd9, 0xce, 0xce, 0xc1, 0xc1, 0xb2, 0xb2, 0xa4, 0xa4, 0x96, 0x96, 0x8a, 0x8a, 0x80, 0x80, 0x79, 0x79, 0x75, 0x75, 0x75, 0x75, 
0x77, 0x77, 0x7d, 0x7d, 0x85, 0x85, 0x8f, 0x8f, 0x99, 0x99, 0xa1, 0xa1, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 
0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 0x77, 0x77, 0x69, 0x69, 0x59, 0x59, 0x48, 0x48, 0x37, 0x37, 0x29, 0x29, 0x20, 0x20, 
0x1d, 0x1d, 0x20, 0x20, 0x28, 0x28, 0x35, 0x35, 0x45, 0x45, 0x58, 0x58, 0x6a, 0x6a, 0x78, 0x78, 0x81, 0x81, 0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x89, 0x89, 
0x87, 0x87, 0x88, 0x88, 0x8c, 0x8c, 0x95, 0x95, 0xa2, 0xa2, 0xb1, 0xb1, 0xc0, 0xc0, 0xd0, 0xd0, 0xde, 0xde, 0xe9, 0xe9, 0xed, 0xed, 0xea, 0xea, 0xe1, 0xe1, 
0xd5, 0xd5, 0xc7, 0xc7, 0xb8, 0xb8, 0xaa, 0xaa, 0x9d, 0x9d, 0x92, 0x92, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 0x73, 0x73, 0x6a, 0x6a, 0x5f, 0x5f, 0x54, 0x54, 
0x4a, 0x4a, 0x41, 0x41, 0x3a, 0x3a, 0x36, 0x36, 0x36, 0x36, 0x3a, 0x3a, 0x42, 0x42, 0x4d, 0x4d, 0x5a, 0x5a, 0x69, 0x69, 0x77, 0x77, 0x84, 0x84, 0x8c, 0x8c, 
0x91, 0x91, 0x90, 0x90, 0x8c, 0x8c, 0x82, 0x82, 0x75, 0x75, 0x66, 0x66, 0x57, 0x57, 0x4a, 0x4a, 0x40, 0x40, 0x3a, 0x3a, 0x37, 0x37, 0x38, 0x38, 0x3c, 0x3c, 
0x42, 0x42, 0x4a, 0x4a, 0x52, 0x52, 0x5b, 0x5b, 0x63, 0x63, 0x6b, 0x6b, 0x70, 0x70, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 
0x85, 0x85, 0x90, 0x90, 0xa0, 0xa0, 0xb3, 0xb3, 0xc6, 0xc6, 0xd5, 0xd5, 0xdf, 0xdf, 0xe4, 0xe4, 0xe4, 0xe4, 0xe1, 0xe1, 0xda, 0xda, 0xd2, 0xd2, 0xc9, 0xc9, 
0xc0, 0xc0, 0xb7, 0xb7, 0xaf, 0xaf, 0xa7, 0xa7, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 0x7f, 0x7f, 0x75, 0x75, 0x6c, 0x6c, 0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 
0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x56, 0x56, 0x5e, 0x5e, 0x6a, 0x6a, 0x76, 0x76, 0x81, 0x81, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 
0x83, 0x83, 0x7d, 0x7d, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 
0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9f, 0x9f, 0xa2, 0xa2, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 
0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x83, 0x83, 0x77, 0x77, 
0x6b, 0x6b, 0x5f, 0x5f, 0x55, 0x55, 0x4d, 0x4d, 0x48, 0x48, 0x45, 0x45, 0x42, 0x42, 0x3e, 0x3e, 0x37, 0x37, 0x30, 0x30, 0x28, 0x28, 0x23, 0x23, 0x20, 0x20, 
0x21, 0x21, 0x24, 0x24, 0x2b, 0x2b, 0x35, 0x35, 0x40, 0x40, 0x4a, 0x4a, 0x53, 0x53, 0x59, 0x59, 0x5c, 0x5c, 0x5b, 0x5b, 0x55, 0x55, 0x4a, 0x4a, 0x3e, 0x3e, 
0x30, 0x30, 0x25, 0x25, 0x1e, 0x1e, 0x1b, 0x1b, 0x1e, 0x1e, 0x29, 0x29, 0x3d, 0x3d, 0x56, 0x56, 0x71, 0x71, 0x8d, 0x8d, 0xa6, 0xa6, 0xbc, 0xbc, 0xce, 0xce, 
0xdb, 0xdb, 0xe3, 0xe3, 0xe8, 0xe8, 0xe9, 0xe9, 0xe7, 0xe7, 0xe2, 0xe2, 0xdd, 0xdd, 0xd9, 0xd9, 0xd8, 0xd8, 0xdb, 0xdb, 0xe0, 0xe0, 0xe7, 0xe7, 0xed, 0xed, 
0xf2, 0xf2, 0xf4, 0xf4, 0xf3, 0xf3, 0xed, 0xed, 0xe2, 0xe2, 0xd4, 0xd4, 0xc5, 0xc5, 0xb9, 0xb9, 0xb0, 0xb0, 0xaa, 0xaa, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 
0x9c, 0x9c, 0x96, 0x96, 0x8d, 0x8d, 0x81, 0x81, 0x74, 0x74, 0x66, 0x66, 0x5a, 0x5a, 0x4e, 0x4e, 0x45, 0x45, 0x3c, 0x3c, 0x35, 0x35, 0x30, 0x30, 0x2b, 0x2b, 
0x28, 0x28, 0x26, 0x26, 0x27, 0x27, 0x28, 0x28, 0x2a, 0x2a, 0x2a, 0x2a, 0x29, 0x29, 0x26, 0x26, 0x22, 0x22, 0x1e, 0x1e, 0x1a, 0x1a, 0x16, 0x16, 0x16, 0x16, 
0x1b, 0x1b, 0x24, 0x24, 0x32, 0x32, 0x43, 0x43, 0x54, 0x54, 0x64, 0x64, 0x75, 0x75, 0x84, 0x84, 0x93, 0x93, 0xa2, 0xa2, 0xb1, 0xb1, 0xbd, 0xbd, 0xc6, 0xc6, 
0xcb, 0xcb, 0xcc, 0xcc, 0xcb, 0xcb, 0xc8, 0xc8, 0xc2, 0xc2, 0xbd, 0xbd, 0xb7, 0xb7, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb7, 0xb7, 0xba, 0xba, 0xbd, 0xbd, 
0xbf, 0xbf, 0xc1, 0xc1, 0xc4, 0xc4, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc4, 0xc4, 0xbd, 0xbd, 0xb4, 0xb4, 0xaa, 0xaa, 0xa0, 0xa0, 0x97, 0x97, 0x8f, 0x8f, 
0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 0x71, 0x71, 0x69, 0x69, 0x61, 0x61, 0x59, 0x59, 0x51, 0x51, 0x4a, 0x4a, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 
0x44, 0x44, 0x48, 0x48, 0x4d, 0x4d, 0x53, 0x53, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 0x67, 0x67, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 
0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x73, 0x73, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa3, 0xa3, 
0x9e, 0x9e, 0x99, 0x99, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 0x9a, 0x9a, 0x95, 0x95, 
0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x77, 0x77, 0x6f, 0x6f, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x49, 0x49, 0x46, 0x46, 
0x43, 0x43, 0x41, 0x41, 0x41, 0x41, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x3f, 0x3f, 0x40, 0x40, 0x43, 0x43, 0x49, 0x49, 0x50, 0x50, 0x59, 0x59, 0x62, 0x62, 
0x6b, 0x6b, 0x72, 0x72, 0x78, 0x78, 0x79, 0x79, 0x76, 0x76, 0x71, 0x71, 0x6d, 0x6d, 0x6c, 0x6c, 0x71, 0x71, 0x79, 0x79, 0x84, 0x84, 0x91, 0x91, 0x9e, 0x9e, 
0xa9, 0xa9, 0xb4, 0xb4, 0xbc, 0xbc, 0xc1, 0xc1, 0xc5, 0xc5, 0xc6, 0xc6, 0xc6, 0xc6, 0xc5, 0xc5, 0xc2, 0xc2, 0xc0, 0xc0, 0xbd, 0xbd, 0xbb, 0xbb, 0xb9, 0xb9, 
0xb9, 0xb9, 0xba, 0xba, 0xbd, 0xbd, 0xc1, 0xc1, 0xc3, 0xc3, 0xc3, 0xc3, 0xbe, 0xbe, 0xb7, 0xb7, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x92, 0x92, 0x8a, 0x8a, 
0x82, 0x82, 0x79, 0x79, 0x71, 0x71, 0x68, 0x68, 0x5f, 0x5f, 0x55, 0x55, 0x4a, 0x4a, 0x40, 0x40, 0x36, 0x36, 0x2d, 0x2d, 0x25, 0x25, 0x20, 0x20, 0x1c, 0x1c, 
0x1c, 0x1c, 0x1e, 0x1e, 0x24, 0x24, 0x2d, 0x2d, 0x3a, 0x3a, 0x4a, 0x4a, 0x59, 0x59, 0x65, 0x65, 0x6e, 0x6e, 0x73, 0x73, 0x74, 0x74, 0x72, 0x72, 0x6d, 0x6d, 
0x66, 0x66, 0x63, 0x63, 0x64, 0x64, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x91, 0x91, 0x9a, 0x9a, 0x9f, 0x9f, 0xa0, 0xa0, 0x9d, 0x9d, 0x97, 0x97, 0x8f, 0x8f, 
0x88, 0x88, 0x84, 0x84, 0x84, 0x84, 0x87, 0x87, 0x8c, 0x8c, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa7, 0xa7, 0xae, 0xae, 0xb4, 0xb4, 
0xb9, 0xb9, 0xbc, 0xbc, 0xbd, 0xbd, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xab, 0xab, 0xa3, 0xa3, 0x9b, 0x9b, 0x90, 0x90, 
0x83, 0x83, 0x75, 0x75, 0x66, 0x66, 0x57, 0x57, 0x4a, 0x4a, 0x3d, 0x3d, 0x32, 0x32, 0x2a, 0x2a, 0x24, 0x24, 0x22, 0x22, 0x24, 0x24, 0x2a, 0x2a, 0x36, 0x36, 
0x44, 0x44, 0x54, 0x54, 0x62, 0x62, 0x6d, 0x6d, 0x75, 0x75, 0x7a, 0x7a, 0x7b, 0x7b, 0x79, 0x79, 0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 
0x56, 0x56, 0x58, 0x58, 0x5f, 0x5f, 0x6a, 0x6a, 0x78, 0x78, 0x86, 0x86, 0x94, 0x94, 0xa0, 0xa0, 0xa8, 0xa8, 0xac, 0xac, 0xab, 0xab, 0xa6, 0xa6, 0x9f, 0x9f, 
0x98, 0x98, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 
0x85, 0x85, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 
0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x63, 0x63, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 
0x58, 0x58, 0x62, 0x62, 0x70, 0x70, 0x81, 0x81, 0x94, 0x94, 0xa9, 0xa9, 0xbe, 0xbe, 0xd0, 0xd0, 0xdd, 0xdd, 0xe6, 0xe6, 0xe8, 0xe8, 0xe5, 0xe5, 0xdb, 0xdb, 
0xca, 0xca, 0xb6, 0xb6, 0xa2, 0xa2, 0x92, 0x92, 0x89, 0x89, 0x85, 0x85, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x8a, 0x8a, 0x83, 0x83, 
0x78, 0x78, 0x6b, 0x6b, 0x5d, 0x5d, 0x4e, 0x4e, 0x40, 0x40, 0x37, 0x37, 0x33, 0x33, 0x36, 0x36, 0x3e, 0x3e, 0x48, 0x48, 0x50, 0x50, 0x55, 0x55, 0x57, 0x57, 
0x54, 0x54, 0x4d, 0x4d, 0x41, 0x41, 0x34, 0x34, 0x29, 0x29, 0x24, 0x24, 0x27, 0x27, 0x30, 0x30, 0x3d, 0x3d, 0x4b, 0x4b, 0x58, 0x58, 0x64, 0x64, 0x6e, 0x6e, 
0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x76, 0x76, 0x79, 0x79, 0x80, 0x80, 0x8d, 0x8d, 
0x9f, 0x9f, 0xb3, 0xb3, 0xc7, 0xc7, 0xd6, 0xd6, 0xdf, 0xdf, 0xe4, 0xe4, 0xe4, 0xe4, 0xe2, 0xe2, 0xde, 0xde, 0xd9, 0xd9, 0xd6, 0xd6, 0xd4, 0xd4, 0xd4, 0xd4, 
0xd6, 0xd6, 0xd7, 0xd7, 0xd6, 0xd6, 0xd2, 0xd2, 0xcb, 0xcb, 0xc4, 0xc4, 0xbb, 0xbb, 0xb2, 0xb2, 0xa9, 0xa9, 0x9f, 0x9f, 0x94, 0x94, 0x87, 0x87, 0x79, 0x79, 
0x6a, 0x6a, 0x5d, 0x5d, 0x51, 0x51, 0x47, 0x47, 0x3f, 0x3f, 0x3b, 0x3b, 0x39, 0x39, 0x39, 0x39, 0x39, 0x39, 0x38, 0x38, 0x35, 0x35, 0x31, 0x31, 0x2e, 0x2e, 
0x2c, 0x2c, 0x2e, 0x2e, 0x33, 0x33, 0x39, 0x39, 0x3f, 0x3f, 0x46, 0x46, 0x4c, 0x4c, 0x51, 0x51, 0x53, 0x53, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4d, 0x4d, 
0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x53, 0x53, 0x5c, 0x5c, 0x68, 0x68, 0x76, 0x76, 0x86, 0x86, 0x97, 0x97, 0xa7, 0xa7, 0xb7, 0xb7, 0xc5, 0xc5, 0xd0, 0xd0, 
0xd9, 0xd9, 0xde, 0xde, 0xe0, 0xe0, 0xdf, 0xdf, 0xdb, 0xdb, 0xd6, 0xd6, 0xd1, 0xd1, 0xcd, 0xcd, 0xcb, 0xcb, 0xc9, 0xc9, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 
0xd0, 0xd0, 0xce, 0xce, 0xc8, 0xc8, 0xbf, 0xbf, 0xb4, 0xb4, 0xa9, 0xa9, 0x9e, 0x9e, 0x93, 0x93, 0x89, 0x89, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 
0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x67, 0x67, 0x64, 0x64, 0x5f, 0x5f, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3d, 0x3d, 0x3a, 0x3a, 0x3b, 0x3b, 
0x3e, 0x3e, 0x42, 0x42, 0x45, 0x45, 0x46, 0x46, 0x43, 0x43, 0x3f, 0x3f, 0x3a, 0x3a, 0x38, 0x38, 0x38, 0x38, 0x3c, 0x3c, 0x41, 0x41, 0x47, 0x47, 0x4d, 0x4d, 
0x53, 0x53, 0x57, 0x57, 0x58, 0x58, 0x57, 0x57, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x4a, 0x4a, 0x49, 0x49, 0x4d, 0x4d, 0x56, 0x56, 0x67, 0x67, 0x7c, 0x7c, 
0x94, 0x94, 0xac, 0xac, 0xc3, 0xc3, 0xd7, 0xd7, 0xe7, 0xe7, 0xf1, 0xf1, 0xf5, 0xf5, 0xf3, 0xf3, 0xef, 0xef, 0xe7, 0xe7, 0xdf, 0xdf, 0xd6, 0xd6, 0xce, 0xce, 
0xc8, 0xc8, 0xc4, 0xc4, 0xc1, 0xc1, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xbf, 0xbf, 0xbd, 0xbd, 0xb6, 0xb6, 0xaa, 0xaa, 0x9b, 0x9b, 0x89, 0x89, 0x77, 0x77, 
0x66, 0x66, 0x55, 0x55, 0x48, 0x48, 0x3f, 0x3f, 0x3b, 0x3b, 0x3a, 0x3a, 0x3c, 0x3c, 0x40, 0x40, 0x45, 0x45, 0x4b, 0x4b, 0x51, 0x51, 0x55, 0x55, 0x59, 0x59, 
0x5c, 0x5c, 0x5f, 0x5f, 0x64, 0x64, 0x6b, 0x6b, 0x73, 0x73, 0x7d, 0x7d, 0x87, 0x87, 0x92, 0x92, 0x9c, 0x9c, 0xa4, 0xa4, 0xaa, 0xaa, 0xac, 0xac, 0xac, 0xac, 
0xa9, 0xa9, 0xa4, 0xa4, 0x9e, 0x9e, 0x98, 0x98, 0x93, 0x93, 0x91, 0x91, 0x93, 0x93, 0x97, 0x97, 0x9e, 0x9e, 0xa5, 0xa5, 0xac, 0xac, 0xb3, 0xb3, 0xb8, 0xb8, 
0xbc, 0xbc, 0xbf, 0xbf, 0xc0, 0xc0, 0xbf, 0xbf, 0xbc, 0xbc, 0xb8, 0xb8, 0xb2, 0xb2, 0xaa, 0xaa, 0xa2, 0xa2, 0x98, 0x98, 0x8d, 0x8d, 0x84, 0x84, 0x7c, 0x7c, 
0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x5b, 0x5b, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x43, 0x43, 0x3d, 0x3d, 
0x36, 0x36, 0x30, 0x30, 0x2c, 0x2c, 0x2a, 0x2a, 0x2a, 0x2a, 0x2c, 0x2c, 0x2f, 0x2f, 0x35, 0x35, 0x3b, 0x3b, 0x43, 0x43, 0x4c, 0x4c, 0x56, 0x56, 0x60, 0x60, 
0x6a, 0x6a, 0x73, 0x73, 0x7b, 0x7b, 0x80, 0x80, 0x85, 0x85, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x9a, 0x9a, 0xa4, 0xa4, 0xb0, 0xb0, 0xbb, 0xbb, 
0xc1, 0xc1, 0xc3, 0xc3, 0xc1, 0xc1, 0xbd, 0xbd, 0xb8, 0xb8, 0xb4, 0xb4, 0xb2, 0xb2, 0xb0, 0xb0, 0xaf, 0xaf, 0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xaa, 0xaa, 
0xa7, 0xa7, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x64, 0x64, 0x5f, 0x5f, 
0x59, 0x59, 0x52, 0x52, 0x4a, 0x4a, 0x41, 0x41, 0x39, 0x39, 0x32, 0x32, 0x2d, 0x2d, 0x2a, 0x2a, 0x29, 0x29, 0x2a, 0x2a, 0x2d, 0x2d, 0x31, 0x31, 0x35, 0x35, 
0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x38, 0x38, 0x3b, 0x3b, 0x42, 0x42, 0x4c, 0x4c, 0x58, 0x58, 0x63, 0x63, 0x6d, 0x6d, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 
0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8b, 0x8b, 0x92, 0x92, 0x9e, 0x9e, 
0xaf, 0xaf, 0xc1, 0xc1, 0xd1, 0xd1, 0xe0, 0xe0, 0xeb, 0xeb, 0xf0, 0xf0, 0xf0, 0xf0, 0xe8, 0xe8, 0xdd, 0xdd, 0xd0, 0xd0, 0xc4, 0xc4, 0xbb, 0xbb, 0xb4, 0xb4, 
0xaf, 0xaf, 0xac, 0xac, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8e, 0x8e, 0x8d, 0x8d, 0x8c, 0x8c, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x93, 0x93, 0x9b, 0x9b, 0xa9, 0xa9, 0xb8, 0xb8, 0xc4, 0xc4, 0xca, 0xca, 0xc5, 0xc5, 0xb9, 0xb9, 0xa5, 0xa5, 0x8b, 0x8b, 
0x6d, 0x6d, 0x4e, 0x4e, 0x31, 0x31, 0x1c, 0x1c, 0x0e, 0x0e, 0x08, 0x08, 0x07, 0x07, 0x07, 0x07, 0x09, 0x09, 0x0b, 0x0b, 0x0e, 0x0e, 0x11, 0x11, 0x15, 0x15, 
0x1b, 0x1b, 0x22, 0x22, 0x2a, 0x2a, 0x33, 0x33, 0x3f, 0x3f, 0x4c, 0x4c, 0x5c, 0x5c, 0x6e, 0x6e, 0x83, 0x83, 0x97, 0x97, 0xa8, 0xa8, 0xb7, 0xb7, 0xc3, 0xc3, 
0xcc, 0xcc, 0xd2, 0xd2, 0xd6, 0xd6, 0xd8, 0xd8, 0xd7, 0xd7, 0xd4, 0xd4, 0xcf, 0xcf, 0xc8, 0xc8, 0xc1, 0xc1, 0xbb, 0xbb, 0xb7, 0xb7, 0xb4, 0xb4, 0xb3, 0xb3, 
0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 0xb7, 0xb7, 0xb5, 0xb5, 0xb0, 0xb0, 0xaa, 0xaa, 0xa4, 0xa4, 0xa0, 0xa0, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 
0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x84, 0x84, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x74, 0x74, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 
0x56, 0x56, 0x4d, 0x4d, 0x46, 0x46, 0x40, 0x40, 0x3a, 0x3a, 0x35, 0x35, 0x2e, 0x2e, 0x27, 0x27, 0x20, 0x20, 0x1c, 0x1c, 0x1d, 0x1d, 0x25, 0x25, 0x31, 0x31, 
0x40, 0x40, 0x4f, 0x4f, 0x5c, 0x5c, 0x67, 0x67, 0x70, 0x70, 0x7a, 0x7a, 0x83, 0x83, 0x8d, 0x8d, 0x98, 0x98, 0xa6, 0xa6, 0xb6, 0xb6, 0xc7, 0xc7, 0xd6, 0xd6, 
0xe0, 0xe0, 0xe6, 0xe6, 0xe7, 0xe7, 0xe5, 0xe5, 0xe2, 0xe2, 0xdd, 0xdd, 0xd8, 0xd8, 0xd2, 0xd2, 0xcb, 0xcb, 0xc4, 0xc4, 0xbb, 0xbb, 0xb1, 0xb1, 0xa7, 0xa7, 
0x9c, 0x9c, 0x90, 0x90, 0x86, 0x86, 0x7e, 0x7e, 0x77, 0x77, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 
0x60, 0x60, 0x60, 0x60, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x55, 0x55, 0x53, 0x53, 0x53, 0x53, 0x55, 0x55, 0x56, 0x56, 0x56, 0x56, 0x54, 0x54, 0x50, 0x50, 
0x4b, 0x4b, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x46, 0x46, 0x4d, 0x4d, 0x58, 0x58, 0x66, 0x66, 0x74, 0x74, 0x80, 0x80, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 
0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 0x8e, 0x8e, 0x82, 0x82, 0x79, 0x79, 0x74, 0x74, 0x77, 0x77, 0x80, 0x80, 0x8b, 0x8b, 0x97, 0x97, 
0xa1, 0xa1, 0xa8, 0xa8, 0xab, 0xab, 0xab, 0xab, 0xa7, 0xa7, 0xa1, 0xa1, 0x9b, 0x9b, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x97, 0x97, 0x91, 0x91, 0x85, 0x85, 
0x75, 0x75, 0x66, 0x66, 0x5d, 0x5d, 0x5a, 0x5a, 0x5e, 0x5e, 0x65, 0x65, 0x6d, 0x6d, 0x72, 0x72, 0x76, 0x76, 0x75, 0x75, 0x6f, 0x6f, 0x66, 0x66, 0x59, 0x59, 
0x4f, 0x4f, 0x49, 0x49, 0x4a, 0x4a, 0x4f, 0x4f, 0x57, 0x57, 0x60, 0x60, 0x68, 0x68, 0x6e, 0x6e, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 
0x89, 0x89, 0x93, 0x93, 0xa0, 0xa0, 0xae, 0xae, 0xbb, 0xbb, 0xc7, 0xc7, 0xd2, 0xd2, 0xda, 0xda, 0xde, 0xde, 0xde, 0xde, 0xdc, 0xdc, 0xd8, 0xd8, 0xd5, 0xd5, 
0xd3, 0xd3, 0xd3, 0xd3, 0xd5, 0xd5, 0xd9, 0xd9, 0xe0, 0xe0, 0xe6, 0xe6, 0xe8, 0xe8, 0xe2, 0xe2, 0xd1, 0xd1, 0xb8, 0xb8, 0x99, 0x99, 0x77, 0x77, 0x53, 0x53, 
0x30, 0x30, 0x14, 0x14, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x0f, 0x0f, 0x18, 0x18, 0x21, 0x21, 0x2d, 0x2d, 0x3b, 0x3b, 0x4b, 0x4b, 
0x5b, 0x5b, 0x6a, 0x6a, 0x77, 0x77, 0x82, 0x82, 0x8b, 0x8b, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9b, 0x9b, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8c, 0x8c, 0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb9, 0xb9, 
0xbf, 0xbf, 0xc5, 0xc5, 0xc9, 0xc9, 0xcb, 0xcb, 0xc9, 0xc9, 0xc5, 0xc5, 0xc0, 0xc0, 0xbd, 0xbd, 0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbd, 0xbd, 0xbd, 0xbd, 
0xbd, 0xbd, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xad, 0xad, 0xa4, 0xa4, 0x98, 0x98, 0x88, 0x88, 0x76, 0x76, 0x62, 0x62, 0x4d, 0x4d, 0x37, 0x37, 0x23, 0x23, 
0x12, 0x12, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x05, 0x05, 0x0b, 0x0b, 0x12, 0x12, 0x1a, 0x1a, 0x25, 0x25, 0x33, 0x33, 0x43, 0x43, 0x54, 0x54, 
0x66, 0x66, 0x77, 0x77, 0x88, 0x88, 0x96, 0x96, 0xa1, 0xa1, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xae, 0xae, 0xb0, 0xb0, 0xb2, 0xb2, 0xb4, 0xb4, 0xb6, 0xb6, 
0xb9, 0xb9, 0xbb, 0xbb, 0xbd, 0xbd, 0xbf, 0xbf, 0xc1, 0xc1, 0xc3, 0xc3, 0xc7, 0xc7, 0xcd, 0xcd, 0xd4, 0xd4, 0xdc, 0xdc, 0xe3, 0xe3, 0xe5, 0xe5, 0xe3, 0xe3, 
0xdc, 0xdc, 0xd2, 0xd2, 0xc8, 0xc8, 0xbe, 0xbe, 0xb4, 0xb4, 0xa9, 0xa9, 0x9e, 0x9e, 0x90, 0x90, 0x82, 0x82, 0x75, 0x75, 0x6a, 0x6a, 0x62, 0x62, 0x5e, 0x5e, 
0x5d, 0x5d, 0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x6b, 0x6b, 0x67, 0x67, 0x5b, 0x5b, 0x4b, 0x4b, 0x39, 0x39, 0x2a, 0x2a, 0x1e, 0x1e, 0x16, 0x16, 0x12, 0x12, 
0x0f, 0x0f, 0x0d, 0x0d, 0x0d, 0x0d, 0x11, 0x11, 0x1c, 0x1c, 0x2d, 0x2d, 0x45, 0x45, 0x5f, 0x5f, 0x7a, 0x7a, 0x93, 0x93, 0xaa, 0xaa, 0xba, 0xba, 0xc3, 0xc3, 
0xc3, 0xc3, 0xbd, 0xbd, 0xb4, 0xb4, 0xac, 0xac, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 0x98, 0x98, 0x8f, 0x8f, 0x84, 0x84, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 
0x61, 0x61, 0x5f, 0x5f, 0x61, 0x61, 0x68, 0x68, 0x71, 0x71, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 
0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x58, 0x58, 0x59, 0x59, 0x61, 0x61, 0x6d, 0x6d, 0x7d, 0x7d, 0x8e, 0x8e, 
0x9d, 0x9d, 0xa8, 0xa8, 0xb1, 0xb1, 0xb7, 0xb7, 0xbe, 0xbe, 0xc6, 0xc6, 0xce, 0xce, 0xd6, 0xd6, 0xdf, 0xdf, 0xe7, 0xe7, 0xec, 0xec, 0xed, 0xed, 0xe5, 0xe5, 
0xd5, 0xd5, 0xbf, 0xbf, 0xa4, 0xa4, 0x87, 0x87, 0x6b, 0x6b, 0x51, 0x51, 0x3f, 0x3f, 0x37, 0x37, 0x3b, 0x3b, 0x48, 0x48, 0x5b, 0x5b, 0x70, 0x70, 0x85, 0x85, 
0x98, 0x98, 0xa3, 0xa3, 0xa6, 0xa6, 0x9e, 0x9e, 0x8e, 0x8e, 0x7c, 0x7c, 0x6b, 0x6b, 0x5c, 0x5c, 0x51, 0x51, 0x48, 0x48, 0x41, 0x41, 0x3a, 0x3a, 0x33, 0x33, 
0x2d, 0x2d, 0x29, 0x29, 0x27, 0x27, 0x27, 0x27, 0x2a, 0x2a, 0x31, 0x31, 0x3c, 0x3c, 0x48, 0x48, 0x54, 0x54, 0x5e, 0x5e, 0x65, 0x65, 0x69, 0x69, 0x6a, 0x6a, 
0x67, 0x67, 0x62, 0x62, 0x5b, 0x5b, 0x54, 0x54, 0x4e, 0x4e, 0x49, 0x49, 0x47, 0x47, 0x48, 0x48, 0x4d, 0x4d, 0x57, 0x57, 0x65, 0x65, 0x76, 0x76, 0x8b, 0x8b, 
0xa1, 0xa1, 0xb8, 0xb8, 0xcd, 0xcd, 0xdf, 0xdf, 0xec, 0xec, 0xf5, 0xf5, 0xf9, 0xf9, 0xf7, 0xf7, 0xf0, 0xf0, 0xe5, 0xe5, 0xd9, 0xd9, 0xcc, 0xcc, 0xbf, 0xbf, 
0xb4, 0xb4, 0xaa, 0xaa, 0xa3, 0xa3, 0x9e, 0x9e, 0x9b, 0x9b, 0x9b, 0x9b, 0x9e, 0x9e, 0xa4, 0xa4, 0xab, 0xab, 0xb2, 0xb2, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 
0xb0, 0xb0, 0xac, 0xac, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9d, 0x9d, 0x97, 0x97, 0x8f, 0x8f, 0x87, 0x87, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x75, 0x75, 
0x77, 0x77, 0x7d, 0x7d, 0x83, 0x83, 0x87, 0x87, 0x86, 0x86, 0x7d, 0x7d, 0x6f, 0x6f, 0x61, 0x61, 0x56, 0x56, 0x50, 0x50, 0x4f, 0x4f, 0x51, 0x51, 0x54, 0x54, 
0x57, 0x57, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 0x79, 0x79, 0x84, 0x84, 0x8d, 0x8d, 0x94, 0x94, 
0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa1, 0xa1, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 0x81, 0x81, 0x7b, 0x7b, 
0x78, 0x78, 0x78, 0x78, 0x7c, 0x7c, 0x83, 0x83, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x87, 0x87, 
0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7a, 0x7a, 0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 0x61, 0x61, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 
0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x68, 0x68, 0x6d, 0x6d, 0x76, 0x76, 0x81, 0x81, 
0x8c, 0x8c, 0x96, 0x96, 0x9d, 0x9d, 0xa3, 0xa3, 0xa7, 0xa7, 0xac, 0xac, 0xb2, 0xb2, 0xba, 0xba, 0xc4, 0xc4, 0xd0, 0xd0, 0xdd, 0xdd, 0xea, 0xea, 0xf3, 0xf3, 
0xf5, 0xf5, 0xef, 0xef, 0xdf, 0xdf, 0xc8, 0xc8, 0xa8, 0xa8, 0x80, 0x80, 0x56, 0x56, 0x31, 0x31, 0x18, 0x18, 0x0e, 0x0e, 0x0f, 0x0f, 0x16, 0x16, 0x1f, 0x1f, 
0x26, 0x26, 0x2b, 0x2b, 0x2c, 0x2c, 0x2a, 0x2a, 0x25, 0x25, 0x20, 0x20, 0x1c, 0x1c, 0x1c, 0x1c, 0x20, 0x20, 0x29, 0x29, 0x33, 0x33, 0x3f, 0x3f, 0x4a, 0x4a, 
0x55, 0x55, 0x60, 0x60, 0x6a, 0x6a, 0x75, 0x75, 0x7f, 0x7f, 0x88, 0x88, 0x90, 0x90, 0x97, 0x97, 0x9c, 0x9c, 0xa2, 0xa2, 0xa9, 0xa9, 0xb2, 0xb2, 0xbc, 0xbc, 
0xc3, 0xc3, 0xc5, 0xc5, 0xc1, 0xc1, 0xb8, 0xb8, 0xad, 0xad, 0xa0, 0xa0, 0x94, 0x94, 0x89, 0x89, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 
0x6a, 0x6a, 0x6c, 0x6c, 0x71, 0x71, 0x7a, 0x7a, 0x88, 0x88, 0x9b, 0x9b, 0xb0, 0xb0, 0xc6, 0xc6, 0xd8, 0xd8, 0xe5, 0xe5, 0xed, 0xed, 0xf0, 0xf0, 0xed, 0xed, 
0xe4, 0xe4, 0xd7, 0xd7, 0xc6, 0xc6, 0xb2, 0xb2, 0x9b, 0x9b, 0x84, 0x84, 0x70, 0x70, 0x64, 0x64, 0x5f, 0x5f, 0x62, 0x62, 0x68, 0x68, 0x6f, 0x6f, 0x75, 0x75, 
0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x87, 0x87, 0x8d, 0x8d, 0x93, 0x93, 0x96, 0x96, 0x94, 0x94, 0x8a, 0x8a, 0x7d, 0x7d, 
0x70, 0x70, 0x69, 0x69, 0x6a, 0x6a, 0x71, 0x71, 0x7b, 0x7b, 0x85, 0x85, 0x8f, 0x8f, 0x95, 0x95, 0x97, 0x97, 0x94, 0x94, 0x8c, 0x8c, 0x82, 0x82, 0x7a, 0x7a, 
0x78, 0x78, 0x7c, 0x7c, 0x86, 0x86, 0x8e, 0x8e, 0x8f, 0x8f, 0x89, 0x89, 0x7b, 0x7b, 0x6c, 0x6c, 0x5e, 0x5e, 0x56, 0x56, 0x52, 0x52, 0x54, 0x54, 0x5a, 0x5a, 
0x63, 0x63, 0x6e, 0x6e, 0x77, 0x77, 0x7a, 0x7a, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x67, 0x67, 0x6c, 0x6c, 0x75, 0x75, 0x7e, 0x7e, 0x80, 0x80, 0x7c, 0x7c, 
0x72, 0x72, 0x65, 0x65, 0x5b, 0x5b, 0x53, 0x53, 0x50, 0x50, 0x51, 0x51, 0x55, 0x55, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 
0x78, 0x78, 0x7d, 0x7d, 0x86, 0x86, 0x91, 0x91, 0x9b, 0x9b, 0xa1, 0xa1, 0xa0, 0xa0, 0x99, 0x99, 0x8f, 0x8f, 0x84, 0x84, 0x79, 0x79, 0x6e, 0x6e, 0x63, 0x63, 
0x58, 0x58, 0x4e, 0x4e, 0x44, 0x44, 0x3b, 0x3b, 0x34, 0x34, 0x2f, 0x2f, 0x2e, 0x2e, 0x31, 0x31, 0x3c, 0x3c, 0x4e, 0x4e, 0x64, 0x64, 0x7c, 0x7c, 0x90, 0x90, 
0xa0, 0xa0, 0xaa, 0xaa, 0xaf, 0xaf, 0xae, 0xae, 0xa9, 0xa9, 0xa1, 0xa1, 0x9c, 0x9c, 0x9d, 0x9d, 0xa4, 0xa4, 0xb2, 0xb2, 0xc2, 0xc2, 0xd0, 0xd0, 0xdd, 0xdd, 
0xe7, 0xe7, 0xee, 0xee, 0xf4, 0xf4, 0xf8, 0xf8, 0xfb, 0xfb, 0xfd, 0xfd, 0xfe, 0xfe, 0xfe, 0xfe, 0xf9, 0xf9, 0xed, 0xed, 0xd4, 0xd4, 0xaf, 0xaf, 0x81, 0x81, 
0x55, 0x55, 0x30, 0x30, 0x19, 0x19, 0x0c, 0x0c, 0x07, 0x07, 0x05, 0x05, 0x06, 0x06, 0x06, 0x06, 0x08, 0x08, 0x0a, 0x0a, 0x0e, 0x0e, 0x14, 0x14, 0x1c, 0x1c, 
0x26, 0x26, 0x32, 0x32, 0x3f, 0x3f, 0x4c, 0x4c, 0x58, 0x58, 0x62, 0x62, 0x6b, 0x6b, 0x72, 0x72, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7a, 0x7a, 0x76, 0x76, 0x75, 0x75, 0x7a, 0x7a, 0x86, 0x86, 0x97, 0x97, 0xa8, 0xa8, 0xb6, 0xb6, 0xbf, 0xbf, 0xc3, 0xc3, 0xc2, 0xc2, 0xbd, 0xbd, 0xb5, 0xb5, 
0xac, 0xac, 0xa4, 0xa4, 0xa1, 0xa1, 0xa3, 0xa3, 0xaa, 0xaa, 0xb2, 0xb2, 0xbc, 0xbc, 0xc4, 0xc4, 0xcb, 0xcb, 0xd2, 0xd2, 0xd9, 0xd9, 0xdf, 0xdf, 0xe5, 0xe5, 
0xe8, 0xe8, 0xe6, 0xe6, 0xde, 0xde, 0xd2, 0xd2, 0xc3, 0xc3, 0xb3, 0xb3, 0xa4, 0xa4, 0x95, 0x95, 0x87, 0x87, 0x7a, 0x7a, 0x6e, 0x6e, 0x62, 0x62, 0x55, 0x55, 
0x47, 0x47, 0x36, 0x36, 0x26, 0x26, 0x1a, 0x1a, 0x17, 0x17, 0x1d, 0x1d, 0x2a, 0x2a, 0x39, 0x39, 0x45, 0x45, 0x4d, 0x4d, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 
0x54, 0x54, 0x58, 0x58, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x66, 0x66, 0x71, 0x71, 0x84, 0x84, 
0x9a, 0x9a, 0xae, 0xae, 0xb9, 0xb9, 0xb9, 0xb9, 0xb0, 0xb0, 0xa4, 0xa4, 0x99, 0x99, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 
0x83, 0x83, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x74, 0x74, 0x7e, 0x7e, 0x8f, 0x8f, 0xa4, 0xa4, 0xb7, 0xb7, 0xc0, 0xc0, 0xbe, 0xbe, 0xb2, 0xb2, 0xa3, 0xa3, 
0x93, 0x93, 0x86, 0x86, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x63, 0x63, 0x5b, 0x5b, 0x53, 0x53, 0x4e, 0x4e, 0x4b, 0x4b, 0x4b, 0x4b, 0x4f, 0x4f, 0x59, 0x59, 
0x67, 0x67, 0x77, 0x77, 0x85, 0x85, 0x8b, 0x8b, 0x89, 0x89, 0x81, 0x81, 0x76, 0x76, 0x6c, 0x6c, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 0x52, 0x52, 0x4e, 0x4e, 0x4b, 0x4b, 0x4c, 0x4c, 0x50, 0x50, 0x57, 0x57, 0x5b, 0x5b, 0x5c, 0x5c, 0x56, 0x56, 0x4c, 0x4c, 
0x44, 0x44, 0x41, 0x41, 0x46, 0x46, 0x50, 0x50, 0x5d, 0x5d, 0x68, 0x68, 0x70, 0x70, 0x75, 0x75, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6f, 0x6f, 
0x78, 0x78, 0x8a, 0x8a, 0xa2, 0xa2, 0xbc, 0xbc, 0xd1, 0xd1, 0xe2, 0xe2, 0xec, 0xec, 0xf3, 0xf3, 0xf7, 0xf7, 0xf9, 0xf9, 0xf9, 0xf9, 0xf1, 0xf1, 0xdf, 0xdf, 
0xc0, 0xc0, 0x99, 0x99, 0x70, 0x70, 0x4b, 0x4b, 0x2d, 0x2d, 0x18, 0x18, 0x0d, 0x0d, 0x0e, 0x0e, 0x19, 0x19, 0x2b, 0x2b, 0x3f, 0x3f, 0x51, 0x51, 0x5f, 0x5f, 
0x69, 0x69, 0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x88, 0x88, 0x96, 0x96, 0xa7, 0xa7, 0xb8, 0xb8, 0xc5, 0xc5, 0xcc, 0xcc, 0xcf, 0xcf, 
0xcc, 0xcc, 0xc3, 0xc3, 0xb6, 0xb6, 0xa6, 0xa6, 0x99, 0x99, 0x93, 0x93, 0x95, 0x95, 0x9e, 0x9e, 0xab, 0xab, 0xb8, 0xb8, 0xc4, 0xc4, 0xcc, 0xcc, 0xcd, 0xcd, 
0xc3, 0xc3, 0xaf, 0xaf, 0x93, 0x93, 0x76, 0x76, 0x5d, 0x5d, 0x4c, 0x4c, 0x42, 0x42, 0x40, 0x40, 0x45, 0x45, 0x4f, 0x4f, 0x5f, 0x5f, 0x70, 0x70, 0x84, 0x84, 
0x97, 0x97, 0xab, 0xab, 0xbd, 0xbd, 0xcc, 0xcc, 0xd8, 0xd8, 0xdf, 0xdf, 0xde, 0xde, 0xd1, 0xd1, 0xb7, 0xb7, 0x95, 0x95, 0x71, 0x71, 0x52, 0x52, 0x3b, 0x3b, 
0x2c, 0x2c, 0x26, 0x26, 0x27, 0x27, 0x2f, 0x2f, 0x3d, 0x3d, 0x4d, 0x4d, 0x60, 0x60, 0x73, 0x73, 0x87, 0x87, 0x98, 0x98, 0xa7, 0xa7, 0xb3, 0xb3, 0xba, 0xba, 
0xbd, 0xbd, 0xb9, 0xb9, 0xaf, 0xaf, 0xa1, 0xa1, 0x94, 0x94, 0x8b, 0x8b, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x89, 0x89, 0x83, 0x83, 0x7a, 0x7a, 0x73, 0x73, 
0x74, 0x74, 0x7f, 0x7f, 0x90, 0x90, 0xa4, 0xa4, 0xb4, 0xb4, 0xbf, 0xbf, 0xc2, 0xc2, 0xbd, 0xbd, 0xaf, 0xaf, 0x99, 0x99, 0x7e, 0x7e, 0x66, 0x66, 0x54, 0x54, 
0x4c, 0x4c, 0x4b, 0x4b, 0x4b, 0x4b, 0x47, 0x47, 0x3e, 0x3e, 0x31, 0x31, 0x27, 0x27, 0x26, 0x26, 0x30, 0x30, 0x44, 0x44, 0x5c, 0x5c, 0x73, 0x73, 0x87, 0x87, 
0x95, 0x95, 0x9c, 0x9c, 0x9b, 0x9b, 0x91, 0x91, 0x81, 0x81, 0x71, 0x71, 0x65, 0x65, 0x5e, 0x5e, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 
0x59, 0x59, 0x5e, 0x5e, 0x69, 0x69, 0x78, 0x78, 0x88, 0x88, 0x97, 0x97, 0xa2, 0xa2, 0xaa, 0xaa, 0xae, 0xae, 0xaf, 0xaf, 0xac, 0xac, 0xa6, 0xa6, 0x9f, 0x9f, 
0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x77, 0x77, 0x69, 0x69, 0x5a, 0x5a, 0x4b, 0x4b, 0x3f, 0x3f, 0x38, 0x38, 0x38, 0x38, 0x3e, 0x3e, 0x45, 0x45, 0x4c, 0x4c, 
0x51, 0x51, 0x54, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x60, 0x60, 0x67, 0x67, 0x70, 0x70, 0x7a, 0x7a, 
0x87, 0x87, 0x96, 0x96, 0xa9, 0xa9, 0xbf, 0xbf, 0xd5, 0xd5, 0xe9, 0xe9, 0xf7, 0xf7, 0xfe, 0xfe, 0xfe, 0xfe, 0xf9, 0xf9, 0xee, 0xee, 0xe1, 0xe1, 0xcf, 0xcf, 
0xb9, 0xb9, 0x9d, 0x9d, 0x7b, 0x7b, 0x56, 0x56, 0x34, 0x34, 0x19, 0x19, 0x0a, 0x0a, 0x03, 0x03, 0x06, 0x06, 0x11, 0x11, 0x22, 0x22, 0x36, 0x36, 0x49, 0x49, 
0x57, 0x57, 0x5f, 0x5f, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6e, 0x6e, 0x77, 0x77, 0x83, 0x83, 0x91, 0x91, 0xa1, 0xa1, 0xb1, 0xb1, 0xbe, 0xbe, 0xc6, 0xc6, 
0xc8, 0xc8, 0xc5, 0xc5, 0xbf, 0xbf, 0xb6, 0xb6, 0xad, 0xad, 0xa5, 0xa5, 0x9f, 0x9f, 0x9d, 0x9d, 0x9f, 0x9f, 0xa3, 0xa3, 0xa6, 0xa6, 0xa5, 0xa5, 0x9f, 0x9f, 
0x93, 0x93, 0x84, 0x84, 0x72, 0x72, 0x5e, 0x5e, 0x4b, 0x4b, 0x3d, 0x3d, 0x36, 0x36, 0x38, 0x38, 0x42, 0x42, 0x51, 0x51, 0x64, 0x64, 0x79, 0x79, 0x90, 0x90, 
0xa6, 0xa6, 0xbb, 0xbb, 0xcd, 0xcd, 0xdb, 0xdb, 0xe4, 0xe4, 0xe5, 0xe5, 0xdd, 0xdd, 0xce, 0xce, 0xb9, 0xb9, 0xa1, 0xa1, 0x87, 0x87, 0x6d, 0x6d, 0x54, 0x54, 
0x3f, 0x3f, 0x2e, 0x2e, 0x21, 0x21, 0x19, 0x19, 0x15, 0x15, 0x16, 0x16, 0x1a, 0x1a, 0x23, 0x23, 0x30, 0x30, 0x41, 0x41, 0x54, 0x54, 0x68, 0x68, 0x7b, 0x7b, 
0x8b, 0x8b, 0x99, 0x99, 0xa5, 0xa5, 0xae, 0xae, 0xb7, 0xb7, 0xbd, 0xbd, 0xc3, 0xc3, 0xc6, 0xc6, 0xc9, 0xc9, 0xca, 0xca, 0xcb, 0xcb, 0xce, 0xce, 0xd1, 0xd1, 
0xd5, 0xd5, 0xdb, 0xdb, 0xe2, 0xe2, 0xea, 0xea, 0xf1, 0xf1, 0xf3, 0xf3, 0xec, 0xec, 0xdb, 0xdb, 0xc2, 0xc2, 0xa6, 0xa6, 0x8b, 0x8b, 0x73, 0x73, 0x5f, 0x5f, 
0x50, 0x50, 0x48, 0x48, 0x45, 0x45, 0x47, 0x47, 0x4a, 0x4a, 0x4d, 0x4d, 0x4f, 0x4f, 0x51, 0x51, 0x54, 0x54, 0x59, 0x59, 0x62, 0x62, 0x6c, 0x6c, 0x75, 0x75, 
0x79, 0x79, 0x77, 0x77, 0x71, 0x71, 0x67, 0x67, 0x5e, 0x5e, 0x56, 0x56, 0x4e, 0x4e, 0x48, 0x48, 0x41, 0x41, 0x3a, 0x3a, 0x32, 0x32, 0x2c, 0x2c, 0x27, 0x27, 
0x26, 0x26, 0x27, 0x27, 0x2b, 0x2b, 0x33, 0x33, 0x3e, 0x3e, 0x4a, 0x4a, 0x54, 0x54, 0x5b, 0x5b, 0x5d, 0x5d, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x5c, 0x5c, 
0x61, 0x61, 0x67, 0x67, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x7a, 0x7a, 0x82, 0x82, 0x8d, 0x8d, 0x9a, 0x9a, 0xa9, 0xa9, 0xb8, 0xb8, 0xc7, 0xc7, 
0xd1, 0xd1, 0xd4, 0xd4, 0xd0, 0xd0, 0xc6, 0xc6, 0xba, 0xba, 0xaf, 0xaf, 0xa6, 0xa6, 0x9f, 0x9f, 0x9c, 0x9c, 0x9c, 0x9c, 0x9f, 0x9f, 0xa4, 0xa4, 0xaa, 0xaa, 
0xb3, 0xb3, 0xbd, 0xbd, 0xc7, 0xc7, 0xd3, 0xd3, 0xde, 0xde, 0xe8, 0xe8, 0xf0, 0xf0, 0xf1, 0xf1, 0xe7, 0xe7, 0xd2, 0xd2, 0xb3, 0xb3, 0x91, 0x91, 0x70, 0x70, 
0x51, 0x51, 0x38, 0x38, 0x25, 0x25, 0x19, 0x19, 0x15, 0x15, 0x17, 0x17, 0x1e, 0x1e, 0x29, 0x29, 0x36, 0x36, 0x44, 0x44, 0x52, 0x52, 0x5f, 0x5f, 0x69, 0x69, 
0x70, 0x70, 0x75, 0x75, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x78, 0x78, 0x84, 0x84, 0x99, 0x99, 0xb5, 0xb5, 0xcd, 0xcd, 0xda, 0xda, 0xd8, 0xd8, 0xcb, 0xcb, 
0xb7, 0xb7, 0xa2, 0xa2, 0x8e, 0x8e, 0x80, 0x80, 0x7c, 0x7c, 0x84, 0x84, 0x9a, 0x9a, 0xb7, 0xb7, 0xd0, 0xd0, 0xdd, 0xdd, 0xda, 0xda, 0xc9, 0xc9, 0xb0, 0xb0, 
0x94, 0x94, 0x7a, 0x7a, 0x64, 0x64, 0x53, 0x53, 0x48, 0x48, 0x44, 0x44, 0x44, 0x44, 0x47, 0x47, 0x4b, 0x4b, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x60, 0x60, 
0x69, 0x69, 0x72, 0x72, 0x78, 0x78, 0x77, 0x77, 0x70, 0x70, 0x62, 0x62, 0x52, 0x52, 0x42, 0x42, 0x34, 0x34, 0x29, 0x29, 0x1f, 0x1f, 0x17, 0x17, 0x11, 0x11, 
0x0c, 0x0c, 0x0a, 0x0a, 0x0b, 0x0b, 0x0f, 0x0f, 0x17, 0x17, 0x25, 0x25, 0x39, 0x39, 0x54, 0x54, 0x73, 0x73, 0x90, 0x90, 0xa5, 0xa5, 0xb1, 0xb1, 0xb5, 0xb5, 
0xb7, 0xb7, 0xba, 0xba, 0xc2, 0xc2, 0xcd, 0xcd, 0xd9, 0xd9, 0xe3, 0xe3, 0xe9, 0xe9, 0xec, 0xec, 0xea, 0xea, 0xe4, 0xe4, 0xda, 0xda, 0xd0, 0xd0, 0xc9, 0xc9, 
0xca, 0xca, 0xd2, 0xd2, 0xe0, 0xe0, 0xed, 0xed, 0xf2, 0xf2, 0xee, 0xee, 0xe1, 0xe1, 0xd1, 0xd1, 0xc0, 0xc0, 0xb2, 0xb2, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 
0x7d, 0x7d, 0x6b, 0x6b, 0x58, 0x58, 0x45, 0x45, 0x34, 0x34, 0x25, 0x25, 0x1a, 0x1a, 0x15, 0x15, 0x17, 0x17, 0x1c, 0x1c, 0x21, 0x21, 0x21, 0x21, 0x1c, 0x1c, 
0x12, 0x12, 0x09, 0x09, 0x02, 0x02, 0x00, 0x00, 0x03, 0x03, 0x08, 0x08, 0x0b, 0x0b, 0x0e, 0x0e, 0x0e, 0x0e, 0x0f, 0x0f, 0x10, 0x10, 0x13, 0x13, 0x19, 0x19, 
0x23, 0x23, 0x33, 0x33, 0x49, 0x49, 0x61, 0x61, 0x76, 0x76, 0x85, 0x85, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x8a, 0x8a, 0x90, 0x90, 0x9a, 0x9a, 0xa7, 0xa7, 
0xb5, 0xb5, 0xc5, 0xc5, 0xd3, 0xd3, 0xdf, 0xdf, 0xe7, 0xe7, 0xec, 0xec, 0xef, 0xef, 0xf0, 0xf0, 0xf2, 0xf2, 0xf5, 0xf5, 0xf8, 0xf8, 0xfb, 0xfb, 0xfa, 0xfa, 
0xf7, 0xf7, 0xf2, 0xf2, 0xed, 0xed, 0xea, 0xea, 0xeb, 0xeb, 0xee, 0xee, 0xf0, 0xf0, 0xf0, 0xf0, 0xed, 0xed, 0xe7, 0xe7, 0xe2, 0xe2, 0xe0, 0xe0, 0xe1, 0xe1, 
0xe5, 0xe5, 0xe9, 0xe9, 0xe8, 0xe8, 0xe1, 0xe1, 0xd4, 0xd4, 0xbf, 0xbf, 0xa0, 0xa0, 0x78, 0x78, 0x4d, 0x4d, 0x26, 0x26, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 
0x03, 0x03, 0x0b, 0x0b, 0x11, 0x11, 0x15, 0x15, 0x18, 0x18, 0x1a, 0x1a, 0x1b, 0x1b, 0x1d, 0x1d, 0x1e, 0x1e, 0x1e, 0x1e, 0x1c, 0x1c, 0x1a, 0x1a, 0x1a, 0x1a, 
0x1f, 0x1f, 0x2a, 0x2a, 0x3b, 0x3b, 0x51, 0x51, 0x6c, 0x6c, 0x89, 0x89, 0xa7, 0xa7, 0xc0, 0xc0, 0xcf, 0xcf, 0xd4, 0xd4, 0xd0, 0xd0, 0xc8, 0xc8, 0xc1, 0xc1, 
0xbd, 0xbd, 0xbb, 0xbb, 0xbe, 0xbe, 0xc4, 0xc4, 0xce, 0xce, 0xd9, 0xd9, 0xe2, 0xe2, 0xe6, 0xe6, 0xe4, 0xe4, 0xde, 0xde, 0xd2, 0xd2, 0xc2, 0xc2, 0xb0, 0xb0, 
0x9d, 0x9d, 0x8e, 0x8e, 0x87, 0x87, 0x8b, 0x8b, 0x96, 0x96, 0xa4, 0xa4, 0xb1, 0xb1, 0xbc, 0xbc, 0xc2, 0xc2, 0xc2, 0xc2, 0xbb, 0xbb, 0xae, 0xae, 0x9b, 0x9b, 
0x86, 0x86, 0x6f, 0x6f, 0x58, 0x58, 0x42, 0x42, 0x2e, 0x2e, 0x1e, 0x1e, 0x12, 0x12, 0x0a, 0x0a, 0x05, 0x05, 0x04, 0x04, 0x06, 0x06, 0x0a, 0x0a, 0x10, 0x10, 
0x17, 0x17, 0x1f, 0x1f, 0x28, 0x28, 0x33, 0x33, 0x40, 0x40, 0x4f, 0x4f, 0x5f, 0x5f, 0x6f, 0x6f, 0x7b, 0x7b, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 0x9a, 0x9a, 
0xa7, 0xa7, 0xb6, 0xb6, 0xc4, 0xc4, 0xcd, 0xcd, 0xd0, 0xd0, 0xce, 0xce, 0xc9, 0xc9, 0xc1, 0xc1, 0xb7, 0xb7, 0xae, 0xae, 0xa8, 0xa8, 0xa5, 0xa5, 0xa7, 0xa7, 
0xab, 0xab, 0xae, 0xae, 0xad, 0xad, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 
0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 0x78, 0x78, 0x6a, 0x6a, 0x57, 0x57, 0x43, 0x43, 
0x31, 0x31, 0x21, 0x21, 0x16, 0x16, 0x0e, 0x0e, 0x09, 0x09, 0x06, 0x06, 0x06, 0x06, 0x08, 0x08, 0x0d, 0x0d, 0x15, 0x15, 0x1f, 0x1f, 0x2b, 0x2b, 0x3b, 0x3b, 
0x4e, 0x4e, 0x60, 0x60, 0x6e, 0x6e, 0x74, 0x74, 0x71, 0x71, 0x67, 0x67, 0x5e, 0x5e, 0x5b, 0x5b, 0x62, 0x62, 0x71, 0x71, 0x83, 0x83, 0x96, 0x96, 0xa8, 0xa8, 
0xb7, 0xb7, 0xc1, 0xc1, 0xc7, 0xc7, 0xc9, 0xc9, 0xc8, 0xc8, 0xc6, 0xc6, 0xc6, 0xc6, 0xc8, 0xc8, 0xcb, 0xcb, 0xcb, 0xcb, 0xc6, 0xc6, 0xbb, 0xbb, 0xad, 0xad, 
0xa0, 0xa0, 0x9b, 0x9b, 0xa0, 0xa0, 0xad, 0xad, 0xbc, 0xbc, 0xcc, 0xcc, 0xd8, 0xd8, 0xe1, 0xe1, 0xe8, 0xe8, 0xed, 0xed, 0xf1, 0xf1, 0xf4, 0xf4, 0xf3, 0xf3, 
0xee, 0xee, 0xe3, 0xe3, 0xd2, 0xd2, 0xbb, 0xbb, 0x9d, 0x9d, 0x79, 0x79, 0x53, 0x53, 0x31, 0x31, 0x1a, 0x1a, 0x10, 0x10, 0x10, 0x10, 0x16, 0x16, 0x1f, 0x1f, 
0x29, 0x29, 0x31, 0x31, 0x39, 0x39, 0x41, 0x41, 0x49, 0x49, 0x51, 0x51, 0x56, 0x56, 0x56, 0x56, 0x51, 0x51, 0x49, 0x49, 0x42, 0x42, 0x3e, 0x3e, 0x41, 0x41, 
0x49, 0x49, 0x58, 0x58, 0x6f, 0x6f, 0x8b, 0x8b, 0xa9, 0xa9, 0xc1, 0xc1, 0xcc, 0xcc, 0xc8, 0xc8, 0xba, 0xba, 0xa9, 0xa9, 0x9d, 0x9d, 0x9b, 0x9b, 0xa1, 0xa1, 
0xad, 0xad, 0xbd, 0xbd, 0xcd, 0xcd, 0xdc, 0xdc, 0xe4, 0xe4, 0xe1, 0xe1, 0xd5, 0xd5, 0xc2, 0xc2, 0xad, 0xad, 0x9f, 0x9f, 0x97, 0x97, 0x97, 0x97, 0x9b, 0x9b, 
0xa2, 0xa2, 0xa9, 0xa9, 0xb0, 0xb0, 0xb8, 0xb8, 0xc1, 0xc1, 0xcc, 0xcc, 0xd5, 0xd5, 0xdc, 0xdc, 0xdb, 0xdb, 0xd3, 0xd3, 0xc4, 0xc4, 0xaf, 0xaf, 0x95, 0x95, 
0x77, 0x77, 0x58, 0x58, 0x3d, 0x3d, 0x28, 0x28, 0x1b, 0x1b, 0x15, 0x15, 0x12, 0x12, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x14, 0x14, 0x1c, 0x1c, 0x2a, 0x2a, 
0x3c, 0x3c, 0x4e, 0x4e, 0x5e, 0x5e, 0x6a, 0x6a, 0x72, 0x72, 0x76, 0x76, 0x75, 0x75, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x6d, 0x6d, 0x77, 0x77, 0x85, 0x85, 
0x95, 0x95, 0xa3, 0xa3, 0xae, 0xae, 0xb6, 0xb6, 0xbc, 0xbc, 0xc1, 0xc1, 0xc7, 0xc7, 0xcd, 0xcd, 0xd4, 0xd4, 0xda, 0xda, 0xe0, 0xe0, 0xe3, 0xe3, 0xe2, 0xe2, 
0xd8, 0xd8, 0xc6, 0xc6, 0xaf, 0xaf, 0x98, 0x98, 0x85, 0x85, 0x79, 0x79, 0x74, 0x74, 0x74, 0x74, 0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8d, 0x8d, 0x92, 0x92, 
0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 0x86, 0x86, 0x7b, 0x7b, 0x6a, 0x6a, 0x57, 0x57, 0x46, 0x46, 0x39, 0x39, 0x33, 0x33, 
0x32, 0x32, 0x34, 0x34, 0x36, 0x36, 0x36, 0x36, 0x35, 0x35, 0x33, 0x33, 0x31, 0x31, 0x2f, 0x2f, 0x2f, 0x2f, 0x31, 0x31, 0x36, 0x36, 0x3f, 0x3f, 0x49, 0x49, 
0x52, 0x52, 0x58, 0x58, 0x5a, 0x5a, 0x59, 0x59, 0x59, 0x59, 0x5d, 0x5d, 0x67, 0x67, 0x75, 0x75, 0x84, 0x84, 0x90, 0x90, 0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 
0xa7, 0xa7, 0xaa, 0xaa, 0xae, 0xae, 0xb3, 0xb3, 0xb7, 0xb7, 0xbd, 0xbd, 0xc1, 0xc1, 0xc4, 0xc4, 0xc3, 0xc3, 0xc0, 0xc0, 0xbb, 0xbb, 0xb8, 0xb8, 0xbb, 0xbb, 
0xc5, 0xc5, 0xd4, 0xd4, 0xe4, 0xe4, 0xf0, 0xf0, 0xf7, 0xf7, 0xf8, 0xf8, 0xf8, 0xf8, 0xf7, 0xf7, 0xf8, 0xf8, 0xf8, 0xf8, 0xf6, 0xf6, 0xee, 0xee, 0xdf, 0xdf, 
0xc9, 0xc9, 0xad, 0xad, 0x8a, 0x8a, 0x62, 0x62, 0x3a, 0x3a, 0x16, 0x16, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x09, 0x09, 0x0b, 0x0b, 
0x0e, 0x0e, 0x12, 0x12, 0x1a, 0x1a, 0x24, 0x24, 0x2f, 0x2f, 0x38, 0x38, 0x3f, 0x3f, 0x43, 0x43, 0x45, 0x45, 0x49, 0x49, 0x4d, 0x4d, 0x54, 0x54, 0x5e, 0x5e, 
0x6e, 0x6e, 0x82, 0x82, 0x98, 0x98, 0xaa, 0xaa, 0xb2, 0xb2, 0xaf, 0xaf, 0xa5, 0xa5, 0x9a, 0x9a, 0x97, 0x97, 0x9d, 0x9d, 0xad, 0xad, 0xc0, 0xc0, 0xd3, 0xd3, 
0xe3, 0xe3, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xe2, 0xe2, 0xcf, 0xcf, 0xb9, 0xb9, 0xa5, 0xa5, 0x93, 0x93, 0x85, 0x85, 0x7e, 0x7e, 0x7f, 0x7f, 0x89, 0x89, 
0x99, 0x99, 0xad, 0xad, 0xc2, 0xc2, 0xd6, 0xd6, 0xe7, 0xe7, 0xf0, 0xf0, 0xef, 0xef, 0xe2, 0xe2, 0xcc, 0xcc, 0xb3, 0xb3, 0x9a, 0x9a, 0x84, 0x84, 0x70, 0x70, 
0x5f, 0x5f, 0x4e, 0x4e, 0x3e, 0x3e, 0x30, 0x30, 0x24, 0x24, 0x1d, 0x1d, 0x1c, 0x1c, 0x20, 0x20, 0x28, 0x28, 0x34, 0x34, 0x42, 0x42, 0x51, 0x51, 0x60, 0x60, 
0x6b, 0x6b, 0x73, 0x73, 0x77, 0x77, 0x78, 0x78, 0x76, 0x76, 0x72, 0x72, 0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 0x58, 0x58, 
0x5c, 0x5c, 0x61, 0x61, 0x67, 0x67, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x72, 0x72, 0x7a, 0x7a, 0x89, 0x89, 0x9a, 0x9a, 0xa8, 0xa8, 0xaf, 0xaf, 0xac, 0xac, 
0xa1, 0xa1, 0x91, 0x91, 0x7f, 0x7f, 0x6d, 0x6d, 0x5e, 0x5e, 0x57, 0x57, 0x5b, 0x5b, 0x6a, 0x6a, 0x81, 0x81, 0x9a, 0x9a, 0xb0, 0xb0, 0xbf, 0xbf, 0xc8, 0xc8, 
0xcc, 0xcc, 0xcd, 0xcd, 0xcb, 0xcb, 0xc7, 0xc7, 0xc1, 0xc1, 0xb8, 0xb8, 0xab, 0xab, 0x9d, 0x9d, 0x90, 0x90, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 0x80, 0x80, 
0x84, 0x84, 0x8b, 0x8b, 0x91, 0x91, 0x97, 0x97, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x8f, 0x8f, 0x85, 0x85, 
0x74, 0x74, 0x5f, 0x5f, 0x49, 0x49, 0x38, 0x38, 0x2e, 0x2e, 0x2a, 0x2a, 0x2b, 0x2b, 0x2d, 0x2d, 0x31, 0x31, 0x34, 0x34, 0x37, 0x37, 0x38, 0x38, 0x38, 0x38, 
0x38, 0x38, 0x3c, 0x3c, 0x46, 0x46, 0x56, 0x56, 0x6a, 0x6a, 0x7e, 0x7e, 0x8d, 0x8d, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 0x96, 0x96, 0x96, 0x96, 0x97, 0x97, 
0x9a, 0x9a, 0x9f, 0x9f, 0xa7, 0xa7, 0xb0, 0xb0, 0xbb, 0xbb, 0xc9, 0xc9, 0xd8, 0xd8, 0xe8, 0xe8, 0xf6, 0xf6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf5, 0xf5, 
0xdf, 0xdf, 0xbe, 0xbe, 0x97, 0x97, 0x6f, 0x6f, 0x4c, 0x4c, 0x30, 0x30, 0x1c, 0x1c, 0x0e, 0x0e, 0x06, 0x06, 0x04, 0x04, 0x08, 0x08, 0x13, 0x13, 0x29, 0x29, 
0x49, 0x49, 0x6e, 0x6e, 0x92, 0x92, 0xae, 0xae, 0xbe, 0xbe, 0xc2, 0xc2, 0xbd, 0xbd, 0xae, 0xae, 0x99, 0x99, 0x83, 0x83, 0x74, 0x74, 0x73, 0x73, 0x84, 0x84, 
0xa0, 0xa0, 0xbf, 0xbf, 0xd6, 0xd6, 0xe2, 0xe2, 0xe1, 0xe1, 0xd7, 0xd7, 0xc4, 0xc4, 0xab, 0xab, 0x90, 0x90, 0x79, 0x79, 0x6c, 0x6c, 0x69, 0x69, 0x6f, 0x6f, 
0x79, 0x79, 0x82, 0x82, 0x89, 0x89, 0x8b, 0x8b, 0x89, 0x89, 0x82, 0x82, 0x76, 0x76, 0x68, 0x68, 0x5b, 0x5b, 0x52, 0x52, 0x4c, 0x4c, 0x4c, 0x4c, 0x54, 0x54, 
0x64, 0x64, 0x7d, 0x7d, 0x9a, 0x9a, 0xb5, 0xb5, 0xc7, 0xc7, 0xcc, 0xcc, 0xc7, 0xc7, 0xb9, 0xb9, 0xa5, 0xa5, 0x8e, 0x8e, 0x76, 0x76, 0x60, 0x60, 0x4e, 0x4e, 
0x41, 0x41, 0x39, 0x39, 0x33, 0x33, 0x2d, 0x2d, 0x28, 0x28, 0x25, 0x25, 0x27, 0x27, 0x34, 0x34, 0x4c, 0x4c, 0x6b, 0x6b, 0x8a, 0x8a, 0xa1, 0xa1, 0xae, 0xae, 
0xb1, 0xb1, 0xad, 0xad, 0xa5, 0xa5, 0x99, 0x99, 0x8e, 0x8e, 0x85, 0x85, 0x82, 0x82, 0x83, 0x83, 0x8a, 0x8a, 0x92, 0x92, 0x9a, 0x9a, 0xa1, 0xa1, 0xa7, 0xa7, 
0xac, 0xac, 0xb0, 0xb0, 0xb4, 0xb4, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xad, 0xad, 0xa5, 0xa5, 0x9e, 0x9e, 0x99, 0x99, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 
0x95, 0x95, 0x89, 0x89, 0x77, 0x77, 0x65, 0x65, 0x57, 0x57, 0x4d, 0x4d, 0x4a, 0x4a, 0x4b, 0x4b, 0x51, 0x51, 0x5a, 0x5a, 0x64, 0x64, 0x6f, 0x6f, 0x77, 0x77, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x84, 0x84, 0x7f, 0x7f, 0x74, 0x74, 0x67, 0x67, 0x5b, 0x5b, 0x54, 0x54, 0x53, 0x53, 
0x58, 0x58, 0x60, 0x60, 0x69, 0x69, 0x70, 0x70, 0x76, 0x76, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 
0x7f, 0x7f, 0x7a, 0x7a, 0x72, 0x72, 0x68, 0x68, 0x5f, 0x5f, 0x59, 0x59, 0x58, 0x58, 0x5b, 0x5b, 0x62, 0x62, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x87, 0x87, 
0x90, 0x90, 0x9a, 0x9a, 0xa2, 0xa2, 0xab, 0xab, 0xb3, 0xb3, 0xbb, 0xbb, 0xc2, 0xc2, 0xc5, 0xc5, 0xc4, 0xc4, 0xbe, 0xbe, 0xb5, 0xb5, 0xab, 0xab, 0xa3, 0xa3, 
0x9e, 0x9e, 0x9d, 0x9d, 0x9e, 0x9e, 0xa2, 0xa2, 0xa7, 0xa7, 0xaf, 0xaf, 0xb8, 0xb8, 0xc3, 0xc3, 0xd0, 0xd0, 0xdd, 0xdd, 0xe9, 0xe9, 0xf2, 0xf2, 0xf5, 0xf5, 
0xf2, 0xf2, 0xe6, 0xe6, 0xcf, 0xcf, 0xac, 0xac, 0x82, 0x82, 0x59, 0x59, 0x36, 0x36, 0x1d, 0x1d, 0x0d, 0x0d, 0x05, 0x05, 0x02, 0x02, 0x04, 0x04, 0x09, 0x09, 
0x12, 0x12, 0x20, 0x20, 0x32, 0x32, 0x46, 0x46, 0x5b, 0x5b, 0x6e, 0x6e, 0x7c, 0x7c, 0x87, 0x87, 0x8b, 0x8b, 0x87, 0x87, 0x7d, 0x7d, 0x6f, 0x6f, 0x64, 0x64, 
0x65, 0x65, 0x72, 0x72, 0x8a, 0x8a, 0xa6, 0xa6, 0xc1, 0xc1, 0xd9, 0xd9, 0xe9, 0xe9, 0xf2, 0xf2, 0xef, 0xef, 0xe1, 0xe1, 0xcd, 0xcd, 0xb7, 0xb7, 0xa5, 0xa5, 
0x9a, 0x9a, 0x95, 0x95, 0x95, 0x95, 0x98, 0x98, 0x9c, 0x9c, 0xa0, 0xa0, 0xa1, 0xa1, 0x9e, 0x9e, 0x96, 0x96, 0x8a, 0x8a, 0x7e, 0x7e, 0x74, 0x74, 0x6d, 0x6d, 
0x6a, 0x6a, 0x6c, 0x6c, 0x76, 0x76, 0x86, 0x86, 0x99, 0x99, 0xaa, 0xaa, 0xb6, 0xb6, 0xba, 0xba, 0xb5, 0xb5, 0xa9, 0xa9, 0x96, 0x96, 0x7c, 0x7c, 0x5f, 0x5f, 
0x43, 0x43, 0x2c, 0x2c, 0x19, 0x19, 0x0d, 0x0d, 0x06, 0x06, 0x04, 0x04, 0x07, 0x07, 0x0e, 0x0e, 0x19, 0x19, 0x27, 0x27, 0x38, 0x38, 0x4a, 0x4a, 0x5c, 0x5c, 
0x6a, 0x6a, 0x73, 0x73, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 
0x94, 0x94, 0x97, 0x97, 0x9d, 0x9d, 0xa6, 0xa6, 0xb3, 0xb3, 0xc2, 0xc2, 0xcf, 0xcf, 0xd8, 0xd8, 0xda, 0xda, 0xd6, 0xd6, 0xcf, 0xcf, 0xc6, 0xc6, 0xbc, 0xbc, 
0xb1, 0xb1, 0xa5, 0xa5, 0x95, 0x95, 0x83, 0x83, 0x6f, 0x6f, 0x5d, 0x5d, 0x4f, 0x4f, 0x47, 0x47, 0x46, 0x46, 0x4a, 0x4a, 0x55, 0x55, 0x65, 0x65, 0x78, 0x78, 
0x8a, 0x8a, 0x96, 0x96, 0x9b, 0x9b, 0x9a, 0x9a, 0x94, 0x94, 0x8b, 0x8b, 0x7f, 0x7f, 0x72, 0x72, 0x66, 0x66, 0x5a, 0x5a, 0x4f, 0x4f, 0x45, 0x45, 0x3c, 0x3c, 
0x35, 0x35, 0x2f, 0x2f, 0x2a, 0x2a, 0x27, 0x27, 0x26, 0x26, 0x26, 0x26, 0x28, 0x28, 0x2d, 0x2d, 0x36, 0x36, 0x43, 0x43, 0x52, 0x52, 0x62, 0x62, 0x6f, 0x6f, 
0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x86, 0x86, 0x82, 0x82, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x66, 0x66, 0x5e, 0x5e, 0x5a, 0x5a, 0x5a, 0x5a, 0x5f, 0x5f, 
0x68, 0x68, 0x73, 0x73, 0x7f, 0x7f, 0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa0, 0xa0, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa4, 0xa4, 
0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb5, 0xb5, 0xbc, 0xbc, 0xc6, 0xc6, 0xd5, 0xd5, 0xe6, 0xe6, 0xf5, 0xf5, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfd, 0xfd, 0xfc, 0xfc, 0xf8, 0xf8, 0xee, 0xee, 0xdf, 0xdf, 0xc9, 0xc9, 0xad, 0xad, 0x8c, 0x8c, 0x67, 0x67, 0x42, 0x42, 0x21, 0x21, 0x09, 0x09, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x0a, 0x0a, 0x11, 0x11, 0x1c, 0x1c, 0x2e, 0x2e, 0x46, 0x46, 0x62, 0x62, 0x7b, 0x7b, 0x89, 0x89, 0x8b, 0x8b, 
0x82, 0x82, 0x74, 0x74, 0x64, 0x64, 0x56, 0x56, 0x4d, 0x4d, 0x4c, 0x4c, 0x56, 0x56, 0x6c, 0x6c, 0x89, 0x89, 0xa6, 0xa6, 0xbd, 0xbd, 0xcb, 0xcb, 0xd1, 0xd1, 
0xd0, 0xd0, 0xc9, 0xc9, 0xbe, 0xbe, 0xb1, 0xb1, 0xa5, 0xa5, 0x9d, 0x9d, 0x99, 0x99, 0x9a, 0x9a, 0x9e, 0x9e, 0xa6, 0xa6, 0xb0, 0xb0, 0xbb, 0xbb, 0xc2, 0xc2, 
0xc3, 0xc3, 0xbc, 0xbc, 0xaf, 0xaf, 0xa0, 0xa0, 0x94, 0x94, 0x8e, 0x8e, 0x8c, 0x8c, 0x93, 0x93, 0xa1, 0xa1, 0xb7, 0xb7, 0xd0, 0xd0, 0xe4, 0xe4, 0xeb, 0xeb, 
0xe4, 0xe4, 0xd0, 0xd0, 0xb3, 0xb3, 0x92, 0x92, 0x6f, 0x6f, 0x4d, 0x4d, 0x30, 0x30, 0x1a, 0x1a, 0x0c, 0x0c, 0x05, 0x05, 0x03, 0x03, 0x04, 0x04, 0x08, 0x08, 
0x0f, 0x0f, 0x1a, 0x1a, 0x29, 0x29, 0x3e, 0x3e, 0x56, 0x56, 0x6c, 0x6c, 0x7d, 0x7d, 0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x87, 0x87, 0x82, 0x82, 0x7c, 0x7c, 
0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x75, 0x75, 0x7e, 0x7e, 0x8d, 0x8d, 0x9f, 0x9f, 0xb1, 0xb1, 0xbf, 0xbf, 0xc8, 0xc8, 0xcb, 0xcb, 0xc7, 0xc7, 
0xba, 0xba, 0xa6, 0xa6, 0x8e, 0x8e, 0x78, 0x78, 0x6a, 0x6a, 0x64, 0x64, 0x65, 0x65, 0x69, 0x69, 0x6b, 0x6b, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x65, 0x65, 
0x6d, 0x6d, 0x79, 0x79, 0x88, 0x88, 0x96, 0x96, 0xa2, 0xa2, 0xaa, 0xaa, 0xae, 0xae, 0xaf, 0xaf, 0xac, 0xac, 0xa8, 0xa8, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 
0x96, 0x96, 0x8e, 0x8e, 0x7f, 0x7f, 0x68, 0x68, 0x4d, 0x4d, 0x34, 0x34, 0x24, 0x24, 0x1f, 0x1f, 0x23, 0x23, 0x2d, 0x2d, 0x3a, 0x3a, 0x46, 0x46, 0x51, 0x51, 
0x5a, 0x5a, 0x60, 0x60, 0x64, 0x64, 0x66, 0x66, 0x66, 0x66, 0x63, 0x63, 0x5e, 0x5e, 0x57, 0x57, 0x50, 0x50, 0x4b, 0x4b, 0x48, 0x48, 0x47, 0x47, 0x4a, 0x4a, 
0x53, 0x53, 0x60, 0x60, 0x6f, 0x6f, 0x7f, 0x7f, 0x8b, 0x8b, 0x93, 0x93, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 
0x95, 0x95, 0x8f, 0x8f, 0x89, 0x89, 0x85, 0x85, 0x84, 0x84, 0x86, 0x86, 0x8b, 0x8b, 0x92, 0x92, 0x9b, 0x9b, 0xa5, 0xa5, 0xaf, 0xaf, 0xb8, 0xb8, 0xbf, 0xbf, 
0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xcc, 0xcc, 0xce, 0xce, 0xd1, 0xd1, 0xd7, 0xd7, 0xe1, 0xe1, 0xec, 0xec, 0xf6, 0xf6, 0xfb, 0xfb, 0xf9, 0xf9, 0xf1, 0xf1, 
0xdf, 0xdf, 0xc2, 0xc2, 0x9b, 0x9b, 0x6f, 0x6f, 0x44, 0x44, 0x23, 0x23, 0x0e, 0x0e, 0x04, 0x04, 0x02, 0x02, 0x05, 0x05, 0x0c, 0x0c, 0x16, 0x16, 0x26, 0x26, 
0x3f, 0x3f, 0x62, 0x62, 0x88, 0x88, 0xa9, 0xa9, 0xb9, 0xb9, 0xb5, 0xb5, 0xa2, 0xa2, 0x87, 0x87, 0x6a, 0x6a, 0x51, 0x51, 0x40, 0x40, 0x3a, 0x3a, 0x46, 0x46, 
0x62, 0x62, 0x88, 0x88, 0xad, 0xad, 0xc9, 0xc9, 0xd7, 0xd7, 0xd8, 0xd8, 0xd2, 0xd2, 0xc8, 0xc8, 0xbc, 0xbc, 0xb2, 0xb2, 0xa8, 0xa8, 0xa0, 0xa0, 0x99, 0x99, 
0x95, 0x95, 0x93, 0x93, 0x95, 0x95, 0x9d, 0x9d, 0xa6, 0xa6, 0xad, 0xad, 0xad, 0xad, 0xa4, 0xa4, 0x95, 0x95, 0x83, 0x83, 0x71, 0x71, 0x62, 0x62, 0x58, 0x58, 
0x56, 0x56, 0x5f, 0x5f, 0x72, 0x72, 0x8c, 0x8c, 0xa3, 0xa3, 0xaf, 0xaf, 0xad, 0xad, 0x9f, 0x9f, 0x89, 0x89, 0x70, 0x70, 0x57, 0x57, 0x3f, 0x3f, 0x2b, 0x2b, 
0x1d, 0x1d, 0x14, 0x14, 0x10, 0x10, 0x0f, 0x0f, 0x10, 0x10, 0x12, 0x12, 0x15, 0x15, 0x1a, 0x1a, 0x21, 0x21, 0x2a, 0x2a, 0x36, 0x36, 0x41, 0x41, 0x4b, 0x4b, 
0x54, 0x54, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x77, 0x77, 0x80, 0x80, 0x8b, 0x8b, 0x96, 0x96, 0xa1, 0xa1, 0xac, 0xac, 0xb6, 0xb6, 0xbf, 0xbf, 
0xc7, 0xc7, 0xcf, 0xcf, 0xd8, 0xd8, 0xe3, 0xe3, 0xee, 0xee, 0xf5, 0xf5, 0xf6, 0xf6, 0xf0, 0xf0, 0xe4, 0xe4, 0xd5, 0xd5, 0xc7, 0xc7, 0xba, 0xba, 0xb0, 0xb0, 
0xa8, 0xa8, 0xa4, 0xa4, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x98, 0x98, 0x8d, 0x8d, 0x7f, 0x7f, 0x73, 0x73, 0x6c, 0x6c, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 
0x74, 0x74, 0x6c, 0x6c, 0x5f, 0x5f, 0x4e, 0x4e, 0x3c, 0x3c, 0x2a, 0x2a, 0x1a, 0x1a, 0x0d, 0x0d, 0x05, 0x05, 0x02, 0x02, 0x03, 0x03, 0x07, 0x07, 0x0b, 0x0b, 
0x0f, 0x0f, 0x14, 0x14, 0x19, 0x19, 0x1f, 0x1f, 0x28, 0x28, 0x32, 0x32, 0x3c, 0x3c, 0x45, 0x45, 0x4d, 0x4d, 0x54, 0x54, 0x59, 0x59, 0x5d, 0x5d, 0x5f, 0x5f, 
0x61, 0x61, 0x5f, 0x5f, 0x5a, 0x5a, 0x51, 0x51, 0x48, 0x48, 0x41, 0x41, 0x43, 0x43, 0x4e, 0x4e, 0x61, 0x61, 0x79, 0x79, 0x94, 0x94, 0xae, 0xae, 0xc6, 0xc6, 
0xd9, 0xd9, 0xe3, 0xe3, 0xe4, 0xe4, 0xdf, 0xdf, 0xd6, 0xd6, 0xce, 0xce, 0xc8, 0xc8, 0xc3, 0xc3, 0xc0, 0xc0, 0xbe, 0xbe, 0xbb, 0xbb, 0xb8, 0xb8, 0xb5, 0xb5, 
0xb3, 0xb3, 0xb2, 0xb2, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb0, 0xb0, 0xae, 0xae, 0xac, 0xac, 0xaa, 0xaa, 0xa9, 0xa9, 0xa9, 0xa9, 0xab, 0xab, 0xad, 0xad, 
0xb2, 0xb2, 0xb7, 0xb7, 0xbd, 0xbd, 0xc2, 0xc2, 0xc7, 0xc7, 0xcb, 0xcb, 0xce, 0xce, 0xd2, 0xd2, 0xd5, 0xd5, 0xd5, 0xd5, 0xcf, 0xcf, 0xc0, 0xc0, 0xa7, 0xa7, 
0x87, 0x87, 0x64, 0x64, 0x44, 0x44, 0x2a, 0x2a, 0x16, 0x16, 0x0a, 0x0a, 0x05, 0x05, 0x08, 0x08, 0x10, 0x10, 0x1c, 0x1c, 0x29, 0x29, 0x36, 0x36, 0x44, 0x44, 
0x54, 0x54, 0x69, 0x69, 0x82, 0x82, 0x9d, 0x9d, 0xb4, 0xb4, 0xc2, 0xc2, 0xc6, 0xc6, 0xc0, 0xc0, 0xb7, 0xb7, 0xae, 0xae, 0xa8, 0xa8, 0xa6, 0xa6, 0xaa, 0xaa, 
0xb4, 0xb4, 0xc4, 0xc4, 0xd6, 0xd6, 0xe6, 0xe6, 0xed, 0xed, 0xeb, 0xeb, 0xe2, 0xe2, 0xd6, 0xd6, 0xcb, 0xcb, 0xc2, 0xc2, 0xbd, 0xbd, 0xb9, 0xb9, 0xb6, 0xb6, 
0xb2, 0xb2, 0xac, 0xac, 0xa6, 0xa6, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x8e, 0x8e, 0x83, 0x83, 0x74, 0x74, 0x63, 0x63, 0x53, 0x53, 0x48, 0x48, 0x41, 0x41, 
0x40, 0x40, 0x42, 0x42, 0x47, 0x47, 0x4c, 0x4c, 0x51, 0x51, 0x52, 0x52, 0x4d, 0x4d, 0x40, 0x40, 0x2f, 0x2f, 0x1f, 0x1f, 0x15, 0x15, 0x13, 0x13, 0x16, 0x16, 
0x1b, 0x1b, 0x1d, 0x1d, 0x1a, 0x1a, 0x13, 0x13, 0x0d, 0x0d, 0x0a, 0x0a, 0x0c, 0x0c, 0x15, 0x15, 0x27, 0x27, 0x44, 0x44, 0x6c, 0x6c, 0x99, 0x99, 0xc3, 0xc3, 
0xe4, 0xe4, 0xf7, 0xf7, 0xfe, 0xfe, 0xfe, 0xfe, 0xf8, 0xf8, 0xf0, 0xf0, 0xe7, 0xe7, 0xe0, 0xe0, 0xdc, 0xdc, 0xdb, 0xdb, 0xdd, 0xdd, 0xe0, 0xe0, 0xe4, 0xe4, 
0xe8, 0xe8, 0xec, 0xec, 0xf0, 0xf0, 0xf3, 0xf3, 0xf6, 0xf6, 0xf7, 0xf7, 0xf3, 0xf3, 0xe8, 0xe8, 0xd4, 0xd4, 0xbb, 0xbb, 0xa1, 0xa1, 0x8a, 0x8a, 0x78, 0x78, 
0x6c, 0x6c, 0x62, 0x62, 0x58, 0x58, 0x4f, 0x4f, 0x45, 0x45, 0x3b, 0x3b, 0x34, 0x34, 0x2f, 0x2f, 0x2d, 0x2d, 0x2e, 0x2e, 0x32, 0x32, 0x3a, 0x3a, 0x43, 0x43, 
0x47, 0x47, 0x43, 0x43, 0x36, 0x36, 0x22, 0x22, 0x0f, 0x0f, 0x02, 0x02, 0x00, 0x00, 0x02, 0x02, 0x09, 0x09, 0x10, 0x10, 0x15, 0x15, 0x17, 0x17, 0x19, 0x19, 
0x1c, 0x1c, 0x21, 0x21, 0x29, 0x29, 0x34, 0x34, 0x43, 0x43, 0x56, 0x56, 0x69, 0x69, 0x79, 0x79, 0x84, 0x84, 0x87, 0x87, 0x86, 0x86, 0x82, 0x82, 0x81, 0x81, 
0x82, 0x82, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0xa4, 0xa4, 0xaf, 0xaf, 0xbd, 0xbd, 0xc8, 0xc8, 0xcf, 0xcf, 0xd0, 0xd0, 
0xcb, 0xcb, 0xc4, 0xc4, 0xbc, 0xbc, 0xb4, 0xb4, 0xae, 0xae, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 
0x84, 0x84, 0x7f, 0x7f, 0x7e, 0x7e, 0x80, 0x80, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7a, 0x7a, 
0x71, 0x71, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 0x58, 0x58, 0x5d, 0x5d, 0x68, 0x68, 0x78, 0x78, 0x8c, 0x8c, 0xa3, 0xa3, 0xbc, 0xbc, 0xd3, 0xd3, 0xe5, 0xe5, 
0xf1, 0xf1, 0xf6, 0xf6, 0xef, 0xef, 0xda, 0xda, 0xb7, 0xb7, 0x8b, 0x8b, 0x5e, 0x5e, 0x38, 0x38, 0x1d, 0x1d, 0x0d, 0x0d, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 
0x01, 0x01, 0x07, 0x07, 0x12, 0x12, 0x24, 0x24, 0x3b, 0x3b, 0x57, 0x57, 0x76, 0x76, 0x98, 0x98, 0xb8, 0xb8, 0xd0, 0xd0, 0xd9, 0xd9, 0xd1, 0xd1, 0xbe, 0xbe, 
0xa8, 0xa8, 0x9a, 0x9a, 0x96, 0x96, 0x9c, 0x9c, 0xaa, 0xaa, 0xbc, 0xbc, 0xd0, 0xd0, 0xe3, 0xe3, 0xf2, 0xf2, 0xfa, 0xfa, 0xfb, 0xfb, 0xf6, 0xf6, 0xeb, 0xeb, 
0xdb, 0xdb, 0xc6, 0xc6, 0xb0, 0xb0, 0x9b, 0x9b, 0x8c, 0x8c, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 0x83, 0x83, 0x7d, 0x7d, 0x6f, 0x6f, 
0x5b, 0x5b, 0x44, 0x44, 0x31, 0x31, 0x29, 0x29, 0x2e, 0x2e, 0x3e, 0x3e, 0x52, 0x52, 0x65, 0x65, 0x75, 0x75, 0x7e, 0x7e, 0x81, 0x81, 0x7d, 0x7d, 0x73, 0x73, 
0x65, 0x65, 0x55, 0x55, 0x45, 0x45, 0x37, 0x37, 0x2c, 0x2c, 0x25, 0x25, 0x23, 0x23, 0x27, 0x27, 0x30, 0x30, 0x3e, 0x3e, 0x4f, 0x4f, 0x65, 0x65, 0x7c, 0x7c, 
0x94, 0x94, 0xa8, 0xa8, 0xb9, 0xb9, 0xc6, 0xc6, 0xce, 0xce, 0xd0, 0xd0, 0xcd, 0xcd, 0xc6, 0xc6, 0xbf, 0xbf, 0xbb, 0xbb, 0xbb, 0xbb, 0xc0, 0xc0, 0xc8, 0xc8, 
0xd2, 0xd2, 0xdd, 0xdd, 0xe6, 0xe6, 0xec, 0xec, 0xeb, 0xeb, 0xe3, 0xe3, 0xd5, 0xd5, 0xc5, 0xc5, 0xb6, 0xb6, 0xaa, 0xaa, 0xa1, 0xa1, 0x97, 0x97, 0x8a, 0x8a, 
0x7a, 0x7a, 0x68, 0x68, 0x55, 0x55, 0x44, 0x44, 0x36, 0x36, 0x2b, 0x2b, 0x24, 0x24, 0x20, 0x20, 0x20, 0x20, 0x22, 0x22, 0x29, 0x29, 0x34, 0x34, 0x43, 0x43, 
0x55, 0x55, 0x67, 0x67, 0x77, 0x77, 0x82, 0x82, 0x89, 0x89, 0x89, 0x89, 0x82, 0x82, 0x72, 0x72, 0x5e, 0x5e, 0x4a, 0x4a, 0x3d, 0x3d, 0x37, 0x37, 0x38, 0x38, 
0x40, 0x40, 0x4b, 0x4b, 0x58, 0x58, 0x67, 0x67, 0x77, 0x77, 0x88, 0x88, 0x98, 0x98, 0xa8, 0xa8, 0xb5, 0xb5, 0xbe, 0xbe, 0xc3, 0xc3, 0xc3, 0xc3, 0xbf, 0xbf, 
0xb7, 0xb7, 0xac, 0xac, 0x9f, 0x9f, 0x93, 0x93, 0x89, 0x89, 0x82, 0x82, 0x7d, 0x7d, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x81, 0x81, 
0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x87, 0x87, 0x81, 0x81, 0x76, 0x76, 0x68, 0x68, 0x58, 0x58, 0x4a, 0x4a, 0x3d, 0x3d, 
0x33, 0x33, 0x2d, 0x2d, 0x2a, 0x2a, 0x2b, 0x2b, 0x2f, 0x2f, 0x34, 0x34, 0x3b, 0x3b, 0x42, 0x42, 0x4a, 0x4a, 0x53, 0x53, 0x5e, 0x5e, 0x6b, 0x6b, 0x78, 0x78, 
0x84, 0x84, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x95, 0x95, 0x9e, 0x9e, 0xa9, 0xa9, 0xb4, 0xb4, 0xba, 0xba, 0xbc, 0xbc, 0xba, 0xba, 0xb7, 0xb7, 
0xb6, 0xb6, 0xb9, 0xb9, 0xc0, 0xc0, 0xca, 0xca, 0xd5, 0xd5, 0xe1, 0xe1, 0xeb, 0xeb, 0xf5, 0xf5, 0xfb, 0xfb, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 
0xfb, 0xfb, 0xf5, 0xf5, 0xe8, 0xe8, 0xce, 0xce, 0xa6, 0xa6, 0x75, 0x75, 0x46, 0x46, 0x21, 0x21, 0x0b, 0x0b, 0x01, 0x01, 0x01, 0x01, 0x06, 0x06, 0x0d, 0x0d, 
0x17, 0x17, 0x24, 0x24, 0x37, 0x37, 0x51, 0x51, 0x6e, 0x6e, 0x88, 0x88, 0x9a, 0x9a, 0xa2, 0xa2, 0xa0, 0xa0, 0x94, 0x94, 0x80, 0x80, 0x66, 0x66, 0x4b, 0x4b, 
0x38, 0x38, 0x35, 0x35, 0x46, 0x46, 0x65, 0x65, 0x8a, 0x8a, 0xab, 0xab, 0xc6, 0xc6, 0xd8, 0xd8, 0xe2, 0xe2, 0xe3, 0xe3, 0xdd, 0xdd, 0xd1, 0xd1, 0xc0, 0xc0, 
0xac, 0xac, 0x95, 0x95, 0x7d, 0x7d, 0x6a, 0x6a, 0x5f, 0x5f, 0x5e, 0x5e, 0x64, 0x64, 0x6e, 0x6e, 0x79, 0x79, 0x83, 0x83, 0x8a, 0x8a, 0x90, 0x90, 0x93, 0x93, 
0x94, 0x94, 0x96, 0x96, 0x9b, 0x9b, 0xa8, 0xa8, 0xbd, 0xbd, 0xd6, 0xd6, 0xee, 0xee, 0xfd, 0xfd, 0xff, 0xff, 0xfb, 0xfb, 0xeb, 0xeb, 0xd1, 0xd1, 0xaf, 0xaf, 
0x89, 0x89, 0x64, 0x64, 0x45, 0x45, 0x2e, 0x2e, 0x1f, 0x1f, 0x18, 0x18, 0x19, 0x19, 0x23, 0x23, 0x32, 0x32, 0x44, 0x44, 0x57, 0x57, 0x69, 0x69, 0x79, 0x79, 
0x85, 0x85, 0x8d, 0x8d, 0x8e, 0x8e, 0x8b, 0x8b, 0x82, 0x82, 0x73, 0x73, 0x61, 0x61, 0x4c, 0x4c, 0x3c, 0x3c, 0x34, 0x34, 0x37, 0x37, 0x42, 0x42, 0x53, 0x53, 
0x65, 0x65, 0x77, 0x77, 0x87, 0x87, 0x96, 0x96, 0xa2, 0xa2, 0xac, 0xac, 0xb4, 0xb4, 0xb8, 0xb8, 0xb8, 0xb8, 0xb4, 0xb4, 0xac, 0xac, 0x9f, 0x9f, 0x8d, 0x8d, 
0x76, 0x76, 0x5e, 0x5e, 0x4b, 0x4b, 0x44, 0x44, 0x4a, 0x4a, 0x58, 0x58, 0x69, 0x69, 0x73, 0x73, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x66, 0x66, 0x67, 0x67, 
0x6d, 0x6d, 0x78, 0x78, 0x86, 0x86, 0x97, 0x97, 0xa7, 0xa7, 0xb2, 0xb2, 0xb4, 0xb4, 0xac, 0xac, 0x9d, 0x9d, 0x8b, 0x8b, 0x7c, 0x7c, 0x72, 0x72, 0x6b, 0x6b, 
0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x62, 0x62, 0x6a, 0x6a, 0x77, 0x77, 0x89, 0x89, 0x9a, 0x9a, 0xa6, 0xa6, 0xac, 0xac, 0xab, 0xab, 0xa3, 0xa3, 
0x94, 0x94, 0x80, 0x80, 0x6a, 0x6a, 0x55, 0x55, 0x46, 0x46, 0x3e, 0x3e, 0x3d, 0x3d, 0x3f, 0x3f, 0x44, 0x44, 0x49, 0x49, 0x4f, 0x4f, 0x55, 0x55, 0x5c, 0x5c, 
0x62, 0x62, 0x68, 0x68, 0x6c, 0x6c, 0x6c, 0x6c, 0x66, 0x66, 0x5d, 0x5d, 0x53, 0x53, 0x49, 0x49, 0x40, 0x40, 0x3a, 0x3a, 0x39, 0x39, 0x3d, 0x3d, 0x47, 0x47, 
0x55, 0x55, 0x64, 0x64, 0x71, 0x71, 0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa5, 0xa5, 0xac, 0xac, 
0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa5, 0xa5, 0x9f, 0x9f, 0x9a, 0x9a, 0x97, 0x97, 
0x99, 0x99, 0x9f, 0x9f, 0xa7, 0xa7, 0xaf, 0xaf, 0xb4, 0xb4, 0xb6, 0xb6, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xac, 0xac, 0xac, 0xac, 0xb1, 0xb1, 0xbc, 0xbc, 
0xcc, 0xcc, 0xe0, 0xe0, 0xf1, 0xf1, 0xfc, 0xfc, 0xfd, 0xfd, 0xf4, 0xf4, 0xe1, 0xe1, 0xc2, 0xc2, 0x98, 0x98, 0x69, 0x69, 0x3d, 0x3d, 0x1c, 0x1c, 0x08, 0x08, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x04, 0x04, 0x09, 0x09, 0x15, 0x15, 0x28, 0x28, 0x41, 0x41, 0x5e, 0x5e, 0x7b, 0x7b, 0x96, 0x96, 0xae, 0xae, 
0xbf, 0xbf, 0xc6, 0xc6, 0xc3, 0xc3, 0xb9, 0xb9, 0xad, 0xad, 0xa5, 0xa5, 0xa3, 0xa3, 0xa6, 0xa6, 0xad, 0xad, 0xb6, 0xb6, 0xc1, 0xc1, 0xcb, 0xcb, 0xd4, 0xd4, 
0xdd, 0xdd, 0xe5, 0xe5, 0xeb, 0xeb, 0xee, 0xee, 0xec, 0xec, 0xe6, 0xe6, 0xdc, 0xdc, 0xcf, 0xcf, 0xc0, 0xc0, 0xb2, 0xb2, 0xa4, 0xa4, 0x98, 0x98, 0x91, 0x91, 
0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x89, 0x89, 0x7f, 0x7f, 0x71, 0x71, 0x63, 0x63, 0x5b, 0x5b, 0x58, 0x58, 0x5a, 0x5a, 0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 
0x6e, 0x6e, 0x6f, 0x6f, 0x6d, 0x6d, 0x67, 0x67, 0x5f, 0x5f, 0x53, 0x53, 0x44, 0x44, 0x32, 0x32, 0x1e, 0x1e, 0x0d, 0x0d, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 
0x03, 0x03, 0x0f, 0x0f, 0x1f, 0x1f, 0x32, 0x32, 0x48, 0x48, 0x5f, 0x5f, 0x79, 0x79, 0x92, 0x92, 0xaa, 0xaa, 0xbc, 0xbc, 0xca, 0xca, 0xd2, 0xd2, 0xd5, 0xd5, 
0xd1, 0xd1, 0xc8, 0xc8, 0xbc, 0xbc, 0xb0, 0xb0, 0xa8, 0xa8, 0xa6, 0xa6, 0xa8, 0xa8, 0xae, 0xae, 0xb4, 0xb4, 0xbb, 0xbb, 0xc1, 0xc1, 0xc6, 0xc6, 0xc9, 0xc9, 
0xca, 0xca, 0xc8, 0xc8, 0xc4, 0xc4, 0xbb, 0xbb, 0xad, 0xad, 0x9d, 0x9d, 0x8d, 0x8d, 0x80, 0x80, 0x76, 0x76, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x72, 0x72, 
0x76, 0x76, 0x78, 0x78, 0x76, 0x76, 0x70, 0x70, 0x66, 0x66, 0x5a, 0x5a, 0x4f, 0x4f, 0x45, 0x45, 0x3d, 0x3d, 0x36, 0x36, 0x31, 0x31, 0x2e, 0x2e, 0x2d, 0x2d, 
0x2e, 0x2e, 0x34, 0x34, 0x3d, 0x3d, 0x48, 0x48, 0x53, 0x53, 0x5a, 0x5a, 0x5d, 0x5d, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5c, 0x5c, 
0x61, 0x61, 0x67, 0x67, 0x6e, 0x6e, 0x76, 0x76, 0x7f, 0x7f, 0x8a, 0x8a, 0x96, 0x96, 0xa2, 0xa2, 0xad, 0xad, 0xb7, 0xb7, 0xbf, 0xbf, 0xc3, 0xc3, 0xc4, 0xc4, 
0xc1, 0xc1, 0xbb, 0xbb, 0xb4, 0xb4, 0xad, 0xad, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x85, 0x85, 0x7c, 0x7c, 0x76, 0x76, 0x73, 0x73, 
0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x75, 0x75, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 
0x81, 0x81, 0x7c, 0x7c, 0x74, 0x74, 0x6a, 0x6a, 0x5f, 0x5f, 0x56, 0x56, 0x50, 0x50, 0x4d, 0x4d, 0x4f, 0x4f, 0x57, 0x57, 0x64, 0x64, 0x77, 0x77, 0x8b, 0x8b, 
0xa1, 0xa1, 0xb6, 0xb6, 0xc8, 0xc8, 0xd4, 0xd4, 0xd5, 0xd5, 0xcc, 0xcc, 0xbb, 0xbb, 0xa8, 0xa8, 0x98, 0x98, 0x8d, 0x8d, 0x89, 0x89, 0x89, 0x89, 0x8f, 0x8f, 
0x99, 0x99, 0xa6, 0xa6, 0xb5, 0xb5, 0xc4, 0xc4, 0xd3, 0xd3, 0xe2, 0xe2, 0xee, 0xee, 0xf7, 0xf7, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 
0xfc, 0xfc, 0xf6, 0xf6, 0xe8, 0xe8, 0xd2, 0xd2, 0xb5, 0xb5, 0x94, 0x94, 0x71, 0x71, 0x4e, 0x4e, 0x2c, 0x2c, 0x12, 0x12, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 
0x0b, 0x0b, 0x1a, 0x1a, 0x2b, 0x2b, 0x3e, 0x3e, 0x54, 0x54, 0x70, 0x70, 0x91, 0x91, 0xb2, 0xb2, 0xca, 0xca, 0xd2, 0xd2, 0xc7, 0xc7, 0xac, 0xac, 0x89, 0x89, 
0x64, 0x64, 0x42, 0x42, 0x26, 0x26, 0x15, 0x15, 0x15, 0x15, 0x25, 0x25, 0x42, 0x42, 0x66, 0x66, 0x8d, 0x8d, 0xb2, 0xb2, 0xd3, 0xd3, 0xeb, 0xeb, 0xf7, 0xf7, 
0xf4, 0xf4, 0xe7, 0xe7, 0xd2, 0xd2, 0xb9, 0xb9, 0x9e, 0x9e, 0x83, 0x83, 0x6d, 0x6d, 0x5e, 0x5e, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x5e, 0x5e, 
0x5e, 0x5e, 0x5e, 0x5e, 0x61, 0x61, 0x67, 0x67, 0x71, 0x71, 0x7d, 0x7d, 0x8d, 0x8d, 0x9e, 0x9e, 0xb0, 0xb0, 0xbe, 0xbe, 0xc5, 0xc5, 0xc5, 0xc5, 0xbe, 0xbe, 
0xae, 0xae, 0x97, 0x97, 0x77, 0x77, 0x54, 0x54, 0x33, 0x33, 0x1a, 0x1a, 0x0a, 0x0a, 0x04, 0x04, 0x06, 0x06, 0x10, 0x10, 0x21, 0x21, 0x37, 0x37, 0x4f, 0x4f, 
0x68, 0x68, 0x83, 0x83, 0x9c, 0x9c, 0xb1, 0xb1, 0xbf, 0xbf, 0xc6, 0xc6, 0xc5, 0xc5, 0xbf, 0xbf, 0xb3, 0xb3, 0xa2, 0xa2, 0x90, 0x90, 0x80, 0x80, 0x78, 0x78, 
0x78, 0x78, 0x7f, 0x7f, 0x8a, 0x8a, 0x96, 0x96, 0xa2, 0xa2, 0xad, 0xad, 0xb7, 0xb7, 0xc2, 0xc2, 0xce, 0xce, 0xd7, 0xd7, 0xdd, 0xdd, 0xda, 0xda, 0xce, 0xce, 
0xba, 0xba, 0xa2, 0xa2, 0x88, 0x88, 0x6e, 0x6e, 0x56, 0x56, 0x44, 0x44, 0x39, 0x39, 0x38, 0x38, 0x3d, 0x3d, 0x44, 0x44, 0x4c, 0x4c, 0x51, 0x51, 0x54, 0x54, 
0x58, 0x58, 0x5c, 0x5c, 0x63, 0x63, 0x6b, 0x6b, 0x72, 0x72, 0x73, 0x73, 0x70, 0x70, 0x68, 0x68, 0x5f, 0x5f, 0x57, 0x57, 0x51, 0x51, 0x4d, 0x4d, 0x4a, 0x4a, 
0x47, 0x47, 0x42, 0x42, 0x3d, 0x3d, 0x37, 0x37, 0x30, 0x30, 0x2a, 0x2a, 0x25, 0x25, 0x26, 0x26, 0x2f, 0x2f, 0x41, 0x41, 0x5a, 0x5a, 0x75, 0x75, 0x8f, 0x8f, 
0xa5, 0xa5, 0xb6, 0xb6, 0xc0, 0xc0, 0xc4, 0xc4, 0xc2, 0xc2, 0xba, 0xba, 0xb0, 0xb0, 0xa7, 0xa7, 0x9f, 0x9f, 0x99, 0x99, 0x96, 0x96, 0x95, 0x95, 0x96, 0x96, 
0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 
0x62, 0x62, 0x65, 0x65, 0x6b, 0x6b, 0x73, 0x73, 0x7c, 0x7c, 0x87, 0x87, 0x92, 0x92, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb5, 0xb5, 0xb9, 0xb9, 0xba, 0xba, 
0xb8, 0xb8, 0xb3, 0xb3, 0xac, 0xac, 0xa5, 0xa5, 0xa1, 0xa1, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa4, 0xa4, 
0xa2, 0xa2, 0xa0, 0xa0, 0xa1, 0xa1, 0xa4, 0xa4, 0xab, 0xab, 0xb3, 0xb3, 0xb9, 0xb9, 0xbb, 0xbb, 0xb7, 0xb7, 0xae, 0xae, 0xa3, 0xa3, 0x98, 0x98, 0x8f, 0x8f, 
0x88, 0x88, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 0x91, 0x91, 0x9a, 0x9a, 0xa4, 0xa4, 0xa9, 0xa9, 0xa7, 0xa7, 0x9b, 0x9b, 0x87, 0x87, 
0x70, 0x70, 0x56, 0x56, 0x3e, 0x3e, 0x27, 0x27, 0x14, 0x14, 0x08, 0x08, 0x03, 0x03, 0x03, 0x03, 0x08, 0x08, 0x10, 0x10, 0x1a, 0x1a, 0x27, 0x27, 0x39, 0x39, 
0x52, 0x52, 0x72, 0x72, 0x95, 0x95, 0xb3, 0xb3, 0xc5, 0xc5, 0xc8, 0xc8, 0xc1, 0xc1, 0xb3, 0xb3, 0xa6, 0xa6, 0x9d, 0x9d, 0x99, 0x99, 0x9d, 0x9d, 0xa9, 0xa9, 
0xbd, 0xbd, 0xd5, 0xd5, 0xec, 0xec, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xf9, 0xf1, 0xf1, 0xea, 0xea, 0xe4, 0xe4, 0xdf, 0xdf, 0xdc, 0xdc, 
0xda, 0xda, 0xd9, 0xd9, 0xd9, 0xd9, 0xd9, 0xd9, 0xd8, 0xd8, 0xd2, 0xd2, 0xc3, 0xc3, 0xab, 0xab, 0x8c, 0x8c, 0x6c, 0x6c, 0x52, 0x52, 0x40, 0x40, 0x36, 0x36, 
0x34, 0x34, 0x3a, 0x3a, 0x45, 0x45, 0x53, 0x53, 0x5e, 0x5e, 0x63, 0x63, 0x60, 0x60, 0x57, 0x57, 0x4b, 0x4b, 0x3d, 0x3d, 0x30, 0x30, 0x25, 0x25, 0x1c, 0x1c, 
0x13, 0x13, 0x0d, 0x0d, 0x07, 0x07, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0b, 0x0b, 0x1e, 0x1e, 0x3c, 0x3c, 0x61, 0x61, 0x87, 0x87, 0xaa, 0xaa, 
0xc6, 0xc6, 0xdb, 0xdb, 0xe8, 0xe8, 0xed, 0xed, 0xea, 0xea, 0xe2, 0xe2, 0xda, 0xda, 0xd6, 0xd6, 0xd6, 0xd6, 0xdb, 0xdb, 0xe2, 0xe2, 0xe9, 0xe9, 0xef, 0xef, 
0xf3, 0xf3, 0xf4, 0xf4, 0xf2, 0xf2, 0xed, 0xed, 0xe4, 0xe4, 0xda, 0xda, 0xce, 0xce, 0xc0, 0xc0, 0xb2, 0xb2, 0xa4, 0xa4, 0x96, 0x96, 0x89, 0x89, 0x7d, 0x7d, 
0x72, 0x72, 0x67, 0x67, 0x5d, 0x5d, 0x53, 0x53, 0x48, 0x48, 0x3d, 0x3d, 0x32, 0x32, 0x27, 0x27, 0x1e, 0x1e, 0x17, 0x17, 0x13, 0x13, 0x12, 0x12, 0x12, 0x12, 
0x13, 0x13, 0x15, 0x15, 0x17, 0x17, 0x19, 0x19, 0x1b, 0x1b, 0x1e, 0x1e, 0x20, 0x20, 0x20, 0x20, 0x1d, 0x1d, 0x17, 0x17, 0x0f, 0x0f, 0x08, 0x08, 0x07, 0x07, 
0x0b, 0x0b, 0x16, 0x16, 0x28, 0x28, 0x41, 0x41, 0x61, 0x61, 0x85, 0x85, 0xa8, 0xa8, 0xc6, 0xc6, 0xdd, 0xdd, 0xee, 0xee, 0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf1, 0xf1, 0xea, 0xea, 0xe3, 0xe3, 0xdd, 0xdd, 0xd9, 0xd9, 0xd6, 0xd6, 0xd3, 0xd3, 0xce, 0xce, 0xc7, 0xc7, 0xbe, 0xbe, 
0xb4, 0xb4, 0xaa, 0xaa, 0xa1, 0xa1, 0x99, 0x99, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 0x79, 0x79, 0x6c, 0x6c, 0x5b, 0x5b, 0x47, 0x47, 0x35, 0x35, 
0x28, 0x28, 0x22, 0x22, 0x22, 0x22, 0x25, 0x25, 0x28, 0x28, 0x29, 0x29, 0x29, 0x29, 0x28, 0x28, 0x27, 0x27, 0x26, 0x26, 0x26, 0x26, 0x27, 0x27, 0x29, 0x29, 
0x2c, 0x2c, 0x2e, 0x2e, 0x2f, 0x2f, 0x2c, 0x2c, 0x27, 0x27, 0x20, 0x20, 0x1d, 0x1d, 0x20, 0x20, 0x2c, 0x2c, 0x3e, 0x3e, 0x54, 0x54, 0x6a, 0x6a, 0x80, 0x80, 
0x93, 0x93, 0xa6, 0xa6, 0xb8, 0xb8, 0xc9, 0xc9, 0xda, 0xda, 0xe8, 0xe8, 0xf1, 0xf1, 0xf4, 0xf4, 0xf4, 0xf4, 0xf1, 0xf1, 0xef, 0xef, 0xed, 0xed, 0xed, 0xed, 
0xee, 0xee, 0xf1, 0xf1, 0xf4, 0xf4, 0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfb, 0xfb, 0xf1, 0xf1, 
0xdd, 0xdd, 0xbc, 0xbc, 0x93, 0x93, 0x69, 0x69, 0x45, 0x45, 0x2a, 0x2a, 0x18, 0x18, 0x0f, 0x0f, 0x0d, 0x0d, 0x10, 0x10, 0x16, 0x16, 0x1e, 0x1e, 0x26, 0x26, 
0x2e, 0x2e, 0x35, 0x35, 0x40, 0x40, 0x4e, 0x4e, 0x61, 0x61, 0x76, 0x76, 0x85, 0x85, 0x88, 0x88, 0x7e, 0x7e, 0x6a, 0x6a, 0x54, 0x54, 0x42, 0x42, 0x37, 0x37, 
0x35, 0x35, 0x3d, 0x3d, 0x4d, 0x4d, 0x66, 0x66, 0x84, 0x84, 0xa3, 0xa3, 0xbf, 0xbf, 0xd7, 0xd7, 0xe9, 0xe9, 0xf6, 0xf6, 0xfc, 0xfc, 0xfc, 0xfc, 0xf7, 0xf7, 
0xf1, 0xf1, 0xeb, 0xeb, 0xe7, 0xe7, 0xe4, 0xe4, 0xe2, 0xe2, 0xe1, 0xe1, 0xdf, 0xdf, 0xdc, 0xdc, 0xd5, 0xd5, 0xc7, 0xc7, 0xb3, 0xb3, 0x9a, 0x9a, 0x84, 0x84, 
0x75, 0x75, 0x70, 0x70, 0x73, 0x73, 0x7b, 0x7b, 0x85, 0x85, 0x8f, 0x8f, 0x96, 0x96, 0x97, 0x97, 0x91, 0x91, 0x82, 0x82, 0x6d, 0x6d, 0x56, 0x56, 0x3f, 0x3f, 
0x2c, 0x2c, 0x1b, 0x1b, 0x0e, 0x0e, 0x06, 0x06, 0x02, 0x02, 0x01, 0x01, 0x03, 0x03, 0x08, 0x08, 0x10, 0x10, 0x1c, 0x1c, 0x2b, 0x2b, 0x3f, 0x3f, 0x58, 0x58, 
0x73, 0x73, 0x8c, 0x8c, 0xa0, 0xa0, 0xac, 0xac, 0xb2, 0xb2, 0xb3, 0xb3, 0xb2, 0xb2, 0xaf, 0xaf, 0xad, 0xad, 0xab, 0xab, 0xab, 0xab, 0xad, 0xad, 0xb0, 0xb0, 
0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xb9, 0xb9, 0xbb, 0xbb, 0xc0, 0xc0, 0xc7, 0xc7, 0xce, 0xce, 0xd4, 0xd4, 0xd5, 0xd5, 0xd0, 0xd0, 0xc6, 0xc6, 0xb9, 0xb9, 
0xac, 0xac, 0x9f, 0x9f, 0x92, 0x92, 0x85, 0x85, 0x77, 0x77, 0x68, 0x68, 0x57, 0x57, 0x48, 0x48, 0x3c, 0x3c, 0x32, 0x32, 0x2d, 0x2d, 0x2b, 0x2b, 0x2d, 0x2d, 
0x34, 0x34, 0x3c, 0x3c, 0x43, 0x43, 0x44, 0x44, 0x40, 0x40, 0x38, 0x38, 0x2e, 0x2e, 0x27, 0x27, 0x23, 0x23, 0x22, 0x22, 0x23, 0x23, 0x23, 0x23, 0x22, 0x22, 
0x20, 0x20, 0x20, 0x20, 0x23, 0x23, 0x2c, 0x2c, 0x38, 0x38, 0x48, 0x48, 0x5c, 0x5c, 0x73, 0x73, 0x8a, 0x8a, 0x9e, 0x9e, 0xad, 0xad, 0xb5, 0xb5, 0xb8, 0xb8, 
0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb8, 0xb8, 0xbb, 0xbb, 0xbd, 0xbd, 0xc0, 0xc0, 0xc3, 0xc3, 0xc4, 0xc4, 0xc3, 0xc3, 0xc0, 0xc0, 0xbb, 0xbb, 0xb4, 0xb4, 
0xaa, 0xaa, 0x9e, 0x9e, 0x8f, 0x8f, 0x7f, 0x7f, 0x6d, 0x6d, 0x5a, 0x5a, 0x47, 0x47, 0x36, 0x36, 0x2a, 0x2a, 0x22, 0x22, 0x1e, 0x1e, 0x1e, 0x1e, 0x21, 0x21, 
0x26, 0x26, 0x2d, 0x2d, 0x34, 0x34, 0x3b, 0x3b, 0x41, 0x41, 0x48, 0x48, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 0x5f, 0x5f, 0x63, 0x63, 0x64, 0x64, 0x61, 0x61, 
0x5d, 0x5d, 0x5b, 0x5b, 0x5e, 0x5e, 0x67, 0x67, 0x76, 0x76, 0x88, 0x88, 0x9b, 0x9b, 0xad, 0xad, 0xbf, 0xbf, 0xcc, 0xcc, 0xd4, 0xd4, 0xd6, 0xd6, 0xd5, 0xd5, 
0xd3, 0xd3, 0xd3, 0xd3, 0xd8, 0xd8, 0xe0, 0xe0, 0xe8, 0xe8, 0xed, 0xed, 0xef, 0xef, 0xef, 0xef, 0xed, 0xed, 0xed, 0xed, 0xee, 0xee, 0xf0, 0xf0, 0xf1, 0xf1, 
0xf2, 0xf2, 0xf0, 0xf0, 0xeb, 0xeb, 0xe4, 0xe4, 0xd9, 0xd9, 0xcc, 0xcc, 0xbd, 0xbd, 0xb0, 0xb0, 0xa5, 0xa5, 0x9e, 0x9e, 0x9a, 0x9a, 0x98, 0x98, 0x94, 0x94, 
0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x89, 0x89, 0x90, 0x90, 0x99, 0x99, 0xa2, 0xa2, 0xa6, 0xa6, 0xa3, 0xa3, 0x98, 0x98, 0x88, 0x88, 0x71, 0x71, 0x56, 0x56, 
0x39, 0x39, 0x1f, 0x1f, 0x0d, 0x0d, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x03, 0x03, 0x04, 0x04, 0x09, 0x09, 0x14, 0x14, 0x26, 0x26, 0x3e, 0x3e, 
0x59, 0x59, 0x73, 0x73, 0x8b, 0x8b, 0x9f, 0x9f, 0xac, 0xac, 0xaf, 0xaf, 0xaa, 0xaa, 0x9f, 0x9f, 0x95, 0x95, 0x94, 0x94, 0x9c, 0x9c, 0xad, 0xad, 0xc1, 0xc1, 
0xd4, 0xd4, 0xe3, 0xe3, 0xee, 0xee, 0xf5, 0xf5, 0xf7, 0xf7, 0xf6, 0xf6, 0xf4, 0xf4, 0xf1, 0xf1, 0xf1, 0xf1, 0xf3, 0xf3, 0xf6, 0xf6, 0xf6, 0xf6, 0xf0, 0xf0, 
0xe4, 0xe4, 0xd2, 0xd2, 0xbe, 0xbe, 0xa9, 0xa9, 0x96, 0x96, 0x85, 0x85, 0x77, 0x77, 0x6a, 0x6a, 0x60, 0x60, 0x57, 0x57, 0x4f, 0x4f, 0x48, 0x48, 0x42, 0x42, 
0x3c, 0x3c, 0x35, 0x35, 0x2d, 0x2d, 0x24, 0x24, 0x1b, 0x1b, 0x12, 0x12, 0x0b, 0x0b, 0x06, 0x06, 0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x03, 0x03, 
0x05, 0x05, 0x05, 0x05, 0x04, 0x04, 0x04, 0x04, 0x08, 0x08, 0x12, 0x12, 0x23, 0x23, 0x3a, 0x3a, 0x54, 0x54, 0x71, 0x71, 0x8f, 0x8f, 0xaa, 0xaa, 0xc0, 0xc0, 
0xce, 0xce, 0xd2, 0xd2, 0xd0, 0xd0, 0xca, 0xca, 0xc4, 0xc4, 0xc1, 0xc1, 0xc0, 0xc0, 0xc2, 0xc2, 0xc5, 0xc5, 0xca, 0xca, 0xd0, 0xd0, 0xd5, 0xd5, 0xda, 0xda, 
0xde, 0xde, 0xe1, 0xe1, 0xe3, 0xe3, 0xe4, 0xe4, 0xe3, 0xe3, 0xe1, 0xe1, 0xde, 0xde, 0xda, 0xda, 0xd5, 0xd5, 0xce, 0xce, 0xc5, 0xc5, 0xb7, 0xb7, 0xa4, 0xa4, 
0x8f, 0x8f, 0x78, 0x78, 0x62, 0x62, 0x4e, 0x4e, 0x3d, 0x3d, 0x2f, 0x2f, 0x26, 0x26, 0x20, 0x20, 0x1e, 0x1e, 0x1d, 0x1d, 0x1c, 0x1c, 0x19, 0x19, 0x15, 0x15, 
0x11, 0x11, 0x0d, 0x0d, 0x0b, 0x0b, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x0a, 0x0a, 0x0b, 0x0b, 0x0f, 0x0f, 0x16, 0x16, 0x20, 0x20, 0x2e, 0x2e, 0x3f, 0x3f, 
0x55, 0x55, 0x6f, 0x6f, 0x8b, 0x8b, 0xa7, 0xa7, 0xc1, 0xc1, 0xd7, 0xd7, 0xe9, 0xe9, 0xf6, 0xf6, 0xfb, 0xfb, 0xfa, 0xfa, 0xf4, 0xf4, 0xea, 0xea, 0xdd, 0xdd, 
0xd0, 0xd0, 0xc2, 0xc2, 0xb5, 0xb5, 0xaa, 0xaa, 0xa2, 0xa2, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 
0x77, 0x77, 0x73, 0x73, 0x6d, 0x6d, 0x65, 0x65, 0x5a, 0x5a, 0x4f, 0x4f, 0x43, 0x43, 0x37, 0x37, 0x2d, 0x2d, 0x26, 0x26, 0x24, 0x24, 0x26, 0x26, 0x2c, 0x2c, 
0x34, 0x34, 0x3d, 0x3d, 0x46, 0x46, 0x4e, 0x4e, 0x54, 0x54, 0x59, 0x59, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 
0x71, 0x71, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x87, 0x87, 0x91, 0x91, 0x9c, 0x9c, 0xa7, 0xa7, 0xb0, 0xb0, 
0xb6, 0xb6, 0xb9, 0xb9, 0xba, 0xba, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xba, 0xba, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa9, 0xa9, 
0xa6, 0xa6, 0xa3, 0xa3, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 
0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 0x84, 0x84, 0x7f, 0x7f, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 
0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa5, 0xa5, 0xaa, 0xaa, 0xb1, 0xb1, 0xb9, 0xb9, 0xbd, 0xbd, 0xba, 0xba, 0xaf, 0xaf, 0x9e, 0x9e, 0x87, 0x87, 0x6d, 0x6d, 
0x51, 0x51, 0x36, 0x36, 0x1f, 0x1f, 0x0e, 0x0e, 0x04, 0x04, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x07, 0x07, 0x0c, 0x0c, 0x16, 0x16, 0x27, 0x27, 0x40, 0x40, 
0x5d, 0x5d, 0x7a, 0x7a, 0x91, 0x91, 0xa1, 0xa1, 0xa9, 0xa9, 0xac, 0xac, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xb1, 0xb1, 0xba, 0xba, 0xc7, 0xc7, 0xd8, 0xd8, 
0xe8, 0xe8, 0xf4, 0xf4, 0xfa, 0xfa, 0xfc, 0xfc, 0xfc, 0xfc, 0xfb, 0xfb, 0xfb, 0xfb, 0xfb, 0xfb, 0xfa, 0xfa, 0xf5, 0xf5, 0xed, 0xed, 0xe1, 0xe1, 0xd3, 0xd3, 
0xc5, 0xc5, 0xb7, 0xb7, 0xaa, 0xaa, 0xa1, 0xa1, 0x9c, 0x9c, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x94, 0x94, 0x8e, 0x8e, 
0x8a, 0x8a, 0x85, 0x85, 0x7e, 0x7e, 0x71, 0x71, 0x5f, 0x5f, 0x48, 0x48, 0x31, 0x31, 0x1e, 0x1e, 0x10, 0x10, 0x07, 0x07, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x03, 0x03, 0x06, 0x06, 0x0a, 0x0a, 0x12, 0x12, 0x1d, 0x1d, 0x2a, 0x2a, 0x36, 0x36, 0x3f, 0x3f, 0x43, 0x43, 0x45, 0x45, 
0x46, 0x46, 0x4b, 0x4b, 0x54, 0x54, 0x62, 0x62, 0x72, 0x72, 0x84, 0x84, 0x97, 0x97, 0xaa, 0xaa, 0xbc, 0xbc, 0xce, 0xce, 0xde, 0xde, 0xec, 0xec, 0xf7, 0xf7, 
0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf5, 0xf5, 0xef, 0xef, 0xe4, 0xe4, 0xd5, 0xd5, 0xc3, 0xc3, 0xb1, 0xb1, 0xa1, 0xa1, 
0x94, 0x94, 0x8c, 0x8c, 0x87, 0x87, 0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0x9d, 0x9d, 0x99, 0x99, 0x8f, 0x8f, 0x82, 0x82, 0x72, 0x72, 0x60, 0x60, 
0x4f, 0x4f, 0x3f, 0x3f, 0x31, 0x31, 0x27, 0x27, 0x1f, 0x1f, 0x1b, 0x1b, 0x19, 0x19, 0x19, 0x19, 0x1c, 0x1c, 0x1e, 0x1e, 0x21, 0x21, 0x23, 0x23, 0x24, 0x24, 
0x25, 0x25, 0x26, 0x26, 0x26, 0x26, 0x27, 0x27, 0x29, 0x29, 0x2b, 0x2b, 0x2d, 0x2d, 0x31, 0x31, 0x35, 0x35, 0x3b, 0x3b, 0x43, 0x43, 0x4b, 0x4b, 0x53, 0x53, 
0x5a, 0x5a, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x7c, 0x7c, 0x88, 0x88, 0x98, 0x98, 0xab, 0xab, 0xc3, 0xc3, 0xdb, 0xdb, 0xf1, 0xf1, 0xff, 0xff, 
0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf2, 0xf2, 0xe3, 0xe3, 0xd2, 0xd2, 0xc0, 0xc0, 0xaf, 0xaf, 0x9d, 0x9d, 0x8d, 0x8d, 0x7f, 0x7f, 0x74, 0x74, 0x6e, 0x6e, 
0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x5c, 0x5c, 0x50, 0x50, 0x3f, 0x3f, 0x2b, 0x2b, 0x19, 0x19, 0x0b, 0x0b, 0x04, 0x04, 0x03, 0x03, 
0x04, 0x04, 0x07, 0x07, 0x09, 0x09, 0x0b, 0x0b, 0x0c, 0x0c, 0x0d, 0x0d, 0x0f, 0x0f, 0x11, 0x11, 0x14, 0x14, 0x17, 0x17, 0x1b, 0x1b, 0x20, 0x20, 0x27, 0x27, 
0x2e, 0x2e, 0x37, 0x37, 0x42, 0x42, 0x4f, 0x4f, 0x5e, 0x5e, 0x70, 0x70, 0x83, 0x83, 0x94, 0x94, 0xa1, 0xa1, 0xaa, 0xaa, 0xaf, 0xaf, 0xb3, 0xb3, 0xb9, 0xb9, 
0xc0, 0xc0, 0xc9, 0xc9, 0xd2, 0xd2, 0xdc, 0xdc, 0xe4, 0xe4, 0xeb, 0xeb, 0xf0, 0xf0, 0xf2, 0xf2, 0xf2, 0xf2, 0xf1, 0xf1, 0xef, 0xef, 0xef, 0xef, 0xf0, 0xf0, 
0xf2, 0xf2, 0xf4, 0xf4, 0xf3, 0xf3, 0xf0, 0xf0, 0xeb, 0xeb, 0xe5, 0xe5, 0xdf, 0xdf, 0xdb, 0xdb, 0xd8, 0xd8, 0xd5, 0xd5, 0xd2, 0xd2, 0xcd, 0xcd, 0xc7, 0xc7, 
0xbe, 0xbe, 0xb0, 0xb0, 0x9e, 0x9e, 0x88, 0x88, 0x71, 0x71, 0x5b, 0x5b, 0x46, 0x46, 0x33, 0x33, 0x22, 0x22, 0x16, 0x16, 0x0c, 0x0c, 0x06, 0x06, 0x04, 0x04, 
0x04, 0x04, 0x07, 0x07, 0x0d, 0x0d, 0x12, 0x12, 0x18, 0x18, 0x1c, 0x1c, 0x1f, 0x1f, 0x20, 0x20, 0x1e, 0x1e, 0x1c, 0x1c, 0x19, 0x19, 0x19, 0x19, 0x20, 0x20, 
0x2e, 0x2e, 0x41, 0x41, 0x57, 0x57, 0x6c, 0x6c, 0x7e, 0x7e, 0x8c, 0x8c, 0x96, 0x96, 0x9a, 0x9a, 0x98, 0x98, 0x93, 0x93, 0x8e, 0x8e, 0x8b, 0x8b, 0x8d, 0x8d, 
0x92, 0x92, 0x9a, 0x9a, 0xa5, 0xa5, 0xb2, 0xb2, 0xc0, 0xc0, 0xcd, 0xcd, 0xda, 0xda, 0xe5, 0xe5, 0xee, 0xee, 0xf3, 0xf3, 0xf3, 0xf3, 0xee, 0xee, 0xe6, 0xe6, 
0xdd, 0xdd, 0xd6, 0xd6, 0xd2, 0xd2, 0xd2, 0xd2, 0xd5, 0xd5, 0xdb, 0xdb, 0xe3, 0xe3, 0xed, 0xed, 0xf7, 0xf7, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 
0xfa, 0xfa, 0xf5, 0xf5, 0xed, 0xed, 0xe0, 0xe0, 0xc9, 0xc9, 0xa9, 0xa9, 0x83, 0x83, 0x5d, 0x5d, 0x3c, 0x3c, 0x24, 0x24, 0x13, 0x13, 0x09, 0x09, 0x04, 0x04, 
0x05, 0x05, 0x08, 0x08, 0x0b, 0x0b, 0x0c, 0x0c, 0x0b, 0x0b, 0x07, 0x07, 0x04, 0x04, 0x03, 0x03, 0x05, 0x05, 0x09, 0x09, 0x0e, 0x0e, 0x12, 0x12, 0x14, 0x14, 
0x16, 0x16, 0x19, 0x19, 0x21, 0x21, 0x2f, 0x2f, 0x41, 0x41, 0x54, 0x54, 0x66, 0x66, 0x76, 0x76, 0x83, 0x83, 0x8c, 0x8c, 0x91, 0x91, 0x93, 0x93, 0x92, 0x92, 
0x91, 0x91, 0x92, 0x92, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0x9f, 0x9f, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x86, 0x86, 0x85, 0x85, 0x88, 0x88, 0x8d, 0x8d, 
0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xac, 0xac, 0xb1, 0xb1, 0xb5, 0xb5, 0xb8, 0xb8, 0xb5, 0xb5, 
0xae, 0xae, 0xa3, 0xa3, 0x96, 0x96, 0x88, 0x88, 0x7b, 0x7b, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x58, 0x58, 0x54, 0x54, 0x50, 0x50, 0x4c, 0x4c, 0x46, 0x46, 
0x40, 0x40, 0x3a, 0x3a, 0x35, 0x35, 0x31, 0x31, 0x30, 0x30, 0x31, 0x31, 0x36, 0x36, 0x3f, 0x3f, 0x4a, 0x4a, 0x56, 0x56, 0x62, 0x62, 0x6e, 0x6e, 0x78, 0x78, 
0x80, 0x80, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 
0x99, 0x99, 0x93, 0x93, 0x8a, 0x8a, 0x7f, 0x7f, 0x74, 0x74, 0x6a, 0x6a, 0x61, 0x61, 0x5b, 0x5b, 0x5a, 0x5a, 0x5d, 0x5d, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 
0x83, 0x83, 0x8d, 0x8d, 0x95, 0x95, 0x9a, 0x9a, 0x9b, 0x9b, 0x9a, 0x9a, 0x96, 0x96, 0x8f, 0x8f, 0x87, 0x87, 0x7f, 0x7f, 0x77, 0x77, 0x73, 0x73, 0x73, 0x73, 
0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 
0x7e, 0x7e, 0x76, 0x76, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x66, 0x66, 0x6a, 0x6a, 0x71, 0x71, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 
0x8e, 0x8e, 0x93, 0x93, 0x9a, 0x9a, 0xa3, 0xa3, 0xac, 0xac, 0xb6, 0xb6, 0xbf, 0xbf, 0xc5, 0xc5, 0xc7, 0xc7, 0xc3, 0xc3, 0xbc, 0xbc, 0xb1, 0xb1, 0xa7, 0xa7, 
0x9c, 0x9c, 0x92, 0x92, 0x89, 0x89, 0x80, 0x80, 0x79, 0x79, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5c, 0x5c, 0x5e, 0x5e, 0x62, 0x62, 
0x67, 0x67, 0x6b, 0x6b, 0x6b, 0x6b, 0x66, 0x66, 0x5c, 0x5c, 0x51, 0x51, 0x46, 0x46, 0x3d, 0x3d, 0x37, 0x37, 0x35, 0x35, 0x36, 0x36, 0x3b, 0x3b, 0x42, 0x42, 
0x49, 0x49, 0x4d, 0x4d, 0x4d, 0x4d, 0x4b, 0x4b, 0x48, 0x48, 0x47, 0x47, 0x49, 0x49, 0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 0x66, 0x66, 
0x70, 0x70, 0x7d, 0x7d, 0x8d, 0x8d, 0x9f, 0x9f, 0xaf, 0xaf, 0xbe, 0xbe, 0xc9, 0xc9, 0xd0, 0xd0, 0xd1, 0xd1, 0xcb, 0xcb, 0xc0, 0xc0, 0xb3, 0xb3, 0xa4, 0xa4, 
0x96, 0x96, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 0x6d, 0x6d, 0x69, 0x69, 0x68, 0x68, 0x6b, 0x6b, 0x74, 0x74, 0x7f, 0x7f, 0x8a, 0x8a, 0x91, 0x91, 0x95, 0x95, 
0x93, 0x93, 0x8e, 0x8e, 0x84, 0x84, 0x78, 0x78, 0x6b, 0x6b, 0x5f, 0x5f, 0x59, 0x59, 0x57, 0x57, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 
0x78, 0x78, 0x78, 0x78, 0x74, 0x74, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 0x53, 0x53, 0x56, 0x56, 0x5d, 0x5d, 0x68, 0x68, 0x73, 0x73, 
0x7f, 0x7f, 0x89, 0x89, 0x92, 0x92, 0x97, 0x97, 0x99, 0x99, 0x96, 0x96, 0x90, 0x90, 0x8a, 0x8a, 0x86, 0x86, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8e, 0x8e, 
0x97, 0x97, 0xa0, 0xa0, 0xa8, 0xa8, 0xac, 0xac, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 
0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x80, 0x80, 0x7c, 0x7c, 0x75, 0x75, 0x6e, 0x6e, 
0x67, 0x67, 0x62, 0x62, 0x61, 0x61, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8b, 0x8b, 
0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x82, 0x82, 
0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x77, 0x77, 0x7f, 0x7f, 0x8a, 0x8a, 
0x96, 0x96, 0xa3, 0xa3, 0xb0, 0xb0, 0xbb, 0xbb, 0xc6, 0xc6, 0xce, 0xce, 0xd3, 0xd3, 0xd5, 0xd5, 0xd5, 0xd5, 0xd3, 0xd3, 0xce, 0xce, 0xc8, 0xc8, 0xc1, 0xc1, 
0xb9, 0xb9, 0xb3, 0xb3, 0xae, 0xae, 0xa9, 0xa9, 0xa5, 0xa5, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x77, 0x77, 0x71, 0x71, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 0x64, 0x64, 0x5a, 0x5a, 0x4f, 0x4f, 0x45, 0x45, 0x3d, 0x3d, 
0x39, 0x39, 0x38, 0x38, 0x3c, 0x3c, 0x42, 0x42, 0x4d, 0x4d, 0x58, 0x58, 0x64, 0x64, 0x6d, 0x6d, 0x72, 0x72, 0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 0x6b, 0x6b, 
0x65, 0x65, 0x5f, 0x5f, 0x5b, 0x5b, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 
0x8e, 0x8e, 0x93, 0x93, 0x9b, 0x9b, 0xa2, 0xa2, 0xaa, 0xaa, 0xaf, 0xaf, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb3, 0xb3, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 
0xa3, 0xa3, 0x9d, 0x9d, 0x95, 0x95, 0x8d, 0x8d, 0x83, 0x83, 0x78, 0x78, 0x6e, 0x6e, 0x67, 0x67, 0x63, 0x63, 0x65, 0x65, 0x6a, 0x6a, 0x70, 0x70, 0x76, 0x76, 
0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x69, 0x69, 
0x65, 0x65, 0x63, 0x63, 0x65, 0x65, 0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x80, 0x80, 0x7e, 0x7e, 0x78, 0x78, 0x6f, 0x6f, 0x65, 0x65, 0x5c, 0x5c, 0x54, 0x54, 
0x4e, 0x4e, 0x4a, 0x4a, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 0x64, 0x64, 0x6a, 0x6a, 0x70, 0x70, 0x75, 0x75, 
0x77, 0x77, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x72, 0x72, 0x78, 0x78, 0x81, 0x81, 0x8b, 0x8b, 0x95, 0x95, 0x9d, 0x9d, 0xa3, 0xa3, 0xa6, 0xa6, 0xa5, 0xa5, 
0xa2, 0xa2, 0x9d, 0x9d, 0x99, 0x99, 0x98, 0x98, 0x9a, 0x9a, 0x9f, 0x9f, 0xa6, 0xa6, 0xac, 0xac, 0xb0, 0xb0, 0xb3, 0xb3, 0xb5, 0xb5, 0xb6, 0xb6, 0xb7, 0xb7, 
0xb7, 0xb7, 0xb7, 0xb7, 0xb6, 0xb6, 0xb4, 0xb4, 0xb1, 0xb1, 0xac, 0xac, 0xa7, 0xa7, 0xa2, 0xa2, 0x9c, 0x9c, 0x97, 0x97, 0x93, 0x93, 0x91, 0x91, 0x91, 0x91, 
0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x78, 0x78, 0x70, 0x70, 0x68, 0x68, 0x5e, 0x5e, 0x54, 0x54, 0x4a, 0x4a, 
0x41, 0x41, 0x3b, 0x3b, 0x36, 0x36, 0x33, 0x33, 0x31, 0x31, 0x31, 0x31, 0x32, 0x32, 0x33, 0x33, 0x35, 0x35, 0x36, 0x36, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 
0x41, 0x41, 0x46, 0x46, 0x4c, 0x4c, 0x52, 0x52, 0x58, 0x58, 0x5e, 0x5e, 0x64, 0x64, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x81, 0x81, 0x84, 0x84, 0x82, 0x82, 
0x7e, 0x7e, 0x79, 0x79, 0x73, 0x73, 0x6f, 0x6f, 0x6d, 0x6d, 0x6e, 0x6e, 0x72, 0x72, 0x7b, 0x7b, 0x86, 0x86, 0x92, 0x92, 0x9c, 0x9c, 0xa5, 0xa5, 0xab, 0xab, 
0xb0, 0xb0, 0xb5, 0xb5, 0xbb, 0xbb, 0xc0, 0xc0, 0xc4, 0xc4, 0xc7, 0xc7, 0xc8, 0xc8, 0xc6, 0xc6, 0xc4, 0xc4, 0xc1, 0xc1, 0xbe, 0xbe, 0xbc, 0xbc, 0xbb, 0xbb, 
0xba, 0xba, 0xbb, 0xbb, 0xbc, 0xbc, 0xbc, 0xbc, 0xb9, 0xb9, 0xb5, 0xb5, 0xae, 0xae, 0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 
0x87, 0x87, 0x80, 0x80, 0x77, 0x77, 0x6c, 0x6c, 0x60, 0x60, 0x53, 0x53, 0x47, 0x47, 0x3d, 0x3d, 0x35, 0x35, 0x2f, 0x2f, 0x2d, 0x2d, 0x2d, 0x2d, 0x30, 0x30, 
0x35, 0x35, 0x3c, 0x3c, 0x44, 0x44, 0x4d, 0x4d, 0x57, 0x57, 0x5e, 0x5e, 0x63, 0x63, 0x63, 0x63, 0x60, 0x60, 0x5a, 0x5a, 0x51, 0x51, 0x46, 0x46, 0x3b, 0x3b, 
0x31, 0x31, 0x2b, 0x2b, 0x2a, 0x2a, 0x2c, 0x2c, 0x33, 0x33, 0x3d, 0x3d, 0x4a, 0x4a, 0x59, 0x59, 0x6a, 0x6a, 0x7b, 0x7b, 0x8d, 0x8d, 0x9f, 0x9f, 0xaf, 0xaf, 
0xbc, 0xbc, 0xc5, 0xc5, 0xcb, 0xcb, 0xcd, 0xcd, 0xca, 0xca, 0xc3, 0xc3, 0xb8, 0xb8, 0xac, 0xac, 0xa0, 0xa0, 0x96, 0x96, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 
0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x63, 0x63, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 
0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x8d, 0x8d, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x81, 0x81, 0x79, 0x79, 0x6f, 0x6f, 0x65, 0x65, 0x5c, 0x5c, 
0x55, 0x55, 0x51, 0x51, 0x51, 0x51, 0x55, 0x55, 0x5b, 0x5b, 0x63, 0x63, 0x6d, 0x6d, 0x76, 0x76, 0x7f, 0x7f, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 
0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 0x98, 0x98, 0xa2, 0xa2, 0xae, 0xae, 0xb9, 0xb9, 0xc3, 0xc3, 0xcb, 0xcb, 0xd0, 0xd0, 0xd1, 0xd1, 0xcf, 0xcf, 
0xc9, 0xc9, 0xc1, 0xc1, 0xb7, 0xb7, 0xad, 0xad, 0xa3, 0xa3, 0x9a, 0x9a, 0x93, 0x93, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 
0x85, 0x85, 0x84, 0x84, 0x80, 0x80, 0x79, 0x79, 0x6f, 0x6f, 0x64, 0x64, 0x5a, 0x5a, 0x51, 0x51, 0x4b, 0x4b, 0x48, 0x48, 0x49, 0x49, 0x4f, 0x4f, 0x58, 0x58, 
0x62, 0x62, 0x6b, 0x6b, 0x72, 0x72, 0x77, 0x77, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 
0x87, 0x87, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x8c, 0x8c, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x82, 0x82, 0x7d, 0x7d, 0x7b, 0x7b, 0x7d, 0x7d, 
0x83, 0x83, 0x8d, 0x8d, 0x99, 0x99, 0xa6, 0xa6, 0xb2, 0xb2, 0xbd, 0xbd, 0xc5, 0xc5, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc4, 0xc4, 0xbd, 0xbd, 0xb5, 0xb5, 
0xac, 0xac, 0xa4, 0xa4, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x78, 0x78, 
0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x67, 0x67, 0x61, 0x61, 0x58, 0x58, 0x50, 0x50, 0x47, 0x47, 0x40, 0x40, 0x3b, 0x3b, 0x37, 0x37, 
0x34, 0x34, 0x33, 0x33, 0x33, 0x33, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x35, 0x35, 0x34, 0x34, 0x32, 0x32, 
0x2e, 0x2e, 0x2a, 0x2a, 0x28, 0x28, 0x2c, 0x2c, 0x36, 0x36, 0x46, 0x46, 0x59, 0x59, 0x6d, 0x6d, 0x82, 0x82, 0x95, 0x95, 0xa6, 0xa6, 0xb4, 0xb4, 0xbf, 0xbf, 
0xc6, 0xc6, 0xcc, 0xcc, 0xd0, 0xd0, 0xd4, 0xd4, 0xd7, 0xd7, 0xd7, 0xd7, 0xd5, 0xd5, 0xd0, 0xd0, 0xc9, 0xc9, 0xc3, 0xc3, 0xc0, 0xc0, 0xc1, 0xc1, 0xc3, 0xc3, 
0xc5, 0xc5, 0xc4, 0xc4, 0xbf, 0xbf, 0xb5, 0xb5, 0xaa, 0xaa, 0x9f, 0x9f, 0x94, 0x94, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 
0x81, 0x81, 0x77, 0x77, 0x6a, 0x6a, 0x5c, 0x5c, 0x52, 0x52, 0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x4f, 0x4f, 0x52, 0x52, 0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 
0x60, 0x60, 0x66, 0x66, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x78, 0x78, 0x77, 0x77, 0x70, 0x70, 0x64, 0x64, 0x54, 0x54, 0x44, 0x44, 0x38, 0x38, 0x30, 0x30, 
0x2e, 0x2e, 0x30, 0x30, 0x36, 0x36, 0x3f, 0x3f, 0x4a, 0x4a, 0x57, 0x57, 0x66, 0x66, 0x76, 0x76, 0x86, 0x86, 0x94, 0x94, 0x9c, 0x9c, 0x9f, 0x9f, 0x9c, 0x9c, 
0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x77, 0x77, 0x72, 0x72, 0x73, 0x73, 0x7c, 0x7c, 0x8b, 0x8b, 0x9b, 0x9b, 0xab, 0xab, 0xb8, 0xb8, 0xc3, 0xc3, 0xca, 0xca, 
0xd0, 0xd0, 0xd3, 0xd3, 0xd4, 0xd4, 0xd3, 0xd3, 0xcd, 0xcd, 0xc3, 0xc3, 0xb5, 0xb5, 0xa6, 0xa6, 0x98, 0x98, 0x8b, 0x8b, 0x81, 0x81, 0x7a, 0x7a, 0x78, 0x78, 
0x7b, 0x7b, 0x80, 0x80, 0x85, 0x85, 0x87, 0x87, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x65, 0x65, 0x61, 0x61, 0x5f, 0x5f, 0x61, 0x61, 0x67, 0x67, 
0x6f, 0x6f, 0x79, 0x79, 0x84, 0x84, 0x90, 0x90, 0x9c, 0x9c, 0xa4, 0xa4, 0xa7, 0xa7, 0xa4, 0xa4, 0x9c, 0x9c, 0x91, 0x91, 0x85, 0x85, 0x7a, 0x7a, 0x70, 0x70, 
0x6b, 0x6b, 0x6e, 0x6e, 0x78, 0x78, 0x87, 0x87, 0x98, 0x98, 0xa8, 0xa8, 0xb5, 0xb5, 0xbe, 0xbe, 0xc3, 0xc3, 0xc3, 0xc3, 0xbe, 0xbe, 0xb5, 0xb5, 0xa8, 0xa8, 
0x98, 0x98, 0x85, 0x85, 0x71, 0x71, 0x60, 0x60, 0x54, 0x54, 0x4e, 0x4e, 0x4e, 0x4e, 0x53, 0x53, 0x5c, 0x5c, 0x68, 0x68, 0x75, 0x75, 0x80, 0x80, 0x86, 0x86, 
0x86, 0x86, 0x82, 0x82, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7e, 0x7e, 
0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x69, 0x69, 0x60, 0x60, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x49, 0x49, 0x4b, 0x4b, 0x50, 0x50, 0x55, 0x55, 
0x5a, 0x5a, 0x5c, 0x5c, 0x5b, 0x5b, 0x59, 0x59, 0x58, 0x58, 0x5b, 0x5b, 0x63, 0x63, 0x70, 0x70, 0x7f, 0x7f, 0x90, 0x90, 0xa2, 0xa2, 0xb2, 0xb2, 0xc0, 0xc0, 
0xca, 0xca, 0xd1, 0xd1, 0xd5, 0xd5, 0xd7, 0xd7, 0xd7, 0xd7, 0xd6, 0xd6, 0xd5, 0xd5, 0xd1, 0xd1, 0xca, 0xca, 0xc0, 0xc0, 0xb3, 0xb3, 0xa6, 0xa6, 0x98, 0x98, 
0x8c, 0x8c, 0x80, 0x80, 0x74, 0x74, 0x68, 0x68, 0x5c, 0x5c, 0x50, 0x50, 0x45, 0x45, 0x3d, 0x3d, 0x38, 0x38, 0x35, 0x35, 0x35, 0x35, 0x38, 0x38, 0x3c, 0x3c, 
0x42, 0x42, 0x49, 0x49, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x62, 0x62, 0x67, 0x67, 0x6b, 0x6b, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 
0x69, 0x69, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x77, 0x77, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x98, 0x98, 0x9e, 0x9e, 0xa4, 0xa4, 0xab, 0xab, 0xb3, 0xb3, 0xbb, 0xbb, 0xc3, 0xc3, 0xc8, 0xc8, 
0xcc, 0xcc, 0xce, 0xce, 0xd1, 0xd1, 0xd5, 0xd5, 0xdb, 0xdb, 0xe2, 0xe2, 0xe9, 0xe9, 0xee, 0xee, 0xf0, 0xf0, 0xef, 0xef, 0xea, 0xea, 0xe0, 0xe0, 0xd0, 0xd0, 
0xbe, 0xbe, 0xab, 0xab, 0x9a, 0x9a, 0x8c, 0x8c, 0x80, 0x80, 0x75, 0x75, 0x6b, 0x6b, 0x60, 0x60, 0x56, 0x56, 0x4c, 0x4c, 0x44, 0x44, 0x3e, 0x3e, 0x3a, 0x3a, 
0x37, 0x37, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x37, 0x37, 0x39, 0x39, 0x3c, 0x3c, 0x3f, 0x3f, 0x43, 0x43, 0x46, 0x46, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4c, 0x4c, 0x49, 0x49, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 0x43, 0x43, 0x47, 0x47, 0x4b, 0x4b, 0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 
0x63, 0x63, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x78, 0x78, 0x80, 0x80, 0x8c, 0x8c, 0x9b, 0x9b, 0xae, 0xae, 0xc5, 0xc5, 
0xdd, 0xdd, 0xf2, 0xf2, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf3, 0xf3, 0xe6, 0xe6, 0xd7, 0xd7, 0xc9, 0xc9, 0xbb, 0xbb, 0xb0, 0xb0, 0xa7, 0xa7, 
0x9f, 0x9f, 0x9a, 0x9a, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x83, 0x83, 0x77, 0x77, 0x67, 0x67, 0x54, 0x54, 0x41, 0x41, 
0x33, 0x33, 0x2a, 0x2a, 0x25, 0x25, 0x24, 0x24, 0x23, 0x23, 0x24, 0x24, 0x24, 0x24, 0x23, 0x23, 0x21, 0x21, 0x1d, 0x1d, 0x19, 0x19, 0x17, 0x17, 0x18, 0x18, 
0x1c, 0x1c, 0x25, 0x25, 0x30, 0x30, 0x3d, 0x3d, 0x4c, 0x4c, 0x5c, 0x5c, 0x6b, 0x6b, 0x7b, 0x7b, 0x8a, 0x8a, 0x98, 0x98, 0xa2, 0xa2, 0xa7, 0xa7, 0xa6, 0xa6, 
0xa0, 0xa0, 0x98, 0x98, 0x90, 0x90, 0x8a, 0x8a, 0x86, 0x86, 0x88, 0x88, 0x90, 0x90, 0x9e, 0x9e, 0xb2, 0xb2, 0xc6, 0xc6, 0xd7, 0xd7, 0xe4, 0xe4, 0xed, 0xed, 
0xf1, 0xf1, 0xf0, 0xf0, 0xea, 0xea, 0xe2, 0xe2, 0xd7, 0xd7, 0xcc, 0xcc, 0xc2, 0xc2, 0xb8, 0xb8, 0xaf, 0xaf, 0xa7, 0xa7, 0x9f, 0x9f, 0x98, 0x98, 0x90, 0x90, 
0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x57, 0x57, 0x56, 0x56, 0x57, 0x57, 0x5b, 0x5b, 0x5f, 0x5f, 0x62, 0x62, 
0x65, 0x65, 0x66, 0x66, 0x64, 0x64, 0x5f, 0x5f, 0x57, 0x57, 0x4e, 0x4e, 0x45, 0x45, 0x3f, 0x3f, 0x3e, 0x3e, 0x40, 0x40, 0x48, 0x48, 0x54, 0x54, 0x65, 0x65, 
0x78, 0x78, 0x8a, 0x8a, 0x9a, 0x9a, 0xa5, 0xa5, 0xac, 0xac, 0xaf, 0xaf, 0xaf, 0xaf, 0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 
0x91, 0x91, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 0x9a, 0x9a, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 0xa9, 0xa9, 0xa8, 0xa8, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 
0x92, 0x92, 0x8b, 0x8b, 0x84, 0x84, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x60, 0x60, 0x5a, 0x5a, 
0x55, 0x55, 0x50, 0x50, 0x4d, 0x4d, 0x4c, 0x4c, 0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 
0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5f, 0x5f, 0x63, 0x63, 0x6a, 0x6a, 0x73, 0x73, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0xa2, 0xa2, 0xaf, 0xaf, 
0xba, 0xba, 0xc3, 0xc3, 0xc9, 0xc9, 0xcb, 0xcb, 0xca, 0xca, 0xc6, 0xc6, 0xc0, 0xc0, 0xb8, 0xb8, 0xb1, 0xb1, 0xac, 0xac, 0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 
0xae, 0xae, 0xae, 0xae, 0xad, 0xad, 0xaa, 0xaa, 0xa4, 0xa4, 0x9b, 0x9b, 0x90, 0x90, 0x85, 0x85, 0x79, 0x79, 0x6e, 0x6e, 0x65, 0x65, 0x5e, 0x5e, 0x5a, 0x5a, 
0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 0x50, 0x50, 0x4a, 0x4a, 0x42, 0x42, 0x38, 0x38, 0x2e, 0x2e, 0x26, 0x26, 0x23, 0x23, 0x25, 0x25, 
0x2a, 0x2a, 0x32, 0x32, 0x3a, 0x3a, 0x41, 0x41, 0x47, 0x47, 0x4a, 0x4a, 0x4a, 0x4a, 0x47, 0x47, 0x44, 0x44, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 
0x49, 0x49, 0x4d, 0x4d, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x53, 0x53, 0x57, 0x57, 0x5d, 0x5d, 0x65, 0x65, 0x71, 0x71, 0x80, 0x80, 0x92, 0x92, 0xa3, 0xa3, 
0xb2, 0xb2, 0xbf, 0xbf, 0xc8, 0xc8, 0xcd, 0xcd, 0xce, 0xce, 0xcb, 0xcb, 0xc6, 0xc6, 0xc0, 0xc0, 0xbb, 0xbb, 0xb9, 0xb9, 0xba, 0xba, 0xbf, 0xbf, 0xc8, 0xc8, 
0xd5, 0xd5, 0xe3, 0xe3, 0xf1, 0xf1, 0xfb, 0xfb, 0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf2, 0xf2, 0xe7, 0xe7, 0xdc, 0xdc, 0xd2, 0xd2, 0xc8, 0xc8, 0xc1, 0xc1, 
0xbc, 0xbc, 0xb6, 0xb6, 0xae, 0xae, 0xa4, 0xa4, 0x98, 0x98, 0x8a, 0x8a, 0x7b, 0x7b, 0x6d, 0x6d, 0x5e, 0x5e, 0x50, 0x50, 0x43, 0x43, 0x37, 0x37, 0x2b, 0x2b, 
0x22, 0x22, 0x1b, 0x1b, 0x17, 0x17, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0f, 0x0f, 0x0b, 0x0b, 0x0a, 0x0a, 
0x0c, 0x0c, 0x14, 0x14, 0x20, 0x20, 0x2f, 0x2f, 0x41, 0x41, 0x54, 0x54, 0x67, 0x67, 0x7a, 0x7a, 0x8b, 0x8b, 0x9a, 0x9a, 0xa7, 0xa7, 0xb1, 0xb1, 0xb9, 0xb9, 
0xbd, 0xbd, 0xbe, 0xbe, 0xbe, 0xbe, 0xbc, 0xbc, 0xb9, 0xb9, 0xb6, 0xb6, 0xb5, 0xb5, 0xb7, 0xb7, 0xbd, 0xbd, 0xc5, 0xc5, 0xcd, 0xcd, 0xd3, 0xd3, 0xd5, 0xd5, 
0xd4, 0xd4, 0xd0, 0xd0, 0xca, 0xca, 0xc3, 0xc3, 0xbd, 0xbd, 0xb7, 0xb7, 0xb5, 0xb5, 0xb6, 0xb6, 0xb9, 0xb9, 0xbb, 0xbb, 0xba, 0xba, 0xb4, 0xb4, 0xab, 0xab, 
0x9e, 0x9e, 0x90, 0x90, 0x80, 0x80, 0x70, 0x70, 0x62, 0x62, 0x56, 0x56, 0x4e, 0x4e, 0x49, 0x49, 0x46, 0x46, 0x46, 0x46, 0x48, 0x48, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4e, 0x4e, 0x4d, 0x4d, 0x49, 0x49, 0x44, 0x44, 0x3c, 0x3c, 0x33, 0x33, 0x29, 0x29, 0x21, 0x21, 0x1a, 0x1a, 0x17, 0x17, 0x16, 0x16, 0x18, 0x18, 0x1c, 0x1c, 
0x22, 0x22, 0x29, 0x29, 0x33, 0x33, 0x41, 0x41, 0x52, 0x52, 0x66, 0x66, 0x7b, 0x7b, 0x8f, 0x8f, 0xa3, 0xa3, 0xb3, 0xb3, 0xc0, 0xc0, 0xc7, 0xc7, 0xc8, 0xc8, 
0xc6, 0xc6, 0xc2, 0xc2, 0xbe, 0xbe, 0xbd, 0xbd, 0xbf, 0xbf, 0xc2, 0xc2, 0xc7, 0xc7, 0xce, 0xce, 0xd5, 0xd5, 0xdc, 0xdc, 0xe1, 0xe1, 0xe4, 0xe4, 0xe5, 0xe5, 
0xe3, 0xe3, 0xe0, 0xe0, 0xda, 0xda, 0xd2, 0xd2, 0xc9, 0xc9, 0xbe, 0xbe, 0xb2, 0xb2, 0xa6, 0xa6, 0x99, 0x99, 0x8d, 0x8d, 0x81, 0x81, 0x76, 0x76, 0x6c, 0x6c, 
0x62, 0x62, 0x58, 0x58, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 0x39, 0x39, 0x36, 0x36, 0x35, 0x35, 0x33, 0x33, 0x32, 0x32, 0x32, 0x32, 0x32, 0x32, 
0x33, 0x33, 0x35, 0x35, 0x36, 0x36, 0x38, 0x38, 0x39, 0x39, 0x39, 0x39, 0x39, 0x39, 0x37, 0x37, 0x36, 0x36, 0x34, 0x34, 0x35, 0x35, 0x39, 0x39, 0x43, 0x43, 
0x50, 0x50, 0x60, 0x60, 0x72, 0x72, 0x85, 0x85, 0x98, 0x98, 0xa8, 0xa8, 0xb4, 0xb4, 0xbb, 0xbb, 0xbe, 0xbe, 0xbd, 0xbd, 0xb9, 0xb9, 0xb3, 0xb3, 0xac, 0xac, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa7, 0xa7, 0xac, 0xac, 0xb4, 0xb4, 0xbd, 0xbd, 0xc7, 0xc7, 0xd0, 0xd0, 0xd7, 0xd7, 0xd9, 0xd9, 0xd8, 0xd8, 0xd2, 0xd2, 0xcb, 0xcb, 
0xc2, 0xc2, 0xba, 0xba, 0xb1, 0xb1, 0xaa, 0xaa, 0xa4, 0xa4, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x84, 0x84, 
0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 0x5b, 0x5b, 0x51, 0x51, 0x49, 0x49, 0x41, 0x41, 0x3c, 0x3c, 0x39, 0x39, 0x37, 0x37, 0x35, 0x35, 0x31, 0x31, 0x2c, 0x2c, 
0x25, 0x25, 0x20, 0x20, 0x1e, 0x1e, 0x1f, 0x1f, 0x22, 0x22, 0x29, 0x29, 0x31, 0x31, 0x3b, 0x3b, 0x45, 0x45, 0x4f, 0x4f, 0x59, 0x59, 0x63, 0x63, 0x6d, 0x6d, 
0x77, 0x77, 0x82, 0x82, 0x8f, 0x8f, 0x9c, 0x9c, 0xa7, 0xa7, 0xb0, 0xb0, 0xb5, 0xb5, 0xb8, 0xb8, 0xb8, 0xb8, 0xb7, 0xb7, 0xb6, 0xb6, 0xb5, 0xb5, 0xb4, 0xb4, 
0xb3, 0xb3, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1, 0xb1, 0xb1, 0xb1, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xaf, 0xaf, 0xae, 0xae, 0xab, 0xab, 0xa5, 0xa5, 
0x9c, 0x9c, 0x92, 0x92, 0x87, 0x87, 0x7d, 0x7d, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5b, 0x5b, 0x58, 0x58, 0x56, 0x56, 0x54, 0x54, 
0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x56, 0x56, 0x57, 0x57, 0x57, 0x57, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 
0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x56, 0x56, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x75, 0x75, 
0x7e, 0x7e, 0x86, 0x86, 0x8d, 0x8d, 0x94, 0x94, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x93, 0x93, 
0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x93, 0x93, 0x8e, 0x8e, 0x89, 0x89, 0x85, 0x85, 
0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 
0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x6f, 0x6f, 0x65, 0x65, 0x5b, 0x5b, 0x52, 0x52, 
0x4a, 0x4a, 0x46, 0x46, 0x44, 0x44, 0x47, 0x47, 0x4d, 0x4d, 0x56, 0x56, 0x63, 0x63, 0x73, 0x73, 0x85, 0x85, 0x9a, 0x9a, 0xaf, 0xaf, 0xc2, 0xc2, 0xcf, 0xcf, 
0xd7, 0xd7, 0xda, 0xda, 0xd7, 0xd7, 0xcf, 0xcf, 0xc2, 0xc2, 0xb4, 0xb4, 0xa7, 0xa7, 0x9e, 0x9e, 0x9a, 0x9a, 0x9b, 0x9b, 0x9f, 0x9f, 0xa4, 0xa4, 0xa9, 0xa9, 
0xad, 0xad, 0xaf, 0xaf, 0xac, 0xac, 0xa4, 0xa4, 0x98, 0x98, 0x8a, 0x8a, 0x7d, 0x7d, 0x70, 0x70, 0x64, 0x64, 0x5c, 0x5c, 0x58, 0x58, 0x59, 0x59, 0x5d, 0x5d, 
0x63, 0x63, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 
0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7c, 0x7c, 0x78, 0x78, 0x71, 0x71, 0x68, 0x68, 0x5d, 0x5d, 0x51, 0x51, 0x45, 0x45, 0x3b, 0x3b, 0x33, 0x33, 0x31, 0x31, 
0x33, 0x33, 0x3a, 0x3a, 0x47, 0x47, 0x59, 0x59, 0x6f, 0x6f, 0x88, 0x88, 0xa0, 0xa0, 0xb5, 0xb5, 0xc3, 0xc3, 0xcc, 0xcc, 0xcf, 0xcf, 0xcb, 0xcb, 0xc0, 0xc0, 
0xb2, 0xb2, 0xa3, 0xa3, 0x96, 0x96, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83, 0x84, 0x84, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 0x9a, 0x9a, 0x9e, 0x9e, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9c, 0x9c, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x88, 0x88, 0x8f, 0x8f, 
0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 
0x91, 0x91, 0x8f, 0x8f, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x74, 0x74, 0x6b, 0x6b, 0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 
0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x50, 0x50, 0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x67, 0x67, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 
0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x90, 0x90, 
0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 0x8c, 0x8c, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 0x6e, 0x6e, 0x69, 0x69, 0x66, 0x66, 
0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x88, 0x88, 0x92, 0x92, 0x9d, 0x9d, 0xa6, 0xa6, 0xae, 0xae, 0xb2, 0xb2, 0xb1, 0xb1, 0xac, 0xac, 
0xa2, 0xa2, 0x97, 0x97, 0x8b, 0x8b, 0x80, 0x80, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 
0x67, 0x67, 0x6d, 0x6d, 0x77, 0x77, 0x84, 0x84, 0x90, 0x90, 0x9b, 0x9b, 0xa2, 0xa2, 0xa7, 0xa7, 0xa8, 0xa8, 0xa5, 0xa5, 0xa0, 0xa0, 0x98, 0x98, 0x8f, 0x8f, 
0x87, 0x87, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x99, 0x99, 0x9c, 0x9c, 
0x99, 0x99, 0x91, 0x91, 0x85, 0x85, 0x77, 0x77, 0x69, 0x69, 0x5a, 0x5a, 0x4e, 0x4e, 0x43, 0x43, 0x3c, 0x3c, 0x36, 0x36, 0x33, 0x33, 0x33, 0x33, 0x35, 0x35, 
0x39, 0x39, 0x3f, 0x3f, 0x49, 0x49, 0x55, 0x55, 0x63, 0x63, 0x70, 0x70, 0x7b, 0x7b, 0x83, 0x83, 0x88, 0x88, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 
0x8c, 0x8c, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x84, 0x84, 0x8e, 0x8e, 0x9c, 0x9c, 0xac, 0xac, 0xba, 0xba, 
0xc5, 0xc5, 0xcb, 0xcb, 0xce, 0xce, 0xcf, 0xcf, 0xcf, 0xcf, 0xce, 0xce, 0xce, 0xce, 0xcb, 0xcb, 0xc5, 0xc5, 0xbc, 0xbc, 0xaf, 0xaf, 0xa0, 0xa0, 0x90, 0x90, 
0x80, 0x80, 0x71, 0x71, 0x65, 0x65, 0x5d, 0x5d, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x49, 0x49, 0x47, 0x47, 
0x45, 0x45, 0x45, 0x45, 0x44, 0x44, 0x43, 0x43, 0x42, 0x42, 0x43, 0x43, 0x44, 0x44, 0x48, 0x48, 0x4e, 0x4e, 0x54, 0x54, 0x5b, 0x5b, 0x60, 0x60, 0x65, 0x65, 
0x69, 0x69, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x78, 0x78, 0x82, 0x82, 0x8f, 0x8f, 0x9b, 0x9b, 0xa2, 0xa2, 0xa5, 0xa5, 0xa3, 0xa3, 0x9d, 0x9d, 
0x94, 0x94, 0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x72, 0x72, 0x71, 0x71, 0x75, 0x75, 0x7c, 0x7c, 0x86, 0x86, 0x91, 0x91, 0x9d, 0x9d, 0xa8, 0xa8, 0xb4, 0xb4, 
0xbe, 0xbe, 0xc7, 0xc7, 0xcd, 0xcd, 0xd0, 0xd0, 0xd0, 0xd0, 0xcd, 0xcd, 0xc8, 0xc8, 0xc5, 0xc5, 0xc2, 0xc2, 0xc0, 0xc0, 0xbd, 0xbd, 0xb9, 0xb9, 0xb2, 0xb2, 
0xaa, 0xaa, 0x9f, 0x9f, 0x91, 0x91, 0x83, 0x83, 0x73, 0x73, 0x65, 0x65, 0x59, 0x59, 0x51, 0x51, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4c, 0x4c, 0x4e, 0x4e, 
0x50, 0x50, 0x52, 0x52, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x50, 0x50, 0x4c, 0x4c, 0x47, 0x47, 0x43, 0x43, 0x43, 0x43, 0x46, 0x46, 0x4c, 0x4c, 0x56, 0x56, 
0x62, 0x62, 0x71, 0x71, 0x80, 0x80, 0x8d, 0x8d, 0x97, 0x97, 0x9d, 0x9d, 0xa0, 0xa0, 0x9f, 0x9f, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 0x82, 0x82, 0x78, 0x78, 
0x6d, 0x6d, 0x63, 0x63, 0x5b, 0x5b, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x57, 0x57, 0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x5f, 0x5f, 0x67, 0x67, 
0x71, 0x71, 0x80, 0x80, 0x93, 0x93, 0xa9, 0xa9, 0xc2, 0xc2, 0xd9, 0xd9, 0xeb, 0xeb, 0xf6, 0xf6, 0xfb, 0xfb, 0xfa, 0xfa, 0xf4, 0xf4, 0xe9, 0xe9, 0xdb, 0xdb, 
0xcc, 0xcc, 0xbd, 0xbd, 0xb0, 0xb0, 0xa5, 0xa5, 0x9c, 0x9c, 0x96, 0x96, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 
0x78, 0x78, 0x6a, 0x6a, 0x5c, 0x5c, 0x4f, 0x4f, 0x46, 0x46, 0x41, 0x41, 0x41, 0x41, 0x43, 0x43, 0x47, 0x47, 0x4b, 0x4b, 0x50, 0x50, 0x53, 0x53, 0x55, 0x55, 
0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5a, 0x5a, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 
0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x61, 0x61, 0x62, 0x62, 0x67, 0x67, 0x6f, 0x6f, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 0x97, 0x97, 
0xa0, 0xa0, 0xa8, 0xa8, 0xb0, 0xb0, 0xb7, 0xb7, 0xbe, 0xbe, 0xc4, 0xc4, 0xca, 0xca, 0xcf, 0xcf, 0xd2, 0xd2, 0xd1, 0xd1, 0xcc, 0xcc, 0xc3, 0xc3, 0xb9, 0xb9, 
0xae, 0xae, 0xa3, 0xa3, 0x98, 0x98, 0x8e, 0x8e, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 0x52, 0x52, 0x4c, 0x4c, 
0x46, 0x46, 0x40, 0x40, 0x3b, 0x3b, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 0x3c, 0x3c, 0x43, 0x43, 0x4e, 0x4e, 0x5a, 0x5a, 0x66, 0x66, 0x6f, 0x6f, 0x73, 0x73, 
0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x7c, 0x7c, 0x85, 0x85, 0x90, 0x90, 0x9c, 0x9c, 0xa8, 0xa8, 0xb3, 0xb3, 
0xbe, 0xbe, 0xc6, 0xc6, 0xcd, 0xcd, 0xd1, 0xd1, 0xd2, 0xd2, 0xcf, 0xcf, 0xc8, 0xc8, 0xbf, 0xbf, 0xb5, 0xb5, 0xaf, 0xaf, 0xab, 0xab, 0xab, 0xab, 0xac, 0xac, 
0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xa7, 0xa7, 0x9e, 0x9e, 0x93, 0x93, 0x87, 0x87, 0x7e, 0x7e, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 
0x6d, 0x6d, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 0x5c, 0x5c, 0x55, 0x55, 0x4d, 0x4d, 0x43, 0x43, 0x38, 0x38, 0x2e, 0x2e, 0x26, 0x26, 0x21, 0x21, 
0x1f, 0x1f, 0x21, 0x21, 0x26, 0x26, 0x2e, 0x2e, 0x38, 0x38, 0x42, 0x42, 0x4b, 0x4b, 0x51, 0x51, 0x57, 0x57, 0x5d, 0x5d, 0x64, 0x64, 0x6f, 0x6f, 0x7c, 0x7c, 
0x89, 0x89, 0x94, 0x94, 0x9c, 0x9c, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 0x9c, 0x9c, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 
0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbb, 0xbb, 0xb9, 0xb9, 0xb4, 0xb4, 0xac, 0xac, 0xa3, 0xa3, 0x9a, 0x9a, 
0x92, 0x92, 0x8d, 0x8d, 0x8a, 0x8a, 0x8c, 0x8c, 0x91, 0x91, 0x98, 0x98, 0x9f, 0x9f, 0xa3, 0xa3, 0xa3, 0xa3, 0xa0, 0xa0, 0x9a, 0x9a, 0x92, 0x92, 0x8a, 0x8a, 
0x80, 0x80, 0x77, 0x77, 0x6e, 0x6e, 0x64, 0x64, 0x5b, 0x5b, 0x53, 0x53, 0x4e, 0x4e, 0x4d, 0x4d, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x56, 0x56, 0x57, 0x57, 
0x56, 0x56, 0x52, 0x52, 0x49, 0x49, 0x3f, 0x3f, 0x37, 0x37, 0x33, 0x33, 0x34, 0x34, 0x3b, 0x3b, 0x45, 0x45, 0x51, 0x51, 0x5c, 0x5c, 0x66, 0x66, 0x6d, 0x6d, 
0x70, 0x70, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x67, 0x67, 0x6d, 0x6d, 0x76, 0x76, 0x82, 0x82, 0x8f, 0x8f, 0x9c, 0x9c, 
0xa9, 0xa9, 0xb4, 0xb4, 0xbb, 0xbb, 0xbc, 0xbc, 0xb6, 0xb6, 0xac, 0xac, 0x9f, 0x9f, 0x93, 0x93, 0x89, 0x89, 0x82, 0x82, 0x7e, 0x7e, 0x7d, 0x7d, 0x81, 0x81, 
0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 
0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x68, 0x68, 
0x6a, 0x6a, 0x70, 0x70, 0x79, 0x79, 0x84, 0x84, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0x9e, 0x9e, 0x98, 0x98, 0x92, 0x92, 0x8c, 0x8c, 
0x88, 0x88, 0x84, 0x84, 0x83, 0x83, 0x86, 0x86, 0x8b, 0x8b, 0x94, 0x94, 0x9d, 0x9d, 0xa7, 0xa7, 0xb0, 0xb0, 0xb8, 0xb8, 0xbc, 0xbc, 0xbb, 0xbb, 0xb3, 0xb3, 
0xa8, 0xa8, 0x9a, 0x9a, 0x8d, 0x8d, 0x82, 0x82, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x72, 0x72, 
0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 
0x59, 0x59, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 
0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x72, 0x72, 0x7a, 0x7a, 0x84, 0x84, 
0x90, 0x90, 0x9d, 0x9d, 0xaa, 0xaa, 0xb7, 0xb7, 0xc4, 0xc4, 0xcf, 0xcf, 0xd7, 0xd7, 0xdb, 0xdb, 0xdc, 0xdc, 0xdb, 0xdb, 0xd7, 0xd7, 0xd2, 0xd2, 0xcb, 0xcb, 
0xc3, 0xc3, 0xba, 0xba, 0xb0, 0xb0, 0xa6, 0xa6, 0x9b, 0x9b, 0x8f, 0x8f, 0x82, 0x82, 0x75, 0x75, 0x67, 0x67, 0x5a, 0x5a, 0x4d, 0x4d, 0x40, 0x40, 0x35, 0x35, 
0x2a, 0x2a, 0x22, 0x22, 0x1b, 0x1b, 0x16, 0x16, 0x14, 0x14, 0x16, 0x16, 0x1a, 0x1a, 0x20, 0x20, 0x29, 0x29, 0x33, 0x33, 0x3f, 0x3f, 0x4c, 0x4c, 0x59, 0x59, 
0x68, 0x68, 0x76, 0x76, 0x84, 0x84, 0x90, 0x90, 0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 
0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa4, 0xa4, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8f, 0x8f, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 
0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 
0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7a, 0x7a, 0x6c, 0x6c, 0x5e, 0x5e, 0x4f, 0x4f, 0x42, 0x42, 
0x38, 0x38, 0x30, 0x30, 0x2b, 0x2b, 0x28, 0x28, 0x26, 0x26, 0x25, 0x25, 0x26, 0x26, 0x28, 0x28, 0x2d, 0x2d, 0x32, 0x32, 0x3a, 0x3a, 0x42, 0x42, 0x4c, 0x4c, 
0x56, 0x56, 0x5f, 0x5f, 0x68, 0x68, 0x6e, 0x6e, 0x74, 0x74, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9e, 0x9e, 0xa6, 0xa6, 
0xae, 0xae, 0xb8, 0xb8, 0xc2, 0xc2, 0xcd, 0xcd, 0xd7, 0xd7, 0xdf, 0xdf, 0xe4, 0xe4, 0xe7, 0xe7, 0xe6, 0xe6, 0xe1, 0xe1, 0xd9, 0xd9, 0xce, 0xce, 0xc2, 0xc2, 
0xb6, 0xb6, 0xab, 0xab, 0xa2, 0xa2, 0x9a, 0x9a, 0x94, 0x94, 0x91, 0x91, 0x90, 0x90, 0x91, 0x91, 0x96, 0x96, 0x9e, 0x9e, 0xa7, 0xa7, 0xb0, 0xb0, 0xb6, 0xb6, 
0xba, 0xba, 0xb9, 0xb9, 0xb5, 0xb5, 0xad, 0xad, 0xa1, 0xa1, 0x91, 0x91, 0x80, 0x80, 0x6f, 0x6f, 0x5f, 0x5f, 0x4f, 0x4f, 0x42, 0x42, 0x36, 0x36, 0x2c, 0x2c, 
0x25, 0x25, 0x20, 0x20, 0x1f, 0x1f, 0x21, 0x21, 0x25, 0x25, 0x2a, 0x2a, 0x2e, 0x2e, 0x32, 0x32, 0x34, 0x34, 0x36, 0x36, 0x38, 0x38, 0x3a, 0x3a, 0x3d, 0x3d, 
0x40, 0x40, 0x44, 0x44, 0x49, 0x49, 0x4e, 0x4e, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x72, 0x72, 0x80, 0x80, 0x90, 0x90, 0xa3, 0xa3, 0xb7, 0xb7, 
0xc9, 0xc9, 0xd8, 0xd8, 0xe4, 0xe4, 0xee, 0xee, 0xf4, 0xf4, 0xf7, 0xf7, 0xf8, 0xf8, 0xf6, 0xf6, 0xf3, 0xf3, 0xef, 0xef, 0xe9, 0xe9, 0xe3, 0xe3, 0xdb, 0xdb, 
0xd3, 0xd3, 0xcc, 0xcc, 0xc4, 0xc4, 0xbf, 0xbf, 0xbc, 0xbc, 0xba, 0xba, 0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8b, 0x8b, 
0x7f, 0x7f, 0x72, 0x72, 0x64, 0x64, 0x56, 0x56, 0x47, 0x47, 0x3a, 0x3a, 0x2f, 0x2f, 0x25, 0x25, 0x1f, 0x1f, 0x1b, 0x1b, 0x1a, 0x1a, 0x1d, 0x1d, 0x21, 0x21, 
0x26, 0x26, 0x28, 0x28, 0x28, 0x28, 0x26, 0x26, 0x22, 0x22, 0x1d, 0x1d, 0x18, 0x18, 0x13, 0x13, 0x0e, 0x0e, 0x0b, 0x0b, 0x08, 0x08, 0x06, 0x06, 0x06, 0x06, 
0x06, 0x06, 0x09, 0x09, 0x0d, 0x0d, 0x16, 0x16, 0x23, 0x23, 0x36, 0x36, 0x4e, 0x4e, 0x67, 0x67, 0x83, 0x83, 0x9e, 0x9e, 0xb8, 0xb8, 0xcf, 0xcf, 0xe0, 0xe0, 
0xec, 0xec, 0xf3, 0xf3, 0xf5, 0xf5, 0xf0, 0xf0, 0xe7, 0xe7, 0xdb, 0xdb, 0xce, 0xce, 0xc3, 0xc3, 0xbb, 0xbb, 0xb5, 0xb5, 0xb4, 0xb4, 0xb6, 0xb6, 0xbc, 0xbc, 
0xc3, 0xc3, 0xca, 0xca, 0xcd, 0xcd, 0xcb, 0xcb, 0xc6, 0xc6, 0xbf, 0xbf, 0xb8, 0xb8, 0xb0, 0xb0, 0xa9, 0xa9, 0xa3, 0xa3, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 
0x95, 0x95, 0x8f, 0x8f, 0x86, 0x86, 0x7a, 0x7a, 0x6d, 0x6d, 0x60, 0x60, 0x54, 0x54, 0x49, 0x49, 0x40, 0x40, 0x3b, 0x3b, 0x38, 0x38, 0x39, 0x39, 0x3b, 0x3b, 
0x3f, 0x3f, 0x43, 0x43, 0x48, 0x48, 0x4b, 0x4b, 0x4b, 0x4b, 0x47, 0x47, 0x41, 0x41, 0x39, 0x39, 0x32, 0x32, 0x2d, 0x2d, 0x2b, 0x2b, 0x2d, 0x2d, 0x35, 0x35, 
0x44, 0x44, 0x58, 0x58, 0x6e, 0x6e, 0x83, 0x83, 0x97, 0x97, 0xa9, 0xa9, 0xb8, 0xb8, 0xc5, 0xc5, 0xd1, 0xd1, 0xda, 0xda, 0xe2, 0xe2, 0xe7, 0xe7, 0xeb, 0xeb, 
0xee, 0xee, 0xee, 0xee, 0xeb, 0xeb, 0xe6, 0xe6, 0xdf, 0xdf, 0xd7, 0xd7, 0xcd, 0xcd, 0xc3, 0xc3, 0xb9, 0xb9, 0xaf, 0xaf, 0xa3, 0xa3, 0x97, 0x97, 0x8a, 0x8a, 
0x7f, 0x7f, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x67, 0x67, 0x5e, 0x5e, 0x55, 0x55, 0x4b, 0x4b, 
0x43, 0x43, 0x3c, 0x3c, 0x38, 0x38, 0x35, 0x35, 0x32, 0x32, 0x31, 0x31, 0x2f, 0x2f, 0x2f, 0x2f, 0x30, 0x30, 0x33, 0x33, 0x38, 0x38, 0x3c, 0x3c, 0x41, 0x41, 
0x45, 0x45, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 0x52, 0x52, 0x56, 0x56, 0x5e, 0x5e, 0x68, 0x68, 0x74, 0x74, 0x82, 0x82, 0x90, 0x90, 0x9d, 0x9d, 
0xa9, 0xa9, 0xb5, 0xb5, 0xc1, 0xc1, 0xcd, 0xcd, 0xd8, 0xd8, 0xe2, 0xe2, 0xe9, 0xe9, 0xec, 0xec, 0xed, 0xed, 0xec, 0xec, 0xe7, 0xe7, 0xe1, 0xe1, 0xda, 0xda, 
0xd3, 0xd3, 0xce, 0xce, 0xcc, 0xcc, 0xcb, 0xcb, 0xcb, 0xcb, 0xcb, 0xcb, 0xca, 0xca, 0xc8, 0xc8, 0xc6, 0xc6, 0xc3, 0xc3, 0xc0, 0xc0, 0xbc, 0xbc, 0xb6, 0xb6, 
0xae, 0xae, 0xa4, 0xa4, 0x97, 0x97, 0x8a, 0x8a, 0x7b, 0x7b, 0x6d, 0x6d, 0x60, 0x60, 0x54, 0x54, 0x4c, 0x4c, 0x46, 0x46, 0x43, 0x43, 0x41, 0x41, 0x3f, 0x3f, 
0x3b, 0x3b, 0x37, 0x37, 0x33, 0x33, 0x2f, 0x2f, 0x2c, 0x2c, 0x29, 0x29, 0x28, 0x28, 0x29, 0x29, 0x2b, 0x2b, 0x2e, 0x2e, 0x32, 0x32, 0x36, 0x36, 0x3c, 0x3c, 
0x41, 0x41, 0x48, 0x48, 0x4e, 0x4e, 0x55, 0x55, 0x5c, 0x5c, 0x63, 0x63, 0x6a, 0x6a, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 0x87, 0x87, 0x92, 0x92, 0x9e, 0x9e, 
0xaa, 0xaa, 0xb5, 0xb5, 0xbd, 0xbd, 0xc3, 0xc3, 0xc6, 0xc6, 0xc5, 0xc5, 0xc1, 0xc1, 0xba, 0xba, 0xb1, 0xb1, 0xa8, 0xa8, 0x9f, 0x9f, 0x97, 0x97, 0x8f, 0x8f, 
0x87, 0x87, 0x80, 0x80, 0x79, 0x79, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x83, 0x83, 0x8e, 0x8e, 0x9a, 0x9a, 0xa5, 0xa5, 0xae, 0xae, 
0xb5, 0xb5, 0xb9, 0xb9, 0xb9, 0xb9, 0xb5, 0xb5, 0xad, 0xad, 0xa0, 0xa0, 0x91, 0x91, 0x80, 0x80, 0x6d, 0x6d, 0x5a, 0x5a, 0x49, 0x49, 0x3c, 0x3c, 0x34, 0x34, 
0x30, 0x30, 0x2f, 0x2f, 0x31, 0x31, 0x33, 0x33, 0x36, 0x36, 0x38, 0x38, 0x38, 0x38, 0x35, 0x35, 0x31, 0x31, 0x2d, 0x2d, 0x2a, 0x2a, 0x2a, 0x2a, 0x2c, 0x2c, 
0x30, 0x30, 0x36, 0x36, 0x3d, 0x3d, 0x45, 0x45, 0x4f, 0x4f, 0x59, 0x59, 0x63, 0x63, 0x6e, 0x6e, 0x79, 0x79, 0x85, 0x85, 0x90, 0x90, 0x9b, 0x9b, 0xa6, 0xa6, 
0xb1, 0xb1, 0xbb, 0xbb, 0xc5, 0xc5, 0xcf, 0xcf, 0xd7, 0xd7, 0xdd, 0xdd, 0xe1, 0xe1, 0xe2, 0xe2, 0xdf, 0xdf, 0xd7, 0xd7, 0xcc, 0xcc, 0xc0, 0xc0, 0xb4, 0xb4, 
0xaa, 0xaa, 0xa1, 0xa1, 0x9a, 0x9a, 0x95, 0x95, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 
0x70, 0x70, 0x6c, 0x6c, 0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 
0x6c, 0x6c, 0x6b, 0x6b, 0x68, 0x68, 0x63, 0x63, 0x5e, 0x5e, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x6f, 0x6f, 0x76, 0x76, 0x7f, 0x7f, 0x8a, 0x8a, 0x96, 0x96, 0xa4, 0xa4, 0xb2, 0xb2, 
0xc2, 0xc2, 0xd0, 0xd0, 0xdc, 0xdc, 0xe3, 0xe3, 0xe5, 0xe5, 0xe2, 0xe2, 0xdd, 0xdd, 0xd7, 0xd7, 0xd0, 0xd0, 0xca, 0xca, 0xc5, 0xc5, 0xc0, 0xc0, 0xba, 0xba, 
0xb4, 0xb4, 0xae, 0xae, 0xa6, 0xa6, 0x9d, 0x9d, 0x93, 0x93, 0x89, 0x89, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 
0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 0x47, 0x47, 0x40, 0x40, 0x3a, 0x3a, 0x36, 0x36, 0x36, 0x36, 0x3a, 0x3a, 0x41, 0x41, 0x4d, 0x4d, 
0x5b, 0x5b, 0x6b, 0x6b, 0x7c, 0x7c, 0x8b, 0x8b, 0x97, 0x97, 0x9e, 0x9e, 0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0xa1, 0xa1, 
0xa0, 0xa0, 0xa0, 0xa0, 0xa1, 0xa1, 0xa4, 0xa4, 0xa8, 0xa8, 0xae, 0xae, 0xb5, 0xb5, 0xbc, 0xbc, 0xc4, 0xc4, 0xca, 0xca, 0xcd, 0xcd, 0xcd, 0xcd, 0xc7, 0xc7, 
0xbe, 0xbe, 0xb4, 0xb4, 0xa9, 0xa9, 0xa0, 0xa0, 0x97, 0x97, 0x91, 0x91, 0x8c, 0x8c, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 
0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x87, 0x87, 0x7e, 0x7e, 0x74, 0x74, 0x68, 0x68, 0x5b, 0x5b, 0x50, 0x50, 0x48, 0x48, 0x43, 0x43, 0x40, 0x40, 0x3e, 0x3e, 
0x3b, 0x3b, 0x37, 0x37, 0x30, 0x30, 0x29, 0x29, 0x22, 0x22, 0x1c, 0x1c, 0x17, 0x17, 0x14, 0x14, 0x14, 0x14, 0x17, 0x17, 0x1b, 0x1b, 0x21, 0x21, 0x27, 0x27, 
0x2d, 0x2d, 0x34, 0x34, 0x3b, 0x3b, 0x44, 0x44, 0x4f, 0x4f, 0x5c, 0x5c, 0x6a, 0x6a, 0x78, 0x78, 0x86, 0x86, 0x93, 0x93, 0xa0, 0xa0, 0xae, 0xae, 0xbc, 0xbc, 
0xca, 0xca, 0xd7, 0xd7, 0xe2, 0xe2, 0xe9, 0xe9, 0xef, 0xef, 0xf1, 0xf1, 0xf2, 0xf2, 0xf0, 0xf0, 0xed, 0xed, 0xe8, 0xe8, 0xe2, 0xe2, 0xdc, 0xdc, 0xd3, 0xd3, 
0xc8, 0xc8, 0xb9, 0xb9, 0xa6, 0xa6, 0x91, 0x91, 0x7c, 0x7c, 0x6a, 0x6a, 0x5d, 0x5d, 0x54, 0x54, 0x4e, 0x4e, 0x4b, 0x4b, 0x4b, 0x4b, 0x4b, 0x4b, 0x4d, 0x4d, 
0x4f, 0x4f, 0x52, 0x52, 0x54, 0x54, 0x58, 0x58, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x69, 0x69, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 
0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 
0x7a, 0x7a, 0x7d, 0x7d, 0x7b, 0x7b, 0x76, 0x76, 0x6f, 0x6f, 0x68, 0x68, 0x65, 0x65, 0x67, 0x67, 0x6d, 0x6d, 0x75, 0x75, 0x7e, 0x7e, 0x88, 0x88, 0x92, 0x92, 
0x9c, 0x9c, 0xa5, 0xa5, 0xaf, 0xaf, 0xb8, 0xb8, 0xc1, 0xc1, 0xc8, 0xc8, 0xcf, 0xcf, 0xd4, 0xd4, 0xd7, 0xd7, 0xd8, 0xd8, 0xd6, 0xd6, 0xd3, 0xd3, 0xcd, 0xcd, 
0xc7, 0xc7, 0xbe, 0xbe, 0xb4, 0xb4, 0xa8, 0xa8, 0x99, 0x99, 0x86, 0x86, 0x72, 0x72, 0x5f, 0x5f, 0x51, 0x51, 0x48, 0x48, 0x45, 0x45, 0x45, 0x45, 0x48, 0x48, 
0x4d, 0x4d, 0x51, 0x51, 0x54, 0x54, 0x55, 0x55, 0x53, 0x53, 0x4f, 0x4f, 0x4c, 0x4c, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 0x51, 0x51, 0x56, 0x56, 0x5a, 0x5a, 
0x5e, 0x5e, 0x63, 0x63, 0x6a, 0x6a, 0x73, 0x73, 0x7d, 0x7d, 0x87, 0x87, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x91, 0x91, 
0x8f, 0x8f, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x91, 0x91, 0x97, 0x97, 
0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9a, 0x9a, 
0x93, 0x93, 0x8a, 0x8a, 0x83, 0x83, 0x7f, 0x7f, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 
0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 
0x77, 0x77, 0x77, 0x77, 0x72, 0x72, 0x69, 0x69, 0x5f, 0x5f, 0x55, 0x55, 0x4e, 0x4e, 0x4a, 0x4a, 0x48, 0x48, 0x4a, 0x4a, 0x4f, 0x4f, 0x56, 0x56, 0x5e, 0x5e, 
0x66, 0x66, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 0x84, 0x84, 0x8b, 0x8b, 0x90, 0x90, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8c, 0x8c, 0x88, 0x88, 0x86, 0x86, 
0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 
0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6c, 0x6c, 0x66, 0x66, 0x62, 0x62, 0x61, 0x61, 0x64, 0x64, 0x6b, 0x6b, 0x74, 0x74, 0x7e, 0x7e, 0x88, 0x88, 0x90, 0x90, 
0x98, 0x98, 0x9c, 0x9c, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 0x7b, 0x7b, 0x72, 0x72, 
0x6a, 0x6a, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x51, 0x51, 0x49, 0x49, 0x41, 0x41, 0x3a, 0x3a, 0x35, 0x35, 0x33, 0x33, 0x35, 0x35, 0x3a, 0x3a, 0x41, 0x41, 
0x4b, 0x4b, 0x57, 0x57, 0x62, 0x62, 0x6d, 0x6d, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 
0x91, 0x91, 0x96, 0x96, 0x9e, 0x9e, 0xa9, 0xa9, 0xb5, 0xb5, 0xc0, 0xc0, 0xc8, 0xc8, 0xcc, 0xcc, 0xcb, 0xcb, 0xc6, 0xc6, 0xbe, 0xbe, 0xb2, 0xb2, 0xa5, 0xa5, 
0x99, 0x99, 0x8f, 0x8f, 0x8a, 0x8a, 0x88, 0x88, 0x89, 0x89, 0x8d, 0x8d, 0x94, 0x94, 0x9c, 0x9c, 0xa5, 0xa5, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 
0xc1, 0xc1, 0xbf, 0xbf, 0xbc, 0xbc, 0xb7, 0xb7, 0xb1, 0xb1, 0xaa, 0xaa, 0xa3, 0xa3, 0x9c, 0x9c, 0x94, 0x94, 0x8d, 0x8d, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 
0x6b, 0x6b, 0x61, 0x61, 0x58, 0x58, 0x4f, 0x4f, 0x47, 0x47, 0x41, 0x41, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x35, 0x35, 0x35, 0x35, 0x37, 0x37, 0x39, 0x39, 
0x3d, 0x3d, 0x41, 0x41, 0x45, 0x45, 0x4a, 0x4a, 0x4f, 0x4f, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x69, 0x69, 0x73, 0x73, 0x80, 0x80, 
0x8e, 0x8e, 0x9c, 0x9c, 0xa8, 0xa8, 0xb2, 0xb2, 0xb7, 0xb7, 0xb8, 0xb8, 0xb3, 0xb3, 0xa9, 0xa9, 0x9e, 0x9e, 0x91, 0x91, 0x84, 0x84, 0x79, 0x79, 0x71, 0x71, 
0x6e, 0x6e, 0x71, 0x71, 0x78, 0x78, 0x83, 0x83, 0x92, 0x92, 0xa3, 0xa3, 0xb4, 0xb4, 0xc2, 0xc2, 0xca, 0xca, 0xcb, 0xcb, 0xc6, 0xc6, 0xbc, 0xbc, 0xaf, 0xaf, 
0xa1, 0xa1, 0x92, 0x92, 0x84, 0x84, 0x79, 0x79, 0x71, 0x71, 0x6d, 0x6d, 0x6b, 0x6b, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 0x82, 0x82, 0x8d, 0x8d, 0x98, 0x98, 
0xa3, 0xa3, 0xac, 0xac, 0xb2, 0xb2, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4, 0xb4, 0xb2, 0xb2, 0xb1, 0xb1, 0xb0, 0xb0, 0xaf, 0xaf, 0xac, 0xac, 0xa6, 0xa6, 0x9f, 0x9f, 
0x97, 0x97, 0x8f, 0x8f, 0x87, 0x87, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x64, 0x64, 
0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4e, 0x4e, 0x47, 0x47, 0x3f, 0x3f, 0x37, 0x37, 0x30, 0x30, 0x2c, 0x2c, 0x2c, 0x2c, 0x2f, 0x2f, 0x35, 0x35, 0x3e, 0x3e, 
0x48, 0x48, 0x53, 0x53, 0x5c, 0x5c, 0x63, 0x63, 0x65, 0x65, 0x64, 0x64, 0x61, 0x61, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x50, 0x50, 0x4e, 0x4e, 0x50, 0x50, 
0x53, 0x53, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x70, 0x70, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7e, 0x7e, 0x83, 0x83, 0x8a, 0x8a, 0x91, 0x91, 0x99, 0x99, 0x9f, 0x9f, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 
0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x89, 0x89, 0x8c, 0x8c, 0x92, 0x92, 0x99, 0x99, 0xa1, 0xa1, 0xa9, 0xa9, 0xb1, 0xb1, 0xb5, 0xb5, 0xb5, 0xb5, 
0xb1, 0xb1, 0xa8, 0xa8, 0x9d, 0x9d, 0x90, 0x90, 0x82, 0x82, 0x76, 0x76, 0x6c, 0x6c, 0x67, 0x67, 0x67, 0x67, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x86, 0x86, 
0x8f, 0x8f, 0x95, 0x95, 0x96, 0x96, 0x91, 0x91, 0x88, 0x88, 0x7c, 0x7c, 0x70, 0x70, 0x63, 0x63, 0x57, 0x57, 0x4e, 0x4e, 0x49, 0x49, 0x47, 0x47, 0x49, 0x49, 
0x4e, 0x4e, 0x54, 0x54, 0x5c, 0x5c, 0x64, 0x64, 0x6b, 0x6b, 0x71, 0x71, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x6d, 0x6d, 0x65, 0x65, 0x5c, 0x5c, 0x54, 0x54, 
0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 0x55, 0x55, 0x59, 0x59, 0x5c, 0x5c, 0x5f, 0x5f, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x61, 0x61, 0x65, 0x65, 
0x6d, 0x6d, 0x77, 0x77, 0x81, 0x81, 0x8b, 0x8b, 0x93, 0x93, 0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9e, 0x9e, 0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa8, 0xa8, 0xae, 0xae, 0xb4, 0xb4, 0xb7, 0xb7, 0xb6, 0xb6, 0xb0, 0xb0, 0xa7, 0xa7, 
0x9d, 0x9d, 0x94, 0x94, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x8b, 0x8b, 0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 
0x8f, 0x8f, 0x87, 0x87, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x6e, 0x6e, 0x6a, 0x6a, 
0x63, 0x63, 0x59, 0x59, 0x4e, 0x4e, 0x45, 0x45, 0x3d, 0x3d, 0x39, 0x39, 0x3a, 0x3a, 0x3f, 0x3f, 0x4a, 0x4a, 0x58, 0x58, 0x66, 0x66, 0x72, 0x72, 0x79, 0x79, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x77, 0x77, 0x7c, 0x7c, 0x83, 0x83, 0x8c, 0x8c, 0x97, 0x97, 
0xa1, 0xa1, 0xa9, 0xa9, 0xaf, 0xaf, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 0xbc, 0xbc, 0xbd, 0xbd, 0xbf, 0xbf, 0xc1, 0xc1, 0xc4, 0xc4, 0xc7, 0xc7, 0xca, 0xca, 
0xca, 0xca, 0xc7, 0xc7, 0xc3, 0xc3, 0xbe, 0xbe, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xa9, 0xa9, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x8c, 0x8c, 0x86, 0x86, 
0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x73, 0x73, 0x6d, 0x6d, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 
0x53, 0x53, 0x4e, 0x4e, 0x4a, 0x4a, 0x46, 0x46, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4b, 0x4b, 0x52, 0x52, 0x59, 0x59, 0x5f, 0x5f, 0x63, 0x63, 0x65, 0x65, 
0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x65, 0x65, 0x60, 0x60, 0x5a, 0x5a, 0x55, 0x55, 0x51, 0x51, 0x51, 0x51, 0x54, 0x54, 0x5a, 0x5a, 
0x65, 0x65, 0x73, 0x73, 0x83, 0x83, 0x93, 0x93, 0x9e, 0x9e, 0xa6, 0xa6, 0xa9, 0xa9, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 0x9d, 0x9d, 0x98, 0x98, 
0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x73, 0x73, 0x6b, 0x6b, 0x62, 0x62, 
0x57, 0x57, 0x4e, 0x4e, 0x46, 0x46, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3c, 0x3c, 0x3b, 0x3b, 0x3b, 0x3b, 0x3c, 0x3c, 0x3e, 0x3e, 0x40, 0x40, 0x44, 0x44, 
0x49, 0x49, 0x4f, 0x4f, 0x56, 0x56, 0x5d, 0x5d, 0x65, 0x65, 0x6f, 0x6f, 0x79, 0x79, 0x85, 0x85, 0x91, 0x91, 0x9d, 0x9d, 0xaa, 0xaa, 0xb6, 0xb6, 0xc1, 0xc1, 
0xc9, 0xc9, 0xce, 0xce, 0xd1, 0xd1, 0xd1, 0xd1, 0xce, 0xce, 0xc8, 0xc8, 0xbf, 0xbf, 0xb6, 0xb6, 0xad, 0xad, 0xa5, 0xa5, 0x9e, 0x9e, 0x9a, 0x9a, 0x9a, 0x9a, 
0x9e, 0x9e, 0xa6, 0xa6, 0xaf, 0xaf, 0xba, 0xba, 0xc4, 0xc4, 0xcc, 0xcc, 0xd0, 0xd0, 0xcc, 0xcc, 0xc0, 0xc0, 0xae, 0xae, 0x99, 0x99, 0x84, 0x84, 0x70, 0x70, 
0x5e, 0x5e, 0x51, 0x51, 0x49, 0x49, 0x47, 0x47, 0x48, 0x48, 0x4b, 0x4b, 0x4c, 0x4c, 0x49, 0x49, 0x45, 0x45, 0x3e, 0x3e, 0x37, 0x37, 0x30, 0x30, 0x29, 0x29, 
0x24, 0x24, 0x20, 0x20, 0x1e, 0x1e, 0x1d, 0x1d, 0x1e, 0x1e, 0x21, 0x21, 0x28, 0x28, 0x2f, 0x2f, 0x38, 0x38, 0x41, 0x41, 0x4a, 0x4a, 0x51, 0x51, 0x58, 0x58, 
0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x89, 0x89, 0x93, 0x93, 0x9c, 0x9c, 0xa3, 0xa3, 0xa7, 0xa7, 0xab, 0xab, 0xad, 0xad, 
0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xb9, 0xb9, 0xbb, 0xbb, 0xbd, 0xbd, 0xbf, 0xbf, 0xc2, 0xc2, 0xc4, 0xc4, 0xc7, 0xc7, 0xca, 0xca, 
0xcd, 0xcd, 0xcf, 0xcf, 0xcd, 0xcd, 0xc9, 0xc9, 0xc2, 0xc2, 0xb8, 0xb8, 0xad, 0xad, 0xa0, 0xa0, 0x92, 0x92, 0x85, 0x85, 0x7a, 0x7a, 0x71, 0x71, 0x6a, 0x6a, 
0x66, 0x66, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x69, 0x69, 0x63, 0x63, 0x5b, 0x5b, 0x52, 0x52, 
0x4a, 0x4a, 0x43, 0x43, 0x3f, 0x3f, 0x3d, 0x3d, 0x3e, 0x3e, 0x43, 0x43, 0x4b, 0x4b, 0x54, 0x54, 0x5d, 0x5d, 0x66, 0x66, 0x6e, 0x6e, 0x75, 0x75, 0x7a, 0x7a, 
0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 
0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa6, 0xa6, 0xa9, 0xa9, 0xad, 0xad, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xad, 0xad, 
0xab, 0xab, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa8, 0xa8, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xa0, 0xa0, 
0xa2, 0xa2, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa2, 0xa2, 0x9c, 0x9c, 0x95, 0x95, 0x8d, 0x8d, 0x86, 0x86, 0x7f, 0x7f, 0x79, 0x79, 0x76, 0x76, 
0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6e, 0x6e, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 0x5a, 0x5a, 0x5c, 0x5c, 
0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 0x6e, 0x6e, 0x6f, 0x6f, 0x6e, 0x6e, 0x69, 0x69, 0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4d, 0x4d, 0x4b, 0x4b, 0x4c, 0x4c, 
0x50, 0x50, 0x57, 0x57, 0x60, 0x60, 0x6a, 0x6a, 0x73, 0x73, 0x79, 0x79, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 
0x6b, 0x6b, 0x6e, 0x6e, 0x74, 0x74, 0x7c, 0x7c, 0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x95, 0x95, 0x94, 0x94, 0x8e, 0x8e, 0x85, 0x85, 0x7a, 0x7a, 0x70, 0x70, 
0x67, 0x67, 0x61, 0x61, 0x5f, 0x5f, 0x60, 0x60, 0x66, 0x66, 0x6f, 0x6f, 0x79, 0x79, 0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 
0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 0x83, 0x83, 0x89, 0x89, 0x91, 0x91, 0x9a, 0x9a, 0xa1, 0xa1, 0xa3, 0xa3, 0x9f, 0x9f, 0x96, 0x96, 
0x89, 0x89, 0x7c, 0x7c, 0x6e, 0x6e, 0x61, 0x61, 0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 0x58, 0x58, 0x5f, 0x5f, 0x68, 0x68, 0x70, 0x70, 0x79, 0x79, 0x81, 0x81, 
0x88, 0x88, 0x8f, 0x8f, 0x94, 0x94, 0x96, 0x96, 0x93, 0x93, 0x8b, 0x8b, 0x7f, 0x7f, 0x73, 0x73, 0x6a, 0x6a, 0x64, 0x64, 0x62, 0x62, 0x63, 0x63, 0x67, 0x67, 
0x6b, 0x6b, 0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 
0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x86, 0x86, 0x83, 0x83, 0x7d, 0x7d, 0x75, 0x75, 0x6c, 0x6c, 0x62, 0x62, 0x59, 0x59, 
0x53, 0x53, 0x52, 0x52, 0x57, 0x57, 0x61, 0x61, 0x6e, 0x6e, 0x7e, 0x7e, 0x8f, 0x8f, 0xa1, 0xa1, 0xb0, 0xb0, 0xbb, 0xbb, 0xc0, 0xc0, 0xc2, 0xc2, 0xc0, 0xc0, 
0xbc, 0xbc, 0xb7, 0xb7, 0xb2, 0xb2, 0xae, 0xae, 0xac, 0xac, 0xac, 0xac, 0xae, 0xae, 0xb1, 0xb1, 0xb6, 0xb6, 0xbb, 0xbb, 0xc0, 0xc0, 0xc5, 0xc5, 0xc7, 0xc7, 
0xc8, 0xc8, 0xc6, 0xc6, 0xc1, 0xc1, 0xb8, 0xb8, 0xac, 0xac, 0x9d, 0x9d, 0x90, 0x90, 0x86, 0x86, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x79, 0x79, 
0x74, 0x74, 0x6e, 0x6e, 0x66, 0x66, 0x5e, 0x5e, 0x56, 0x56, 0x4e, 0x4e, 0x49, 0x49, 0x46, 0x46, 0x45, 0x45, 0x46, 0x46, 0x48, 0x48, 0x4c, 0x4c, 0x51, 0x51, 
0x57, 0x57, 0x5e, 0x5e, 0x66, 0x66, 0x6e, 0x6e, 0x73, 0x73, 0x74, 0x74, 0x6f, 0x6f, 0x67, 0x67, 0x5f, 0x5f, 0x58, 0x58, 0x55, 0x55, 0x56, 0x56, 0x5a, 0x5a, 
0x60, 0x60, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 0x7e, 0x7e, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x67, 0x67, 
0x69, 0x69, 0x6e, 0x6e, 0x77, 0x77, 0x83, 0x83, 0x92, 0x92, 0xa3, 0xa3, 0xb3, 0xb3, 0xc0, 0xc0, 0xc8, 0xc8, 0xcc, 0xcc, 0xcd, 0xcd, 0xcc, 0xcc, 0xc9, 0xc9, 
0xc6, 0xc6, 0xc3, 0xc3, 0xc0, 0xc0, 0xbd, 0xbd, 0xb9, 0xb9, 0xb4, 0xb4, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x83, 0x83, 0x75, 0x75, 0x67, 0x67, 
0x58, 0x58, 0x49, 0x49, 0x3a, 0x3a, 0x2b, 0x2b, 0x1d, 0x1d, 0x13, 0x13, 0x0d, 0x0d, 0x09, 0x09, 0x09, 0x09, 0x0c, 0x0c, 0x11, 0x11, 0x18, 0x18, 0x20, 0x20, 
0x26, 0x26, 0x2b, 0x2b, 0x2f, 0x2f, 0x34, 0x34, 0x3b, 0x3b, 0x43, 0x43, 0x4d, 0x4d, 0x59, 0x59, 0x65, 0x65, 0x72, 0x72, 0x7e, 0x7e, 0x8a, 0x8a, 0x95, 0x95, 
0xa0, 0xa0, 0xaa, 0xaa, 0xb3, 0xb3, 0xbc, 0xbc, 0xc5, 0xc5, 0xce, 0xce, 0xd4, 0xd4, 0xd7, 0xd7, 0xd7, 0xd7, 0xd4, 0xd4, 0xcf, 0xcf, 0xc8, 0xc8, 0xc2, 0xc2, 
0xbb, 0xbb, 0xb5, 0xb5, 0xae, 0xae, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 
0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x84, 0x84, 0x7b, 0x7b, 0x70, 0x70, 0x64, 0x64, 
0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4e, 0x4e, 0x53, 0x53, 
0x5c, 0x5c, 0x68, 0x68, 0x74, 0x74, 0x80, 0x80, 0x89, 0x89, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 0xa4, 0xa4, 0xab, 0xab, 0xb6, 0xb6, 
0xc3, 0xc3, 0xd0, 0xd0, 0xde, 0xde, 0xe9, 0xe9, 0xf3, 0xf3, 0xfa, 0xfa, 0xfe, 0xfe, 0xfe, 0xfe, 0xfb, 0xfb, 0xf5, 0xf5, 0xec, 0xec, 0xe0, 0xe0, 0xd3, 0xd3, 
0xc5, 0xc5, 0xb9, 0xb9, 0xae, 0xae, 0xa5, 0xa5, 0x9c, 0x9c, 0x95, 0x95, 0x8d, 0x8d, 0x86, 0x86, 0x7e, 0x7e, 0x75, 0x75, 0x6c, 0x6c, 0x62, 0x62, 0x59, 0x59, 
0x53, 0x53, 0x50, 0x50, 0x4e, 0x4e, 0x4d, 0x4d, 0x4b, 0x4b, 0x46, 0x46, 0x40, 0x40, 0x39, 0x39, 0x34, 0x34, 0x30, 0x30, 0x2d, 0x2d, 0x2d, 0x2d, 0x2f, 0x2f, 
0x34, 0x34, 0x3a, 0x3a, 0x41, 0x41, 0x4a, 0x4a, 0x53, 0x53, 0x5d, 0x5d, 0x66, 0x66, 0x6d, 0x6d, 0x73, 0x73, 0x77, 0x77, 0x79, 0x79, 0x77, 0x77, 0x71, 0x71, 
0x6a, 0x6a, 0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 0x54, 0x54, 0x53, 0x53, 0x53, 0x53, 0x56, 0x56, 0x5d, 0x5d, 0x68, 0x68, 
0x75, 0x75, 0x85, 0x85, 0x96, 0x96, 0xa9, 0xa9, 0xba, 0xba, 0xc9, 0xc9, 0xd5, 0xd5, 0xde, 0xde, 0xe5, 0xe5, 0xea, 0xea, 0xee, 0xee, 0xf0, 0xf0, 0xef, 0xef, 
0xea, 0xea, 0xe1, 0xe1, 0xd6, 0xd6, 0xca, 0xca, 0xc2, 0xc2, 0xbc, 0xbc, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xa8, 0xa8, 0x9d, 0x9d, 0x8b, 0x8b, 
0x75, 0x75, 0x5b, 0x5b, 0x42, 0x42, 0x2c, 0x2c, 0x1a, 0x1a, 0x0e, 0x0e, 0x06, 0x06, 0x03, 0x03, 0x03, 0x03, 0x07, 0x07, 0x0e, 0x0e, 0x19, 0x19, 0x28, 0x28, 
0x39, 0x39, 0x4b, 0x4b, 0x5c, 0x5c, 0x6c, 0x6c, 0x7a, 0x7a, 0x83, 0x83, 0x88, 0x88, 0x86, 0x86, 0x81, 0x81, 0x7d, 0x7d, 0x7b, 0x7b, 0x7e, 0x7e, 0x86, 0x86, 
0x8f, 0x8f, 0x98, 0x98, 0x9f, 0x9f, 0xa5, 0xa5, 0xaa, 0xaa, 0xad, 0xad, 0xb0, 0xb0, 0xb2, 0xb2, 0xb4, 0xb4, 0xb7, 0xb7, 0xbb, 0xbb, 0xbe, 0xbe, 0xc0, 0xc0, 
0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xaa, 0xaa, 0xa1, 0xa1, 0x9a, 0x9a, 0x93, 0x93, 0x8d, 0x8d, 0x85, 0x85, 0x7c, 0x7c, 0x73, 0x73, 0x6c, 0x6c, 0x6b, 0x6b, 
0x70, 0x70, 0x79, 0x79, 0x84, 0x84, 0x8c, 0x8c, 0x91, 0x91, 0x92, 0x92, 0x8e, 0x8e, 0x86, 0x86, 0x7a, 0x7a, 0x6c, 0x6c, 0x5f, 0x5f, 0x54, 0x54, 0x4c, 0x4c, 
0x47, 0x47, 0x42, 0x42, 0x3e, 0x3e, 0x38, 0x38, 0x32, 0x32, 0x2f, 0x2f, 0x31, 0x31, 0x39, 0x39, 0x46, 0x46, 0x54, 0x54, 0x60, 0x60, 0x69, 0x69, 0x70, 0x70, 
0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 0x8b, 0x8b, 0x94, 0x94, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb5, 0xb5, 0xb9, 0xb9, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 
0xbd, 0xbd, 0xc3, 0xc3, 0xcb, 0xcb, 0xd2, 0xd2, 0xd8, 0xd8, 0xd9, 0xd9, 0xd7, 0xd7, 0xd4, 0xd4, 0xd0, 0xd0, 0xcb, 0xcb, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 
0xb5, 0xb5, 0xae, 0xae, 0xa7, 0xa7, 0xa0, 0xa0, 0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x88, 0x88, 0x85, 0x85, 0x7c, 0x7c, 0x6f, 0x6f, 0x60, 0x60, 0x53, 0x53, 0x48, 0x48, 0x40, 0x40, 
0x3b, 0x3b, 0x3a, 0x3a, 0x3d, 0x3d, 0x42, 0x42, 0x48, 0x48, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x5b, 0x5b, 0x5b, 0x5b, 0x58, 0x58, 0x53, 0x53, 0x4e, 0x4e, 
0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6d, 0x6d, 0x71, 0x71, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 
0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 0x86, 0x86, 0x8b, 0x8b, 0x8e, 0x8e, 
0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 
0x9a, 0x9a, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 
0x68, 0x68, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x58, 0x58, 0x54, 0x54, 0x4f, 0x4f, 0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x51, 0x51, 0x58, 0x58, 0x61, 0x61, 
0x6d, 0x6d, 0x7a, 0x7a, 0x86, 0x86, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xaf, 0xaf, 0xb0, 0xb0, 
0xaf, 0xaf, 0xac, 0xac, 0xa9, 0xa9, 0xa5, 0xa5, 0xa3, 0xa3, 0xa2, 0xa2, 0xa5, 0xa5, 0xab, 0xab, 0xb3, 0xb3, 0xba, 0xba, 0xbd, 0xbd, 0xbc, 0xbc, 0xb6, 0xb6, 
0xae, 0xae, 0xa4, 0xa4, 0x9b, 0x9b, 0x93, 0x93, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 0x90, 0x90, 0x95, 0x95, 0x97, 0x97, 0x96, 0x96, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 
0x73, 0x73, 0x70, 0x70, 0x6b, 0x6b, 0x63, 0x63, 0x57, 0x57, 0x49, 0x49, 0x3c, 0x3c, 0x33, 0x33, 0x2e, 0x2e, 0x2e, 0x2e, 0x31, 0x31, 0x33, 0x33, 0x36, 0x36, 
0x37, 0x37, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x39, 0x39, 0x3d, 0x3d, 0x46, 0x46, 0x54, 0x54, 0x65, 0x65, 0x76, 0x76, 0x85, 0x85, 0x90, 0x90, 0x99, 0x99, 
0x9f, 0x9f, 0xa7, 0xa7, 0xb0, 0xb0, 0xba, 0xba, 0xc3, 0xc3, 0xc9, 0xc9, 0xcc, 0xcc, 0xcb, 0xcb, 0xc6, 0xc6, 0xbe, 0xbe, 0xb2, 0xb2, 0xa5, 0xa5, 0x99, 0x99, 
0x91, 0x91, 0x8d, 0x8d, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x98, 0x98, 0xa0, 0xa0, 0xa9, 0xa9, 0xb3, 0xb3, 0xbb, 0xbb, 
0xc2, 0xc2, 0xc6, 0xc6, 0xc9, 0xc9, 0xca, 0xca, 0xca, 0xca, 0xc9, 0xc9, 0xc8, 0xc8, 0xc7, 0xc7, 0xc6, 0xc6, 0xc4, 0xc4, 0xbd, 0xbd, 0xaf, 0xaf, 0x99, 0x99, 
0x7c, 0x7c, 0x5e, 0x5e, 0x43, 0x43, 0x2d, 0x2d, 0x1c, 0x1c, 0x11, 0x11, 0x0b, 0x0b, 0x09, 0x09, 0x0a, 0x0a, 0x0c, 0x0c, 0x0c, 0x0c, 0x0a, 0x0a, 0x08, 0x08, 
0x08, 0x08, 0x0d, 0x0d, 0x16, 0x16, 0x24, 0x24, 0x33, 0x33, 0x3f, 0x3f, 0x47, 0x47, 0x4c, 0x4c, 0x52, 0x52, 0x5a, 0x5a, 0x67, 0x67, 0x78, 0x78, 0x8c, 0x8c, 
0xa2, 0xa2, 0xb9, 0xb9, 0xcf, 0xcf, 0xe2, 0xe2, 0xef, 0xef, 0xf5, 0xf5, 0xf6, 0xf6, 0xf3, 0xf3, 0xef, 0xef, 0xe9, 0xe9, 0xe1, 0xe1, 0xd7, 0xd7, 0xc8, 0xc8, 
0xb3, 0xb3, 0x9c, 0x9c, 0x87, 0x87, 0x79, 0x79, 0x72, 0x72, 0x73, 0x73, 0x78, 0x78, 0x80, 0x80, 0x8a, 0x8a, 0x92, 0x92, 0x98, 0x98, 0x98, 0x98, 0x92, 0x92, 
0x88, 0x88, 0x7b, 0x7b, 0x70, 0x70, 0x66, 0x66, 0x5d, 0x5d, 0x55, 0x55, 0x4e, 0x4e, 0x46, 0x46, 0x3e, 0x3e, 0x36, 0x36, 0x2f, 0x2f, 0x29, 0x29, 0x26, 0x26, 
0x24, 0x24, 0x24, 0x24, 0x26, 0x26, 0x2a, 0x2a, 0x30, 0x30, 0x38, 0x38, 0x43, 0x43, 0x4f, 0x4f, 0x5d, 0x5d, 0x6b, 0x6b, 0x79, 0x79, 0x86, 0x86, 0x93, 0x93, 
0x9d, 0x9d, 0xa7, 0xa7, 0xae, 0xae, 0xb6, 0xb6, 0xbf, 0xbf, 0xc8, 0xc8, 0xd3, 0xd3, 0xdd, 0xdd, 0xe7, 0xe7, 0xef, 0xef, 0xf6, 0xf6, 0xf9, 0xf9, 0xf7, 0xf7, 
0xf0, 0xf0, 0xe5, 0xe5, 0xd9, 0xd9, 0xcf, 0xcf, 0xc7, 0xc7, 0xc0, 0xc0, 0xb8, 0xb8, 0xac, 0xac, 0x9d, 0x9d, 0x8a, 0x8a, 0x75, 0x75, 0x5f, 0x5f, 0x4b, 0x4b, 
0x39, 0x39, 0x2c, 0x2c, 0x27, 0x27, 0x2a, 0x2a, 0x32, 0x32, 0x3d, 0x3d, 0x46, 0x46, 0x4c, 0x4c, 0x4e, 0x4e, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x51, 0x51, 
0x4f, 0x4f, 0x49, 0x49, 0x3d, 0x3d, 0x2e, 0x2e, 0x1f, 0x1f, 0x14, 0x14, 0x0e, 0x0e, 0x0e, 0x0e, 0x14, 0x14, 0x1f, 0x1f, 0x2e, 0x2e, 0x41, 0x41, 0x53, 0x53, 
0x62, 0x62, 0x6d, 0x6d, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8d, 0x8d, 0x96, 0x96, 0x9d, 0x9d, 0x9f, 0x9f, 0x9c, 0x9c, 0x96, 0x96, 0x91, 0x91, 0x92, 0x92, 
0x9b, 0x9b, 0xa9, 0xa9, 0xbb, 0xbb, 0xce, 0xce, 0xdf, 0xdf, 0xed, 0xed, 0xf7, 0xf7, 0xfc, 0xfc, 0xfb, 0xfb, 0xf5, 0xf5, 0xed, 0xed, 0xe4, 0xe4, 0xdb, 0xdb, 
0xd1, 0xd1, 0xc5, 0xc5, 0xb6, 0xb6, 0xa3, 0xa3, 0x8f, 0x8f, 0x7a, 0x7a, 0x69, 0x69, 0x5c, 0x5c, 0x53, 0x53, 0x4f, 0x4f, 0x50, 0x50, 0x54, 0x54, 0x5a, 0x5a, 
0x60, 0x60, 0x64, 0x64, 0x65, 0x65, 0x63, 0x63, 0x5f, 0x5f, 0x58, 0x58, 0x4e, 0x4e, 0x43, 0x43, 0x38, 0x38, 0x2d, 0x2d, 0x24, 0x24, 0x1c, 0x1c, 0x15, 0x15, 
0x11, 0x11, 0x0e, 0x0e, 0x0d, 0x0d, 0x0d, 0x0d, 0x0e, 0x0e, 0x0f, 0x0f, 0x11, 0x11, 0x15, 0x15, 0x1b, 0x1b, 0x23, 0x23, 0x2e, 0x2e, 0x3a, 0x3a, 0x48, 0x48, 
0x56, 0x56, 0x65, 0x65, 0x73, 0x73, 0x7f, 0x7f, 0x89, 0x89, 0x91, 0x91, 0x98, 0x98, 0x9d, 0x9d, 0xa3, 0xa3, 0xa8, 0xa8, 0xad, 0xad, 0xb1, 0xb1, 0xb4, 0xb4, 
0xb6, 0xb6, 0xb8, 0xb8, 0xba, 0xba, 0xbc, 0xbc, 0xbe, 0xbe, 0xc2, 0xc2, 0xc7, 0xc7, 0xcf, 0xcf, 0xd9, 0xd9, 0xe2, 0xe2, 0xeb, 0xeb, 0xf1, 0xf1, 0xf6, 0xf6, 
0xf9, 0xf9, 0xfb, 0xfb, 0xfd, 0xfd, 0xfd, 0xfd, 0xfa, 0xfa, 0xf4, 0xf4, 0xe9, 0xe9, 0xda, 0xda, 0xc5, 0xc5, 0xab, 0xab, 0x8c, 0x8c, 0x6a, 0x6a, 0x4b, 0x4b, 
0x31, 0x31, 0x1f, 0x1f, 0x14, 0x14, 0x0f, 0x0f, 0x0e, 0x0e, 0x10, 0x10, 0x13, 0x13, 0x16, 0x16, 0x19, 0x19, 0x1b, 0x1b, 0x1c, 0x1c, 0x1c, 0x1c, 0x1b, 0x1b, 
0x1a, 0x1a, 0x19, 0x19, 0x1a, 0x1a, 0x1d, 0x1d, 0x23, 0x23, 0x2b, 0x2b, 0x37, 0x37, 0x45, 0x45, 0x55, 0x55, 0x68, 0x68, 0x7a, 0x7a, 0x8c, 0x8c, 0x9d, 0x9d, 
0xac, 0xac, 0xb8, 0xb8, 0xc0, 0xc0, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc4, 0xc4, 0xbf, 0xbf, 0xb7, 0xb7, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x93, 0x93, 
0x8d, 0x8d, 0x8b, 0x8b, 0x8e, 0x8e, 0x94, 0x94, 0x9c, 0x9c, 0xa5, 0xa5, 0xaf, 0xaf, 0xb8, 0xb8, 0xc0, 0xc0, 0xc4, 0xc4, 0xc6, 0xc6, 0xc5, 0xc5, 0xc0, 0xc0, 
0xb7, 0xb7, 0xaa, 0xaa, 0x9b, 0x9b, 0x88, 0x88, 0x74, 0x74, 0x5f, 0x5f, 0x4b, 0x4b, 0x3d, 0x3d, 0x37, 0x37, 0x3b, 0x3b, 0x47, 0x47, 0x57, 0x57, 0x68, 0x68, 
0x78, 0x78, 0x85, 0x85, 0x8f, 0x8f, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x8a, 0x8a, 0x88, 0x88, 0x83, 0x83, 0x7b, 0x7b, 
0x70, 0x70, 0x66, 0x66, 0x5f, 0x5f, 0x5d, 0x5d, 0x60, 0x60, 0x67, 0x67, 0x72, 0x72, 0x7e, 0x7e, 0x8c, 0x8c, 0x98, 0x98, 0xa2, 0xa2, 0xa8, 0xa8, 0xab, 0xab, 
0xaa, 0xaa, 0xa8, 0xa8, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x86, 0x86, 0x76, 0x76, 0x65, 0x65, 0x57, 0x57, 0x4e, 0x4e, 0x4d, 0x4d, 0x52, 0x52, 0x5a, 0x5a, 
0x64, 0x64, 0x6d, 0x6d, 0x75, 0x75, 0x7a, 0x7a, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 0x90, 0x90, 0x8e, 0x8e, 
0x84, 0x84, 0x74, 0x74, 0x63, 0x63, 0x56, 0x56, 0x4e, 0x4e, 0x4b, 0x4b, 0x4c, 0x4c, 0x4f, 0x4f, 0x54, 0x54, 0x58, 0x58, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5e, 0x5e, 0x67, 0x67, 0x77, 0x77, 0x8b, 0x8b, 0x9e, 0x9e, 0xaa, 0xaa, 0xad, 0xad, 0xa9, 0xa9, 0xa1, 0xa1, 0x99, 0x99, 0x92, 0x92, 0x8e, 0x8e, 
0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xa6, 0xa6, 0xa6, 0xa6, 0xa3, 0xa3, 0x9c, 0x9c, 0x93, 0x93, 0x87, 0x87, 0x79, 0x79, 0x6a, 0x6a, 
0x5b, 0x5b, 0x4c, 0x4c, 0x3d, 0x3d, 0x32, 0x32, 0x2b, 0x2b, 0x29, 0x29, 0x2b, 0x2b, 0x2f, 0x2f, 0x32, 0x32, 0x34, 0x34, 0x36, 0x36, 0x39, 0x39, 0x3e, 0x3e, 
0x48, 0x48, 0x55, 0x55, 0x64, 0x64, 0x73, 0x73, 0x82, 0x82, 0x90, 0x90, 0x9c, 0x9c, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 0x9f, 0x9f, 0x99, 0x99, 
0x93, 0x93, 0x8e, 0x8e, 0x8b, 0x8b, 0x8c, 0x8c, 0x91, 0x91, 0x98, 0x98, 0xa3, 0xa3, 0xb1, 0xb1, 0xc0, 0xc0, 0xd0, 0xd0, 0xde, 0xde, 0xea, 0xea, 0xf4, 0xf4, 
0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf3, 0xf3, 0xdf, 0xdf, 0xc0, 0xc0, 0x99, 0x99, 0x72, 0x72, 0x4f, 0x4f, 0x34, 0x34, 0x21, 0x21, 0x16, 0x16, 
0x12, 0x12, 0x16, 0x16, 0x1f, 0x1f, 0x2a, 0x2a, 0x34, 0x34, 0x3d, 0x3d, 0x45, 0x45, 0x4c, 0x4c, 0x53, 0x53, 0x5a, 0x5a, 0x62, 0x62, 0x69, 0x69, 0x70, 0x70, 
0x76, 0x76, 0x7b, 0x7b, 0x7f, 0x7f, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x79, 0x79, 0x85, 0x85, 0x98, 0x98, 
0xb0, 0xb0, 0xc6, 0xc6, 0xd6, 0xd6, 0xde, 0xde, 0xdd, 0xdd, 0xd5, 0xd5, 0xc5, 0xc5, 0xaf, 0xaf, 0x96, 0x96, 0x82, 0x82, 0x76, 0x76, 0x75, 0x75, 0x7e, 0x7e, 
0x8c, 0x8c, 0x9f, 0x9f, 0xb3, 0xb3, 0xc7, 0xc7, 0xd6, 0xd6, 0xdf, 0xdf, 0xdf, 0xdf, 0xd9, 0xd9, 0xce, 0xce, 0xbf, 0xbf, 0xae, 0xae, 0x9a, 0x9a, 0x86, 0x86, 
0x71, 0x71, 0x5d, 0x5d, 0x4a, 0x4a, 0x38, 0x38, 0x29, 0x29, 0x1d, 0x1d, 0x15, 0x15, 0x0f, 0x0f, 0x0c, 0x0c, 0x0c, 0x0c, 0x0f, 0x0f, 0x12, 0x12, 0x15, 0x15, 
0x18, 0x18, 0x1b, 0x1b, 0x1f, 0x1f, 0x23, 0x23, 0x29, 0x29, 0x30, 0x30, 0x39, 0x39, 0x44, 0x44, 0x51, 0x51, 0x5e, 0x5e, 0x6c, 0x6c, 0x79, 0x79, 0x86, 0x86, 
0x92, 0x92, 0x9d, 0x9d, 0xa5, 0xa5, 0xac, 0xac, 0xb1, 0xb1, 0xb8, 0xb8, 0xc3, 0xc3, 0xd1, 0xd1, 0xe1, 0xe1, 0xf0, 0xf0, 0xf8, 0xf8, 0xf9, 0xf9, 0xf3, 0xf3, 
0xe6, 0xe6, 0xd3, 0xd3, 0xbb, 0xbb, 0xa1, 0xa1, 0x88, 0x88, 0x75, 0x75, 0x68, 0x68, 0x62, 0x62, 0x61, 0x61, 0x63, 0x63, 0x68, 0x68, 0x6f, 0x6f, 0x78, 0x78, 
0x83, 0x83, 0x90, 0x90, 0x9d, 0x9d, 0xa5, 0xa5, 0xa6, 0xa6, 0x9d, 0x9d, 0x8d, 0x8d, 0x7a, 0x7a, 0x68, 0x68, 0x5a, 0x5a, 0x4f, 0x4f, 0x49, 0x49, 0x47, 0x47, 
0x49, 0x49, 0x4e, 0x4e, 0x54, 0x54, 0x59, 0x59, 0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x64, 0x64, 0x6b, 0x6b, 0x72, 0x72, 0x79, 0x79, 0x7c, 0x7c, 0x7b, 0x7b, 
0x79, 0x79, 0x77, 0x77, 0x7a, 0x7a, 0x83, 0x83, 0x8f, 0x8f, 0x9c, 0x9c, 0xa5, 0xa5, 0xaa, 0xaa, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0xa3, 0xa3, 0xa3, 0xa3, 
0xa4, 0xa4, 0xa9, 0xa9, 0xb0, 0xb0, 0xb8, 0xb8, 0xbd, 0xbd, 0xbc, 0xbc, 0xb3, 0xb3, 0xa4, 0xa4, 0x94, 0x94, 0x86, 0x86, 0x7c, 0x7c, 0x75, 0x75, 0x6e, 0x6e, 
0x66, 0x66, 0x5a, 0x5a, 0x4d, 0x4d, 0x3f, 0x3f, 0x32, 0x32, 0x28, 0x28, 0x20, 0x20, 0x1d, 0x1d, 0x1d, 0x1d, 0x22, 0x22, 0x29, 0x29, 0x31, 0x31, 0x3a, 0x3a, 
0x42, 0x42, 0x49, 0x49, 0x50, 0x50, 0x56, 0x56, 0x5d, 0x5d, 0x63, 0x63, 0x68, 0x68, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x67, 0x67, 0x72, 0x72, 
0x82, 0x82, 0x97, 0x97, 0xac, 0xac, 0xc2, 0xc2, 0xd6, 0xd6, 0xe6, 0xe6, 0xf3, 0xf3, 0xfa, 0xfa, 0xfc, 0xfc, 0xfa, 0xfa, 0xf3, 0xf3, 0xe6, 0xe6, 0xd5, 0xd5, 
0xbf, 0xbf, 0xa1, 0xa1, 0x7e, 0x7e, 0x59, 0x59, 0x39, 0x39, 0x26, 0x26, 0x22, 0x22, 0x2c, 0x2c, 0x3f, 0x3f, 0x58, 0x58, 0x75, 0x75, 0x92, 0x92, 0xa7, 0xa7, 
0xb1, 0xb1, 0xae, 0xae, 0x9f, 0x9f, 0x8c, 0x8c, 0x78, 0x78, 0x66, 0x66, 0x58, 0x58, 0x4f, 0x4f, 0x4d, 0x4d, 0x50, 0x50, 0x58, 0x58, 0x61, 0x61, 0x68, 0x68, 
0x6d, 0x6d, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x86, 0x86, 0x8c, 0x8c, 0x8e, 0x8e, 0x8a, 0x8a, 0x7f, 0x7f, 
0x6f, 0x6f, 0x5e, 0x5e, 0x51, 0x51, 0x49, 0x49, 0x48, 0x48, 0x4c, 0x4c, 0x57, 0x57, 0x67, 0x67, 0x7b, 0x7b, 0x92, 0x92, 0xa8, 0xa8, 0xbf, 0xbf, 0xd3, 0xd3, 
0xe2, 0xe2, 0xeb, 0xeb, 0xec, 0xec, 0xe6, 0xe6, 0xda, 0xda, 0xc6, 0xc6, 0xad, 0xad, 0x91, 0x91, 0x75, 0x75, 0x5d, 0x5d, 0x4b, 0x4b, 0x3e, 0x3e, 0x33, 0x33, 
0x28, 0x28, 0x1d, 0x1d, 0x13, 0x13, 0x0e, 0x0e, 0x13, 0x13, 0x23, 0x23, 0x3b, 0x3b, 0x56, 0x56, 0x6e, 0x6e, 0x81, 0x81, 0x8d, 0x8d, 0x93, 0x93, 0x8f, 0x8f, 
0x85, 0x85, 0x75, 0x75, 0x67, 0x67, 0x5d, 0x5d, 0x5b, 0x5b, 0x5e, 0x5e, 0x62, 0x62, 0x65, 0x65, 0x65, 0x65, 0x62, 0x62, 0x61, 0x61, 0x66, 0x66, 0x72, 0x72, 
0x83, 0x83, 0x95, 0x95, 0xa4, 0xa4, 0xae, 0xae, 0xb3, 0xb3, 0xb3, 0xb3, 0xae, 0xae, 0xa5, 0xa5, 0x9a, 0x9a, 0x8e, 0x8e, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 
0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6e, 0x6e, 0x6d, 0x6d, 0x72, 0x72, 0x7f, 0x7f, 0x8f, 0x8f, 0x9f, 0x9f, 0xab, 0xab, 0xaf, 0xaf, 0xae, 0xae, 0xa8, 0xa8, 
0x9f, 0x9f, 0x95, 0x95, 0x8b, 0x8b, 0x82, 0x82, 0x7a, 0x7a, 0x72, 0x72, 0x6b, 0x6b, 0x63, 0x63, 0x58, 0x58, 0x4b, 0x4b, 0x3d, 0x3d, 0x34, 0x34, 0x31, 0x31, 
0x38, 0x38, 0x46, 0x46, 0x56, 0x56, 0x64, 0x64, 0x6e, 0x6e, 0x75, 0x75, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7f, 0x7f, 0x85, 0x85, 
0x8b, 0x8b, 0x92, 0x92, 0x97, 0x97, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0xa1, 0xa1, 0xa7, 0xa7, 0xaf, 0xaf, 0xb5, 0xb5, 0xb6, 0xb6, 0xb2, 0xb2, 0xa8, 0xa8, 
0x9c, 0x9c, 0x8f, 0x8f, 0x83, 0x83, 0x78, 0x78, 0x6e, 0x6e, 0x65, 0x65, 0x5c, 0x5c, 0x55, 0x55, 0x4f, 0x4f, 0x4d, 0x4d, 0x4f, 0x4f, 0x55, 0x55, 0x5f, 0x5f, 
0x6f, 0x6f, 0x85, 0x85, 0x9d, 0x9d, 0xb3, 0xb3, 0xc3, 0xc3, 0xcb, 0xcb, 0xcd, 0xcd, 0xcd, 0xcd, 0xce, 0xce, 0xd1, 0xd1, 0xd6, 0xd6, 0xd9, 0xd9, 0xd8, 0xd8, 
0xd1, 0xd1, 0xc6, 0xc6, 0xba, 0xba, 0xb1, 0xb1, 0xaa, 0xaa, 0xa8, 0xa8, 0xaa, 0xaa, 0xae, 0xae, 0xb5, 0xb5, 0xbb, 0xbb, 0xb9, 0xb9, 0xab, 0xab, 0x8e, 0x8e, 
0x68, 0x68, 0x41, 0x41, 0x22, 0x22, 0x0e, 0x0e, 0x04, 0x04, 0x03, 0x03, 0x07, 0x07, 0x0f, 0x0f, 0x1a, 0x1a, 0x28, 0x28, 0x3a, 0x3a, 0x51, 0x51, 0x6a, 0x6a, 
0x81, 0x81, 0x93, 0x93, 0x9d, 0x9d, 0xa2, 0xa2, 0xa0, 0xa0, 0x9a, 0x9a, 0x90, 0x90, 0x87, 0x87, 0x82, 0x82, 0x86, 0x86, 0x95, 0x95, 0xa9, 0xa9, 0xbb, 0xbb, 
0xc2, 0xc2, 0xba, 0xba, 0xa9, 0xa9, 0x95, 0x95, 0x85, 0x85, 0x7e, 0x7e, 0x7f, 0x7f, 0x89, 0x89, 0x9a, 0x9a, 0xb0, 0xb0, 0xc7, 0xc7, 0xd9, 0xd9, 0xe2, 0xe2, 
0xe0, 0xe0, 0xd5, 0xd5, 0xc6, 0xc6, 0xb9, 0xb9, 0xae, 0xae, 0xa8, 0xa8, 0xa4, 0xa4, 0xa3, 0xa3, 0xa4, 0xa4, 0xa6, 0xa6, 0xac, 0xac, 0xb4, 0xb4, 0xc1, 0xc1, 
0xcf, 0xcf, 0xdd, 0xdd, 0xe7, 0xe7, 0xeb, 0xeb, 0xea, 0xea, 0xe1, 0xe1, 0xd0, 0xd0, 0xb7, 0xb7, 0x9a, 0x9a, 0x7c, 0x7c, 0x61, 0x61, 0x4b, 0x4b, 0x3a, 0x3a, 
0x2c, 0x2c, 0x21, 0x21, 0x19, 0x19, 0x12, 0x12, 0x10, 0x10, 0x14, 0x14, 0x1d, 0x1d, 0x2c, 0x2c, 0x3d, 0x3d, 0x4f, 0x4f, 0x5f, 0x5f, 0x6c, 0x6c, 0x76, 0x76, 
0x79, 0x79, 0x76, 0x76, 0x70, 0x70, 0x6b, 0x6b, 0x6a, 0x6a, 0x70, 0x70, 0x7a, 0x7a, 0x84, 0x84, 0x8a, 0x8a, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 
0x80, 0x80, 0x85, 0x85, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x97, 0x97, 0x96, 0x96, 0x8f, 0x8f, 0x83, 0x83, 0x76, 0x76, 0x6b, 0x6b, 0x66, 0x66, 0x6a, 0x6a, 
0x74, 0x74, 0x7e, 0x7e, 0x85, 0x85, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x96, 0x96, 
0x96, 0x96, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x7a, 0x7a, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 
0x5d, 0x5d, 0x60, 0x60, 0x68, 0x68, 0x72, 0x72, 0x7d, 0x7d, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa2, 0xa2, 0xab, 0xab, 0xb4, 0xb4, 0xbd, 0xbd, 0xc7, 0xc7, 
0xd0, 0xd0, 0xd8, 0xd8, 0xdc, 0xdc, 0xd9, 0xd9, 0xcf, 0xcf, 0xc0, 0xc0, 0xaf, 0xaf, 0xa1, 0xa1, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x84, 0x84, 0x79, 0x79, 
0x6b, 0x6b, 0x5b, 0x5b, 0x4a, 0x4a, 0x3a, 0x3a, 0x2c, 0x2c, 0x21, 0x21, 0x1c, 0x1c, 0x1d, 0x1d, 0x23, 0x23, 0x2c, 0x2c, 0x36, 0x36, 0x40, 0x40, 0x4a, 0x4a, 
0x54, 0x54, 0x5e, 0x5e, 0x6a, 0x6a, 0x75, 0x75, 0x7e, 0x7e, 0x81, 0x81, 0x7e, 0x7e, 0x78, 0x78, 0x70, 0x70, 0x6b, 0x6b, 0x6a, 0x6a, 0x6d, 0x6d, 0x73, 0x73, 
0x7d, 0x7d, 0x89, 0x89, 0x97, 0x97, 0xa6, 0xa6, 0xb8, 0xb8, 0xca, 0xca, 0xdd, 0xdd, 0xec, 0xec, 0xf6, 0xf6, 0xfa, 0xfa, 0xf6, 0xf6, 0xe9, 0xe9, 0xce, 0xce, 
0xa8, 0xa8, 0x7b, 0x7b, 0x4f, 0x4f, 0x2c, 0x2c, 0x15, 0x15, 0x09, 0x09, 0x08, 0x08, 0x10, 0x10, 0x1f, 0x1f, 0x31, 0x31, 0x44, 0x44, 0x52, 0x52, 0x5b, 0x5b, 
0x60, 0x60, 0x5e, 0x5e, 0x57, 0x57, 0x4b, 0x4b, 0x3c, 0x3c, 0x2e, 0x2e, 0x24, 0x24, 0x1f, 0x1f, 0x20, 0x20, 0x26, 0x26, 0x31, 0x31, 0x41, 0x41, 0x52, 0x52, 
0x61, 0x61, 0x6b, 0x6b, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x7a, 0x7a, 0x89, 0x89, 0x9e, 0x9e, 0xb6, 0xb6, 0xcc, 0xcc, 0xdf, 0xdf, 0xed, 0xed, 0xf4, 0xf4, 
0xf1, 0xf1, 0xe5, 0xe5, 0xd3, 0xd3, 0xbe, 0xbe, 0xab, 0xab, 0x9b, 0x9b, 0x8f, 0x8f, 0x88, 0x88, 0x86, 0x86, 0x88, 0x88, 0x8e, 0x8e, 0x98, 0x98, 0xa7, 0xa7, 
0xb9, 0xb9, 0xcc, 0xcc, 0xdb, 0xdb, 0xe0, 0xe0, 0xda, 0xda, 0xca, 0xca, 0xb4, 0xb4, 0x98, 0x98, 0x7b, 0x7b, 0x5e, 0x5e, 0x46, 0x46, 0x35, 0x35, 0x2e, 0x2e, 
0x2d, 0x2d, 0x31, 0x31, 0x37, 0x37, 0x3e, 0x3e, 0x45, 0x45, 0x4f, 0x4f, 0x5c, 0x5c, 0x6e, 0x6e, 0x81, 0x81, 0x93, 0x93, 0xa1, 0xa1, 0xa8, 0xa8, 0xa9, 0xa9, 
0xa5, 0xa5, 0x9b, 0x9b, 0x8d, 0x8d, 0x7d, 0x7d, 0x6e, 0x6e, 0x63, 0x63, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x56, 0x56, 0x53, 0x53, 0x53, 0x53, 
0x58, 0x58, 0x63, 0x63, 0x72, 0x72, 0x85, 0x85, 0x96, 0x96, 0xa6, 0xa6, 0xb2, 0xb2, 0xb7, 0xb7, 0xb5, 0xb5, 0xaa, 0xaa, 0x99, 0x99, 0x89, 0x89, 0x7d, 0x7d, 
0x78, 0x78, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x91, 0x91, 0x9b, 0x9b, 0xa4, 0xa4, 0xaa, 0xaa, 0xab, 0xab, 
0xa8, 0xa8, 0x9f, 0x9f, 0x91, 0x91, 0x7e, 0x7e, 0x68, 0x68, 0x55, 0x55, 0x48, 0x48, 0x42, 0x42, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x4f, 0x4f, 0x53, 0x53, 
0x5a, 0x5a, 0x66, 0x66, 0x79, 0x79, 0x8f, 0x8f, 0xa3, 0xa3, 0xb2, 0xb2, 0xba, 0xba, 0xba, 0xba, 0xb6, 0xb6, 0xaf, 0xaf, 0xa8, 0xa8, 0xa1, 0xa1, 0x9c, 0x9c, 
0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x91, 0x91, 0x86, 0x86, 0x77, 0x77, 0x68, 0x68, 0x5d, 0x5d, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4c, 0x4c, 
0x47, 0x47, 0x40, 0x40, 0x3b, 0x3b, 0x3a, 0x3a, 0x3e, 0x3e, 0x46, 0x46, 0x50, 0x50, 0x5c, 0x5c, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x79, 0x79, 0x76, 0x76, 
0x72, 0x72, 0x6e, 0x6e, 0x70, 0x70, 0x77, 0x77, 0x82, 0x82, 0x90, 0x90, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb5, 0xb5, 0xba, 0xba, 0xbf, 0xbf, 0xc3, 0xc3, 
0xc9, 0xc9, 0xd0, 0xd0, 0xd9, 0xd9, 0xe2, 0xe2, 0xe5, 0xe5, 0xdf, 0xdf, 0xcf, 0xcf, 0xb5, 0xb5, 0x96, 0x96, 0x73, 0x73, 0x4f, 0x4f, 0x2d, 0x2d, 0x11, 0x11, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x1a, 0x1a, 0x35, 0x35, 0x54, 0x54, 0x71, 0x71, 0x88, 0x88, 0x97, 0x97, 0x9e, 0x9e, 0x9e, 0x9e, 0x95, 0x95, 
0x86, 0x86, 0x74, 0x74, 0x68, 0x68, 0x67, 0x67, 0x73, 0x73, 0x89, 0x89, 0x9f, 0x9f, 0xb0, 0xb0, 0xb6, 0xb6, 0xb3, 0xb3, 0xa9, 0xa9, 0x9e, 0x9e, 0x92, 0x92, 
0x87, 0x87, 0x80, 0x80, 0x7f, 0x7f, 0x84, 0x84, 0x8b, 0x8b, 0x94, 0x94, 0x9b, 0x9b, 0x9e, 0x9e, 0x9d, 0x9d, 0x99, 0x99, 0x8f, 0x8f, 0x80, 0x80, 0x6e, 0x6e, 
0x5c, 0x5c, 0x4a, 0x4a, 0x3c, 0x3c, 0x31, 0x31, 0x2c, 0x2c, 0x2f, 0x2f, 0x39, 0x39, 0x49, 0x49, 0x58, 0x58, 0x64, 0x64, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 
0x67, 0x67, 0x6a, 0x6a, 0x70, 0x70, 0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x91, 0x91, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x89, 0x89, 
0x89, 0x89, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa6, 0xa6, 0xa0, 0xa0, 
0x9a, 0x9a, 0x95, 0x95, 0x93, 0x93, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 
0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa2, 0xa2, 0xa3, 0xa3, 0x9d, 0x9d, 0x90, 0x90, 0x7f, 0x7f, 0x6e, 0x6e, 0x64, 0x64, 0x63, 0x63, 0x68, 0x68, 0x71, 0x71, 
0x79, 0x79, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa4, 0xa4, 0xa3, 0xa3, 
0x9c, 0x9c, 0x94, 0x94, 0x8d, 0x8d, 0x8c, 0x8c, 0x93, 0x93, 0x9e, 0x9e, 0xa8, 0xa8, 0xab, 0xab, 0xa4, 0xa4, 0x98, 0x98, 0x8a, 0x8a, 0x81, 0x81, 0x7f, 0x7f, 
0x83, 0x83, 0x8c, 0x8c, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xab, 0xab, 0xa4, 0xa4, 0x94, 0x94, 0x7e, 0x7e, 0x66, 0x66, 0x52, 0x52, 0x43, 0x43, 0x39, 0x39, 
0x31, 0x31, 0x28, 0x28, 0x1e, 0x1e, 0x12, 0x12, 0x09, 0x09, 0x06, 0x06, 0x08, 0x08, 0x0f, 0x0f, 0x1a, 0x1a, 0x25, 0x25, 0x31, 0x31, 0x3b, 0x3b, 0x44, 0x44, 
0x4b, 0x4b, 0x50, 0x50, 0x55, 0x55, 0x5c, 0x5c, 0x68, 0x68, 0x79, 0x79, 0x8c, 0x8c, 0x9f, 0x9f, 0xac, 0xac, 0xb2, 0xb2, 0xb3, 0xb3, 0xb3, 0xb3, 0xb5, 0xb5, 
0xbb, 0xbb, 0xc5, 0xc5, 0xd0, 0xd0, 0xdb, 0xdb, 0xe5, 0xe5, 0xec, 0xec, 0xf2, 0xf2, 0xf6, 0xf6, 0xf9, 0xf9, 0xfb, 0xfb, 0xfb, 0xfb, 0xf7, 0xf7, 0xf0, 0xf0, 
0xe3, 0xe3, 0xce, 0xce, 0xae, 0xae, 0x83, 0x83, 0x52, 0x52, 0x25, 0x25, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x13, 0x13, 0x2a, 0x2a, 0x41, 0x41, 
0x56, 0x56, 0x66, 0x66, 0x70, 0x70, 0x76, 0x76, 0x76, 0x76, 0x71, 0x71, 0x68, 0x68, 0x5e, 0x5e, 0x55, 0x55, 0x51, 0x51, 0x53, 0x53, 0x5b, 0x5b, 0x69, 0x69, 
0x7b, 0x7b, 0x92, 0x92, 0xa8, 0xa8, 0xbb, 0xbb, 0xc5, 0xc5, 0xc5, 0xc5, 0xbd, 0xbd, 0xb0, 0xb0, 0xa3, 0xa3, 0x96, 0x96, 0x8b, 0x8b, 0x82, 0x82, 0x7b, 0x7b, 
0x76, 0x76, 0x71, 0x71, 0x6c, 0x6c, 0x64, 0x64, 0x5b, 0x5b, 0x51, 0x51, 0x47, 0x47, 0x41, 0x41, 0x3f, 0x3f, 0x42, 0x42, 0x4b, 0x4b, 0x5c, 0x5c, 0x76, 0x76, 
0x93, 0x93, 0xaf, 0xaf, 0xc5, 0xc5, 0xd2, 0xd2, 0xd5, 0xd5, 0xd0, 0xd0, 0xc3, 0xc3, 0xaf, 0xaf, 0x96, 0x96, 0x7d, 0x7d, 0x65, 0x65, 0x50, 0x50, 0x3f, 0x3f, 
0x34, 0x34, 0x2e, 0x2e, 0x2e, 0x2e, 0x33, 0x33, 0x3d, 0x3d, 0x4b, 0x4b, 0x5c, 0x5c, 0x6e, 0x6e, 0x7e, 0x7e, 0x8a, 0x8a, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 
0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x75, 0x75, 0x7a, 0x7a, 0x86, 0x86, 0x96, 0x96, 0xa8, 0xa8, 0xbb, 0xbb, 
0xcc, 0xcc, 0xdc, 0xdc, 0xe9, 0xe9, 0xf2, 0xf2, 0xf7, 0xf7, 0xf8, 0xf8, 0xf6, 0xf6, 0xf1, 0xf1, 0xea, 0xea, 0xe0, 0xe0, 0xd5, 0xd5, 0xc6, 0xc6, 0xb5, 0xb5, 
0xa1, 0xa1, 0x8d, 0x8d, 0x78, 0x78, 0x63, 0x63, 0x51, 0x51, 0x43, 0x43, 0x3c, 0x3c, 0x3b, 0x3b, 0x40, 0x40, 0x49, 0x49, 0x53, 0x53, 0x5d, 0x5d, 0x66, 0x66, 
0x6b, 0x6b, 0x6b, 0x6b, 0x63, 0x63, 0x57, 0x57, 0x49, 0x49, 0x3b, 0x3b, 0x2d, 0x2d, 0x22, 0x22, 0x1a, 0x1a, 0x15, 0x15, 0x15, 0x15, 0x18, 0x18, 0x1f, 0x1f, 
0x2c, 0x2c, 0x3e, 0x3e, 0x53, 0x53, 0x69, 0x69, 0x7e, 0x7e, 0x8f, 0x8f, 0x9f, 0x9f, 0xac, 0xac, 0xb8, 0xb8, 0xc2, 0xc2, 0xca, 0xca, 0xcf, 0xcf, 0xce, 0xce, 
0xc8, 0xc8, 0xbc, 0xbc, 0xad, 0xad, 0x9a, 0x9a, 0x85, 0x85, 0x70, 0x70, 0x5e, 0x5e, 0x53, 0x53, 0x4f, 0x4f, 0x51, 0x51, 0x59, 0x59, 0x65, 0x65, 0x74, 0x74, 
0x83, 0x83, 0x90, 0x90, 0x99, 0x99, 0x9b, 0x9b, 0x98, 0x98, 0x8f, 0x8f, 0x81, 0x81, 0x6f, 0x6f, 0x5b, 0x5b, 0x47, 0x47, 0x37, 0x37, 0x2b, 0x2b, 0x24, 0x24, 
0x22, 0x22, 0x25, 0x25, 0x2e, 0x2e, 0x3c, 0x3c, 0x4d, 0x4d, 0x60, 0x60, 0x76, 0x76, 0x8d, 0x8d, 0xa1, 0xa1, 0xb2, 0xb2, 0xbf, 0xbf, 0xc7, 0xc7, 0xce, 0xce, 
0xd5, 0xd5, 0xdc, 0xdc, 0xe2, 0xe2, 0xe5, 0xe5, 0xe1, 0xe1, 0xd5, 0xd5, 0xc3, 0xc3, 0xa9, 0xa9, 0x88, 0x88, 0x61, 0x61, 0x39, 0x39, 0x16, 0x16, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x16, 0x16, 0x2e, 0x2e, 0x49, 0x49, 0x67, 0x67, 0x86, 0x86, 0xa6, 0xa6, 0xc5, 0xc5, 0xdc, 0xdc, 0xe8, 0xe8, 0xe7, 0xe7, 
0xdb, 0xdb, 0xc8, 0xc8, 0xb1, 0xb1, 0x99, 0x99, 0x84, 0x84, 0x77, 0x77, 0x77, 0x77, 0x85, 0x85, 0x9d, 0x9d, 0xb9, 0xb9, 0xd2, 0xd2, 0xe5, 0xe5, 0xf1, 0xf1, 
0xf3, 0xf3, 0xea, 0xea, 0xd8, 0xd8, 0xbd, 0xbd, 0x9f, 0x9f, 0x81, 0x81, 0x64, 0x64, 0x4a, 0x4a, 0x34, 0x34, 0x25, 0x25, 0x1b, 0x1b, 0x17, 0x17, 0x17, 0x17, 
0x1d, 0x1d, 0x26, 0x26, 0x32, 0x32, 0x40, 0x40, 0x4d, 0x4d, 0x5a, 0x5a, 0x66, 0x66, 0x73, 0x73, 0x80, 0x80, 0x8e, 0x8e, 0x9b, 0x9b, 0xa4, 0xa4, 0xa5, 0xa5, 
0x9c, 0x9c, 0x8d, 0x8d, 0x78, 0x78, 0x63, 0x63, 0x4e, 0x4e, 0x3b, 0x3b, 0x2e, 0x2e, 0x27, 0x27, 0x29, 0x29, 0x30, 0x30, 0x3c, 0x3c, 0x4b, 0x4b, 0x5b, 0x5b, 
0x6c, 0x6c, 0x7d, 0x7d, 0x8d, 0x8d, 0x9b, 0x9b, 0xa9, 0xa9, 0xb3, 0xb3, 0xbc, 0xbc, 0xc1, 0xc1, 0xc3, 0xc3, 0xc2, 0xc2, 0xbd, 0xbd, 0xb6, 0xb6, 0xad, 0xad, 
0xa2, 0xa2, 0x97, 0x97, 0x8c, 0x8c, 0x83, 0x83, 0x7d, 0x7d, 0x7c, 0x7c, 0x81, 0x81, 0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa1, 0xa1, 0xa2, 0xa2, 0xa0, 0xa0, 
0x9b, 0x9b, 0x92, 0x92, 0x88, 0x88, 0x7c, 0x7c, 0x6e, 0x6e, 0x5e, 0x5e, 0x4f, 0x4f, 0x41, 0x41, 0x37, 0x37, 0x30, 0x30, 0x2e, 0x2e, 0x2e, 0x2e, 0x33, 0x33, 
0x39, 0x39, 0x42, 0x42, 0x4b, 0x4b, 0x54, 0x54, 0x5d, 0x5d, 0x65, 0x65, 0x6d, 0x6d, 0x74, 0x74, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8a, 0x8a, 0x89, 0x89, 
0x85, 0x85, 0x7f, 0x7f, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x74, 0x74, 0x77, 0x77, 0x7c, 0x7c, 0x83, 0x83, 0x8d, 0x8d, 0x9a, 0x9a, 0xa9, 0xa9, 0xb8, 0xb8, 
0xc7, 0xc7, 0xd1, 0xd1, 0xd6, 0xd6, 0xd6, 0xd6, 0xd0, 0xd0, 0xc3, 0xc3, 0xb0, 0xb0, 0x99, 0x99, 0x83, 0x83, 0x6f, 0x6f, 0x61, 0x61, 0x59, 0x59, 0x56, 0x56, 
0x59, 0x59, 0x61, 0x61, 0x6b, 0x6b, 0x75, 0x75, 0x7a, 0x7a, 0x7a, 0x7a, 0x74, 0x74, 0x6a, 0x6a, 0x5d, 0x5d, 0x4f, 0x4f, 0x40, 0x40, 0x32, 0x32, 0x28, 0x28, 
0x21, 0x21, 0x1e, 0x1e, 0x20, 0x20, 0x27, 0x27, 0x32, 0x32, 0x40, 0x40, 0x50, 0x50, 0x5f, 0x5f, 0x6d, 0x6d, 0x7a, 0x7a, 0x87, 0x87, 0x95, 0x95, 0xa4, 0xa4, 
0xb4, 0xb4, 0xc5, 0xc5, 0xd4, 0xd4, 0xe2, 0xe2, 0xef, 0xef, 0xf8, 0xf8, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf7, 0xf7, 
0xec, 0xec, 0xd6, 0xd6, 0xb5, 0xb5, 0x8b, 0x8b, 0x61, 0x61, 0x3d, 0x3d, 0x22, 0x22, 0x11, 0x11, 0x08, 0x08, 0x07, 0x07, 0x0d, 0x0d, 0x18, 0x18, 0x2a, 0x2a, 
0x44, 0x44, 0x64, 0x64, 0x87, 0x87, 0xa6, 0xa6, 0xbb, 0xbb, 0xc3, 0xc3, 0xbf, 0xbf, 0xb2, 0xb2, 0x9f, 0x9f, 0x87, 0x87, 0x70, 0x70, 0x5e, 0x5e, 0x57, 0x57, 
0x5c, 0x5c, 0x6a, 0x6a, 0x7c, 0x7c, 0x8d, 0x8d, 0x9a, 0x9a, 0xa3, 0xa3, 0xa8, 0xa8, 0xa9, 0xa9, 0xa6, 0xa6, 0xa0, 0xa0, 0x97, 0x97, 0x8a, 0x8a, 0x7b, 0x7b, 
0x6a, 0x6a, 0x5b, 0x5b, 0x53, 0x53, 0x52, 0x52, 0x56, 0x56, 0x5c, 0x5c, 0x60, 0x60, 0x60, 0x60, 0x5d, 0x5d, 0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4d, 0x4d, 
0x52, 0x52, 0x61, 0x61, 0x79, 0x79, 0x98, 0x98, 0xb6, 0xb6, 0xcc, 0xcc, 0xd8, 0xd8, 0xd9, 0xd9, 0xd2, 0xd2, 0xc4, 0xc4, 0xb0, 0xb0, 0x99, 0x99, 0x82, 0x82, 
0x6e, 0x6e, 0x5c, 0x5c, 0x4f, 0x4f, 0x47, 0x47, 0x45, 0x45, 0x49, 0x49, 0x52, 0x52, 0x60, 0x60, 0x74, 0x74, 0x8c, 0x8c, 0xa7, 0xa7, 0xbe, 0xbe, 0xcd, 0xcd, 
0xd4, 0xd4, 0xd3, 0xd3, 0xcd, 0xcd, 0xc6, 0xc6, 0xc0, 0xc0, 0xba, 0xba, 0xb5, 0xb5, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa6, 0xa6, 0xa1, 0xa1, 0x9b, 0x9b, 
0x94, 0x94, 0x8d, 0x8d, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x83, 0x83, 0x78, 0x78, 0x66, 0x66, 0x4f, 0x4f, 0x37, 0x37, 0x24, 0x24, 0x17, 0x17, 0x10, 0x10, 
0x0d, 0x0d, 0x0d, 0x0d, 0x0f, 0x0f, 0x11, 0x11, 0x13, 0x13, 0x14, 0x14, 0x16, 0x16, 0x19, 0x19, 0x1e, 0x1e, 0x29, 0x29, 0x39, 0x39, 0x4e, 0x4e, 0x63, 0x63, 
0x76, 0x76, 0x86, 0x86, 0x93, 0x93, 0x9c, 0x9c, 0xa1, 0xa1, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x86, 0x86, 0x7e, 0x7e, 0x7b, 0x7b, 
0x7c, 0x7c, 0x81, 0x81, 0x8a, 0x8a, 0x97, 0x97, 0xa6, 0xa6, 0xb7, 0xb7, 0xc6, 0xc6, 0xd2, 0xd2, 0xd9, 0xd9, 0xdd, 0xdd, 0xdc, 0xdc, 0xd9, 0xd9, 0xd4, 0xd4, 
0xcd, 0xcd, 0xc6, 0xc6, 0xc1, 0xc1, 0xbe, 0xbe, 0xbc, 0xbc, 0xbb, 0xbb, 0xb8, 0xb8, 0xb3, 0xb3, 0xab, 0xab, 0xa2, 0xa2, 0x96, 0x96, 0x88, 0x88, 0x79, 0x79, 
0x69, 0x69, 0x59, 0x59, 0x49, 0x49, 0x3a, 0x3a, 0x2c, 0x2c, 0x21, 0x21, 0x17, 0x17, 0x10, 0x10, 0x0d, 0x0d, 0x0e, 0x0e, 0x13, 0x13, 0x1b, 0x1b, 0x26, 0x26, 
0x32, 0x32, 0x40, 0x40, 0x4d, 0x4d, 0x5b, 0x5b, 0x68, 0x68, 0x74, 0x74, 0x80, 0x80, 0x8b, 0x8b, 0x94, 0x94, 0x9d, 0x9d, 0xa4, 0xa4, 0xa9, 0xa9, 0xab, 0xab, 
0xab, 0xab, 0xa9, 0xa9, 0xaa, 0xaa, 0xb1, 0xb1, 0xbf, 0xbf, 0xd2, 0xd2, 0xe3, 0xe3, 0xef, 0xef, 0xf2, 0xf2, 0xec, 0xec, 0xdc, 0xdc, 0xc1, 0xc1, 0x9d, 0x9d, 
0x73, 0x73, 0x4b, 0x4b, 0x2a, 0x2a, 0x15, 0x15, 0x09, 0x09, 0x06, 0x06, 0x09, 0x09, 0x12, 0x12, 0x20, 0x20, 0x35, 0x35, 0x52, 0x52, 0x78, 0x78, 0xa1, 0xa1, 
0xc8, 0xc8, 0xe4, 0xe4, 0xf4, 0xf4, 0xf8, 0xf8, 0xf4, 0xf4, 0xed, 0xed, 0xe3, 0xe3, 0xd9, 0xd9, 0xd1, 0xd1, 0xcc, 0xcc, 0xc9, 0xc9, 0xc7, 0xc7, 0xc4, 0xc4, 
0xbc, 0xbc, 0xaf, 0xaf, 0xa0, 0xa0, 0x92, 0x92, 0x88, 0x88, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x85, 0x85, 0x7d, 0x7d, 0x71, 0x71, 0x65, 0x65, 0x5d, 0x5d, 
0x5c, 0x5c, 0x60, 0x60, 0x67, 0x67, 0x71, 0x71, 0x7a, 0x7a, 0x83, 0x83, 0x88, 0x88, 0x8a, 0x8a, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x7f, 0x7f, 0x86, 0x86, 
0x91, 0x91, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb3, 0xb3, 0xb3, 0xb3, 0xae, 0xae, 0xa6, 0xa6, 0x9c, 0x9c, 0x8f, 0x8f, 0x82, 0x82, 0x73, 0x73, 0x66, 0x66, 
0x5a, 0x5a, 0x53, 0x53, 0x4f, 0x4f, 0x51, 0x51, 0x57, 0x57, 0x65, 0x65, 0x78, 0x78, 0x8e, 0x8e, 0xa2, 0xa2, 0xb0, 0xb0, 0xb7, 0xb7, 0xb6, 0xb6, 0xb1, 0xb1, 
0xab, 0xab, 0xa5, 0xa5, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8b, 0x8b, 0x83, 0x83, 0x79, 0x79, 0x6d, 0x6d, 0x60, 0x60, 0x52, 0x52, 0x46, 0x46, 0x3f, 0x3f, 
0x3d, 0x3d, 0x3f, 0x3f, 0x40, 0x40, 0x3f, 0x3f, 0x3a, 0x3a, 0x31, 0x31, 0x29, 0x29, 0x25, 0x25, 0x26, 0x26, 0x2b, 0x2b, 0x34, 0x34, 0x3f, 0x3f, 0x4c, 0x4c, 
0x58, 0x58, 0x65, 0x65, 0x71, 0x71, 0x7d, 0x7d, 0x89, 0x89, 0x92, 0x92, 0x9a, 0x9a, 0x9f, 0x9f, 0xa2, 0xa2, 0xa2, 0xa2, 0x9f, 0x9f, 0x9b, 0x9b, 0x95, 0x95, 
0x8e, 0x8e, 0x88, 0x88, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 
0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xa9, 0xa9, 0xa8, 0xa8, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 
0x9d, 0x9d, 0x9b, 0x9b, 0x97, 0x97, 0x8f, 0x8f, 0x82, 0x82, 0x70, 0x70, 0x5c, 0x5c, 0x46, 0x46, 0x31, 0x31, 0x1e, 0x1e, 0x0d, 0x0d, 0x03, 0x03, 0x00, 0x00, 
0x00, 0x00, 0x03, 0x03, 0x0b, 0x0b, 0x17, 0x17, 0x24, 0x24, 0x32, 0x32, 0x40, 0x40, 0x4c, 0x4c, 0x58, 0x58, 0x63, 0x63, 0x6e, 0x6e, 0x7a, 0x7a, 0x85, 0x85, 
0x91, 0x91, 0x9c, 0x9c, 0xa6, 0xa6, 0xaf, 0xaf, 0xb7, 0xb7, 0xc0, 0xc0, 0xc8, 0xc8, 0xd0, 0xd0, 0xd9, 0xd9, 0xe1, 0xe1, 0xea, 0xea, 0xf3, 0xf3, 0xfa, 0xfa, 
0xfe, 0xfe, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf1, 0xf1, 0xe6, 0xe6, 0xd9, 0xd9, 0xc8, 0xc8, 0xb2, 0xb2, 0x97, 0x97, 0x79, 0x79, 0x5a, 0x5a, 0x3f, 0x3f, 
0x28, 0x28, 0x15, 0x15, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x1a, 0x1a, 0x34, 0x34, 0x53, 0x53, 0x75, 0x75, 0x97, 0x97, 0xb5, 0xb5, 
0xce, 0xce, 0xde, 0xde, 0xdf, 0xdf, 0xd1, 0xd1, 0xb9, 0xb9, 0x9f, 0x9f, 0x88, 0x88, 0x7a, 0x7a, 0x75, 0x75, 0x78, 0x78, 0x85, 0x85, 0x9a, 0x9a, 0xb3, 0xb3, 
0xca, 0xca, 0xd8, 0xd8, 0xdc, 0xdc, 0xd7, 0xd7, 0xcc, 0xcc, 0xbe, 0xbe, 0xae, 0xae, 0x9e, 0x9e, 0x92, 0x92, 0x89, 0x89, 0x86, 0x86, 0x86, 0x86, 0x88, 0x88, 
0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x95, 0x95, 0x92, 0x92, 0x8c, 0x8c, 0x84, 0x84, 0x7b, 0x7b, 0x76, 0x76, 0x74, 0x74, 0x76, 0x76, 0x7d, 0x7d, 0x88, 0x88, 
0x97, 0x97, 0xa6, 0xa6, 0xae, 0xae, 0xaa, 0xaa, 0x96, 0x96, 0x78, 0x78, 0x56, 0x56, 0x38, 0x38, 0x20, 0x20, 0x10, 0x10, 0x07, 0x07, 0x06, 0x06, 0x0a, 0x0a, 
0x13, 0x13, 0x1e, 0x1e, 0x29, 0x29, 0x34, 0x34, 0x3f, 0x3f, 0x4c, 0x4c, 0x5b, 0x5b, 0x6d, 0x6d, 0x80, 0x80, 0x91, 0x91, 0x9d, 0x9d, 0xa2, 0xa2, 0xa2, 0xa2, 
0x9e, 0x9e, 0x99, 0x99, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 0x8b, 0x8b, 0x8d, 0x8d, 0x91, 0x91, 0x98, 0x98, 0xa3, 0xa3, 0xb0, 0xb0, 0xbf, 0xbf, 0xcf, 0xcf, 
0xdd, 0xdd, 0xe9, 0xe9, 0xf3, 0xf3, 0xf7, 0xf7, 0xf6, 0xf6, 0xee, 0xee, 0xe1, 0xe1, 0xd2, 0xd2, 0xc0, 0xc0, 0xae, 0xae, 0x9d, 0x9d, 0x8f, 0x8f, 0x86, 0x86, 
0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x64, 0x64, 0x5d, 0x5d, 0x50, 0x50, 
0x3e, 0x3e, 0x2b, 0x2b, 0x1b, 0x1b, 0x10, 0x10, 0x09, 0x09, 0x07, 0x07, 0x09, 0x09, 0x0e, 0x0e, 0x16, 0x16, 0x1f, 0x1f, 0x2b, 0x2b, 0x38, 0x38, 0x48, 0x48, 
0x5a, 0x5a, 0x70, 0x70, 0x88, 0x88, 0xa1, 0xa1, 0xb4, 0xb4, 0xbc, 0xbc, 0xb7, 0xb7, 0xa9, 0xa9, 0x94, 0x94, 0x7e, 0x7e, 0x68, 0x68, 0x54, 0x54, 0x42, 0x42, 
0x33, 0x33, 0x25, 0x25, 0x1a, 0x1a, 0x14, 0x14, 0x16, 0x16, 0x20, 0x20, 0x30, 0x30, 0x43, 0x43, 0x57, 0x57, 0x69, 0x69, 0x79, 0x79, 0x84, 0x84, 0x87, 0x87, 
0x82, 0x82, 0x79, 0x79, 0x6f, 0x6f, 0x69, 0x69, 0x69, 0x69, 0x6e, 0x6e, 0x76, 0x76, 0x80, 0x80, 0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa4, 0xa4, 0xab, 0xab, 
0xb2, 0xb2, 0xb9, 0xb9, 0xc2, 0xc2, 0xcb, 0xcb, 0xd4, 0xd4, 0xdc, 0xdc, 0xe0, 0xe0, 0xdf, 0xdf, 0xdc, 0xdc, 0xd8, 0xd8, 0xd7, 0xd7, 0xd8, 0xd8, 0xdd, 0xdd, 
0xe3, 0xe3, 0xea, 0xea, 0xf1, 0xf1, 0xf7, 0xf7, 0xfc, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf8, 0xf8, 0xf2, 0xf2, 0xe7, 0xe7, 0xd5, 0xd5, 
0xba, 0xba, 0x95, 0x95, 0x6a, 0x6a, 0x40, 0x40, 0x20, 0x20, 0x0c, 0x0c, 0x03, 0x03, 0x02, 0x02, 0x06, 0x06, 0x0d, 0x0d, 0x15, 0x15, 0x20, 0x20, 0x2d, 0x2d, 
0x3d, 0x3d, 0x4d, 0x4d, 0x5b, 0x5b, 0x64, 0x64, 0x65, 0x65, 0x60, 0x60, 0x56, 0x56, 0x49, 0x49, 0x3a, 0x3a, 0x2e, 0x2e, 0x29, 0x29, 0x30, 0x30, 0x46, 0x46, 
0x65, 0x65, 0x87, 0x87, 0xa5, 0xa5, 0xbb, 0xbb, 0xc8, 0xc8, 0xcf, 0xcf, 0xcf, 0xcf, 0xca, 0xca, 0xc1, 0xc1, 0xb7, 0xb7, 0xae, 0xae, 0xa6, 0xa6, 0xa0, 0xa0, 
0x9b, 0x9b, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x83, 0x83, 0x74, 0x74, 0x63, 0x63, 0x56, 0x56, 
0x50, 0x50, 0x54, 0x54, 0x5f, 0x5f, 0x6e, 0x6e, 0x7f, 0x7f, 0x8f, 0x8f, 0x9c, 0x9c, 0xa2, 0xa2, 0x9d, 0x9d, 0x8d, 0x8d, 0x75, 0x75, 0x5b, 0x5b, 0x45, 0x45, 
0x35, 0x35, 0x2c, 0x2c, 0x29, 0x29, 0x2b, 0x2b, 0x33, 0x33, 0x3f, 0x3f, 0x50, 0x50, 0x67, 0x67, 0x84, 0x84, 0xa3, 0xa3, 0xc0, 0xc0, 0xd7, 0xd7, 0xe6, 0xe6, 
0xed, 0xed, 0xed, 0xed, 0xe6, 0xe6, 0xda, 0xda, 0xcb, 0xcb, 0xbe, 0xbe, 0xb7, 0xb7, 0xb7, 0xb7, 0xbd, 0xbd, 0xc3, 0xc3, 0xc5, 0xc5, 0xc3, 0xc3, 0xbd, 0xbd, 
0xb5, 0xb5, 0xb0, 0xb0, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa4, 0xa4, 0x9d, 0x9d, 0x96, 0x96, 0x92, 0x92, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 
0x94, 0x94, 0x92, 0x92, 0x8d, 0x8d, 0x85, 0x85, 0x79, 0x79, 0x6b, 0x6b, 0x5b, 0x5b, 0x4e, 0x4e, 0x46, 0x46, 0x46, 0x46, 0x49, 0x49, 0x4e, 0x4e, 0x4f, 0x4f, 
0x4b, 0x4b, 0x44, 0x44, 0x3a, 0x3a, 0x2f, 0x2f, 0x25, 0x25, 0x1d, 0x1d, 0x19, 0x19, 0x19, 0x19, 0x1e, 0x1e, 0x26, 0x26, 0x32, 0x32, 0x41, 0x41, 0x51, 0x51, 
0x62, 0x62, 0x71, 0x71, 0x7c, 0x7c, 0x83, 0x83, 0x85, 0x85, 0x82, 0x82, 0x7c, 0x7c, 0x72, 0x72, 0x66, 0x66, 0x5d, 0x5d, 0x59, 0x59, 0x5c, 0x5c, 0x64, 0x64, 
0x6f, 0x6f, 0x7b, 0x7b, 0x87, 0x87, 0x91, 0x91, 0x99, 0x99, 0x9e, 0x9e, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 
0xa3, 0xa3, 0x9c, 0x9c, 0x91, 0x91, 0x88, 0x88, 0x81, 0x81, 0x80, 0x80, 0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa0, 0xa0, 
0xa0, 0xa0, 0x9f, 0x9f, 0x9b, 0x9b, 0x94, 0x94, 0x8b, 0x8b, 0x81, 0x81, 0x77, 0x77, 0x71, 0x71, 0x70, 0x70, 0x73, 0x73, 0x7a, 0x7a, 0x83, 0x83, 0x8e, 0x8e, 
0x99, 0x99, 0x9e, 0x9e, 0x9b, 0x9b, 0x8d, 0x8d, 0x7a, 0x7a, 0x68, 0x68, 0x5e, 0x5e, 0x60, 0x60, 0x6b, 0x6b, 0x7e, 0x7e, 0x95, 0x95, 0xae, 0xae, 0xc5, 0xc5, 
0xd9, 0xd9, 0xe5, 0xe5, 0xea, 0xea, 0xe8, 0xe8, 0xde, 0xde, 0xcc, 0xcc, 0xb1, 0xb1, 0x92, 0x92, 0x71, 0x71, 0x51, 0x51, 0x35, 0x35, 0x1e, 0x1e, 0x0f, 0x0f, 
0x0a, 0x0a, 0x10, 0x10, 0x1e, 0x1e, 0x32, 0x32, 0x48, 0x48, 0x5f, 0x5f, 0x76, 0x76, 0x8d, 0x8d, 0xa4, 0xa4, 0xba, 0xba, 0xcf, 0xcf, 0xe1, 0xe1, 0xee, 0xee, 
0xf5, 0xf5, 0xf6, 0xf6, 0xf0, 0xf0, 0xe4, 0xe4, 0xd1, 0xd1, 0xbb, 0xbb, 0xa5, 0xa5, 0x93, 0x93, 0x87, 0x87, 0x80, 0x80, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x7c, 0x7c, 0x70, 0x70, 0x5f, 0x5f, 0x49, 0x49, 0x31, 0x31, 
0x1e, 0x1e, 0x16, 0x16, 0x1a, 0x1a, 0x28, 0x28, 0x3d, 0x3d, 0x55, 0x55, 0x6e, 0x6e, 0x85, 0x85, 0x99, 0x99, 0xa8, 0xa8, 0xb1, 0xb1, 0xb5, 0xb5, 0xb0, 0xb0, 
0xa2, 0xa2, 0x8a, 0x8a, 0x6c, 0x6c, 0x4d, 0x4d, 0x31, 0x31, 0x1d, 0x1d, 0x0f, 0x0f, 0x08, 0x08, 0x0a, 0x0a, 0x12, 0x12, 0x1f, 0x1f, 0x30, 0x30, 0x41, 0x41, 
0x53, 0x53, 0x64, 0x64, 0x76, 0x76, 0x88, 0x88, 0x9b, 0x9b, 0xae, 0xae, 0xbf, 0xbf, 0xcc, 0xcc, 0xd4, 0xd4, 0xd9, 0xd9, 0xdc, 0xdc, 0xdf, 0xdf, 0xe1, 0xe1, 
0xe4, 0xe4, 0xe7, 0xe7, 0xea, 0xea, 0xec, 0xec, 0xee, 0xee, 0xee, 0xee, 0xec, 0xec, 0xe9, 0xe9, 0xe4, 0xe4, 0xdd, 0xdd, 0xd2, 0xd2, 0xc5, 0xc5, 0xb6, 0xb6, 
0xa5, 0xa5, 0x94, 0x94, 0x83, 0x83, 0x74, 0x74, 0x66, 0x66, 0x5b, 0x5b, 0x54, 0x54, 0x4f, 0x4f, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 
0x69, 0x69, 0x74, 0x74, 0x80, 0x80, 0x8a, 0x8a, 0x92, 0x92, 0x97, 0x97, 0x99, 0x99, 0x96, 0x96, 0x90, 0x90, 0x86, 0x86, 0x7a, 0x7a, 0x6c, 0x6c, 0x5d, 0x5d, 
0x4f, 0x4f, 0x42, 0x42, 0x38, 0x38, 0x33, 0x33, 0x33, 0x33, 0x38, 0x38, 0x41, 0x41, 0x4d, 0x4d, 0x5c, 0x5c, 0x6b, 0x6b, 0x7a, 0x7a, 0x86, 0x86, 0x8d, 0x8d, 
0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x87, 0x87, 0x7f, 0x7f, 0x77, 0x77, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x67, 0x67, 0x62, 0x62, 0x5c, 0x5c, 
0x57, 0x57, 0x54, 0x54, 0x53, 0x53, 0x55, 0x55, 0x57, 0x57, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x4e, 0x4e, 0x4d, 0x4d, 0x4e, 0x4e, 0x51, 0x51, 0x56, 0x56, 
0x5a, 0x5a, 0x5e, 0x5e, 0x60, 0x60, 0x61, 0x61, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5c, 0x5c, 0x63, 0x63, 0x73, 0x73, 0x87, 0x87, 0x9b, 0x9b, 0xab, 0xab, 
0xb5, 0xb5, 0xb9, 0xb9, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xb8, 0xb8, 0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa8, 0xa8, 0xa8, 0xa8, 
0xaa, 0xaa, 0xaf, 0xaf, 0xb7, 0xb7, 0xc2, 0xc2, 0xce, 0xce, 0xd8, 0xd8, 0xe0, 0xe0, 0xe3, 0xe3, 0xe3, 0xe3, 0xe2, 0xe2, 0xe3, 0xe3, 0xe5, 0xe5, 0xe9, 0xe9, 
0xea, 0xea, 0xe6, 0xe6, 0xdc, 0xdc, 0xcc, 0xcc, 0xb6, 0xb6, 0x99, 0x99, 0x77, 0x77, 0x53, 0x53, 0x32, 0x32, 0x18, 0x18, 0x09, 0x09, 0x02, 0x02, 0x02, 0x02, 
0x05, 0x05, 0x0a, 0x0a, 0x11, 0x11, 0x1d, 0x1d, 0x2e, 0x2e, 0x44, 0x44, 0x5e, 0x5e, 0x76, 0x76, 0x87, 0x87, 0x90, 0x90, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 
0x85, 0x85, 0x85, 0x85, 0x8b, 0x8b, 0x9a, 0x9a, 0xb2, 0xb2, 0xcf, 0xcf, 0xe9, 0xe9, 0xf8, 0xf8, 0xfb, 0xfb, 0xf2, 0xf2, 0xe2, 0xe2, 0xd0, 0xd0, 0xbd, 0xbd, 
0xac, 0xac, 0x9d, 0x9d, 0x90, 0x90, 0x84, 0x84, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x5c, 0x5c, 0x53, 0x53, 0x44, 0x44, 0x34, 0x34, 
0x23, 0x23, 0x15, 0x15, 0x0b, 0x0b, 0x08, 0x08, 0x0f, 0x0f, 0x23, 0x23, 0x44, 0x44, 0x6d, 0x6d, 0x94, 0x94, 0xb1, 0xb1, 0xc0, 0xc0, 0xc0, 0xc0, 0xb6, 0xb6, 
0xa2, 0xa2, 0x87, 0x87, 0x6a, 0x6a, 0x50, 0x50, 0x3e, 0x3e, 0x36, 0x36, 0x38, 0x38, 0x40, 0x40, 0x50, 0x50, 0x65, 0x65, 0x7c, 0x7c, 0x95, 0x95, 0xab, 0xab, 
0xc0, 0xc0, 0xd1, 0xd1, 0xde, 0xde, 0xe7, 0xe7, 0xeb, 0xeb, 0xec, 0xec, 0xeb, 0xeb, 0xe8, 0xe8, 0xe5, 0xe5, 0xe1, 0xe1, 0xdc, 0xdc, 0xd7, 0xd7, 0xd0, 0xd0, 
0xc7, 0xc7, 0xbf, 0xbf, 0xb7, 0xb7, 0xaf, 0xaf, 0xa8, 0xa8, 0xa5, 0xa5, 0xa6, 0xa6, 0xac, 0xac, 0xb4, 0xb4, 0xb9, 0xb9, 0xb6, 0xb6, 0xa8, 0xa8, 0x91, 0x91, 
0x76, 0x76, 0x58, 0x58, 0x3c, 0x3c, 0x21, 0x21, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0d, 0x0d, 0x1b, 0x1b, 0x2a, 0x2a, 0x3b, 0x3b, 
0x4b, 0x4b, 0x5b, 0x5b, 0x69, 0x69, 0x73, 0x73, 0x78, 0x78, 0x77, 0x77, 0x72, 0x72, 0x6c, 0x6c, 0x69, 0x69, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x65, 0x65, 0x6b, 0x6b, 0x76, 0x76, 0x85, 0x85, 0x95, 0x95, 0xa6, 0xa6, 0xb5, 0xb5, 0xc2, 0xc2, 0xc9, 0xc9, 0xca, 0xca, 
0xc6, 0xc6, 0xbd, 0xbd, 0xb2, 0xb2, 0xa5, 0xa5, 0x96, 0x96, 0x86, 0x86, 0x75, 0x75, 0x65, 0x65, 0x55, 0x55, 0x49, 0x49, 0x43, 0x43, 0x44, 0x44, 0x4a, 0x4a, 
0x53, 0x53, 0x5f, 0x5f, 0x6c, 0x6c, 0x78, 0x78, 0x82, 0x82, 0x89, 0x89, 0x8d, 0x8d, 0x8d, 0x8d, 0x8b, 0x8b, 0x86, 0x86, 0x7f, 0x7f, 0x77, 0x77, 0x6e, 0x6e, 
0x64, 0x64, 0x59, 0x59, 0x50, 0x50, 0x48, 0x48, 0x45, 0x45, 0x47, 0x47, 0x4d, 0x4d, 0x57, 0x57, 0x65, 0x65, 0x76, 0x76, 0x89, 0x89, 0x9c, 0x9c, 0xad, 0xad, 
0xbc, 0xbc, 0xc9, 0xc9, 0xd3, 0xd3, 0xdc, 0xdc, 0xe4, 0xe4, 0xe8, 0xe8, 0xe7, 0xe7, 0xdd, 0xdd, 0xca, 0xca, 0xb1, 0xb1, 0x97, 0x97, 0x82, 0x82, 0x73, 0x73, 
0x6b, 0x6b, 0x6b, 0x6b, 0x71, 0x71, 0x7c, 0x7c, 0x8b, 0x8b, 0x9a, 0x9a, 0xa8, 0xa8, 0xb3, 0xb3, 0xbc, 0xbc, 0xc2, 0xc2, 0xc4, 0xc4, 0xc3, 0xc3, 0xbf, 0xbf, 
0xb7, 0xb7, 0xa7, 0xa7, 0x92, 0x92, 0x78, 0x78, 0x5e, 0x5e, 0x46, 0x46, 0x32, 0x32, 0x22, 0x22, 0x15, 0x15, 0x0d, 0x0d, 0x07, 0x07, 0x05, 0x05, 0x09, 0x09, 
0x13, 0x13, 0x26, 0x26, 0x3e, 0x3e, 0x5c, 0x5c, 0x7d, 0x7d, 0x9f, 0x9f, 0xc1, 0xc1, 0xdb, 0xdb, 0xe9, 0xe9, 0xe9, 0xe9, 0xdf, 0xdf, 0xcc, 0xcc, 0xb7, 0xb7, 
0x9f, 0x9f, 0x8a, 0x8a, 0x7b, 0x7b, 0x75, 0x75, 0x7a, 0x7a, 0x87, 0x87, 0x99, 0x99, 0xae, 0xae, 0xc3, 0xc3, 0xd7, 0xd7, 0xe7, 0xe7, 0xf2, 0xf2, 0xf7, 0xf7, 
0xf6, 0xf6, 0xef, 0xef, 0xe3, 0xe3, 0xd2, 0xd2, 0xbe, 0xbe, 0xac, 0xac, 0x9f, 0x9f, 0x99, 0x99, 0x98, 0x98, 0x9b, 0x9b, 0xa0, 0xa0, 0xa5, 0xa5, 0xaa, 0xaa, 
0xab, 0xab, 0xa9, 0xa9, 0xa1, 0xa1, 0x98, 0x98, 0x8e, 0x8e, 0x88, 0x88, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x84, 0x84, 0x7c, 0x7c, 0x6f, 0x6f, 0x5f, 0x5f, 
0x4f, 0x4f, 0x40, 0x40, 0x32, 0x32, 0x27, 0x27, 0x1e, 0x1e, 0x18, 0x18, 0x16, 0x16, 0x18, 0x18, 0x20, 0x20, 0x2f, 0x2f, 0x42, 0x42, 0x57, 0x57, 0x6a, 0x6a, 
0x7a, 0x7a, 0x86, 0x86, 0x8c, 0x8c, 0x8a, 0x8a, 0x80, 0x80, 0x72, 0x72, 0x62, 0x62, 0x56, 0x56, 0x4e, 0x4e, 0x4b, 0x4b, 0x4e, 0x4e, 0x55, 0x55, 0x60, 0x60, 
0x6d, 0x6d, 0x7b, 0x7b, 0x88, 0x88, 0x93, 0x93, 0x9c, 0x9c, 0xa3, 0xa3, 0xa8, 0xa8, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa1, 0xa1, 0x99, 0x99, 0x8f, 0x8f, 
0x85, 0x85, 0x7a, 0x7a, 0x70, 0x70, 0x67, 0x67, 0x62, 0x62, 0x61, 0x61, 0x65, 0x65, 0x6d, 0x6d, 0x77, 0x77, 0x83, 0x83, 0x8f, 0x8f, 0x9b, 0x9b, 0xa5, 0xa5, 
0xac, 0xac, 0xb1, 0xb1, 0xb2, 0xb2, 0xaf, 0xaf, 0xa5, 0xa5, 0x97, 0x97, 0x84, 0x84, 0x73, 0x73, 0x64, 0x64, 0x5c, 0x5c, 0x59, 0x59, 0x5a, 0x5a, 0x60, 0x60, 
0x6a, 0x6a, 0x76, 0x76, 0x84, 0x84, 0x93, 0x93, 0xa2, 0xa2, 0xb0, 0xb0, 0xbc, 0xbc, 0xc5, 0xc5, 0xcb, 0xcb, 0xcd, 0xcd, 0xcd, 0xcd, 0xca, 0xca, 0xc4, 0xc4, 
0xbc, 0xbc, 0xb2, 0xb2, 0xa5, 0xa5, 0x96, 0x96, 0x85, 0x85, 0x73, 0x73, 0x61, 0x61, 0x50, 0x50, 0x41, 0x41, 0x36, 0x36, 0x31, 0x31, 0x32, 0x32, 0x37, 0x37, 
0x3d, 0x3d, 0x40, 0x40, 0x40, 0x40, 0x3d, 0x3d, 0x37, 0x37, 0x31, 0x31, 0x2a, 0x2a, 0x23, 0x23, 0x1d, 0x1d, 0x16, 0x16, 0x10, 0x10, 0x0a, 0x0a, 0x09, 0x09, 
0x0e, 0x0e, 0x1a, 0x1a, 0x2b, 0x2b, 0x3f, 0x3f, 0x54, 0x54, 0x68, 0x68, 0x79, 0x79, 0x86, 0x86, 0x8d, 0x8d, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 
0x8a, 0x8a, 0x93, 0x93, 0x9f, 0x9f, 0xab, 0xab, 0xb6, 0xb6, 0xc0, 0xc0, 0xc8, 0xc8, 0xd0, 0xd0, 0xd6, 0xd6, 0xdc, 0xdc, 0xe1, 0xe1, 0xe5, 0xe5, 0xe7, 0xe7, 
0xe8, 0xe8, 0xe8, 0xe8, 0xe5, 0xe5, 0xe0, 0xe0, 0xda, 0xda, 0xd3, 0xd3, 0xce, 0xce, 0xcb, 0xcb, 0xc9, 0xc9, 0xc7, 0xc7, 0xc4, 0xc4, 0xc0, 0xc0, 0xbb, 0xbb, 
0xb7, 0xb7, 0xb6, 0xb6, 0xb8, 0xb8, 0xbd, 0xbd, 0xc3, 0xc3, 0xc9, 0xc9, 0xce, 0xce, 0xcf, 0xcf, 0xcb, 0xcb, 0xbd, 0xbd, 0xa5, 0xa5, 0x87, 0x87, 0x68, 0x68, 
0x4d, 0x4d, 0x37, 0x37, 0x26, 0x26, 0x1a, 0x1a, 0x12, 0x12, 0x0b, 0x0b, 0x07, 0x07, 0x07, 0x07, 0x0b, 0x0b, 0x16, 0x16, 0x26, 0x26, 0x3d, 0x3d, 0x5b, 0x5b, 
0x80, 0x80, 0xa8, 0xa8, 0xca, 0xca, 0xe0, 0xe0, 0xe7, 0xe7, 0xe2, 0xe2, 0xd6, 0xd6, 0xc8, 0xc8, 0xbc, 0xbc, 0xb3, 0xb3, 0xaf, 0xaf, 0xae, 0xae, 0xb2, 0xb2, 
0xb8, 0xb8, 0xc2, 0xc2, 0xce, 0xce, 0xdc, 0xdc, 0xe9, 0xe9, 0xf2, 0xf2, 0xf4, 0xf4, 0xec, 0xec, 0xdd, 0xdd, 0xc9, 0xc9, 0xb2, 0xb2, 0x9a, 0x9a, 0x83, 0x83, 
0x71, 0x71, 0x66, 0x66, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x63, 0x63, 0x5d, 0x5d, 0x52, 0x52, 0x47, 0x47, 0x3e, 0x3e, 0x37, 0x37, 0x35, 0x35, 0x38, 0x38, 
0x40, 0x40, 0x4e, 0x4e, 0x5e, 0x5e, 0x6b, 0x6b, 0x72, 0x72, 0x6f, 0x6f, 0x66, 0x66, 0x56, 0x56, 0x43, 0x43, 0x2f, 0x2f, 0x1b, 0x1b, 0x0a, 0x0a, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x15, 0x15, 0x2b, 0x2b, 0x46, 0x46, 0x63, 0x63, 0x82, 0x82, 0xa0, 0xa0, 0xbd, 0xbd, 0xd4, 0xd4, 0xe5, 0xe5, 0xed, 0xed, 
0xef, 0xef, 0xed, 0xed, 0xe9, 0xe9, 0xe4, 0xe4, 0xde, 0xde, 0xd8, 0xd8, 0xd0, 0xd0, 0xc7, 0xc7, 0xbd, 0xbd, 0xb7, 0xb7, 0xb6, 0xb6, 0xbb, 0xbb, 0xc4, 0xc4, 
0xce, 0xce, 0xd7, 0xd7, 0xdb, 0xdb, 0xdc, 0xdc, 0xd7, 0xd7, 0xcc, 0xcc, 0xbc, 0xbc, 0xa7, 0xa7, 0x92, 0x92, 0x7c, 0x7c, 0x67, 0x67, 0x54, 0x54, 0x44, 0x44, 
0x38, 0x38, 0x30, 0x30, 0x2c, 0x2c, 0x2a, 0x2a, 0x2c, 0x2c, 0x2f, 0x2f, 0x35, 0x35, 0x3d, 0x3d, 0x49, 0x49, 0x57, 0x57, 0x67, 0x67, 0x77, 0x77, 0x83, 0x83, 
0x8b, 0x8b, 0x8e, 0x8e, 0x8c, 0x8c, 0x83, 0x83, 0x75, 0x75, 0x63, 0x63, 0x51, 0x51, 0x45, 0x45, 0x3e, 0x3e, 0x3d, 0x3d, 0x41, 0x41, 0x48, 0x48, 0x52, 0x52, 
0x5e, 0x5e, 0x6b, 0x6b, 0x7a, 0x7a, 0x89, 0x89, 0x98, 0x98, 0xa3, 0xa3, 0xa8, 0xa8, 0xa6, 0xa6, 0x9d, 0x9d, 0x8f, 0x8f, 0x7e, 0x7e, 0x6a, 0x6a, 0x57, 0x57, 
0x45, 0x45, 0x39, 0x39, 0x33, 0x33, 0x31, 0x31, 0x35, 0x35, 0x3d, 0x3d, 0x48, 0x48, 0x56, 0x56, 0x64, 0x64, 0x72, 0x72, 0x7f, 0x7f, 0x89, 0x89, 0x90, 0x90, 
0x92, 0x92, 0x8e, 0x8e, 0x86, 0x86, 0x7c, 0x7c, 0x71, 0x71, 0x67, 0x67, 0x5f, 0x5f, 0x5d, 0x5d, 0x64, 0x64, 0x74, 0x74, 0x8a, 0x8a, 0xa2, 0xa2, 0xb6, 0xb6, 
0xc6, 0xc6, 0xd0, 0xd0, 0xd5, 0xd5, 0xd5, 0xd5, 0xd0, 0xd0, 0xc9, 0xc9, 0xc0, 0xc0, 0xb8, 0xb8, 0xb0, 0xb0, 0xa7, 0xa7, 0x9d, 0x9d, 0x90, 0x90, 0x7f, 0x7f, 
0x6c, 0x6c, 0x5d, 0x5d, 0x57, 0x57, 0x59, 0x59, 0x63, 0x63, 0x70, 0x70, 0x7c, 0x7c, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9f, 0x9f, 
0xa7, 0xa7, 0xb0, 0xb0, 0xb8, 0xb8, 0xc0, 0xc0, 0xc8, 0xc8, 0xce, 0xce, 0xd3, 0xd3, 0xd7, 0xd7, 0xdc, 0xdc, 0xe2, 0xe2, 0xe9, 0xe9, 0xee, 0xee, 0xed, 0xed, 
0xe1, 0xe1, 0xc8, 0xc8, 0xa6, 0xa6, 0x80, 0x80, 0x5b, 0x5b, 0x3a, 0x3a, 0x1f, 0x1f, 0x0b, 0x0b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 
0x03, 0x03, 0x07, 0x07, 0x11, 0x11, 0x28, 0x28, 0x4b, 0x4b, 0x78, 0x78, 0xa4, 0xa4, 0xca, 0xca, 0xe4, 0xe4, 0xf3, 0xf3, 0xf9, 0xf9, 0xf7, 0xf7, 0xf0, 0xf0, 
0xe6, 0xe6, 0xdd, 0xdd, 0xd8, 0xd8, 0xd7, 0xd7, 0xda, 0xda, 0xdd, 0xdd, 0xde, 0xde, 0xdc, 0xdc, 0xd6, 0xd6, 0xcd, 0xcd, 0xc2, 0xc2, 0xb4, 0xb4, 0xa4, 0xa4, 
0x93, 0x93, 0x80, 0x80, 0x6c, 0x6c, 0x57, 0x57, 0x47, 0x47, 0x3f, 0x3f, 0x40, 0x40, 0x47, 0x47, 0x50, 0x50, 0x57, 0x57, 0x5a, 0x5a, 0x59, 0x59, 0x55, 0x55, 
0x4f, 0x4f, 0x47, 0x47, 0x40, 0x40, 0x3e, 0x3e, 0x45, 0x45, 0x55, 0x55, 0x6a, 0x6a, 0x80, 0x80, 0x8f, 0x8f, 0x96, 0x96, 0x94, 0x94, 0x8a, 0x8a, 0x79, 0x79, 
0x63, 0x63, 0x4b, 0x4b, 0x33, 0x33, 0x21, 0x21, 0x14, 0x14, 0x0e, 0x0e, 0x11, 0x11, 0x1e, 0x1e, 0x35, 0x35, 0x53, 0x53, 0x73, 0x73, 0x92, 0x92, 0xad, 0xad, 
0xc4, 0xc4, 0xd5, 0xd5, 0xe0, 0xe0, 0xe6, 0xe6, 0xe8, 0xe8, 0xe8, 0xe8, 0xe6, 0xe6, 0xe3, 0xe3, 0xe0, 0xe0, 0xdd, 0xdd, 0xda, 0xda, 0xd7, 0xd7, 0xd3, 0xd3, 
0xce, 0xce, 0xc8, 0xc8, 0xc0, 0xc0, 0xb7, 0xb7, 0xb0, 0xb0, 0xad, 0xad, 0xae, 0xae, 0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 0xbc, 0xbc, 0xba, 0xba, 0xb2, 0xb2, 
0xa6, 0xa6, 0x94, 0x94, 0x7f, 0x7f, 0x6c, 0x6c, 0x5d, 0x5d, 0x53, 0x53, 0x4e, 0x4e, 0x4c, 0x4c, 0x49, 0x49, 0x45, 0x45, 0x40, 0x40, 0x3d, 0x3d, 0x3f, 0x3f, 
0x46, 0x46, 0x51, 0x51, 0x5c, 0x5c, 0x66, 0x66, 0x6b, 0x6b, 0x6c, 0x6c, 0x68, 0x68, 0x5d, 0x5d, 0x4d, 0x4d, 0x3a, 0x3a, 0x29, 0x29, 0x1f, 0x1f, 0x1c, 0x1c, 
0x21, 0x21, 0x2c, 0x2c, 0x3e, 0x3e, 0x53, 0x53, 0x6b, 0x6b, 0x84, 0x84, 0x9b, 0x9b, 0xb0, 0xb0, 0xc1, 0xc1, 0xce, 0xce, 0xd4, 0xd4, 0xd4, 0xd4, 0xce, 0xce, 
0xc5, 0xc5, 0xba, 0xba, 0xae, 0xae, 0xa3, 0xa3, 0x9b, 0x9b, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa2, 0xa2, 0xa1, 0xa1, 0x9a, 0x9a, 0x8d, 0x8d, 0x7f, 0x7f, 
0x72, 0x72, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 0x54, 0x54, 0x52, 0x52, 0x50, 0x50, 0x4d, 0x4d, 0x48, 0x48, 0x40, 0x40, 0x38, 0x38, 0x34, 0x34, 0x36, 0x36, 
0x40, 0x40, 0x51, 0x51, 0x64, 0x64, 0x75, 0x75, 0x84, 0x84, 0x8f, 0x8f, 0x97, 0x97, 0x9d, 0x9d, 0xa1, 0xa1, 0xa4, 0xa4, 0xa4, 0xa4, 0xa0, 0xa0, 0x97, 0x97, 
0x8c, 0x8c, 0x7f, 0x7f, 0x74, 0x74, 0x6b, 0x6b, 0x65, 0x65, 0x63, 0x63, 0x65, 0x65, 0x6b, 0x6b, 0x73, 0x73, 0x7d, 0x7d, 0x85, 0x85, 0x8d, 0x8d, 0x93, 0x93, 
0x9a, 0x9a, 0xa1, 0xa1, 0xa9, 0xa9, 0xb2, 0xb2, 0xb8, 0xb8, 0xbc, 0xbc, 0xbb, 0xbb, 0xb8, 0xb8, 0xb6, 0xb6, 0xb7, 0xb7, 0xbc, 0xbc, 0xc4, 0xc4, 0xcf, 0xcf, 
0xdb, 0xdb, 0xe7, 0xe7, 0xf1, 0xf1, 0xf8, 0xf8, 0xf9, 0xf9, 0xf4, 0xf4, 0xea, 0xea, 0xd8, 0xd8, 0xbe, 0xbe, 0x9d, 0x9d, 0x77, 0x77, 0x52, 0x52, 0x33, 0x33, 
0x1d, 0x1d, 0x0e, 0x0e, 0x07, 0x07, 0x07, 0x07, 0x0c, 0x0c, 0x16, 0x16, 0x24, 0x24, 0x35, 0x35, 0x49, 0x49, 0x5f, 0x5f, 0x72, 0x72, 0x82, 0x82, 0x8d, 0x8d, 
0x94, 0x94, 0x97, 0x97, 0x96, 0x96, 0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 0x75, 0x75, 0x74, 0x74, 0x7d, 0x7d, 0x91, 0x91, 0xac, 0xac, 
0xc8, 0xc8, 0xe0, 0xe0, 0xf0, 0xf0, 0xf7, 0xf7, 0xf5, 0xf5, 0xe8, 0xe8, 0xd1, 0xd1, 0xb5, 0xb5, 0x98, 0x98, 0x80, 0x80, 0x6f, 0x6f, 0x63, 0x63, 0x5d, 0x5d, 
0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 0x97, 0x97, 0x9f, 0x9f, 
0xa8, 0xa8, 0xb2, 0xb2, 0xba, 0xba, 0xbd, 0xbd, 0xbb, 0xbb, 0xb3, 0xb3, 0xa3, 0xa3, 0x8a, 0x8a, 0x68, 0x68, 0x42, 0x42, 0x20, 0x20, 0x08, 0x08, 0x00, 0x00, 
0x00, 0x00, 0x09, 0x09, 0x1c, 0x1c, 0x34, 0x34, 0x4e, 0x4e, 0x64, 0x64, 0x74, 0x74, 0x7b, 0x7b, 0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 
0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x7a, 0x7a, 0x85, 0x85, 0x92, 0x92, 0xa2, 0xa2, 0xb2, 0xb2, 0xc1, 0xc1, 0xcc, 0xcc, 0xd2, 0xd2, 0xd3, 0xd3, 0xd1, 0xd1, 
0xcb, 0xcb, 0xc3, 0xc3, 0xb9, 0xb9, 0xae, 0xae, 0xa2, 0xa2, 0x96, 0x96, 0x8a, 0x8a, 0x7d, 0x7d, 0x6f, 0x6f, 0x60, 0x60, 0x53, 0x53, 0x4b, 0x4b, 0x4e, 0x4e, 
0x5d, 0x5d, 0x74, 0x74, 0x8f, 0x8f, 0xa8, 0xa8, 0xbe, 0xbe, 0xcf, 0xcf, 0xdc, 0xdc, 0xe4, 0xe4, 0xe7, 0xe7, 0xe7, 0xe7, 0xe1, 0xe1, 0xd6, 0xd6, 0xc3, 0xc3, 
0xac, 0xac, 0x94, 0x94, 0x7c, 0x7c, 0x65, 0x65, 0x53, 0x53, 0x48, 0x48, 0x45, 0x45, 0x4b, 0x4b, 0x58, 0x58, 0x64, 0x64, 0x6d, 0x6d, 0x6e, 0x6e, 0x6b, 0x6b, 
0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 
0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x59, 0x59, 0x55, 0x55, 0x4e, 0x4e, 0x45, 0x45, 0x3e, 0x3e, 0x39, 0x39, 0x39, 0x39, 0x3a, 0x3a, 0x3c, 0x3c, 0x3b, 0x3b, 
0x35, 0x35, 0x2d, 0x2d, 0x23, 0x23, 0x19, 0x19, 0x10, 0x10, 0x0a, 0x0a, 0x08, 0x08, 0x0e, 0x0e, 0x1a, 0x1a, 0x2c, 0x2c, 0x41, 0x41, 0x58, 0x58, 0x6f, 0x6f, 
0x85, 0x85, 0x9b, 0x9b, 0xb2, 0xb2, 0xc8, 0xc8, 0xdd, 0xdd, 0xee, 0xee, 0xf9, 0xf9, 0xfd, 0xfd, 0xfc, 0xfc, 0xf7, 0xf7, 0xf2, 0xf2, 0xee, 0xee, 0xeb, 0xeb, 
0xe9, 0xe9, 0xe9, 0xe9, 0xe8, 0xe8, 0xe7, 0xe7, 0xe4, 0xe4, 0xde, 0xde, 0xd3, 0xd3, 0xc7, 0xc7, 0xbb, 0xbb, 0xb1, 0xb1, 0xac, 0xac, 0xa9, 0xa9, 0xa5, 0xa5, 
0x9e, 0x9e, 0x93, 0x93, 0x85, 0x85, 0x77, 0x77, 0x6d, 0x6d, 0x67, 0x67, 0x67, 0x67, 0x6a, 0x6a, 0x71, 0x71, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 0x9a, 0x9a, 
0xa6, 0xa6, 0xb1, 0xb1, 0xb9, 0xb9, 0xba, 0xba, 0xb4, 0xb4, 0xa8, 0xa8, 0x96, 0x96, 0x7f, 0x7f, 0x65, 0x65, 0x4a, 0x4a, 0x32, 0x32, 0x1f, 0x1f, 0x13, 0x13, 
0x0c, 0x0c, 0x09, 0x09, 0x08, 0x08, 0x08, 0x08, 0x09, 0x09, 0x10, 0x10, 0x20, 0x20, 0x38, 0x38, 0x58, 0x58, 0x79, 0x79, 0x99, 0x99, 0xb4, 0xb4, 0xca, 0xca, 
0xd9, 0xd9, 0xe1, 0xe1, 0xe0, 0xe0, 0xdb, 0xdb, 0xd4, 0xd4, 0xcf, 0xcf, 0xcc, 0xcc, 0xcd, 0xcd, 0xd1, 0xd1, 0xd9, 0xd9, 0xe3, 0xe3, 0xee, 0xee, 0xf9, 0xf9, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfa, 0xfa, 0xef, 0xef, 0xde, 0xde, 0xc9, 0xc9, 0xb3, 0xb3, 0x9c, 0x9c, 0x86, 0x86, 0x71, 0x71, 0x60, 0x60, 0x55, 0x55, 
0x4f, 0x4f, 0x4c, 0x4c, 0x4b, 0x4b, 0x49, 0x49, 0x44, 0x44, 0x3d, 0x3d, 0x37, 0x37, 0x34, 0x34, 0x35, 0x35, 0x3a, 0x3a, 0x43, 0x43, 0x50, 0x50, 0x61, 0x61, 
0x72, 0x72, 0x7f, 0x7f, 0x83, 0x83, 0x7f, 0x7f, 0x73, 0x73, 0x62, 0x62, 0x50, 0x50, 0x3f, 0x3f, 0x31, 0x31, 0x27, 0x27, 0x25, 0x25, 0x2a, 0x2a, 0x35, 0x35, 
0x44, 0x44, 0x54, 0x54, 0x64, 0x64, 0x74, 0x74, 0x83, 0x83, 0x92, 0x92, 0x9f, 0x9f, 0xac, 0xac, 0xb6, 0xb6, 0xbc, 0xbc, 0xbe, 0xbe, 0xbc, 0xbc, 0xb7, 0xb7, 
0xb1, 0xb1, 0xa9, 0xa9, 0xa2, 0xa2, 0x9e, 0x9e, 0xa2, 0xa2, 0xae, 0xae, 0xbf, 0xbf, 0xd2, 0xd2, 0xe3, 0xe3, 0xef, 0xef, 0xf7, 0xf7, 0xfa, 0xfa, 0xf7, 0xf7, 
0xf0, 0xf0, 0xe5, 0xe5, 0xd6, 0xd6, 0xc2, 0xc2, 0xab, 0xab, 0x92, 0x92, 0x7a, 0x7a, 0x68, 0x68, 0x5a, 0x5a, 0x53, 0x53, 0x50, 0x50, 0x51, 0x51, 0x56, 0x56, 
0x5c, 0x5c, 0x60, 0x60, 0x5f, 0x5f, 0x59, 0x59, 0x4f, 0x4f, 0x45, 0x45, 0x3e, 0x3e, 0x3d, 0x3d, 0x3e, 0x3e, 0x40, 0x40, 0x40, 0x40, 0x3d, 0x3d, 0x36, 0x36, 
0x2f, 0x2f, 0x28, 0x28, 0x24, 0x24, 0x22, 0x22, 0x23, 0x23, 0x25, 0x25, 0x29, 0x29, 0x2e, 0x2e, 0x34, 0x34, 0x3d, 0x3d, 0x46, 0x46, 0x51, 0x51, 0x5b, 0x5b, 
0x63, 0x63, 0x68, 0x68, 0x69, 0x69, 0x67, 0x67, 0x60, 0x60, 0x54, 0x54, 0x46, 0x46, 0x3b, 0x3b, 0x37, 0x37, 0x3b, 0x3b, 0x47, 0x47, 0x58, 0x58, 0x6c, 0x6c, 
0x81, 0x81, 0x96, 0x96, 0xa9, 0xa9, 0xb7, 0xb7, 0xc0, 0xc0, 0xc4, 0xc4, 0xc4, 0xc4, 0xc0, 0xc0, 0xb9, 0xb9, 0xb0, 0xb0, 0xa6, 0xa6, 0x9c, 0x9c, 0x92, 0x92, 
0x89, 0x89, 0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x96, 0x96, 
0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa2, 0xa2, 0x9f, 0x9f, 0x96, 0x96, 0x87, 0x87, 0x73, 0x73, 0x60, 0x60, 0x50, 0x50, 0x46, 0x46, 0x42, 0x42, 0x43, 0x43, 
0x4a, 0x4a, 0x56, 0x56, 0x64, 0x64, 0x73, 0x73, 0x81, 0x81, 0x8d, 0x8d, 0x97, 0x97, 0x9f, 0x9f, 0xa6, 0xa6, 0xad, 0xad, 0xb4, 0xb4, 0xb8, 0xb8, 0xb8, 0xb8, 
0xb5, 0xb5, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9d, 0x9d, 0x99, 0x99, 0x97, 0x97, 0x99, 0x99, 0x9e, 0x9e, 0xa6, 0xa6, 0xb1, 0xb1, 0xbe, 0xbe, 0xcd, 0xcd, 
0xdd, 0xdd, 0xeb, 0xeb, 0xf6, 0xf6, 0xfc, 0xfc, 0xfc, 0xfc, 0xf5, 0xf5, 0xe4, 0xe4, 0xca, 0xca, 0xaa, 0xaa, 0x86, 0x86, 0x64, 0x64, 0x45, 0x45, 0x2a, 0x2a, 
0x16, 0x16, 0x0a, 0x0a, 0x06, 0x06, 0x08, 0x08, 0x0f, 0x0f, 0x17, 0x17, 0x21, 0x21, 0x2c, 0x2c, 0x3b, 0x3b, 0x4f, 0x4f, 0x6a, 0x6a, 0x87, 0x87, 0xa2, 0xa2, 
0xb5, 0xb5, 0xbd, 0xbd, 0xba, 0xba, 0xb0, 0xb0, 0x9e, 0x9e, 0x87, 0x87, 0x6f, 0x6f, 0x5b, 0x5b, 0x50, 0x50, 0x4f, 0x4f, 0x58, 0x58, 0x68, 0x68, 0x7c, 0x7c, 
0x93, 0x93, 0xa9, 0xa9, 0xbc, 0xbc, 0xc8, 0xc8, 0xcc, 0xcc, 0xc8, 0xc8, 0xbe, 0xbe, 0xae, 0xae, 0x99, 0x99, 0x82, 0x82, 0x6d, 0x6d, 0x5e, 0x5e, 0x55, 0x55, 
0x53, 0x53, 0x53, 0x53, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x5a, 0x5a, 0x61, 0x61, 0x6b, 0x6b, 0x7a, 0x7a, 0x8b, 0x8b, 0x9c, 0x9c, 0xad, 0xad, 0xbc, 0xbc, 
0xc8, 0xc8, 0xce, 0xce, 0xce, 0xce, 0xc8, 0xc8, 0xba, 0xba, 0xa5, 0xa5, 0x87, 0x87, 0x66, 0x66, 0x45, 0x45, 0x2a, 0x2a, 0x17, 0x17, 0x0d, 0x0d, 0x0e, 0x0e, 
0x1c, 0x1c, 0x37, 0x37, 0x5a, 0x5a, 0x80, 0x80, 0xa4, 0xa4, 0xc2, 0xc2, 0xdb, 0xdb, 0xec, 0xec, 0xf7, 0xf7, 0xfb, 0xfb, 0xfa, 0xfa, 0xf4, 0xf4, 0xe8, 0xe8, 
0xd9, 0xd9, 0xc5, 0xc5, 0xb0, 0xb0, 0x99, 0x99, 0x81, 0x81, 0x69, 0x69, 0x55, 0x55, 0x48, 0x48, 0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x4b, 0x4b, 
0x51, 0x51, 0x55, 0x55, 0x57, 0x57, 0x55, 0x55, 0x50, 0x50, 0x49, 0x49, 0x3e, 0x3e, 0x32, 0x32, 0x24, 0x24, 0x17, 0x17, 0x0d, 0x0d, 0x06, 0x06, 0x04, 0x04, 
0x06, 0x06, 0x0f, 0x0f, 0x1e, 0x1e, 0x31, 0x31, 0x48, 0x48, 0x62, 0x62, 0x7e, 0x7e, 0x9a, 0x9a, 0xb3, 0xb3, 0xc7, 0xc7, 0xd3, 0xd3, 0xd9, 0xd9, 0xd6, 0xd6, 
0xc9, 0xc9, 0xb4, 0xb4, 0x98, 0x98, 0x7c, 0x7c, 0x64, 0x64, 0x52, 0x52, 0x47, 0x47, 0x44, 0x44, 0x49, 0x49, 0x55, 0x55, 0x67, 0x67, 0x7b, 0x7b, 0x8f, 0x8f, 
0xa0, 0xa0, 0xaf, 0xaf, 0xba, 0xba, 0xbf, 0xbf, 0xbf, 0xbf, 0xba, 0xba, 0xb2, 0xb2, 0xa9, 0xa9, 0x9f, 0x9f, 0x95, 0x95, 0x8c, 0x8c, 0x87, 0x87, 0x86, 0x86, 
0x86, 0x86, 0x85, 0x85, 0x80, 0x80, 0x77, 0x77, 0x6b, 0x6b, 0x5f, 0x5f, 0x56, 0x56, 0x53, 0x53, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 
0x50, 0x50, 0x48, 0x48, 0x3f, 0x3f, 0x35, 0x35, 0x2b, 0x2b, 0x22, 0x22, 0x1c, 0x1c, 0x18, 0x18, 0x17, 0x17, 0x18, 0x18, 0x1d, 0x1d, 0x25, 0x25, 0x31, 0x31, 
0x44, 0x44, 0x5d, 0x5d, 0x79, 0x79, 0x95, 0x95, 0xab, 0xab, 0xbc, 0xbc, 0xc6, 0xc6, 0xcd, 0xcd, 0xd3, 0xd3, 0xd9, 0xd9, 0xde, 0xde, 0xe2, 0xe2, 0xe2, 0xe2, 
0xdf, 0xdf, 0xd8, 0xd8, 0xcf, 0xcf, 0xc7, 0xc7, 0xbf, 0xbf, 0xba, 0xba, 0xb9, 0xb9, 0xbd, 0xbd, 0xc8, 0xc8, 0xd5, 0xd5, 0xe1, 0xe1, 0xe8, 0xe8, 0xe7, 0xe7, 
0xe0, 0xe0, 0xd5, 0xd5, 0xc6, 0xc6, 0xb6, 0xb6, 0xa5, 0xa5, 0x95, 0x95, 0x85, 0x85, 0x76, 0x76, 0x68, 0x68, 0x5d, 0x5d, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 
0x54, 0x54, 0x5a, 0x5a, 0x62, 0x62, 0x6c, 0x6c, 0x76, 0x76, 0x81, 0x81, 0x8b, 0x8b, 0x95, 0x95, 0xa0, 0xa0, 0xac, 0xac, 0xba, 0xba, 0xc5, 0xc5, 0xca, 0xca, 
0xc3, 0xc3, 0xae, 0xae, 0x8f, 0x8f, 0x6c, 0x6c, 0x4b, 0x4b, 0x2f, 0x2f, 0x19, 0x19, 0x0a, 0x0a, 0x03, 0x03, 0x03, 0x03, 0x09, 0x09, 0x13, 0x13, 0x20, 0x20, 
0x2f, 0x2f, 0x40, 0x40, 0x56, 0x56, 0x71, 0x71, 0x92, 0x92, 0xb6, 0xb6, 0xd4, 0xd4, 0xe8, 0xe8, 0xef, 0xef, 0xeb, 0xeb, 0xe1, 0xe1, 0xd5, 0xd5, 0xcb, 0xcb, 
0xc3, 0xc3, 0xbf, 0xbf, 0xc0, 0xc0, 0xc5, 0xc5, 0xcd, 0xcd, 0xd5, 0xd5, 0xdd, 0xdd, 0xe4, 0xe4, 0xea, 0xea, 0xed, 0xed, 0xee, 0xee, 0xeb, 0xeb, 0xe5, 0xe5, 
0xd9, 0xd9, 0xc3, 0xc3, 0xa4, 0xa4, 0x80, 0x80, 0x5c, 0x5c, 0x3e, 0x3e, 0x2a, 0x2a, 0x1d, 0x1d, 0x17, 0x17, 0x14, 0x14, 0x13, 0x13, 0x13, 0x13, 0x13, 0x13, 
0x11, 0x11, 0x0e, 0x0e, 0x0c, 0x0c, 0x0c, 0x0c, 0x11, 0x11, 0x1d, 0x1d, 0x2e, 0x2e, 0x41, 0x41, 0x54, 0x54, 0x65, 0x65, 0x72, 0x72, 0x7a, 0x7a, 0x7a, 0x7a, 
0x73, 0x73, 0x66, 0x66, 0x57, 0x57, 0x48, 0x48, 0x3d, 0x3d, 0x35, 0x35, 0x33, 0x33, 0x38, 0x38, 0x43, 0x43, 0x53, 0x53, 0x66, 0x66, 0x7a, 0x7a, 0x8d, 0x8d, 
0xa0, 0xa0, 0xb2, 0xb2, 0xc3, 0xc3, 0xd4, 0xd4, 0xe4, 0xe4, 0xf0, 0xf0, 0xf9, 0xf9, 0xfc, 0xfc, 0xf9, 0xf9, 0xf2, 0xf2, 0xe5, 0xe5, 0xd4, 0xd4, 0xbf, 0xbf, 
0xac, 0xac, 0x9b, 0x9b, 0x8f, 0x8f, 0x88, 0x88, 0x84, 0x84, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x89, 0x89, 0x84, 0x84, 0x7b, 0x7b, 
0x6e, 0x6e, 0x5c, 0x5c, 0x48, 0x48, 0x35, 0x35, 0x26, 0x26, 0x1c, 0x1c, 0x18, 0x18, 0x1a, 0x1a, 0x21, 0x21, 0x2e, 0x2e, 0x3e, 0x3e, 0x4d, 0x4d, 0x58, 0x58, 
0x5e, 0x5e, 0x5f, 0x5f, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x57, 0x57, 0x5a, 0x5a, 0x61, 0x61, 0x6c, 0x6c, 
0x7b, 0x7b, 0x8a, 0x8a, 0x98, 0x98, 0xa3, 0xa3, 0xab, 0xab, 0xb0, 0xb0, 0xb2, 0xb2, 0xb0, 0xb0, 0xad, 0xad, 0xa8, 0xa8, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 
0x8f, 0x8f, 0x85, 0x85, 0x7a, 0x7a, 0x6d, 0x6d, 0x62, 0x62, 0x5a, 0x5a, 0x58, 0x58, 0x59, 0x59, 0x5d, 0x5d, 0x64, 0x64, 0x6c, 0x6c, 0x75, 0x75, 0x7d, 0x7d, 
0x84, 0x84, 0x89, 0x89, 0x8d, 0x8d, 0x8d, 0x8d, 0x8a, 0x8a, 0x82, 0x82, 0x79, 0x79, 0x6e, 0x6e, 0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 0x56, 0x56, 0x55, 0x55, 
0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 0x74, 0x74, 0x7a, 0x7a, 0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 
0x8b, 0x8b, 0x8b, 0x8b, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 0x9b, 0x9b, 0xa7, 0xa7, 0xb4, 0xb4, 
0xbd, 0xbd, 0xc2, 0xc2, 0xc0, 0xc0, 0xb8, 0xb8, 0xae, 0xae, 0xa1, 0xa1, 0x93, 0x93, 0x86, 0x86, 0x7a, 0x7a, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x63, 0x63, 
0x65, 0x65, 0x6c, 0x6c, 0x75, 0x75, 0x80, 0x80, 0x8b, 0x8b, 0x95, 0x95, 0x9e, 0x9e, 0xa6, 0xa6, 0xad, 0xad, 0xb3, 0xb3, 0xb8, 0xb8, 0xbd, 0xbd, 0xc2, 0xc2, 
0xc8, 0xc8, 0xce, 0xce, 0xd2, 0xd2, 0xd3, 0xd3, 0xd0, 0xd0, 0xcc, 0xcc, 0xc7, 0xc7, 0xc6, 0xc6, 0xc7, 0xc7, 0xcb, 0xcb, 0xcf, 0xcf, 0xd1, 0xd1, 0xd0, 0xd0, 
0xcb, 0xcb, 0xbf, 0xbf, 0xac, 0xac, 0x91, 0x91, 0x71, 0x71, 0x51, 0x51, 0x35, 0x35, 0x20, 0x20, 0x11, 0x11, 0x07, 0x07, 0x03, 0x03, 0x03, 0x03, 0x06, 0x06, 
0x0d, 0x0d, 0x19, 0x19, 0x29, 0x29, 0x3d, 0x3d, 0x54, 0x54, 0x6d, 0x6d, 0x88, 0x88, 0xa2, 0xa2, 0xb7, 0xb7, 0xc2, 0xc2, 0xc2, 0xc2, 0xba, 0xba, 0xad, 0xad, 
0x9d, 0x9d, 0x8d, 0x8d, 0x80, 0x80, 0x79, 0x79, 0x7b, 0x7b, 0x88, 0x88, 0x9d, 0x9d, 0xb4, 0xb4, 0xca, 0xca, 0xdb, 0xdb, 0xe6, 0xe6, 0xe9, 0xe9, 0xe2, 0xe2, 
0xd2, 0xd2, 0xbc, 0xbc, 0xa5, 0xa5, 0x92, 0x92, 0x84, 0x84, 0x7e, 0x7e, 0x7d, 0x7d, 0x84, 0x84, 0x90, 0x90, 0xa0, 0xa0, 0xb1, 0xb1, 0xc1, 0xc1, 0xce, 0xce, 
0xd8, 0xd8, 0xdc, 0xdc, 0xd8, 0xd8, 0xcb, 0xcb, 0xb9, 0xb9, 0xa7, 0xa7, 0x9a, 0x9a, 0x95, 0x95, 0x96, 0x96, 0x9a, 0x9a, 0xa1, 0xa1, 0xa6, 0xa6, 0xa9, 0xa9, 
0xa3, 0xa3, 0x90, 0x90, 0x70, 0x70, 0x49, 0x49, 0x23, 0x23, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x0d, 0x0d, 0x15, 0x15, 0x1d, 0x1d, 
0x27, 0x27, 0x34, 0x34, 0x42, 0x42, 0x50, 0x50, 0x5c, 0x5c, 0x64, 0x64, 0x69, 0x69, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x67, 0x67, 0x69, 0x69, 0x70, 0x70, 
0x7d, 0x7d, 0x8e, 0x8e, 0x9e, 0x9e, 0xa9, 0xa9, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xb0, 0xb0, 0xb4, 0xb4, 0xba, 0xba, 0xbf, 0xbf, 0xc1, 0xc1, 0xbf, 0xbf, 
0xb7, 0xb7, 0xad, 0xad, 0xa0, 0xa0, 0x91, 0x91, 0x82, 0x82, 0x75, 0x75, 0x6d, 0x6d, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 
0x64, 0x64, 0x68, 0x68, 0x71, 0x71, 0x7d, 0x7d, 0x8a, 0x8a, 0x93, 0x93, 0x98, 0x98, 0x98, 0x98, 0x93, 0x93, 0x8a, 0x8a, 0x7e, 0x7e, 0x70, 0x70, 0x62, 0x62, 
0x55, 0x55, 0x4c, 0x4c, 0x45, 0x45, 0x40, 0x40, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x39, 0x39, 0x3f, 0x3f, 0x4a, 0x4a, 0x58, 0x58, 0x65, 0x65, 0x70, 0x70, 
0x76, 0x76, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 
0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x99, 0x99, 0x93, 0x93, 0x8a, 0x8a, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 
0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6c, 0x6c, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 0x88, 0x88, 0x90, 0x90, 0x96, 0x96, 
0x9a, 0x9a, 0x9b, 0x9b, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 
0x9b, 0x9b, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x70, 0x70, 0x67, 0x67, 
0x5d, 0x5d, 0x55, 0x55, 0x51, 0x51, 0x52, 0x52, 0x57, 0x57, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 0x78, 0x78, 0x78, 0x78, 0x76, 0x76, 0x72, 0x72, 
0x6e, 0x6e, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 0x56, 0x56, 0x5b, 0x5b, 0x63, 0x63, 0x6d, 0x6d, 
0x79, 0x79, 0x85, 0x85, 0x91, 0x91, 0x9b, 0x9b, 0xa2, 0xa2, 0xa7, 0xa7, 0xaa, 0xaa, 0xaf, 0xaf, 0xb7, 0xb7, 0xc4, 0xc4, 0xd4, 0xd4, 0xe4, 0xe4, 0xf1, 0xf1, 
0xf9, 0xf9, 0xfb, 0xfb, 0xf5, 0xf5, 0xe6, 0xe6, 0xce, 0xce, 0xaf, 0xaf, 0x8c, 0x8c, 0x69, 0x69, 0x47, 0x47, 0x28, 0x28, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0e, 0x0e, 0x29, 0x29, 0x4f, 0x4f, 0x7b, 0x7b, 0xa3, 0xa3, 0xc0, 0xc0, 0xcf, 0xcf, 0xcf, 0xcf, 0xc3, 0xc3, 0xac, 0xac, 0x8c, 0x8c, 0x69, 0x69, 
0x49, 0x49, 0x32, 0x32, 0x27, 0x27, 0x26, 0x26, 0x2f, 0x2f, 0x3e, 0x3e, 0x53, 0x53, 0x6a, 0x6a, 0x7e, 0x7e, 0x8c, 0x8c, 0x92, 0x92, 0x92, 0x92, 0x8e, 0x8e, 
0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x87, 0x87, 0x8c, 0x8c, 0x93, 0x93, 0x9c, 0x9c, 0xa3, 0xa3, 0xa6, 0xa6, 0xa4, 0xa4, 0x9e, 0x9e, 0x95, 0x95, 0x8c, 0x8c, 
0x83, 0x83, 0x7b, 0x7b, 0x76, 0x76, 0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8c, 0x8c, 0x99, 0x99, 0xa6, 0xa6, 0xb3, 0xb3, 0xbc, 0xbc, 0xbe, 0xbe, 0xb9, 0xb9, 
0xae, 0xae, 0x9f, 0x9f, 0x8d, 0x8d, 0x79, 0x79, 0x66, 0x66, 0x55, 0x55, 0x48, 0x48, 0x3f, 0x3f, 0x3c, 0x3c, 0x3d, 0x3d, 0x42, 0x42, 0x4d, 0x4d, 0x5a, 0x5a, 
0x6a, 0x6a, 0x7b, 0x7b, 0x8c, 0x8c, 0x9b, 0x9b, 0xa7, 0xa7, 0xaa, 0xaa, 0xa6, 0xa6, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x70, 0x70, 0x63, 0x63, 0x59, 0x59, 
0x54, 0x54, 0x53, 0x53, 0x55, 0x55, 0x59, 0x59, 0x5e, 0x5e, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 
0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7d, 0x7d, 
0x81, 0x81, 0x86, 0x86, 0x8d, 0x8d, 0x94, 0x94, 0x9c, 0x9c, 0xa1, 0xa1, 0xa3, 0xa3, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 
0x87, 0x87, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8e, 0x8e, 0x96, 0x96, 0xa0, 0xa0, 0xab, 0xab, 0xb4, 0xb4, 0xbb, 0xbb, 0xbf, 0xbf, 0xc2, 0xc2, 
0xc2, 0xc2, 0xc1, 0xc1, 0xbe, 0xbe, 0xb9, 0xb9, 0xb3, 0xb3, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 0x81, 0x81, 0x6d, 0x6d, 0x57, 0x57, 0x42, 0x42, 0x32, 0x32, 
0x29, 0x29, 0x25, 0x25, 0x25, 0x25, 0x28, 0x28, 0x2c, 0x2c, 0x31, 0x31, 0x37, 0x37, 0x3e, 0x3e, 0x46, 0x46, 0x4f, 0x4f, 0x57, 0x57, 0x5e, 0x5e, 0x64, 0x64, 
0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7b, 0x7b, 0x7f, 0x7f, 0x82, 0x82, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0xa1, 0xa1, 0xa0, 0xa0, 0x9c, 0x9c, 0x94, 0x94, 0x89, 0x89, 
0x7a, 0x7a, 0x67, 0x67, 0x53, 0x53, 0x42, 0x42, 0x36, 0x36, 0x32, 0x32, 0x34, 0x34, 0x3c, 0x3c, 0x4a, 0x4a, 0x5c, 0x5c, 0x70, 0x70, 0x82, 0x82, 0x8f, 0x8f, 
0x97, 0x97, 0x9a, 0x9a, 0x99, 0x99, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x6d, 0x6d, 
0x71, 0x71, 0x77, 0x77, 0x80, 0x80, 0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 0x9e, 0x9e, 0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 0x89, 0x89, 0x86, 0x86, 0x86, 0x86, 
0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9e, 0x9e, 0xa6, 0xa6, 0xac, 0xac, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xae, 0xae, 0xac, 0xac, 0xab, 0xab, 0xaa, 0xaa, 
0xa8, 0xa8, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x91, 0x91, 0x8a, 0x8a, 0x81, 0x81, 0x76, 0x76, 0x69, 0x69, 
0x5c, 0x5c, 0x4f, 0x4f, 0x45, 0x45, 0x43, 0x43, 0x48, 0x48, 0x53, 0x53, 0x60, 0x60, 0x6e, 0x6e, 0x7a, 0x7a, 0x85, 0x85, 0x8d, 0x8d, 0x92, 0x92, 0x95, 0x95, 
0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0x9e, 0x9e, 0x98, 0x98, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x87, 0x87, 
0x83, 0x83, 0x7b, 0x7b, 0x6f, 0x6f, 0x61, 0x61, 0x53, 0x53, 0x48, 0x48, 0x41, 0x41, 0x3e, 0x3e, 0x3e, 0x3e, 0x42, 0x42, 0x47, 0x47, 0x4e, 0x4e, 0x55, 0x55, 
0x59, 0x59, 0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 0x78, 0x78, 0x83, 0x83, 0x8b, 0x8b, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x9b, 0x9b, 
0xa1, 0xa1, 0xa9, 0xa9, 0xb0, 0xb0, 0xb2, 0xb2, 0xae, 0xae, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 0x7f, 0x7f, 0x73, 0x73, 0x6a, 0x6a, 0x69, 0x69, 0x6e, 0x6e, 
0x78, 0x78, 0x84, 0x84, 0x8e, 0x8e, 0x95, 0x95, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x7f, 0x7f, 
0x77, 0x77, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x67, 0x67, 0x61, 0x61, 0x59, 0x59, 0x54, 0x54, 
0x52, 0x52, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x69, 0x69, 0x6f, 0x6f, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8e, 0x8e, 0x9a, 0x9a, 0xa4, 0xa4, 0xad, 0xad, 
0xb2, 0xb2, 0xb5, 0xb5, 0xb5, 0xb5, 0xb3, 0xb3, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa7, 0xa7, 0xa3, 0xa3, 0x9f, 0x9f, 0x9a, 0x9a, 0x91, 0x91, 0x85, 0x85, 
0x77, 0x77, 0x6a, 0x6a, 0x61, 0x61, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x6f, 0x6f, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x78, 0x78, 
0x75, 0x75, 0x70, 0x70, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x62, 0x62, 0x69, 0x69, 
0x72, 0x72, 0x7b, 0x7b, 0x82, 0x82, 0x85, 0x85, 0x85, 0x85, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x64, 0x64, 0x59, 0x59, 0x50, 0x50, 0x4b, 0x4b, 0x49, 0x49, 
0x4b, 0x4b, 0x4f, 0x4f, 0x57, 0x57, 0x60, 0x60, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8e, 0x8e, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 
0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 
0x69, 0x69, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5c, 0x5c, 0x61, 0x61, 0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x7a, 0x7a, 
0x82, 0x82, 0x8b, 0x8b, 0x94, 0x94, 0x9a, 0x9a, 0x9f, 0x9f, 0xa1, 0xa1, 0xa1, 0xa1, 0x9c, 0x9c, 0x94, 0x94, 0x8a, 0x8a, 0x80, 0x80, 0x7a, 0x7a, 0x77, 0x77, 
0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x84, 0x84, 0x84, 0x84, 0x81, 0x81, 0x7a, 0x7a, 0x71, 0x71, 0x68, 0x68, 0x60, 0x60, 0x5a, 0x5a, 0x57, 0x57, 
0x55, 0x55, 0x57, 0x57, 0x5c, 0x5c, 0x63, 0x63, 0x6b, 0x6b, 0x73, 0x73, 0x7d, 0x7d, 0x85, 0x85, 0x8c, 0x8c, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 
0x91, 0x91, 0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9e, 0x9e, 0x9d, 0x9d, 0x99, 0x99, 0x93, 0x93, 0x8e, 0x8e, 0x8b, 0x8b, 
0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x99, 0x99, 0xa1, 0xa1, 0xa9, 0xa9, 0xb0, 0xb0, 0xb6, 0xb6, 0xbb, 0xbb, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xb9, 0xb9, 
0xb4, 0xb4, 0xad, 0xad, 0xa3, 0xa3, 0x96, 0x96, 0x88, 0x88, 0x7c, 0x7c, 0x74, 0x74, 0x72, 0x72, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 
0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x86, 0x86, 0x87, 0x87, 0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 0x67, 0x67, 
0x5d, 0x5d, 0x57, 0x57, 0x53, 0x53, 0x52, 0x52, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 0x55, 0x55, 0x59, 0x59, 0x60, 0x60, 0x69, 0x69, 0x75, 0x75, 0x84, 0x84, 
0x94, 0x94, 0xa6, 0xa6, 0xb6, 0xb6, 0xc3, 0xc3, 0xcc, 0xcc, 0xd1, 0xd1, 0xd6, 0xd6, 0xdb, 0xdb, 0xe2, 0xe2, 0xea, 0xea, 0xf1, 0xf1, 0xf6, 0xf6, 0xf6, 0xf6, 
0xf3, 0xf3, 0xef, 0xef, 0xe9, 0xe9, 0xe4, 0xe4, 0xdf, 0xdf, 0xda, 0xda, 0xd4, 0xd4, 0xcc, 0xcc, 0xc3, 0xc3, 0xb8, 0xb8, 0xab, 0xab, 0x9c, 0x9c, 0x8c, 0x8c, 
0x7e, 0x7e, 0x74, 0x74, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6c, 0x6c, 0x66, 0x66, 0x5d, 0x5d, 0x52, 0x52, 0x47, 0x47, 0x3c, 0x3c, 0x32, 0x32, 0x29, 0x29, 
0x22, 0x22, 0x1d, 0x1d, 0x19, 0x19, 0x19, 0x19, 0x1b, 0x1b, 0x20, 0x20, 0x28, 0x28, 0x31, 0x31, 0x3c, 0x3c, 0x47, 0x47, 0x52, 0x52, 0x57, 0x57, 0x56, 0x56, 
0x4d, 0x4d, 0x3e, 0x3e, 0x2e, 0x2e, 0x20, 0x20, 0x17, 0x17, 0x14, 0x14, 0x16, 0x16, 0x1f, 0x1f, 0x2d, 0x2d, 0x3f, 0x3f, 0x54, 0x54, 0x6a, 0x6a, 0x7f, 0x7f, 
0x95, 0x95, 0xa9, 0xa9, 0xbb, 0xbb, 0xcb, 0xcb, 0xd9, 0xd9, 0xe2, 0xe2, 0xe5, 0xe5, 0xe1, 0xe1, 0xd8, 0xd8, 0xcc, 0xcc, 0xbf, 0xbf, 0xb3, 0xb3, 0xa7, 0xa7, 
0x9e, 0x9e, 0x96, 0x96, 0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 0x6b, 0x6b, 0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x56, 0x56, 0x56, 0x56, 
0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x62, 0x62, 
0x68, 0x68, 0x71, 0x71, 0x7b, 0x7b, 0x84, 0x84, 0x8c, 0x8c, 0x93, 0x93, 0x96, 0x96, 0x95, 0x95, 0x8f, 0x8f, 0x86, 0x86, 0x7e, 0x7e, 0x77, 0x77, 0x74, 0x74, 
0x75, 0x75, 0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 0x98, 0x98, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb5, 0xb5, 
0xb5, 0xb5, 0xb1, 0xb1, 0xab, 0xab, 0xa2, 0xa2, 0x98, 0x98, 0x8d, 0x8d, 0x82, 0x82, 0x76, 0x76, 0x6b, 0x6b, 0x5f, 0x5f, 0x54, 0x54, 0x4a, 0x4a, 0x43, 0x43, 
0x40, 0x40, 0x42, 0x42, 0x48, 0x48, 0x4f, 0x4f, 0x55, 0x55, 0x5b, 0x5b, 0x5e, 0x5e, 0x5e, 0x5e, 0x59, 0x59, 0x50, 0x50, 0x44, 0x44, 0x39, 0x39, 0x30, 0x30, 
0x2b, 0x2b, 0x29, 0x29, 0x2a, 0x2a, 0x2e, 0x2e, 0x34, 0x34, 0x3c, 0x3c, 0x45, 0x45, 0x51, 0x51, 0x5f, 0x5f, 0x6f, 0x6f, 0x7e, 0x7e, 0x8c, 0x8c, 0x99, 0x99, 
0xa3, 0xa3, 0xab, 0xab, 0xb0, 0xb0, 0xb3, 0xb3, 0xb3, 0xb3, 0xb1, 0xb1, 0xae, 0xae, 0xa8, 0xa8, 0xa2, 0xa2, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x91, 0x91, 
0x94, 0x94, 0x9c, 0x9c, 0xa9, 0xa9, 0xb9, 0xb9, 0xc9, 0xc9, 0xd4, 0xd4, 0xdb, 0xdb, 0xdd, 0xdd, 0xdb, 0xdb, 0xd7, 0xd7, 0xd1, 0xd1, 0xcb, 0xcb, 0xc5, 0xc5, 
0xc0, 0xc0, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xaf, 0xaf, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 0x7f, 0x7f, 
0x77, 0x77, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x53, 0x53, 0x4f, 0x4f, 0x4b, 0x4b, 0x46, 0x46, 0x42, 0x42, 0x3d, 0x3d, 0x37, 0x37, 0x32, 0x32, 
0x2d, 0x2d, 0x2a, 0x2a, 0x2a, 0x2a, 0x2d, 0x2d, 0x33, 0x33, 0x3a, 0x3a, 0x41, 0x41, 0x48, 0x48, 0x4f, 0x4f, 0x55, 0x55, 0x5a, 0x5a, 0x5e, 0x5e, 0x60, 0x60, 
0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5f, 0x5f, 0x68, 0x68, 0x76, 0x76, 0x89, 0x89, 0x9e, 0x9e, 
0xb5, 0xb5, 0xcd, 0xcd, 0xe2, 0xe2, 0xf4, 0xf4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf4, 0xf4, 0xe8, 0xe8, 0xdb, 0xdb, 0xcd, 0xcd, 0xc2, 0xc2, 
0xb8, 0xb8, 0xb0, 0xb0, 0xac, 0xac, 0xab, 0xab, 0xad, 0xad, 0xb0, 0xb0, 0xb1, 0xb1, 0xad, 0xad, 0xa2, 0xa2, 0x92, 0x92, 0x7e, 0x7e, 0x68, 0x68, 0x51, 0x51, 
0x3b, 0x3b, 0x28, 0x28, 0x1b, 0x1b, 0x14, 0x14, 0x13, 0x13, 0x16, 0x16, 0x1b, 0x1b, 0x22, 0x22, 0x2b, 0x2b, 0x36, 0x36, 0x43, 0x43, 0x52, 0x52, 0x63, 0x63, 
0x73, 0x73, 0x81, 0x81, 0x8b, 0x8b, 0x93, 0x93, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7b, 0x7b, 
0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7e, 0x7e, 0x85, 0x85, 0x8f, 0x8f, 0x9a, 0x9a, 0xa4, 0xa4, 0xab, 0xab, 0xad, 0xad, 0xad, 0xad, 0xab, 0xab, 0xa9, 0xa9, 
0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xab, 0xab, 0xa7, 0xa7, 0xa1, 0xa1, 0x98, 0x98, 0x8d, 0x8d, 0x82, 0x82, 0x78, 0x78, 
0x6e, 0x6e, 0x67, 0x67, 0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 0x73, 0x73, 0x73, 0x73, 0x70, 0x70, 0x69, 0x69, 
0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x55, 0x55, 0x57, 0x57, 0x5b, 0x5b, 0x61, 0x61, 0x68, 0x68, 0x6f, 0x6f, 0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 
0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 0x7d, 0x7d, 
0x83, 0x83, 0x8a, 0x8a, 0x94, 0x94, 0x9e, 0x9e, 0xaa, 0xaa, 0xb5, 0xb5, 0xbe, 0xbe, 0xc3, 0xc3, 0xc3, 0xc3, 0xbf, 0xbf, 0xb7, 0xb7, 0xad, 0xad, 0xa0, 0xa0, 
0x91, 0x91, 0x83, 0x83, 0x76, 0x76, 0x6b, 0x6b, 0x63, 0x63, 0x5d, 0x5d, 0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x7a, 0x7a, 
0x80, 0x80, 0x85, 0x85, 0x88, 0x88, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7e, 0x7e, 0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x63, 0x63, 
0x5e, 0x5e, 0x5c, 0x5c, 0x5c, 0x5c, 0x5e, 0x5e, 0x63, 0x63, 0x6b, 0x6b, 0x74, 0x74, 0x7c, 0x7c, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 
0x72, 0x72, 0x68, 0x68, 0x5e, 0x5e, 0x55, 0x55, 0x4e, 0x4e, 0x49, 0x49, 0x47, 0x47, 0x49, 0x49, 0x50, 0x50, 0x5a, 0x5a, 0x67, 0x67, 0x76, 0x76, 0x87, 0x87, 
0x98, 0x98, 0xa6, 0xa6, 0xb2, 0xb2, 0xb9, 0xb9, 0xbc, 0xbc, 0xbb, 0xbb, 0xb6, 0xb6, 0xad, 0xad, 0xa3, 0xa3, 0x99, 0x99, 0x93, 0x93, 0x91, 0x91, 0x93, 0x93, 
0x97, 0x97, 0x9d, 0x9d, 0xa4, 0xa4, 0xab, 0xab, 0xb1, 0xb1, 0xb5, 0xb5, 0xb8, 0xb8, 0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 
0x9d, 0x9d, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7c, 0x7c, 0x74, 0x74, 0x6c, 0x6c, 0x64, 0x64, 0x5c, 0x5c, 0x54, 0x54, 0x4d, 0x4d, 0x4a, 0x4a, 0x4c, 0x4c, 
0x54, 0x54, 0x60, 0x60, 0x6f, 0x6f, 0x7e, 0x7e, 0x8b, 0x8b, 0x97, 0x97, 0x9e, 0x9e, 0xa1, 0xa1, 0x9f, 0x9f, 0x99, 0x99, 0x92, 0x92, 0x8b, 0x8b, 0x85, 0x85, 
0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8e, 0x8e, 0x96, 0x96, 0x9d, 0x9d, 0xa2, 0xa2, 0xa3, 0xa3, 0xa2, 0xa2, 
0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 
0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x71, 0x71, 0x6c, 0x6c, 0x69, 0x69, 0x69, 0x69, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 
0x7f, 0x7f, 0x86, 0x86, 0x8b, 0x8b, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x73, 0x73, 0x73, 0x73, 0x77, 0x77, 
0x7d, 0x7d, 0x84, 0x84, 0x8d, 0x8d, 0x96, 0x96, 0x9e, 0x9e, 0xa2, 0xa2, 0xa0, 0xa0, 0x97, 0x97, 0x8a, 0x8a, 0x7c, 0x7c, 0x6f, 0x6f, 0x65, 0x65, 0x5f, 0x5f, 
0x5e, 0x5e, 0x62, 0x62, 0x6c, 0x6c, 0x79, 0x79, 0x86, 0x86, 0x93, 0x93, 0x9d, 0x9d, 0xa5, 0xa5, 0xaa, 0xaa, 0xad, 0xad, 0xad, 0xad, 0xac, 0xac, 0xa9, 0xa9, 
0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 
0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x67, 0x67, 0x66, 0x66, 0x63, 0x63, 
0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4d, 0x4d, 0x4b, 0x4b, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 0x50, 0x50, 
0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x70, 0x70, 0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x94, 0x94, 0x9f, 0x9f, 0xac, 0xac, 0xba, 0xba, 0xc7, 0xc7, 
0xd3, 0xd3, 0xdb, 0xdb, 0xe1, 0xe1, 0xe4, 0xe4, 0xe4, 0xe4, 0xe1, 0xe1, 0xdc, 0xdc, 0xd6, 0xd6, 0xd1, 0xd1, 0xcc, 0xcc, 0xc7, 0xc7, 0xc3, 0xc3, 0xbe, 0xbe, 
0xb7, 0xb7, 0xb0, 0xb0, 0xa7, 0xa7, 0x9b, 0x9b, 0x8e, 0x8e, 0x7f, 0x7f, 0x71, 0x71, 0x65, 0x65, 0x5b, 0x5b, 0x55, 0x55, 0x51, 0x51, 0x51, 0x51, 0x54, 0x54, 
0x58, 0x58, 0x5c, 0x5c, 0x5d, 0x5d, 0x5b, 0x5b, 0x56, 0x56, 0x50, 0x50, 0x49, 0x49, 0x42, 0x42, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x37, 0x37, 0x3a, 0x3a, 
0x3e, 0x3e, 0x43, 0x43, 0x49, 0x49, 0x4f, 0x4f, 0x55, 0x55, 0x5b, 0x5b, 0x60, 0x60, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 0x7f, 0x7f, 
0x87, 0x87, 0x91, 0x91, 0x9c, 0x9c, 0xa7, 0xa7, 0xb0, 0xb0, 0xb6, 0xb6, 0xbb, 0xbb, 0xbe, 0xbe, 0xbf, 0xbf, 0xbf, 0xbf, 0xbe, 0xbe, 0xbd, 0xbd, 0xbc, 0xbc, 
0xba, 0xba, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xaa, 0xaa, 0xa8, 0xa8, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 0x9f, 0x9f, 
0x98, 0x98, 0x90, 0x90, 0x86, 0x86, 0x7c, 0x7c, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x62, 0x62, 0x61, 0x61, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x70, 0x70, 
0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x7f, 0x7f, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x67, 0x67, 0x66, 0x66, 
0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 
0x7f, 0x7f, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 
0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 0x71, 0x71, 0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5c, 0x5c, 0x5a, 0x5a, 
0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x56, 0x56, 0x55, 0x55, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4a, 0x4a, 0x49, 0x49, 0x4b, 0x4b, 0x4f, 0x4f, 0x55, 0x55, 
0x5f, 0x5f, 0x6a, 0x6a, 0x78, 0x78, 0x86, 0x86, 0x95, 0x95, 0xa3, 0xa3, 0xb0, 0xb0, 0xb9, 0xb9, 0xbe, 0xbe, 0xbd, 0xbd, 0xb8, 0xb8, 0xb1, 0xb1, 0xab, 0xab, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa5, 0xa5, 0xaa, 0xaa, 0xb3, 0xb3, 0xbf, 0xbf, 0xca, 0xca, 0xd2, 0xd2, 0xd6, 0xd6, 0xd6, 0xd6, 0xd2, 0xd2, 0xca, 0xca, 0xc0, 0xc0, 
0xb2, 0xb2, 0xa4, 0xa4, 0x96, 0x96, 0x88, 0x88, 0x7b, 0x7b, 0x70, 0x70, 0x69, 0x69, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x61, 0x61, 0x5e, 0x5e, 0x59, 0x59, 
0x52, 0x52, 0x49, 0x49, 0x3e, 0x3e, 0x33, 0x33, 0x2b, 0x2b, 0x27, 0x27, 0x29, 0x29, 0x30, 0x30, 0x3a, 0x3a, 0x46, 0x46, 0x52, 0x52, 0x5e, 0x5e, 0x67, 0x67, 
0x6b, 0x6b, 0x6b, 0x6b, 0x67, 0x67, 0x61, 0x61, 0x5c, 0x5c, 0x58, 0x58, 0x56, 0x56, 0x58, 0x58, 0x5e, 0x5e, 0x69, 0x69, 0x78, 0x78, 0x86, 0x86, 0x94, 0x94, 
0x9e, 0x9e, 0xa6, 0xa6, 0xaa, 0xaa, 0xab, 0xab, 0xa9, 0xa9, 0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 0x97, 0x97, 0x95, 0x95, 0x96, 0x96, 0x9a, 0x9a, 0xa2, 0xa2, 
0xab, 0xab, 0xb5, 0xb5, 0xbf, 0xbf, 0xc8, 0xc8, 0xcf, 0xcf, 0xd3, 0xd3, 0xd3, 0xd3, 0xcf, 0xcf, 0xc8, 0xc8, 0xbf, 0xbf, 0xb5, 0xb5, 0xab, 0xab, 0xa1, 0xa1, 
0x96, 0x96, 0x8b, 0x8b, 0x7e, 0x7e, 0x72, 0x72, 0x68, 0x68, 0x61, 0x61, 0x5e, 0x5e, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x70, 0x70, 0x73, 0x73, 
0x73, 0x73, 0x70, 0x70, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x50, 0x50, 0x4b, 0x4b, 0x45, 0x45, 0x3f, 0x3f, 0x3a, 0x3a, 0x38, 0x38, 
0x39, 0x39, 0x3d, 0x3d, 0x44, 0x44, 0x4c, 0x4c, 0x56, 0x56, 0x60, 0x60, 0x6c, 0x6c, 0x78, 0x78, 0x84, 0x84, 0x91, 0x91, 0x9c, 0x9c, 0xa5, 0xa5, 0xac, 0xac, 
0xb0, 0xb0, 0xb1, 0xb1, 0xaf, 0xaf, 0xaa, 0xaa, 0xa4, 0xa4, 0x9e, 0x9e, 0x9b, 0x9b, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xac, 0xac, 
0xae, 0xae, 0xb0, 0xb0, 0xb2, 0xb2, 0xb4, 0xb4, 0xb6, 0xb6, 0xb5, 0xb5, 0xb2, 0xb2, 0xae, 0xae, 0xa8, 0xa8, 0xa0, 0xa0, 0x96, 0x96, 0x8c, 0x8c, 0x82, 0x82, 
0x79, 0x79, 0x73, 0x73, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x66, 0x66, 0x6c, 0x6c, 0x75, 0x75, 0x82, 0x82, 0x8f, 0x8f, 0x9a, 0x9a, 
0xa3, 0xa3, 0xaa, 0xaa, 0xac, 0xac, 0xaa, 0xaa, 0xa3, 0xa3, 0x9a, 0x9a, 0x8e, 0x8e, 0x81, 0x81, 0x74, 0x74, 0x67, 0x67, 0x5b, 0x5b, 0x50, 0x50, 0x48, 0x48, 
0x41, 0x41, 0x3c, 0x3c, 0x3a, 0x3a, 0x3b, 0x3b, 0x3e, 0x3e, 0x40, 0x40, 0x41, 0x41, 0x40, 0x40, 0x3e, 0x3e, 0x3b, 0x3b, 0x39, 0x39, 0x39, 0x39, 0x3b, 0x3b, 
0x42, 0x42, 0x4e, 0x4e, 0x60, 0x60, 0x76, 0x76, 0x8e, 0x8e, 0xa5, 0xa5, 0xba, 0xba, 0xcc, 0xcc, 0xda, 0xda, 0xe2, 0xe2, 0xe5, 0xe5, 0xe3, 0xe3, 0xdc, 0xdc, 
0xd2, 0xd2, 0xc6, 0xc6, 0xb7, 0xb7, 0xa8, 0xa8, 0x9b, 0x9b, 0x90, 0x90, 0x87, 0x87, 0x80, 0x80, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x6e, 0x6e, 
0x68, 0x68, 0x60, 0x60, 0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4c, 0x4c, 0x4b, 0x4b, 0x4b, 0x4b, 0x4c, 0x4c, 0x4d, 0x4d, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 
0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x5c, 0x5c, 0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 0x80, 0x80, 0x8a, 0x8a, 0x92, 0x92, 0x98, 0x98, 0x9d, 0x9d, 
0x9e, 0x9e, 0x9b, 0x9b, 0x94, 0x94, 0x8a, 0x8a, 0x7f, 0x7f, 0x75, 0x75, 0x6e, 0x6e, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 
0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8e, 0x8e, 0x9b, 0x9b, 0xaa, 0xaa, 0xba, 0xba, 0xc8, 0xc8, 0xd1, 0xd1, 0xd4, 0xd4, 0xd3, 0xd3, 0xce, 0xce, 0xc9, 0xc9, 
0xc3, 0xc3, 0xbe, 0xbe, 0xb9, 0xb9, 0xb4, 0xb4, 0xaf, 0xaf, 0xab, 0xab, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x90, 0x90, 0x89, 0x89, 
0x80, 0x80, 0x75, 0x75, 0x68, 0x68, 0x58, 0x58, 0x47, 0x47, 0x39, 0x39, 0x2f, 0x2f, 0x2b, 0x2b, 0x2a, 0x2a, 0x2b, 0x2b, 0x2a, 0x2a, 0x27, 0x27, 0x21, 0x21, 
0x1b, 0x1b, 0x17, 0x17, 0x17, 0x17, 0x1a, 0x1a, 0x20, 0x20, 0x29, 0x29, 0x34, 0x34, 0x3f, 0x3f, 0x49, 0x49, 0x50, 0x50, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 
0x56, 0x56, 0x5d, 0x5d, 0x68, 0x68, 0x75, 0x75, 0x82, 0x82, 0x8e, 0x8e, 0x99, 0x99, 0xa3, 0xa3, 0xad, 0xad, 0xb6, 0xb6, 0xbf, 0xbf, 0xc5, 0xc5, 0xc7, 0xc7, 
0xc5, 0xc5, 0xc0, 0xc0, 0xb9, 0xb9, 0xb2, 0xb2, 0xab, 0xab, 0xa6, 0xa6, 0xa4, 0xa4, 0xa6, 0xa6, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc3, 0xc3, 0xc4, 0xc4, 
0xc0, 0xc0, 0xbb, 0xbb, 0xb6, 0xb6, 0xb3, 0xb3, 0xb1, 0xb1, 0xb0, 0xb0, 0xaf, 0xaf, 0xad, 0xad, 0xab, 0xab, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 0xa0, 0xa0, 
0x9c, 0x9c, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x85, 0x85, 0x7a, 0x7a, 0x6e, 0x6e, 0x60, 0x60, 0x54, 0x54, 0x4b, 0x4b, 0x46, 0x46, 0x44, 0x44, 0x44, 0x44, 
0x44, 0x44, 0x44, 0x44, 0x42, 0x42, 0x3f, 0x3f, 0x3b, 0x3b, 0x38, 0x38, 0x35, 0x35, 0x32, 0x32, 0x31, 0x31, 0x30, 0x30, 0x32, 0x32, 0x36, 0x36, 0x3e, 0x3e, 
0x49, 0x49, 0x58, 0x58, 0x6b, 0x6b, 0x81, 0x81, 0x9a, 0x9a, 0xb4, 0xb4, 0xcc, 0xcc, 0xdd, 0xdd, 0xe7, 0xe7, 0xea, 0xea, 0xe8, 0xe8, 0xe1, 0xe1, 0xd7, 0xd7, 
0xcb, 0xcb, 0xbe, 0xbe, 0xb4, 0xb4, 0xab, 0xab, 0xa4, 0xa4, 0x9f, 0x9f, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 
0x94, 0x94, 0x8e, 0x8e, 0x87, 0x87, 0x7e, 0x7e, 0x76, 0x76, 0x70, 0x70, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 
0x8a, 0x8a, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x89, 0x89, 
0x80, 0x80, 0x76, 0x76, 0x6c, 0x6c, 0x64, 0x64, 0x5e, 0x5e, 0x5b, 0x5b, 0x5a, 0x5a, 0x5c, 0x5c, 0x61, 0x61, 0x69, 0x69, 0x72, 0x72, 0x7b, 0x7b, 0x82, 0x82, 
0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 
0x80, 0x80, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x5f, 0x5f, 0x58, 0x58, 
0x53, 0x53, 0x4f, 0x4f, 0x4d, 0x4d, 0x4d, 0x4d, 0x4f, 0x4f, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x69, 0x69, 0x71, 0x71, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 
0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x82, 0x82, 
0x80, 0x80, 0x81, 0x81, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x94, 0x94, 0x8f, 0x8f, 0x8a, 0x8a, 0x85, 0x85, 
0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x77, 0x77, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 
0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 
0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 0x73, 0x73, 0x6c, 0x6c, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 0x54, 0x54, 0x4f, 0x4f, 0x4c, 0x4c, 0x49, 0x49, 
0x47, 0x47, 0x45, 0x45, 0x45, 0x45, 0x46, 0x46, 0x47, 0x47, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 0x4f, 0x4f, 0x50, 0x50, 0x4f, 0x4f, 0x4c, 0x4c, 0x48, 0x48, 
0x45, 0x45, 0x47, 0x47, 0x4e, 0x4e, 0x59, 0x59, 0x67, 0x67, 0x78, 0x78, 0x8a, 0x8a, 0x9c, 0x9c, 0xad, 0xad, 0xbb, 0xbb, 0xc6, 0xc6, 0xcf, 0xcf, 0xd4, 0xd4, 
0xd5, 0xd5, 0xd3, 0xd3, 0xcf, 0xcf, 0xc9, 0xc9, 0xc2, 0xc2, 0xbb, 0xbb, 0xb5, 0xb5, 0xb1, 0xb1, 0xb1, 0xb1, 0xb3, 0xb3, 0xb8, 0xb8, 0xbc, 0xbc, 0xbd, 0xbd, 
0xb9, 0xb9, 0xb1, 0xb1, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 0x80, 0x80, 0x76, 0x76, 0x6f, 0x6f, 0x6c, 0x6c, 0x6c, 0x6c, 0x6f, 0x6f, 0x75, 0x75, 0x7c, 0x7c, 
0x84, 0x84, 0x8d, 0x8d, 0x95, 0x95, 0x9b, 0x9b, 0xa1, 0xa1, 0xa3, 0xa3, 0xa2, 0xa2, 0x9c, 0x9c, 0x94, 0x94, 0x8b, 0x8b, 0x83, 0x83, 0x7d, 0x7d, 0x79, 0x79, 
0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x72, 0x72, 0x70, 0x70, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 
0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x6f, 0x6f, 0x78, 0x78, 0x84, 0x84, 0x8f, 0x8f, 0x98, 0x98, 0x9c, 0x9c, 0x9c, 0x9c, 0x9a, 0x9a, 0x94, 0x94, 
0x8c, 0x8c, 0x84, 0x84, 0x7e, 0x7e, 0x7b, 0x7b, 0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x98, 0x98, 
0x98, 0x98, 0x95, 0x95, 0x8e, 0x8e, 0x84, 0x84, 0x76, 0x76, 0x67, 0x67, 0x59, 0x59, 0x4e, 0x4e, 0x45, 0x45, 0x40, 0x40, 0x42, 0x42, 0x49, 0x49, 0x55, 0x55, 
0x62, 0x62, 0x6f, 0x6f, 0x7a, 0x7a, 0x82, 0x82, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x98, 0x98, 0x92, 0x92, 0x88, 0x88, 0x7f, 0x7f, 
0x79, 0x79, 0x76, 0x76, 0x78, 0x78, 0x7d, 0x7d, 0x86, 0x86, 0x91, 0x91, 0x9e, 0x9e, 0xa9, 0xa9, 0xb0, 0xb0, 0xb2, 0xb2, 0xb1, 0xb1, 0xae, 0xae, 0xac, 0xac, 
0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xa8, 0xa8, 0xa1, 0xa1, 0x98, 0x98, 0x8d, 0x8d, 0x84, 0x84, 0x7c, 0x7c, 0x77, 0x77, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 
0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7c, 0x7c, 0x76, 0x76, 0x6c, 0x6c, 0x60, 0x60, 
0x55, 0x55, 0x4d, 0x4d, 0x49, 0x49, 0x4a, 0x4a, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 
0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x75, 0x75, 0x77, 0x77, 0x76, 0x76, 0x73, 0x73, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 
0x54, 0x54, 0x4d, 0x4d, 0x47, 0x47, 0x45, 0x45, 0x46, 0x46, 0x4b, 0x4b, 0x56, 0x56, 0x65, 0x65, 0x7b, 0x7b, 0x93, 0x93, 0xaa, 0xaa, 0xbf, 0xbf, 0xce, 0xce, 
0xd7, 0xd7, 0xdb, 0xdb, 0xd9, 0xd9, 0xd1, 0xd1, 0xc6, 0xc6, 0xb9, 0xb9, 0xac, 0xac, 0xa0, 0xa0, 0x95, 0x95, 0x8f, 0x8f, 0x8d, 0x8d, 0x90, 0x90, 0x96, 0x96, 
0x9e, 0x9e, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 0xa3, 0xa3, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x70, 0x70, 0x65, 0x65, 0x5f, 0x5f, 0x5e, 0x5e, 0x61, 0x61, 
0x67, 0x67, 0x71, 0x71, 0x7b, 0x7b, 0x86, 0x86, 0x91, 0x91, 0x9a, 0x9a, 0xa3, 0xa3, 0xa9, 0xa9, 0xad, 0xad, 0xaf, 0xaf, 0xae, 0xae, 0xab, 0xab, 0xa4, 0xa4, 
0x9b, 0x9b, 0x8f, 0x8f, 0x83, 0x83, 0x77, 0x77, 0x6d, 0x6d, 0x63, 0x63, 0x5b, 0x5b, 0x54, 0x54, 0x4e, 0x4e, 0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 0x41, 0x41, 
0x42, 0x42, 0x45, 0x45, 0x4a, 0x4a, 0x50, 0x50, 0x58, 0x58, 0x60, 0x60, 0x68, 0x68, 0x71, 0x71, 0x7a, 0x7a, 0x82, 0x82, 0x8b, 0x8b, 0x94, 0x94, 0x9d, 0x9d, 
0xa4, 0xa4, 0xa7, 0xa7, 0xa8, 0xa8, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8a, 0x8a, 0x82, 0x82, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x65, 0x65, 
0x5f, 0x5f, 0x5a, 0x5a, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x58, 0x58, 0x5c, 0x5c, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 
0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 0x83, 0x83, 
0x8a, 0x8a, 0x91, 0x91, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 
0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7f, 0x7f, 0x82, 0x82, 0x89, 0x89, 0x93, 0x93, 0x9f, 0x9f, 0xaa, 0xaa, 0xb2, 0xb2, 0xb7, 0xb7, 0xb9, 0xb9, 0xb8, 0xb8, 
0xb6, 0xb6, 0xb2, 0xb2, 0xac, 0xac, 0xa5, 0xa5, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x6e, 0x6e, 0x62, 0x62, 0x58, 0x58, 0x52, 0x52, 0x50, 0x50, 0x52, 0x52, 
0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6d, 0x6d, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x81, 0x81, 0x7e, 0x7e, 
0x78, 0x78, 0x70, 0x70, 0x67, 0x67, 0x5f, 0x5f, 0x57, 0x57, 0x51, 0x51, 0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x56, 0x56, 0x5d, 0x5d, 0x66, 0x66, 0x70, 0x70, 
0x7a, 0x7a, 0x84, 0x84, 0x8e, 0x8e, 0x96, 0x96, 0x9a, 0x9a, 0x97, 0x97, 0x8e, 0x8e, 0x7f, 0x7f, 0x6e, 0x6e, 0x5f, 0x5f, 0x53, 0x53, 0x4b, 0x4b, 0x49, 0x49, 
0x4e, 0x4e, 0x5a, 0x5a, 0x6c, 0x6c, 0x80, 0x80, 0x95, 0x95, 0xa9, 0xa9, 0xbc, 0xbc, 0xcc, 0xcc, 0xd6, 0xd6, 0xdc, 0xdc, 0xdb, 0xdb, 0xd4, 0xd4, 0xc5, 0xc5, 
0xaf, 0xaf, 0x94, 0x94, 0x7b, 0x7b, 0x67, 0x67, 0x5b, 0x5b, 0x56, 0x56, 0x59, 0x59, 0x61, 0x61, 0x6f, 0x6f, 0x7f, 0x7f, 0x8c, 0x8c, 0x94, 0x94, 0x96, 0x96, 
0x91, 0x91, 0x8a, 0x8a, 0x81, 0x81, 0x79, 0x79, 0x72, 0x72, 0x6f, 0x6f, 0x6f, 0x6f, 0x73, 0x73, 0x7b, 0x7b, 0x84, 0x84, 0x8f, 0x8f, 0x98, 0x98, 0xa1, 0xa1, 
0xa5, 0xa5, 0xa3, 0xa3, 0x99, 0x99, 0x8b, 0x8b, 0x7b, 0x7b, 0x6c, 0x6c, 0x5f, 0x5f, 0x56, 0x56, 0x53, 0x53, 0x55, 0x55, 0x5e, 0x5e, 0x6b, 0x6b, 0x78, 0x78, 
0x80, 0x80, 0x84, 0x84, 0x83, 0x83, 0x7f, 0x7f, 0x79, 0x79, 0x73, 0x73, 0x6e, 0x6e, 0x6a, 0x6a, 0x68, 0x68, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 
0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8c, 0x8c, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 0x6f, 0x6f, 0x6a, 0x6a, 
0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 
0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x91, 0x91, 0x99, 0x99, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 0xae, 0xae, 0xac, 0xac, 
0xa8, 0xa8, 0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x88, 0x88, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 
0x59, 0x59, 0x56, 0x56, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x61, 0x61, 0x68, 0x68, 0x70, 0x70, 0x78, 0x78, 0x81, 0x81, 0x89, 0x89, 
0x91, 0x91, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0xa0, 0xa0, 0xa3, 0xa3, 0xa8, 0xa8, 0xab, 0xab, 
0xad, 0xad, 0xad, 0xad, 0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9d, 0x9d, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 
0x7c, 0x7c, 0x78, 0x78, 0x73, 0x73, 0x6d, 0x6d, 0x66, 0x66, 0x5e, 0x5e, 0x56, 0x56, 0x4f, 0x4f, 0x4a, 0x4a, 0x46, 0x46, 0x45, 0x45, 0x47, 0x47, 0x4d, 0x4d, 
0x56, 0x56, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 0x72, 0x72, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 
0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x76, 0x76, 0x80, 0x80, 0x8c, 0x8c, 0x98, 0x98, 0xa5, 0xa5, 0xaf, 0xaf, 0xb3, 0xb3, 0xb2, 0xb2, 0xac, 0xac, 0xa3, 0xa3, 
0x97, 0x97, 0x8a, 0x8a, 0x7d, 0x7d, 0x73, 0x73, 0x6c, 0x6c, 0x6b, 0x6b, 0x6e, 0x6e, 0x74, 0x74, 0x7d, 0x7d, 0x88, 0x88, 0x93, 0x93, 0x9e, 0x9e, 0xa7, 0xa7, 
0xae, 0xae, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb3, 0xb3, 0xb1, 0xb1, 0xb0, 0xb0, 0xaf, 0xaf, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xad, 0xad, 0xa6, 0xa6, 
0x9c, 0x9c, 0x91, 0x91, 0x85, 0x85, 0x79, 0x79, 0x6e, 0x6e, 0x64, 0x64, 0x5d, 0x5d, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 
0x59, 0x59, 0x59, 0x59, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6d, 0x6d, 0x74, 0x74, 0x7c, 0x7c, 
0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x98, 0x98, 0x9e, 0x9e, 0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0x9e, 0x9e, 0x94, 0x94, 
0x88, 0x88, 0x7b, 0x7b, 0x70, 0x70, 0x69, 0x69, 0x66, 0x66, 0x67, 0x67, 0x6b, 0x6b, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 
0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 
0x8b, 0x8b, 0x83, 0x83, 0x7a, 0x7a, 0x70, 0x70, 0x66, 0x66, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 
0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8e, 0x8e, 0x96, 0x96, 0x9c, 0x9c, 0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 
0xaa, 0xaa, 0xac, 0xac, 0xab, 0xab, 0xa8, 0xa8, 0xa1, 0xa1, 0x98, 0x98, 0x8c, 0x8c, 0x80, 0x80, 0x74, 0x74, 0x69, 0x69, 0x5f, 0x5f, 0x57, 0x57, 0x52, 0x52, 
0x4f, 0x4f, 0x4e, 0x4e, 0x4c, 0x4c, 0x4b, 0x4b, 0x4a, 0x4a, 0x4b, 0x4b, 0x4f, 0x4f, 0x56, 0x56, 0x61, 0x61, 0x6c, 0x6c, 0x76, 0x76, 0x7f, 0x7f, 0x86, 0x86, 
0x89, 0x89, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x8b, 0x8b, 0x91, 0x91, 
0x97, 0x97, 0x9e, 0x9e, 0xa5, 0xa5, 0xa9, 0xa9, 0xa9, 0xa9, 0xa4, 0xa4, 0x9c, 0x9c, 0x91, 0x91, 0x84, 0x84, 0x77, 0x77, 0x69, 0x69, 0x5d, 0x5d, 0x52, 0x52, 
0x4b, 0x4b, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x48, 0x48, 0x4e, 0x4e, 0x56, 0x56, 0x60, 0x60, 0x68, 0x68, 0x6d, 0x6d, 0x6e, 0x6e, 
0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x60, 0x60, 0x68, 0x68, 0x73, 0x73, 0x7f, 0x7f, 0x8b, 0x8b, 0x96, 0x96, 0xa0, 0xa0, 
0xa8, 0xa8, 0xaf, 0xaf, 0xb3, 0xb3, 0xb6, 0xb6, 0xb7, 0xb7, 0xb5, 0xb5, 0xb0, 0xb0, 0xaa, 0xaa, 0xa3, 0xa3, 0x9c, 0x9c, 0x96, 0x96, 0x90, 0x90, 0x8b, 0x8b, 
0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 
0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x4a, 0x4a, 
0x4d, 0x4d, 0x52, 0x52, 0x5a, 0x5a, 0x64, 0x64, 0x6f, 0x6f, 0x78, 0x78, 0x7e, 0x7e, 0x7f, 0x7f, 0x7c, 0x7c, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 
0x62, 0x62, 0x66, 0x66, 0x70, 0x70, 0x80, 0x80, 0x92, 0x92, 0xa4, 0xa4, 0xb4, 0xb4, 0xc3, 0xc3, 0xcd, 0xcd, 0xd3, 0xd3, 0xd4, 0xd4, 0xd1, 0xd1, 0xcc, 0xcc, 
0xc5, 0xc5, 0xbf, 0xbf, 0xb9, 0xb9, 0xb5, 0xb5, 0xb4, 0xb4, 0xb5, 0xb5, 0xb9, 0xb9, 0xbe, 0xbe, 0xc1, 0xc1, 0xc3, 0xc3, 0xc3, 0xc3, 0xbf, 0xbf, 0xb7, 0xb7, 
0xa9, 0xa9, 0x98, 0x98, 0x86, 0x86, 0x74, 0x74, 0x64, 0x64, 0x56, 0x56, 0x4a, 0x4a, 0x41, 0x41, 0x3b, 0x3b, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 0x3a, 0x3a, 
0x3e, 0x3e, 0x42, 0x42, 0x47, 0x47, 0x4d, 0x4d, 0x54, 0x54, 0x5a, 0x5a, 0x60, 0x60, 0x66, 0x66, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x86, 0x86, 0x90, 0x90, 
0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 0xaf, 0xaf, 0xb2, 0xb2, 0xb3, 0xb3, 0xb2, 0xb2, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xad, 0xad, 
0xad, 0xad, 0xad, 0xad, 0xab, 0xab, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x86, 0x86, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x65, 0x65, 
0x63, 0x63, 0x63, 0x63, 0x66, 0x66, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 
0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x66, 0x66, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 
0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 0x93, 0x93, 0x9b, 0x9b, 
0xa1, 0xa1, 0xa8, 0xa8, 0xad, 0xad, 0xb0, 0xb0, 0xb1, 0xb1, 0xae, 0xae, 0xa9, 0xa9, 0xa4, 0xa4, 0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 
0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x7f, 0x7f, 0x74, 0x74, 0x68, 0x68, 0x5c, 0x5c, 0x51, 0x51, 0x49, 0x49, 0x44, 0x44, 0x40, 0x40, 0x3e, 0x3e, 0x3d, 0x3d, 
0x3f, 0x3f, 0x43, 0x43, 0x4b, 0x4b, 0x58, 0x58, 0x69, 0x69, 0x7a, 0x7a, 0x8a, 0x8a, 0x98, 0x98, 0xa2, 0xa2, 0xa9, 0xa9, 0xaa, 0xaa, 0xa7, 0xa7, 0xa0, 0xa0, 
0x98, 0x98, 0x91, 0x91, 0x8a, 0x8a, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x81, 0x81, 0x86, 0x86, 0x8d, 0x8d, 0x92, 0x92, 
0x93, 0x93, 0x90, 0x90, 0x89, 0x89, 0x7f, 0x7f, 0x72, 0x72, 0x64, 0x64, 0x55, 0x55, 0x49, 0x49, 0x40, 0x40, 0x3c, 0x3c, 0x3c, 0x3c, 0x3f, 0x3f, 0x44, 0x44, 
0x4a, 0x4a, 0x51, 0x51, 0x59, 0x59, 0x61, 0x61, 0x69, 0x69, 0x71, 0x71, 0x77, 0x77, 0x7b, 0x7b, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 
0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x94, 0x94, 0x99, 0x99, 0xa2, 0xa2, 
0xab, 0xab, 0xb3, 0xb3, 0xb8, 0xb8, 0xba, 0xba, 0xb8, 0xb8, 0xb2, 0xb2, 0xa7, 0xa7, 0x99, 0x99, 0x8b, 0x8b, 0x7c, 0x7c, 0x6f, 0x6f, 0x64, 0x64, 0x5a, 0x5a, 
0x53, 0x53, 0x4d, 0x4d, 0x49, 0x49, 0x47, 0x47, 0x47, 0x47, 0x4a, 0x4a, 0x4d, 0x4d, 0x51, 0x51, 0x53, 0x53, 0x54, 0x54, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 
0x53, 0x53, 0x56, 0x56, 0x5b, 0x5b, 0x62, 0x62, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x99, 0x99, 0xa0, 0xa0, 
0xa8, 0xa8, 0xae, 0xae, 0xb1, 0xb1, 0xb0, 0xb0, 0xad, 0xad, 0xa7, 0xa7, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 
0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9d, 0x9d, 0xa4, 0xa4, 0xab, 0xab, 0xb1, 0xb1, 0xb7, 0xb7, 0xb9, 0xb9, 0xb8, 0xb8, 0xb4, 0xb4, 0xad, 0xad, 
0xa3, 0xa3, 0x98, 0x98, 0x8b, 0x8b, 0x7f, 0x7f, 0x75, 0x75, 0x6d, 0x6d, 0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 
0x6b, 0x6b, 0x6b, 0x6b, 0x69, 0x69, 0x65, 0x65, 0x5e, 0x5e, 0x56, 0x56, 0x4d, 0x4d, 0x45, 0x45, 0x3e, 0x3e, 0x39, 0x39, 0x37, 0x37, 0x38, 0x38, 0x3f, 0x3f, 
0x48, 0x48, 0x54, 0x54, 0x62, 0x62, 0x71, 0x71, 0x80, 0x80, 0x90, 0x90, 0xa0, 0xa0, 0xaf, 0xaf, 0xbd, 0xbd, 0xca, 0xca, 0xd2, 0xd2, 0xd6, 0xd6, 0xd6, 0xd6, 
0xd3, 0xd3, 0xcb, 0xcb, 0xbf, 0xbf, 0xb2, 0xb2, 0xa3, 0xa3, 0x95, 0x95, 0x89, 0x89, 0x7e, 0x7e, 0x76, 0x76, 0x71, 0x71, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 
0x78, 0x78, 0x80, 0x80, 0x8b, 0x8b, 0x95, 0x95, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 0x93, 0x93, 
0x8c, 0x8c, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x72, 0x72, 0x70, 0x70, 0x6c, 0x6c, 0x65, 0x65, 
0x5b, 0x5b, 0x4f, 0x4f, 0x41, 0x41, 0x30, 0x30, 0x1f, 0x1f, 0x11, 0x11, 0x06, 0x06, 0x01, 0x01, 0x01, 0x01, 0x09, 0x09, 0x19, 0x19, 0x31, 0x31, 0x4f, 0x4f, 
0x6f, 0x6f, 0x8f, 0x8f, 0xac, 0xac, 0xc6, 0xc6, 0xd9, 0xd9, 0xe4, 0xe4, 0xe5, 0xe5, 0xdf, 0xdf, 0xd4, 0xd4, 0xc6, 0xc6, 0xb7, 0xb7, 0xa9, 0xa9, 0x9d, 0x9d, 
0x96, 0x96, 0x94, 0x94, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 0xa0, 0xa0, 0xa2, 0xa2, 0xa1, 0xa1, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x86, 0x86, 0x80, 0x80, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x91, 0x91, 0x97, 0x97, 0x9a, 0x9a, 0x9a, 0x9a, 0x96, 0x96, 0x90, 0x90, 0x86, 0x86, 0x7a, 0x7a, 
0x6e, 0x6e, 0x61, 0x61, 0x57, 0x57, 0x4f, 0x4f, 0x49, 0x49, 0x46, 0x46, 0x44, 0x44, 0x43, 0x43, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x43, 0x42, 0x42, 
0x41, 0x41, 0x3f, 0x3f, 0x3d, 0x3d, 0x3c, 0x3c, 0x3d, 0x3d, 0x42, 0x42, 0x4b, 0x4b, 0x58, 0x58, 0x68, 0x68, 0x7a, 0x7a, 0x8d, 0x8d, 0xa1, 0xa1, 0xb2, 0xb2, 
0xbe, 0xbe, 0xc7, 0xc7, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc5, 0xc5, 0xc0, 0xc0, 0xba, 0xba, 0xb2, 0xb2, 0xaa, 0xaa, 0xa1, 0xa1, 0x99, 0x99, 0x93, 0x93, 
0x8f, 0x8f, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa4, 0xa4, 
0xa9, 0xa9, 0xac, 0xac, 0xac, 0xac, 0xa8, 0xa8, 0xa1, 0xa1, 0x9b, 0x9b, 0x98, 0x98, 0x99, 0x99, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 
0xa8, 0xa8, 0xa2, 0xa2, 0x99, 0x99, 0x8d, 0x8d, 0x80, 0x80, 0x71, 0x71, 0x63, 0x63, 0x54, 0x54, 0x47, 0x47, 0x3b, 0x3b, 0x31, 0x31, 0x29, 0x29, 0x25, 0x25, 
0x26, 0x26, 0x2c, 0x2c, 0x35, 0x35, 0x3e, 0x3e, 0x44, 0x44, 0x47, 0x47, 0x47, 0x47, 0x45, 0x45, 0x42, 0x42, 0x3f, 0x3f, 0x3d, 0x3d, 0x3c, 0x3c, 0x3d, 0x3d, 
0x41, 0x41, 0x46, 0x46, 0x4d, 0x4d, 0x55, 0x55, 0x5f, 0x5f, 0x6a, 0x6a, 0x76, 0x76, 0x84, 0x84, 0x94, 0x94, 0xa4, 0xa4, 0xb2, 0xb2, 0xbc, 0xbc, 0xc2, 0xc2, 
0xc5, 0xc5, 0xc6, 0xc6, 0xc7, 0xc7, 0xc7, 0xc7, 0xc8, 0xc8, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 0xcf, 0xcf, 0xd0, 0xd0, 0xd0, 0xd0, 0xcf, 0xcf, 0xce, 0xce, 
0xcd, 0xcd, 0xcc, 0xcc, 0xcd, 0xcd, 0xce, 0xce, 0xcd, 0xcd, 0xc9, 0xc9, 0xc1, 0xc1, 0xb6, 0xb6, 0xa9, 0xa9, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x6f, 0x6f, 
0x60, 0x60, 0x51, 0x51, 0x43, 0x43, 0x34, 0x34, 0x28, 0x28, 0x1c, 0x1c, 0x13, 0x13, 0x0d, 0x0d, 0x0a, 0x0a, 0x0c, 0x0c, 0x11, 0x11, 0x18, 0x18, 0x1e, 0x1e, 
0x24, 0x24, 0x28, 0x28, 0x2b, 0x2b, 0x2d, 0x2d, 0x2d, 0x2d, 0x2c, 0x2c, 0x2a, 0x2a, 0x28, 0x28, 0x26, 0x26, 0x24, 0x24, 0x24, 0x24, 0x28, 0x28, 0x31, 0x31, 
0x3d, 0x3d, 0x4b, 0x4b, 0x5c, 0x5c, 0x6d, 0x6d, 0x7f, 0x7f, 0x8e, 0x8e, 0x9a, 0x9a, 0xa3, 0xa3, 0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb5, 0xb5, 0xba, 0xba, 
0xc0, 0xc0, 0xc4, 0xc4, 0xc8, 0xc8, 0xcc, 0xcc, 0xd0, 0xd0, 0xd5, 0xd5, 0xdb, 0xdb, 0xe3, 0xe3, 0xeb, 0xeb, 0xf1, 0xf1, 0xf7, 0xf7, 0xfa, 0xfa, 0xfb, 0xfb, 
0xf8, 0xf8, 0xf1, 0xf1, 0xe7, 0xe7, 0xd9, 0xd9, 0xc7, 0xc7, 0xb1, 0xb1, 0x99, 0x99, 0x80, 0x80, 0x69, 0x69, 0x55, 0x55, 0x45, 0x45, 0x39, 0x39, 0x34, 0x34, 
0x35, 0x35, 0x3a, 0x3a, 0x41, 0x41, 0x47, 0x47, 0x4b, 0x4b, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4b, 0x4b, 0x48, 0x48, 0x44, 0x44, 0x3f, 0x3f, 
0x3a, 0x3a, 0x35, 0x35, 0x32, 0x32, 0x31, 0x31, 0x33, 0x33, 0x38, 0x38, 0x42, 0x42, 0x50, 0x50, 0x60, 0x60, 0x71, 0x71, 0x80, 0x80, 0x8c, 0x8c, 0x95, 0x95, 
0x9a, 0x9a, 0x9b, 0x9b, 0x99, 0x99, 0x93, 0x93, 0x8a, 0x8a, 0x7f, 0x7f, 0x72, 0x72, 0x65, 0x65, 0x5a, 0x5a, 0x52, 0x52, 0x51, 0x51, 0x54, 0x54, 0x5d, 0x5d, 
0x6b, 0x6b, 0x7e, 0x7e, 0x94, 0x94, 0xaa, 0xaa, 0xbf, 0xbf, 0xd2, 0xd2, 0xe2, 0xe2, 0xef, 0xef, 0xf8, 0xf8, 0xfc, 0xfc, 0xfd, 0xfd, 0xf9, 0xf9, 0xf0, 0xf0, 
0xe3, 0xe3, 0xd2, 0xd2, 0xc0, 0xc0, 0xb0, 0xb0, 0xa2, 0xa2, 0x97, 0x97, 0x8f, 0x8f, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 
0x74, 0x74, 0x6c, 0x6c, 0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4f, 0x4f, 0x48, 0x48, 0x40, 0x40, 0x39, 0x39, 0x32, 0x32, 0x2c, 0x2c, 0x27, 0x27, 
0x26, 0x26, 0x29, 0x29, 0x30, 0x30, 0x3b, 0x3b, 0x49, 0x49, 0x58, 0x58, 0x69, 0x69, 0x79, 0x79, 0x89, 0x89, 0x97, 0x97, 0xa4, 0xa4, 0xae, 0xae, 0xb4, 0xb4, 
0xb4, 0xb4, 0xad, 0xad, 0xa2, 0xa2, 0x95, 0x95, 0x8a, 0x8a, 0x82, 0x82, 0x7d, 0x7d, 0x7c, 0x7c, 0x81, 0x81, 0x8b, 0x8b, 0x99, 0x99, 0xa7, 0xa7, 0xb4, 0xb4, 
0xbe, 0xbe, 0xc6, 0xc6, 0xcc, 0xcc, 0xcf, 0xcf, 0xd0, 0xd0, 0xd0, 0xd0, 0xcd, 0xcd, 0xc7, 0xc7, 0xbe, 0xbe, 0xb3, 0xb3, 0xa9, 0xa9, 0xa0, 0xa0, 0x9b, 0x9b, 
0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7b, 0x7b, 0x73, 0x73, 0x6b, 0x6b, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 
0x5a, 0x5a, 0x54, 0x54, 0x4b, 0x4b, 0x40, 0x40, 0x34, 0x34, 0x29, 0x29, 0x20, 0x20, 0x19, 0x19, 0x14, 0x14, 0x11, 0x11, 0x10, 0x10, 0x12, 0x12, 0x16, 0x16, 
0x1c, 0x1c, 0x25, 0x25, 0x30, 0x30, 0x3c, 0x3c, 0x49, 0x49, 0x57, 0x57, 0x65, 0x65, 0x73, 0x73, 0x7f, 0x7f, 0x8b, 0x8b, 0x95, 0x95, 0x9e, 0x9e, 0xa7, 0xa7, 
0xb0, 0xb0, 0xb8, 0xb8, 0xc0, 0xc0, 0xc5, 0xc5, 0xc8, 0xc8, 0xca, 0xca, 0xcc, 0xcc, 0xcf, 0xcf, 0xd4, 0xd4, 0xda, 0xda, 0xe0, 0xe0, 0xe5, 0xe5, 0xea, 0xea, 
0xec, 0xec, 0xec, 0xec, 0xe7, 0xe7, 0xdf, 0xdf, 0xd2, 0xd2, 0xc3, 0xc3, 0xb2, 0xb2, 0x9f, 0x9f, 0x8b, 0x8b, 0x78, 0x78, 0x67, 0x67, 0x58, 0x58, 0x4b, 0x4b, 
0x41, 0x41, 0x3a, 0x3a, 0x35, 0x35, 0x32, 0x32, 0x30, 0x30, 0x2f, 0x2f, 0x2d, 0x2d, 0x2c, 0x2c, 0x2d, 0x2d, 0x2f, 0x2f, 0x33, 0x33, 0x3a, 0x3a, 0x43, 0x43, 
0x4e, 0x4e, 0x5d, 0x5d, 0x6d, 0x6d, 0x7d, 0x7d, 0x8d, 0x8d, 0x9c, 0x9c, 0xa9, 0xa9, 0xb3, 0xb3, 0xb8, 0xb8, 0xb8, 0xb8, 0xb4, 0xb4, 0xad, 0xad, 0xa2, 0xa2, 
0x95, 0x95, 0x86, 0x86, 0x78, 0x78, 0x6c, 0x6c, 0x64, 0x64, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x65, 0x65, 0x6c, 0x6c, 0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 
0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0xa0, 0xa0, 0xa2, 0xa2, 0xa4, 0xa4, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 
0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8c, 0x8c, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x5f, 0x5f, 
0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x40, 0x40, 0x3c, 0x3c, 0x3a, 0x3a, 0x3a, 0x3a, 0x3c, 0x3c, 0x3e, 0x3e, 0x41, 0x41, 0x44, 0x44, 0x47, 0x47, 0x4b, 0x4b, 
0x51, 0x51, 0x57, 0x57, 0x5f, 0x5f, 0x69, 0x69, 0x75, 0x75, 0x81, 0x81, 0x8d, 0x8d, 0x95, 0x95, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 
0x94, 0x94, 0x8f, 0x8f, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 0x70, 0x70, 0x76, 0x76, 
0x7b, 0x7b, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x90, 0x90, 0x98, 0x98, 0xa0, 0xa0, 0xa9, 0xa9, 0xb1, 0xb1, 0xb8, 0xb8, 
0xbe, 0xbe, 0xc1, 0xc1, 0xc3, 0xc3, 0xc3, 0xc3, 0xc1, 0xc1, 0xbd, 0xbd, 0xb7, 0xb7, 0xb0, 0xb0, 0xa8, 0xa8, 0x9f, 0x9f, 0x96, 0x96, 0x90, 0x90, 0x8e, 0x8e, 
0x90, 0x90, 0x96, 0x96, 0x9c, 0x9c, 0x9f, 0x9f, 0x9f, 0x9f, 0x9b, 0x9b, 0x93, 0x93, 0x88, 0x88, 0x7c, 0x7c, 0x6e, 0x6e, 0x62, 0x62, 0x5a, 0x5a, 0x56, 0x56, 
0x56, 0x56, 0x56, 0x56, 0x57, 0x57, 0x56, 0x56, 0x54, 0x54, 0x50, 0x50, 0x4d, 0x4d, 0x49, 0x49, 0x46, 0x46, 0x43, 0x43, 0x40, 0x40, 0x3d, 0x3d, 0x3c, 0x3c, 
0x3d, 0x3d, 0x44, 0x44, 0x50, 0x50, 0x60, 0x60, 0x73, 0x73, 0x88, 0x88, 0x9c, 0x9c, 0xaf, 0xaf, 0xbe, 0xbe, 0xc7, 0xc7, 0xcb, 0xcb, 0xca, 0xca, 0xc8, 0xc8, 
0xc7, 0xc7, 0xc9, 0xc9, 0xcc, 0xcc, 0xd1, 0xd1, 0xd4, 0xd4, 0xd6, 0xd6, 0xd6, 0xd6, 0xd5, 0xd5, 0xd4, 0xd4, 0xd1, 0xd1, 0xce, 0xce, 0xc9, 0xc9, 0xc2, 0xc2, 
0xb9, 0xb9, 0xad, 0xad, 0x9f, 0x9f, 0x91, 0x91, 0x82, 0x82, 0x74, 0x74, 0x68, 0x68, 0x61, 0x61, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 
0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x4f, 0x4f, 0x4c, 0x4c, 0x4a, 0x4a, 0x47, 0x47, 0x43, 0x43, 0x3f, 0x3f, 0x3a, 0x3a, 0x35, 0x35, 0x30, 0x30, 0x2b, 0x2b, 
0x26, 0x26, 0x24, 0x24, 0x23, 0x23, 0x24, 0x24, 0x25, 0x25, 0x26, 0x26, 0x27, 0x27, 0x28, 0x28, 0x2a, 0x2a, 0x2e, 0x2e, 0x33, 0x33, 0x3a, 0x3a, 0x43, 0x43, 
0x4c, 0x4c, 0x56, 0x56, 0x61, 0x61, 0x6d, 0x6d, 0x7b, 0x7b, 0x89, 0x89, 0x99, 0x99, 0xa8, 0xa8, 0xb7, 0xb7, 0xc3, 0xc3, 0xce, 0xce, 0xd6, 0xd6, 0xdb, 0xdb, 
0xdd, 0xdd, 0xdd, 0xdd, 0xde, 0xde, 0xdf, 0xdf, 0xe2, 0xe2, 0xe6, 0xe6, 0xeb, 0xeb, 0xee, 0xee, 0xf0, 0xf0, 0xf0, 0xf0, 0xee, 0xee, 0xe9, 0xe9, 0xe0, 0xe0, 
0xd6, 0xd6, 0xc9, 0xc9, 0xbc, 0xbc, 0xad, 0xad, 0x9f, 0x9f, 0x90, 0x90, 0x83, 0x83, 0x76, 0x76, 0x6b, 0x6b, 0x61, 0x61, 0x58, 0x58, 0x51, 0x51, 0x4b, 0x4b, 
0x45, 0x45, 0x3d, 0x3d, 0x34, 0x34, 0x2a, 0x2a, 0x1f, 0x1f, 0x16, 0x16, 0x0e, 0x0e, 0x08, 0x08, 0x04, 0x04, 0x04, 0x04, 0x07, 0x07, 0x0c, 0x0c, 0x14, 0x14, 
0x1e, 0x1e, 0x29, 0x29, 0x35, 0x35, 0x41, 0x41, 0x4c, 0x4c, 0x55, 0x55, 0x5d, 0x5d, 0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 0x85, 0x85, 0x90, 0x90, 
0x9d, 0x9d, 0xab, 0xab, 0xb8, 0xb8, 0xc2, 0xc2, 0xc6, 0xc6, 0xc7, 0xc7, 0xc6, 0xc6, 0xc4, 0xc4, 0xc1, 0xc1, 0xc0, 0xc0, 0xc0, 0xc0, 0xc2, 0xc2, 0xc7, 0xc7, 
0xcd, 0xcd, 0xd2, 0xd2, 0xd5, 0xd5, 0xd5, 0xd5, 0xd1, 0xd1, 0xca, 0xca, 0xc1, 0xc1, 0xb7, 0xb7, 0xab, 0xab, 0x9f, 0x9f, 0x92, 0x92, 0x86, 0x86, 0x7a, 0x7a, 
0x70, 0x70, 0x69, 0x69, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5c, 0x5c, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 
0x43, 0x43, 0x48, 0x48, 0x4e, 0x4e, 0x55, 0x55, 0x5b, 0x5b, 0x5f, 0x5f, 0x63, 0x63, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x79, 0x79, 0x81, 0x81, 0x87, 0x87, 
0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x9c, 0x9c, 0xa5, 0xa5, 0xb1, 0xb1, 0xc0, 0xc0, 0xd1, 0xd1, 0xe2, 0xe2, 0xf0, 0xf0, 0xf7, 0xf7, 0xf7, 0xf7, 
0xf0, 0xf0, 0xe4, 0xe4, 0xd6, 0xd6, 0xc7, 0xc7, 0xb7, 0xb7, 0xa7, 0xa7, 0x98, 0x98, 0x89, 0x89, 0x7b, 0x7b, 0x70, 0x70, 0x67, 0x67, 0x62, 0x62, 0x60, 0x60, 
0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x5b, 0x5b, 0x62, 0x62, 
0x66, 0x66, 0x67, 0x67, 0x65, 0x65, 0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x57, 0x57, 
0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x58, 0x58, 0x5e, 0x5e, 0x66, 0x66, 0x6d, 0x6d, 0x74, 0x74, 0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 0x84, 0x84, 0x8d, 0x8d, 
0x9a, 0x9a, 0xa7, 0xa7, 0xb3, 0xb3, 0xbe, 0xbe, 0xc7, 0xc7, 0xcb, 0xcb, 0xcb, 0xcb, 0xc7, 0xc7, 0xbe, 0xbe, 0xb4, 0xb4, 0xa9, 0xa9, 0x9e, 0x9e, 0x95, 0x95, 
0x8d, 0x8d, 0x88, 0x88, 0x87, 0x87, 0x89, 0x89, 0x8f, 0x8f, 0x98, 0x98, 0xa5, 0xa5, 0xb3, 0xb3, 0xc0, 0xc0, 0xc8, 0xc8, 0xcb, 0xcb, 0xc9, 0xc9, 0xc2, 0xc2, 
0xb8, 0xb8, 0xaa, 0xaa, 0x9a, 0x9a, 0x8a, 0x8a, 0x79, 0x79, 0x68, 0x68, 0x58, 0x58, 0x49, 0x49, 0x3b, 0x3b, 0x2e, 0x2e, 0x24, 0x24, 0x1c, 0x1c, 0x18, 0x18, 
0x17, 0x17, 0x19, 0x19, 0x1d, 0x1d, 0x22, 0x22, 0x27, 0x27, 0x2c, 0x2c, 0x31, 0x31, 0x36, 0x36, 0x3a, 0x3a, 0x3f, 0x3f, 0x43, 0x43, 0x46, 0x46, 0x49, 0x49, 
0x4c, 0x4c, 0x4d, 0x4d, 0x4d, 0x4d, 0x4c, 0x4c, 0x49, 0x49, 0x46, 0x46, 0x45, 0x45, 0x44, 0x44, 0x46, 0x46, 0x4b, 0x4b, 0x54, 0x54, 0x62, 0x62, 0x74, 0x74, 
0x88, 0x88, 0x9f, 0x9f, 0xb6, 0xb6, 0xcd, 0xcd, 0xe0, 0xe0, 0xed, 0xed, 0xf3, 0xf3, 0xf3, 0xf3, 0xed, 0xed, 0xe1, 0xe1, 0xd0, 0xd0, 0xbd, 0xbd, 0xaa, 0xaa, 
0x9c, 0x9c, 0x93, 0x93, 0x8f, 0x8f, 0x91, 0x91, 0x98, 0x98, 0xa2, 0xa2, 0xaf, 0xaf, 0xbb, 0xbb, 0xc4, 0xc4, 0xc8, 0xc8, 0xc8, 0xc8, 0xc4, 0xc4, 0xba, 0xba, 
0xab, 0xab, 0x99, 0x99, 0x85, 0x85, 0x73, 0x73, 0x62, 0x62, 0x55, 0x55, 0x4b, 0x4b, 0x48, 0x48, 0x4a, 0x4a, 0x50, 0x50, 0x59, 0x59, 0x62, 0x62, 0x6b, 0x6b, 
0x73, 0x73, 0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 0x73, 0x73, 0x6b, 0x6b, 0x64, 0x64, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 
0x4c, 0x4c, 0x49, 0x49, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4e, 0x4e, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 0x6b, 0x6b, 0x78, 0x78, 0x84, 0x84, 
0x8f, 0x8f, 0x98, 0x98, 0x9f, 0x9f, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 
0x95, 0x95, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0xa4, 0xa4, 0xaa, 0xaa, 0xaf, 0xaf, 0xb1, 0xb1, 0xb0, 0xb0, 0xad, 0xad, 0xa6, 0xa6, 0x9e, 0x9e, 0x95, 0x95, 
0x8a, 0x8a, 0x80, 0x80, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x63, 0x63, 0x65, 0x65, 0x6a, 0x6a, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 0x87, 0x87, 
0x8c, 0x8c, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x83, 0x83, 0x7c, 0x7c, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 
0x63, 0x63, 0x67, 0x67, 0x6d, 0x6d, 0x73, 0x73, 0x7b, 0x7b, 0x83, 0x83, 0x8c, 0x8c, 0x93, 0x93, 0x97, 0x97, 0x98, 0x98, 0x97, 0x97, 0x94, 0x94, 0x91, 0x91, 
0x8e, 0x8e, 0x8b, 0x8b, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7f, 0x7f, 
0x87, 0x87, 0x8f, 0x8f, 0x96, 0x96, 0x9c, 0x9c, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x84, 0x84, 0x78, 0x78, 0x6c, 0x6c, 
0x62, 0x62, 0x5c, 0x5c, 0x5b, 0x5b, 0x5e, 0x5e, 0x64, 0x64, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 0x80, 0x80, 0x81, 0x81, 0x7d, 0x7d, 0x77, 0x77, 0x6f, 0x6f, 
0x68, 0x68, 0x62, 0x62, 0x5e, 0x5e, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 0x57, 0x57, 0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 
0x77, 0x77, 0x81, 0x81, 0x8b, 0x8b, 0x94, 0x94, 0x9d, 0x9d, 0xa5, 0xa5, 0xad, 0xad, 0xb4, 0xb4, 0xbb, 0xbb, 0xc2, 0xc2, 0xc9, 0xc9, 0xce, 0xce, 0xd3, 0xd3, 
0xd7, 0xd7, 0xda, 0xda, 0xdb, 0xdb, 0xdb, 0xdb, 0xda, 0xda, 0xd8, 0xd8, 0xd4, 0xd4, 0xce, 0xce, 0xc7, 0xc7, 0xbf, 0xbf, 0xb6, 0xb6, 0xad, 0xad, 0xa4, 0xa4, 
0x9a, 0x9a, 0x90, 0x90, 0x86, 0x86, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 0x5b, 0x5b, 0x50, 0x50, 0x47, 0x47, 0x42, 0x42, 0x3f, 0x3f, 0x40, 0x40, 0x44, 0x44, 
0x4a, 0x4a, 0x53, 0x53, 0x5c, 0x5c, 0x65, 0x65, 0x6a, 0x6a, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x50, 0x50, 
0x46, 0x46, 0x3a, 0x3a, 0x2f, 0x2f, 0x24, 0x24, 0x1c, 0x1c, 0x15, 0x15, 0x11, 0x11, 0x11, 0x11, 0x15, 0x15, 0x1b, 0x1b, 0x24, 0x24, 0x2f, 0x2f, 0x3a, 0x3a, 
0x47, 0x47, 0x56, 0x56, 0x67, 0x67, 0x7b, 0x7b, 0x90, 0x90, 0xa4, 0xa4, 0xb5, 0xb5, 0xc2, 0xc2, 0xcc, 0xcc, 0xd3, 0xd3, 0xd8, 0xd8, 0xdd, 0xdd, 0xe1, 0xe1, 
0xe4, 0xe4, 0xe4, 0xe4, 0xe2, 0xe2, 0xdd, 0xdd, 0xd7, 0xd7, 0xd1, 0xd1, 0xca, 0xca, 0xc3, 0xc3, 0xbc, 0xbc, 0xb6, 0xb6, 0xaf, 0xaf, 0xa8, 0xa8, 0x9f, 0x9f, 
0x93, 0x93, 0x86, 0x86, 0x77, 0x77, 0x69, 0x69, 0x60, 0x60, 0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 0x5c, 0x5c, 0x5a, 0x5a, 0x58, 0x58, 0x55, 0x55, 0x53, 0x53, 
0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x4f, 0x4f, 0x4b, 0x4b, 0x46, 0x46, 0x41, 0x41, 0x3d, 0x3d, 0x3c, 0x3c, 0x3d, 0x3d, 
0x41, 0x41, 0x46, 0x46, 0x4b, 0x4b, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x60, 0x60, 0x6b, 0x6b, 0x79, 0x79, 0x87, 0x87, 0x95, 0x95, 0xa1, 0xa1, 0xab, 0xab, 
0xb4, 0xb4, 0xbc, 0xbc, 0xc3, 0xc3, 0xca, 0xca, 0xd1, 0xd1, 0xd5, 0xd5, 0xd9, 0xd9, 0xdb, 0xdb, 0xdb, 0xdb, 0xd9, 0xd9, 0xd6, 0xd6, 0xd1, 0xd1, 0xcc, 0xcc, 
0xc6, 0xc6, 0xc1, 0xc1, 0xbb, 0xbb, 0xb4, 0xb4, 0xaa, 0xaa, 0x9d, 0x9d, 0x8e, 0x8e, 0x80, 0x80, 0x74, 0x74, 0x6b, 0x6b, 0x66, 0x66, 0x63, 0x63, 0x63, 0x63, 
0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6a, 0x6a, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 0x58, 0x58, 0x52, 0x52, 0x4b, 0x4b, 0x46, 0x46, 0x41, 0x41, 0x3e, 0x3e, 
0x3c, 0x3c, 0x3c, 0x3c, 0x3e, 0x3e, 0x42, 0x42, 0x48, 0x48, 0x4f, 0x4f, 0x58, 0x58, 0x61, 0x61, 0x6b, 0x6b, 0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x8a, 0x8a, 
0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9c, 0x9c, 0x9f, 0x9f, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xac, 0xac, 0xb0, 0xb0, 0xb6, 0xb6, 0xbc, 0xbc, 0xc2, 0xc2, 
0xc7, 0xc7, 0xca, 0xca, 0xcb, 0xcb, 0xc8, 0xc8, 0xc3, 0xc3, 0xba, 0xba, 0xaf, 0xaf, 0xa4, 0xa4, 0x9a, 0x9a, 0x92, 0x92, 0x8c, 0x8c, 0x88, 0x88, 0x84, 0x84, 
0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x69, 0x69, 0x60, 0x60, 0x59, 0x59, 0x54, 0x54, 0x52, 0x52, 0x54, 0x54, 
0x58, 0x58, 0x5f, 0x5f, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 0x90, 0x90, 0x87, 0x87, 
0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 
0x69, 0x69, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x80, 0x80, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa2, 0xa2, 0xab, 0xab, 
0xb3, 0xb3, 0xba, 0xba, 0xbf, 0xbf, 0xc3, 0xc3, 0xc4, 0xc4, 0xc4, 0xc4, 0xc1, 0xc1, 0xbc, 0xbc, 0xb6, 0xb6, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x91, 0x91, 
0x87, 0x87, 0x7d, 0x7d, 0x73, 0x73, 0x68, 0x68, 0x5f, 0x5f, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x47, 0x47, 0x46, 0x46, 0x46, 0x46, 
0x46, 0x46, 0x47, 0x47, 0x48, 0x48, 0x49, 0x49, 0x4a, 0x4a, 0x4c, 0x4c, 0x4d, 0x4d, 0x4e, 0x4e, 0x4f, 0x4f, 0x50, 0x50, 0x51, 0x51, 0x54, 0x54, 0x59, 0x59, 
0x61, 0x61, 0x6b, 0x6b, 0x74, 0x74, 0x7b, 0x7b, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7b, 0x7b, 0x78, 0x78, 0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x74, 0x74, 
0x78, 0x78, 0x7f, 0x7f, 0x89, 0x89, 0x96, 0x96, 0xa3, 0xa3, 0xb1, 0xb1, 0xbc, 0xbc, 0xc4, 0xc4, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc4, 0xc4, 0xbc, 0xbc, 
0xb6, 0xb6, 0xb3, 0xb3, 0xb5, 0xb5, 0xba, 0xba, 0xc1, 0xc1, 0xc5, 0xc5, 0xc7, 0xc7, 0xc6, 0xc6, 0xc2, 0xc2, 0xbb, 0xbb, 0xb1, 0xb1, 0xa4, 0xa4, 0x96, 0x96, 
0x88, 0x88, 0x79, 0x79, 0x6b, 0x6b, 0x5f, 0x5f, 0x55, 0x55, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 0x52, 0x52, 
0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x5e, 0x5e, 0x62, 0x62, 0x67, 0x67, 0x6b, 0x6b, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 
0x6d, 0x6d, 0x72, 0x72, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9c, 0x9c, 0x9f, 0x9f, 
0xa0, 0xa0, 0xa0, 0xa0, 0x9e, 0x9e, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8c, 0x8c, 0x84, 0x84, 0x7d, 0x7d, 0x77, 0x77, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 
0x76, 0x76, 0x80, 0x80, 0x8d, 0x8d, 0x99, 0x99, 0xa2, 0xa2, 0xa5, 0xa5, 0xa4, 0xa4, 0x9f, 0x9f, 0x97, 0x97, 0x8c, 0x8c, 0x81, 0x81, 0x76, 0x76, 0x6c, 0x6c, 
0x64, 0x64, 0x5e, 0x5e, 0x5b, 0x5b, 0x5d, 0x5d, 0x62, 0x62, 0x6b, 0x6b, 0x74, 0x74, 0x7d, 0x7d, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8c, 0x8c, 0x87, 0x87, 
0x7f, 0x7f, 0x77, 0x77, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 0x54, 0x54, 0x58, 0x58, 
0x5d, 0x5d, 0x64, 0x64, 0x6c, 0x6c, 0x75, 0x75, 0x7e, 0x7e, 0x89, 0x89, 0x95, 0x95, 0xa1, 0xa1, 0xab, 0xab, 0xb2, 0xb2, 0xb4, 0xb4, 0xb4, 0xb4, 0xb0, 0xb0, 
0xaa, 0xaa, 0xa3, 0xa3, 0x9b, 0x9b, 0x94, 0x94, 0x8f, 0x8f, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 
0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9b, 0x9b, 0x97, 0x97, 0x91, 0x91, 0x89, 0x89, 0x81, 0x81, 0x79, 0x79, 0x71, 0x71, 0x6a, 0x6a, 0x63, 0x63, 0x5d, 0x5d, 
0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x68, 0x68, 0x68, 0x68, 0x65, 0x65, 0x5f, 0x5f, 0x58, 0x58, 
0x52, 0x52, 0x4d, 0x4d, 0x4b, 0x4b, 0x4c, 0x4c, 0x50, 0x50, 0x55, 0x55, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x76, 0x76, 0x7f, 0x7f, 0x89, 0x89, 0x91, 0x91, 
0x98, 0x98, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x90, 0x90, 
0x90, 0x90, 0x92, 0x92, 0x95, 0x95, 0x9a, 0x9a, 0xa1, 0xa1, 0xaa, 0xaa, 0xb4, 0xb4, 0xbf, 0xbf, 0xcb, 0xcb, 0xd7, 0xd7, 0xe0, 0xe0, 0xe6, 0xe6, 0xe7, 0xe7, 
0xe4, 0xe4, 0xde, 0xde, 0xd4, 0xd4, 0xc9, 0xc9, 0xbd, 0xbd, 0xb0, 0xb0, 0xa5, 0xa5, 0x9c, 0x9c, 0x94, 0x94, 0x8d, 0x8d, 0x86, 0x86, 0x7f, 0x7f, 0x77, 0x77, 
0x6e, 0x6e, 0x65, 0x65, 0x5b, 0x5b, 0x51, 0x51, 0x46, 0x46, 0x3b, 0x3b, 0x30, 0x30, 0x26, 0x26, 0x1d, 0x1d, 0x19, 0x19, 0x19, 0x19, 0x1d, 0x1d, 0x22, 0x22, 
0x28, 0x28, 0x2e, 0x2e, 0x33, 0x33, 0x38, 0x38, 0x3d, 0x3d, 0x43, 0x43, 0x4b, 0x4b, 0x53, 0x53, 0x5e, 0x5e, 0x6b, 0x6b, 0x79, 0x79, 0x86, 0x86, 0x92, 0x92, 
0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 0xb0, 0xb0, 0xb7, 0xb7, 0xbe, 0xbe, 0xc3, 0xc3, 0xc6, 0xc6, 0xc6, 0xc6, 0xc5, 0xc5, 0xc1, 0xc1, 0xbd, 0xbd, 0xb9, 0xb9, 
0xb5, 0xb5, 0xb1, 0xb1, 0xad, 0xad, 0xa8, 0xa8, 0xa3, 0xa3, 0x9f, 0x9f, 0x9a, 0x9a, 0x96, 0x96, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x94, 0x94, 0x98, 0x98, 
0x9d, 0x9d, 0xa1, 0xa1, 0xa3, 0xa3, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9b, 0x9b, 0x92, 0x92, 0x88, 0x88, 0x7c, 0x7c, 0x6f, 0x6f, 0x63, 0x63, 0x58, 0x58, 
0x50, 0x50, 0x4a, 0x4a, 0x47, 0x47, 0x46, 0x46, 0x47, 0x47, 0x49, 0x49, 0x4c, 0x4c, 0x4f, 0x4f, 0x52, 0x52, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 
0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 0x62, 0x62, 0x6b, 0x6b, 0x77, 0x77, 0x84, 0x84, 0x90, 0x90, 0x9a, 0x9a, 0xa2, 0xa2, 0xa7, 0xa7, 0xaa, 0xaa, 0xaa, 0xaa, 
0xa8, 0xa8, 0xa5, 0xa5, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x8b, 0x8b, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 
0x9b, 0x9b, 0x98, 0x98, 0x8f, 0x8f, 0x83, 0x83, 0x75, 0x75, 0x69, 0x69, 0x60, 0x60, 0x5a, 0x5a, 0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 0x5f, 0x5f, 0x64, 0x64, 
0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 
0x8e, 0x8e, 0x8f, 0x8f, 0x8d, 0x8d, 0x88, 0x88, 0x80, 0x80, 0x75, 0x75, 0x6b, 0x6b, 0x63, 0x63, 0x5f, 0x5f, 0x5e, 0x5e, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 
0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 
0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x70, 0x70, 0x74, 0x74, 0x7b, 0x7b, 0x84, 0x84, 0x8f, 0x8f, 0x9a, 0x9a, 0xa5, 0xa5, 0xaf, 0xaf, 0xb7, 0xb7, 0xbd, 0xbd, 
0xbf, 0xbf, 0xbc, 0xbc, 0xb7, 0xb7, 0xb1, 0xb1, 0xad, 0xad, 0xac, 0xac, 0xad, 0xad, 0xaf, 0xaf, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa4, 0xa4, 
0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 0x9e, 0x9e, 0x9b, 0x9b, 0x96, 0x96, 0x8f, 0x8f, 0x87, 0x87, 0x7d, 0x7d, 0x71, 0x71, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 
0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x48, 0x48, 0x4b, 0x4b, 0x51, 0x51, 0x5b, 0x5b, 0x64, 0x64, 0x6b, 0x6b, 0x6e, 0x6e, 0x6f, 0x6f, 
0x70, 0x70, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x90, 0x90, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x99, 0x99, 0x94, 0x94, 0x8e, 0x8e, 
0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x89, 0x89, 0x90, 0x90, 0x9a, 0x9a, 0xa4, 0xa4, 0xaf, 0xaf, 
0xb8, 0xb8, 0xc0, 0xc0, 0xc5, 0xc5, 0xc7, 0xc7, 0xc6, 0xc6, 0xc2, 0xc2, 0xbb, 0xbb, 0xb3, 0xb3, 0xa8, 0xa8, 0x9d, 0x9d, 0x92, 0x92, 0x87, 0x87, 0x7c, 0x7c, 
0x73, 0x73, 0x6c, 0x6c, 0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 
0x55, 0x55, 0x51, 0x51, 0x4d, 0x4d, 0x4a, 0x4a, 0x48, 0x48, 0x46, 0x46, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 0x55, 0x55, 
0x5c, 0x5c, 0x63, 0x63, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x91, 0x91, 0x9b, 0x9b, 0xa6, 0xa6, 0xb1, 0xb1, 0xbc, 0xbc, 0xc5, 0xc5, 0xcc, 0xcc, 0xd1, 0xd1, 0xd3, 0xd3, 
0xd1, 0xd1, 0xce, 0xce, 0xc7, 0xc7, 0xbd, 0xbd, 0xb1, 0xb1, 0xa5, 0xa5, 0x99, 0x99, 0x8e, 0x8e, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 0x82, 0x82, 0x89, 0x89, 
0x90, 0x90, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9a, 0x9a, 0x95, 0x95, 0x8e, 0x8e, 0x84, 0x84, 0x79, 0x79, 0x6d, 0x6d, 0x60, 0x60, 0x54, 0x54, 0x4a, 0x4a, 
0x44, 0x44, 0x42, 0x42, 0x44, 0x44, 0x49, 0x49, 0x52, 0x52, 0x5d, 0x5d, 0x69, 0x69, 0x74, 0x74, 0x7f, 0x7f, 0x87, 0x87, 0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 
0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x83, 0x83, 0x77, 0x77, 0x6a, 0x6a, 0x5f, 0x5f, 0x57, 0x57, 0x54, 0x54, 0x55, 0x55, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 
0x71, 0x71, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x84, 0x84, 0x87, 0x87, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 
0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x91, 0x91, 0x8a, 0x8a, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x69, 0x69, 
0x6d, 0x6d, 0x72, 0x72, 0x76, 0x76, 0x78, 0x78, 0x77, 0x77, 0x72, 0x72, 0x6b, 0x6b, 0x63, 0x63, 0x5e, 0x5e, 0x5b, 0x5b, 0x5b, 0x5b, 0x5d, 0x5d, 0x61, 0x61, 
0x66, 0x66, 0x6c, 0x6c, 0x72, 0x72, 0x79, 0x79, 0x81, 0x81, 0x8a, 0x8a, 0x93, 0x93, 0x9c, 0x9c, 0xa6, 0xa6, 0xb0, 0xb0, 0xb8, 0xb8, 0xbd, 0xbd, 0xbf, 0xbf, 
0xbf, 0xbf, 0xbe, 0xbe, 0xbc, 0xbc, 0xba, 0xba, 0xb7, 0xb7, 0xb2, 0xb2, 0xab, 0xab, 0xa0, 0xa0, 0x92, 0x92, 0x84, 0x84, 0x78, 0x78, 0x6d, 0x6d, 0x66, 0x66, 
0x61, 0x61, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x6f, 0x6f, 0x74, 0x74, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6d, 0x6d, 
0x68, 0x68, 0x61, 0x61, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x4a, 0x4a, 0x4b, 0x4b, 0x4e, 0x4e, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 
0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x81, 0x81, 0x7f, 0x7f, 0x79, 0x79, 0x70, 0x70, 0x67, 0x67, 0x5f, 0x5f, 0x5a, 0x5a, 
0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x5f, 0x5f, 0x63, 0x63, 0x69, 0x69, 0x72, 0x72, 0x7c, 0x7c, 0x89, 0x89, 0x97, 0x97, 0xa5, 0xa5, 0xb3, 0xb3, 0xc0, 0xc0, 
0xc9, 0xc9, 0xcd, 0xcd, 0xcb, 0xcb, 0xc4, 0xc4, 0xbd, 0xbd, 0xb6, 0xb6, 0xb3, 0xb3, 0xb2, 0xb2, 0xb4, 0xb4, 0xb9, 0xb9, 0xc1, 0xc1, 0xca, 0xca, 0xd2, 0xd2, 
0xd8, 0xd8, 0xda, 0xda, 0xd8, 0xd8, 0xd1, 0xd1, 0xc4, 0xc4, 0xb0, 0xb0, 0x97, 0x97, 0x7d, 0x7d, 0x65, 0x65, 0x4f, 0x4f, 0x3d, 0x3d, 0x30, 0x30, 0x29, 0x29, 
0x27, 0x27, 0x2b, 0x2b, 0x31, 0x31, 0x38, 0x38, 0x40, 0x40, 0x47, 0x47, 0x4f, 0x4f, 0x57, 0x57, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 0x78, 0x78, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 
0x66, 0x66, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5d, 0x5d, 0x59, 0x59, 0x58, 0x58, 0x5a, 0x5a, 0x5e, 0x5e, 0x65, 0x65, 
0x6e, 0x6e, 0x79, 0x79, 0x85, 0x85, 0x92, 0x92, 0x9f, 0x9f, 0xad, 0xad, 0xba, 0xba, 0xc5, 0xc5, 0xcc, 0xcc, 0xce, 0xce, 0xcb, 0xcb, 0xc6, 0xc6, 0xbe, 0xbe, 
0xb3, 0xb3, 0xa7, 0xa7, 0x9b, 0x9b, 0x90, 0x90, 0x85, 0x85, 0x7b, 0x7b, 0x74, 0x74, 0x6e, 0x6e, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 
0x77, 0x77, 0x7c, 0x7c, 0x7d, 0x7d, 0x7a, 0x7a, 0x74, 0x74, 0x6b, 0x6b, 0x60, 0x60, 0x55, 0x55, 0x4b, 0x4b, 0x43, 0x43, 0x3f, 0x3f, 0x42, 0x42, 0x48, 0x48, 
0x52, 0x52, 0x5f, 0x5f, 0x6c, 0x6c, 0x7a, 0x7a, 0x86, 0x86, 0x91, 0x91, 0x99, 0x99, 0x9f, 0x9f, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 
0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x8d, 0x8d, 0x97, 0x97, 
0xa3, 0xa3, 0xb0, 0xb0, 0xba, 0xba, 0xc0, 0xc0, 0xc2, 0xc2, 0xbe, 0xbe, 0xb7, 0xb7, 0xac, 0xac, 0x9f, 0x9f, 0x90, 0x90, 0x82, 0x82, 0x74, 0x74, 0x69, 0x69, 
0x60, 0x60, 0x59, 0x59, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x55, 0x55, 0x5c, 0x5c, 0x65, 0x65, 0x71, 0x71, 0x7b, 0x7b, 0x81, 0x81, 0x83, 0x83, 0x80, 0x80, 
0x7b, 0x7b, 0x75, 0x75, 0x6e, 0x6e, 0x67, 0x67, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5b, 0x5b, 0x60, 0x60, 0x67, 0x67, 0x70, 0x70, 
0x7b, 0x7b, 0x87, 0x87, 0x93, 0x93, 0x9d, 0x9d, 0xa3, 0xa3, 0xa3, 0xa3, 0x9f, 0x9f, 0x98, 0x98, 0x90, 0x90, 0x88, 0x88, 0x81, 0x81, 0x7b, 0x7b, 0x76, 0x76, 
0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7f, 0x7f, 0x87, 0x87, 0x92, 0x92, 0x9e, 0x9e, 0xac, 0xac, 0xb9, 0xb9, 0xc5, 0xc5, 0xcd, 0xcd, 0xd1, 0xd1, 
0xd1, 0xd1, 0xce, 0xce, 0xc8, 0xc8, 0xbf, 0xbf, 0xb5, 0xb5, 0xaa, 0xaa, 0x9f, 0x9f, 0x94, 0x94, 0x8c, 0x8c, 0x86, 0x86, 0x84, 0x84, 0x87, 0x87, 0x8d, 0x8d, 
0x96, 0x96, 0xa0, 0xa0, 0xaa, 0xaa, 0xb3, 0xb3, 0xb9, 0xb9, 0xba, 0xba, 0xb7, 0xb7, 0xaf, 0xaf, 0xa4, 0xa4, 0x96, 0x96, 0x87, 0x87, 0x77, 0x77, 0x67, 0x67, 
0x59, 0x59, 0x4b, 0x4b, 0x3f, 0x3f, 0x37, 0x37, 0x33, 0x33, 0x33, 0x33, 0x38, 0x38, 0x3e, 0x3e, 0x46, 0x46, 0x4f, 0x4f, 0x57, 0x57, 0x5f, 0x5f, 0x67, 0x67, 
0x70, 0x70, 0x78, 0x78, 0x7e, 0x7e, 0x82, 0x82, 0x82, 0x82, 0x7f, 0x7f, 0x79, 0x79, 0x6f, 0x6f, 0x60, 0x60, 0x51, 0x51, 0x43, 0x43, 0x39, 0x39, 0x35, 0x35, 
0x36, 0x36, 0x3b, 0x3b, 0x42, 0x42, 0x4b, 0x4b, 0x55, 0x55, 0x61, 0x61, 0x6f, 0x6f, 0x7e, 0x7e, 0x8e, 0x8e, 0x9c, 0x9c, 0xa7, 0xa7, 0xae, 0xae, 0xb2, 0xb2, 
0xb2, 0xb2, 0xb0, 0xb0, 0xac, 0xac, 0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x84, 0x84, 0x7c, 0x7c, 0x73, 0x73, 0x6c, 0x6c, 0x68, 0x68, 
0x69, 0x69, 0x70, 0x70, 0x7c, 0x7c, 0x88, 0x88, 0x92, 0x92, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 
0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x96, 0x96, 0x8d, 0x8d, 0x81, 0x81, 0x76, 0x76, 0x6b, 0x6b, 0x61, 0x61, 0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 0x4e, 0x4e, 
0x4e, 0x4e, 0x4f, 0x4f, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x6a, 0x6a, 0x68, 0x68, 0x63, 0x63, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 0x58, 0x58, 
0x5e, 0x5e, 0x6a, 0x6a, 0x7b, 0x7b, 0x8f, 0x8f, 0xa5, 0xa5, 0xb8, 0xb8, 0xc8, 0xc8, 0xd4, 0xd4, 0xd9, 0xd9, 0xd6, 0xd6, 0xc9, 0xc9, 0xb5, 0xb5, 0x9c, 0x9c, 
0x7f, 0x7f, 0x61, 0x61, 0x42, 0x42, 0x29, 0x29, 0x17, 0x17, 0x0e, 0x0e, 0x0c, 0x0c, 0x11, 0x11, 0x1b, 0x1b, 0x28, 0x28, 0x37, 0x37, 0x46, 0x46, 0x54, 0x54, 
0x60, 0x60, 0x6b, 0x6b, 0x75, 0x75, 0x80, 0x80, 0x8a, 0x8a, 0x94, 0x94, 0x9e, 0x9e, 0xa7, 0xa7, 0xaf, 0xaf, 0xb5, 0xb5, 0xb8, 0xb8, 0xb9, 0xb9, 0xb6, 0xb6, 
0xb0, 0xb0, 0xa8, 0xa8, 0xa0, 0xa0, 0x97, 0x97, 0x8f, 0x8f, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 
0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5a, 0x5a, 0x54, 0x54, 0x4f, 0x4f, 0x49, 0x49, 0x44, 0x44, 0x42, 0x42, 0x43, 0x43, 0x48, 0x48, 0x51, 0x51, 0x5d, 0x5d, 
0x6e, 0x6e, 0x82, 0x82, 0x97, 0x97, 0xa8, 0xa8, 0xb3, 0xb3, 0xb7, 0xb7, 0xb3, 0xb3, 0xab, 0xab, 0xa0, 0xa0, 0x95, 0x95, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 
0x6d, 0x6d, 0x67, 0x67, 0x63, 0x63, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x73, 0x73, 0x7f, 0x7f, 0x8e, 0x8e, 0x9d, 0x9d, 0xaa, 0xaa, 0xb2, 0xb2, 0xb2, 0xb2, 
0xad, 0xad, 0xa7, 0xa7, 0xa1, 0xa1, 0x9e, 0x9e, 0x9e, 0x9e, 0xa0, 0xa0, 0xa2, 0xa2, 0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 0xad, 0xad, 
0xac, 0xac, 0xa9, 0xa9, 0xa2, 0xa2, 0x99, 0x99, 0x8f, 0x8f, 0x83, 0x83, 0x77, 0x77, 0x6c, 0x6c, 0x64, 0x64, 0x62, 0x62, 0x65, 0x65, 0x6c, 0x6c, 0x72, 0x72, 
0x74, 0x74, 0x6f, 0x6f, 0x66, 0x66, 0x5c, 0x5c, 0x55, 0x55, 0x52, 0x52, 0x54, 0x54, 0x59, 0x59, 0x60, 0x60, 0x69, 0x69, 0x73, 0x73, 0x7c, 0x7c, 0x83, 0x83, 
0x88, 0x88, 0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x97, 0x97, 0x94, 0x94, 0x95, 0x95, 
0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 
0x89, 0x89, 0x88, 0x88, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 0x6b, 0x6b, 0x63, 0x63, 0x5c, 0x5c, 0x55, 0x55, 0x4e, 0x4e, 0x48, 0x48, 0x42, 0x42, 0x3f, 0x3f, 
0x3e, 0x3e, 0x40, 0x40, 0x45, 0x45, 0x4b, 0x4b, 0x52, 0x52, 0x59, 0x59, 0x5f, 0x5f, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x70, 0x70, 
0x78, 0x78, 0x82, 0x82, 0x8d, 0x8d, 0x97, 0x97, 0x9f, 0x9f, 0xa6, 0xa6, 0xaa, 0xaa, 0xac, 0xac, 0xad, 0xad, 0xac, 0xac, 0xab, 0xab, 0xa8, 0xa8, 0xa5, 0xa5, 
0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x8e, 0x8e, 0x87, 0x87, 0x81, 0x81, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x72, 0x72, 0x6c, 0x6c, 
0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 0x50, 0x50, 0x50, 0x50, 0x51, 0x51, 0x53, 0x53, 0x58, 0x58, 0x5e, 0x5e, 0x65, 0x65, 
0x6b, 0x6b, 0x70, 0x70, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8e, 0x8e, 0x9a, 0x9a, 0xa7, 0xa7, 0xb5, 0xb5, 0xc0, 0xc0, 
0xc9, 0xc9, 0xce, 0xce, 0xd4, 0xd4, 0xda, 0xda, 0xe3, 0xe3, 0xed, 0xed, 0xf1, 0xf1, 0xed, 0xed, 0xdf, 0xdf, 0xc7, 0xc7, 0xa9, 0xa9, 0x85, 0x85, 0x5e, 0x5e, 
0x37, 0x37, 0x16, 0x16, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x05, 0x05, 0x09, 0x09, 0x12, 0x12, 0x22, 0x22, 0x38, 0x38, 
0x4e, 0x4e, 0x63, 0x63, 0x73, 0x73, 0x7f, 0x7f, 0x87, 0x87, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x96, 0x96, 0x9c, 0x9c, 0xa2, 0xa2, 0xa7, 0xa7, 
0xa7, 0xa7, 0xa4, 0xa4, 0x9e, 0x9e, 0x99, 0x99, 0x98, 0x98, 0x9c, 0x9c, 0xa3, 0xa3, 0xa8, 0xa8, 0xa7, 0xa7, 0x9e, 0x9e, 0x90, 0x90, 0x80, 0x80, 0x72, 0x72, 
0x6a, 0x6a, 0x67, 0x67, 0x6b, 0x6b, 0x76, 0x76, 0x89, 0x89, 0x9f, 0x9f, 0xb3, 0xb3, 0xc2, 0xc2, 0xc8, 0xc8, 0xc7, 0xc7, 0xc3, 0xc3, 0xbd, 0xbd, 0xb9, 0xb9, 
0xb6, 0xb6, 0xb0, 0xb0, 0xa6, 0xa6, 0x96, 0x96, 0x83, 0x83, 0x6f, 0x6f, 0x5d, 0x5d, 0x4e, 0x4e, 0x43, 0x43, 0x3c, 0x3c, 0x36, 0x36, 0x33, 0x33, 0x31, 0x31, 
0x2e, 0x2e, 0x29, 0x29, 0x24, 0x24, 0x1e, 0x1e, 0x1c, 0x1c, 0x22, 0x22, 0x30, 0x30, 0x44, 0x44, 0x5a, 0x5a, 0x6d, 0x6d, 0x7c, 0x7c, 0x88, 0x88, 0x90, 0x90, 
0x96, 0x96, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xaf, 0xaf, 0xb5, 0xb5, 0xbb, 0xbb, 0xc0, 0xc0, 0xc3, 0xc3, 0xc3, 0xc3, 0xc2, 0xc2, 0xc2, 0xc2, 0xc5, 0xc5, 
0xcc, 0xcc, 0xd5, 0xd5, 0xdc, 0xdc, 0xe0, 0xe0, 0xdd, 0xdd, 0xd5, 0xd5, 0xc9, 0xc9, 0xbb, 0xbb, 0xaa, 0xaa, 0x9a, 0x9a, 0x8c, 0x8c, 0x80, 0x80, 0x78, 0x78, 
0x73, 0x73, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x71, 0x71, 0x78, 0x78, 0x84, 0x84, 0x92, 0x92, 0x9f, 0x9f, 0xa7, 0xa7, 0xa8, 0xa8, 0xa3, 0xa3, 
0x9a, 0x9a, 0x8c, 0x8c, 0x7d, 0x7d, 0x6d, 0x6d, 0x5f, 0x5f, 0x55, 0x55, 0x4f, 0x4f, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 
0x53, 0x53, 0x5b, 0x5b, 0x66, 0x66, 0x71, 0x71, 0x77, 0x77, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 
0x70, 0x70, 0x6e, 0x6e, 0x69, 0x69, 0x61, 0x61, 0x56, 0x56, 0x4b, 0x4b, 0x45, 0x45, 0x47, 0x47, 0x52, 0x52, 0x64, 0x64, 0x78, 0x78, 0x89, 0x89, 0x95, 0x95, 
0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 0x8a, 0x8a, 
0x85, 0x85, 0x86, 0x86, 0x8f, 0x8f, 0x9d, 0x9d, 0xad, 0xad, 0xb9, 0xb9, 0xc1, 0xc1, 0xc3, 0xc3, 0xc1, 0xc1, 0xba, 0xba, 0xb0, 0xb0, 0xa2, 0xa2, 0x93, 0x93, 
0x81, 0x81, 0x6e, 0x6e, 0x5c, 0x5c, 0x4c, 0x4c, 0x42, 0x42, 0x3d, 0x3d, 0x3f, 0x3f, 0x45, 0x45, 0x51, 0x51, 0x60, 0x60, 0x71, 0x71, 0x81, 0x81, 0x8c, 0x8c, 
0x91, 0x91, 0x92, 0x92, 0x93, 0x93, 0x99, 0x99, 0xa3, 0xa3, 0xb2, 0xb2, 0xbf, 0xbf, 0xc8, 0xc8, 0xcb, 0xcb, 0xc8, 0xc8, 0xc2, 0xc2, 0xbb, 0xbb, 0xb5, 0xb5, 
0xb0, 0xb0, 0xaf, 0xaf, 0xb1, 0xb1, 0xb8, 0xb8, 0xbf, 0xbf, 0xbf, 0xbf, 0xb4, 0xb4, 0x9b, 0x9b, 0x78, 0x78, 0x54, 0x54, 0x36, 0x36, 0x23, 0x23, 0x19, 0x19, 
0x16, 0x16, 0x17, 0x17, 0x19, 0x19, 0x1c, 0x1c, 0x1c, 0x1c, 0x1b, 0x1b, 0x17, 0x17, 0x12, 0x12, 0x10, 0x10, 0x13, 0x13, 0x1c, 0x1c, 0x2b, 0x2b, 0x3c, 0x3c, 
0x50, 0x50, 0x65, 0x65, 0x7a, 0x7a, 0x8f, 0x8f, 0xa5, 0xa5, 0xbb, 0xbb, 0xd0, 0xd0, 0xe0, 0xe0, 0xe8, 0xe8, 0xe6, 0xe6, 0xde, 0xde, 0xd5, 0xd5, 0xd0, 0xd0, 
0xd0, 0xd0, 0xd4, 0xd4, 0xda, 0xda, 0xde, 0xde, 0xde, 0xde, 0xda, 0xda, 0xd0, 0xd0, 0xc0, 0xc0, 0xaa, 0xaa, 0x91, 0x91, 0x7a, 0x7a, 0x67, 0x67, 0x5a, 0x5a, 
0x53, 0x53, 0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 
0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x73, 0x73, 0x6d, 0x6d, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x47, 0x47, 0x45, 0x45, 0x47, 0x47, 0x4a, 0x4a, 
0x4d, 0x4d, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x56, 0x56, 0x5f, 0x5f, 0x6c, 0x6c, 0x7a, 0x7a, 0x88, 0x88, 0x95, 0x95, 0xa0, 0xa0, 0xa9, 0xa9, 0xae, 0xae, 
0xb1, 0xb1, 0xb3, 0xb3, 0xb7, 0xb7, 0xbf, 0xbf, 0xcc, 0xcc, 0xdd, 0xdd, 0xec, 0xec, 0xf5, 0xf5, 0xf7, 0xf7, 0xf2, 0xf2, 0xea, 0xea, 0xe0, 0xe0, 0xd6, 0xd6, 
0xcc, 0xcc, 0xc2, 0xc2, 0xb7, 0xb7, 0xa9, 0xa9, 0x9b, 0x9b, 0x8c, 0x8c, 0x7d, 0x7d, 0x70, 0x70, 0x63, 0x63, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x49, 0x49, 
0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4d, 0x4d, 0x52, 0x52, 0x5a, 0x5a, 0x61, 0x61, 0x67, 0x67, 0x68, 0x68, 0x63, 0x63, 0x5b, 0x5b, 0x51, 0x51, 
0x48, 0x48, 0x41, 0x41, 0x3d, 0x3d, 0x3b, 0x3b, 0x3b, 0x3b, 0x3c, 0x3c, 0x3e, 0x3e, 0x40, 0x40, 0x3f, 0x3f, 0x3e, 0x3e, 0x3b, 0x3b, 0x38, 0x38, 0x38, 0x38, 
0x3a, 0x3a, 0x3f, 0x3f, 0x46, 0x46, 0x4f, 0x4f, 0x59, 0x59, 0x64, 0x64, 0x70, 0x70, 0x7e, 0x7e, 0x8e, 0x8e, 0x9d, 0x9d, 0xab, 0xab, 0xb6, 0xb6, 0xbd, 0xbd, 
0xc0, 0xc0, 0xc1, 0xc1, 0xc1, 0xc1, 0xbf, 0xbf, 0xbe, 0xbe, 0xc0, 0xc0, 0xc6, 0xc6, 0xd2, 0xd2, 0xdf, 0xdf, 0xea, 0xea, 0xef, 0xef, 0xeb, 0xeb, 0xe0, 0xe0, 
0xd1, 0xd1, 0xbf, 0xbf, 0xad, 0xad, 0x9b, 0x9b, 0x8b, 0x8b, 0x7e, 0x7e, 0x75, 0x75, 0x6d, 0x6d, 0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 
0x54, 0x54, 0x55, 0x55, 0x57, 0x57, 0x59, 0x59, 0x59, 0x59, 0x56, 0x56, 0x52, 0x52, 0x4e, 0x4e, 0x4b, 0x4b, 0x4c, 0x4c, 0x4d, 0x4d, 0x4e, 0x4e, 0x4a, 0x4a, 
0x41, 0x41, 0x35, 0x35, 0x29, 0x29, 0x21, 0x21, 0x1d, 0x1d, 0x1f, 0x1f, 0x27, 0x27, 0x37, 0x37, 0x4d, 0x4d, 0x68, 0x68, 0x85, 0x85, 0xa1, 0xa1, 0xba, 0xba, 
0xd0, 0xd0, 0xe1, 0xe1, 0xec, 0xec, 0xf1, 0xf1, 0xf0, 0xf0, 0xe7, 0xe7, 0xd4, 0xd4, 0xb9, 0xb9, 0x99, 0x99, 0x7a, 0x7a, 0x63, 0x63, 0x57, 0x57, 0x55, 0x55, 
0x5b, 0x5b, 0x69, 0x69, 0x7c, 0x7c, 0x91, 0x91, 0xa2, 0xa2, 0xac, 0xac, 0xad, 0xad, 0xa6, 0xa6, 0x9a, 0x9a, 0x8b, 0x8b, 0x7b, 0x7b, 0x6c, 0x6c, 0x60, 0x60, 
0x5a, 0x5a, 0x5a, 0x5a, 0x5d, 0x5d, 0x62, 0x62, 0x66, 0x66, 0x68, 0x68, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5f, 0x5f, 
0x65, 0x65, 0x6e, 0x6e, 0x78, 0x78, 0x80, 0x80, 0x86, 0x86, 0x89, 0x89, 0x8a, 0x8a, 0x88, 0x88, 0x83, 0x83, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x65, 0x65, 
0x60, 0x60, 0x5f, 0x5f, 0x62, 0x62, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x92, 0x92, 0x9e, 0x9e, 0xa7, 0xa7, 0xaf, 0xaf, 0xb6, 0xb6, 0xbb, 0xbb, 0xbf, 0xbf, 
0xc0, 0xc0, 0xbc, 0xbc, 0xb2, 0xb2, 0xa5, 0xa5, 0x95, 0x95, 0x85, 0x85, 0x76, 0x76, 0x69, 0x69, 0x63, 0x63, 0x65, 0x65, 0x70, 0x70, 0x81, 0x81, 0x92, 0x92, 
0x9e, 0x9e, 0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8d, 0x8d, 0x8c, 0x8c, 0x8f, 0x8f, 0x94, 0x94, 0x9b, 0x9b, 0x9f, 0x9f, 0x9f, 0x9f, 
0x99, 0x99, 0x91, 0x91, 0x88, 0x88, 0x82, 0x82, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x77, 0x77, 
0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x5e, 0x5e, 0x5c, 0x5c, 0x59, 0x59, 0x57, 0x57, 0x56, 0x56, 0x57, 0x57, 0x57, 0x57, 
0x58, 0x58, 0x58, 0x58, 0x56, 0x56, 0x54, 0x54, 0x53, 0x53, 0x56, 0x56, 0x5e, 0x5e, 0x68, 0x68, 0x71, 0x71, 0x78, 0x78, 0x7b, 0x7b, 0x7b, 0x7b, 0x79, 0x79, 
0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 0x94, 0x94, 0x9e, 0x9e, 0xa7, 0xa7, 0xaf, 0xaf, 0xb4, 0xb4, 0xb7, 0xb7, 0xbb, 0xbb, 0xbe, 0xbe, 
0xc3, 0xc3, 0xc8, 0xc8, 0xc9, 0xc9, 0xc3, 0xc3, 0xb5, 0xb5, 0xa2, 0xa2, 0x90, 0x90, 0x84, 0x84, 0x7f, 0x7f, 0x82, 0x82, 0x88, 0x88, 0x8f, 0x8f, 0x96, 0x96, 
0x9b, 0x9b, 0x9d, 0x9d, 0x9a, 0x9a, 0x93, 0x93, 0x88, 0x88, 0x7d, 0x7d, 0x72, 0x72, 0x68, 0x68, 0x5f, 0x5f, 0x55, 0x55, 0x48, 0x48, 0x37, 0x37, 0x26, 0x26, 
0x17, 0x17, 0x0f, 0x0f, 0x0e, 0x0e, 0x14, 0x14, 0x1c, 0x1c, 0x23, 0x23, 0x28, 0x28, 0x2b, 0x2b, 0x30, 0x30, 0x39, 0x39, 0x46, 0x46, 0x58, 0x58, 0x6d, 0x6d, 
0x83, 0x83, 0x97, 0x97, 0xaa, 0xaa, 0xb6, 0xb6, 0xba, 0xba, 0xb5, 0xb5, 0xaa, 0xaa, 0x9f, 0x9f, 0x98, 0x98, 0x99, 0x99, 0x9e, 0x9e, 0xa7, 0xa7, 0xae, 0xae, 
0xb4, 0xb4, 0xb8, 0xb8, 0xbd, 0xbd, 0xc5, 0xc5, 0xcf, 0xcf, 0xdc, 0xdc, 0xe6, 0xe6, 0xeb, 0xeb, 0xe7, 0xe7, 0xdb, 0xdb, 0xc6, 0xc6, 0xa4, 0xa4, 0x78, 0x78, 
0x48, 0x48, 0x1c, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x22, 0x22, 0x34, 0x34, 0x45, 0x45, 0x54, 0x54, 0x60, 0x60, 0x6a, 0x6a, 
0x72, 0x72, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x81, 0x81, 0x86, 0x86, 0x8d, 0x8d, 0x95, 0x95, 0x9e, 0x9e, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 
0xa0, 0xa0, 0x9b, 0x9b, 0x96, 0x96, 0x95, 0x95, 0x9b, 0x9b, 0xa8, 0xa8, 0xba, 0xba, 0xc9, 0xc9, 0xd0, 0xd0, 0xce, 0xce, 0xc3, 0xc3, 0xb5, 0xb5, 0xa7, 0xa7, 
0x9d, 0x9d, 0x95, 0x95, 0x8e, 0x8e, 0x86, 0x86, 0x7a, 0x7a, 0x6d, 0x6d, 0x5e, 0x5e, 0x52, 0x52, 0x48, 0x48, 0x42, 0x42, 0x43, 0x43, 0x4c, 0x4c, 0x5e, 0x5e, 
0x75, 0x75, 0x89, 0x89, 0x95, 0x95, 0x95, 0x95, 0x8d, 0x8d, 0x80, 0x80, 0x71, 0x71, 0x63, 0x63, 0x57, 0x57, 0x4a, 0x4a, 0x3d, 0x3d, 0x2e, 0x2e, 0x20, 0x20, 
0x17, 0x17, 0x17, 0x17, 0x22, 0x22, 0x36, 0x36, 0x4e, 0x4e, 0x65, 0x65, 0x7a, 0x7a, 0x8b, 0x8b, 0x98, 0x98, 0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 0xac, 0xac, 
0xb2, 0xb2, 0xbc, 0xbc, 0xc6, 0xc6, 0xcc, 0xcc, 0xc8, 0xc8, 0xb9, 0xb9, 0xa2, 0xa2, 0x8c, 0x8c, 0x7e, 0x7e, 0x7a, 0x7a, 0x80, 0x80, 0x8b, 0x8b, 0x96, 0x96, 
0x9f, 0x9f, 0xa4, 0xa4, 0xa5, 0xa5, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x8b, 0x8b, 0x88, 0x88, 0x85, 0x85, 0x80, 0x80, 0x77, 0x77, 0x69, 0x69, 
0x58, 0x58, 0x4a, 0x4a, 0x42, 0x42, 0x43, 0x43, 0x4c, 0x4c, 0x59, 0x59, 0x67, 0x67, 0x76, 0x76, 0x82, 0x82, 0x8d, 0x8d, 0x96, 0x96, 0x9e, 0x9e, 0xa4, 0xa4, 
0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa9, 0xa9, 0xa9, 0xa9, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 
0xb4, 0xb4, 0xb1, 0xb1, 0xab, 0xab, 0xa5, 0xa5, 0xa2, 0xa2, 0xa1, 0xa1, 0xa3, 0xa3, 0xa8, 0xa8, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 0xba, 0xba, 0xb4, 0xb4, 
0xa7, 0xa7, 0x94, 0x94, 0x7f, 0x7f, 0x6c, 0x6c, 0x5c, 0x5c, 0x4f, 0x4f, 0x44, 0x44, 0x3a, 0x3a, 0x2f, 0x2f, 0x25, 0x25, 0x1d, 0x1d, 0x19, 0x19, 0x19, 0x19, 
0x1d, 0x1d, 0x23, 0x23, 0x2b, 0x2b, 0x34, 0x34, 0x3d, 0x3d, 0x44, 0x44, 0x49, 0x49, 0x4c, 0x4c, 0x4e, 0x4e, 0x50, 0x50, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 
0x5f, 0x5f, 0x65, 0x65, 0x6a, 0x6a, 0x71, 0x71, 0x79, 0x79, 0x85, 0x85, 0x94, 0x94, 0xa6, 0xa6, 0xb7, 0xb7, 0xc2, 0xc2, 0xc9, 0xc9, 0xcb, 0xcb, 0xcb, 0xcb, 
0xcd, 0xcd, 0xd2, 0xd2, 0xd9, 0xd9, 0xe1, 0xe1, 0xe8, 0xe8, 0xee, 0xee, 0xf0, 0xf0, 0xed, 0xed, 0xe1, 0xe1, 0xcd, 0xcd, 0xb2, 0xb2, 0x94, 0x94, 0x74, 0x74, 
0x54, 0x54, 0x38, 0x38, 0x20, 0x20, 0x11, 0x11, 0x0b, 0x0b, 0x0e, 0x0e, 0x19, 0x19, 0x2c, 0x2c, 0x47, 0x47, 0x65, 0x65, 0x7f, 0x7f, 0x8f, 0x8f, 0x93, 0x93, 
0x8c, 0x8c, 0x7f, 0x7f, 0x6f, 0x6f, 0x61, 0x61, 0x55, 0x55, 0x51, 0x51, 0x55, 0x55, 0x62, 0x62, 0x76, 0x76, 0x88, 0x88, 0x94, 0x94, 0x96, 0x96, 0x91, 0x91, 
0x88, 0x88, 0x7e, 0x7e, 0x76, 0x76, 0x71, 0x71, 0x70, 0x70, 0x74, 0x74, 0x7c, 0x7c, 0x87, 0x87, 0x91, 0x91, 0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 
0x9e, 0x9e, 0xa8, 0xa8, 0xb5, 0xb5, 0xc1, 0xc1, 0xc7, 0xc7, 0xc5, 0xc5, 0xbe, 0xbe, 0xb3, 0xb3, 0xa8, 0xa8, 0x9f, 0x9f, 0x99, 0x99, 0x97, 0x97, 0x99, 0x99, 
0x9e, 0x9e, 0xa3, 0xa3, 0xa6, 0xa6, 0xa3, 0xa3, 0x98, 0x98, 0x87, 0x87, 0x76, 0x76, 0x68, 0x68, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x52, 0x52, 0x47, 0x47, 
0x39, 0x39, 0x2e, 0x2e, 0x2b, 0x2b, 0x31, 0x31, 0x3f, 0x3f, 0x51, 0x51, 0x64, 0x64, 0x76, 0x76, 0x85, 0x85, 0x90, 0x90, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 
0x96, 0x96, 0x9a, 0x9a, 0xa4, 0xa4, 0xb1, 0xb1, 0xbb, 0xbb, 0xbe, 0xbe, 0xb7, 0xb7, 0xa9, 0xa9, 0x9b, 0x9b, 0x91, 0x91, 0x8f, 0x8f, 0x93, 0x93, 0x9a, 0x9a, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa2, 0xa2, 0x9d, 0x9d, 0x94, 0x94, 0x88, 0x88, 0x7b, 0x7b, 0x6f, 0x6f, 0x65, 0x65, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5a, 0x5a, 
0x56, 0x56, 0x52, 0x52, 0x50, 0x50, 0x55, 0x55, 0x60, 0x60, 0x6f, 0x6f, 0x7e, 0x7e, 0x89, 0x89, 0x8e, 0x8e, 0x8d, 0x8d, 0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 
0x70, 0x70, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x63, 0x63, 0x5c, 0x5c, 0x53, 0x53, 0x4c, 0x4c, 0x4b, 0x4b, 0x53, 0x53, 0x60, 0x60, 
0x70, 0x70, 0x81, 0x81, 0x91, 0x91, 0x9e, 0x9e, 0xab, 0xab, 0xb7, 0xb7, 0xc4, 0xc4, 0xd0, 0xd0, 0xda, 0xda, 0xe2, 0xe2, 0xe7, 0xe7, 0xe8, 0xe8, 0xe3, 0xe3, 
0xd7, 0xd7, 0xc5, 0xc5, 0xaf, 0xaf, 0x98, 0x98, 0x84, 0x84, 0x75, 0x75, 0x69, 0x69, 0x5d, 0x5d, 0x4f, 0x4f, 0x3f, 0x3f, 0x2d, 0x2d, 0x1f, 0x1f, 0x19, 0x19, 
0x1d, 0x1d, 0x29, 0x29, 0x3a, 0x3a, 0x4b, 0x4b, 0x5c, 0x5c, 0x69, 0x69, 0x73, 0x73, 0x78, 0x78, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x78, 0x78, 0x7e, 0x7e, 
0x86, 0x86, 0x8f, 0x8f, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x95, 0x95, 0x9d, 0x9d, 0xa9, 0xa9, 0xb7, 0xb7, 0xc3, 0xc3, 0xcd, 0xcd, 0xd4, 0xd4, 
0xda, 0xda, 0xe0, 0xe0, 0xe8, 0xe8, 0xf0, 0xf0, 0xf6, 0xf6, 0xf7, 0xf7, 0xf2, 0xf2, 0xe5, 0xe5, 0xd0, 0xd0, 0xb1, 0xb1, 0x88, 0x88, 0x5b, 0x5b, 0x31, 0x31, 
0x12, 0x12, 0x02, 0x02, 0x00, 0x00, 0x07, 0x07, 0x18, 0x18, 0x30, 0x30, 0x4c, 0x4c, 0x69, 0x69, 0x85, 0x85, 0x9e, 0x9e, 0xb3, 0xb3, 0xc1, 0xc1, 0xc4, 0xc4, 
0xbd, 0xbd, 0xae, 0xae, 0x9d, 0x9d, 0x8f, 0x8f, 0x87, 0x87, 0x85, 0x85, 0x87, 0x87, 0x8e, 0x8e, 0x98, 0x98, 0xa1, 0xa1, 0xa3, 0xa3, 0x9b, 0x9b, 0x86, 0x86, 
0x6a, 0x6a, 0x51, 0x51, 0x43, 0x43, 0x46, 0x46, 0x55, 0x55, 0x6a, 0x6a, 0x7e, 0x7e, 0x8e, 0x8e, 0x98, 0x98, 0x99, 0x99, 0x91, 0x91, 0x80, 0x80, 0x6c, 0x6c, 
0x5a, 0x5a, 0x51, 0x51, 0x54, 0x54, 0x60, 0x60, 0x6d, 0x6d, 0x77, 0x77, 0x7b, 0x7b, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x80, 0x80, 0x8c, 0x8c, 0x98, 0x98, 
0xa0, 0xa0, 0xa4, 0xa4, 0xa2, 0xa2, 0x9e, 0x9e, 0x98, 0x98, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x78, 0x78, 0x6f, 0x6f, 0x62, 0x62, 
0x52, 0x52, 0x41, 0x41, 0x38, 0x38, 0x3c, 0x3c, 0x50, 0x50, 0x6e, 0x6e, 0x8d, 0x8d, 0xa1, 0xa1, 0xa7, 0xa7, 0xa1, 0xa1, 0x97, 0x97, 0x8f, 0x8f, 0x8d, 0x8d, 
0x91, 0x91, 0x98, 0x98, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xaa, 0xaa, 0xa0, 0xa0, 0x8f, 0x8f, 0x7a, 0x7a, 0x68, 0x68, 0x61, 0x61, 0x66, 0x66, 0x73, 0x73, 
0x81, 0x81, 0x89, 0x89, 0x88, 0x88, 0x7f, 0x7f, 0x75, 0x75, 0x70, 0x70, 0x72, 0x72, 0x7a, 0x7a, 0x83, 0x83, 0x89, 0x89, 0x8b, 0x8b, 0x87, 0x87, 0x81, 0x81, 
0x7a, 0x7a, 0x73, 0x73, 0x6e, 0x6e, 0x6e, 0x6e, 0x75, 0x75, 0x82, 0x82, 0x92, 0x92, 0xa0, 0xa0, 0xa6, 0xa6, 0xa2, 0xa2, 0x97, 0x97, 0x8a, 0x8a, 0x83, 0x83, 
0x82, 0x82, 0x88, 0x88, 0x8e, 0x8e, 0x90, 0x90, 0x8b, 0x8b, 0x82, 0x82, 0x75, 0x75, 0x69, 0x69, 0x5d, 0x5d, 0x55, 0x55, 0x51, 0x51, 0x54, 0x54, 0x5e, 0x5e, 
0x6b, 0x6b, 0x76, 0x76, 0x7c, 0x7c, 0x7a, 0x7a, 0x72, 0x72, 0x66, 0x66, 0x5b, 0x5b, 0x51, 0x51, 0x49, 0x49, 0x40, 0x40, 0x36, 0x36, 0x29, 0x29, 0x1b, 0x1b, 
0x0f, 0x0f, 0x09, 0x09, 0x08, 0x08, 0x0e, 0x0e, 0x18, 0x18, 0x24, 0x24, 0x33, 0x33, 0x40, 0x40, 0x4c, 0x4c, 0x52, 0x52, 0x52, 0x52, 0x4f, 0x4f, 0x4c, 0x4c, 
0x4e, 0x4e, 0x55, 0x55, 0x61, 0x61, 0x6e, 0x6e, 0x79, 0x79, 0x81, 0x81, 0x87, 0x87, 0x8b, 0x8b, 0x91, 0x91, 0x9a, 0x9a, 0xa5, 0xa5, 0xb2, 0xb2, 0xbf, 0xbf, 
0xcd, 0xcd, 0xda, 0xda, 0xe5, 0xe5, 0xed, 0xed, 0xf3, 0xf3, 0xf7, 0xf7, 0xf9, 0xf9, 0xfa, 0xfa, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xfe, 0xfe, 0xff, 0xff, 
0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfb, 0xfb, 0xf7, 0xf7, 0xee, 0xee, 0xdc, 0xdc, 0xc1, 0xc1, 0xa0, 0xa0, 0x7d, 0x7d, 0x5a, 0x5a, 0x3b, 0x3b, 0x20, 0x20, 
0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x13, 0x13, 0x27, 0x27, 0x3e, 0x3e, 0x55, 0x55, 0x69, 0x69, 0x79, 0x79, 0x84, 0x84, 0x8b, 0x8b, 
0x8b, 0x8b, 0x87, 0x87, 0x80, 0x80, 0x7c, 0x7c, 0x80, 0x80, 0x8c, 0x8c, 0x9e, 0x9e, 0xaf, 0xaf, 0xb8, 0xb8, 0xb7, 0xb7, 0xac, 0xac, 0x9a, 0x9a, 0x86, 0x86, 
0x70, 0x70, 0x5c, 0x5c, 0x4f, 0x4f, 0x4d, 0x4d, 0x56, 0x56, 0x67, 0x67, 0x7b, 0x7b, 0x8e, 0x8e, 0x9c, 0x9c, 0xa5, 0xa5, 0xa7, 0xa7, 0xa2, 0xa2, 0x96, 0x96, 
0x87, 0x87, 0x79, 0x79, 0x72, 0x72, 0x72, 0x72, 0x7a, 0x7a, 0x86, 0x86, 0x95, 0x95, 0xa5, 0xa5, 0xb4, 0xb4, 0xc1, 0xc1, 0xc8, 0xc8, 0xcb, 0xcb, 0xc8, 0xc8, 
0xc1, 0xc1, 0xb6, 0xb6, 0xa9, 0xa9, 0x99, 0x99, 0x88, 0x88, 0x78, 0x78, 0x68, 0x68, 0x59, 0x59, 0x4c, 0x4c, 0x41, 0x41, 0x3a, 0x3a, 0x37, 0x37, 0x37, 0x37, 
0x3d, 0x3d, 0x48, 0x48, 0x57, 0x57, 0x69, 0x69, 0x7d, 0x7d, 0x92, 0x92, 0xa5, 0xa5, 0xb3, 0xb3, 0xb9, 0xb9, 0xb6, 0xb6, 0xae, 0xae, 0xa3, 0xa3, 0x9b, 0x9b, 
0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x94, 0x94, 0x8b, 0x8b, 0x7f, 0x7f, 0x70, 0x70, 0x62, 0x62, 0x56, 0x56, 0x4d, 0x4d, 0x48, 0x48, 0x49, 0x49, 0x4f, 0x4f, 
0x57, 0x57, 0x5f, 0x5f, 0x60, 0x60, 0x5b, 0x5b, 0x51, 0x51, 0x47, 0x47, 0x41, 0x41, 0x41, 0x41, 0x46, 0x46, 0x4d, 0x4d, 0x52, 0x52, 0x55, 0x55, 0x56, 0x56, 
0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x5f, 0x5f, 0x66, 0x66, 0x6d, 0x6d, 0x74, 0x74, 0x7a, 0x7a, 0x7f, 0x7f, 0x82, 0x82, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 
0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x8d, 0x8d, 0x82, 0x82, 0x73, 0x73, 0x65, 0x65, 0x60, 0x60, 0x64, 0x64, 0x70, 0x70, 0x80, 0x80, 0x90, 0x90, 
0x9f, 0x9f, 0xa9, 0xa9, 0xaf, 0xaf, 0xaf, 0xaf, 0xa9, 0xa9, 0x9f, 0x9f, 0x95, 0x95, 0x8e, 0x8e, 0x8a, 0x8a, 0x89, 0x89, 0x85, 0x85, 0x7b, 0x7b, 0x6a, 0x6a, 
0x54, 0x54, 0x40, 0x40, 0x32, 0x32, 0x2e, 0x2e, 0x33, 0x33, 0x3d, 0x3d, 0x49, 0x49, 0x57, 0x57, 0x63, 0x63, 0x6d, 0x6d, 0x74, 0x74, 0x77, 0x77, 0x78, 0x78, 
0x7b, 0x7b, 0x82, 0x82, 0x8e, 0x8e, 0x9e, 0x9e, 0xac, 0xac, 0xb3, 0xb3, 0xb4, 0xb4, 0xae, 0xae, 0xa7, 0xa7, 0xa1, 0xa1, 0x9f, 0x9f, 0xa1, 0xa1, 0xa4, 0xa4, 
0xa7, 0xa7, 0xaa, 0xaa, 0xac, 0xac, 0xaf, 0xaf, 0xb4, 0xb4, 0xbd, 0xbd, 0xc8, 0xc8, 0xd4, 0xd4, 0xe0, 0xe0, 0xeb, 0xeb, 0xf4, 0xf4, 0xfa, 0xfa, 0xfd, 0xfd, 
0xfd, 0xfd, 0xfb, 0xfb, 0xf7, 0xf7, 0xf2, 0xf2, 0xed, 0xed, 0xe7, 0xe7, 0xda, 0xda, 0xc3, 0xc3, 0xa2, 0xa2, 0x79, 0x79, 0x51, 0x51, 0x30, 0x30, 0x18, 0x18, 
0x0a, 0x0a, 0x04, 0x04, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 0x11, 0x11, 0x1a, 0x1a, 0x25, 0x25, 0x32, 0x32, 0x3c, 0x3c, 0x42, 0x42, 0x43, 0x43, 0x40, 0x40, 
0x3d, 0x3d, 0x3d, 0x3d, 0x42, 0x42, 0x4d, 0x4d, 0x5d, 0x5d, 0x74, 0x74, 0x90, 0x90, 0xad, 0xad, 0xc4, 0xc4, 0xd1, 0xd1, 0xd0, 0xd0, 0xc4, 0xc4, 0xb2, 0xb2, 
0xa1, 0xa1, 0x91, 0x91, 0x86, 0x86, 0x81, 0x81, 0x84, 0x84, 0x8f, 0x8f, 0x9d, 0x9d, 0xac, 0xac, 0xb7, 0xb7, 0xbd, 0xbd, 0xbe, 0xbe, 0xbd, 0xbd, 0xbd, 0xbd, 
0xbe, 0xbe, 0xc2, 0xc2, 0xc9, 0xc9, 0xd2, 0xd2, 0xdf, 0xdf, 0xeb, 0xeb, 0xf4, 0xf4, 0xf7, 0xf7, 0xf1, 0xf1, 0xe5, 0xe5, 0xd4, 0xd4, 0xc0, 0xc0, 0xaa, 0xaa, 
0x94, 0x94, 0x7f, 0x7f, 0x6d, 0x6d, 0x5f, 0x5f, 0x53, 0x53, 0x49, 0x49, 0x40, 0x40, 0x38, 0x38, 0x30, 0x30, 0x28, 0x28, 0x20, 0x20, 0x19, 0x19, 0x12, 0x12, 
0x0e, 0x0e, 0x0c, 0x0c, 0x0f, 0x0f, 0x15, 0x15, 0x1e, 0x1e, 0x2a, 0x2a, 0x37, 0x37, 0x45, 0x45, 0x51, 0x51, 0x57, 0x57, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 
0x51, 0x51, 0x58, 0x58, 0x63, 0x63, 0x70, 0x70, 0x7a, 0x7a, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 
0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x77, 0x77, 0x69, 0x69, 0x5b, 0x5b, 0x53, 0x53, 0x59, 0x59, 0x6c, 0x6c, 0x8a, 0x8a, 0xa9, 0xa9, 0xc4, 0xc4, 0xd5, 0xd5, 
0xde, 0xde, 0xe0, 0xe0, 0xde, 0xde, 0xd9, 0xd9, 0xd3, 0xd3, 0xce, 0xce, 0xcb, 0xcb, 0xc8, 0xc8, 0xc7, 0xc7, 0xc3, 0xc3, 0xbd, 0xbd, 0xb2, 0xb2, 0xa5, 0xa5, 
0x98, 0x98, 0x8c, 0x8c, 0x83, 0x83, 0x7c, 0x7c, 0x75, 0x75, 0x6d, 0x6d, 0x63, 0x63, 0x59, 0x59, 0x52, 0x52, 0x52, 0x52, 0x59, 0x59, 0x66, 0x66, 0x72, 0x72, 
0x7b, 0x7b, 0x7d, 0x7d, 0x78, 0x78, 0x6e, 0x6e, 0x60, 0x60, 0x4e, 0x4e, 0x3c, 0x3c, 0x2e, 0x2e, 0x27, 0x27, 0x29, 0x29, 0x2f, 0x2f, 0x36, 0x36, 0x39, 0x39, 
0x35, 0x35, 0x2d, 0x2d, 0x26, 0x26, 0x26, 0x26, 0x2f, 0x2f, 0x3f, 0x3f, 0x52, 0x52, 0x65, 0x65, 0x75, 0x75, 0x81, 0x81, 0x8b, 0x8b, 0x90, 0x90, 0x94, 0x94, 
0x96, 0x96, 0x9a, 0x9a, 0xa0, 0xa0, 0xaa, 0xaa, 0xb6, 0xb6, 0xbf, 0xbf, 0xc4, 0xc4, 0xc2, 0xc2, 0xbc, 0xbc, 0xb7, 0xb7, 0xb8, 0xb8, 0xc1, 0xc1, 0xcf, 0xcf, 
0xdc, 0xdc, 0xe3, 0xe3, 0xe2, 0xe2, 0xda, 0xda, 0xd1, 0xd1, 0xc9, 0xc9, 0xc7, 0xc7, 0xca, 0xca, 0xd0, 0xd0, 0xd9, 0xd9, 0xe5, 0xe5, 0xf0, 0xf0, 0xf9, 0xf9, 
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf2, 0xf2, 0xe4, 0xe4, 0xd1, 0xd1, 0xb8, 0xb8, 0x97, 0x97, 0x6d, 0x6d, 0x41, 0x41, 0x1a, 0x1a, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0x09, 0x13, 0x13, 0x1c, 0x1c, 0x26, 0x26, 0x33, 0x33, 0x46, 0x46, 0x5b, 0x5b, 0x72, 0x72, 0x87, 0x87, 0x98, 0x98, 
0xa5, 0xa5, 0xac, 0xac, 0xac, 0xac, 0xa5, 0xa5, 0x9a, 0x9a, 0x92, 0x92, 0x91, 0x91, 0x99, 0x99, 0xa6, 0xa6, 0xb1, 0xb1, 0xb4, 0xb4, 0xab, 0xab, 0x9a, 0x9a, 
0x86, 0x86, 0x78, 0x78, 0x71, 0x71, 0x73, 0x73, 0x7e, 0x7e, 0x93, 0x93, 0xaf, 0xaf, 0xcf, 0xcf, 0xeb, 0xeb, 0xfc, 0xfc, 0xff, 0xff, 0xf8, 0xf8, 0xe9, 0xe9, 
0xd5, 0xd5, 0xc0, 0xc0, 0xac, 0xac, 0x9b, 0x9b, 0x91, 0x91, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x8f, 0x8f, 0x8b, 0x8b, 0x83, 0x83, 0x79, 0x79, 0x6f, 0x6f, 
0x66, 0x66, 0x5e, 0x5e, 0x55, 0x55, 0x4c, 0x4c, 0x42, 0x42, 0x38, 0x38, 0x2c, 0x2c, 0x21, 0x21, 0x16, 0x16, 0x0c, 0x0c, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x07, 0x07, 0x16, 0x16, 0x2b, 0x2b, 0x46, 0x46, 0x63, 0x63, 0x7f, 0x7f, 0x9a, 0x9a, 0xb0, 0xb0, 0xbd, 0xbd, 0xbd, 0xbd, 0xaf, 0xaf, 0x99, 0x99, 
0x83, 0x83, 0x73, 0x73, 0x6e, 0x6e, 0x72, 0x72, 0x7b, 0x7b, 0x87, 0x87, 0x92, 0x92, 0x9b, 0x9b, 0x9e, 0x9e, 0x9a, 0x9a, 0x8f, 0x8f, 0x7f, 0x7f, 0x70, 0x70, 
0x67, 0x67, 0x65, 0x65, 0x6a, 0x6a, 0x70, 0x70, 0x74, 0x74, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x70, 0x70, 
0x7a, 0x7a, 0x84, 0x84, 0x8e, 0x8e, 0x95, 0x95, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9c, 0x9c, 0xa1, 0xa1, 0xa7, 0xa7, 0xad, 0xad, 0xaf, 0xaf, 0xad, 0xad, 
0xa8, 0xa8, 0xa0, 0xa0, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 
0x63, 0x63, 0x64, 0x64, 0x69, 0x69, 0x6e, 0x6e, 0x70, 0x70, 0x6c, 0x6c, 0x61, 0x61, 0x51, 0x51, 0x41, 0x41, 0x34, 0x34, 0x2d, 0x2d, 0x2c, 0x2c, 0x2f, 0x2f, 
0x37, 0x37, 0x42, 0x42, 0x50, 0x50, 0x5f, 0x5f, 0x6f, 0x6f, 0x81, 0x81, 0x91, 0x91, 0xa0, 0xa0, 0xaa, 0xaa, 0xaf, 0xaf, 0xb0, 0xb0, 0xad, 0xad, 0xa8, 0xa8, 
0xa1, 0xa1, 0x9a, 0x9a, 0x93, 0x93, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x7d, 0x7d, 0x74, 0x74, 0x6c, 0x6c, 0x67, 0x67, 0x6a, 0x6a, 0x76, 0x76, 
0x89, 0x89, 0x9e, 0x9e, 0xaf, 0xaf, 0xba, 0xba, 0xc1, 0xc1, 0xc3, 0xc3, 0xc4, 0xc4, 0xc4, 0xc4, 0xc4, 0xc4, 0xc5, 0xc5, 0xc7, 0xc7, 0xcb, 0xcb, 0xd0, 0xd0, 
0xd5, 0xd5, 0xdc, 0xdc, 0xe3, 0xe3, 0xe9, 0xe9, 0xec, 0xec, 0xe8, 0xe8, 0xde, 0xde, 0xcc, 0xcc, 0xb3, 0xb3, 0x94, 0x94, 0x6f, 0x6f, 0x48, 0x48, 0x26, 0x26, 
0x0d, 0x0d, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x04, 0x04, 0x09, 0x09, 0x15, 0x15, 0x29, 0x29, 0x42, 0x42, 0x5f, 0x5f, 0x7c, 0x7c, 
0x96, 0x96, 0xab, 0xab, 0xba, 0xba, 0xbf, 0xbf, 0xba, 0xba, 0xaf, 0xaf, 0xa4, 0xa4, 0xa1, 0xa1, 0xa6, 0xa6, 0xb2, 0xb2, 0xc0, 0xc0, 0xcc, 0xcc, 0xd2, 0xd2, 
0xd3, 0xd3, 0xd1, 0xd1, 0xcc, 0xcc, 0xc6, 0xc6, 0xc0, 0xc0, 0xbc, 0xbc, 0xbc, 0xbc, 0xbe, 0xbe, 0xc3, 0xc3, 0xc8, 0xc8, 0xca, 0xca, 0xca, 0xca, 0xc6, 0xc6, 
0xbe, 0xbe, 0xb0, 0xb0, 0x9c, 0x9c, 0x86, 0x86, 0x70, 0x70, 0x5f, 0x5f, 0x53, 0x53, 0x4e, 0x4e, 0x4e, 0x4e, 0x53, 0x53, 0x5b, 0x5b, 0x64, 0x64, 0x6b, 0x6b, 
0x6d, 0x6d, 0x68, 0x68, 0x5e, 0x5e, 0x51, 0x51, 0x44, 0x44, 0x39, 0x39, 0x2f, 0x2f, 0x26, 0x26, 0x1e, 0x1e, 0x18, 0x18, 0x13, 0x13, 0x10, 0x10, 0x10, 0x10, 
0x14, 0x14, 0x1c, 0x1c, 0x28, 0x28, 0x39, 0x39, 0x4f, 0x4f, 0x69, 0x69, 0x83, 0x83, 0x9d, 0x9d, 0xb5, 0xb5, 0xca, 0xca, 0xdc, 0xdc, 0xe7, 0xe7, 0xed, 0xed, 
0xed, 0xed, 0xe7, 0xe7, 0xdb, 0xdb, 0xca, 0xca, 0xb7, 0xb7, 0xa6, 0xa6, 0x9d, 0x9d, 0x9c, 0x9c, 0xa2, 0xa2, 0xab, 0xab, 0xb4, 0xb4, 0xba, 0xba, 0xbd, 0xbd, 
0xbd, 0xbd, 0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xb2, 0xb2, 0xb1, 0xb1, 0xb3, 0xb3, 0xb6, 0xb6, 0xb5, 0xb5, 0xad, 0xad, 0x9e, 0x9e, 0x8a, 0x8a, 0x77, 0x77, 
0x6a, 0x6a, 0x65, 0x65, 0x66, 0x66, 0x69, 0x69, 0x69, 0x69, 0x64, 0x64, 0x59, 0x59, 0x4c, 0x4c, 0x3f, 0x3f, 0x32, 0x32, 0x27, 0x27, 0x1f, 0x1f, 0x1c, 0x1c, 
0x1c, 0x1c, 0x1e, 0x1e, 0x20, 0x20, 0x20, 0x20, 0x1c, 0x1c, 0x17, 0x17, 0x13, 0x13, 0x14, 0x14, 0x1b, 0x1b, 0x26, 0x26, 0x32, 0x32, 0x3c, 0x3c, 0x41, 0x41, 
0x44, 0x44, 0x48, 0x48, 0x50, 0x50, 0x5d, 0x5d, 0x70, 0x70, 0x84, 0x84, 0x98, 0x98, 0xa9, 0xa9, 0xb7, 0xb7, 0xc1, 0xc1, 0xc7, 0xc7, 0xc8, 0xc8, 0xc5, 0xc5, 
0xc0, 0xc0, 0xb9, 0xb9, 0xb0, 0xb0, 0xa6, 0xa6, 0x9b, 0x9b, 0x8d, 0x8d, 0x7e, 0x7e, 0x6e, 0x6e, 0x61, 0x61, 0x58, 0x58, 0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 
0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x59, 0x59, 0x61, 0x61, 0x6b, 0x6b, 0x76, 0x76, 0x7f, 0x7f, 0x85, 0x85, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 
0x86, 0x86, 0x85, 0x85, 0x87, 0x87, 0x8d, 0x8d, 0x98, 0x98, 0xa5, 0xa5, 0xb0, 0xb0, 0xb7, 0xb7, 0xb8, 0xb8, 0xb4, 0xb4, 0xaf, 0xaf, 0xab, 0xab, 0xaa, 0xaa, 
0xad, 0xad, 0xb2, 0xb2, 0xbc, 0xbc, 0xc7, 0xc7, 0xd3, 0xd3, 0xdd, 0xdd, 0xe2, 0xe2, 0xe3, 0xe3, 0xde, 0xde, 0xd5, 0xd5, 0xc6, 0xc6, 0xb3, 0xb3, 0x9c, 0x9c, 
0x83, 0x83, 0x69, 0x69, 0x4e, 0x4e, 0x34, 0x34, 0x1e, 0x1e, 0x0d, 0x0d, 0x04, 0x04, 0x02, 0x02, 0x06, 0x06, 0x10, 0x10, 0x20, 0x20, 0x35, 0x35, 0x4b, 0x4b, 
0x62, 0x62, 0x78, 0x78, 0x8c, 0x8c, 0x9b, 0x9b, 0xa2, 0xa2, 0xa2, 0xa2, 0x9c, 0x9c, 0x93, 0x93, 0x8a, 0x8a, 0x84, 0x84, 0x81, 0x81, 0x84, 0x84, 0x8e, 0x8e, 
0x9f, 0x9f, 0xb5, 0xb5, 0xcb, 0xcb, 0xdd, 0xdd, 0xe9, 0xe9, 0xee, 0xee, 0xec, 0xec, 0xe1, 0xe1, 0xcf, 0xcf, 0xb8, 0xb8, 0xa2, 0xa2, 0x92, 0x92, 0x8b, 0x8b, 
0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x99, 0x99, 0x98, 0x98, 0x95, 0x95, 0x8e, 0x8e, 0x87, 0x87, 0x82, 0x82, 0x82, 0x82, 0x88, 0x88, 0x92, 0x92, 
0x9c, 0x9c, 0xa2, 0xa2, 0xa4, 0xa4, 0x9f, 0x9f, 0x95, 0x95, 0x86, 0x86, 0x73, 0x73, 0x5d, 0x5d, 0x47, 0x47, 0x33, 0x33, 0x23, 0x23, 0x17, 0x17, 0x0d, 0x0d, 
0x07, 0x07, 0x03, 0x03, 0x02, 0x02, 0x03, 0x03, 0x08, 0x08, 0x0f, 0x0f, 0x19, 0x19, 0x26, 0x26, 0x35, 0x35, 0x47, 0x47, 0x5a, 0x5a, 0x6d, 0x6d, 0x7e, 0x7e, 
0x8e, 0x8e, 0x9c, 0x9c, 0xa8, 0xa8, 0xb1, 0xb1, 0xb9, 0xb9, 0xbe, 0xbe, 0xc3, 0xc3, 0xc8, 0xc8, 0xcd, 0xcd, 0xd3, 0xd3, 0xd9, 0xd9, 0xe1, 0xe1, 0xe9, 0xe9, 
0xf0, 0xf0, 0xf4, 0xf4, 0xf0, 0xf0, 0xe6, 0xe6, 0xd6, 0xd6, 0xc4, 0xc4, 0xb5, 0xb5, 0xa9, 0xa9, 0xa2, 0xa2, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 
0x8c, 0x8c, 0x84, 0x84, 0x79, 0x79, 0x6c, 0x6c, 0x60, 0x60, 0x57, 0x57, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 0x53, 0x53, 
0x58, 0x58, 0x5f, 0x5f, 0x68, 0x68, 0x73, 0x73, 0x7d, 0x7d, 0x86, 0x86, 0x8e, 0x8e, 0x93, 0x93, 0x92, 0x92, 0x8e, 0x8e, 0x85, 0x85, 0x7b, 0x7b, 0x71, 0x71, 
0x68, 0x68, 0x61, 0x61, 0x5e, 0x5e, 0x60, 0x60, 0x68, 0x68, 0x72, 0x72, 0x7c, 0x7c, 0x83, 0x83, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 
0x5b, 0x5b, 0x51, 0x51, 0x4c, 0x4c, 0x4c, 0x4c, 0x50, 0x50, 0x58, 0x58, 0x61, 0x61, 0x6d, 0x6d, 0x78, 0x78, 0x80, 0x80, 0x84, 0x84, 0x82, 0x82, 0x7b, 0x7b, 
0x71, 0x71, 0x66, 0x66, 0x5b, 0x5b, 0x50, 0x50, 0x49, 0x49, 0x47, 0x47, 0x4b, 0x4b, 0x52, 0x52, 0x5c, 0x5c, 0x67, 0x67, 0x72, 0x72, 0x7c, 0x7c, 0x85, 0x85, 
0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x97, 0x97, 0x9b, 0x9b, 0xa3, 0xa3, 0xae, 0xae, 0xb8, 0xb8, 0xbd, 0xbd, 
0xbd, 0xbd, 0xb9, 0xb9, 0xb4, 0xb4, 0xb0, 0xb0, 0xb0, 0xb0, 0xb3, 0xb3, 0xb8, 0xb8, 0xbe, 0xbe, 0xc5, 0xc5, 0xcc, 0xcc, 0xd3, 0xd3, 0xdc, 0xdc, 0xe6, 0xe6, 
0xef, 0xef, 0xf6, 0xf6, 0xf8, 0xf8, 0xf2, 0xf2, 0xe6, 0xe6, 0xd1, 0xd1, 0xb1, 0xb1, 0x88, 0x88, 0x5a, 0x5a, 0x31, 0x31, 0x13, 0x13, 0x03, 0x03, 0x00, 0x00, 
0x03, 0x03, 0x06, 0x06, 0x08, 0x08, 0x09, 0x09, 0x0e, 0x0e, 0x1b, 0x1b, 0x34, 0x34, 0x55, 0x55, 0x77, 0x77, 0x96, 0x96, 0xae, 0xae, 0xbe, 0xbe, 0xc5, 0xc5, 
0xc2, 0xc2, 0xb7, 0xb7, 0xa8, 0xa8, 0x9d, 0x9d, 0x9c, 0x9c, 0xa8, 0xa8, 0xbd, 0xbd, 0xd2, 0xd2, 0xe0, 0xe0, 0xe3, 0xe3, 0xdd, 0xdd, 0xd1, 0xd1, 0xc4, 0xc4, 
0xb8, 0xb8, 0xae, 0xae, 0xa8, 0xa8, 0xa7, 0xa7, 0xa9, 0xa9, 0xae, 0xae, 0xb2, 0xb2, 0xb4, 0xb4, 0xb3, 0xb3, 0xae, 0xae, 0xa7, 0xa7, 0x9d, 0x9d, 0x91, 0x91, 
0x85, 0x85, 0x79, 0x79, 0x6f, 0x6f, 0x67, 0x67, 0x61, 0x61, 0x60, 0x60, 0x64, 0x64, 0x6d, 0x6d, 0x7a, 0x7a, 0x84, 0x84, 0x89, 0x89, 0x85, 0x85, 0x7b, 0x7b, 
0x6a, 0x6a, 0x54, 0x54, 0x3c, 0x3c, 0x23, 0x23, 0x0d, 0x0d, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0e, 0x0e, 0x1e, 0x1e, 0x31, 0x31, 0x47, 0x47, 
0x62, 0x62, 0x80, 0x80, 0xa1, 0xa1, 0xbf, 0xbf, 0xd8, 0xd8, 0xea, 0xea, 0xf5, 0xf5, 0xf9, 0xf9, 0xf9, 0xf9, 0xf3, 0xf3, 0xe9, 0xe9, 0xdc, 0xdc, 0xcc, 0xcc, 
0xb9, 0xb9, 0xa5, 0xa5, 0x93, 0x93, 0x84, 0x84, 0x7a, 0x7a, 0x75, 0x75, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 
0x6e, 0x6e, 0x6e, 0x6e, 0x75, 0x75, 0x83, 0x83, 0x96, 0x96, 0xa5, 0xa5, 0xad, 0xad, 0xa9, 0xa9, 0x9c, 0x9c, 0x8c, 0x8c, 0x7d, 0x7d, 0x72, 0x72, 0x6a, 0x6a, 
0x67, 0x67, 0x65, 0x65, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x59, 0x59, 0x52, 0x52, 
0x48, 0x48, 0x39, 0x39, 0x2a, 0x2a, 0x22, 0x22, 0x26, 0x26, 0x38, 0x38, 0x53, 0x53, 0x71, 0x71, 0x87, 0x87, 0x93, 0x93, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 
0x8f, 0x8f, 0x8f, 0x8f, 0x92, 0x92, 0x98, 0x98, 0x9f, 0x9f, 0xa6, 0xa6, 0xa9, 0xa9, 0xa8, 0xa8, 0x9f, 0x9f, 0x93, 0x93, 0x87, 0x87, 0x7f, 0x7f, 0x7c, 0x7c, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7a, 0x7a, 0x71, 0x71, 0x65, 0x65, 0x59, 0x59, 0x50, 0x50, 0x4c, 0x4c, 0x4c, 0x4c, 0x4e, 0x4e, 0x51, 0x51, 0x54, 0x54, 0x55, 0x55, 
0x55, 0x55, 0x53, 0x53, 0x50, 0x50, 0x4d, 0x4d, 0x4d, 0x4d, 0x53, 0x53, 0x60, 0x60, 0x72, 0x72, 0x84, 0x84, 0x91, 0x91, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 
0x9f, 0x9f, 0xa4, 0xa4, 0xac, 0xac, 0xb5, 0xb5, 0xbd, 0xbd, 0xc2, 0xc2, 0xc4, 0xc4, 0xc2, 0xc2, 0xbc, 0xbc, 0xb1, 0xb1, 0xa5, 0xa5, 0x9c, 0x9c, 0x99, 0x99, 
0x9e, 0x9e, 0xa9, 0xa9, 0xb5, 0xb5, 0xbe, 0xbe, 0xc2, 0xc2, 0xc3, 0xc3, 0xc4, 0xc4, 0xc8, 0xc8, 0xd2, 0xd2, 0xdf, 0xdf, 0xe9, 0xe9, 0xec, 0xec, 0xe3, 0xe3, 
0xd1, 0xd1, 0xb6, 0xb6, 0x94, 0x94, 0x6c, 0x6c, 0x43, 0x43, 0x20, 0x20, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x09, 0x09, 0x10, 0x10, 
0x1c, 0x1c, 0x32, 0x32, 0x53, 0x53, 0x7a, 0x7a, 0xa2, 0xa2, 0xc3, 0xc3, 0xdb, 0xdb, 0xe8, 0xe8, 0xec, 0xec, 0xe7, 0xe7, 0xda, 0xda, 0xc9, 0xc9, 0xb8, 0xb8, 
0xaa, 0xaa, 0x9f, 0x9f, 0x99, 0x99, 0x98, 0x98, 0x9b, 0x9b, 0xa3, 0xa3, 0xad, 0xad, 0xb7, 0xb7, 0xbf, 0xbf, 0xc4, 0xc4, 0xc6, 0xc6, 0xc5, 0xc5, 0xc0, 0xc0, 
0xb8, 0xb8, 0xaf, 0xaf, 0xa7, 0xa7, 0xa3, 0xa3, 0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xa8, 0xa8, 0xa5, 0xa5, 0x9f, 0x9f, 0x95, 0x95, 0x8a, 0x8a, 0x7e, 0x7e, 
0x73, 0x73, 0x6d, 0x6d, 0x6d, 0x6d, 0x73, 0x73, 0x7f, 0x7f, 0x8a, 0x8a, 0x91, 0x91, 0x90, 0x90, 0x88, 0x88, 0x7b, 0x7b, 0x68, 0x68, 0x51, 0x51, 0x38, 0x38, 
0x22, 0x22, 0x11, 0x11, 0x08, 0x08, 0x05, 0x05, 0x08, 0x08, 0x0f, 0x0f, 0x1a, 0x1a, 0x28, 0x28, 0x3b, 0x3b, 0x53, 0x53, 0x71, 0x71, 0x91, 0x91, 0xaf, 0xaf, 
0xc7, 0xc7, 0xd6, 0xd6, 0xde, 0xde, 0xe2, 0xe2, 0xe3, 0xe3, 0xe4, 0xe4, 0xe4, 0xe4, 0xe3, 0xe3, 0xde, 0xde, 0xd6, 0xd6, 0xca, 0xca, 0xbc, 0xbc, 0xae, 0xae, 
0x9e, 0x9e, 0x91, 0x91, 0x87, 0x87, 0x83, 0x83, 0x86, 0x86, 0x8c, 0x8c, 0x91, 0x91, 0x8e, 0x8e, 0x82, 0x82, 0x6f, 0x6f, 0x5b, 0x5b, 0x4c, 0x4c, 0x43, 0x43, 
0x40, 0x40, 0x40, 0x40, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x40, 0x40, 0x3d, 0x3d, 0x3a, 0x3a, 0x37, 0x37, 0x37, 0x37, 0x3b, 0x3b, 0x43, 0x43, 0x4d, 0x4d, 
0x58, 0x58, 0x61, 0x61, 0x66, 0x66, 0x69, 0x69, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x70, 0x70, 0x70, 0x70, 
0x76, 0x76, 0x83, 0x83, 0x95, 0x95, 0xaa, 0xaa, 0xbe, 0xbe, 0xd1, 0xd1, 0xe0, 0xe0, 0xeb, 0xeb, 0xef, 0xef, 0xed, 0xed, 0xe7, 0xe7, 0xdd, 0xdd, 0xd3, 0xd3, 
0xc9, 0xc9, 0xbe, 0xbe, 0xb2, 0xb2, 0xa1, 0xa1, 0x8d, 0x8d, 0x76, 0x76, 0x61, 0x61, 0x51, 0x51, 0x47, 0x47, 0x42, 0x42, 0x3f, 0x3f, 0x3c, 0x3c, 0x37, 0x37, 
0x31, 0x31, 0x2c, 0x2c, 0x28, 0x28, 0x28, 0x28, 0x2a, 0x2a, 0x2e, 0x2e, 0x33, 0x33, 0x39, 0x39, 0x3e, 0x3e, 0x40, 0x40, 0x3c, 0x3c, 0x32, 0x32, 0x25, 0x25, 
0x1a, 0x1a, 0x17, 0x17, 0x1c, 0x1c, 0x29, 0x29, 0x3a, 0x3a, 0x4c, 0x4c, 0x5b, 0x5b, 0x68, 0x68, 0x73, 0x73, 0x7a, 0x7a, 0x80, 0x80, 0x83, 0x83, 0x87, 0x87, 
0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9b, 0x9b, 0xa2, 0xa2, 0xa8, 0xa8, 0xaf, 0xaf, 0xb7, 0xb7, 0xc0, 0xc0, 0xca, 0xca, 0xd6, 0xd6, 0xe1, 0xe1, 0xeb, 0xeb, 
0xf3, 0xf3, 0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfc, 0xfc, 0xf9, 0xf9, 0xf4, 0xf4, 0xec, 0xec, 0xdd, 0xdd, 0xc7, 0xc7, 
0xac, 0xac, 0x8e, 0x8e, 0x6d, 0x6d, 0x4c, 0x4c, 0x2d, 0x2d, 0x13, 0x13, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x0e, 0x0e, 0x17, 0x17, 
0x25, 0x25, 0x3a, 0x3a, 0x56, 0x56, 0x77, 0x77, 0x95, 0x95, 0xa8, 0xa8, 0xaf, 0xaf, 0xaa, 0xaa, 0x9f, 0x9f, 0x90, 0x90, 0x81, 0x81, 0x75, 0x75, 0x70, 0x70, 
0x75, 0x75, 0x85, 0x85, 0x9c, 0x9c, 0xb6, 0xb6, 0xce, 0xce, 0xe1, 0xe1, 0xed, 0xed, 0xf2, 0xf2, 0xed, 0xed, 0xdf, 0xdf, 0xcb, 0xcb, 0xb3, 0xb3, 0x9b, 0x9b, 
0x85, 0x85, 0x72, 0x72, 0x65, 0x65, 0x60, 0x60, 0x63, 0x63, 0x6c, 0x6c, 0x7a, 0x7a, 0x89, 0x89, 0x98, 0x98, 0xa6, 0xa6, 0xb2, 0xb2, 0xba, 0xba, 0xc0, 0xc0, 
0xc3, 0xc3, 0xc4, 0xc4, 0xc4, 0xc4, 0xc3, 0xc3, 0xc1, 0xc1, 0xba, 0xba, 0xae, 0xae, 0x9a, 0x9a, 0x81, 0x81, 0x66, 0x66, 0x4b, 0x4b, 0x32, 0x32, 0x1c, 0x1c, 
0x0c, 0x0c, 0x03, 0x03, 0x02, 0x02, 0x08, 0x08, 0x11, 0x11, 0x1d, 0x1d, 0x2a, 0x2a, 0x39, 0x39, 0x49, 0x49, 0x5e, 0x5e, 0x76, 0x76, 0x90, 0x90, 0xa8, 0xa8, 
0xb9, 0xb9, 0xc2, 0xc2, 0xc5, 0xc5, 0xc2, 0xc2, 0xbb, 0xbb, 0xb3, 0xb3, 0xaa, 0xaa, 0xa2, 0xa2, 0x9c, 0x9c, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 
0x9a, 0x9a, 0x9c, 0x9c, 0xa0, 0xa0, 0xa4, 0xa4, 0xa9, 0xa9, 0xad, 0xad, 0xae, 0xae, 0xa7, 0xa7, 0x9a, 0x9a, 0x88, 0x88, 0x75, 0x75, 0x65, 0x65, 0x5a, 0x5a, 
0x55, 0x55, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x7f, 0x7f, 0x86, 0x86, 
0x8a, 0x8a, 0x89, 0x89, 0x83, 0x83, 0x79, 0x79, 0x6b, 0x6b, 0x5b, 0x5b, 0x4a, 0x4a, 0x3a, 0x3a, 0x2d, 0x2d, 0x25, 0x25, 0x23, 0x23, 0x26, 0x26, 0x2f, 0x2f, 
0x3d, 0x3d, 0x4f, 0x4f, 0x64, 0x64, 0x7a, 0x7a, 0x8f, 0x8f, 0xa2, 0xa2, 0xb2, 0xb2, 0xbe, 0xbe, 0xc4, 0xc4, 0xc6, 0xc6, 0xc4, 0xc4, 0xbe, 0xbe, 0xb5, 0xb5, 
0xaa, 0xaa, 0x9e, 0x9e, 0x92, 0x92, 0x86, 0x86, 0x7c, 0x7c, 0x72, 0x72, 0x68, 0x68, 0x5f, 0x5f, 0x56, 0x56, 0x4d, 0x4d, 0x45, 0x45, 0x40, 0x40, 0x3d, 0x3d, 
0x3b, 0x3b, 0x3a, 0x3a, 0x36, 0x36, 0x31, 0x31, 0x2b, 0x2b, 0x25, 0x25, 0x22, 0x22, 0x21, 0x21, 0x23, 0x23, 0x28, 0x28, 0x30, 0x30, 0x3b, 0x3b, 0x49, 0x49, 
0x59, 0x59, 0x6b, 0x6b, 0x7e, 0x7e, 0x93, 0x93, 0xa6, 0xa6, 0xb5, 0xb5, 0xc0, 0xc0, 0xc7, 0xc7, 0xca, 0xca, 0xca, 0xca, 0xc8, 0xc8, 0xc4, 0xc4, 0xbd, 0xbd, 
0xb4, 0xb4, 0xa8, 0xa8, 0x9c, 0x9c, 0x90, 0x90, 0x87, 0x87, 0x82, 0x82, 0x81, 0x81, 0x83, 0x83, 0x89, 0x89, 0x91, 0x91, 0x9a, 0x9a, 0xa0, 0xa0, 0xa2, 0xa2, 
0x9e, 0x9e, 0x98, 0x98, 0x93, 0x93, 0x94, 0x94, 0x9e, 0x9e, 0xae, 0xae, 0xc0, 0xc0, 0xd1, 0xd1, 0xdd, 0xdd, 0xe5, 0xe5, 0xe7, 0xe7, 0xe1, 0xe1, 0xd6, 0xd6, 
0xc4, 0xc4, 0xac, 0xac, 0x8d, 0x8d, 0x68, 0x68, 0x42, 0x42, 0x1f, 0x1f, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x0f, 0x0f, 0x18, 0x18, 
0x21, 0x21, 0x2a, 0x2a, 0x35, 0x35, 0x43, 0x43, 0x56, 0x56, 0x72, 0x72, 0x95, 0x95, 0xbc, 0xbc, 0xdf, 0xdf, 0xf4, 0xf4, 0xfb, 0xfb, 0xf5, 0xf5, 0xe8, 0xe8, 
0xdb, 0xdb, 0xd0, 0xd0, 0xc9, 0xc9, 0xc5, 0xc5, 0xc5, 0xc5, 0xc6, 0xc6, 0xc8, 0xc8, 0xca, 0xca, 0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbb, 0xbb, 0xb1, 0xb1, 
0xa6, 0xa6, 0x99, 0x99, 0x8d, 0x8d, 0x83, 0x83, 0x7a, 0x7a, 0x73, 0x73, 0x6f, 0x6f, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x72, 0x72, 0x6e, 0x6e, 0x64, 0x64, 
0x57, 0x57, 0x48, 0x48, 0x3c, 0x3c, 0x34, 0x34, 0x30, 0x30, 0x30, 0x30, 0x36, 0x36, 0x40, 0x40, 0x4d, 0x4d, 0x58, 0x58, 0x5f, 0x5f, 0x61, 0x61, 0x5d, 0x5d, 
0x57, 0x57, 0x4f, 0x4f, 0x48, 0x48, 0x42, 0x42, 0x41, 0x41, 0x47, 0x47, 0x54, 0x54, 0x67, 0x67, 0x7e, 0x7e, 0x96, 0x96, 0xae, 0xae, 0xc4, 0xc4, 0xd7, 0xd7, 
0xe6, 0xe6, 0xf1, 0xf1, 0xf8, 0xf8, 0xfa, 0xfa, 0xf8, 0xf8, 0xf2, 0xf2, 0xe9, 0xe9, 0xdf, 0xdf, 0xd7, 0xd7, 0xd0, 0xd0, 0xca, 0xca, 0xc5, 0xc5, 0xbd, 0xbd, 
0xb5, 0xb5, 0xab, 0xab, 0xa2, 0xa2, 0x9c, 0x9c, 0x99, 0x99, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x94, 0x94, 0x8c, 0x8c, 0x80, 0x80, 0x70, 0x70, 
0x5d, 0x5d, 0x4b, 0x4b, 0x3b, 0x3b, 0x30, 0x30, 0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x20, 0x20, 0x1f, 0x1f, 0x20, 0x20, 0x24, 0x24, 0x2b, 0x2b, 0x34, 0x34, 
0x3d, 0x3d, 0x42, 0x42, 0x43, 0x43, 0x40, 0x40, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x39, 0x39, 0x3b, 0x3b, 0x3d, 0x3d, 0x41, 0x41, 0x44, 0x44, 0x49, 0x49, 
0x51, 0x51, 0x5b, 0x5b, 0x67, 0x67, 0x77, 0x77, 0x89, 0x89, 0x9d, 0x9d, 0xb2, 0xb2, 0xc7, 0xc7, 0xd9, 0xd9, 0xe7, 0xe7, 0xf2, 0xf2, 0xf9, 0xf9, 0xfc, 0xfc, 
0xfa, 0xfa, 0xf4, 0xf4, 0xe9, 0xe9, 0xd9, 0xd9, 0xc3, 0xc3, 0xab, 0xab, 0x94, 0x94, 0x82, 0x82, 0x76, 0x76, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 
0x69, 0x69, 0x66, 0x66, 0x60, 0x60, 0x57, 0x57, 0x4c, 0x4c, 0x41, 0x41, 0x39, 0x39, 0x33, 0x33, 0x30, 0x30, 0x2f, 0x2f, 0x2f, 0x2f, 0x30, 0x30, 0x31, 0x31, 
0x33, 0x33, 0x36, 0x36, 0x3a, 0x3a, 0x41, 0x41, 0x49, 0x49, 0x54, 0x54, 0x63, 0x63, 0x73, 0x73, 0x82, 0x82, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0x9f, 0x9f, 
0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbf, 0xbf, 0xc5, 0xc5, 0xc7, 0xc7, 0xc6, 0xc6, 0xc5, 0xc5, 0xc4, 0xc4, 0xc5, 0xc5, 0xc7, 0xc7, 0xc9, 0xc9, 0xc8, 0xc8, 
0xc2, 0xc2, 0xba, 0xba, 0xb1, 0xb1, 0xa7, 0xa7, 0x9f, 0x9f, 0x99, 0x99, 0x99, 0x99, 0x9f, 0x9f, 0xac, 0xac, 0xbd, 0xbd, 0xce, 0xce, 0xda, 0xda, 0xdf, 0xdf, 
0xdf, 0xdf, 0xdc, 0xdc, 0xd9, 0xd9, 0xd8, 0xd8, 0xd7, 0xd7, 0xd1, 0xd1, 0xc4, 0xc4, 0xad, 0xad, 0x8f, 0x8f, 0x6f, 0x6f, 0x52, 0x52, 0x3b, 0x3b, 0x29, 0x29, 
0x1c, 0x1c, 0x13, 0x13, 0x0e, 0x0e, 0x0c, 0x0c, 0x0d, 0x0d, 0x13, 0x13, 0x1e, 0x1e, 0x2e, 0x2e, 0x45, 0x45, 0x65, 0x65, 0x8d, 0x8d, 0xb8, 0xb8, 0xdc, 0xdc, 
0xf2, 0xf2, 0xf6, 0xf6, 0xea, 0xea, 0xd6, 0xd6, 0xbd, 0xbd, 0xa5, 0xa5, 0x91, 0x91, 0x84, 0x84, 0x82, 0x82, 0x8b, 0x8b, 0x9c, 0x9c, 0xae, 0xae, 0xbc, 0xbc, 
0xc5, 0xc5, 0xc7, 0xc7, 0xc3, 0xc3, 0xb9, 0xb9, 0xab, 0xab, 0x9a, 0x9a, 0x89, 0x89, 0x7b, 0x7b, 0x71, 0x71, 0x6b, 0x6b, 0x69, 0x69, 0x6b, 0x6b, 0x70, 0x70, 
0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x83, 0x83, 0x81, 0x81, 0x7c, 0x7c, 0x72, 0x72, 0x64, 0x64, 0x55, 0x55, 0x49, 0x49, 0x45, 0x45, 0x4a, 0x4a, 0x54, 0x54, 
0x5e, 0x5e, 0x63, 0x63, 0x5f, 0x5f, 0x55, 0x55, 0x46, 0x46, 0x35, 0x35, 0x24, 0x24, 0x16, 0x16, 0x0f, 0x0f, 0x11, 0x11, 0x1c, 0x1c, 0x2f, 0x2f, 0x45, 0x45, 
0x5b, 0x5b, 0x6e, 0x6e, 0x80, 0x80, 0x92, 0x92, 0xa7, 0xa7, 0xc0, 0xc0, 0xd9, 0xd9, 0xf0, 0xf0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xf1, 0xf1, 
0xe2, 0xe2, 0xd1, 0xd1, 0xc1, 0xc1, 0xb2, 0xb2, 0xa4, 0xa4, 0x99, 0x99, 0x8e, 0x8e, 0x82, 0x82, 0x77, 0x77, 0x6c, 0x6c, 0x64, 0x64, 0x61, 0x61, 0x63, 0x63, 
0x69, 0x69, 0x70, 0x70, 0x73, 0x73, 0x72, 0x72, 0x6e, 0x6e, 0x68, 0x68, 0x62, 0x62, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 
0x50, 0x50, 0x4d, 0x4d, 0x48, 0x48, 0x44, 0x44, 0x42, 0x42, 0x46, 0x46, 0x50, 0x50, 0x60, 0x60, 0x6f, 0x6f, 0x7c, 0x7c, 0x83, 0x83, 0x86, 0x86, 0x86, 0x86, 
0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x79, 0x79, 0x7f, 0x7f, 0x87, 0x87, 0x92, 0x92, 0x9f, 0x9f, 0xad, 0xad, 
0xbd, 0xbd, 0xca, 0xca, 0xd2, 0xd2, 0xcf, 0xcf, 0xc0, 0xc0, 0xa9, 0xa9, 0x8d, 0x8d, 0x73, 0x73, 0x5c, 0x5c, 0x4b, 0x4b, 0x3f, 0x3f, 0x39, 0x39, 0x3a, 0x3a, 
0x3f, 0x3f, 0x48, 0x48, 0x52, 0x52, 0x5e, 0x5e, 0x69, 0x69, 0x73, 0x73, 0x78, 0x78, 0x79, 0x79, 0x76, 0x76, 0x70, 0x70, 0x67, 0x67, 0x5c, 0x5c, 0x51, 0x51, 
0x45, 0x45, 0x3b, 0x3b, 0x34, 0x34, 0x2e, 0x2e, 0x2c, 0x2c, 0x2f, 0x2f, 0x36, 0x36, 0x42, 0x42, 0x53, 0x53, 0x6a, 0x6a, 0x86, 0x86, 0xa5, 0xa5, 0xc0, 0xc0, 
0xd5, 0xd5, 0xe0, 0xe0, 0xe2, 0xe2, 0xdc, 0xdc, 0xcf, 0xcf, 0xbc, 0xbc, 0xa7, 0xa7, 0x93, 0x93, 0x85, 0x85, 0x7e, 0x7e, 0x7d, 0x7d, 0x82, 0x82, 0x8d, 0x8d, 
0x9c, 0x9c, 0xad, 0xad, 0xbd, 0xbd, 0xc7, 0xc7, 0xcb, 0xcb, 0xca, 0xca, 0xc3, 0xc3, 0xb9, 0xb9, 0xad, 0xad, 0x9f, 0x9f, 0x91, 0x91, 0x86, 0x86, 0x7d, 0x7d, 
0x76, 0x76, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x74, 0x74, 0x7b, 0x7b, 0x86, 0x86, 0x97, 0x97, 0xac, 0xac, 0xc5, 0xc5, 
0xd9, 0xd9, 0xe5, 0xe5, 0xe5, 0xe5, 0xdc, 0xdc, 0xc9, 0xc9, 0xae, 0xae, 0x8c, 0x8c, 0x68, 0x68, 0x47, 0x47, 0x2d, 0x2d, 0x1c, 0x1c, 0x13, 0x13, 0x11, 0x11, 
0x15, 0x15, 0x1e, 0x1e, 0x2a, 0x2a, 0x3e, 0x3e, 0x59, 0x59, 0x7d, 0x7d, 0xa5, 0xa5, 0xcb, 0xcb, 0xe7, 0xe7, 0xf8, 0xf8, 0xfe, 0xfe, 0xfa, 0xfa, 0xee, 0xee, 
0xdd, 0xdd, 0xc8, 0xc8, 0xb3, 0xb3, 0xa1, 0xa1, 0x93, 0x93, 0x89, 0x89, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8c, 0x8c, 0x8a, 0x8a, 
0x85, 0x85, 0x7b, 0x7b, 0x6d, 0x6d, 0x5c, 0x5c, 0x48, 0x48, 0x37, 0x37, 0x2a, 0x2a, 0x24, 0x24, 0x23, 0x23, 0x25, 0x25, 0x28, 0x28, 0x2c, 0x2c, 0x30, 0x30, 
0x33, 0x33, 0x34, 0x34, 0x33, 0x33, 0x34, 0x34, 0x37, 0x37, 0x40, 0x40, 0x50, 0x50, 0x65, 0x65, 0x7c, 0x7c, 0x93, 0x93, 0xa7, 0xa7, 0xb7, 0xb7, 0xbe, 0xbe, 
0xb7, 0xb7, 0xa1, 0xa1, 0x82, 0x82, 0x5f, 0x5f, 0x40, 0x40, 0x26, 0x26, 0x15, 0x15, 0x0c, 0x0c, 0x0d, 0x0d, 0x18, 0x18, 0x2b, 0x2b, 0x44, 0x44, 0x63, 0x63, 
0x86, 0x86, 0xab, 0xab, 0xcb, 0xcb, 0xe4, 0xe4, 0xf4, 0xf4, 0xfb, 0xfb, 0xfd, 0xfd, 0xfb, 0xfb, 0xf7, 0xf7, 0xf1, 0xf1, 0xea, 0xea, 0xe1, 0xe1, 0xd6, 0xd6, 
0xc9, 0xc9, 0xbb, 0xbb, 0xaa, 0xaa, 0x99, 0x99, 0x88, 0x88, 0x79, 0x79, 0x6f, 0x6f, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x63, 0x63, 0x5c, 0x5c, 
0x56, 0x56, 0x50, 0x50, 0x4d, 0x4d, 0x4c, 0x4c, 0x4d, 0x4d, 0x4f, 0x4f, 0x53, 0x53, 0x57, 0x57, 0x5a, 0x5a, 0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 
0x5e, 0x5e, 0x6b, 0x6b, 0x7d, 0x7d, 0x8f, 0x8f, 0x9d, 0x9d, 0xa4, 0xa4, 0xa4, 0xa4, 0x9f, 0x9f, 0x96, 0x96, 0x89, 0x89, 0x7b, 0x7b, 0x6f, 0x6f, 0x6a, 0x6a, 
0x6b, 0x6b, 0x71, 0x71, 0x75, 0x75, 0x72, 0x72, 0x67, 0x67, 0x57, 0x57, 0x48, 0x48, 0x40, 0x40, 0x42, 0x42, 0x4e, 0x4e, 0x5f, 0x5f, 0x72, 0x72, 0x86, 0x86, 
0x98, 0x98, 0xa7, 0xa7, 0xb0, 0xb0, 0xb3, 0xb3, 0xb0, 0xb0, 0xaa, 0xaa, 0xa0, 0xa0, 0x93, 0x93, 0x83, 0x83, 0x70, 0x70, 0x5a, 0x5a, 0x41, 0x41, 0x29, 0x29, 
0x17, 0x17, 0x11, 0x11, 0x18, 0x18, 0x27, 0x27, 0x38, 0x38, 0x41, 0x41, 0x41, 0x41, 0x39, 0x39, 0x2d, 0x2d, 0x24, 0x24, 0x1f, 0x1f, 0x20, 0x20, 0x27, 0x27, 
0x31, 0x31, 0x3f, 0x3f, 0x4f, 0x4f, 0x5f, 0x5f, 0x6e, 0x6e, 0x7d, 0x7d, 0x8a, 0x8a, 0x98, 0x98, 0xa6, 0xa6, 0xb5, 0xb5, 0xc4, 0xc4, 0xd0, 0xd0, 0xd5, 0xd5, 
0xd4, 0xd4, 0xcf, 0xcf, 0xc9, 0xc9, 0xc7, 0xc7, 0xc9, 0xc9, 0xcf, 0xcf, 0xd5, 0xd5, 0xd9, 0xd9, 0xd8, 0xd8, 0xd2, 0xd2, 0xca, 0xca, 0xbf, 0xbf, 0xb3, 0xb3, 
0xa6, 0xa6, 0x9b, 0x9b, 0x92, 0x92, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 
0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x98, 0x98, 0x93, 0x93, 0x8f, 0x8f, 0x8d, 0x8d, 0x8e, 0x8e, 0x94, 0x94, 0xa2, 0xa2, 0xb8, 0xb8, 0xd0, 0xd0, 0xe4, 0xe4, 
0xed, 0xed, 0xe8, 0xe8, 0xd6, 0xd6, 0xbb, 0xbb, 0x98, 0x98, 0x72, 0x72, 0x4c, 0x4c, 0x2a, 0x2a, 0x12, 0x12, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 
0x07, 0x07, 0x0c, 0x0c, 0x16, 0x16, 0x25, 0x25, 0x3b, 0x3b, 0x56, 0x56, 0x73, 0x73, 0x8e, 0x8e, 0xa6, 0xa6, 0xbb, 0xbb, 0xcc, 0xcc, 0xd9, 0xd9, 0xe3, 0xe3, 
0xea, 0xea, 0xec, 0xec, 0xe9, 0xe9, 0xe1, 0xe1, 0xd5, 0xd5, 0xc9, 0xc9, 0xc0, 0xc0, 0xba, 0xba, 0xb7, 0xb7, 0xb5, 0xb5, 0xb3, 0xb3, 0xaf, 0xaf, 0xaa, 0xaa, 
0xa1, 0xa1, 0x96, 0x96, 0x88, 0x88, 0x79, 0x79, 0x6c, 0x6c, 0x64, 0x64, 0x62, 0x62, 0x64, 0x64, 0x69, 0x69, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x7c, 0x7c, 
0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x6b, 0x6b, 0x70, 0x70, 0x79, 0x79, 0x86, 0x86, 0x97, 0x97, 0xa9, 0xa9, 0xb7, 0xb7, 0xbb, 0xbb, 
0xb5, 0xb5, 0xa5, 0xa5, 0x8e, 0x8e, 0x71, 0x71, 0x51, 0x51, 0x32, 0x32, 0x18, 0x18, 0x07, 0x07, 0x01, 0x01, 0x04, 0x04, 0x0f, 0x0f, 0x21, 0x21, 0x37, 0x37, 
0x4f, 0x4f, 0x66, 0x66, 0x7a, 0x7a, 0x8a, 0x8a, 0x97, 0x97, 0xa0, 0xa0, 0xa7, 0xa7, 0xac, 0xac, 0xaf, 0xaf, 0xaf, 0xaf, 0xac, 0xac, 0xa6, 0xa6, 0x9e, 0x9e, 
0x96, 0x96, 0x90, 0x90, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 
0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 0x75, 0x75, 0x7a, 0x7a, 0x82, 0x82, 0x8d, 0x8d, 0x9a, 0x9a, 0xa5, 0xa5, 0xab, 0xab, 
0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 0x99, 0x99, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x83, 0x83, 0x7a, 0x7a, 0x71, 0x71, 
0x67, 0x67, 0x5e, 0x5e, 0x57, 0x57, 0x51, 0x51, 0x4c, 0x4c, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4c, 0x4c, 0x53, 0x53, 0x5e, 0x5e, 0x6c, 0x6c, 0x7d, 0x7d, 
0x8c, 0x8c, 0x95, 0x95, 0x99, 0x99, 0x96, 0x96, 0x8f, 0x8f, 0x85, 0x85, 0x79, 0x79, 0x6d, 0x6d, 0x62, 0x62, 0x59, 0x59, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 
0x5b, 0x5b, 0x63, 0x63, 0x6c, 0x6c, 0x75, 0x75, 0x7a, 0x7a, 0x7d, 0x7d, 0x7c, 0x7c, 0x79, 0x79, 0x74, 0x74, 0x6e, 0x6e, 0x69, 0x69, 0x65, 0x65, 0x65, 0x65, 
0x69, 0x69, 0x71, 0x71, 0x79, 0x79, 0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x99, 0x99, 0xa0, 0xa0, 
0xa7, 0xa7, 0xac, 0xac, 0xa9, 0xa9, 0x9e, 0x9e, 0x8d, 0x8d, 0x79, 0x79, 0x67, 0x67, 0x59, 0x59, 0x4f, 0x4f, 0x48, 0x48, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 
0x46, 0x46, 0x49, 0x49, 0x4c, 0x4c, 0x50, 0x50, 0x56, 0x56, 0x5c, 0x5c, 0x65, 0x65, 0x6e, 0x6e, 0x78, 0x78, 0x82, 0x82, 0x8c, 0x8c, 0x95, 0x95, 0xa1, 0xa1, 
0xaf, 0xaf, 0xc1, 0xc1, 0xd3, 0xd3, 0xe1, 0xe1, 0xe5, 0xe5, 0xde, 0xde, 0xcf, 0xcf, 0xbe, 0xbe, 0xb2, 0xb2, 0xad, 0xad, 0xb0, 0xb0, 0xb7, 0xb7, 0xc0, 0xc0, 
0xca, 0xca, 0xd3, 0xd3, 0xdb, 0xdb, 0xe4, 0xe4, 0xec, 0xec, 0xf3, 0xf3, 0xf7, 0xf7, 0xf5, 0xf5, 0xee, 0xee, 0xdf, 0xdf, 0xc9, 0xc9, 0xa9, 0xa9, 0x81, 0x81, 
0x56, 0x56, 0x2e, 0x2e, 0x11, 0x11, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x05, 0x05, 0x07, 0x07, 0x0b, 0x0b, 0x18, 0x18, 0x2d, 0x2d, 0x4a, 0x4a, 
0x6b, 0x6b, 0x8c, 0x8c, 0xab, 0xab, 0xc5, 0xc5, 0xd5, 0xd5, 0xd6, 0xd6, 0xc9, 0xc9, 0xb1, 0xb1, 0x96, 0x96, 0x7e, 0x7e, 0x6d, 0x6d, 0x63, 0x63, 0x5e, 0x5e, 
0x5f, 0x5f, 0x63, 0x63, 0x6a, 0x6a, 0x73, 0x73, 0x7e, 0x7e, 0x8b, 0x8b, 0x98, 0x98, 0xa3, 0xa3, 0xa8, 0xa8, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x9b, 0x9b, 
0x98, 0x98, 0x97, 0x97, 0x99, 0x99, 0x9e, 0x9e, 0xa5, 0xa5, 0xab, 0xab, 0xae, 0xae, 0xaa, 0xaa, 0x9d, 0x9d, 0x8b, 0x8b, 0x79, 0x79, 0x6c, 0x6c, 0x66, 0x66, 
0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x64, 0x64, 0x5a, 0x5a, 0x4b, 0x4b, 0x39, 0x39, 0x28, 0x28, 0x1a, 0x1a, 0x0f, 0x0f, 0x07, 0x07, 
0x03, 0x03, 0x02, 0x02, 0x03, 0x03, 0x08, 0x08, 0x15, 0x15, 0x2c, 0x2c, 0x4f, 0x4f, 0x79, 0x79, 0xa3, 0xa3, 0xc6, 0xc6, 0xe0, 0xe0, 0xf0, 0xf0, 0xf8, 0xf8, 
0xf8, 0xf8, 0xf1, 0xf1, 0xe6, 0xe6, 0xd7, 0xd7, 0xc4, 0xc4, 0xad, 0xad, 0x95, 0x95, 0x7f, 0x7f, 0x6d, 0x6d, 0x61, 0x61, 0x5a, 0x5a, 0x5a, 0x5a, 0x60, 0x60, 
0x6c, 0x6c, 0x7b, 0x7b, 0x8a, 0x8a, 0x94, 0x94, 0x99, 0x99, 0x99, 0x99, 0x94, 0x94, 0x8c, 0x8c, 0x82, 0x82, 0x77, 0x77, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 
0x69, 0x69, 0x6d, 0x6d, 0x72, 0x72, 0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x94, 0x94, 0x9c, 0x9c, 0xa6, 0xa6, 0xaf, 0xaf, 
0xb5, 0xb5, 0xb3, 0xb3, 0xa9, 0xa9, 0x98, 0x98, 0x85, 0x85, 0x73, 0x73, 0x64, 0x64, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x4a, 0x4a, 0x4a, 0x4a, 0x4f, 0x4f, 
0x58, 0x58, 0x66, 0x66, 0x77, 0x77, 0x89, 0x89, 0x9a, 0x9a, 0xa8, 0xa8, 0xb3, 0xb3, 0xb8, 0xb8, 0xb6, 0xb6, 0xad, 0xad, 0x9f, 0x9f, 0x8d, 0x8d, 0x7b, 0x7b, 
0x68, 0x68, 0x57, 0x57, 0x47, 0x47, 0x39, 0x39, 0x2e, 0x2e, 0x26, 0x26, 0x21, 0x21, 0x21, 0x21, 0x25, 0x25, 0x2c, 0x2c, 0x33, 0x33, 0x39, 0x39, 0x3d, 0x3d, 
0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x4c, 0x4c, 0x53, 0x53, 0x5b, 0x5b, 0x60, 0x60, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6d, 0x6d, 0x75, 0x75, 
0x7e, 0x7e, 0x89, 0x89, 0x94, 0x94, 0x9e, 0x9e, 0xa5, 0xa5, 0xa8, 0xa8, 0xa7, 0xa7, 0xa1, 0xa1, 0x9a, 0x9a, 0x93, 0x93, 0x8d, 0x8d, 0x89, 0x89, 0x87, 0x87, 
0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x98, 0x98, 0xa1, 0xa1, 0xac, 0xac, 0xb7, 0xb7, 0xc1, 0xc1, 0xcb, 0xcb, 0xd2, 0xd2, 0xd8, 0xd8, 0xdc, 0xdc, 
0xdc, 0xdc, 0xda, 0xda, 0xd3, 0xd3, 0xc7, 0xc7, 0xb4, 0xb4, 0x9d, 0x9d, 0x83, 0x83, 0x69, 0x69, 0x4f, 0x4f, 0x37, 0x37, 0x25, 0x25, 0x1b, 0x1b, 0x1a, 0x1a, 
0x21, 0x21, 0x2d, 0x2d, 0x3d, 0x3d, 0x4f, 0x4f, 0x62, 0x62, 0x72, 0x72, 0x7f, 0x7f, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x9a, 0x9a, 0xa7, 0xa7, 0xb7, 0xb7, 
0xc8, 0xc8, 0xd8, 0xd8, 0xe7, 0xe7, 0xf2, 0xf2, 0xfa, 0xfa, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xe7, 0xe7, 0xcf, 0xcf, 0xb1, 0xb1, 0x90, 0x90, 
0x6f, 0x6f, 0x4e, 0x4e, 0x31, 0x31, 0x19, 0x19, 0x09, 0x09, 0x02, 0x02, 0x03, 0x03, 0x08, 0x08, 0x12, 0x12, 0x1f, 0x1f, 0x2f, 0x2f, 0x44, 0x44, 0x5f, 0x5f, 
0x80, 0x80, 0xa3, 0xa3, 0xc4, 0xc4, 0xdb, 0xdb, 0xe7, 0xe7, 0xe9, 0xe9, 0xe2, 0xe2, 0xd5, 0xd5, 0xc2, 0xc2, 0xad, 0xad, 0x98, 0x98, 0x87, 0x87, 0x7a, 0x7a, 
0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x55, 0x55, 0x50, 0x50, 0x4e, 0x4e, 0x4f, 0x4f, 0x51, 0x51, 0x55, 0x55, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 
0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x94, 0x94, 0x93, 0x93, 0x8f, 0x8f, 0x88, 0x88, 0x7f, 0x7f, 0x78, 0x78, 
0x76, 0x76, 0x7a, 0x7a, 0x82, 0x82, 0x8b, 0x8b, 0x94, 0x94, 0x9b, 0x9b, 0x9f, 0x9f, 0x9e, 0x9e, 0x99, 0x99, 0x90, 0x90, 0x84, 0x84, 0x78, 0x78, 0x70, 0x70, 
0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x8c, 0x8c, 0x99, 0x99, 0xa8, 0xa8, 0xb6, 0xb6, 0xc1, 0xc1, 0xc7, 0xc7, 
0xc9, 0xc9, 0xc7, 0xc7, 0xc1, 0xc1, 0xb8, 0xb8, 0xad, 0xad, 0xa1, 0xa1, 0x96, 0x96, 0x8b, 0x8b, 0x80, 0x80, 0x75, 0x75, 0x69, 0x69, 0x5c, 0x5c, 0x4f, 0x4f, 
0x45, 0x45, 0x41, 0x41, 0x43, 0x43, 0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 0x70, 0x70, 0x7c, 0x7c, 0x84, 0x84, 0x88, 0x88, 0x86, 0x86, 0x80, 0x80, 0x78, 0x78, 
0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x63, 0x63, 0x68, 0x68, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 
0x84, 0x84, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x86, 0x86, 0x87, 0x87, 0x8e, 0x8e, 0x97, 0x97, 0xa0, 0xa0, 0xa3, 0xa3, 0xa2, 0xa2, 
0x9c, 0x9c, 0x96, 0x96, 0x93, 0x93, 0x96, 0x96, 0x9d, 0x9d, 0xa5, 0xa5, 0xab, 0xab, 0xae, 0xae, 0xad, 0xad, 0xa7, 0xa7, 0x9d, 0x9d, 0x8e, 0x8e, 0x7d, 0x7d, 
0x6d, 0x6d, 0x60, 0x60, 0x58, 0x58, 0x53, 0x53, 0x4f, 0x4f, 0x48, 0x48, 0x3d, 0x3d, 0x31, 0x31, 0x27, 0x27, 0x24, 0x24, 0x29, 0x29, 0x34, 0x34, 0x40, 0x40, 
0x48, 0x48, 0x4a, 0x4a, 0x48, 0x48, 0x45, 0x45, 0x45, 0x45, 0x48, 0x48, 0x50, 0x50, 0x5a, 0x5a, 0x64, 0x64, 0x6e, 0x6e, 0x75, 0x75, 0x7a, 0x7a, 0x7a, 0x7a, 
0x76, 0x76, 0x72, 0x72, 0x71, 0x71, 0x79, 0x79, 0x8a, 0x8a, 0xa2, 0xa2, 0xbc, 0xbc, 0xd2, 0xd2, 0xe1, 0xe1, 0xea, 0xea, 0xee, 0xee, 0xee, 0xee, 0xeb, 0xeb, 
0xe6, 0xe6, 0xe0, 0xe0, 0xd9, 0xd9, 0xd0, 0xd0, 0xc6, 0xc6, 0xba, 0xba, 0xad, 0xad, 0x9f, 0x9f, 0x91, 0x91, 0x83, 0x83, 0x77, 0x77, 0x6d, 0x6d, 0x66, 0x66, 
0x60, 0x60, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x67, 0x67, 0x67, 0x67, 0x64, 0x64, 0x5c, 0x5c, 0x4f, 0x4f, 0x40, 0x40, 0x33, 0x33, 
0x2a, 0x2a, 0x29, 0x29, 0x2d, 0x2d, 0x37, 0x37, 0x44, 0x44, 0x53, 0x53, 0x63, 0x63, 0x70, 0x70, 0x78, 0x78, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x78, 0x78, 
0x7d, 0x7d, 0x85, 0x85, 0x90, 0x90, 0x9d, 0x9d, 0xab, 0xab, 0xba, 0xba, 0xc7, 0xc7, 0xd2, 0xd2, 0xdb, 0xdb, 0xe1, 0xe1, 0xe2, 0xe2, 0xdb, 0xdb, 0xcd, 0xcd, 
0xb8, 0xb8, 0x9e, 0x9e, 0x82, 0x82, 0x65, 0x65, 0x48, 0x48, 0x2f, 0x2f, 0x1e, 0x1e, 0x16, 0x16, 0x15, 0x15, 0x1d, 0x1d, 0x2d, 0x2d, 0x43, 0x43, 0x60, 0x60, 
0x7e, 0x7e, 0x9e, 0x9e, 0xbc, 0xbc, 0xd8, 0xd8, 0xed, 0xed, 0xf8, 0xf8, 0xf9, 0xf9, 0xf1, 0xf1, 0xe3, 0xe3, 0xd2, 0xd2, 0xc0, 0xc0, 0xad, 0xad, 0x9d, 0x9d, 
0x91, 0x91, 0x89, 0x89, 0x86, 0x86, 0x86, 0x86, 0x8a, 0x8a, 0x91, 0x91, 0x99, 0x99, 0x9f, 0x9f, 0x9f, 0x9f, 0x98, 0x98, 0x8c, 0x8c, 0x7e, 0x7e, 0x70, 0x70, 
0x64, 0x64, 0x5a, 0x5a, 0x54, 0x54, 0x51, 0x51, 0x51, 0x51, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 0x54, 0x54, 0x55, 0x55, 0x5b, 0x5b, 
0x62, 0x62, 0x6a, 0x6a, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6c, 0x6c, 0x66, 0x66, 0x60, 0x60, 0x59, 0x59, 0x51, 0x51, 0x4a, 0x4a, 0x43, 0x43, 0x3d, 0x3d, 
0x39, 0x39, 0x38, 0x38, 0x3b, 0x3b, 0x41, 0x41, 0x4b, 0x4b, 0x5a, 0x5a, 0x6c, 0x6c, 0x82, 0x82, 0x98, 0x98, 0xad, 0xad, 0xc0, 0xc0, 0xd0, 0xd0, 0xdc, 0xdc, 
0xe3, 0xe3, 0xe4, 0xe4, 0xe1, 0xe1, 0xda, 0xda, 0xd1, 0xd1, 0xc7, 0xc7, 0xbd, 0xbd, 0xb3, 0xb3, 0xab, 0xab, 0xa6, 0xa6, 0xa2, 0xa2, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x97, 0x97, 0x90, 0x90, 0x86, 0x86, 0x7b, 0x7b, 0x6d, 0x6d, 0x5e, 0x5e, 0x4f, 0x4f, 0x43, 0x43, 0x38, 0x38, 
0x31, 0x31, 0x2c, 0x2c, 0x2b, 0x2b, 0x2e, 0x2e, 0x33, 0x33, 0x3b, 0x3b, 0x44, 0x44, 0x4f, 0x4f, 0x59, 0x59, 0x61, 0x61, 0x64, 0x64, 0x62, 0x62, 0x5c, 0x5c, 
0x56, 0x56, 0x53, 0x53, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x6d, 0x6d, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 0x95, 0x95, 
0xa1, 0xa1, 0xaf, 0xaf, 0xbd, 0xbd, 0xc8, 0xc8, 0xce, 0xce, 0xce, 0xce, 0xc8, 0xc8, 0xc0, 0xc0, 0xb5, 0xb5, 0xab, 0xab, 0xa1, 0xa1, 0x96, 0x96, 0x8b, 0x8b, 
0x7f, 0x7f, 0x72, 0x72, 0x66, 0x66, 0x5c, 0x5c, 0x54, 0x54, 0x4d, 0x4d, 0x49, 0x49, 0x47, 0x47, 0x46, 0x46, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x57, 0x57, 
0x5f, 0x5f, 0x66, 0x66, 0x6a, 0x6a, 0x6a, 0x6a, 0x67, 0x67, 0x62, 0x62, 0x5b, 0x5b, 0x53, 0x53, 0x4b, 0x4b, 0x44, 0x44, 0x41, 0x41, 0x42, 0x42, 0x47, 0x47, 
0x4f, 0x4f, 0x59, 0x59, 0x67, 0x67, 0x76, 0x76, 0x85, 0x85, 0x95, 0x95, 0xa3, 0xa3, 0xaf, 0xaf, 0xb9, 0xb9, 0xbd, 0xbd, 0xbc, 0xbc, 0xb8, 0xb8, 0xb1, 0xb1, 
0xa8, 0xa8, 0xa0, 0xa0, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x85, 0x85, 0x88, 0x88, 0x8e, 0x8e, 0x96, 0x96, 0x9f, 0x9f, 0xa7, 0xa7, 
0xae, 0xae, 0xb3, 0xb3, 0xb5, 0xb5, 0xb2, 0xb2, 0xac, 0xac, 0xa3, 0xa3, 0x99, 0x99, 0x90, 0x90, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x74, 0x74, 
0x6e, 0x6e, 0x69, 0x69, 0x65, 0x65, 0x63, 0x63, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 
0x78, 0x78, 0x7e, 0x7e, 0x87, 0x87, 0x93, 0x93, 0x9f, 0x9f, 0xa9, 0xa9, 0xb1, 0xb1, 0xb6, 0xb6, 0xb8, 0xb8, 0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xaf, 0xaf, 
0xaa, 0xaa, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9e, 0x9e, 0xa1, 0xa1, 0xa6, 0xa6, 0xaa, 0xaa, 0xae, 0xae, 0xaf, 0xaf, 0xac, 0xac, 0xa3, 0xa3, 0x92, 0x92, 
0x79, 0x79, 0x5b, 0x5b, 0x3d, 0x3d, 0x24, 0x24, 0x13, 0x13, 0x08, 0x08, 0x03, 0x03, 0x01, 0x01, 0x02, 0x02, 0x05, 0x05, 0x0b, 0x0b, 0x17, 0x17, 0x28, 0x28, 
0x3d, 0x3d, 0x56, 0x56, 0x70, 0x70, 0x8b, 0x8b, 0xa5, 0xa5, 0xbb, 0xbb, 0xcc, 0xcc, 0xd6, 0xd6, 0xd9, 0xd9, 0xd6, 0xd6, 0xcd, 0xcd, 0xbe, 0xbe, 0xab, 0xab, 
0x98, 0x98, 0x87, 0x87, 0x7a, 0x7a, 0x71, 0x71, 0x70, 0x70, 0x77, 0x77, 0x88, 0x88, 0x9d, 0x9d, 0xb3, 0xb3, 0xc2, 0xc2, 0xca, 0xca, 0xca, 0xca, 0xc3, 0xc3, 
0xb6, 0xb6, 0xa3, 0xa3, 0x8e, 0x8e, 0x7a, 0x7a, 0x69, 0x69, 0x5d, 0x5d, 0x56, 0x56, 0x52, 0x52, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 
0x67, 0x67, 0x69, 0x69, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x66, 0x66, 0x5f, 0x5f, 
0x57, 0x57, 0x4e, 0x4e, 0x47, 0x47, 0x42, 0x42, 0x40, 0x40, 0x41, 0x41, 0x47, 0x47, 0x52, 0x52, 0x61, 0x61, 0x73, 0x73, 0x86, 0x86, 0x99, 0x99, 0xac, 0xac, 
0xbc, 0xbc, 0xc9, 0xc9, 0xd2, 0xd2, 0xd8, 0xd8, 0xd9, 0xd9, 0xd6, 0xd6, 0xcf, 0xcf, 0xc4, 0xc4, 0xb9, 0xb9, 0xad, 0xad, 0xa2, 0xa2, 0x98, 0x98, 0x91, 0x91, 
0x8f, 0x8f, 0x90, 0x90, 0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xa5, 0xa5, 
0x9b, 0x9b, 0x8c, 0x8c, 0x7c, 0x7c, 0x6c, 0x6c, 0x5e, 0x5e, 0x53, 0x53, 0x4b, 0x4b, 0x48, 0x48, 0x4a, 0x4a, 0x4f, 0x4f, 0x54, 0x54, 0x59, 0x59, 0x5b, 0x5b, 
0x5c, 0x5c, 0x5d, 0x5d, 0x61, 0x61, 0x68, 0x68, 0x72, 0x72, 0x7b, 0x7b, 0x81, 0x81, 0x83, 0x83, 0x81, 0x81, 0x7b, 0x7b, 0x72, 0x72, 0x67, 0x67, 0x5d, 0x5d, 
0x55, 0x55, 0x52, 0x52, 0x56, 0x56, 0x5f, 0x5f, 0x6d, 0x6d, 0x7e, 0x7e, 0x92, 0x92, 0xa6, 0xa6, 0xb8, 0xb8, 0xc6, 0xc6, 0xcf, 0xcf, 0xd3, 0xd3, 0xd2, 0xd2, 
0xcc, 0xcc, 0xc0, 0xc0, 0xb1, 0xb1, 0xa0, 0xa0, 0x8e, 0x8e, 0x7d, 0x7d, 0x6d, 0x6d, 0x5e, 0x5e, 0x53, 0x53, 0x4a, 0x4a, 0x44, 0x44, 0x42, 0x42, 0x45, 0x45, 
0x4c, 0x4c, 0x56, 0x56, 0x62, 0x62, 0x6e, 0x6e, 0x7a, 0x7a, 0x85, 0x85, 0x8c, 0x8c, 0x8d, 0x8d, 0x88, 0x88, 0x7e, 0x7e, 0x71, 0x71, 0x64, 0x64, 0x59, 0x59, 
0x50, 0x50, 0x4b, 0x4b, 0x4c, 0x4c, 0x52, 0x52, 0x5d, 0x5d, 0x69, 0x69, 0x75, 0x75, 0x80, 0x80, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x91, 0x91, 
0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x68, 0x68, 0x66, 0x66, 0x68, 0x68, 0x6e, 0x6e, 0x76, 0x76, 0x81, 0x81, 
0x8b, 0x8b, 0x95, 0x95, 0x9e, 0x9e, 0xa5, 0xa5, 0xac, 0xac, 0xb0, 0xb0, 0xb3, 0xb3, 0xb4, 0xb4, 0xb0, 0xb0, 0xa9, 0xa9, 0xa0, 0xa0, 0x95, 0x95, 0x8a, 0x8a, 
0x7f, 0x7f, 0x77, 0x77, 0x71, 0x71, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x6f, 0x6f, 0x68, 0x68, 0x5e, 0x5e, 0x55, 0x55, 0x53, 0x53, 0x59, 0x59, 
0x65, 0x65, 0x75, 0x75, 0x86, 0x86, 0x96, 0x96, 0xa3, 0xa3, 0xab, 0xab, 0xac, 0xac, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 0x83, 0x83, 0x7c, 0x7c, 0x79, 0x79, 
0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x60, 0x60, 
0x66, 0x66, 0x73, 0x73, 0x85, 0x85, 0x9a, 0x9a, 0xb0, 0xb0, 0xc6, 0xc6, 0xd9, 0xd9, 0xe9, 0xe9, 0xf4, 0xf4, 0xf9, 0xf9, 0xf9, 0xf9, 0xf4, 0xf4, 0xe9, 0xe9, 
0xda, 0xda, 0xc6, 0xc6, 0xad, 0xad, 0x8f, 0x8f, 0x6b, 0x6b, 0x47, 0x47, 0x26, 0x26, 0x11, 0x11, 0x08, 0x08, 0x0a, 0x0a, 0x16, 0x16, 0x2a, 0x2a, 0x44, 0x44, 
0x61, 0x61, 0x7e, 0x7e, 0x9b, 0x9b, 0xb6, 0xb6, 0xcd, 0xcd, 0xdd, 0xdd, 0xe3, 0xe3, 0xdd, 0xdd, 0xcd, 0xcd, 0xb8, 0xb8, 0x9f, 0x9f, 0x84, 0x84, 0x6b, 0x6b, 
0x58, 0x58, 0x4f, 0x4f, 0x50, 0x50, 0x59, 0x59, 0x65, 0x65, 0x70, 0x70, 0x78, 0x78, 0x7c, 0x7c, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 0x78, 0x78, 0x75, 0x75, 
0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x6b, 0x6b, 0x73, 0x73, 
0x7d, 0x7d, 0x8a, 0x8a, 0x9a, 0x9a, 0xae, 0xae, 0xc4, 0xc4, 0xda, 0xda, 0xec, 0xec, 0xf3, 0xf3, 0xf0, 0xf0, 0xe3, 0xe3, 0xd0, 0xd0, 0xb8, 0xb8, 0x9f, 0x9f, 
0x86, 0x86, 0x6f, 0x6f, 0x5c, 0x5c, 0x4e, 0x4e, 0x44, 0x44, 0x3f, 0x3f, 0x40, 0x40, 0x46, 0x46, 0x51, 0x51, 0x60, 0x60, 0x72, 0x72, 0x86, 0x86, 0x9b, 0x9b, 
0xab, 0xab, 0xb5, 0xb5, 0xb5, 0xb5, 0xaf, 0xaf, 0xa4, 0xa4, 0x96, 0x96, 0x86, 0x86, 0x75, 0x75, 0x64, 0x64, 0x52, 0x52, 0x3f, 0x3f, 0x2c, 0x2c, 0x1c, 0x1c, 
0x0f, 0x0f, 0x07, 0x07, 0x04, 0x04, 0x07, 0x07, 0x10, 0x10, 0x1f, 0x1f, 0x33, 0x33, 0x48, 0x48, 0x5c, 0x5c, 0x6e, 0x6e, 0x7e, 0x7e, 0x8a, 0x8a, 0x94, 0x94, 
0x9c, 0x9c, 0xa2, 0xa2, 0xa3, 0xa3, 0xa0, 0xa0, 0x98, 0x98, 0x8d, 0x8d, 0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 0x71, 0x71, 0x74, 0x74, 0x7b, 0x7b, 0x87, 0x87, 
0x96, 0x96, 0xa2, 0xa2, 0xa9, 0xa9, 0xa9, 0xa9, 0xa3, 0xa3, 0x98, 0x98, 0x8a, 0x8a, 0x78, 0x78, 0x65, 0x65, 0x53, 0x53, 0x44, 0x44, 0x38, 0x38, 0x30, 0x30, 
0x2c, 0x2c, 0x2c, 0x2c, 0x2f, 0x2f, 0x36, 0x36, 0x3f, 0x3f, 0x48, 0x48, 0x52, 0x52, 0x5c, 0x5c, 0x64, 0x64, 0x69, 0x69, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x78, 0x78, 0x80, 0x80, 0x8c, 0x8c, 0x9a, 0x9a, 0xa9, 0xa9, 
0xb9, 0xb9, 0xc8, 0xc8, 0xd2, 0xd2, 0xd7, 0xd7, 0xd5, 0xd5, 0xce, 0xce, 0xc4, 0xc4, 0xba, 0xba, 0xb1, 0xb1, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x93, 0x93, 
0x8a, 0x8a, 0x81, 0x81, 0x77, 0x77, 0x6d, 0x6d, 0x63, 0x63, 0x5b, 0x5b, 0x55, 0x55, 0x51, 0x51, 0x50, 0x50, 0x53, 0x53, 0x59, 0x59, 0x63, 0x63, 0x6f, 0x6f, 
0x7b, 0x7b, 0x84, 0x84, 0x8a, 0x8a, 0x8b, 0x8b, 0x87, 0x87, 0x7c, 0x7c, 0x6a, 0x6a, 0x56, 0x56, 0x44, 0x44, 0x39, 0x39, 0x36, 0x36, 0x3b, 0x3b, 0x46, 0x46, 
0x54, 0x54, 0x63, 0x63, 0x73, 0x73, 0x82, 0x82, 0x90, 0x90, 0x9c, 0x9c, 0xa8, 0xa8, 0xb2, 0xb2, 0xbe, 0xbe, 0xc9, 0xc9, 0xd4, 0xd4, 0xdb, 0xdb, 0xdd, 0xdd, 
0xd8, 0xd8, 0xcf, 0xcf, 0xc4, 0xc4, 0xb8, 0xb8, 0xaf, 0xaf, 0xa7, 0xa7, 0xa1, 0xa1, 0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 
0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x91, 0x91, 0x8b, 0x8b, 0x83, 0x83, 0x79, 0x79, 0x6d, 0x6d, 0x61, 0x61, 0x59, 0x59, 0x55, 0x55, 0x59, 0x59, 0x60, 0x60, 
0x66, 0x66, 0x67, 0x67, 0x62, 0x62, 0x58, 0x58, 0x4d, 0x4d, 0x46, 0x46, 0x44, 0x44, 0x47, 0x47, 0x4e, 0x4e, 0x5a, 0x5a, 0x67, 0x67, 0x75, 0x75, 0x7f, 0x7f, 
0x82, 0x82, 0x7d, 0x7d, 0x72, 0x72, 0x68, 0x68, 0x61, 0x61, 0x61, 0x61, 0x66, 0x66, 0x6e, 0x6e, 0x77, 0x77, 0x80, 0x80, 0x89, 0x89, 0x94, 0x94, 0xa3, 0xa3, 
0xb6, 0xb6, 0xcc, 0xcc, 0xe1, 0xe1, 0xf0, 0xf0, 0xfa, 0xfa, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfe, 0xfe, 0xfc, 0xfc, 0xfa, 0xfa, 
0xf4, 0xf4, 0xe6, 0xe6, 0xcc, 0xcc, 0xa6, 0xa6, 0x78, 0x78, 0x4b, 0x4b, 0x28, 0x28, 0x13, 0x13, 0x09, 0x09, 0x07, 0x07, 0x08, 0x08, 0x09, 0x09, 0x0b, 0x0b, 
0x10, 0x10, 0x18, 0x18, 0x27, 0x27, 0x3b, 0x3b, 0x53, 0x53, 0x70, 0x70, 0x8e, 0x8e, 0xab, 0xab, 0xc0, 0xc0, 0xc7, 0xc7, 0xbd, 0xbd, 0xa7, 0xa7, 0x8f, 0x8f, 
0x7d, 0x7d, 0x73, 0x73, 0x72, 0x72, 0x78, 0x78, 0x81, 0x81, 0x8b, 0x8b, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xb0, 0xb0, 0xb5, 0xb5, 0xb8, 0xb8, 0xb6, 0xb6, 
0xaf, 0xaf, 0xa4, 0xa4, 0x97, 0x97, 0x89, 0x89, 0x7b, 0x7b, 0x6f, 0x6f, 0x69, 0x69, 0x69, 0x69, 0x72, 0x72, 0x80, 0x80, 0x8f, 0x8f, 0x99, 0x99, 0x9c, 0x9c, 
0x9c, 0x9c, 0x9b, 0x9b, 0x9d, 0x9d, 0xa4, 0xa4, 0xaf, 0xaf, 0xbb, 0xbb, 0xc3, 0xc3, 0xc5, 0xc5, 0xc2, 0xc2, 0xb8, 0xb8, 0xa6, 0xa6, 0x8d, 0x8d, 0x70, 0x70, 
0x52, 0x52, 0x38, 0x38, 0x22, 0x22, 0x12, 0x12, 0x08, 0x08, 0x03, 0x03, 0x05, 0x05, 0x0b, 0x0b, 0x17, 0x17, 0x29, 0x29, 0x41, 0x41, 0x5c, 0x5c, 0x74, 0x74, 
0x87, 0x87, 0x92, 0x92, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x66, 0x66, 0x60, 0x60, 
0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x61, 0x61, 0x6b, 0x6b, 0x78, 0x78, 0x87, 0x87, 0x96, 0x96, 0xa6, 0xa6, 0xb5, 0xb5, 0xc2, 0xc2, 0xcb, 0xcb, 0xd0, 0xd0, 
0xd1, 0xd1, 0xcd, 0xcd, 0xc4, 0xc4, 0xb5, 0xb5, 0xa3, 0xa3, 0x92, 0x92, 0x84, 0x84, 0x7b, 0x7b, 0x78, 0x78, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x89, 0x89, 
0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 0x9d, 0x9d, 0x9b, 0x9b, 0x93, 0x93, 0x86, 0x86, 0x74, 0x74, 0x60, 0x60, 0x4d, 0x4d, 0x3a, 0x3a, 0x2a, 0x2a, 0x1c, 0x1c, 
0x13, 0x13, 0x0f, 0x0f, 0x0d, 0x0d, 0x0c, 0x0c, 0x0b, 0x0b, 0x09, 0x09, 0x07, 0x07, 0x07, 0x07, 0x0c, 0x0c, 0x17, 0x17, 0x27, 0x27, 0x39, 0x39, 0x4b, 0x4b, 
0x5c, 0x5c, 0x6a, 0x6a, 0x74, 0x74, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x6e, 0x6e, 0x70, 0x70, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 
0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 
0x9e, 0x9e, 0x9d, 0x9d, 0x9d, 0x9d, 0x9f, 0x9f, 0xa2, 0xa2, 0xa7, 0xa7, 0xae, 0xae, 0xb6, 0xb6, 0xbe, 0xbe, 0xc5, 0xc5, 0xca, 0xca, 0xcd, 0xcd, 0xcd, 0xcd, 
0xc7, 0xc7, 0xbe, 0xbe, 0xb1, 0xb1, 0xa2, 0xa2, 0x94, 0x94, 0x87, 0x87, 0x7b, 0x7b, 0x72, 0x72, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x59, 0x59, 
0x52, 0x52, 0x4b, 0x4b, 0x43, 0x43, 0x3e, 0x3e, 0x3c, 0x3c, 0x3d, 0x3d, 0x41, 0x41, 0x48, 0x48, 0x52, 0x52, 0x5e, 0x5e, 0x69, 0x69, 0x72, 0x72, 0x78, 0x78, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8d, 0x8d, 0x94, 0x94, 0x9e, 0x9e, 
0xaa, 0xaa, 0xb8, 0xb8, 0xc8, 0xc8, 0xd8, 0xd8, 0xe7, 0xe7, 0xf1, 0xf1, 0xf5, 0xf5, 0xf4, 0xf4, 0xef, 0xef, 0xe5, 0xe5, 0xd9, 0xd9, 0xca, 0xca, 0xb9, 0xb9, 
0xa8, 0xa8, 0x96, 0x96, 0x85, 0x85, 0x77, 0x77, 0x6e, 0x6e, 0x6a, 0x6a, 0x6b, 0x6b, 0x6f, 0x6f, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 0x83, 0x83, 0x82, 0x82, 
0x7d, 0x7d, 0x75, 0x75, 0x6d, 0x6d, 0x67, 0x67, 0x64, 0x64, 0x64, 0x64, 0x64, 0x64, 0x63, 0x63, 0x5f, 0x5f, 0x59, 0x59, 0x52, 0x52, 0x4c, 0x4c, 0x47, 0x47, 
0x45, 0x45, 0x46, 0x46, 0x4b, 0x4b, 0x55, 0x55, 0x60, 0x60, 0x6c, 0x6c, 0x75, 0x75, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 
0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8f, 0x8f, 0x95, 0x95, 0x9e, 0x9e, 0xaa, 0xaa, 0xb7, 0xb7, 0xc5, 0xc5, 0xd3, 0xd3, 0xe1, 0xe1, 0xec, 0xec, 
0xf4, 0xf4, 0xf9, 0xf9, 0xfb, 0xfb, 0xfa, 0xfa, 0xf8, 0xf8, 0xf3, 0xf3, 0xec, 0xec, 0xdf, 0xdf, 0xca, 0xca, 0xad, 0xad, 0x8a, 0x8a, 0x67, 0x67, 0x46, 0x46, 
0x2c, 0x2c, 0x17, 0x17, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x08, 0x08, 0x12, 0x12, 0x20, 0x20, 0x30, 0x30, 0x40, 0x40, 0x4e, 0x4e, 0x5b, 0x5b, 
0x66, 0x66, 0x6c, 0x6c, 0x6f, 0x6f, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 
0x71, 0x71, 0x79, 0x79, 0x84, 0x84, 0x92, 0x92, 0xa1, 0xa1, 0xb0, 0xb0, 0xbe, 0xbe, 0xca, 0xca, 0xd2, 0xd2, 0xd4, 0xd4, 0xd1, 0xd1, 0xc9, 0xc9, 0xbe, 0xbe, 
0xb1, 0xb1, 0xa4, 0xa4, 0x96, 0x96, 0x89, 0x89, 0x7e, 0x7e, 0x73, 0x73, 0x6b, 0x6b, 0x66, 0x66, 0x65, 0x65, 0x67, 0x67, 0x6c, 0x6c, 0x71, 0x71, 0x72, 0x72, 
0x6f, 0x6f, 0x68, 0x68, 0x5e, 0x5e, 0x51, 0x51, 0x42, 0x42, 0x32, 0x32, 0x24, 0x24, 0x1a, 0x1a, 0x16, 0x16, 0x15, 0x15, 0x19, 0x19, 0x21, 0x21, 0x2c, 0x2c, 
0x3b, 0x3b, 0x4b, 0x4b, 0x5f, 0x5f, 0x74, 0x74, 0x8a, 0x8a, 0x9d, 0x9d, 0xad, 0xad, 0xb8, 0xb8, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 0xc1, 0xc1, 0xbe, 0xbe, 
0xbb, 0xbb, 0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xac, 0xac, 0xa7, 0xa7, 0xa1, 0xa1, 0x9a, 0x9a, 0x95, 0x95, 0x91, 0x91, 0x91, 0x91, 0x93, 0x93, 0x97, 0x97, 
0x9d, 0x9d, 0xa4, 0xa4, 0xac, 0xac, 0xb4, 0xb4, 0xbb, 0xbb, 0xc1, 0xc1, 0xc6, 0xc6, 0xc7, 0xc7, 0xc4, 0xc4, 0xbd, 0xbd, 0xb3, 0xb3, 0xa5, 0xa5, 0x95, 0x95, 
0x83, 0x83, 0x70, 0x70, 0x5d, 0x5d, 0x4b, 0x4b, 0x3b, 0x3b, 0x2d, 0x2d, 0x21, 0x21, 0x18, 0x18, 0x12, 0x12, 0x0e, 0x0e, 0x0b, 0x0b, 0x09, 0x09, 0x07, 0x07, 
0x05, 0x05, 0x04, 0x04, 0x05, 0x05, 0x08, 0x08, 0x0c, 0x0c, 0x14, 0x14, 0x1f, 0x1f, 0x2e, 0x2e, 0x40, 0x40, 0x53, 0x53, 0x68, 0x68, 0x7d, 0x7d, 0x93, 0x93, 
0xa6, 0xa6, 0xb7, 0xb7, 0xc5, 0xc5, 0xd0, 0xd0, 0xd8, 0xd8, 0xdc, 0xdc, 0xdc, 0xdc, 0xd9, 0xd9, 0xd5, 0xd5, 0xcf, 0xcf, 0xc8, 0xc8, 0xc1, 0xc1, 0xb8, 0xb8, 
0xac, 0xac, 0x9e, 0x9e, 0x8f, 0x8f, 0x80, 0x80, 0x73, 0x73, 0x69, 0x69, 0x62, 0x62, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x4e, 0x4e, 0x48, 0x48, 0x43, 0x43, 
0x3d, 0x3d, 0x39, 0x39, 0x36, 0x36, 0x35, 0x35, 0x37, 0x37, 0x3a, 0x3a, 0x3c, 0x3c, 0x3c, 0x3c, 0x39, 0x39, 0x35, 0x35, 0x31, 0x31, 0x31, 0x31, 0x36, 0x36, 
0x3e, 0x3e, 0x4a, 0x4a, 0x57, 0x57, 0x66, 0x66, 0x74, 0x74, 0x82, 0x82, 0x8d, 0x8d, 0x97, 0x97, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 
0xb1, 0xb1, 0xb6, 0xb6, 0xbc, 0xbc, 0xc3, 0xc3, 0xcb, 0xcb, 0xd4, 0xd4, 0xde, 0xde, 0xe8, 0xe8, 0xee, 0xee, 0xf1, 0xf1, 0xee, 0xee, 0xe7, 0xe7, 0xdd, 0xdd, 
0xd0, 0xd0, 0xc1, 0xc1, 0xb3, 0xb3, 0xa5, 0xa5, 0x9a, 0x9a, 0x92, 0x92, 0x8c, 0x8c, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x83, 0x83, 0x80, 0x80, 
0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6b, 0x6b, 0x64, 0x64, 0x5d, 0x5d, 0x56, 0x56, 0x51, 0x51, 0x4d, 0x4d, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x51, 0x51, 
0x58, 0x58, 0x62, 0x62, 0x6d, 0x6d, 0x7b, 0x7b, 0x89, 0x89, 0x96, 0x96, 0xa2, 0xa2, 0xab, 0xab, 0xb2, 0xb2, 0xb6, 0xb6, 0xb9, 0xb9, 0xba, 0xba, 0xbb, 0xbb, 
0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xba, 0xba, 0xb6, 0xb6, 0xb3, 0xb3, 0xaf, 0xaf, 0xab, 0xab, 0xa7, 0xa7, 0xa3, 0xa3, 
0x9f, 0x9f, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x83, 0x83, 0x7a, 0x7a, 0x6e, 0x6e, 0x61, 0x61, 0x53, 0x53, 0x47, 0x47, 0x3f, 0x3f, 
0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x4f, 0x4f, 0x5c, 0x5c, 0x6a, 0x6a, 0x77, 0x77, 0x80, 0x80, 0x85, 0x85, 0x86, 0x86, 0x84, 0x84, 0x7f, 0x7f, 0x79, 0x79, 
0x72, 0x72, 0x6b, 0x6b, 0x65, 0x65, 0x61, 0x61, 0x5f, 0x5f, 0x60, 0x60, 0x66, 0x66, 0x71, 0x71, 0x7f, 0x7f, 0x8e, 0x8e, 0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 
0xae, 0xae, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 0xad, 0xad, 0xaf, 0xaf, 0xb2, 0xb2, 0xb3, 0xb3, 0xb1, 0xb1, 0xac, 0xac, 0xa4, 0xa4, 0x9a, 0x9a, 
0x91, 0x91, 0x88, 0x88, 0x81, 0x81, 0x7c, 0x7c, 0x78, 0x78, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 
0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 0x87, 0x87, 0x87, 0x87, 
0x84, 0x84, 0x7f, 0x7f, 0x78, 0x78, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x55, 0x55, 0x4e, 0x4e, 0x48, 0x48, 0x45, 0x45, 0x43, 0x43, 0x45, 0x45, 0x49, 0x49, 
0x50, 0x50, 0x5c, 0x5c, 0x6b, 0x6b, 0x7d, 0x7d, 0x8e, 0x8e, 0x9b, 0x9b, 0xa5, 0xa5, 0xaa, 0xaa, 0xac, 0xac, 0xaa, 0xaa, 0xa6, 0xa6, 0x9f, 0x9f, 0x97, 0x97, 
0x8e, 0x8e, 0x85, 0x85, 0x7c, 0x7c, 0x74, 0x74, 0x6d, 0x6d, 0x68, 0x68, 0x65, 0x65, 0x65, 0x65, 0x67, 0x67, 0x6c, 0x6c, 0x72, 0x72, 0x78, 0x78, 0x7a, 0x7a, 
0x79, 0x79, 0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x52, 0x52, 0x4e, 0x4e, 0x4b, 0x4b, 0x49, 0x49, 0x4b, 0x4b, 0x50, 0x50, 0x5a, 0x5a, 
0x67, 0x67, 0x76, 0x76, 0x86, 0x86, 0x95, 0x95, 0xa4, 0xa4, 0xb0, 0xb0, 0xb7, 0xb7, 0xb9, 0xb9, 0xb8, 0xb8, 0xb4, 0xb4, 0xb0, 0xb0, 0xab, 0xab, 0xa6, 0xa6, 
0xa1, 0xa1, 0x99, 0x99, 0x90, 0x90, 0x86, 0x86, 0x7c, 0x7c, 0x73, 0x73, 0x6d, 0x6d, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x6a, 0x6a, 0x6f, 0x6f, 0x73, 0x73, 
0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x62, 0x62, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x5b, 0x5b, 
0x60, 0x60, 0x69, 0x69, 0x72, 0x72, 0x7c, 0x7c, 0x85, 0x85, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 
0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x86, 0x86, 0x8e, 0x8e, 
0x96, 0x96, 0x9c, 0x9c, 0xa1, 0xa1, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 0x9d, 0x9d, 0x99, 0x99, 0x95, 0x95, 0x92, 0x92, 
0x90, 0x90, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7b, 0x7b, 0x73, 0x73, 0x6c, 0x6c, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 
0x5e, 0x5e, 0x60, 0x60, 0x60, 0x60, 0x5f, 0x5f, 0x5a, 0x5a, 0x53, 0x53, 0x4b, 0x4b, 0x43, 0x43, 0x3c, 0x3c, 0x37, 0x37, 0x35, 0x35, 0x3a, 0x3a, 0x44, 0x44, 
0x53, 0x53, 0x64, 0x64, 0x77, 0x77, 0x8b, 0x8b, 0x9c, 0x9c, 0xaa, 0xaa, 0xb2, 0xb2, 0xb4, 0xb4, 0xaf, 0xaf, 0xa5, 0xa5, 0x97, 0x97, 0x85, 0x85, 0x73, 0x73, 
0x64, 0x64, 0x5b, 0x5b, 0x5a, 0x5a, 0x5f, 0x5f, 0x69, 0x69, 0x75, 0x75, 0x82, 0x82, 0x8e, 0x8e, 0x97, 0x97, 0x9c, 0x9c, 0x9b, 0x9b, 0x98, 0x98, 0x93, 0x93, 
0x91, 0x91, 0x90, 0x90, 0x93, 0x93, 0x98, 0x98, 0x9e, 0x9e, 0xa5, 0xa5, 0xac, 0xac, 0xb3, 0xb3, 0xb7, 0xb7, 0xb9, 0xb9, 0xb9, 0xb9, 0xb6, 0xb6, 0xb1, 0xb1, 
0xa8, 0xa8, 0x9d, 0x9d, 0x93, 0x93, 0x8a, 0x8a, 0x84, 0x84, 0x80, 0x80, 0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 0x8a, 0x8a, 
0x84, 0x84, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x5b, 0x5b, 0x59, 0x59, 0x5a, 0x5a, 0x5c, 0x5c, 0x5f, 0x5f, 0x63, 0x63, 0x66, 0x66, 
0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x65, 0x65, 
0x65, 0x65, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x65, 0x65, 0x6c, 0x6c, 0x76, 0x76, 0x83, 0x83, 0x91, 0x91, 0x9e, 0x9e, 0xa9, 0xa9, 
0xb0, 0xb0, 0xb4, 0xb4, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb7, 0xb7, 0xbb, 0xbb, 0xbe, 0xbe, 0xc0, 0xc0, 0xc1, 0xc1, 
0xbf, 0xbf, 0xbb, 0xbb, 0xb4, 0xb4, 0xaa, 0xaa, 0x9d, 0x9d, 0x90, 0x90, 0x82, 0x82, 0x74, 0x74, 0x67, 0x67, 0x5d, 0x5d, 0x56, 0x56, 0x53, 0x53, 0x53, 0x53, 
0x53, 0x53, 0x54, 0x54, 0x53, 0x53, 0x51, 0x51, 0x4d, 0x4d, 0x48, 0x48, 0x42, 0x42, 0x3c, 0x3c, 0x36, 0x36, 0x33, 0x33, 0x33, 0x33, 0x36, 0x36, 0x3a, 0x3a, 
0x40, 0x40, 0x48, 0x48, 0x50, 0x50, 0x58, 0x58, 0x5f, 0x5f, 0x65, 0x65, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8e, 0x8e, 
0x94, 0x94, 0x9b, 0x9b, 0xa2, 0xa2, 0xa8, 0xa8, 0xad, 0xad, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb2, 0xb2, 0xaf, 0xaf, 0xab, 0xab, 0xa7, 0xa7, 0xa3, 0xa3, 
0x9f, 0x9f, 0x9d, 0x9d, 0x9d, 0x9d, 0x9f, 0x9f, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8a, 0x8a, 0x84, 0x84, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 
0x5b, 0x5b, 0x4f, 0x4f, 0x44, 0x44, 0x3a, 0x3a, 0x34, 0x34, 0x30, 0x30, 0x2f, 0x2f, 0x30, 0x30, 0x32, 0x32, 0x35, 0x35, 0x38, 0x38, 0x3c, 0x3c, 0x42, 0x42, 
0x4a, 0x4a, 0x53, 0x53, 0x5d, 0x5d, 0x68, 0x68, 0x73, 0x73, 0x7e, 0x7e, 0x87, 0x87, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 
0x95, 0x95, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 0xad, 0xad, 0xaa, 0xaa, 
0xa5, 0xa5, 0x9f, 0x9f, 0x97, 0x97, 0x8f, 0x8f, 0x8a, 0x8a, 0x8a, 0x8a, 0x8e, 0x8e, 0x96, 0x96, 0x9f, 0x9f, 0xa6, 0xa6, 0xaa, 0xaa, 0xab, 0xab, 0xa9, 0xa9, 
0xa6, 0xa6, 0xa0, 0xa0, 0x9a, 0x9a, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x65, 0x65, 
0x64, 0x64, 0x64, 0x64, 0x63, 0x63, 0x60, 0x60, 0x5b, 0x5b, 0x56, 0x56, 0x52, 0x52, 0x52, 0x52, 0x56, 0x56, 0x5d, 0x5d, 0x66, 0x66, 0x6e, 0x6e, 0x75, 0x75, 
0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x70, 0x70, 
0x6e, 0x6e, 0x6f, 0x6f, 0x74, 0x74, 0x7c, 0x7c, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa3, 0xa3, 
0xa7, 0xa7, 0xac, 0xac, 0xb1, 0xb1, 0xb5, 0xb5, 0xb7, 0xb7, 0xb8, 0xb8, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xae, 0xae, 0xaa, 0xaa, 0xa5, 0xa5, 0x9f, 0x9f, 
0x96, 0x96, 0x8c, 0x8c, 0x82, 0x82, 0x7a, 0x7a, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x66, 0x66, 0x5e, 0x5e, 0x55, 0x55, 0x4a, 0x4a, 0x3e, 0x3e, 0x33, 0x33, 
0x28, 0x28, 0x22, 0x22, 0x22, 0x22, 0x28, 0x28, 0x34, 0x34, 0x43, 0x43, 0x52, 0x52, 0x60, 0x60, 0x6d, 0x6d, 0x79, 0x79, 0x83, 0x83, 0x8c, 0x8c, 0x95, 0x95, 
0x9b, 0x9b, 0x9f, 0x9f, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7b, 0x7b, 0x73, 0x73, 0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 
0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 0x57, 0x57, 0x5d, 0x5d, 0x67, 0x67, 0x74, 0x74, 0x82, 0x82, 0x8f, 0x8f, 0x99, 0x99, 0xa0, 0xa0, 0xa6, 0xa6, 0xaa, 0xaa, 
0xaf, 0xaf, 0xb4, 0xb4, 0xb9, 0xb9, 0xbf, 0xbf, 0xc6, 0xc6, 0xcc, 0xcc, 0xcf, 0xcf, 0xce, 0xce, 0xc8, 0xc8, 0xbe, 0xbe, 0xb2, 0xb2, 0xa6, 0xa6, 0x9c, 0x9c, 
0x94, 0x94, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x4d, 0x4d, 
0x42, 0x42, 0x39, 0x39, 0x30, 0x30, 0x2a, 0x2a, 0x28, 0x28, 0x2c, 0x2c, 0x36, 0x36, 0x43, 0x43, 0x51, 0x51, 0x5c, 0x5c, 0x64, 0x64, 0x67, 0x67, 0x68, 0x68, 
0x67, 0x67, 0x65, 0x65, 0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x71, 0x71, 0x79, 0x79, 0x81, 0x81, 0x8b, 0x8b, 0x97, 0x97, 
0xa4, 0xa4, 0xb1, 0xb1, 0xbc, 0xbc, 0xc3, 0xc3, 0xc4, 0xc4, 0xc1, 0xc1, 0xbb, 0xbb, 0xb3, 0xb3, 0xac, 0xac, 0xa4, 0xa4, 0x9c, 0x9c, 0x94, 0x94, 0x8b, 0x8b, 
0x83, 0x83, 0x7a, 0x7a, 0x73, 0x73, 0x6e, 0x6e, 0x6b, 0x6b, 0x6c, 0x6c, 0x70, 0x70, 0x79, 0x79, 0x85, 0x85, 0x91, 0x91, 0x99, 0x99, 0x9e, 0x9e, 0xa0, 0xa0, 
0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x93, 0x93, 0x8c, 0x8c, 0x84, 0x84, 0x7a, 0x7a, 0x6f, 0x6f, 0x64, 0x64, 0x5b, 0x5b, 0x54, 0x54, 0x50, 0x50, 0x4e, 0x4e, 
0x4f, 0x4f, 0x51, 0x51, 0x55, 0x55, 0x57, 0x57, 0x57, 0x57, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x4a, 0x4a, 0x4e, 0x4e, 0x56, 0x56, 0x61, 0x61, 0x6d, 0x6d, 
0x79, 0x79, 0x85, 0x85, 0x90, 0x90, 0x99, 0x99, 0xa1, 0xa1, 0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 0xb0, 0xb0, 0xb1, 0xb1, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 
0xa6, 0xa6, 0xa2, 0xa2, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9b, 0x9b, 0x95, 0x95, 0x8c, 0x8c, 0x83, 0x83, 0x7d, 0x7d, 0x79, 0x79, 0x79, 0x79, 
0x7b, 0x7b, 0x80, 0x80, 0x88, 0x88, 0x90, 0x90, 0x96, 0x96, 0x98, 0x98, 0x96, 0x96, 0x90, 0x90, 0x87, 0x87, 0x7f, 0x7f, 0x76, 0x76, 0x6d, 0x6d, 0x64, 0x64, 
0x5b, 0x5b, 0x50, 0x50, 0x46, 0x46, 0x3e, 0x3e, 0x38, 0x38, 0x36, 0x36, 0x37, 0x37, 0x3b, 0x3b, 0x40, 0x40, 0x46, 0x46, 0x4d, 0x4d, 0x53, 0x53, 0x58, 0x58, 
0x5d, 0x5d, 0x61, 0x61, 0x66, 0x66, 0x6d, 0x6d, 0x76, 0x76, 0x7f, 0x7f, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x9b, 0x9b, 
0x9f, 0x9f, 0xa3, 0xa3, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9d, 0x9d, 0x96, 0x96, 0x8e, 0x8e, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x81, 0x81, 0x86, 0x86, 0x8e, 0x8e, 0x97, 0x97, 0xa2, 0xa2, 0xac, 0xac, 0xb4, 0xb4, 0xba, 0xba, 0xbf, 0xbf, 
0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xbf, 0xbf, 0xbd, 0xbd, 0xba, 0xba, 0xb6, 0xb6, 0xb1, 0xb1, 0xaa, 0xaa, 0xa0, 0xa0, 0x94, 0x94, 0x89, 0x89, 0x7f, 0x7f, 
0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4e, 0x4e, 0x49, 0x49, 0x44, 0x44, 0x41, 0x41, 
0x3e, 0x3e, 0x3d, 0x3d, 0x3e, 0x3e, 0x41, 0x41, 0x47, 0x47, 0x51, 0x51, 0x5d, 0x5d, 0x6e, 0x6e, 0x80, 0x80, 0x91, 0x91, 0x9e, 0x9e, 0xa7, 0xa7, 0xab, 0xab, 
0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x9b, 0x9b, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8d, 0x8d, 0x86, 0x86, 
0x7f, 0x7f, 0x78, 0x78, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x62, 0x62, 0x62, 0x62, 0x67, 0x67, 0x71, 0x71, 0x80, 0x80, 0x91, 0x91, 0xa3, 0xa3, 0xb2, 0xb2, 
0xbc, 0xbc, 0xc2, 0xc2, 0xc2, 0xc2, 0xbc, 0xbc, 0xb1, 0xb1, 0xa2, 0xa2, 0x93, 0x93, 0x85, 0x85, 0x7a, 0x7a, 0x72, 0x72, 0x6c, 0x6c, 0x68, 0x68, 0x65, 0x65, 
0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x56, 0x56, 0x51, 0x51, 0x4b, 0x4b, 0x46, 0x46, 0x42, 0x42, 0x3e, 0x3e, 0x3d, 0x3d, 0x40, 0x40, 0x47, 0x47, 0x52, 0x52, 
0x60, 0x60, 0x6f, 0x6f, 0x80, 0x80, 0x90, 0x90, 0x9e, 0x9e, 0xa8, 0xa8, 0xad, 0xad, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x9d, 0x9d, 
0x9c, 0x9c, 0x9c, 0x9c, 0x9f, 0x9f, 0xa2, 0xa2, 0xa6, 0xa6, 0xab, 0xab, 0xb0, 0xb0, 0xb2, 0xb2, 0xb1, 0xb1, 0xac, 0xac, 0xa4, 0xa4, 0x98, 0x98, 0x8a, 0x8a, 
0x7b, 0x7b, 0x6b, 0x6b, 0x5d, 0x5d, 0x55, 0x55, 0x51, 0x51, 0x53, 0x53, 0x57, 0x57, 0x5e, 0x5e, 0x65, 0x65, 0x6c, 0x6c, 0x72, 0x72, 0x74, 0x74, 0x73, 0x73, 
0x6e, 0x6e, 0x68, 0x68, 0x61, 0x61, 0x58, 0x58, 0x50, 0x50, 0x49, 0x49, 0x44, 0x44, 0x42, 0x42, 0x41, 0x41, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 0x4a, 0x4a, 
0x4d, 0x4d, 0x50, 0x50, 0x54, 0x54, 0x57, 0x57, 0x5d, 0x5d, 0x64, 0x64, 0x6e, 0x6e, 0x79, 0x79, 0x86, 0x86, 0x93, 0x93, 0x9f, 0x9f, 0xaa, 0xaa, 0xb3, 0xb3, 
0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xbf, 0xbf, 0xbd, 0xbd, 0xbc, 0xbc, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb2, 0xb2, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 
0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x80, 0x80, 0x77, 0x77, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x55, 0x55, 0x4d, 0x4d, 
0x47, 0x47, 0x43, 0x43, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4c, 0x4c, 0x54, 0x54, 0x5d, 0x5d, 0x68, 0x68, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x8b, 0x8b, 
0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x95, 0x95, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x80, 0x80, 
0x7b, 0x7b, 0x76, 0x76, 0x71, 0x71, 0x6f, 0x6f, 0x6f, 0x6f, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x8b, 0x8b, 
0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 
0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 
0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x73, 0x73, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 
0x88, 0x88, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x90, 0x90, 0x8a, 0x8a, 0x83, 0x83, 0x7b, 0x7b, 0x74, 0x74, 
0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 
0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 0x5c, 0x5c, 0x56, 0x56, 0x51, 0x51, 0x4e, 0x4e, 0x4d, 0x4d, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x5d, 0x5d, 0x62, 0x62, 
0x68, 0x68, 0x6f, 0x6f, 0x76, 0x76, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x91, 0x91, 0x90, 0x90, 
0x91, 0x91, 0x94, 0x94, 0x99, 0x99, 0x9f, 0x9f, 0xa6, 0xa6, 0xab, 0xab, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xb7, 0xb7, 0xb7, 0xb7, 0xb6, 0xb6, 0xb3, 0xb3, 
0xaf, 0xaf, 0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 
0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6c, 0x6c, 0x68, 0x68, 0x63, 0x63, 
0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 
0x71, 0x71, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 
0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0xa1, 0xa1, 0xa6, 0xa6, 0xad, 0xad, 0xb3, 0xb3, 0xb7, 0xb7, 0xb8, 0xb8, 0xb6, 0xb6, 0xb1, 0xb1, 0xa8, 0xa8, 0x9c, 0x9c, 
0x8d, 0x8d, 0x7e, 0x7e, 0x6f, 0x6f, 0x61, 0x61, 0x54, 0x54, 0x4a, 0x4a, 0x43, 0x43, 0x3f, 0x3f, 0x3e, 0x3e, 0x40, 0x40, 0x45, 0x45, 0x4c, 0x4c, 0x54, 0x54, 
0x5d, 0x5d, 0x63, 0x63, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x71, 0x71, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8e, 0x8e, 0x9a, 0x9a, 0xa6, 0xa6, 0xb2, 0xb2, 
0xbb, 0xbb, 0xc2, 0xc2, 0xc6, 0xc6, 0xc8, 0xc8, 0xc8, 0xc8, 0xc5, 0xc5, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xaa, 0xaa, 0x9e, 0x9e, 0x92, 0x92, 0x87, 0x87, 
0x7d, 0x7d, 0x74, 0x74, 0x6c, 0x6c, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x55, 0x55, 0x50, 0x50, 0x4c, 0x4c, 0x49, 0x49, 0x48, 0x48, 0x49, 0x49, 0x4c, 0x4c, 
0x52, 0x52, 0x58, 0x58, 0x5d, 0x5d, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 
0x6f, 0x6f, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x70, 0x70, 0x74, 0x74, 0x78, 0x78, 0x7b, 0x7b, 
0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa5, 0xa5, 0xab, 0xab, 0xb2, 0xb2, 
0xb9, 0xb9, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 0xc0, 0xc0, 0xba, 0xba, 0xb2, 0xb2, 0xab, 0xab, 0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 
0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 0x79, 0x79, 0x73, 0x73, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x4d, 0x4d, 
0x48, 0x48, 0x45, 0x45, 0x45, 0x45, 0x47, 0x47, 0x4b, 0x4b, 0x51, 0x51, 0x58, 0x58, 0x5f, 0x5f, 0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x70, 0x70, 0x72, 0x72, 
0x75, 0x75, 0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8e, 0x8e, 0x96, 0x96, 0x9e, 0x9e, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xb8, 0xb8, 0xb7, 0xb7, 
0xb1, 0xb1, 0xa8, 0xa8, 0x9c, 0x9c, 0x90, 0x90, 0x83, 0x83, 0x78, 0x78, 0x70, 0x70, 0x6e, 0x6e, 0x70, 0x70, 0x77, 0x77, 0x80, 0x80, 0x89, 0x89, 0x90, 0x90, 
0x96, 0x96, 0x9a, 0x9a, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x78, 0x78, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 
0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x64, 0x64, 0x69, 0x69, 0x6f, 0x6f, 
0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 0x9e, 0x9e, 
0xa4, 0xa4, 0xa9, 0xa9, 0xac, 0xac, 0xb0, 0xb0, 0xb5, 0xb5, 0xb9, 0xb9, 0xbb, 0xbb, 0xbb, 0xbb, 0xb7, 0xb7, 0xb0, 0xb0, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 
0x80, 0x80, 0x73, 0x73, 0x68, 0x68, 0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 0x52, 0x52, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 0x61, 0x61, 0x6a, 0x6a, 0x74, 0x74, 
0x7c, 0x7c, 0x81, 0x81, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x67, 0x67, 0x67, 0x67, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 
0x76, 0x76, 0x7c, 0x7c, 0x83, 0x83, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9d, 0x9d, 0xa0, 0xa0, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8b, 0x8b, 0x83, 0x83, 
0x7d, 0x7d, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 
0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x83, 0x83, 0x83, 0x83, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x86, 0x86, 0x83, 0x83, 0x7f, 0x7f, 0x79, 0x79, 
0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5c, 0x5c, 
0x60, 0x60, 0x64, 0x64, 0x6a, 0x6a, 0x72, 0x72, 0x7d, 0x7d, 0x8a, 0x8a, 0x97, 0x97, 0xa4, 0xa4, 0xb1, 0xb1, 0xbb, 0xbb, 0xc1, 0xc1, 0xc1, 0xc1, 0xba, 0xba, 
0xae, 0xae, 0x9f, 0x9f, 0x8f, 0x8f, 0x7f, 0x7f, 0x70, 0x70, 0x64, 0x64, 0x5c, 0x5c, 0x59, 0x59, 0x5a, 0x5a, 0x5e, 0x5e, 0x63, 0x63, 0x69, 0x69, 0x6f, 0x6f, 
0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 0x85, 0x85, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 
0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 0x7f, 0x7f, 0x76, 0x76, 0x6c, 0x6c, 0x62, 0x62, 0x5a, 0x5a, 0x53, 0x53, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x53, 0x53, 
0x5b, 0x5b, 0x66, 0x66, 0x74, 0x74, 0x82, 0x82, 0x92, 0x92, 0xa1, 0xa1, 0xae, 0xae, 0xb9, 0xb9, 0xc1, 0xc1, 0xc7, 0xc7, 0xca, 0xca, 0xca, 0xca, 0xc9, 0xc9, 
0xc6, 0xc6, 0xc2, 0xc2, 0xbe, 0xbe, 0xb9, 0xb9, 0xb3, 0xb3, 0xad, 0xad, 0xa7, 0xa7, 0x9f, 0x9f, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x77, 0x77, 0x6b, 0x6b, 
0x5f, 0x5f, 0x52, 0x52, 0x47, 0x47, 0x3d, 0x3d, 0x37, 0x37, 0x34, 0x34, 0x35, 0x35, 0x39, 0x39, 0x40, 0x40, 0x4a, 0x4a, 0x55, 0x55, 0x61, 0x61, 0x6c, 0x6c, 
0x76, 0x76, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 
0x82, 0x82, 0x7e, 0x7e, 0x77, 0x77, 0x6d, 0x6d, 0x62, 0x62, 0x56, 0x56, 0x4a, 0x4a, 0x3f, 0x3f, 0x37, 0x37, 0x32, 0x32, 0x31, 0x31, 0x36, 0x36, 0x3e, 0x3e, 
0x4a, 0x4a, 0x57, 0x57, 0x66, 0x66, 0x75, 0x75, 0x84, 0x84, 0x90, 0x90, 0x9b, 0x9b, 0xa3, 0xa3, 0xa8, 0xa8, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 
0x9a, 0x9a, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x87, 0x87, 
0x89, 0x89, 0x8d, 0x8d, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 0xaa, 0xaa, 0xac, 0xac, 0xac, 0xac, 
0xaa, 0xaa, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x92, 0x92, 0x8c, 0x8c, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 0x6d, 0x6d, 0x64, 0x64, 0x5d, 0x5d, 
0x57, 0x57, 0x54, 0x54, 0x54, 0x54, 0x56, 0x56, 0x5a, 0x5a, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 0x65, 0x65, 0x69, 0x69, 0x6f, 0x6f, 
0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x84, 0x84, 0x7c, 0x7c, 
0x71, 0x71, 0x64, 0x64, 0x59, 0x59, 0x51, 0x51, 0x4e, 0x4e, 0x4f, 0x4f, 0x54, 0x54, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x80, 0x80, 0x8e, 0x8e, 0x9d, 0x9d, 
0xac, 0xac, 0xba, 0xba, 0xc8, 0xc8, 0xd5, 0xd5, 0xdf, 0xdf, 0xe7, 0xe7, 0xe9, 0xe9, 0xe7, 0xe7, 0xe0, 0xe0, 0xd6, 0xd6, 0xc9, 0xc9, 0xbc, 0xbc, 0xae, 0xae, 
0x9f, 0x9f, 0x90, 0x90, 0x81, 0x81, 0x72, 0x72, 0x65, 0x65, 0x5c, 0x5c, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 
0x5e, 0x5e, 0x5a, 0x5a, 0x55, 0x55, 0x4e, 0x4e, 0x49, 0x49, 0x45, 0x45, 0x43, 0x43, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 
0x4c, 0x4c, 0x53, 0x53, 0x5a, 0x5a, 0x62, 0x62, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x80, 0x80, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 
0x97, 0x97, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9c, 0x9c, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xae, 0xae, 
0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 0x96, 0x96, 0x97, 0x97, 0x97, 0x97, 0x95, 0x95, 0x90, 0x90, 0x89, 0x89, 0x80, 0x80, 
0x78, 0x78, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x61, 0x61, 0x61, 0x61, 0x61, 0x61, 
0x5e, 0x5e, 0x5b, 0x5b, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4a, 0x4a, 0x49, 0x49, 0x4c, 0x4c, 0x53, 0x53, 0x5e, 0x5e, 0x6a, 0x6a, 0x74, 0x74, 0x7c, 0x7c, 
0x82, 0x82, 0x86, 0x86, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x87, 0x87, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 0xa2, 0xa2, 
0xa5, 0xa5, 0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x98, 0x98, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 
0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x6f, 0x6f, 0x77, 0x77, 0x7f, 0x7f, 0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x93, 0x93, 0x90, 0x90, 
0x8c, 0x8c, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa4, 0xa4, 
0xa8, 0xa8, 0xab, 0xab, 0xac, 0xac, 0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x92, 0x92, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 
0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x7e, 0x7e, 0x7b, 0x7b, 
0x76, 0x76, 0x6f, 0x6f, 0x68, 0x68, 0x61, 0x61, 0x5b, 0x5b, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x52, 0x52, 0x54, 0x54, 0x58, 0x58, 0x5d, 0x5d, 
0x63, 0x63, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 0x85, 0x85, 0x8d, 0x8d, 0x96, 0x96, 0x9f, 0x9f, 
0xa5, 0xa5, 0xa7, 0xa7, 0xa5, 0xa5, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 0x82, 0x82, 0x84, 0x84, 
0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 
0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6f, 0x6f, 0x71, 0x71, 0x74, 0x74, 
0x79, 0x79, 0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 0x97, 0x97, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9a, 0x9a, 
0x93, 0x93, 0x8e, 0x8e, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9c, 0x9c, 0x97, 0x97, 0x8f, 0x8f, 0x85, 0x85, 
0x79, 0x79, 0x6d, 0x6d, 0x60, 0x60, 0x53, 0x53, 0x48, 0x48, 0x3f, 0x3f, 0x37, 0x37, 0x33, 0x33, 0x32, 0x32, 0x36, 0x36, 0x3e, 0x3e, 0x46, 0x46, 0x4e, 0x4e, 
0x54, 0x54, 0x58, 0x58, 0x5b, 0x5b, 0x5c, 0x5c, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x5a, 0x5a, 0x5a, 0x5a, 0x59, 0x59, 
0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x72, 0x72, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0xa1, 0xa1, 0xac, 0xac, 0xb6, 0xb6, 0xc0, 0xc0, 
0xc8, 0xc8, 0xd0, 0xd0, 0xd6, 0xd6, 0xdb, 0xdb, 0xdd, 0xdd, 0xdd, 0xdd, 0xda, 0xda, 0xd5, 0xd5, 0xce, 0xce, 0xc6, 0xc6, 0xbc, 0xbc, 0xb2, 0xb2, 0xa8, 0xa8, 
0x9c, 0x9c, 0x90, 0x90, 0x84, 0x84, 0x79, 0x79, 0x70, 0x70, 0x69, 0x69, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 
0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x58, 0x58, 0x59, 0x59, 0x5c, 0x5c, 0x5e, 0x5e, 0x61, 0x61, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 
0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 
0x87, 0x87, 0x88, 0x88, 0x8c, 0x8c, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 0xa4, 0xa4, 0xa7, 0xa7, 0xa8, 0xa8, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 
0x9c, 0x9c, 0x98, 0x98, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x7f, 0x7f, 
0x76, 0x76, 0x6c, 0x6c, 0x62, 0x62, 0x5a, 0x5a, 0x55, 0x55, 0x52, 0x52, 0x51, 0x51, 0x52, 0x52, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 0x68, 0x68, 
0x6b, 0x6b, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 
0x8b, 0x8b, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa7, 0xa7, 0xb1, 0xb1, 0xbd, 0xbd, 0xc9, 0xc9, 0xd3, 0xd3, 
0xda, 0xda, 0xdc, 0xdc, 0xda, 0xda, 0xd4, 0xd4, 0xcc, 0xcc, 0xc1, 0xc1, 0xb5, 0xb5, 0xa6, 0xa6, 0x96, 0x96, 0x83, 0x83, 0x70, 0x70, 0x5f, 0x5f, 0x52, 0x52, 
0x4b, 0x4b, 0x4a, 0x4a, 0x4d, 0x4d, 0x53, 0x53, 0x5c, 0x5c, 0x65, 0x65, 0x6c, 0x6c, 0x6f, 0x6f, 0x6c, 0x6c, 0x65, 0x65, 0x5a, 0x5a, 0x4c, 0x4c, 0x3d, 0x3d, 
0x2d, 0x2d, 0x1e, 0x1e, 0x13, 0x13, 0x0a, 0x0a, 0x07, 0x07, 0x09, 0x09, 0x12, 0x12, 0x23, 0x23, 0x39, 0x39, 0x52, 0x52, 0x69, 0x69, 0x7f, 0x7f, 0x91, 0x91, 
0x9d, 0x9d, 0xa3, 0xa3, 0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x8f, 0x8f, 0x88, 0x88, 0x82, 0x82, 0x7e, 0x7e, 0x7b, 0x7b, 0x7a, 0x7a, 0x7b, 0x7b, 0x7e, 0x7e, 
0x82, 0x82, 0x89, 0x89, 0x92, 0x92, 0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb7, 0xb7, 0xbf, 0xbf, 0xc7, 0xc7, 0xd0, 0xd0, 0xd6, 0xd6, 0xd9, 0xd9, 
0xd7, 0xd7, 0xd1, 0xd1, 0xc8, 0xc8, 0xba, 0xba, 0xaa, 0xaa, 0x99, 0x99, 0x89, 0x89, 0x7e, 0x7e, 0x77, 0x77, 0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x79, 0x79, 0x78, 0x78, 0x75, 0x75, 0x70, 0x70, 0x68, 0x68, 0x5e, 0x5e, 0x51, 0x51, 0x44, 0x44, 0x39, 0x39, 0x30, 0x30, 0x29, 0x29, 
0x27, 0x27, 0x29, 0x29, 0x31, 0x31, 0x3c, 0x3c, 0x4a, 0x4a, 0x59, 0x59, 0x6a, 0x6a, 0x7b, 0x7b, 0x8c, 0x8c, 0x9c, 0x9c, 0xab, 0xab, 0xb8, 0xb8, 0xc1, 0xc1, 
0xc5, 0xc5, 0xc3, 0xc3, 0xbc, 0xbc, 0xb3, 0xb3, 0xa8, 0xa8, 0x9c, 0x9c, 0x91, 0x91, 0x87, 0x87, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6f, 0x6f, 0x6f, 0x6f, 
0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 0x8b, 0x8b, 0x93, 0x93, 0x9a, 0x9a, 0x9d, 0x9d, 0x9c, 0x9c, 0x97, 0x97, 0x90, 0x90, 0x87, 0x87, 0x7d, 0x7d, 
0x73, 0x73, 0x6b, 0x6b, 0x64, 0x64, 0x5f, 0x5f, 0x5e, 0x5e, 0x5f, 0x5f, 0x64, 0x64, 0x6c, 0x6c, 0x77, 0x77, 0x82, 0x82, 0x8d, 0x8d, 0x96, 0x96, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa0, 0xa0, 0x9d, 0x9d, 0x98, 0x98, 0x91, 0x91, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 
0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 
0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9c, 0x9c, 0x9c, 0x9c, 0x98, 0x98, 0x90, 0x90, 
0x87, 0x87, 0x7c, 0x7c, 0x70, 0x70, 0x66, 0x66, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 0x59, 0x59, 0x5d, 0x5d, 0x64, 0x64, 0x6c, 0x6c, 0x75, 0x75, 0x7d, 0x7d, 
0x82, 0x82, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x83, 0x83, 0x7d, 0x7d, 0x76, 0x76, 0x6d, 0x6d, 0x64, 0x64, 0x5b, 0x5b, 0x52, 0x52, 0x4a, 0x4a, 0x44, 0x44, 
0x41, 0x41, 0x40, 0x40, 0x43, 0x43, 0x49, 0x49, 0x52, 0x52, 0x5f, 0x5f, 0x6f, 0x6f, 0x81, 0x81, 0x96, 0x96, 0xab, 0xab, 0xbd, 0xbd, 0xcb, 0xcb, 0xd3, 0xd3, 
0xd5, 0xd5, 0xd2, 0xd2, 0xc9, 0xc9, 0xbb, 0xbb, 0xaa, 0xaa, 0x99, 0x99, 0x8a, 0x8a, 0x7e, 0x7e, 0x75, 0x75, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6f, 0x6f, 
0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x72, 0x72, 0x6f, 0x6f, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x66, 0x66, 
0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x79, 0x79, 0x7c, 0x7c, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9a, 0x9a, 0x9c, 0x9c, 
0x99, 0x99, 0x93, 0x93, 0x8a, 0x8a, 0x7f, 0x7f, 0x75, 0x75, 0x6a, 0x6a, 0x5f, 0x5f, 0x56, 0x56, 0x4c, 0x4c, 0x44, 0x44, 0x3e, 0x3e, 0x3c, 0x3c, 0x3c, 0x3c, 
0x41, 0x41, 0x48, 0x48, 0x52, 0x52, 0x5f, 0x5f, 0x6d, 0x6d, 0x7a, 0x7a, 0x85, 0x85, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 
0x8c, 0x8c, 0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x6d, 0x6d, 0x72, 0x72, 0x7c, 0x7c, 0x88, 0x88, 0x95, 0x95, 0xa3, 0xa3, 
0xaf, 0xaf, 0xb8, 0xb8, 0xbe, 0xbe, 0xc3, 0xc3, 0xc6, 0xc6, 0xc7, 0xc7, 0xc7, 0xc7, 0xc5, 0xc5, 0xbe, 0xbe, 0xb4, 0xb4, 0xa8, 0xa8, 0x9b, 0x9b, 0x90, 0x90, 
0x87, 0x87, 0x81, 0x81, 0x7e, 0x7e, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x85, 0x85, 0x7d, 0x7d, 
0x72, 0x72, 0x66, 0x66, 0x56, 0x56, 0x45, 0x45, 0x33, 0x33, 0x23, 0x23, 0x18, 0x18, 0x12, 0x12, 0x12, 0x12, 0x16, 0x16, 0x1d, 0x1d, 0x25, 0x25, 0x2f, 0x2f, 
0x39, 0x39, 0x42, 0x42, 0x4b, 0x4b, 0x53, 0x53, 0x5d, 0x5d, 0x68, 0x68, 0x77, 0x77, 0x87, 0x87, 0x98, 0x98, 0xa7, 0xa7, 0xb3, 0xb3, 0xbd, 0xbd, 0xc5, 0xc5, 
0xc9, 0xc9, 0xcc, 0xcc, 0xcd, 0xcd, 0xce, 0xce, 0xcf, 0xcf, 0xd0, 0xd0, 0xd1, 0xd1, 0xd4, 0xd4, 0xd7, 0xd7, 0xdb, 0xdb, 0xdf, 0xdf, 0xe3, 0xe3, 0xe4, 0xe4, 
0xe2, 0xe2, 0xde, 0xde, 0xd7, 0xd7, 0xce, 0xce, 0xc2, 0xc2, 0xb4, 0xb4, 0xa7, 0xa7, 0x9d, 0x9d, 0x95, 0x95, 0x8f, 0x8f, 0x8c, 0x8c, 0x8a, 0x8a, 0x89, 0x89, 
0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8c, 0x8c, 0x83, 0x83, 0x76, 0x76, 0x65, 0x65, 0x52, 0x52, 
0x3e, 0x3e, 0x2c, 0x2c, 0x1d, 0x1d, 0x12, 0x12, 0x09, 0x09, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x0a, 0x0a, 0x11, 0x11, 0x19, 0x19, 
0x23, 0x23, 0x2e, 0x2e, 0x3b, 0x3b, 0x48, 0x48, 0x56, 0x56, 0x63, 0x63, 0x6f, 0x6f, 0x7c, 0x7c, 0x89, 0x89, 0x97, 0x97, 0xa4, 0xa4, 0xb0, 0xb0, 0xb9, 0xb9, 
0xc0, 0xc0, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xce, 0xce, 0xd1, 0xd1, 0xd4, 0xd4, 0xd6, 0xd6, 0xd6, 0xd6, 0xd3, 0xd3, 0xcf, 0xcf, 0xca, 0xca, 0xc2, 0xc2, 
0xba, 0xba, 0xb1, 0xb1, 0xa8, 0xa8, 0x9f, 0x9f, 0x97, 0x97, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x77, 0x77, 0x71, 0x71, 0x6f, 0x6f, 0x70, 0x70, 0x73, 0x73, 
0x77, 0x77, 0x7b, 0x7b, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x99, 0x99, 0x98, 0x98, 0x93, 0x93, 
0x89, 0x89, 0x7c, 0x7c, 0x6d, 0x6d, 0x5e, 0x5e, 0x54, 0x54, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x50, 0x50, 0x52, 0x52, 0x55, 0x55, 0x59, 0x59, 0x5e, 0x5e, 
0x64, 0x64, 0x6c, 0x6c, 0x72, 0x72, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x62, 0x62, 0x65, 0x65, 0x6d, 0x6d, 
0x78, 0x78, 0x84, 0x84, 0x8d, 0x8d, 0x92, 0x92, 0x95, 0x95, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7a, 0x7a, 
0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x6b, 0x6b, 0x6f, 0x6f, 0x76, 0x76, 0x7f, 0x7f, 0x88, 0x88, 0x90, 0x90, 0x93, 0x93, 0x92, 0x92, 0x8e, 0x8e, 0x89, 0x89, 
0x86, 0x86, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x81, 0x81, 0x7c, 0x7c, 0x75, 0x75, 0x6d, 0x6d, 0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6c, 0x6c, 
0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 0x87, 0x87, 
0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x8a, 0x8a, 
0x92, 0x92, 0x99, 0x99, 0x9f, 0x9f, 0xa4, 0xa4, 0xa7, 0xa7, 0xa5, 0xa5, 0x9e, 0x9e, 0x95, 0x95, 0x8b, 0x8b, 0x82, 0x82, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 
0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x7c, 0x7c, 0x87, 0x87, 0x96, 0x96, 0xa6, 0xa6, 0xb5, 0xb5, 0xc3, 0xc3, 0xce, 0xce, 0xd3, 0xd3, 0xd1, 0xd1, 
0xc7, 0xc7, 0xb8, 0xb8, 0xa6, 0xa6, 0x95, 0x95, 0x85, 0x85, 0x78, 0x78, 0x6c, 0x6c, 0x61, 0x61, 0x57, 0x57, 0x4e, 0x4e, 0x47, 0x47, 0x44, 0x44, 0x44, 0x44, 
0x47, 0x47, 0x4b, 0x4b, 0x4e, 0x4e, 0x4f, 0x4f, 0x4f, 0x4f, 0x4e, 0x4e, 0x4b, 0x4b, 0x47, 0x47, 0x43, 0x43, 0x40, 0x40, 0x40, 0x40, 0x43, 0x43, 0x49, 0x49, 
0x50, 0x50, 0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x68, 0x68, 0x73, 0x73, 0x82, 0x82, 0x94, 0x94, 0xa6, 0xa6, 0xb6, 0xb6, 0xc2, 0xc2, 0xcb, 0xcb, 0xcf, 0xcf, 
0xd0, 0xd0, 0xcc, 0xcc, 0xc6, 0xc6, 0xbf, 0xbf, 0xb8, 0xb8, 0xb2, 0xb2, 0xad, 0xad, 0xa8, 0xa8, 0xa5, 0xa5, 0xa3, 0xa3, 0xa2, 0xa2, 0xa3, 0xa3, 0xa7, 0xa7, 
0xad, 0xad, 0xb5, 0xb5, 0xbc, 0xbc, 0xc0, 0xc0, 0xbf, 0xbf, 0xbb, 0xbb, 0xb5, 0xb5, 0xaf, 0xaf, 0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9c, 0x9c, 0x95, 0x95, 
0x8a, 0x8a, 0x7d, 0x7d, 0x6d, 0x6d, 0x59, 0x59, 0x45, 0x45, 0x33, 0x33, 0x28, 0x28, 0x23, 0x23, 0x24, 0x24, 0x29, 0x29, 0x30, 0x30, 0x38, 0x38, 0x40, 0x40, 
0x48, 0x48, 0x4f, 0x4f, 0x57, 0x57, 0x5e, 0x5e, 0x63, 0x63, 0x66, 0x66, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 0x49, 0x49, 
0x4a, 0x4a, 0x4f, 0x4f, 0x58, 0x58, 0x62, 0x62, 0x6b, 0x6b, 0x74, 0x74, 0x7b, 0x7b, 0x82, 0x82, 0x8b, 0x8b, 0x95, 0x95, 0x9f, 0x9f, 0xa9, 0xa9, 0xb0, 0xb0, 
0xb4, 0xb4, 0xb5, 0xb5, 0xb3, 0xb3, 0xae, 0xae, 0xa8, 0xa8, 0xa0, 0xa0, 0x99, 0x99, 0x94, 0x94, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 
0x84, 0x84, 0x83, 0x83, 0x86, 0x86, 0x8d, 0x8d, 0x96, 0x96, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xac, 0xac, 0xa9, 0xa9, 0xa4, 0xa4, 0x9d, 0x9d, 0x94, 0x94, 
0x8c, 0x8c, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x65, 0x65, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 0x56, 0x56, 0x5a, 0x5a, 0x5e, 0x5e, 
0x61, 0x61, 0x62, 0x62, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 
0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 
0x9d, 0x9d, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7a, 0x7a, 
0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6d, 0x6d, 0x6e, 0x6e, 0x74, 0x74, 0x7b, 0x7b, 0x84, 0x84, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x8a, 0x8a, 
0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x60, 0x60, 0x58, 0x58, 0x51, 0x51, 0x4b, 0x4b, 0x48, 0x48, 0x46, 0x46, 0x47, 0x47, 0x4a, 0x4a, 0x51, 0x51, 
0x5b, 0x5b, 0x67, 0x67, 0x74, 0x74, 0x7e, 0x7e, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9f, 0x9f, 0xa0, 0xa0, 0xa0, 0xa0, 
0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x89, 0x89, 0x8d, 0x8d, 0x93, 0x93, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa4, 0xa4, 0xa2, 0xa2, 0x9e, 0x9e, 0x9a, 0x9a, 0x95, 0x95, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x77, 0x77, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 
0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 
0x6a, 0x6a, 0x66, 0x66, 0x61, 0x61, 0x5b, 0x5b, 0x55, 0x55, 0x50, 0x50, 0x4c, 0x4c, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 0x56, 0x56, 0x5c, 0x5c, 0x61, 0x61, 
0x67, 0x67, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 0x90, 0x90, 0x97, 0x97, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 0xaf, 0xaf, 0xb6, 0xb6, 
0xbd, 0xbd, 0xc4, 0xc4, 0xcc, 0xcc, 0xd4, 0xd4, 0xdb, 0xdb, 0xde, 0xde, 0xdf, 0xdf, 0xdc, 0xdc, 0xd7, 0xd7, 0xcf, 0xcf, 0xc6, 0xc6, 0xbb, 0xbb, 0xae, 0xae, 
0x9e, 0x9e, 0x8c, 0x8c, 0x78, 0x78, 0x66, 0x66, 0x58, 0x58, 0x4d, 0x4d, 0x48, 0x48, 0x46, 0x46, 0x48, 0x48, 0x4e, 0x4e, 0x55, 0x55, 0x5b, 0x5b, 0x60, 0x60, 
0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x63, 0x63, 0x6a, 0x6a, 
0x74, 0x74, 0x7d, 0x7d, 0x86, 0x86, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x77, 0x77, 0x71, 0x71, 0x6f, 0x6f, 0x70, 0x70, 
0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 
0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x91, 0x91, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x95, 0x95, 0x91, 0x91, 0x8b, 0x8b, 0x85, 0x85, 
0x7e, 0x7e, 0x77, 0x77, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x65, 0x65, 0x67, 0x67, 0x6e, 0x6e, 0x77, 0x77, 0x81, 0x81, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 
0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x7f, 0x7f, 0x77, 0x77, 0x6d, 0x6d, 0x64, 0x64, 0x5e, 0x5e, 0x5b, 0x5b, 0x5c, 0x5c, 0x61, 0x61, 
0x6c, 0x6c, 0x7c, 0x7c, 0x8e, 0x8e, 0xa0, 0xa0, 0xae, 0xae, 0xb7, 0xb7, 0xba, 0xba, 0xb8, 0xb8, 0xb3, 0xb3, 0xa9, 0xa9, 0x9c, 0x9c, 0x8e, 0x8e, 0x7e, 0x7e, 
0x6d, 0x6d, 0x5c, 0x5c, 0x4f, 0x4f, 0x47, 0x47, 0x45, 0x45, 0x49, 0x49, 0x53, 0x53, 0x61, 0x61, 0x73, 0x73, 0x87, 0x87, 0x98, 0x98, 0xa5, 0xa5, 0xad, 0xad, 
0xae, 0xae, 0xac, 0xac, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x81, 0x81, 0x72, 0x72, 0x63, 0x63, 0x53, 0x53, 0x46, 0x46, 0x3c, 0x3c, 0x37, 0x37, 0x37, 0x37, 
0x38, 0x38, 0x3c, 0x3c, 0x41, 0x41, 0x47, 0x47, 0x4c, 0x4c, 0x51, 0x51, 0x56, 0x56, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x73, 0x73, 0x7f, 0x7f, 0x8b, 0x8b, 
0x95, 0x95, 0x9c, 0x9c, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x7c, 0x7c, 0x7f, 0x7f, 
0x87, 0x87, 0x90, 0x90, 0x9a, 0x9a, 0xa3, 0xa3, 0xa9, 0xa9, 0xad, 0xad, 0xac, 0xac, 0xa7, 0xa7, 0x9e, 0x9e, 0x92, 0x92, 0x87, 0x87, 0x7e, 0x7e, 0x78, 0x78, 
0x77, 0x77, 0x79, 0x79, 0x7f, 0x7f, 0x88, 0x88, 0x93, 0x93, 0x9e, 0x9e, 0xa7, 0xa7, 0xaf, 0xaf, 0xb3, 0xb3, 0xb5, 0xb5, 0xb4, 0xb4, 0xb0, 0xb0, 0xa9, 0xa9, 
0xa0, 0xa0, 0x96, 0x96, 0x8a, 0x8a, 0x7e, 0x7e, 0x73, 0x73, 0x68, 0x68, 0x5f, 0x5f, 0x57, 0x57, 0x52, 0x52, 0x4e, 0x4e, 0x4d, 0x4d, 0x4d, 0x4d, 0x4f, 0x4f, 
0x50, 0x50, 0x52, 0x52, 0x53, 0x53, 0x56, 0x56, 0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x78, 0x78, 0x7d, 0x7d, 0x80, 0x80, 0x81, 0x81, 
0x80, 0x80, 0x7d, 0x7d, 0x79, 0x79, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 
0x80, 0x80, 0x86, 0x86, 0x89, 0x89, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x88, 0x88, 0x90, 0x90, 0x9c, 0x9c, 0xab, 0xab, 
0xba, 0xba, 0xc7, 0xc7, 0xd3, 0xd3, 0xdc, 0xdc, 0xe2, 0xe2, 0xe6, 0xe6, 0xe7, 0xe7, 0xe5, 0xe5, 0xe0, 0xe0, 0xd5, 0xd5, 0xc5, 0xc5, 0xb1, 0xb1, 0x9c, 0x9c, 
0x88, 0x88, 0x77, 0x77, 0x68, 0x68, 0x5d, 0x5d, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 
0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x56, 0x56, 0x53, 0x53, 0x50, 0x50, 0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x57, 0x57, 0x5e, 0x5e, 0x64, 0x64, 0x69, 0x69, 
0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x80, 0x80, 0x86, 0x86, 0x8d, 0x8d, 0x95, 0x95, 0x9d, 0x9d, 0xa4, 0xa4, 0xa8, 0xa8, 0xaa, 0xaa, 0xa9, 0xa9, 
0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xac, 0xac, 0xac, 0xac, 0xa9, 0xa9, 0xa4, 0xa4, 0x9f, 0x9f, 0x99, 0x99, 0x94, 0x94, 0x90, 0x90, 0x8d, 0x8d, 
0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x8f, 0x8f, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x9c, 0x9c, 0xa3, 0xa3, 0xab, 0xab, 0xb1, 0xb1, 0xb4, 0xb4, 
0xb3, 0xb3, 0xaf, 0xaf, 0xa8, 0xa8, 0xa1, 0xa1, 0x99, 0x99, 0x91, 0x91, 0x86, 0x86, 0x79, 0x79, 0x69, 0x69, 0x57, 0x57, 0x45, 0x45, 0x34, 0x34, 0x25, 0x25, 
0x1a, 0x1a, 0x13, 0x13, 0x12, 0x12, 0x17, 0x17, 0x1f, 0x1f, 0x29, 0x29, 0x32, 0x32, 0x3a, 0x3a, 0x41, 0x41, 0x49, 0x49, 0x52, 0x52, 0x5e, 0x5e, 0x6c, 0x6c, 
0x7a, 0x7a, 0x87, 0x87, 0x90, 0x90, 0x98, 0x98, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xad, 0xad, 0xb1, 0xb1, 0xb4, 0xb4, 0xb4, 0xb4, 0xb3, 0xb3, 0xaf, 0xaf, 
0xaa, 0xaa, 0xa2, 0xa2, 0x9a, 0x9a, 0x92, 0x92, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x7a, 0x7a, 
0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 
0x78, 0x78, 0x78, 0x78, 0x75, 0x75, 0x6e, 0x6e, 0x65, 0x65, 0x5d, 0x5d, 0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 0x55, 0x55, 0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 
0x6b, 0x6b, 0x72, 0x72, 0x79, 0x79, 0x81, 0x81, 0x87, 0x87, 0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 
0xae, 0xae, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb2, 0xb2, 0xaf, 0xaf, 0xac, 0xac, 0xaa, 0xaa, 0xa9, 0xa9, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
0xaa, 0xaa, 0xa9, 0xa9, 0xa5, 0xa5, 0x9e, 0x9e, 0x95, 0x95, 0x88, 0x88, 0x7c, 0x7c, 0x70, 0x70, 0x66, 0x66, 0x5e, 0x5e, 0x59, 0x59, 0x57, 0x57, 0x59, 0x59, 
0x5d, 0x5d, 0x62, 0x62, 0x67, 0x67, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x65, 0x65, 
0x64, 0x64, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 0x75, 0x75, 0x75, 0x75, 
0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x83, 0x83, 
0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x90, 0x90, 
0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7d, 0x7d, 
0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 0x61, 0x61, 0x65, 0x65, 0x6c, 0x6c, 0x76, 0x76, 0x83, 0x83, 
0x92, 0x92, 0xa3, 0xa3, 0xb4, 0xb4, 0xc4, 0xc4, 0xd0, 0xd0, 0xd8, 0xd8, 0xda, 0xda, 0xd8, 0xd8, 0xd0, 0xd0, 0xc2, 0xc2, 0xb1, 0xb1, 0x9d, 0x9d, 0x87, 0x87, 
0x71, 0x71, 0x5b, 0x5b, 0x49, 0x49, 0x3d, 0x3d, 0x37, 0x37, 0x37, 0x37, 0x3a, 0x3a, 0x40, 0x40, 0x47, 0x47, 0x4f, 0x4f, 0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 
0x62, 0x62, 0x66, 0x66, 0x6d, 0x6d, 0x77, 0x77, 0x83, 0x83, 0x8f, 0x8f, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 
0x99, 0x99, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7c, 0x7c, 0x74, 0x74, 0x6b, 0x6b, 
0x63, 0x63, 0x5b, 0x5b, 0x55, 0x55, 0x53, 0x53, 0x56, 0x56, 0x60, 0x60, 0x6e, 0x6e, 0x7d, 0x7d, 0x8c, 0x8c, 0x99, 0x99, 0xa3, 0xa3, 0xab, 0xab, 0xb1, 0xb1, 
0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xb2, 0xb2, 0xae, 0xae, 0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8a, 0x8a, 0x7c, 0x7c, 0x6e, 0x6e, 0x61, 0x61, 0x57, 0x57, 
0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 0x54, 0x54, 0x58, 0x58, 0x5b, 0x5b, 0x5d, 0x5d, 
0x5f, 0x5f, 0x61, 0x61, 0x63, 0x63, 0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 0x7f, 0x7f, 0x8c, 0x8c, 0x99, 0x99, 0xa4, 0xa4, 0xac, 0xac, 0xb1, 0xb1, 0xb3, 0xb3, 
0xb2, 0xb2, 0xae, 0xae, 0xa8, 0xa8, 0x9f, 0x9f, 0x93, 0x93, 0x85, 0x85, 0x77, 0x77, 0x69, 0x69, 0x5f, 0x5f, 0x58, 0x58, 0x55, 0x55, 0x55, 0x55, 0x57, 0x57, 
0x5a, 0x5a, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x6d, 0x6d, 0x72, 0x72, 0x79, 0x79, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x8f, 0x8f, 
0x90, 0x90, 0x90, 0x90, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa4, 0xa4, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 
0x8e, 0x8e, 0x90, 0x90, 0x95, 0x95, 0x9c, 0x9c, 0xa5, 0xa5, 0xac, 0xac, 0xb1, 0xb1, 0xb4, 0xb4, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb5, 0xb5, 0xb3, 0xb3, 
0xad, 0xad, 0xa5, 0xa5, 0x9a, 0x9a, 0x90, 0x90, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x64, 0x64, 0x5e, 0x5e, 
0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 0x69, 0x69, 0x6b, 0x6b, 0x69, 0x69, 0x65, 0x65, 0x5f, 0x5f, 0x59, 0x59, 0x54, 0x54, 
0x50, 0x50, 0x4c, 0x4c, 0x47, 0x47, 0x40, 0x40, 0x39, 0x39, 0x32, 0x32, 0x2d, 0x2d, 0x2b, 0x2b, 0x2b, 0x2b, 0x2c, 0x2c, 0x2e, 0x2e, 0x32, 0x32, 0x36, 0x36, 
0x3b, 0x3b, 0x43, 0x43, 0x4f, 0x4f, 0x5d, 0x5d, 0x6d, 0x6d, 0x80, 0x80, 0x95, 0x95, 0xaa, 0xaa, 0xbe, 0xbe, 0xce, 0xce, 0xda, 0xda, 0xe1, 0xe1, 0xe4, 0xe4, 
0xe4, 0xe4, 0xe1, 0xe1, 0xdb, 0xdb, 0xd5, 0xd5, 0xcd, 0xcd, 0xc5, 0xc5, 0xbd, 0xbd, 0xb6, 0xb6, 0xb0, 0xb0, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa2, 0xa2, 
0x9c, 0x9c, 0x95, 0x95, 0x8d, 0x8d, 0x85, 0x85, 0x7e, 0x7e, 0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6c, 0x6c, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x68, 0x68, 
0x69, 0x69, 0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 0x82, 0x82, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8c, 0x8c, 0x85, 0x85, 0x7a, 0x7a, 0x6b, 0x6b, 0x5c, 0x5c, 0x4d, 0x4d, 0x41, 0x41, 0x39, 0x39, 0x35, 0x35, 0x37, 0x37, 0x3f, 0x3f, 0x4d, 0x4d, 0x5c, 0x5c, 
0x6c, 0x6c, 0x7b, 0x7b, 0x88, 0x88, 0x92, 0x92, 0x99, 0x99, 0x9d, 0x9d, 0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7b, 0x7b, 0x74, 0x74, 
0x71, 0x71, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x82, 0x82, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x90, 0x90, 
0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 
0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x83, 0x83, 0x8b, 0x8b, 0x92, 0x92, 0x95, 0x95, 0x94, 0x94, 0x90, 0x90, 0x8a, 0x8a, 
0x85, 0x85, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x80, 0x80, 
0x84, 0x84, 0x87, 0x87, 0x8a, 0x8a, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 
0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x78, 0x78, 
0x75, 0x75, 0x72, 0x72, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6d, 0x6d, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5e, 0x5e, 0x61, 0x61, 0x67, 0x67, 0x70, 0x70, 
0x7a, 0x7a, 0x85, 0x85, 0x8f, 0x8f, 0x97, 0x97, 0x9d, 0x9d, 0x9f, 0x9f, 0x9e, 0x9e, 0x9a, 0x9a, 0x95, 0x95, 0x8e, 0x8e, 0x85, 0x85, 0x7b, 0x7b, 0x71, 0x71, 
0x66, 0x66, 0x5c, 0x5c, 0x53, 0x53, 0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 0x6f, 0x6f, 0x78, 0x78, 0x7e, 0x7e, 0x81, 0x81, 
0x83, 0x83, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x71, 0x71, 0x71, 0x71, 0x74, 0x74, 0x79, 0x79, 
0x80, 0x80, 0x88, 0x88, 0x91, 0x91, 0x9a, 0x9a, 0xa1, 0xa1, 0xa7, 0xa7, 0xaa, 0xaa, 0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 
0x96, 0x96, 0x8c, 0x8c, 0x81, 0x81, 0x75, 0x75, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 0x5c, 0x5c, 0x62, 0x62, 
0x6b, 0x6b, 0x77, 0x77, 0x82, 0x82, 0x8c, 0x8c, 0x94, 0x94, 0x9a, 0x9a, 0x9b, 0x9b, 0x97, 0x97, 0x8f, 0x8f, 0x83, 0x83, 0x75, 0x75, 0x68, 0x68, 0x5c, 0x5c, 
0x52, 0x52, 0x4a, 0x4a, 0x43, 0x43, 0x3e, 0x3e, 0x3b, 0x3b, 0x3c, 0x3c, 0x42, 0x42, 0x4e, 0x4e, 0x5e, 0x5e, 0x6f, 0x6f, 0x7f, 0x7f, 0x8c, 0x8c, 0x96, 0x96, 
0x9c, 0x9c, 0xa0, 0xa0, 0xa1, 0xa1, 0x9f, 0x9f, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x99, 0x99, 
0x9e, 0x9e, 0xa7, 0xa7, 0xb2, 0xb2, 0xbc, 0xbc, 0xc3, 0xc3, 0xc6, 0xc6, 0xc5, 0xc5, 0xc0, 0xc0, 0xb8, 0xb8, 0xac, 0xac, 0x9e, 0x9e, 0x90, 0x90, 0x80, 0x80, 
0x71, 0x71, 0x63, 0x63, 0x57, 0x57, 0x4f, 0x4f, 0x4d, 0x4d, 0x4d, 0x4d, 0x51, 0x51, 0x56, 0x56, 0x5d, 0x5d, 0x63, 0x63, 0x68, 0x68, 0x6b, 0x6b, 0x6c, 0x6c, 
0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x72, 0x72, 0x72, 0x72, 
0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7d, 0x7d, 0x84, 0x84, 0x8d, 0x8d, 0x97, 0x97, 0xa0, 0xa0, 0xaa, 0xaa, 0xb1, 0xb1, 0xb6, 0xb6, 
0xb7, 0xb7, 0xb2, 0xb2, 0xaa, 0xaa, 0xa0, 0xa0, 0x97, 0x97, 0x8e, 0x8e, 0x88, 0x88, 0x83, 0x83, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x86, 0x86, 0x82, 0x82, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 
0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x66, 0x66, 0x6e, 0x6e, 0x76, 0x76, 0x7f, 0x7f, 
0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa7, 0xa7, 0xa7, 0xa7, 0xa2, 0xa2, 0x9a, 0x9a, 0x92, 0x92, 
0x8c, 0x8c, 0x8a, 0x8a, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x99, 0x99, 0xa0, 0xa0, 0xa4, 0xa4, 0xa4, 0xa4, 0xa1, 0xa1, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 
0x81, 0x81, 0x79, 0x79, 0x71, 0x71, 0x68, 0x68, 0x5d, 0x5d, 0x52, 0x52, 0x49, 0x49, 0x45, 0x45, 0x47, 0x47, 0x4d, 0x4d, 0x55, 0x55, 0x5e, 0x5e, 0x65, 0x65, 
0x6b, 0x6b, 0x6f, 0x6f, 0x71, 0x71, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 
0x72, 0x72, 0x76, 0x76, 0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x8a, 0x8a, 0x85, 0x85, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x63, 0x63, 0x60, 0x60, 0x5f, 0x5f, 
0x61, 0x61, 0x66, 0x66, 0x6d, 0x6d, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 
0x7b, 0x7b, 0x7b, 0x7b, 0x7d, 0x7d, 0x82, 0x82, 0x8c, 0x8c, 0x97, 0x97, 0xa2, 0xa2, 0xaa, 0xaa, 0xae, 0xae, 0xae, 0xae, 0xaa, 0xaa, 0xa3, 0xa3, 0x9a, 0x9a, 
0x90, 0x90, 0x88, 0x88, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x92, 0x92, 0x94, 0x94, 
0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7b, 0x7b, 
0x71, 0x71, 0x67, 0x67, 0x5e, 0x5e, 0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 0x56, 0x56, 0x59, 0x59, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 0x67, 0x67, 0x6a, 0x6a, 
0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x75, 0x75, 0x73, 0x73, 0x70, 0x70, 0x6b, 0x6b, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x5c, 0x5c, 0x5c, 0x5c, 0x5f, 0x5f, 
0x65, 0x65, 0x6b, 0x6b, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x92, 0x92, 0x96, 0x96, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 
0x87, 0x87, 0x83, 0x83, 0x81, 0x81, 0x83, 0x83, 0x87, 0x87, 0x8e, 0x8e, 0x97, 0x97, 0xa1, 0xa1, 0xab, 0xab, 0xb3, 0xb3, 0xb7, 0xb7, 0xb9, 0xb9, 0xb8, 0xb8, 
0xb3, 0xb3, 0xa9, 0xa9, 0x9d, 0x9d, 0x90, 0x90, 0x83, 0x83, 0x78, 0x78, 0x6e, 0x6e, 0x67, 0x67, 0x65, 0x65, 0x67, 0x67, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 
0x83, 0x83, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa6, 0xa6, 0xa9, 0xa9, 0xa9, 0xa9, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x96, 0x96, 
0x8f, 0x8f, 0x87, 0x87, 0x7d, 0x7d, 0x72, 0x72, 0x67, 0x67, 0x5c, 0x5c, 0x55, 0x55, 0x51, 0x51, 0x50, 0x50, 0x51, 0x51, 0x55, 0x55, 0x5c, 0x5c, 0x63, 0x63, 
0x69, 0x69, 0x6c, 0x6c, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 
0x80, 0x80, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 0x9c, 0x9c, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 
0x7e, 0x7e, 0x74, 0x74, 0x69, 0x69, 0x5f, 0x5f, 0x56, 0x56, 0x50, 0x50, 0x4e, 0x4e, 0x51, 0x51, 0x5c, 0x5c, 0x6a, 0x6a, 0x7b, 0x7b, 0x8a, 0x8a, 0x96, 0x96, 
0xa0, 0xa0, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa4, 0xa4, 0x9c, 0x9c, 0x8f, 0x8f, 0x7e, 0x7e, 0x6b, 0x6b, 0x58, 0x58, 0x49, 0x49, 0x40, 0x40, 0x3b, 0x3b, 
0x3d, 0x3d, 0x45, 0x45, 0x53, 0x53, 0x64, 0x64, 0x77, 0x77, 0x88, 0x88, 0x97, 0x97, 0xa3, 0xa3, 0xac, 0xac, 0xb2, 0xb2, 0xb5, 0xb5, 0xb5, 0xb5, 0xb3, 0xb3, 
0xad, 0xad, 0xa5, 0xa5, 0x9b, 0x9b, 0x92, 0x92, 0x8a, 0x8a, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa4, 0xa4, 0xa3, 0xa3, 0x9f, 0x9f, 0x97, 0x97, 0x8a, 0x8a, 0x7b, 0x7b, 0x6a, 0x6a, 0x5a, 0x5a, 0x4c, 0x4c, 0x3f, 0x3f, 0x37, 0x37, 0x33, 0x33, 0x34, 0x34, 
0x38, 0x38, 0x3e, 0x3e, 0x45, 0x45, 0x4b, 0x4b, 0x50, 0x50, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x65, 0x65, 0x6d, 0x6d, 0x78, 0x78, 0x85, 0x85, 0x92, 0x92, 
0x9e, 0x9e, 0xa6, 0xa6, 0xa8, 0xa8, 0xa5, 0xa5, 0xa0, 0xa0, 0x98, 0x98, 0x91, 0x91, 0x8a, 0x8a, 0x86, 0x86, 0x86, 0x86, 0x8b, 0x8b, 0x93, 0x93, 0x9c, 0x9c, 
0xa5, 0xa5, 0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xae, 0xae, 0xa6, 0xa6, 0x9c, 0x9c, 0x90, 0x90, 0x82, 0x82, 0x77, 0x77, 0x70, 0x70, 
0x6e, 0x6e, 0x70, 0x70, 0x75, 0x75, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 0x91, 0x91, 0x94, 0x94, 0x94, 0x94, 0x91, 0x91, 0x8b, 0x8b, 0x84, 0x84, 0x7c, 0x7c, 
0x73, 0x73, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x5a, 0x5a, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6d, 0x6d, 0x72, 0x72, 
0x77, 0x77, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 
0x9a, 0x9a, 0x97, 0x97, 0x94, 0x94, 0x90, 0x90, 0x8b, 0x8b, 0x86, 0x86, 0x7f, 0x7f, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 
0x66, 0x66, 0x6a, 0x6a, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x90, 0x90, 
0x8e, 0x8e, 0x89, 0x89, 0x82, 0x82, 0x78, 0x78, 0x6d, 0x6d, 0x64, 0x64, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x64, 0x64, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 
0x68, 0x68, 0x69, 0x69, 0x6c, 0x6c, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x95, 0x95, 
0x98, 0x98, 0x9c, 0x9c, 0xa0, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x99, 0x99, 0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 
0x8e, 0x8e, 0x82, 0x82, 0x75, 0x75, 0x6b, 0x6b, 0x67, 0x67, 0x66, 0x66, 0x69, 0x69, 0x6d, 0x6d, 0x73, 0x73, 0x79, 0x79, 0x7f, 0x7f, 0x84, 0x84, 0x89, 0x89, 
0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x66, 0x66, 0x60, 0x60, 0x5c, 0x5c, 
0x58, 0x58, 0x52, 0x52, 0x4a, 0x4a, 0x42, 0x42, 0x3d, 0x3d, 0x3e, 0x3e, 0x47, 0x47, 0x55, 0x55, 0x68, 0x68, 0x7b, 0x7b, 0x8f, 0x8f, 0xa0, 0xa0, 0xae, 0xae, 
0xb9, 0xb9, 0xbf, 0xbf, 0xc2, 0xc2, 0xc1, 0xc1, 0xbe, 0xbe, 0xb7, 0xb7, 0xae, 0xae, 0xa4, 0xa4, 0x99, 0x99, 0x8d, 0x8d, 0x82, 0x82, 0x79, 0x79, 0x75, 0x75, 
0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7c, 0x7c, 0x77, 0x77, 0x6f, 0x6f, 0x65, 0x65, 0x5b, 0x5b, 0x50, 0x50, 0x46, 0x46, 0x3c, 0x3c, 0x35, 0x35, 
0x30, 0x30, 0x2f, 0x2f, 0x33, 0x33, 0x3e, 0x3e, 0x4c, 0x4c, 0x5c, 0x5c, 0x6a, 0x6a, 0x75, 0x75, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 
0x7d, 0x7d, 0x82, 0x82, 0x8b, 0x8b, 0x98, 0x98, 0xa6, 0xa6, 0xb2, 0xb2, 0xbb, 0xbb, 0xc0, 0xc0, 0xc3, 0xc3, 0xc5, 0xc5, 0xc7, 0xc7, 0xca, 0xca, 0xce, 0xce, 
0xd6, 0xd6, 0xdf, 0xdf, 0xea, 0xea, 0xf5, 0xf5, 0xfc, 0xfc, 0xff, 0xff, 0xfe, 0xfe, 0xf6, 0xf6, 0xe6, 0xe6, 0xcc, 0xcc, 0xad, 0xad, 0x8b, 0x8b, 0x6b, 0x6b, 
0x4d, 0x4d, 0x34, 0x34, 0x20, 0x20, 0x13, 0x13, 0x0c, 0x0c, 0x0b, 0x0b, 0x0d, 0x0d, 0x12, 0x12, 0x17, 0x17, 0x1e, 0x1e, 0x26, 0x26, 0x2f, 0x2f, 0x3b, 0x3b, 
0x48, 0x48, 0x55, 0x55, 0x60, 0x60, 0x68, 0x68, 0x6e, 0x6e, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0x9d, 0x9d, 0x9a, 0x9a, 0x93, 0x93, 0x8a, 0x8a, 0x81, 0x81, 
0x7d, 0x7d, 0x7d, 0x7d, 0x81, 0x81, 0x87, 0x87, 0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 
0x9a, 0x9a, 0x91, 0x91, 0x87, 0x87, 0x7d, 0x7d, 0x72, 0x72, 0x67, 0x67, 0x5c, 0x5c, 0x52, 0x52, 0x49, 0x49, 0x3f, 0x3f, 0x36, 0x36, 0x2b, 0x2b, 0x1e, 0x1e, 
0x13, 0x13, 0x0b, 0x0b, 0x0b, 0x0b, 0x14, 0x14, 0x23, 0x23, 0x35, 0x35, 0x47, 0x47, 0x58, 0x58, 0x66, 0x66, 0x72, 0x72, 0x7c, 0x7c, 0x85, 0x85, 0x8e, 0x8e, 
0x97, 0x97, 0xa2, 0xa2, 0xaf, 0xaf, 0xbc, 0xbc, 0xc8, 0xc8, 0xd0, 0xd0, 0xd5, 0xd5, 0xd6, 0xd6, 0xd6, 0xd6, 0xd6, 0xd6, 0xd8, 0xd8, 0xda, 0xda, 0xda, 0xda, 
0xd6, 0xd6, 0xce, 0xce, 0xc1, 0xc1, 0xb4, 0xb4, 0xa8, 0xa8, 0x9e, 0x9e, 0x97, 0x97, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x81, 0x81, 0x7b, 0x7b, 0x77, 0x77, 
0x74, 0x74, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x7c, 0x7c, 0x82, 0x82, 0x86, 0x86, 0x86, 0x86, 0x80, 0x80, 0x77, 0x77, 0x6e, 0x6e, 0x65, 0x65, 0x60, 0x60, 
0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x70, 0x70, 0x78, 0x78, 0x80, 0x80, 0x89, 0x89, 0x90, 0x90, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 
0x8e, 0x8e, 0x89, 0x89, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 
0x7b, 0x7b, 0x84, 0x84, 0x91, 0x91, 0x9e, 0x9e, 0xac, 0xac, 0xb9, 0xb9, 0xc4, 0xc4, 0xcc, 0xcc, 0xd0, 0xd0, 0xcf, 0xcf, 0xca, 0xca, 0xc0, 0xc0, 0xb0, 0xb0, 
0x9c, 0x9c, 0x84, 0x84, 0x6d, 0x6d, 0x58, 0x58, 0x48, 0x48, 0x3c, 0x3c, 0x35, 0x35, 0x33, 0x33, 0x34, 0x34, 0x39, 0x39, 0x40, 0x40, 0x4a, 0x4a, 0x55, 0x55, 
0x61, 0x61, 0x6b, 0x6b, 0x71, 0x71, 0x73, 0x73, 0x71, 0x71, 0x6d, 0x6d, 0x69, 0x69, 0x66, 0x66, 0x65, 0x65, 0x68, 0x68, 0x71, 0x71, 0x80, 0x80, 0x93, 0x93, 
0xa7, 0xa7, 0xb7, 0xb7, 0xc3, 0xc3, 0xca, 0xca, 0xcd, 0xcd, 0xcd, 0xcd, 0xca, 0xca, 0xc5, 0xc5, 0xbf, 0xbf, 0xb6, 0xb6, 0xab, 0xab, 0x9f, 0x9f, 0x92, 0x92, 
0x85, 0x85, 0x79, 0x79, 0x6e, 0x6e, 0x63, 0x63, 0x5a, 0x5a, 0x53, 0x53, 0x4d, 0x4d, 0x49, 0x49, 0x49, 0x49, 0x4d, 0x4d, 0x54, 0x54, 0x5b, 0x5b, 0x64, 0x64, 
0x6b, 0x6b, 0x72, 0x72, 0x76, 0x76, 0x76, 0x76, 0x73, 0x73, 0x6d, 0x6d, 0x64, 0x64, 0x5b, 0x5b, 0x51, 0x51, 0x47, 0x47, 0x3e, 0x3e, 0x35, 0x35, 0x2e, 0x2e, 
0x29, 0x29, 0x25, 0x25, 0x25, 0x25, 0x28, 0x28, 0x2e, 0x2e, 0x34, 0x34, 0x3c, 0x3c, 0x44, 0x44, 0x4c, 0x4c, 0x56, 0x56, 0x64, 0x64, 0x75, 0x75, 0x89, 0x89, 
0x9c, 0x9c, 0xad, 0xad, 0xba, 0xba, 0xc4, 0xc4, 0xca, 0xca, 0xd0, 0xd0, 0xd4, 0xd4, 0xd7, 0xd7, 0xda, 0xda, 0xdd, 0xdd, 0xe0, 0xe0, 0xe1, 0xe1, 0xe1, 0xe1, 
0xde, 0xde, 0xd7, 0xd7, 0xcf, 0xcf, 0xc5, 0xc5, 0xbc, 0xbc, 0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa7, 0xa7, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 
0x92, 0x92, 0x8d, 0x8d, 0x83, 0x83, 0x74, 0x74, 0x5d, 0x5d, 0x43, 0x43, 0x29, 0x29, 0x15, 0x15, 0x08, 0x08, 0x03, 0x03, 0x04, 0x04, 0x0b, 0x0b, 0x17, 0x17, 
0x25, 0x25, 0x32, 0x32, 0x3a, 0x3a, 0x3f, 0x3f, 0x40, 0x40, 0x41, 0x41, 0x44, 0x44, 0x4c, 0x4c, 0x57, 0x57, 0x63, 0x63, 0x71, 0x71, 0x7f, 0x7f, 0x8c, 0x8c, 
0x97, 0x97, 0x9f, 0x9f, 0xa4, 0xa4, 0xa7, 0xa7, 0xa9, 0xa9, 0xab, 0xab, 0xaf, 0xaf, 0xb4, 0xb4, 0xb8, 0xb8, 0xbc, 0xbc, 0xbf, 0xbf, 0xc2, 0xc2, 0xc3, 0xc3, 
0xc3, 0xc3, 0xc3, 0xc3, 0xc2, 0xc2, 0xc1, 0xc1, 0xbf, 0xbf, 0xbc, 0xbc, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 0xab, 0xab, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 
0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x89, 0x89, 0x82, 0x82, 0x76, 0x76, 
0x66, 0x66, 0x53, 0x53, 0x42, 0x42, 0x32, 0x32, 0x25, 0x25, 0x1d, 0x1d, 0x1c, 0x1c, 0x22, 0x22, 0x2d, 0x2d, 0x3b, 0x3b, 0x48, 0x48, 0x53, 0x53, 0x5e, 0x5e, 
0x69, 0x69, 0x78, 0x78, 0x8a, 0x8a, 0x9e, 0x9e, 0xb0, 0xb0, 0xbb, 0xbb, 0xbf, 0xbf, 0xbd, 0xbd, 0xb7, 0xb7, 0xb1, 0xb1, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 
0xa5, 0xa5, 0xa3, 0xa3, 0x9f, 0x9f, 0x99, 0x99, 0x8e, 0x8e, 0x7e, 0x7e, 0x6c, 0x6c, 0x5c, 0x5c, 0x50, 0x50, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 
0x52, 0x52, 0x56, 0x56, 0x5b, 0x5b, 0x66, 0x66, 0x76, 0x76, 0x8a, 0x8a, 0x9d, 0x9d, 0xac, 0xac, 0xb5, 0xb5, 0xb9, 0xb9, 0xb8, 0xb8, 0xb5, 0xb5, 0xb0, 0xb0, 
0xaa, 0xaa, 0xa4, 0xa4, 0x9f, 0x9f, 0x99, 0x99, 0x93, 0x93, 0x8a, 0x8a, 0x7d, 0x7d, 0x6b, 0x6b, 0x58, 0x58, 0x46, 0x46, 0x3b, 0x3b, 0x38, 0x38, 0x3c, 0x3c, 
0x44, 0x44, 0x4e, 0x4e, 0x57, 0x57, 0x60, 0x60, 0x69, 0x69, 0x73, 0x73, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x9a, 0x9a, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 
0xa5, 0xa5, 0xa0, 0xa0, 0x98, 0x98, 0x8e, 0x8e, 0x85, 0x85, 0x7d, 0x7d, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x62, 0x62, 0x5d, 0x5d, 0x5b, 0x5b, 0x5f, 0x5f, 
0x69, 0x69, 0x78, 0x78, 0x87, 0x87, 0x95, 0x95, 0x9f, 0x9f, 0xa6, 0xa6, 0xa8, 0xa8, 0xa6, 0xa6, 0xa1, 0xa1, 0x99, 0x99, 0x92, 0x92, 0x8e, 0x8e, 0x8d, 0x8d, 
0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7a, 0x7a, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5a, 0x5a, 0x57, 0x57, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x4b, 0x4b, 0x4f, 0x4f, 0x55, 0x55, 0x5b, 0x5b, 0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 
0x5b, 0x5b, 0x62, 0x62, 0x6c, 0x6c, 0x78, 0x78, 0x85, 0x85, 0x92, 0x92, 0x9d, 0x9d, 0xa4, 0xa4, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9a, 0x9a, 0x94, 0x94, 
0x8f, 0x8f, 0x8b, 0x8b, 0x85, 0x85, 0x7d, 0x7d, 0x72, 0x72, 0x66, 0x66, 0x5c, 0x5c, 0x56, 0x56, 0x56, 0x56, 0x5c, 0x5c, 0x66, 0x66, 0x74, 0x74, 0x84, 0x84, 
0x96, 0x96, 0xa9, 0xa9, 0xbd, 0xbd, 0xd1, 0xd1, 0xe4, 0xe4, 0xf2, 0xf2, 0xf8, 0xf8, 0xf5, 0xf5, 0xe8, 0xe8, 0xd1, 0xd1, 0xaf, 0xaf, 0x84, 0x84, 0x55, 0x55, 
0x2b, 0x2b, 0x10, 0x10, 0x07, 0x07, 0x0d, 0x0d, 0x1c, 0x1c, 0x2e, 0x2e, 0x41, 0x41, 0x51, 0x51, 0x5f, 0x5f, 0x69, 0x69, 0x70, 0x70, 0x75, 0x75, 0x79, 0x79, 
0x7f, 0x7f, 0x87, 0x87, 0x8f, 0x8f, 0x94, 0x94, 0x93, 0x93, 0x8d, 0x8d, 0x82, 0x82, 0x77, 0x77, 0x71, 0x71, 0x6f, 0x6f, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 
0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9d, 0x9d, 0xa5, 0xa5, 0xad, 0xad, 0xb5, 0xb5, 0xba, 0xba, 0xbd, 0xbd, 0xbb, 0xbb, 0xb6, 0xb6, 0xab, 0xab, 0x9a, 0x9a, 
0x88, 0x88, 0x77, 0x77, 0x6d, 0x6d, 0x6b, 0x6b, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 0x86, 0x86, 0x8b, 0x8b, 0x91, 0x91, 0x9b, 0x9b, 0xa9, 0xa9, 0xb9, 0xb9, 
0xc8, 0xc8, 0xd2, 0xd2, 0xd5, 0xd5, 0xd0, 0xd0, 0xc3, 0xc3, 0xae, 0xae, 0x90, 0x90, 0x6f, 0x6f, 0x50, 0x50, 0x39, 0x39, 0x2d, 0x2d, 0x29, 0x29, 0x2b, 0x2b, 
0x2f, 0x2f, 0x33, 0x33, 0x38, 0x38, 0x3f, 0x3f, 0x4b, 0x4b, 0x5d, 0x5d, 0x73, 0x73, 0x89, 0x89, 0x9c, 0x9c, 0xa8, 0xa8, 0xaf, 0xaf, 0xb0, 0xb0, 0xaa, 0xaa, 
0x9f, 0x9f, 0x90, 0x90, 0x82, 0x82, 0x79, 0x79, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x70, 0x70, 0x6a, 0x6a, 0x66, 0x66, 0x65, 0x65, 0x6a, 0x6a, 
0x72, 0x72, 0x7a, 0x7a, 0x81, 0x81, 0x85, 0x85, 0x85, 0x85, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6b, 0x6b, 0x66, 0x66, 0x64, 0x64, 0x69, 0x69, 0x70, 0x70, 
0x78, 0x78, 0x7c, 0x7c, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x75, 0x75, 0x78, 0x78, 0x7e, 0x7e, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x90, 0x90, 0x8e, 0x8e, 
0x89, 0x89, 0x81, 0x81, 0x76, 0x76, 0x6d, 0x6d, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x50, 0x50, 0x54, 0x54, 
0x60, 0x60, 0x71, 0x71, 0x84, 0x84, 0x96, 0x96, 0xa3, 0xa3, 0xad, 0xad, 0xb4, 0xb4, 0xb8, 0xb8, 0xbb, 0xbb, 0xbe, 0xbe, 0xc1, 0xc1, 0xc5, 0xc5, 0xca, 0xca, 
0xce, 0xce, 0xd0, 0xd0, 0xcb, 0xcb, 0xc1, 0xc1, 0xb3, 0xb3, 0xa6, 0xa6, 0x9c, 0x9c, 0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x97, 0x97, 0x91, 0x91, 0x87, 0x87, 
0x7c, 0x7c, 0x71, 0x71, 0x68, 0x68, 0x62, 0x62, 0x5c, 0x5c, 0x57, 0x57, 0x52, 0x52, 0x4d, 0x4d, 0x48, 0x48, 0x43, 0x43, 0x41, 0x41, 0x3f, 0x3f, 0x3e, 0x3e, 
0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3d, 0x3a, 0x3a, 0x34, 0x34, 0x2b, 0x2b, 0x21, 0x21, 0x1b, 0x1b, 0x1f, 0x1f, 0x2e, 0x2e, 0x45, 0x45, 0x5f, 0x5f, 0x75, 0x75, 
0x85, 0x85, 0x8f, 0x8f, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 0x94, 0x94, 0x9b, 0x9b, 0xa5, 0xa5, 0xb1, 0xb1, 
0xbd, 0xbd, 0xc8, 0xc8, 0xd1, 0xd1, 0xd7, 0xd7, 0xdb, 0xdb, 0xdd, 0xdd, 0xde, 0xde, 0xe0, 0xe0, 0xe1, 0xe1, 0xe2, 0xe2, 0xe2, 0xe2, 0xdf, 0xdf, 0xd8, 0xd8, 
0xc9, 0xc9, 0xaf, 0xaf, 0x88, 0x88, 0x5a, 0x5a, 0x2f, 0x2f, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x0f, 0x0f, 0x17, 0x17, 0x1e, 0x1e, 
0x24, 0x24, 0x29, 0x29, 0x2f, 0x2f, 0x37, 0x37, 0x41, 0x41, 0x4e, 0x4e, 0x5d, 0x5d, 0x6d, 0x6d, 0x7e, 0x7e, 0x8f, 0x8f, 0x9f, 0x9f, 0xac, 0xac, 0xb6, 0xb6, 
0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xae, 0xae, 0xae, 0xae, 0xb3, 0xb3, 0xc0, 0xc0, 0xd0, 0xd0, 0xe0, 0xe0, 0xea, 0xea, 0xec, 0xec, 
0xe7, 0xe7, 0xde, 0xde, 0xd2, 0xd2, 0xc5, 0xc5, 0xb8, 0xb8, 0xac, 0xac, 0xa0, 0xa0, 0x96, 0x96, 0x8c, 0x8c, 0x84, 0x84, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 
0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x85, 0x85, 0x81, 0x81, 0x7a, 0x7a, 0x70, 0x70, 0x62, 0x62, 0x53, 0x53, 0x42, 0x42, 
0x33, 0x33, 0x25, 0x25, 0x19, 0x19, 0x10, 0x10, 0x0c, 0x0c, 0x0d, 0x0d, 0x11, 0x11, 0x16, 0x16, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x1a, 0x1a, 0x23, 0x23, 
0x35, 0x35, 0x4c, 0x4c, 0x64, 0x64, 0x7a, 0x7a, 0x8b, 0x8b, 0x97, 0x97, 0x9f, 0x9f, 0xa5, 0xa5, 0xab, 0xab, 0xb0, 0xb0, 0xb6, 0xb6, 0xbd, 0xbd, 0xc5, 0xc5, 
0xcd, 0xcd, 0xd3, 0xd3, 0xd6, 0xd6, 0xd5, 0xd5, 0xd2, 0xd2, 0xd0, 0xd0, 0xd1, 0xd1, 0xd7, 0xd7, 0xe0, 0xe0, 0xe7, 0xe7, 0xe7, 0xe7, 0xe0, 0xe0, 0xd3, 0xd3, 
0xc3, 0xc3, 0xb3, 0xb3, 0xa6, 0xa6, 0x9a, 0x9a, 0x90, 0x90, 0x84, 0x84, 0x77, 0x77, 0x69, 0x69, 0x5b, 0x5b, 0x50, 0x50, 0x48, 0x48, 0x43, 0x43, 0x41, 0x41, 
0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x3d, 0x3d, 0x35, 0x35, 0x29, 0x29, 0x1a, 0x1a, 0x0e, 0x0e, 0x0a, 0x0a, 0x0f, 0x0f, 0x1d, 0x1d, 0x2e, 0x2e, 0x40, 0x40, 
0x50, 0x50, 0x5e, 0x5e, 0x6a, 0x6a, 0x76, 0x76, 0x83, 0x83, 0x90, 0x90, 0x9d, 0x9d, 0xab, 0xab, 0xb8, 0xb8, 0xc4, 0xc4, 0xcb, 0xcb, 0xcc, 0xcc, 0xc6, 0xc6, 
0xba, 0xba, 0xac, 0xac, 0x9e, 0x9e, 0x92, 0x92, 0x88, 0x88, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x73, 0x73, 0x73, 0x73, 0x76, 0x76, 0x7c, 0x7c, 0x85, 0x85, 
0x8c, 0x8c, 0x92, 0x92, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x60, 0x60, 
0x58, 0x58, 0x4e, 0x4e, 0x44, 0x44, 0x3d, 0x3d, 0x3b, 0x3b, 0x40, 0x40, 0x4a, 0x4a, 0x56, 0x56, 0x63, 0x63, 0x6e, 0x6e, 0x76, 0x76, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x78, 0x78, 0x80, 0x80, 0x8c, 0x8c, 0x9a, 0x9a, 0xa9, 0xa9, 0xb7, 0xb7, 0xc4, 0xc4, 0xce, 0xce, 0xd7, 0xd7, 0xde, 0xde, 
0xe4, 0xe4, 0xe9, 0xe9, 0xee, 0xee, 0xf3, 0xf3, 0xf7, 0xf7, 0xf8, 0xf8, 0xf5, 0xf5, 0xec, 0xec, 0xde, 0xde, 0xca, 0xca, 0xb0, 0xb0, 0x90, 0x90, 0x6d, 0x6d, 
0x4b, 0x4b, 0x2f, 0x2f, 0x1b, 0x1b, 0x0d, 0x0d, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x04, 0x04, 0x0a, 0x0a, 0x11, 0x11, 0x19, 0x19, 0x23, 0x23, 
0x2e, 0x2e, 0x3b, 0x3b, 0x48, 0x48, 0x56, 0x56, 0x63, 0x63, 0x71, 0x71, 0x7c, 0x7c, 0x84, 0x84, 0x87, 0x87, 0x84, 0x84, 0x7d, 0x7d, 0x78, 0x78, 0x78, 0x78, 
0x80, 0x80, 0x8f, 0x8f, 0xa0, 0xa0, 0xb2, 0xb2, 0xc2, 0xc2, 0xcf, 0xcf, 0xd6, 0xd6, 0xd5, 0xd5, 0xcc, 0xcc, 0xbe, 0xbe, 0xb0, 0xb0, 0xa6, 0xa6, 0xa2, 0xa2, 
0xa3, 0xa3, 0xa5, 0xa5, 0xa5, 0xa5, 0xa2, 0xa2, 0x9c, 0x9c, 0x97, 0x97, 0x96, 0x96, 0x9a, 0x9a, 0xa1, 0xa1, 0xa9, 0xa9, 0xaf, 0xaf, 0xb2, 0xb2, 0xb1, 0xb1, 
0xad, 0xad, 0xa4, 0xa4, 0x97, 0x97, 0x88, 0x88, 0x78, 0x78, 0x68, 0x68, 0x5a, 0x5a, 0x4c, 0x4c, 0x3f, 0x3f, 0x32, 0x32, 0x24, 0x24, 0x17, 0x17, 0x0e, 0x0e, 
0x0a, 0x0a, 0x0e, 0x0e, 0x15, 0x15, 0x1e, 0x1e, 0x25, 0x25, 0x28, 0x28, 0x29, 0x29, 0x2d, 0x2d, 0x39, 0x39, 0x4f, 0x4f, 0x6c, 0x6c, 0x8c, 0x8c, 0xa9, 0xa9, 
0xc2, 0xc2, 0xd5, 0xd5, 0xe0, 0xe0, 0xe3, 0xe3, 0xde, 0xde, 0xd5, 0xd5, 0xcb, 0xcb, 0xc5, 0xc5, 0xc5, 0xc5, 0xca, 0xca, 0xce, 0xce, 0xd0, 0xd0, 0xce, 0xce, 
0xc8, 0xc8, 0xc1, 0xc1, 0xbd, 0xbd, 0xbb, 0xbb, 0xbb, 0xbb, 0xb9, 0xb9, 0xb3, 0xb3, 0xa7, 0xa7, 0x96, 0x96, 0x83, 0x83, 0x72, 0x72, 0x64, 0x64, 0x59, 0x59, 
0x52, 0x52, 0x50, 0x50, 0x52, 0x52, 0x56, 0x56, 0x58, 0x58, 0x58, 0x58, 0x53, 0x53, 0x4b, 0x4b, 0x44, 0x44, 0x41, 0x41, 0x42, 0x42, 0x47, 0x47, 0x4c, 0x4c, 
0x4d, 0x4d, 0x49, 0x49, 0x41, 0x41, 0x38, 0x38, 0x30, 0x30, 0x2b, 0x2b, 0x29, 0x29, 0x2b, 0x2b, 0x31, 0x31, 0x3c, 0x3c, 0x49, 0x49, 0x56, 0x56, 0x61, 0x61, 
0x6a, 0x6a, 0x71, 0x71, 0x7b, 0x7b, 0x8a, 0x8a, 0xa0, 0xa0, 0xb9, 0xb9, 0xd2, 0xd2, 0xe6, 0xe6, 0xf3, 0xf3, 0xf9, 0xf9, 0xf9, 0xf9, 0xf4, 0xf4, 0xed, 0xed, 
0xe3, 0xe3, 0xd7, 0xd7, 0xcb, 0xcb, 0xbe, 0xbe, 0xaf, 0xaf, 0x9f, 0x9f, 0x8c, 0x8c, 0x77, 0x77, 0x62, 0x62, 0x51, 0x51, 0x48, 0x48, 0x49, 0x49, 0x4f, 0x4f, 
0x57, 0x57, 0x5a, 0x5a, 0x56, 0x56, 0x4d, 0x4d, 0x41, 0x41, 0x36, 0x36, 0x2e, 0x2e, 0x29, 0x29, 0x25, 0x25, 0x22, 0x22, 0x1e, 0x1e, 0x19, 0x19, 0x14, 0x14, 
0x10, 0x10, 0x0d, 0x0d, 0x0d, 0x0d, 0x14, 0x14, 0x25, 0x25, 0x41, 0x41, 0x64, 0x64, 0x86, 0x86, 0xa0, 0xa0, 0xb0, 0xb0, 0xb7, 0xb7, 0xbb, 0xbb, 0xbf, 0xbf, 
0xc7, 0xc7, 0xd2, 0xd2, 0xde, 0xde, 0xe9, 0xe9, 0xf2, 0xf2, 0xf9, 0xf9, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfa, 0xfa, 0xf2, 0xf2, 0xe4, 0xe4, 
0xd2, 0xd2, 0xbc, 0xbc, 0x9f, 0x9f, 0x7e, 0x7e, 0x5c, 0x5c, 0x3e, 0x3e, 0x2b, 0x2b, 0x24, 0x24, 0x26, 0x26, 0x2d, 0x2d, 0x33, 0x33, 0x37, 0x37, 0x37, 0x37, 
0x35, 0x35, 0x32, 0x32, 0x2f, 0x2f, 0x2e, 0x2e, 0x31, 0x31, 0x3a, 0x3a, 0x49, 0x49, 0x5d, 0x5d, 0x72, 0x72, 0x83, 0x83, 0x90, 0x90, 0x98, 0x98, 0x9a, 0x9a, 
0x95, 0x95, 0x8a, 0x8a, 0x7b, 0x7b, 0x6c, 0x6c, 0x60, 0x60, 0x59, 0x59, 0x55, 0x55, 0x54, 0x54, 0x55, 0x55, 0x57, 0x57, 0x5a, 0x5a, 0x5e, 0x5e, 0x63, 0x63, 
0x6a, 0x6a, 0x71, 0x71, 0x7a, 0x7a, 0x86, 0x86, 0x93, 0x93, 0xa2, 0xa2, 0xb0, 0xb0, 0xbc, 0xbc, 0xc5, 0xc5, 0xcc, 0xcc, 0xd1, 0xd1, 0xd5, 0xd5, 0xd9, 0xd9, 
0xdc, 0xdc, 0xdc, 0xdc, 0xd9, 0xd9, 0xd3, 0xd3, 0xca, 0xca, 0xbf, 0xbf, 0xb6, 0xb6, 0xae, 0xae, 0xa7, 0xa7, 0x9c, 0x9c, 0x8c, 0x8c, 0x74, 0x74, 0x59, 0x59, 
0x3e, 0x3e, 0x29, 0x29, 0x1c, 0x1c, 0x16, 0x16, 0x18, 0x18, 0x20, 0x20, 0x2c, 0x2c, 0x3c, 0x3c, 0x49, 0x49, 0x51, 0x51, 0x54, 0x54, 0x53, 0x53, 0x55, 0x55, 
0x60, 0x60, 0x74, 0x74, 0x8f, 0x8f, 0xaa, 0xaa, 0xbf, 0xbf, 0xca, 0xca, 0xcd, 0xcd, 0xcb, 0xcb, 0xc8, 0xc8, 0xc4, 0xc4, 0xc2, 0xc2, 0xc1, 0xc1, 0xc1, 0xc1, 
0xc2, 0xc2, 0xc2, 0xc2, 0xc0, 0xc0, 0xbd, 0xbd, 0xb8, 0xb8, 0xb2, 0xb2, 0xad, 0xad, 0xaa, 0xaa, 0xab, 0xab, 0xad, 0xad, 0xac, 0xac, 0xa3, 0xa3, 0x92, 0x92, 
0x7c, 0x7c, 0x64, 0x64, 0x52, 0x52, 0x47, 0x47, 0x41, 0x41, 0x40, 0x40, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x40, 0x40, 0x41, 0x41, 0x41, 0x41, 
0x42, 0x42, 0x42, 0x42, 0x40, 0x40, 0x3e, 0x3e, 0x3a, 0x3a, 0x34, 0x34, 0x2e, 0x2e, 0x29, 0x29, 0x29, 0x29, 0x31, 0x31, 0x44, 0x44, 0x5c, 0x5c, 0x77, 0x77, 
0x8e, 0x8e, 0xa0, 0xa0, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xbf, 0xbf, 0xc1, 0xc1, 0xc2, 0xc2, 0xc0, 0xc0, 0xbb, 0xbb, 0xb5, 0xb5, 0xad, 0xad, 0xa6, 0xa6, 
0x9f, 0x9f, 0x99, 0x99, 0x95, 0x95, 0x93, 0x93, 0x93, 0x93, 0x94, 0x94, 0x92, 0x92, 0x8d, 0x8d, 0x82, 0x82, 0x73, 0x73, 0x64, 0x64, 0x57, 0x57, 0x4d, 0x4d, 
0x46, 0x46, 0x40, 0x40, 0x3b, 0x3b, 0x37, 0x37, 0x32, 0x32, 0x2d, 0x2d, 0x28, 0x28, 0x23, 0x23, 0x20, 0x20, 0x1f, 0x1f, 0x21, 0x21, 0x28, 0x28, 0x32, 0x32, 
0x3f, 0x3f, 0x4f, 0x4f, 0x62, 0x62, 0x77, 0x77, 0x8a, 0x8a, 0x9c, 0x9c, 0xaa, 0xaa, 0xb5, 0xb5, 0xbc, 0xbc, 0xc0, 0xc0, 0xc1, 0xc1, 0xc0, 0xc0, 0xbf, 0xbf, 
0xc2, 0xc2, 0xc8, 0xc8, 0xd2, 0xd2, 0xdc, 0xdc, 0xe7, 0xe7, 0xef, 0xef, 0xf5, 0xf5, 0xf6, 0xf6, 0xf0, 0xf0, 0xe1, 0xe1, 0xcc, 0xcc, 0xb0, 0xb0, 0x8f, 0x8f, 
0x69, 0x69, 0x43, 0x43, 0x21, 0x21, 0x09, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x11, 0x11, 0x1b, 0x1b, 0x28, 0x28, 0x3a, 0x3a, 0x50, 0x50, 
0x69, 0x69, 0x83, 0x83, 0x9a, 0x9a, 0xae, 0xae, 0xbe, 0xbe, 0xca, 0xca, 0xd5, 0xd5, 0xdf, 0xdf, 0xe5, 0xe5, 0xe5, 0xe5, 0xdb, 0xdb, 0xc6, 0xc6, 0xa9, 0xa9, 
0x8b, 0x8b, 0x6f, 0x6f, 0x59, 0x59, 0x4a, 0x4a, 0x41, 0x41, 0x41, 0x41, 0x48, 0x48, 0x53, 0x53, 0x5e, 0x5e, 0x65, 0x65, 0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 
0x68, 0x68, 0x71, 0x71, 0x7e, 0x7e, 0x8a, 0x8a, 0x91, 0x91, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 0x87, 0x87, 0x8d, 0x8d, 0x9a, 0x9a, 0xaa, 0xaa, 0xbb, 0xbb, 
0xcb, 0xcb, 0xd8, 0xd8, 0xe1, 0xe1, 0xe2, 0xe2, 0xdc, 0xdc, 0xd1, 0xd1, 0xc1, 0xc1, 0xae, 0xae, 0x9a, 0x9a, 0x85, 0x85, 0x6f, 0x6f, 0x57, 0x57, 0x3e, 0x3e, 
0x27, 0x27, 0x18, 0x18, 0x18, 0x18, 0x27, 0x27, 0x41, 0x41, 0x5e, 0x5e, 0x76, 0x76, 0x85, 0x85, 0x8c, 0x8c, 0x90, 0x90, 0x96, 0x96, 0x9f, 0x9f, 0xac, 0xac, 
0xba, 0xba, 0xc8, 0xc8, 0xd3, 0xd3, 0xd9, 0xd9, 0xd8, 0xd8, 0xca, 0xca, 0xb1, 0xb1, 0x90, 0x90, 0x6f, 0x6f, 0x55, 0x55, 0x45, 0x45, 0x3d, 0x3d, 0x3b, 0x3b, 
0x3a, 0x3a, 0x39, 0x39, 0x38, 0x38, 0x3a, 0x3a, 0x42, 0x42, 0x51, 0x51, 0x64, 0x64, 0x77, 0x77, 0x84, 0x84, 0x89, 0x89, 0x87, 0x87, 0x7f, 0x7f, 0x75, 0x75, 
0x68, 0x68, 0x5c, 0x5c, 0x55, 0x55, 0x54, 0x54, 0x5a, 0x5a, 0x66, 0x66, 0x71, 0x71, 0x79, 0x79, 0x7a, 0x7a, 0x78, 0x78, 0x74, 0x74, 0x74, 0x74, 0x78, 0x78, 
0x80, 0x80, 0x87, 0x87, 0x8a, 0x8a, 0x87, 0x87, 0x7f, 0x7f, 0x73, 0x73, 0x67, 0x67, 0x5a, 0x5a, 0x50, 0x50, 0x4a, 0x4a, 0x4d, 0x4d, 0x57, 0x57, 0x67, 0x67, 
0x77, 0x77, 0x84, 0x84, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x93, 0x93, 0x9a, 0x9a, 0xa4, 0xa4, 0xae, 0xae, 0xb5, 0xb5, 0xb8, 0xb8, 0xb7, 0xb7, 0xb1, 0xb1, 
0xa8, 0xa8, 0x9b, 0x9b, 0x8c, 0x8c, 0x7e, 0x7e, 0x72, 0x72, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x52, 0x52, 0x4d, 0x4d, 0x4b, 0x4b, 0x50, 0x50, 
0x5d, 0x5d, 0x6f, 0x6f, 0x7f, 0x7f, 0x87, 0x87, 0x84, 0x84, 0x7a, 0x7a, 0x6d, 0x6d, 0x62, 0x62, 0x5c, 0x5c, 0x5b, 0x5b, 0x5f, 0x5f, 0x68, 0x68, 0x73, 0x73, 
0x80, 0x80, 0x8a, 0x8a, 0x8e, 0x8e, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x8b, 0x8b, 0x9d, 0x9d, 0xb7, 0xb7, 0xd0, 0xd0, 0xe2, 0xe2, 0xe8, 0xe8, 0xe6, 0xe6, 
0xe2, 0xe2, 0xe0, 0xe0, 0xe4, 0xe4, 0xec, 0xec, 0xf4, 0xf4, 0xf7, 0xf7, 0xf2, 0xf2, 0xe4, 0xe4, 0xcd, 0xcd, 0xaa, 0xaa, 0x7c, 0x7c, 0x4a, 0x4a, 0x1d, 0x1d, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x12, 0x12, 0x1b, 0x1b, 0x25, 0x25, 0x30, 0x30, 0x3e, 0x3e, 0x4e, 0x4e, 0x5c, 0x5c, 0x66, 0x66, 
0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6f, 0x6f, 0x7a, 0x7a, 0x8a, 0x8a, 0x9a, 0x9a, 0xa8, 0xa8, 0xb2, 0xb2, 0xb7, 0xb7, 0xb7, 0xb7, 0xb0, 0xb0, 0xa5, 0xa5, 
0x99, 0x99, 0x91, 0x91, 0x95, 0x95, 0xa4, 0xa4, 0xba, 0xba, 0xce, 0xce, 0xd5, 0xd5, 0xcd, 0xcd, 0xb9, 0xb9, 0xa0, 0xa0, 0x8c, 0x8c, 0x7f, 0x7f, 0x7b, 0x7b, 
0x7d, 0x7d, 0x84, 0x84, 0x8e, 0x8e, 0x97, 0x97, 0x9e, 0x9e, 0x9e, 0x9e, 0x99, 0x99, 0x8f, 0x8f, 0x85, 0x85, 0x80, 0x80, 0x82, 0x82, 0x87, 0x87, 0x8a, 0x8a, 
0x88, 0x88, 0x7f, 0x7f, 0x6f, 0x6f, 0x5f, 0x5f, 0x52, 0x52, 0x4b, 0x4b, 0x48, 0x48, 0x45, 0x45, 0x3e, 0x3e, 0x32, 0x32, 0x22, 0x22, 0x13, 0x13, 0x0b, 0x0b, 
0x0a, 0x0a, 0x11, 0x11, 0x20, 0x20, 0x37, 0x37, 0x53, 0x53, 0x71, 0x71, 0x8c, 0x8c, 0x9f, 0x9f, 0xa8, 0xa8, 0xaa, 0xaa, 0xac, 0xac, 0xb3, 0xb3, 0xc2, 0xc2, 
0xd5, 0xd5, 0xe6, 0xe6, 0xed, 0xed, 0xe8, 0xe8, 0xda, 0xda, 0xc9, 0xc9, 0xba, 0xba, 0xb0, 0xb0, 0xab, 0xab, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa6, 0xa6, 
0x9e, 0x9e, 0x90, 0x90, 0x7c, 0x7c, 0x65, 0x65, 0x51, 0x51, 0x46, 0x46, 0x45, 0x45, 0x4b, 0x4b, 0x51, 0x51, 0x50, 0x50, 0x47, 0x47, 0x38, 0x38, 0x29, 0x29, 
0x22, 0x22, 0x26, 0x26, 0x33, 0x33, 0x44, 0x44, 0x55, 0x55, 0x63, 0x63, 0x6e, 0x6e, 0x73, 0x73, 0x74, 0x74, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x63, 0x63, 
0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x6c, 0x6c, 0x64, 0x64, 0x58, 0x58, 0x50, 0x50, 0x51, 0x51, 0x5e, 0x5e, 0x75, 0x75, 0x90, 0x90, 0xa9, 0xa9, 0xbe, 0xbe, 
0xcf, 0xcf, 0xda, 0xda, 0xe0, 0xe0, 0xe3, 0xe3, 0xe4, 0xe4, 0xe3, 0xe3, 0xe4, 0xe4, 0xe5, 0xe5, 0xe5, 0xe5, 0xe2, 0xe2, 0xd8, 0xd8, 0xc8, 0xc8, 0xb2, 0xb2, 
0x9a, 0x9a, 0x84, 0x84, 0x70, 0x70, 0x5f, 0x5f, 0x4f, 0x4f, 0x3f, 0x3f, 0x2f, 0x2f, 0x20, 0x20, 0x12, 0x12, 0x09, 0x09, 0x04, 0x04, 0x03, 0x03, 0x05, 0x05, 
0x08, 0x08, 0x0b, 0x0b, 0x0f, 0x0f, 0x13, 0x13, 0x18, 0x18, 0x1d, 0x1d, 0x25, 0x25, 0x31, 0x31, 0x43, 0x43, 0x5b, 0x5b, 0x77, 0x77, 0x93, 0x93, 0xaa, 0xaa, 
0xbc, 0xbc, 0xc9, 0xc9, 0xd3, 0xd3, 0xdb, 0xdb, 0xe4, 0xe4, 0xec, 0xec, 0xf3, 0xf3, 0xf9, 0xf9, 0xfd, 0xfd, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfd, 0xfd, 0xf8, 0xf8, 0xee, 0xee, 0xde, 0xde, 0xc8, 0xc8, 0xad, 0xad, 0x8c, 0x8c, 0x66, 0x66, 0x40, 0x40, 0x20, 0x20, 0x0d, 0x0d, 0x09, 0x09, 0x11, 0x11, 
0x1d, 0x1d, 0x29, 0x29, 0x31, 0x31, 0x34, 0x34, 0x35, 0x35, 0x34, 0x34, 0x33, 0x33, 0x33, 0x33, 0x36, 0x36, 0x3d, 0x3d, 0x48, 0x48, 0x56, 0x56, 0x65, 0x65, 
0x76, 0x76, 0x87, 0x87, 0x98, 0x98, 0xa6, 0xa6, 0xb2, 0xb2, 0xbb, 0xbb, 0xc0, 0xc0, 0xc0, 0xc0, 0xbb, 0xbb, 0xb1, 0xb1, 0xa5, 0xa5, 0x9b, 0x9b, 0x99, 0x99, 
0xa0, 0xa0, 0xad, 0xad, 0xba, 0xba, 0xc2, 0xc2, 0xc2, 0xc2, 0xbc, 0xbc, 0xb3, 0xb3, 0xad, 0xad, 0xac, 0xac, 0xaf, 0xaf, 0xb6, 0xb6, 0xbe, 0xbe, 0xc8, 0xc8, 
0xd0, 0xd0, 0xd5, 0xd5, 0xd2, 0xd2, 0xc8, 0xc8, 0xb9, 0xb9, 0xaa, 0xaa, 0x9d, 0x9d, 0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x7c, 0x7c, 0x68, 0x68, 0x51, 0x51, 
0x39, 0x39, 0x27, 0x27, 0x1c, 0x1c, 0x17, 0x17, 0x17, 0x17, 0x19, 0x19, 0x1d, 0x1d, 0x20, 0x20, 0x24, 0x24, 0x29, 0x29, 0x2f, 0x2f, 0x36, 0x36, 0x3d, 0x3d, 
0x45, 0x45, 0x4d, 0x4d, 0x54, 0x54, 0x5a, 0x5a, 0x5e, 0x5e, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x70, 0x70, 0x82, 0x82, 0x97, 0x97, 0xac, 0xac, 0xba, 0xba, 
0xc1, 0xc1, 0xc1, 0xc1, 0xbe, 0xbe, 0xbb, 0xbb, 0xbb, 0xbb, 0xbc, 0xbc, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb6, 0xb6, 0xaf, 0xaf, 0xa8, 0xa8, 0xa0, 0xa0, 
0x9a, 0x9a, 0x95, 0x95, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x99, 0x99, 0x8e, 0x8e, 0x7e, 0x7e, 0x70, 0x70, 0x67, 0x67, 0x65, 0x65, 0x69, 0x69, 
0x6f, 0x6f, 0x72, 0x72, 0x72, 0x72, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x54, 0x54, 0x4c, 0x4c, 0x46, 0x46, 0x43, 0x43, 0x44, 0x44, 0x46, 0x46, 0x48, 0x48, 
0x48, 0x48, 0x46, 0x46, 0x44, 0x44, 0x44, 0x44, 0x4b, 0x4b, 0x58, 0x58, 0x6b, 0x6b, 0x80, 0x80, 0x94, 0x94, 0xa5, 0xa5, 0xb1, 0xb1, 0xbb, 0xbb, 0xc2, 0xc2, 
0xc7, 0xc7, 0xc9, 0xc9, 0xc7, 0xc7, 0xbe, 0xbe, 0xaf, 0xaf, 0x9b, 0x9b, 0x85, 0x85, 0x6f, 0x6f, 0x5b, 0x5b, 0x4a, 0x4a, 0x3e, 0x3e, 0x38, 0x38, 0x37, 0x37, 
0x3b, 0x3b, 0x3f, 0x3f, 0x40, 0x40, 0x3d, 0x3d, 0x36, 0x36, 0x2f, 0x2f, 0x27, 0x27, 0x22, 0x22, 0x1f, 0x1f, 0x1f, 0x1f, 0x24, 0x24, 0x2d, 0x2d, 0x39, 0x39, 
0x49, 0x49, 0x5b, 0x5b, 0x71, 0x71, 0x87, 0x87, 0x9d, 0x9d, 0xb1, 0xb1, 0xc0, 0xc0, 0xcd, 0xcd, 0xd8, 0xd8, 0xe2, 0xe2, 0xeb, 0xeb, 0xf3, 0xf3, 0xf8, 0xf8, 
0xf9, 0xf9, 0xf5, 0xf5, 0xee, 0xee, 0xe8, 0xe8, 0xe6, 0xe6, 0xe8, 0xe8, 0xef, 0xef, 0xf6, 0xf6, 0xfc, 0xfc, 0xff, 0xff, 0xfb, 0xfb, 0xee, 0xee, 0xd4, 0xd4, 
0xac, 0xac, 0x7c, 0x7c, 0x4e, 0x4e, 0x29, 0x29, 0x11, 0x11, 0x06, 0x06, 0x04, 0x04, 0x08, 0x08, 0x11, 0x11, 0x1c, 0x1c, 0x28, 0x28, 0x35, 0x35, 0x43, 0x43, 
0x51, 0x51, 0x5f, 0x5f, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x85, 0x85, 0x8d, 0x8d, 0x97, 0x97, 0xa1, 0xa1, 0xaa, 0xaa, 0xb1, 0xb1, 0xb6, 0xb6, 0xb7, 0xb7, 
0xb1, 0xb1, 0xa2, 0xa2, 0x8a, 0x8a, 0x6d, 0x6d, 0x55, 0x55, 0x48, 0x48, 0x49, 0x49, 0x56, 0x56, 0x6a, 0x6a, 0x7e, 0x7e, 0x91, 0x91, 0x9e, 0x9e, 0xa6, 0xa6, 
0xa6, 0xa6, 0x9f, 0x9f, 0x94, 0x94, 0x8c, 0x8c, 0x8d, 0x8d, 0x97, 0x97, 0xa9, 0xa9, 0xbc, 0xbc, 0xcc, 0xcc, 0xd5, 0xd5, 0xd7, 0xd7, 0xd6, 0xd6, 0xd2, 0xd2, 
0xcd, 0xcd, 0xc7, 0xc7, 0xc0, 0xc0, 0xb6, 0xb6, 0xa9, 0xa9, 0x98, 0x98, 0x84, 0x84, 0x6c, 0x6c, 0x50, 0x50, 0x34, 0x34, 0x1a, 0x1a, 0x08, 0x08, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x09, 0x09, 0x10, 0x10, 0x1e, 0x1e, 0x34, 0x34, 0x4f, 0x4f, 0x6a, 0x6a, 0x82, 0x82, 0x94, 0x94, 0xa1, 0xa1, 
0xab, 0xab, 0xb3, 0xb3, 0xbb, 0xbb, 0xc3, 0xc3, 0xcc, 0xcc, 0xd5, 0xd5, 0xde, 0xde, 0xe5, 0xe5, 0xe7, 0xe7, 0xe2, 0xe2, 0xd6, 0xd6, 0xc5, 0xc5, 0xb5, 0xb5, 
0xab, 0xab, 0xa9, 0xa9, 0xab, 0xab, 0xad, 0xad, 0xa9, 0xa9, 0x9c, 0x9c, 0x8a, 0x8a, 0x78, 0x78, 0x6b, 0x6b, 0x67, 0x67, 0x69, 0x69, 0x70, 0x70, 0x78, 0x78, 
0x7f, 0x7f, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 0x94, 0x94, 0x8d, 0x8d, 0x81, 0x81, 
0x72, 0x72, 0x65, 0x65, 0x5f, 0x5f, 0x62, 0x62, 0x6a, 0x6a, 0x72, 0x72, 0x73, 0x73, 0x6c, 0x6c, 0x5f, 0x5f, 0x51, 0x51, 0x49, 0x49, 0x48, 0x48, 0x4d, 0x4d, 
0x55, 0x55, 0x5c, 0x5c, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x67, 0x67, 0x71, 0x71, 0x7e, 0x7e, 0x8e, 0x8e, 0x9f, 0x9f, 0xaf, 0xaf, 0xb8, 0xb8, 
0xb6, 0xb6, 0xa7, 0xa7, 0x8f, 0x8f, 0x74, 0x74, 0x5b, 0x5b, 0x47, 0x47, 0x37, 0x37, 0x2b, 0x2b, 0x21, 0x21, 0x17, 0x17, 0x0e, 0x0e, 0x08, 0x08, 0x06, 0x06, 
0x0a, 0x0a, 0x11, 0x11, 0x1b, 0x1b, 0x25, 0x25, 0x2f, 0x2f, 0x38, 0x38, 0x43, 0x43, 0x52, 0x52, 0x66, 0x66, 0x7e, 0x7e, 0x95, 0x95, 0xaa, 0xaa, 0xbb, 0xbb, 
0xc8, 0xc8, 0xd2, 0xd2, 0xda, 0xda, 0xe0, 0xe0, 0xe5, 0xe5, 0xe9, 0xe9, 0xed, 0xed, 0xf1, 0xf1, 0xf4, 0xf4, 0xf7, 0xf7, 0xfa, 0xfa, 0xfc, 0xfc, 0xfd, 0xfd, 
0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf4, 0xf4, 0xe3, 0xe3, 0xc7, 0xc7, 0xa5, 0xa5, 0x80, 0x80, 0x5f, 0x5f, 0x42, 0x42, 0x2b, 0x2b, 0x1b, 0x1b, 
0x10, 0x10, 0x0b, 0x0b, 0x0c, 0x0c, 0x12, 0x12, 0x20, 0x20, 0x35, 0x35, 0x4e, 0x4e, 0x65, 0x65, 0x78, 0x78, 0x83, 0x83, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 
0x8a, 0x8a, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x89, 0x89, 0x83, 0x83, 0x78, 0x78, 0x66, 0x66, 0x4e, 0x4e, 0x34, 0x34, 0x21, 0x21, 0x1a, 0x1a, 0x24, 0x24, 
0x3a, 0x3a, 0x56, 0x56, 0x73, 0x73, 0x8d, 0x8d, 0xa2, 0xa2, 0xb2, 0xb2, 0xbf, 0xbf, 0xc7, 0xc7, 0xcd, 0xcd, 0xd0, 0xd0, 0xd2, 0xd2, 0xd2, 0xd2, 0xd1, 0xd1, 
0xd0, 0xd0, 0xce, 0xce, 0xcd, 0xcd, 0xcb, 0xcb, 0xc8, 0xc8, 0xc3, 0xc3, 0xbd, 0xbd, 0xb5, 0xb5, 0xae, 0xae, 0xa9, 0xa9, 0xa7, 0xa7, 0xa7, 0xa7, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa2, 0xa2, 0x9b, 0x9b, 0x8e, 0x8e, 0x7b, 0x7b, 0x61, 0x61, 0x44, 0x44, 0x28, 0x28, 0x13, 0x13, 0x07, 0x07, 0x03, 0x03, 0x07, 0x07, 0x13, 0x13, 
0x25, 0x25, 0x3b, 0x3b, 0x52, 0x52, 0x69, 0x69, 0x7d, 0x7d, 0x8f, 0x8f, 0x9d, 0x9d, 0xa7, 0xa7, 0xac, 0xac, 0xad, 0xad, 0xae, 0xae, 0xb0, 0xb0, 0xb4, 0xb4, 
0xb9, 0xb9, 0xbe, 0xbe, 0xc0, 0xc0, 0xbe, 0xbe, 0xba, 0xba, 0xb5, 0xb5, 0xb1, 0xb1, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 0xa8, 0xa8, 0xa1, 0xa1, 0x98, 0x98, 
0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x83, 0x83, 0x7e, 0x7e, 0x75, 0x75, 0x68, 0x68, 0x59, 0x59, 0x47, 0x47, 0x36, 0x36, 0x2b, 0x2b, 
0x29, 0x29, 0x33, 0x33, 0x45, 0x45, 0x59, 0x59, 0x68, 0x68, 0x70, 0x70, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x7e, 0x7e, 0x83, 0x83, 0x84, 0x84, 
0x80, 0x80, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x59, 0x59, 0x5e, 0x5e, 0x68, 0x68, 0x75, 0x75, 0x82, 0x82, 0x8c, 0x8c, 0x92, 0x92, 
0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 0x84, 0x84, 0x7b, 0x7b, 0x6f, 0x6f, 0x62, 0x62, 0x58, 0x58, 0x55, 0x55, 0x5a, 0x5a, 0x65, 0x65, 
0x74, 0x74, 0x82, 0x82, 0x8e, 0x8e, 0x98, 0x98, 0x9c, 0x9c, 0x99, 0x99, 0x91, 0x91, 0x84, 0x84, 0x76, 0x76, 0x6a, 0x6a, 0x61, 0x61, 0x5c, 0x5c, 0x5a, 0x5a, 
0x5b, 0x5b, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x6f, 0x6f, 0x73, 0x73, 0x77, 0x77, 0x7e, 0x7e, 0x89, 0x89, 0x9b, 0x9b, 0xb0, 0xb0, 0xc6, 0xc6, 0xd8, 0xd8, 
0xe4, 0xe4, 0xec, 0xec, 0xf1, 0xf1, 0xf5, 0xf5, 0xf8, 0xf8, 0xfa, 0xfa, 0xfa, 0xfa, 0xf7, 0xf7, 0xef, 0xef, 0xe2, 0xe2, 0xce, 0xce, 0xaf, 0xaf, 0x86, 0x86, 
0x59, 0x59, 0x2f, 0x2f, 0x11, 0x11, 0x01, 0x01, 0x00, 0x00, 0x02, 0x02, 0x08, 0x08, 0x0e, 0x0e, 0x14, 0x14, 0x1b, 0x1b, 0x25, 0x25, 0x34, 0x34, 0x44, 0x44, 
0x54, 0x54, 0x5e, 0x5e, 0x62, 0x62, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x64, 0x64, 0x6d, 0x6d, 0x7b, 0x7b, 0x8b, 0x8b, 0x9d, 0x9d, 0xac, 0xac, 
0xb3, 0xb3, 0xb3, 0xb3, 0xad, 0xad, 0xa7, 0xa7, 0xa6, 0xa6, 0xab, 0xab, 0xb4, 0xb4, 0xbf, 0xbf, 0xc6, 0xc6, 0xc7, 0xc7, 0xc3, 0xc3, 0xbb, 0xbb, 0xb2, 0xb2, 
0xa8, 0xa8, 0xa0, 0xa0, 0x9a, 0x9a, 0x98, 0x98, 0x9a, 0x9a, 0xa0, 0xa0, 0xa8, 0xa8, 0xb4, 0xb4, 0xc1, 0xc1, 0xce, 0xce, 0xda, 0xda, 0xe3, 0xe3, 0xe7, 0xe7, 
0xe8, 0xe8, 0xe5, 0xe5, 0xde, 0xde, 0xd5, 0xd5, 0xc7, 0xc7, 0xb7, 0xb7, 0xa2, 0xa2, 0x8a, 0x8a, 0x6f, 0x6f, 0x55, 0x55, 0x3d, 0x3d, 0x29, 0x29, 0x19, 0x19, 
0x0e, 0x0e, 0x07, 0x07, 0x06, 0x06, 0x09, 0x09, 0x10, 0x10, 0x1c, 0x1c, 0x2c, 0x2c, 0x40, 0x40, 0x55, 0x55, 0x6a, 0x6a, 0x7e, 0x7e, 0x90, 0x90, 0x9e, 0x9e, 
0xa6, 0xa6, 0xa7, 0xa7, 0xa5, 0xa5, 0xa4, 0xa4, 0xa8, 0xa8, 0xb3, 0xb3, 0xc3, 0xc3, 0xd1, 0xd1, 0xd8, 0xd8, 0xd5, 0xd5, 0xcc, 0xcc, 0xc1, 0xc1, 0xbb, 0xbb, 
0xbb, 0xbb, 0xc0, 0xc0, 0xc6, 0xc6, 0xc7, 0xc7, 0xc2, 0xc2, 0xb7, 0xb7, 0xa6, 0xa6, 0x8f, 0x8f, 0x75, 0x75, 0x5b, 0x5b, 0x46, 0x46, 0x3b, 0x3b, 0x3d, 0x3d, 
0x47, 0x47, 0x52, 0x52, 0x58, 0x58, 0x56, 0x56, 0x50, 0x50, 0x4a, 0x4a, 0x4c, 0x4c, 0x59, 0x59, 0x6d, 0x6d, 0x81, 0x81, 0x90, 0x90, 0x96, 0x96, 0x94, 0x94, 
0x8d, 0x8d, 0x85, 0x85, 0x7d, 0x7d, 0x77, 0x77, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x73, 0x73, 0x6d, 0x6d, 0x63, 0x63, 0x57, 0x57, 0x4e, 0x4e, 
0x50, 0x50, 0x5c, 0x5c, 0x71, 0x71, 0x88, 0x88, 0x9c, 0x9c, 0xa8, 0xa8, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xad, 0xad, 
0xa1, 0xa1, 0x8f, 0x8f, 0x7b, 0x7b, 0x66, 0x66, 0x51, 0x51, 0x3f, 0x3f, 0x34, 0x34, 0x31, 0x31, 0x37, 0x37, 0x43, 0x43, 0x50, 0x50, 0x58, 0x58, 0x5a, 0x5a, 
0x57, 0x57, 0x55, 0x55, 0x59, 0x59, 0x64, 0x64, 0x75, 0x75, 0x86, 0x86, 0x93, 0x93, 0x98, 0x98, 0x96, 0x96, 0x8e, 0x8e, 0x7f, 0x7f, 0x6d, 0x6d, 0x5b, 0x5b, 
0x4f, 0x4f, 0x51, 0x51, 0x62, 0x62, 0x7d, 0x7d, 0x9c, 0x9c, 0xb8, 0xb8, 0xcc, 0xcc, 0xda, 0xda, 0xe3, 0xe3, 0xea, 0xea, 0xf0, 0xf0, 0xf4, 0xf4, 0xf3, 0xf3, 
0xe9, 0xe9, 0xd6, 0xd6, 0xbb, 0xbb, 0x9a, 0x9a, 0x77, 0x77, 0x52, 0x52, 0x2f, 0x2f, 0x13, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0b, 0x0b, 
0x18, 0x18, 0x26, 0x26, 0x36, 0x36, 0x4b, 0x4b, 0x63, 0x63, 0x7c, 0x7c, 0x91, 0x91, 0x9d, 0x9d, 0xa0, 0xa0, 0x9c, 0x9c, 0x97, 0x97, 0x97, 0x97, 0xa0, 0xa0, 
0xae, 0xae, 0xbd, 0xbd, 0xc6, 0xc6, 0xc9, 0xc9, 0xc4, 0xc4, 0xb9, 0xb9, 0xa9, 0xa9, 0x96, 0x96, 0x84, 0x84, 0x79, 0x79, 0x79, 0x79, 0x86, 0x86, 0x9b, 0x9b, 
0xb1, 0xb1, 0xbe, 0xbe, 0xc0, 0xc0, 0xb8, 0xb8, 0xaa, 0xaa, 0x97, 0x97, 0x84, 0x84, 0x73, 0x73, 0x67, 0x67, 0x61, 0x61, 0x64, 0x64, 0x6e, 0x6e, 0x7c, 0x7c, 
0x8f, 0x8f, 0xa5, 0xa5, 0xbb, 0xbb, 0xcf, 0xcf, 0xdc, 0xdc, 0xe3, 0xe3, 0xe3, 0xe3, 0xdb, 0xdb, 0xcc, 0xcc, 0xb6, 0xb6, 0x9b, 0x9b, 0x7d, 0x7d, 0x5f, 0x5f, 
0x41, 0x41, 0x26, 0x26, 0x10, 0x10, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x15, 0x15, 0x2b, 0x2b, 0x46, 0x46, 0x63, 0x63, 0x82, 0x82, 0xa2, 0xa2, 
0xbf, 0xbf, 0xd7, 0xd7, 0xe4, 0xe4, 0xe7, 0xe7, 0xe2, 0xe2, 0xd8, 0xd8, 0xce, 0xce, 0xc4, 0xc4, 0xbe, 0xbe, 0xbb, 0xbb, 0xbc, 0xbc, 0xc0, 0xc0, 0xc6, 0xc6, 
0xc9, 0xc9, 0xc7, 0xc7, 0xbe, 0xbe, 0xb2, 0xb2, 0xa7, 0xa7, 0xa2, 0xa2, 0xa5, 0xa5, 0xae, 0xae, 0xb6, 0xb6, 0xb7, 0xb7, 0xaf, 0xaf, 0x9f, 0x9f, 0x8d, 0x8d, 
0x7a, 0x7a, 0x6b, 0x6b, 0x60, 0x60, 0x58, 0x58, 0x54, 0x54, 0x52, 0x52, 0x53, 0x53, 0x56, 0x56, 0x5a, 0x5a, 0x61, 0x61, 0x69, 0x69, 0x74, 0x74, 0x84, 0x84, 
0x97, 0x97, 0xab, 0xab, 0xbb, 0xbb, 0xc2, 0xc2, 0xbe, 0xbe, 0xb2, 0xb2, 0xa1, 0xa1, 0x91, 0x91, 0x83, 0x83, 0x78, 0x78, 0x6e, 0x6e, 0x64, 0x64, 0x5a, 0x5a, 
0x51, 0x51, 0x4d, 0x4d, 0x52, 0x52, 0x61, 0x61, 0x79, 0x79, 0x93, 0x93, 0xab, 0xab, 0xbe, 0xbe, 0xcb, 0xcb, 0xd1, 0xd1, 0xcd, 0xcd, 0xbf, 0xbf, 0xac, 0xac, 
0x96, 0x96, 0x81, 0x81, 0x70, 0x70, 0x62, 0x62, 0x56, 0x56, 0x4d, 0x4d, 0x45, 0x45, 0x3e, 0x3e, 0x38, 0x38, 0x35, 0x35, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 
0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x33, 0x33, 0x36, 0x36, 0x3a, 0x3a, 0x41, 0x41, 0x49, 0x49, 0x51, 0x51, 0x58, 0x58, 0x60, 0x60, 0x67, 0x67, 0x6f, 0x6f, 
0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x93, 0x93, 0x9c, 0x9c, 0xa5, 0xa5, 0xb0, 0xb0, 0xbe, 0xbe, 0xce, 0xce, 0xe0, 0xe0, 0xef, 0xef, 0xf7, 0xf7, 0xf8, 0xf8, 
0xf3, 0xf3, 0xec, 0xec, 0xe6, 0xe6, 0xe3, 0xe3, 0xe0, 0xe0, 0xdc, 0xdc, 0xd2, 0xd2, 0xc1, 0xc1, 0xaa, 0xaa, 0x8e, 0x8e, 0x6f, 0x6f, 0x4d, 0x4d, 0x2d, 0x2d, 
0x12, 0x12, 0x03, 0x03, 0x00, 0x00, 0x05, 0x05, 0x10, 0x10, 0x1c, 0x1c, 0x29, 0x29, 0x34, 0x34, 0x40, 0x40, 0x4e, 0x4e, 0x5e, 0x5e, 0x6f, 0x6f, 0x7c, 0x7c, 
0x81, 0x81, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x67, 0x67, 0x6f, 0x6f, 0x7e, 0x7e, 0x91, 0x91, 0xa1, 0xa1, 0xac, 0xac, 0xb1, 0xb1, 0xb0, 0xb0, 0xa7, 0xa7, 
0x99, 0x99, 0x88, 0x88, 0x7d, 0x7d, 0x7c, 0x7c, 0x89, 0x89, 0x9e, 0x9e, 0xb4, 0xb4, 0xc2, 0xc2, 0xc7, 0xc7, 0xc2, 0xc2, 0xb8, 0xb8, 0xad, 0xad, 0xa4, 0xa4, 
0x9d, 0x9d, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8d, 0x8d, 0x8d, 0x8d, 0x91, 0x91, 0x9b, 0x9b, 0xa7, 0xa7, 0xb3, 0xb3, 0xbc, 0xbc, 0xbf, 0xbf, 0xbc, 0xbc, 
0xb2, 0xb2, 0xa0, 0xa0, 0x87, 0x87, 0x6a, 0x6a, 0x4e, 0x4e, 0x37, 0x37, 0x27, 0x27, 0x1e, 0x1e, 0x1a, 0x1a, 0x19, 0x19, 0x1b, 0x1b, 0x1e, 0x1e, 0x22, 0x22, 
0x28, 0x28, 0x30, 0x30, 0x3a, 0x3a, 0x45, 0x45, 0x54, 0x54, 0x64, 0x64, 0x75, 0x75, 0x87, 0x87, 0x99, 0x99, 0xaa, 0xaa, 0xba, 0xba, 0xc6, 0xc6, 0xcc, 0xcc, 
0xcd, 0xcd, 0xc9, 0xc9, 0xc4, 0xc4, 0xbf, 0xbf, 0xbb, 0xbb, 0xba, 0xba, 0xb8, 0xb8, 0xb7, 0xb7, 0xb6, 0xb6, 0xb4, 0xb4, 0xb4, 0xb4, 0xb6, 0xb6, 0xba, 0xba, 
0xc1, 0xc1, 0xc7, 0xc7, 0xca, 0xca, 0xca, 0xca, 0xc6, 0xc6, 0xbe, 0xbe, 0xb3, 0xb3, 0xa6, 0xa6, 0x97, 0x97, 0x8a, 0x8a, 0x7f, 0x7f, 0x79, 0x79, 0x77, 0x77, 
0x77, 0x77, 0x79, 0x79, 0x7e, 0x7e, 0x83, 0x83, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x96, 0x96, 0x96, 0x96, 0x92, 0x92, 0x88, 0x88, 0x7a, 0x7a, 0x6b, 0x6b, 
0x5f, 0x5f, 0x55, 0x55, 0x4d, 0x4d, 0x45, 0x45, 0x3b, 0x3b, 0x2d, 0x2d, 0x1f, 0x1f, 0x14, 0x14, 0x11, 0x11, 0x17, 0x17, 0x25, 0x25, 0x39, 0x39, 0x4f, 0x4f, 
0x66, 0x66, 0x7c, 0x7c, 0x8e, 0x8e, 0x99, 0x99, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x9c, 0x9c, 0x9e, 0x9e, 0xa2, 0xa2, 0xa4, 0xa4, 0xa4, 0xa4, 0x9f, 0x9f, 
0x98, 0x98, 0x92, 0x92, 0x92, 0x92, 0x98, 0x98, 0xa4, 0xa4, 0xb0, 0xb0, 0xb7, 0xb7, 0xb9, 0xb9, 0xb6, 0xb6, 0xaf, 0xaf, 0xa7, 0xa7, 0x9f, 0x9f, 0x97, 0x97, 
0x91, 0x91, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x7d, 0x7d, 0x74, 0x74, 0x67, 0x67, 0x59, 0x59, 0x51, 0x51, 0x55, 0x55, 0x65, 0x65, 0x7e, 0x7e, 0x9a, 0x9a, 
0xb4, 0xb4, 0xc7, 0xc7, 0xd4, 0xd4, 0xdd, 0xdd, 0xe5, 0xe5, 0xec, 0xec, 0xf3, 0xf3, 0xf7, 0xf7, 0xf7, 0xf7, 0xf1, 0xf1, 0xe4, 0xe4, 0xcf, 0xcf, 0xaf, 0xaf, 
0x85, 0x85, 0x56, 0x56, 0x2b, 0x2b, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x0d, 0x0d, 0x14, 0x14, 0x1d, 0x1d, 0x29, 0x29, 0x39, 0x39, 
0x4c, 0x4c, 0x5c, 0x5c, 0x68, 0x68, 0x6c, 0x6c, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x66, 0x66, 0x6c, 0x6c, 0x78, 0x78, 0x8d, 0x8d, 0xab, 0xab, 0xcb, 0xcb, 
0xe7, 0xe7, 0xf6, 0xf6, 0xf6, 0xf6, 0xe8, 0xe8, 0xd4, 0xd4, 0xbd, 0xbd, 0xa8, 0xa8, 0x97, 0x97, 0x8b, 0x8b, 0x87, 0x87, 0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 
0x97, 0x97, 0x95, 0x95, 0x8d, 0x8d, 0x81, 0x81, 0x72, 0x72, 0x62, 0x62, 0x52, 0x52, 0x47, 0x47, 0x43, 0x43, 0x48, 0x48, 0x54, 0x54, 0x66, 0x66, 0x7a, 0x7a, 
0x8f, 0x8f, 0xa3, 0xa3, 0xb1, 0xb1, 0xb7, 0xb7, 0xb2, 0xb2, 0xa7, 0xa7, 0x99, 0x99, 0x8d, 0x8d, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x71, 0x71, 0x64, 0x64, 
0x54, 0x54, 0x43, 0x43, 0x36, 0x36, 0x2e, 0x2e, 0x2b, 0x2b, 0x2d, 0x2d, 0x35, 0x35, 0x43, 0x43, 0x55, 0x55, 0x68, 0x68, 0x7a, 0x7a, 0x8a, 0x8a, 0x97, 0x97, 
0xa0, 0xa0, 0xa4, 0xa4, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 0x92, 0x92, 0x93, 0x93, 0x97, 0x97, 0xa0, 0xa0, 0xac, 0xac, 0xbc, 0xbc, 0xcd, 0xcd, 0xdb, 0xdb, 
0xe4, 0xe4, 0xe7, 0xe7, 0xe3, 0xe3, 0xdd, 0xdd, 0xd5, 0xd5, 0xcd, 0xcd, 0xc4, 0xc4, 0xb9, 0xb9, 0xab, 0xab, 0x99, 0x99, 0x85, 0x85, 0x72, 0x72, 0x63, 0x63, 
0x5b, 0x5b, 0x57, 0x57, 0x54, 0x54, 0x50, 0x50, 0x4b, 0x4b, 0x44, 0x44, 0x3f, 0x3f, 0x3f, 0x3f, 0x45, 0x45, 0x51, 0x51, 0x5e, 0x5e, 0x6a, 0x6a, 0x72, 0x72, 
0x77, 0x77, 0x76, 0x76, 0x6f, 0x6f, 0x61, 0x61, 0x50, 0x50, 0x40, 0x40, 0x35, 0x35, 0x32, 0x32, 0x34, 0x34, 0x38, 0x38, 0x3a, 0x3a, 0x39, 0x39, 0x37, 0x37, 
0x36, 0x36, 0x3b, 0x3b, 0x48, 0x48, 0x59, 0x59, 0x6c, 0x6c, 0x7b, 0x7b, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 0x94, 0x94, 0x9a, 0x9a, 0xa0, 0xa0, 
0xa8, 0xa8, 0xaf, 0xaf, 0xb5, 0xb5, 0xba, 0xba, 0xbb, 0xbb, 0xbb, 0xbb, 0xb8, 0xb8, 0xb5, 0xb5, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb3, 0xb3, 0xac, 0xac, 
0x9e, 0x9e, 0x8d, 0x8d, 0x7c, 0x7c, 0x6f, 0x6f, 0x68, 0x68, 0x68, 0x68, 0x6c, 0x6c, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x8b, 0x8b, 0x8f, 0x8f, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8b, 0x8b, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x93, 0x93, 0x9c, 0x9c, 0xa8, 0xa8, 0xb6, 0xb6, 0xc4, 0xc4, 0xd0, 0xd0, 0xda, 0xda, 0xe1, 0xe1, 
0xe7, 0xe7, 0xec, 0xec, 0xf1, 0xf1, 0xf5, 0xf5, 0xf2, 0xf2, 0xe6, 0xe6, 0xce, 0xce, 0xae, 0xae, 0x8a, 0x8a, 0x66, 0x66, 0x44, 0x44, 0x26, 0x26, 0x0e, 0x0e, 
0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x0d, 0x0d, 0x13, 0x13, 0x19, 0x19, 0x22, 0x22, 0x32, 0x32, 0x4b, 0x4b, 0x68, 0x68, 0x85, 0x85, 0x9d, 0x9d, 
0xad, 0xad, 0xb7, 0xb7, 0xbd, 0xbd, 0xc4, 0xc4, 0xcd, 0xcd, 0xd8, 0xd8, 0xe3, 0xe3, 0xed, 0xed, 0xf4, 0xf4, 0xf7, 0xf7, 0xf1, 0xf1, 0xe2, 0xe2, 0xc7, 0xc7, 
0xa7, 0xa7, 0x88, 0x88, 0x72, 0x72, 0x68, 0x68, 0x69, 0x69, 0x71, 0x71, 0x7d, 0x7d, 0x8a, 0x8a, 0x95, 0x95, 0x9e, 0x9e, 0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 
0x93, 0x93, 0x8a, 0x8a, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 0x73, 0x73, 0x79, 0x79, 0x83, 0x83, 0x8f, 0x8f, 0x99, 0x99, 0xa0, 0xa0, 0xa3, 0xa3, 0xa0, 0xa0, 
0x98, 0x98, 0x8a, 0x8a, 0x78, 0x78, 0x65, 0x65, 0x54, 0x54, 0x46, 0x46, 0x3c, 0x3c, 0x34, 0x34, 0x2f, 0x2f, 0x2a, 0x2a, 0x27, 0x27, 0x24, 0x24, 0x22, 0x22, 
0x21, 0x21, 0x23, 0x23, 0x2b, 0x2b, 0x3c, 0x3c, 0x59, 0x59, 0x7d, 0x7d, 0xa2, 0xa2, 0xc2, 0xc2, 0xdb, 0xdb, 0xec, 0xec, 0xf3, 0xf3, 0xf0, 0xf0, 0xe4, 0xe4, 
0xd2, 0xd2, 0xbf, 0xbf, 0xb0, 0xb0, 0xa7, 0xa7, 0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x8d, 0x8d, 0x85, 0x85, 0x81, 0x81, 0x80, 0x80, 0x83, 0x83, 
0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x8e, 0x8e, 0x87, 0x87, 0x7b, 0x7b, 0x6d, 0x6d, 0x60, 0x60, 0x57, 0x57, 0x52, 0x52, 0x51, 0x51, 0x51, 0x51, 
0x4f, 0x4f, 0x4a, 0x4a, 0x43, 0x43, 0x3e, 0x3e, 0x3c, 0x3c, 0x3f, 0x3f, 0x47, 0x47, 0x50, 0x50, 0x58, 0x58, 0x5e, 0x5e, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 
0x68, 0x68, 0x6a, 0x6a, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x66, 0x66, 0x63, 0x63, 0x5f, 0x5f, 0x5c, 0x5c, 0x59, 0x59, 0x59, 0x59, 0x5f, 0x5f, 0x6b, 0x6b, 
0x7b, 0x7b, 0x8b, 0x8b, 0x98, 0x98, 0xa1, 0xa1, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa8, 0xa8, 0xa5, 0xa5, 0x9f, 0x9f, 0x97, 0x97, 
0x8d, 0x8d, 0x82, 0x82, 0x76, 0x76, 0x6a, 0x6a, 0x61, 0x61, 0x5b, 0x5b, 0x5a, 0x5a, 0x5b, 0x5b, 0x5e, 0x5e, 0x60, 0x60, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5e, 0x5e, 0x62, 0x62, 0x68, 0x68, 0x71, 0x71, 0x7b, 0x7b, 0x87, 0x87, 0x93, 0x93, 0x9d, 0x9d, 0xa6, 0xa6, 0xad, 0xad, 0xb5, 0xb5, 0xbe, 0xbe, 
0xc9, 0xc9, 0xd5, 0xd5, 0xe1, 0xe1, 0xe9, 0xe9, 0xef, 0xef, 0xf2, 0xf2, 0xf4, 0xf4, 0xf5, 0xf5, 0xf7, 0xf7, 0xf9, 0xf9, 0xf9, 0xf9, 0xf5, 0xf5, 0xed, 0xed, 
0xdf, 0xdf, 0xcb, 0xcb, 0xad, 0xad, 0x87, 0x87, 0x5d, 0x5d, 0x36, 0x36, 0x19, 0x19, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x04, 0x04, 0x07, 0x07, 
0x0a, 0x0a, 0x10, 0x10, 0x1a, 0x1a, 0x26, 0x26, 0x35, 0x35, 0x47, 0x47, 0x5a, 0x5a, 0x6e, 0x6e, 0x81, 0x81, 0x90, 0x90, 0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 
0xb2, 0xb2, 0xbc, 0xbc, 0xc5, 0xc5, 0xca, 0xca, 0xc8, 0xc8, 0xbc, 0xbc, 0xaa, 0xaa, 0x97, 0x97, 0x87, 0x87, 0x7d, 0x7d, 0x7b, 0x7b, 0x80, 0x80, 0x8e, 0x8e, 
0xa4, 0xa4, 0xbd, 0xbd, 0xd5, 0xd5, 0xe7, 0xe7, 0xf1, 0xf1, 0xf3, 0xf3, 0xf0, 0xf0, 0xea, 0xea, 0xe3, 0xe3, 0xdc, 0xdc, 0xd5, 0xd5, 0xd0, 0xd0, 0xcd, 0xcd, 
0xcb, 0xcb, 0xc7, 0xc7, 0xbf, 0xbf, 0xb5, 0xb5, 0xa6, 0xa6, 0x94, 0x94, 0x7f, 0x7f, 0x68, 0x68, 0x50, 0x50, 0x3a, 0x3a, 0x29, 0x29, 0x1e, 0x1e, 0x18, 0x18, 
0x16, 0x16, 0x18, 0x18, 0x1c, 0x1c, 0x20, 0x20, 0x24, 0x24, 0x25, 0x25, 0x22, 0x22, 0x1e, 0x1e, 0x1a, 0x1a, 0x19, 0x19, 0x1d, 0x1d, 0x25, 0x25, 0x35, 0x35, 
0x4e, 0x4e, 0x6f, 0x6f, 0x95, 0x95, 0xb7, 0xb7, 0xd0, 0xd0, 0xdd, 0xdd, 0xe0, 0xe0, 0xdc, 0xdc, 0xd6, 0xd6, 0xd1, 0xd1, 0xce, 0xce, 0xcd, 0xcd, 0xcf, 0xcf, 
0xd3, 0xd3, 0xd7, 0xd7, 0xd8, 0xd8, 0xd1, 0xd1, 0xc1, 0xc1, 0xad, 0xad, 0x9c, 0x9c, 0x93, 0x93, 0x95, 0x95, 0x9f, 0x9f, 0xa9, 0xa9, 0xae, 0xae, 0xaa, 0xaa, 
0x9e, 0x9e, 0x8d, 0x8d, 0x7b, 0x7b, 0x69, 0x69, 0x5a, 0x5a, 0x4d, 0x4d, 0x44, 0x44, 0x3e, 0x3e, 0x3a, 0x3a, 0x37, 0x37, 0x35, 0x35, 0x32, 0x32, 0x30, 0x30, 
0x2f, 0x2f, 0x31, 0x31, 0x36, 0x36, 0x3c, 0x3c, 0x40, 0x40, 0x3d, 0x3d, 0x34, 0x34, 0x27, 0x27, 0x1b, 0x1b, 0x14, 0x14, 0x15, 0x15, 0x1c, 0x1c, 0x26, 0x26, 
0x2e, 0x2e, 0x32, 0x32, 0x34, 0x34, 0x38, 0x38, 0x40, 0x40, 0x4f, 0x4f, 0x63, 0x63, 0x79, 0x79, 0x91, 0x91, 0xa8, 0xa8, 0xbd, 0xbd, 0xce, 0xce, 0xda, 0xda, 
0xe0, 0xe0, 0xe2, 0xe2, 0xe2, 0xe2, 0xe2, 0xe2, 0xe2, 0xe2, 0xe4, 0xe4, 0xe4, 0xe4, 0xe0, 0xe0, 0xda, 0xda, 0xd0, 0xd0, 0xc5, 0xc5, 0xbb, 0xbb, 0xb3, 0xb3, 
0xab, 0xab, 0xa3, 0xa3, 0x98, 0x98, 0x89, 0x89, 0x79, 0x79, 0x69, 0x69, 0x5d, 0x5d, 0x56, 0x56, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 
0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x60, 0x60, 0x65, 0x65, 0x68, 0x68, 0x69, 0x69, 0x68, 0x68, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7e, 0x7e, 0x8d, 0x8d, 
0x9d, 0x9d, 0xb0, 0xb0, 0xc1, 0xc1, 0xd1, 0xd1, 0xdb, 0xdb, 0xe1, 0xe1, 0xe2, 0xe2, 0xe2, 0xe2, 0xe3, 0xe3, 0xe7, 0xe7, 0xea, 0xea, 0xe9, 0xe9, 0xde, 0xde, 
0xc9, 0xc9, 0xab, 0xab, 0x89, 0x89, 0x68, 0x68, 0x4b, 0x4b, 0x33, 0x33, 0x21, 0x21, 0x18, 0x18, 0x17, 0x17, 0x1e, 0x1e, 0x2c, 0x2c, 0x41, 0x41, 0x5e, 0x5e, 
0x7d, 0x7d, 0x98, 0x98, 0xaa, 0xaa, 0xb1, 0xb1, 0xae, 0xae, 0xa6, 0xa6, 0x9b, 0x9b, 0x92, 0x92, 0x8b, 0x8b, 0x88, 0x88, 0x8d, 0x8d, 0x98, 0x98, 0xa7, 0xa7, 
0xb1, 0xb1, 0xb1, 0xb1, 0xa5, 0xa5, 0x90, 0x90, 0x7a, 0x7a, 0x69, 0x69, 0x61, 0x61, 0x61, 0x61, 0x65, 0x65, 0x6d, 0x6d, 0x75, 0x75, 0x7b, 0x7b, 0x7f, 0x7f, 
0x7e, 0x7e, 0x79, 0x79, 0x70, 0x70, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 0x54, 0x54, 0x57, 0x57, 0x64, 0x64, 0x7a, 0x7a, 0x96, 0x96, 0xb1, 0xb1, 0xc5, 0xc5, 
0xce, 0xce, 0xce, 0xce, 0xc5, 0xc5, 0xb5, 0xb5, 0x9e, 0x9e, 0x85, 0x85, 0x6e, 0x6e, 0x5d, 0x5d, 0x54, 0x54, 0x50, 0x50, 0x4e, 0x4e, 0x4b, 0x4b, 0x46, 0x46, 
0x3f, 0x3f, 0x39, 0x39, 0x38, 0x38, 0x3d, 0x3d, 0x45, 0x45, 0x4e, 0x4e, 0x55, 0x55, 0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x62, 0x62, 0x6e, 0x6e, 0x7f, 0x7f, 
0x8f, 0x8f, 0x9d, 0x9d, 0xa6, 0xa6, 0xac, 0xac, 0xb1, 0xb1, 0xb7, 0xb7, 0xbf, 0xbf, 0xc9, 0xc9, 0xd0, 0xd0, 0xd0, 0xd0, 0xc9, 0xc9, 0xba, 0xba, 0xa6, 0xa6, 
0x8e, 0x8e, 0x74, 0x74, 0x5b, 0x5b, 0x4b, 0x4b, 0x4a, 0x4a, 0x57, 0x57, 0x6f, 0x6f, 0x86, 0x86, 0x91, 0x91, 0x8e, 0x8e, 0x7e, 0x7e, 0x6c, 0x6c, 0x5f, 0x5f, 
0x5c, 0x5c, 0x60, 0x60, 0x69, 0x69, 0x72, 0x72, 0x77, 0x77, 0x79, 0x79, 0x77, 0x77, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x69, 0x69, 0x69, 0x69, 0x6b, 0x6b, 
0x6d, 0x6d, 0x6d, 0x6d, 0x66, 0x66, 0x58, 0x58, 0x46, 0x46, 0x36, 0x36, 0x2f, 0x2f, 0x31, 0x31, 0x3b, 0x3b, 0x48, 0x48, 0x52, 0x52, 0x56, 0x56, 0x57, 0x57, 
0x58, 0x58, 0x5e, 0x5e, 0x6c, 0x6c, 0x7f, 0x7f, 0x92, 0x92, 0xa0, 0xa0, 0xa8, 0xa8, 0xa9, 0xa9, 0xa3, 0xa3, 0x97, 0x97, 0x87, 0x87, 0x74, 0x74, 0x65, 0x65, 
0x5b, 0x5b, 0x5a, 0x5a, 0x5e, 0x5e, 0x64, 0x64, 0x68, 0x68, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x66, 0x66, 0x6d, 0x6d, 0x76, 0x76, 0x7e, 0x7e, 0x80, 0x80, 
0x7b, 0x7b, 0x6f, 0x6f, 0x63, 0x63, 0x5a, 0x5a, 0x57, 0x57, 0x5a, 0x5a, 0x62, 0x62, 0x6f, 0x6f, 0x81, 0x81, 0x93, 0x93, 0xa3, 0xa3, 0xae, 0xae, 0xb3, 0xb3, 
0xb3, 0xb3, 0xb3, 0xb3, 0xb6, 0xb6, 0xbd, 0xbd, 0xc7, 0xc7, 0xcf, 0xcf, 0xd1, 0xd1, 0xcc, 0xcc, 0xc2, 0xc2, 0xb6, 0xb6, 0xad, 0xad, 0xa9, 0xa9, 0xaa, 0xaa, 
0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xba, 0xba, 0xbf, 0xbf, 0xc4, 0xc4, 0xcc, 0xcc, 0xd5, 0xd5, 0xde, 0xde, 0xe7, 0xe7, 0xee, 0xee, 0xf1, 0xf1, 0xea, 0xea, 
0xd5, 0xd5, 0xb1, 0xb1, 0x83, 0x83, 0x55, 0x55, 0x2f, 0x2f, 0x15, 0x15, 0x09, 0x09, 0x06, 0x06, 0x0b, 0x0b, 0x17, 0x17, 0x27, 0x27, 0x3a, 0x3a, 0x50, 0x50, 
0x69, 0x69, 0x82, 0x82, 0x97, 0x97, 0xa5, 0xa5, 0xab, 0xab, 0xa9, 0xa9, 0xa3, 0xa3, 0x9d, 0x9d, 0x98, 0x98, 0x96, 0x96, 0x98, 0x98, 0xa1, 0xa1, 0xae, 0xae, 
0xbd, 0xbd, 0xc5, 0xc5, 0xbe, 0xbe, 0xa7, 0xa7, 0x86, 0x86, 0x66, 0x66, 0x55, 0x55, 0x56, 0x56, 0x66, 0x66, 0x80, 0x80, 0x9b, 0x9b, 0xb4, 0xb4, 0xc6, 0xc6, 
0xcf, 0xcf, 0xcb, 0xcb, 0xbb, 0xbb, 0xa2, 0xa2, 0x89, 0x89, 0x75, 0x75, 0x68, 0x68, 0x63, 0x63, 0x62, 0x62, 0x63, 0x63, 0x64, 0x64, 0x64, 0x64, 0x63, 0x63, 
0x63, 0x63, 0x63, 0x63, 0x62, 0x62, 0x5f, 0x5f, 0x57, 0x57, 0x4b, 0x4b, 0x3c, 0x3c, 0x2e, 0x2e, 0x24, 0x24, 0x20, 0x20, 0x20, 0x20, 0x22, 0x22, 0x21, 0x21, 
0x1e, 0x1e, 0x18, 0x18, 0x12, 0x12, 0x10, 0x10, 0x13, 0x13, 0x1c, 0x1c, 0x2e, 0x2e, 0x4a, 0x4a, 0x70, 0x70, 0x9c, 0x9c, 0xc4, 0xc4, 0xe1, 0xe1, 0xf0, 0xf0, 
0xf2, 0xf2, 0xed, 0xed, 0xe3, 0xe3, 0xd8, 0xd8, 0xcd, 0xcd, 0xc7, 0xc7, 0xc6, 0xc6, 0xcb, 0xcb, 0xd3, 0xd3, 0xd9, 0xd9, 0xd9, 0xd9, 0xd0, 0xd0, 0xc0, 0xc0, 
0xae, 0xae, 0x9d, 0x9d, 0x8e, 0x8e, 0x83, 0x83, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x6e, 0x6e, 0x66, 0x66, 0x5e, 0x5e, 
0x56, 0x56, 0x50, 0x50, 0x4a, 0x4a, 0x44, 0x44, 0x3c, 0x3c, 0x33, 0x33, 0x2a, 0x2a, 0x25, 0x25, 0x27, 0x27, 0x33, 0x33, 0x46, 0x46, 0x58, 0x58, 0x67, 0x67, 
0x6e, 0x6e, 0x6f, 0x6f, 0x6c, 0x6c, 0x68, 0x68, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x65, 0x65, 0x62, 0x62, 
0x5f, 0x5f, 0x62, 0x62, 0x71, 0x71, 0x8c, 0x8c, 0xaf, 0xaf, 0xd1, 0xd1, 0xe7, 0xe7, 0xed, 0xed, 0xe7, 0xe7, 0xd9, 0xd9, 0xc6, 0xc6, 0xb4, 0xb4, 0xa2, 0xa2, 
0x93, 0x93, 0x88, 0x88, 0x7f, 0x7f, 0x78, 0x78, 0x71, 0x71, 0x68, 0x68, 0x5d, 0x5d, 0x52, 0x52, 0x4a, 0x4a, 0x47, 0x47, 0x4c, 0x4c, 0x54, 0x54, 0x5b, 0x5b, 
0x5c, 0x5c, 0x54, 0x54, 0x47, 0x47, 0x38, 0x38, 0x2c, 0x2c, 0x26, 0x26, 0x25, 0x25, 0x26, 0x26, 0x29, 0x29, 0x2a, 0x2a, 0x2c, 0x2c, 0x2e, 0x2e, 0x34, 0x34, 
0x3f, 0x3f, 0x4d, 0x4d, 0x60, 0x60, 0x75, 0x75, 0x8d, 0x8d, 0xa5, 0xa5, 0xba, 0xba, 0xc9, 0xc9, 0xcf, 0xcf, 0xd1, 0xd1, 0xd2, 0xd2, 0xd6, 0xd6, 0xde, 0xde, 
0xea, 0xea, 0xf5, 0xf5, 0xfc, 0xfc, 0xfc, 0xfc, 0xf8, 0xf8, 0xf2, 0xf2, 0xed, 0xed, 0xec, 0xec, 0xec, 0xec, 0xef, 0xef, 0xf3, 0xf3, 0xf7, 0xf7, 0xf8, 0xf8, 
0xf2, 0xf2, 0xe2, 0xe2, 0xc6, 0xc6, 0xa2, 0xa2, 0x7c, 0x7c, 0x57, 0x57, 0x37, 0x37, 0x1e, 0x1e, 0x0b, 0x0b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 
0x1b, 0x1b, 0x36, 0x36, 0x55, 0x55, 0x72, 0x72, 0x86, 0x86, 0x90, 0x90, 0x90, 0x90, 0x8a, 0x8a, 0x80, 0x80, 0x75, 0x75, 0x6c, 0x6c, 0x69, 0x69, 0x70, 0x70, 
0x83, 0x83, 0x9d, 0x9d, 0xb4, 0xb4, 0xc1, 0xc1, 0xc0, 0xc0, 0xb5, 0xb5, 0xa5, 0xa5, 0x98, 0x98, 0x90, 0x90, 0x8f, 0x8f, 0x92, 0x92, 0x9a, 0x9a, 0xa4, 0xa4, 
0xad, 0xad, 0xb4, 0xb4, 0xb4, 0xb4, 0xad, 0xad, 0xa0, 0xa0, 0x91, 0x91, 0x80, 0x80, 0x71, 0x71, 0x63, 0x63, 0x5b, 0x5b, 0x5a, 0x5a, 0x60, 0x60, 0x6c, 0x6c, 
0x7c, 0x7c, 0x8d, 0x8d, 0x9e, 0x9e, 0xab, 0xab, 0xb2, 0xb2, 0xae, 0xae, 0x9d, 0x9d, 0x85, 0x85, 0x6b, 0x6b, 0x55, 0x55, 0x45, 0x45, 0x3b, 0x3b, 0x34, 0x34, 
0x2d, 0x2d, 0x25, 0x25, 0x1b, 0x1b, 0x12, 0x12, 0x0b, 0x0b, 0x08, 0x08, 0x09, 0x09, 0x11, 0x11, 0x1f, 0x1f, 0x34, 0x34, 0x4d, 0x4d, 0x68, 0x68, 0x82, 0x82, 
0x99, 0x99, 0xae, 0xae, 0xbe, 0xbe, 0xca, 0xca, 0xd2, 0xd2, 0xd7, 0xd7, 0xda, 0xda, 0xdd, 0xdd, 0xdf, 0xdf, 0xe2, 0xe2, 0xe4, 0xe4, 0xe4, 0xe4, 0xe4, 0xe4, 
0xe0, 0xe0, 0xd7, 0xd7, 0xc7, 0xc7, 0xb0, 0xb0, 0x94, 0x94, 0x7b, 0x7b, 0x6b, 0x6b, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x70, 0x70, 0x6c, 0x6c, 0x62, 0x62, 
0x54, 0x54, 0x44, 0x44, 0x35, 0x35, 0x27, 0x27, 0x1f, 0x1f, 0x20, 0x20, 0x29, 0x29, 0x38, 0x38, 0x4b, 0x4b, 0x5e, 0x5e, 0x6f, 0x6f, 0x7e, 0x7e, 0x8b, 0x8b, 
0x96, 0x96, 0xa0, 0xa0, 0xa7, 0xa7, 0xa8, 0xa8, 0xa1, 0xa1, 0x91, 0x91, 0x7b, 0x7b, 0x64, 0x64, 0x51, 0x51, 0x44, 0x44, 0x3d, 0x3d, 0x39, 0x39, 0x38, 0x38, 
0x37, 0x37, 0x36, 0x36, 0x38, 0x38, 0x3e, 0x3e, 0x49, 0x49, 0x58, 0x58, 0x69, 0x69, 0x79, 0x79, 0x88, 0x88, 0x95, 0x95, 0x9d, 0x9d, 0x9f, 0x9f, 0x9d, 0x9d, 
0x96, 0x96, 0x90, 0x90, 0x8c, 0x8c, 0x8d, 0x8d, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 0x9c, 0x9c, 0x9b, 0x9b, 0x9a, 0x9a, 0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 
0x9e, 0x9e, 0x9a, 0x9a, 0x91, 0x91, 0x85, 0x85, 0x78, 0x78, 0x6e, 0x6e, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 
0x4f, 0x4f, 0x4d, 0x4d, 0x4e, 0x4e, 0x51, 0x51, 0x57, 0x57, 0x61, 0x61, 0x6d, 0x6d, 0x78, 0x78, 0x80, 0x80, 0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x89, 0x89, 
0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 0x90, 0x90, 0x86, 0x86, 0x79, 0x79, 0x6e, 0x6e, 0x6a, 0x6a, 0x70, 0x70, 0x7e, 0x7e, 0x92, 0x92, 0xa7, 0xa7, 0xbc, 0xbc, 
0xd0, 0xd0, 0xdf, 0xdf, 0xe7, 0xe7, 0xe9, 0xe9, 0xe5, 0xe5, 0xde, 0xde, 0xd7, 0xd7, 0xd0, 0xd0, 0xc8, 0xc8, 0xbc, 0xbc, 0xa9, 0xa9, 0x8e, 0x8e, 0x6d, 0x6d, 
0x4d, 0x4d, 0x31, 0x31, 0x1e, 0x1e, 0x12, 0x12, 0x0f, 0x0f, 0x16, 0x16, 0x24, 0x24, 0x38, 0x38, 0x4d, 0x4d, 0x60, 0x60, 0x70, 0x70, 0x7c, 0x7c, 0x86, 0x86, 
0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xaa, 0xaa, 0xb1, 0xb1, 0xb7, 0xb7, 0xba, 0xba, 0xb8, 0xb8, 0xaf, 0xaf, 0xa2, 0xa2, 0x93, 0x93, 0x85, 0x85, 
0x79, 0x79, 0x71, 0x71, 0x6e, 0x6e, 0x71, 0x71, 0x7b, 0x7b, 0x88, 0x88, 0x95, 0x95, 0x9e, 0x9e, 0xa1, 0xa1, 0x9d, 0x9d, 0x94, 0x94, 0x86, 0x86, 0x74, 0x74, 
0x61, 0x61, 0x50, 0x50, 0x47, 0x47, 0x45, 0x45, 0x4c, 0x4c, 0x57, 0x57, 0x67, 0x67, 0x79, 0x79, 0x8c, 0x8c, 0x9b, 0x9b, 0xa5, 0xa5, 0xa8, 0xa8, 0xa6, 0xa6, 
0xa1, 0xa1, 0x9c, 0x9c, 0x97, 0x97, 0x93, 0x93, 0x8e, 0x8e, 0x85, 0x85, 0x79, 0x79, 0x6a, 0x6a, 0x59, 0x59, 0x4a, 0x4a, 0x3c, 0x3c, 0x32, 0x32, 0x2d, 0x2d, 
0x30, 0x30, 0x3a, 0x3a, 0x4b, 0x4b, 0x5e, 0x5e, 0x72, 0x72, 0x85, 0x85, 0x97, 0x97, 0xa6, 0xa6, 0xb4, 0xb4, 0xc1, 0xc1, 0xcb, 0xcb, 0xd5, 0xd5, 0xdd, 0xdd, 
0xe4, 0xe4, 0xe8, 0xe8, 0xe8, 0xe8, 0xe3, 0xe3, 0xd8, 0xd8, 0xc7, 0xc7, 0xb2, 0xb2, 0x9b, 0x9b, 0x82, 0x82, 0x69, 0x69, 0x57, 0x57, 0x4f, 0x4f, 0x52, 0x52, 
0x5d, 0x5d, 0x6c, 0x6c, 0x78, 0x78, 0x80, 0x80, 0x83, 0x83, 0x82, 0x82, 0x7d, 0x7d, 0x76, 0x76, 0x6c, 0x6c, 0x62, 0x62, 0x58, 0x58, 0x4f, 0x4f, 0x46, 0x46, 
0x3f, 0x3f, 0x38, 0x38, 0x34, 0x34, 0x33, 0x33, 0x36, 0x36, 0x3f, 0x3f, 0x4f, 0x4f, 0x61, 0x61, 0x71, 0x71, 0x77, 0x77, 0x73, 0x73, 0x66, 0x66, 0x57, 0x57, 
0x4b, 0x4b, 0x45, 0x45, 0x44, 0x44, 0x46, 0x46, 0x49, 0x49, 0x4b, 0x4b, 0x4d, 0x4d, 0x50, 0x50, 0x55, 0x55, 0x5e, 0x5e, 0x6a, 0x6a, 0x7c, 0x7c, 0x92, 0x92, 
0xad, 0xad, 0xca, 0xca, 0xe2, 0xe2, 0xef, 0xef, 0xf1, 0xf1, 0xe9, 0xe9, 0xde, 0xde, 0xd5, 0xd5, 0xd0, 0xd0, 0xce, 0xce, 0xcb, 0xcb, 0xc2, 0xc2, 0xb1, 0xb1, 
0x9b, 0x9b, 0x85, 0x85, 0x73, 0x73, 0x67, 0x67, 0x62, 0x62, 0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x63, 0x63, 0x60, 0x60, 0x59, 0x59, 0x4e, 0x4e, 0x42, 0x42, 
0x37, 0x37, 0x30, 0x30, 0x2f, 0x2f, 0x32, 0x32, 0x34, 0x34, 0x31, 0x31, 0x27, 0x27, 0x1b, 0x1b, 0x14, 0x14, 0x18, 0x18, 0x2a, 0x2a, 0x46, 0x46, 0x66, 0x66, 
0x83, 0x83, 0x99, 0x99, 0xa7, 0xa7, 0xae, 0xae, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xaa, 0xaa, 0xae, 0xae, 0xb7, 0xb7, 0xc4, 0xc4, 0xd0, 0xd0, 0xd6, 0xd6, 
0xd5, 0xd5, 0xcf, 0xcf, 0xca, 0xca, 0xca, 0xca, 0xd1, 0xd1, 0xde, 0xde, 0xec, 0xec, 0xf5, 0xf5, 0xf8, 0xf8, 0xf6, 0xf6, 0xf2, 0xf2, 0xef, 0xef, 0xee, 0xee, 
0xee, 0xee, 0xec, 0xec, 0xe5, 0xe5, 0xd8, 0xd8, 0xc4, 0xc4, 0xac, 0xac, 0x90, 0x90, 0x71, 0x71, 0x52, 0x52, 0x37, 0x37, 0x24, 0x24, 0x19, 0x19, 0x16, 0x16, 
0x17, 0x17, 0x19, 0x19, 0x1c, 0x1c, 0x1f, 0x1f, 0x27, 0x27, 0x35, 0x35, 0x4a, 0x4a, 0x63, 0x63, 0x79, 0x79, 0x86, 0x86, 0x88, 0x88, 0x82, 0x82, 0x77, 0x77, 
0x6f, 0x6f, 0x6b, 0x6b, 0x6d, 0x6d, 0x75, 0x75, 0x85, 0x85, 0x9c, 0x9c, 0xb6, 0xb6, 0xcb, 0xcb, 0xd6, 0xd6, 0xd5, 0xd5, 0xca, 0xca, 0xbc, 0xbc, 0xb0, 0xb0, 
0xa8, 0xa8, 0xa6, 0xa6, 0xa8, 0xa8, 0xad, 0xad, 0xb3, 0xb3, 0xb9, 0xb9, 0xb9, 0xb9, 0xb1, 0xb1, 0xa0, 0xa0, 0x89, 0x89, 0x72, 0x72, 0x60, 0x60, 0x56, 0x56, 
0x54, 0x54, 0x59, 0x59, 0x65, 0x65, 0x76, 0x76, 0x8a, 0x8a, 0x9c, 0x9c, 0xaa, 0xaa, 0xb2, 0xb2, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4, 0xb4, 
0xaf, 0xaf, 0xa2, 0xa2, 0x8c, 0x8c, 0x70, 0x70, 0x52, 0x52, 0x38, 0x38, 0x22, 0x22, 0x12, 0x12, 0x0a, 0x0a, 0x0a, 0x0a, 0x12, 0x12, 0x20, 0x20, 0x33, 0x33, 
0x49, 0x49, 0x62, 0x62, 0x7c, 0x7c, 0x95, 0x95, 0xad, 0xad, 0xc2, 0xc2, 0xd3, 0xd3, 0xdd, 0xdd, 0xdd, 0xdd, 0xd4, 0xd4, 0xc5, 0xc5, 0xb5, 0xb5, 0xa8, 0xa8, 
0xa2, 0xa2, 0xa0, 0xa0, 0x9e, 0x9e, 0x98, 0x98, 0x8c, 0x8c, 0x7d, 0x7d, 0x6d, 0x6d, 0x63, 0x63, 0x60, 0x60, 0x62, 0x62, 0x68, 0x68, 0x6e, 0x6e, 0x73, 0x73, 
0x75, 0x75, 0x71, 0x71, 0x65, 0x65, 0x51, 0x51, 0x38, 0x38, 0x22, 0x22, 0x15, 0x15, 0x13, 0x13, 0x1c, 0x1c, 0x2a, 0x2a, 0x39, 0x39, 0x48, 0x48, 0x55, 0x55, 
0x64, 0x64, 0x75, 0x75, 0x8a, 0x8a, 0x9f, 0x9f, 0xb1, 0xb1, 0xbc, 0xbc, 0xbc, 0xbc, 0xb5, 0xb5, 0xa8, 0xa8, 0x99, 0x99, 0x88, 0x88, 0x78, 0x78, 0x6c, 0x6c, 
0x64, 0x64, 0x61, 0x61, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x69, 0x69, 0x71, 0x71, 0x7f, 0x7f, 0x92, 0x92, 0xa4, 0xa4, 0xb0, 0xb0, 
0xb5, 0xb5, 0xb3, 0xb3, 0xac, 0xac, 0xa4, 0xa4, 0x9a, 0x9a, 0x90, 0x90, 0x85, 0x85, 0x79, 0x79, 0x6a, 0x6a, 0x5a, 0x5a, 0x49, 0x49, 0x3a, 0x3a, 0x2d, 0x2d, 
0x21, 0x21, 0x19, 0x19, 0x15, 0x15, 0x14, 0x14, 0x17, 0x17, 0x1c, 0x1c, 0x21, 0x21, 0x27, 0x27, 0x2d, 0x2d, 0x33, 0x33, 0x3a, 0x3a, 0x40, 0x40, 0x47, 0x47, 
0x4c, 0x4c, 0x51, 0x51, 0x54, 0x54, 0x58, 0x58, 0x60, 0x60, 0x6e, 0x6e, 0x84, 0x84, 0xa0, 0xa0, 0xbc, 0xbc, 0xd4, 0xd4, 0xe7, 0xe7, 0xf3, 0xf3, 0xfb, 0xfb, 
0xfe, 0xfe, 0xfe, 0xfe, 0xfc, 0xfc, 0xf8, 0xf8, 0xf3, 0xf3, 0xec, 0xec, 0xe4, 0xe4, 0xdc, 0xdc, 0xd1, 0xd1, 0xc6, 0xc6, 0xb9, 0xb9, 0xae, 0xae, 0xa5, 0xa5, 
0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9d, 0x9d, 0xa2, 0xa2, 0xa7, 0xa7, 0xad, 0xad, 
0xb3, 0xb3, 0xb9, 0xb9, 0xbf, 0xbf, 0xc6, 0xc6, 0xcb, 0xcb, 0xcb, 0xcb, 0xc1, 0xc1, 0xae, 0xae, 0x93, 0x93, 0x75, 0x75, 0x56, 0x56, 0x3a, 0x3a, 0x21, 0x21, 
0x0e, 0x0e, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x08, 0x08, 0x12, 0x12, 0x1e, 0x1e, 0x30, 0x30, 0x49, 0x49, 0x6b, 0x6b, 0x90, 0x90, 0xb3, 0xb3, 
0xce, 0xce, 0xde, 0xde, 0xe4, 0xe4, 0xe5, 0xe5, 0xe6, 0xe6, 0xe8, 0xe8, 0xec, 0xec, 0xf0, 0xf0, 0xf5, 0xf5, 0xf8, 0xf8, 0xf8, 0xf8, 0xf2, 0xf2, 0xe7, 0xe7, 
0xd4, 0xd4, 0xbd, 0xbd, 0xa8, 0xa8, 0x99, 0x99, 0x92, 0x92, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa5, 0xa5, 0xab, 0xab, 0xac, 0xac, 0xa6, 0xa6, 0x99, 0x99, 
0x87, 0x87, 0x73, 0x73, 0x62, 0x62, 0x54, 0x54, 0x4b, 0x4b, 0x46, 0x46, 0x47, 0x47, 0x4d, 0x4d, 0x56, 0x56, 0x5d, 0x5d, 0x5f, 0x5f, 0x5b, 0x5b, 0x53, 0x53, 
0x49, 0x49, 0x40, 0x40, 0x39, 0x39, 0x35, 0x35, 0x32, 0x32, 0x30, 0x30, 0x2f, 0x2f, 0x2e, 0x2e, 0x2d, 0x2d, 0x2d, 0x2d, 0x2e, 0x2e, 0x30, 0x30, 0x36, 0x36, 
0x40, 0x40, 0x4e, 0x4e, 0x60, 0x60, 0x75, 0x75, 0x8a, 0x8a, 0x9e, 0x9e, 0xb1, 0xb1, 0xc2, 0xc2, 0xce, 0xce, 0xd7, 0xd7, 0xdb, 0xdb, 0xdd, 0xdd, 0xdc, 0xdc, 
0xd8, 0xd8, 0xd4, 0xd4, 0xd2, 0xd2, 0xd3, 0xd3, 0xd9, 0xd9, 0xdf, 0xdf, 0xe1, 0xe1, 0xd7, 0xd7, 0xc1, 0xc1, 0xa1, 0xa1, 0x7e, 0x7e, 0x60, 0x60, 0x49, 0x49, 
0x3a, 0x3a, 0x33, 0x33, 0x32, 0x32, 0x36, 0x36, 0x3d, 0x3d, 0x41, 0x41, 0x3e, 0x3e, 0x33, 0x33, 0x23, 0x23, 0x15, 0x15, 0x0e, 0x0e, 0x11, 0x11, 0x1c, 0x1c, 
0x28, 0x28, 0x2f, 0x2f, 0x2f, 0x2f, 0x29, 0x29, 0x23, 0x23, 0x1f, 0x1f, 0x22, 0x22, 0x2a, 0x2a, 0x36, 0x36, 0x44, 0x44, 0x54, 0x54, 0x63, 0x63, 0x70, 0x70, 
0x7a, 0x7a, 0x80, 0x80, 0x83, 0x83, 0x88, 0x88, 0x90, 0x90, 0x9c, 0x9c, 0xab, 0xab, 0xba, 0xba, 0xc4, 0xc4, 0xca, 0xca, 0xca, 0xca, 0xca, 0xca, 0xcb, 0xcb, 
0xce, 0xce, 0xd4, 0xd4, 0xd8, 0xd8, 0xd9, 0xd9, 0xd6, 0xd6, 0xce, 0xce, 0xc6, 0xc6, 0xbf, 0xbf, 0xb9, 0xb9, 0xb5, 0xb5, 0xb0, 0xb0, 0xa8, 0xa8, 0x9d, 0x9d, 
0x8d, 0x8d, 0x7a, 0x7a, 0x63, 0x63, 0x4a, 0x4a, 0x31, 0x31, 0x1b, 0x1b, 0x0d, 0x0d, 0x06, 0x06, 0x06, 0x06, 0x0a, 0x0a, 0x10, 0x10, 0x16, 0x16, 0x1c, 0x1c, 
0x25, 0x25, 0x31, 0x31, 0x41, 0x41, 0x53, 0x53, 0x65, 0x65, 0x71, 0x71, 0x78, 0x78, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x75, 0x75, 
0x79, 0x79, 0x80, 0x80, 0x87, 0x87, 0x8d, 0x8d, 0x8f, 0x8f, 0x8b, 0x8b, 0x84, 0x84, 0x7d, 0x7d, 0x7b, 0x7b, 0x7e, 0x7e, 0x87, 0x87, 0x94, 0x94, 0xa2, 0xa2, 
0xb1, 0xb1, 0xbf, 0xbf, 0xcb, 0xcb, 0xd3, 0xd3, 0xd5, 0xd5, 0xd5, 0xd5, 0xd2, 0xd2, 0xce, 0xce, 0xca, 0xca, 0xc6, 0xc6, 0xc1, 0xc1, 0xb9, 0xb9, 0xae, 0xae, 
0xa1, 0xa1, 0x95, 0x95, 0x8c, 0x8c, 0x87, 0x87, 0x87, 0x87, 0x8a, 0x8a, 0x91, 0x91, 0x9c, 0x9c, 0xa9, 0xa9, 0xb8, 0xb8, 0xc9, 0xc9, 0xd9, 0xd9, 0xe8, 0xe8, 
0xf2, 0xf2, 0xf2, 0xf2, 0xe9, 0xe9, 0xd6, 0xd6, 0xbb, 0xbb, 0x97, 0x97, 0x6c, 0x6c, 0x40, 0x40, 0x1a, 0x1a, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x09, 0x09, 0x14, 0x14, 0x20, 0x20, 0x2f, 0x2f, 0x47, 0x47, 0x69, 0x69, 0x90, 0x90, 0xb5, 0xb5, 0xd2, 0xd2, 0xe3, 0xe3, 0xe9, 0xe9, 0xe5, 0xe5, 0xd8, 0xd8, 
0xc5, 0xc5, 0xb1, 0xb1, 0xa4, 0xa4, 0xa5, 0xa5, 0xb5, 0xb5, 0xce, 0xce, 0xe7, 0xe7, 0xf5, 0xf5, 0xf3, 0xf3, 0xe4, 0xe4, 0xcc, 0xcc, 0xb1, 0xb1, 0x96, 0x96, 
0x7d, 0x7d, 0x6b, 0x6b, 0x62, 0x62, 0x61, 0x61, 0x66, 0x66, 0x6f, 0x6f, 0x76, 0x76, 0x7b, 0x7b, 0x7c, 0x7c, 0x77, 0x77, 0x6c, 0x6c, 0x5a, 0x5a, 0x45, 0x45, 
0x32, 0x32, 0x27, 0x27, 0x26, 0x26, 0x2d, 0x2d, 0x3c, 0x3c, 0x50, 0x50, 0x67, 0x67, 0x7e, 0x7e, 0x91, 0x91, 0x9b, 0x9b, 0x9c, 0x9c, 0x95, 0x95, 0x8b, 0x8b, 
0x84, 0x84, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x79, 0x79, 0x6b, 0x6b, 0x59, 0x59, 0x48, 0x48, 0x3f, 0x3f, 0x40, 0x40, 0x4a, 0x4a, 0x5b, 0x5b, 0x72, 0x72, 
0x8d, 0x8d, 0xa9, 0xa9, 0xc3, 0xc3, 0xd8, 0xd8, 0xe8, 0xe8, 0xf2, 0xf2, 0xf5, 0xf5, 0xf1, 0xf1, 0xe5, 0xe5, 0xd4, 0xd4, 0xc0, 0xc0, 0xac, 0xac, 0x99, 0x99, 
0x88, 0x88, 0x7c, 0x7c, 0x75, 0x75, 0x74, 0x74, 0x77, 0x77, 0x78, 0x78, 0x75, 0x75, 0x6b, 0x6b, 0x5d, 0x5d, 0x50, 0x50, 0x4a, 0x4a, 0x4c, 0x4c, 0x54, 0x54, 
0x5c, 0x5c, 0x5f, 0x5f, 0x5a, 0x5a, 0x4f, 0x4f, 0x44, 0x44, 0x3d, 0x3d, 0x3c, 0x3c, 0x41, 0x41, 0x4a, 0x4a, 0x56, 0x56, 0x63, 0x63, 0x70, 0x70, 0x7a, 0x7a, 
0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x87, 0x87, 0x97, 0x97, 0xab, 0xab, 0xbd, 0xbd, 0xc5, 0xc5, 0xc2, 0xc2, 0xb6, 0xb6, 0xa5, 0xa5, 0x94, 0x94, 
0x87, 0x87, 0x7e, 0x7e, 0x78, 0x78, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x6b, 0x6b, 0x6f, 0x6f, 0x78, 0x78, 0x86, 0x86, 0x97, 0x97, 0xa9, 0xa9, 0xbb, 0xbb, 
0xca, 0xca, 0xd3, 0xd3, 0xd1, 0xd1, 0xc5, 0xc5, 0xb0, 0xb0, 0x98, 0x98, 0x81, 0x81, 0x6c, 0x6c, 0x5a, 0x5a, 0x4b, 0x4b, 0x3c, 0x3c, 0x2e, 0x2e, 0x21, 0x21, 
0x16, 0x16, 0x10, 0x10, 0x0f, 0x0f, 0x11, 0x11, 0x14, 0x14, 0x16, 0x16, 0x16, 0x16, 0x15, 0x15, 0x12, 0x12, 0x10, 0x10, 0x0e, 0x0e, 0x0e, 0x0e, 0x12, 0x12, 
0x1b, 0x1b, 0x29, 0x29, 0x3b, 0x3b, 0x4e, 0x4e, 0x60, 0x60, 0x6f, 0x6f, 0x7d, 0x7d, 0x89, 0x89, 0x95, 0x95, 0xa1, 0xa1, 0xae, 0xae, 0xba, 0xba, 0xc6, 0xc6, 
0xd0, 0xd0, 0xd9, 0xd9, 0xe0, 0xe0, 0xe4, 0xe4, 0xe5, 0xe5, 0xe5, 0xe5, 0xe3, 0xe3, 0xe0, 0xe0, 0xde, 0xde, 0xdb, 0xdb, 0xd6, 0xd6, 0xcd, 0xcd, 0xc2, 0xc2, 
0xb3, 0xb3, 0xa5, 0xa5, 0x99, 0x99, 0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x84, 0x84, 0x7e, 0x7e, 0x74, 0x74, 0x66, 0x66, 
0x57, 0x57, 0x49, 0x49, 0x3d, 0x3d, 0x32, 0x32, 0x29, 0x29, 0x1f, 0x1f, 0x16, 0x16, 0x0e, 0x0e, 0x0b, 0x0b, 0x10, 0x10, 0x1d, 0x1d, 0x31, 0x31, 0x49, 0x49, 
0x64, 0x64, 0x7e, 0x7e, 0x98, 0x98, 0xae, 0xae, 0xc1, 0xc1, 0xcf, 0xcf, 0xd8, 0xd8, 0xde, 0xde, 0xdf, 0xdf, 0xdc, 0xdc, 0xd3, 0xd3, 0xc2, 0xc2, 0xa4, 0xa4, 
0x7b, 0x7b, 0x4c, 0x4c, 0x20, 0x20, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x0a, 0x0a, 0x26, 0x26, 0x4b, 0x4b, 0x74, 0x74, 0x9c, 0x9c, 0xbe, 0xbe, 0xd8, 0xd8, 
0xeb, 0xeb, 0xf5, 0xf5, 0xf7, 0xf7, 0xf2, 0xf2, 0xe8, 0xe8, 0xdb, 0xdb, 0xcd, 0xcd, 0xc0, 0xc0, 0xb5, 0xb5, 0xae, 0xae, 0xab, 0xab, 0xae, 0xae, 0xb2, 0xb2, 
0xb5, 0xb5, 0xb1, 0xb1, 0xa7, 0xa7, 0x97, 0x97, 0x88, 0x88, 0x7e, 0x7e, 0x7b, 0x7b, 0x7d, 0x7d, 0x83, 0x83, 0x89, 0x89, 0x8d, 0x8d, 0x8e, 0x8e, 0x89, 0x89, 
0x7d, 0x7d, 0x6a, 0x6a, 0x52, 0x52, 0x3b, 0x3b, 0x29, 0x29, 0x1f, 0x1f, 0x1d, 0x1d, 0x23, 0x23, 0x32, 0x32, 0x47, 0x47, 0x61, 0x61, 0x7b, 0x7b, 0x92, 0x92, 
0xa4, 0xa4, 0xaf, 0xaf, 0xb4, 0xb4, 0xb1, 0xb1, 0xa5, 0xa5, 0x94, 0x94, 0x80, 0x80, 0x6b, 0x6b, 0x56, 0x56, 0x44, 0x44, 0x35, 0x35, 0x29, 0x29, 0x22, 0x22, 
0x20, 0x20, 0x24, 0x24, 0x2f, 0x2f, 0x43, 0x43, 0x5c, 0x5c, 0x78, 0x78, 0x96, 0x96, 0xb3, 0xb3, 0xce, 0xce, 0xe5, 0xe5, 0xf4, 0xf4, 0xfb, 0xfb, 0xfa, 0xfa, 
0xf2, 0xf2, 0xe2, 0xe2, 0xcb, 0xcb, 0xaf, 0xaf, 0x95, 0x95, 0x80, 0x80, 0x73, 0x73, 0x6d, 0x6d, 0x6c, 0x6c, 0x70, 0x70, 0x77, 0x77, 0x80, 0x80, 0x85, 0x85, 
0x84, 0x84, 0x7d, 0x7d, 0x71, 0x71, 0x66, 0x66, 0x5f, 0x5f, 0x5f, 0x5f, 0x63, 0x63, 0x6b, 0x6b, 0x71, 0x71, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x77, 0x77, 
0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 
0x69, 0x69, 0x65, 0x65, 0x5d, 0x5d, 0x51, 0x51, 0x42, 0x42, 0x36, 0x36, 0x2f, 0x2f, 0x2f, 0x2f, 0x35, 0x35, 0x40, 0x40, 0x4c, 0x4c, 0x59, 0x59, 0x66, 0x66, 
0x72, 0x72, 0x7e, 0x7e, 0x89, 0x89, 0x93, 0x93, 0x9d, 0x9d, 0xa7, 0xa7, 0xaf, 0xaf, 0xb6, 0xb6, 0xb9, 0xb9, 0xb7, 0xb7, 0xb0, 0xb0, 0xa5, 0xa5, 0x99, 0x99, 
0x8f, 0x8f, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x76, 0x76, 0x6d, 0x6d, 0x63, 0x63, 0x57, 0x57, 0x4c, 0x4c, 0x43, 0x43, 0x3b, 0x3b, 0x35, 0x35, 0x31, 0x31, 
0x2f, 0x2f, 0x2f, 0x2f, 0x30, 0x30, 0x33, 0x33, 0x39, 0x39, 0x3f, 0x3f, 0x46, 0x46, 0x4d, 0x4d, 0x54, 0x54, 0x59, 0x59, 0x5e, 0x5e, 0x60, 0x60, 0x61, 0x61, 
0x61, 0x61, 0x61, 0x61, 0x64, 0x64, 0x69, 0x69, 0x70, 0x70, 0x77, 0x77, 0x7b, 0x7b, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 
0x90, 0x90, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x9a, 0x9a, 0x9a, 0x9a, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 
0xb1, 0xb1, 0xb0, 0xb0, 0xac, 0xac, 0xa7, 0xa7, 0xa4, 0xa4, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xa7, 0xa7, 0xa3, 0xa3, 0x9c, 0x9c, 0x92, 0x92, 
0x87, 0x87, 0x7b, 0x7b, 0x6e, 0x6e, 0x62, 0x62, 0x57, 0x57, 0x4d, 0x4d, 0x45, 0x45, 0x41, 0x41, 0x3f, 0x3f, 0x41, 0x41, 0x47, 0x47, 0x51, 0x51, 0x60, 0x60, 
0x71, 0x71, 0x84, 0x84, 0x95, 0x95, 0xa5, 0xa5, 0xb2, 0xb2, 0xbe, 0xbe, 0xca, 0xca, 0xd5, 0xd5, 0xdd, 0xdd, 0xdf, 0xdf, 0xd7, 0xd7, 0xc3, 0xc3, 0xa6, 0xa6, 
0x84, 0x84, 0x63, 0x63, 0x44, 0x44, 0x2a, 0x2a, 0x17, 0x17, 0x0b, 0x0b, 0x07, 0x07, 0x0a, 0x0a, 0x10, 0x10, 0x1a, 0x1a, 0x27, 0x27, 0x36, 0x36, 0x4b, 0x4b, 
0x69, 0x69, 0x91, 0x91, 0xbd, 0xbd, 0xe5, 0xe5, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf1, 0xf1, 0xe1, 0xe1, 0xd1, 0xd1, 0xc3, 0xc3, 0xba, 0xba, 
0xb5, 0xb5, 0xb2, 0xb2, 0xae, 0xae, 0xa8, 0xa8, 0x9f, 0x9f, 0x93, 0x93, 0x86, 0x86, 0x7c, 0x7c, 0x75, 0x75, 0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 
0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x83, 0x83, 0x8c, 0x8c, 0x94, 0x94, 0x97, 0x97, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x8a, 0x8a, 0x8f, 0x8f, 0x97, 0x97, 
0xa0, 0xa0, 0xa7, 0xa7, 0xaa, 0xaa, 0xa8, 0xa8, 0x9f, 0x9f, 0x8e, 0x8e, 0x75, 0x75, 0x59, 0x59, 0x40, 0x40, 0x30, 0x30, 0x2c, 0x2c, 0x30, 0x30, 0x38, 0x38, 
0x3e, 0x3e, 0x40, 0x40, 0x3f, 0x3f, 0x3d, 0x3d, 0x3f, 0x3f, 0x45, 0x45, 0x4f, 0x4f, 0x5f, 0x5f, 0x74, 0x74, 0x8c, 0x8c, 0xa5, 0xa5, 0xbc, 0xbc, 0xcd, 0xcd, 
0xd7, 0xd7, 0xda, 0xda, 0xd7, 0xd7, 0xd2, 0xd2, 0xc9, 0xc9, 0xbf, 0xbf, 0xb3, 0xb3, 0xa6, 0xa6, 0x97, 0x97, 0x89, 0x89, 0x7d, 0x7d, 0x77, 0x77, 0x77, 0x77, 
0x7b, 0x7b, 0x81, 0x81, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 
0x77, 0x77, 0x75, 0x75, 0x6f, 0x6f, 0x66, 0x66, 0x5f, 0x5f, 0x59, 0x59, 0x58, 0x58, 0x5a, 0x5a, 0x5d, 0x5d, 0x5f, 0x5f, 0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 
0x5e, 0x5e, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x56, 0x56, 0x52, 0x52, 0x4d, 0x4d, 0x49, 0x49, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x48, 0x48, 0x50, 0x50, 
0x5c, 0x5c, 0x6b, 0x6b, 0x79, 0x79, 0x84, 0x84, 0x8a, 0x8a, 0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9e, 0x9e, 0xa2, 0xa2, 0xa2, 0xa2, 0x9d, 0x9d, 
0x92, 0x92, 0x85, 0x85, 0x75, 0x75, 0x64, 0x64, 0x55, 0x55, 0x4b, 0x4b, 0x49, 0x49, 0x50, 0x50, 0x5d, 0x5d, 0x6d, 0x6d, 0x7c, 0x7c, 0x88, 0x88, 0x91, 0x91, 
0x98, 0x98, 0x9e, 0x9e, 0xa5, 0xa5, 0xaa, 0xaa, 0xae, 0xae, 0xad, 0xad, 0xa7, 0xa7, 0x9e, 0x9e, 0x91, 0x91, 0x84, 0x84, 0x76, 0x76, 0x69, 0x69, 0x5e, 0x5e, 
0x57, 0x57, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x53, 0x51, 0x51, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x51, 0x51, 0x58, 0x58, 0x5f, 0x5f, 0x64, 0x64, 
0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x86, 0x86, 0x92, 0x92, 0x9f, 0x9f, 0xa9, 0xa9, 0xb0, 0xb0, 0xb2, 0xb2, 
0xb1, 0xb1, 0xae, 0xae, 0xad, 0xad, 0xac, 0xac, 0xad, 0xad, 0xad, 0xad, 0xaa, 0xaa, 0xa5, 0xa5, 0x9e, 0x9e, 0x95, 0x95, 0x8d, 0x8d, 0x85, 0x85, 0x7f, 0x7f, 
0x79, 0x79, 0x73, 0x73, 0x6e, 0x6e, 0x69, 0x69, 0x63, 0x63, 0x5c, 0x5c, 0x54, 0x54, 0x4c, 0x4c, 0x46, 0x46, 0x44, 0x44, 0x46, 0x46, 0x4d, 0x4d, 0x55, 0x55, 
0x5e, 0x5e, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x90, 0x90, 0x96, 0x96, 0x9c, 0x9c, 0xa2, 0xa2, 0xa9, 0xa9, 0xaf, 0xaf, 
0xb5, 0xb5, 0xba, 0xba, 0xc0, 0xc0, 0xc5, 0xc5, 0xcb, 0xcb, 0xd0, 0xd0, 0xd6, 0xd6, 0xdb, 0xdb, 0xdf, 0xdf, 0xe3, 0xe3, 0xe6, 0xe6, 0xe8, 0xe8, 0xe9, 0xe9, 
0xe7, 0xe7, 0xe2, 0xe2, 0xd5, 0xd5, 0xc2, 0xc2, 0xaa, 0xaa, 0x8f, 0x8f, 0x74, 0x74, 0x5b, 0x5b, 0x44, 0x44, 0x30, 0x30, 0x22, 0x22, 0x18, 0x18, 0x12, 0x12, 
0x11, 0x11, 0x15, 0x15, 0x1d, 0x1d, 0x2a, 0x2a, 0x3b, 0x3b, 0x53, 0x53, 0x6f, 0x6f, 0x8d, 0x8d, 0xa7, 0xa7, 0xb6, 0xb6, 0xba, 0xba, 0xb3, 0xb3, 0xa6, 0xa6, 
0x97, 0x97, 0x88, 0x88, 0x7b, 0x7b, 0x72, 0x72, 0x6e, 0x6e, 0x71, 0x71, 0x77, 0x77, 0x7e, 0x7e, 0x83, 0x83, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 0x8b, 0x8b, 
0x8e, 0x8e, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xaa, 0xaa, 0xb2, 0xb2, 0xba, 0xba, 0xbe, 0xbe, 0xbb, 0xbb, 0xad, 0xad, 
0x9a, 0x9a, 0x85, 0x85, 0x73, 0x73, 0x67, 0x67, 0x62, 0x62, 0x63, 0x63, 0x69, 0x69, 0x73, 0x73, 0x7e, 0x7e, 0x85, 0x85, 0x85, 0x85, 0x7b, 0x7b, 0x6b, 0x6b, 
0x5a, 0x5a, 0x4d, 0x4d, 0x45, 0x45, 0x43, 0x43, 0x42, 0x42, 0x41, 0x41, 0x3d, 0x3d, 0x39, 0x39, 0x37, 0x37, 0x3d, 0x3d, 0x4b, 0x4b, 0x60, 0x60, 0x79, 0x79, 
0x92, 0x92, 0xa9, 0xa9, 0xbc, 0xbc, 0xca, 0xca, 0xcf, 0xcf, 0xce, 0xce, 0xc7, 0xc7, 0xc0, 0xc0, 0xbd, 0xbd, 0xbf, 0xbf, 0xc5, 0xc5, 0xc9, 0xc9, 0xca, 0xca, 
0xc4, 0xc4, 0xba, 0xba, 0xae, 0xae, 0xa3, 0xa3, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 
0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x61, 0x61, 0x59, 0x59, 0x51, 0x51, 0x46, 0x46, 0x39, 0x39, 0x2b, 0x2b, 0x1e, 0x1e, 0x15, 0x15, 0x11, 0x11, 0x10, 0x10, 
0x12, 0x12, 0x16, 0x16, 0x1c, 0x1c, 0x24, 0x24, 0x2c, 0x2c, 0x35, 0x35, 0x3e, 0x3e, 0x46, 0x46, 0x4c, 0x4c, 0x4e, 0x4e, 0x4c, 0x4c, 0x47, 0x47, 0x43, 0x43, 
0x41, 0x41, 0x45, 0x45, 0x4d, 0x4d, 0x5a, 0x5a, 0x6a, 0x6a, 0x7d, 0x7d, 0x91, 0x91, 0xa4, 0xa4, 0xb5, 0xb5, 0xc3, 0xc3, 0xcd, 0xcd, 0xd5, 0xd5, 0xdb, 0xdb, 
0xe0, 0xe0, 0xe3, 0xe3, 0xe6, 0xe6, 0xe6, 0xe6, 0xe3, 0xe3, 0xdf, 0xdf, 0xda, 0xda, 0xd6, 0xd6, 0xd1, 0xd1, 0xcd, 0xcd, 0xc8, 0xc8, 0xc2, 0xc2, 0xb9, 0xb9, 
0xae, 0xae, 0xa2, 0xa2, 0x94, 0x94, 0x86, 0x86, 0x77, 0x77, 0x69, 0x69, 0x5c, 0x5c, 0x50, 0x50, 0x45, 0x45, 0x3a, 0x3a, 0x2f, 0x2f, 0x23, 0x23, 0x18, 0x18, 
0x0e, 0x0e, 0x08, 0x08, 0x05, 0x05, 0x06, 0x06, 0x0a, 0x0a, 0x11, 0x11, 0x1a, 0x1a, 0x25, 0x25, 0x30, 0x30, 0x3b, 0x3b, 0x45, 0x45, 0x4e, 0x4e, 0x58, 0x58, 
0x61, 0x61, 0x6c, 0x6c, 0x77, 0x77, 0x81, 0x81, 0x89, 0x89, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 0xa4, 0xa4, 0xa9, 0xa9, 0xad, 0xad, 0xaf, 0xaf, 
0xae, 0xae, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9f, 0x9f, 0x9c, 0x9c, 0x9b, 0x9b, 0x9c, 0x9c, 0xa1, 0xa1, 0xa7, 0xa7, 0xab, 0xab, 0xac, 0xac, 0xa8, 0xa8, 
0xa1, 0xa1, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x64, 0x64, 0x61, 0x61, 
0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5b, 0x5b, 0x5d, 0x5d, 0x62, 0x62, 0x6b, 0x6b, 0x75, 0x75, 
0x7f, 0x7f, 0x8a, 0x8a, 0x94, 0x94, 0x9e, 0x9e, 0xa9, 0xa9, 0xb5, 0xb5, 0xc1, 0xc1, 0xca, 0xca, 0xcf, 0xcf, 0xce, 0xce, 0xc9, 0xc9, 0xc3, 0xc3, 0xbb, 0xbb, 
0xb5, 0xb5, 0xaf, 0xaf, 0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8c, 0x8c, 0x80, 0x80, 0x75, 0x75, 0x6b, 0x6b, 0x64, 0x64, 0x60, 0x60, 0x60, 0x60, 0x65, 0x65, 
0x6d, 0x6d, 0x76, 0x76, 0x7d, 0x7d, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8e, 0x8e, 0x95, 0x95, 0x9d, 0x9d, 0xa5, 0xa5, 0xab, 0xab, 0xaf, 0xaf, 0xb1, 0xb1, 
0xb5, 0xb5, 0xbe, 0xbe, 0xcc, 0xcc, 0xdc, 0xdc, 0xe8, 0xe8, 0xe9, 0xe9, 0xdd, 0xdd, 0xc6, 0xc6, 0xa8, 0xa8, 0x85, 0x85, 0x61, 0x61, 0x3e, 0x3e, 0x22, 0x22, 
0x11, 0x11, 0x0b, 0x0b, 0x0e, 0x0e, 0x16, 0x16, 0x1e, 0x1e, 0x26, 0x26, 0x2d, 0x2d, 0x3b, 0x3b, 0x52, 0x52, 0x75, 0x75, 0x9e, 0x9e, 0xc7, 0xc7, 0xe6, 0xe6, 
0xf9, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf9, 0xf9, 0xf5, 0xf5, 0xf2, 0xf2, 0xf0, 0xf0, 0xed, 0xed, 0xe9, 0xe9, 0xe3, 0xe3, 0xd8, 0xd8, 0xc9, 0xc9, 
0xb8, 0xb8, 0xa7, 0xa7, 0x98, 0x98, 0x8d, 0x8d, 0x85, 0x85, 0x7f, 0x7f, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6d, 0x6d, 0x73, 0x73, 0x7c, 0x7c, 
0x83, 0x83, 0x86, 0x86, 0x82, 0x82, 0x78, 0x78, 0x6e, 0x6e, 0x64, 0x64, 0x5f, 0x5f, 0x5d, 0x5d, 0x5f, 0x5f, 0x65, 0x65, 0x6e, 0x6e, 0x79, 0x79, 0x82, 0x82, 
0x87, 0x87, 0x88, 0x88, 0x84, 0x84, 0x7e, 0x7e, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x62, 0x62, 0x59, 0x59, 0x50, 0x50, 0x47, 0x47, 0x41, 0x41, 0x41, 0x41, 
0x48, 0x48, 0x54, 0x54, 0x64, 0x64, 0x76, 0x76, 0x88, 0x88, 0x99, 0x99, 0xa9, 0xa9, 0xb7, 0xb7, 0xc4, 0xc4, 0xd0, 0xd0, 0xd9, 0xd9, 0xdd, 0xdd, 0xde, 0xde, 
0xdb, 0xdb, 0xd5, 0xd5, 0xcc, 0xcc, 0xc2, 0xc2, 0xb6, 0xb6, 0xab, 0xab, 0xa2, 0xa2, 0x9a, 0x9a, 0x94, 0x94, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7c, 0x7c, 
0x75, 0x75, 0x6f, 0x6f, 0x69, 0x69, 0x64, 0x64, 0x5e, 0x5e, 0x57, 0x57, 0x4e, 0x4e, 0x44, 0x44, 0x3b, 0x3b, 0x33, 0x33, 0x2e, 0x2e, 0x2c, 0x2c, 0x2c, 0x2c, 
0x2f, 0x2f, 0x34, 0x34, 0x39, 0x39, 0x40, 0x40, 0x46, 0x46, 0x4d, 0x4d, 0x52, 0x52, 0x57, 0x57, 0x5a, 0x5a, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5c, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x69, 0x69, 0x71, 0x71, 0x7b, 0x7b, 0x86, 0x86, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa0, 0xa0, 
0xa0, 0xa0, 0xa1, 0xa1, 0xa3, 0xa3, 0xa8, 0xa8, 0xad, 0xad, 0xb1, 0xb1, 0xb2, 0xb2, 0xae, 0xae, 0xa6, 0xa6, 0x98, 0x98, 0x85, 0x85, 0x6c, 0x6c, 0x52, 0x52, 
0x3a, 0x3a, 0x2b, 0x2b, 0x25, 0x25, 0x28, 0x28, 0x2f, 0x2f, 0x38, 0x38, 0x41, 0x41, 0x48, 0x48, 0x4c, 0x4c, 0x4b, 0x4b, 0x45, 0x45, 0x3d, 0x3d, 0x36, 0x36, 
0x33, 0x33, 0x35, 0x35, 0x3c, 0x3c, 0x47, 0x47, 0x55, 0x55, 0x65, 0x65, 0x76, 0x76, 0x87, 0x87, 0x96, 0x96, 0xa3, 0xa3, 0xad, 0xad, 0xb5, 0xb5, 0xb9, 0xb9, 
0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xb2, 0xb2, 0xb5, 0xb5, 0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xbf, 0xbf, 0xbb, 0xbb, 0xb5, 0xb5, 0xae, 0xae, 0xa6, 0xa6, 
0x9f, 0x9f, 0x99, 0x99, 0x95, 0x95, 0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x8f, 0x8f, 0x87, 0x87, 0x7b, 0x7b, 0x6e, 0x6e, 0x63, 0x63, 0x5b, 0x5b, 0x57, 0x57, 
0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 
0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x84, 0x84, 0x84, 0x84, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x85, 0x85, 0x8c, 0x8c, 
0x96, 0x96, 0xa4, 0xa4, 0xb0, 0xb0, 0xba, 0xba, 0xc0, 0xc0, 0xc2, 0xc2, 0xc1, 0xc1, 0xbe, 0xbe, 0xba, 0xba, 0xb5, 0xb5, 0xb0, 0xb0, 0xad, 0xad, 0xaa, 0xaa, 
0xa8, 0xa8, 0xa6, 0xa6, 0xa2, 0xa2, 0x9c, 0x9c, 0x95, 0x95, 0x90, 0x90, 0x8e, 0x8e, 0x91, 0x91, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x99, 0x99, 0x92, 0x92, 
0x88, 0x88, 0x7c, 0x7c, 0x71, 0x71, 0x67, 0x67, 0x61, 0x61, 0x5e, 0x5e, 0x61, 0x61, 0x66, 0x66, 0x6d, 0x6d, 0x71, 0x71, 0x74, 0x74, 0x75, 0x75, 0x76, 0x76, 
0x78, 0x78, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x99, 0x99, 
0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 0x9d, 0x9d, 0xa0, 0xa0, 0xa5, 0xa5, 0xae, 0xae, 0xbb, 0xbb, 0xc7, 0xc7, 0xd0, 0xd0, 0xd1, 0xd1, 0xc7, 0xc7, 
0xb6, 0xb6, 0xa0, 0xa0, 0x8a, 0x8a, 0x74, 0x74, 0x60, 0x60, 0x4d, 0x4d, 0x3c, 0x3c, 0x2c, 0x2c, 0x1e, 0x1e, 0x16, 0x16, 0x15, 0x15, 0x1d, 0x1d, 0x2c, 0x2c, 
0x3f, 0x3f, 0x54, 0x54, 0x69, 0x69, 0x7c, 0x7c, 0x89, 0x89, 0x8c, 0x8c, 0x86, 0x86, 0x78, 0x78, 0x68, 0x68, 0x59, 0x59, 0x4f, 0x4f, 0x47, 0x47, 0x43, 0x43, 
0x40, 0x40, 0x3d, 0x3d, 0x3c, 0x3c, 0x3f, 0x3f, 0x48, 0x48, 0x58, 0x58, 0x6c, 0x6c, 0x80, 0x80, 0x90, 0x90, 0x9a, 0x9a, 0x9f, 0x9f, 0x9f, 0x9f, 0x9b, 0x9b, 
0x95, 0x95, 0x8e, 0x8e, 0x89, 0x89, 0x89, 0x89, 0x8e, 0x8e, 0x98, 0x98, 0xa1, 0xa1, 0xa7, 0xa7, 0xa9, 0xa9, 0xa6, 0xa6, 0xa1, 0xa1, 0x9d, 0x9d, 0x9a, 0x9a, 
0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8e, 0x8e, 0x88, 0x88, 0x81, 0x81, 0x7a, 0x7a, 0x73, 0x73, 0x6b, 0x6b, 0x63, 0x63, 0x5b, 0x5b, 0x52, 0x52, 0x49, 0x49, 
0x42, 0x42, 0x3e, 0x3e, 0x3e, 0x3e, 0x43, 0x43, 0x4b, 0x4b, 0x58, 0x58, 0x6a, 0x6a, 0x7d, 0x7d, 0x90, 0x90, 0x9f, 0x9f, 0xa8, 0xa8, 0xad, 0xad, 0xae, 0xae, 
0xaa, 0xaa, 0xa3, 0xa3, 0x9a, 0x9a, 0x8f, 0x8f, 0x85, 0x85, 0x7a, 0x7a, 0x71, 0x71, 0x69, 0x69, 0x66, 0x66, 0x66, 0x66, 0x6a, 0x6a, 0x71, 0x71, 0x78, 0x78, 
0x80, 0x80, 0x88, 0x88, 0x8f, 0x8f, 0x95, 0x95, 0x99, 0x99, 0x9b, 0x9b, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x8e, 0x8e, 0x87, 0x87, 0x7f, 0x7f, 0x77, 0x77, 
0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x66, 0x66, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x88, 0x88, 0x93, 0x93, 0x9b, 0x9b, 0xa1, 0xa1, 0xa2, 0xa2, 
0x9f, 0x9f, 0x97, 0x97, 0x8b, 0x8b, 0x7c, 0x7c, 0x6e, 0x6e, 0x64, 0x64, 0x5f, 0x5f, 0x5e, 0x5e, 0x60, 0x60, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 
0x72, 0x72, 0x7a, 0x7a, 0x84, 0x84, 0x8d, 0x8d, 0x96, 0x96, 0x9c, 0x9c, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x9a, 0x9a, 
0x9d, 0x9d, 0xa2, 0xa2, 0xa5, 0xa5, 0xa4, 0xa4, 0x9d, 0x9d, 0x93, 0x93, 0x87, 0x87, 0x7d, 0x7d, 0x75, 0x75, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 0x73, 0x73, 0x74, 0x74, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x69, 0x69, 0x64, 0x64, 0x5d, 0x5d, 0x57, 0x57, 
0x52, 0x52, 0x52, 0x52, 0x56, 0x56, 0x5e, 0x5e, 0x67, 0x67, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa3, 0xa3, 
0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 0x99, 0x99, 0x95, 0x95, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7e, 0x7e, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7b, 0x7b, 0x73, 0x73, 0x68, 0x68, 0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 
0x54, 0x54, 0x58, 0x58, 0x5e, 0x5e, 0x67, 0x67, 0x71, 0x71, 0x79, 0x79, 0x7e, 0x7e, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x6f, 0x6f, 0x69, 0x69, 
0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x59, 0x59, 0x59, 0x59, 0x5c, 0x5c, 0x61, 0x61, 0x69, 0x69, 0x76, 0x76, 0x86, 0x86, 0x99, 0x99, 0xab, 0xab, 
0xbb, 0xbb, 0xc8, 0xc8, 0xd1, 0xd1, 0xd4, 0xd4, 0xd3, 0xd3, 0xcc, 0xcc, 0xc2, 0xc2, 0xb5, 0xb5, 0xa8, 0xa8, 0x9c, 0x9c, 0x91, 0x91, 0x89, 0x89, 0x84, 0x84, 
0x84, 0x84, 0x86, 0x86, 0x8c, 0x8c, 0x93, 0x93, 0x9a, 0x9a, 0xa1, 0xa1, 0xa6, 0xa6, 0xa8, 0xa8, 0xa4, 0xa4, 0x9d, 0x9d, 0x94, 0x94, 0x8a, 0x8a, 0x80, 0x80, 
0x75, 0x75, 0x6d, 0x6d, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x6a, 0x6a, 0x6d, 0x6d, 0x6e, 0x6e, 0x6d, 0x6d, 
0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x58, 0x58, 0x53, 0x53, 0x52, 0x52, 0x56, 0x56, 0x5c, 0x5c, 0x65, 0x65, 0x6e, 0x6e, 0x76, 0x76, 0x7d, 0x7d, 0x84, 0x84, 
0x8a, 0x8a, 0x91, 0x91, 0x99, 0x99, 0xa1, 0xa1, 0xaa, 0xaa, 0xb3, 0xb3, 0xbc, 0xbc, 0xc3, 0xc3, 0xc6, 0xc6, 0xc5, 0xc5, 0xc0, 0xc0, 0xb9, 0xb9, 0xb1, 0xb1, 
0xa8, 0xa8, 0x9f, 0x9f, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 0x7f, 0x7f, 0x7a, 0x7a, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 
0x95, 0x95, 0x98, 0x98, 0x97, 0x97, 0x91, 0x91, 0x87, 0x87, 0x7b, 0x7b, 0x6d, 0x6d, 0x5f, 0x5f, 0x51, 0x51, 0x44, 0x44, 0x39, 0x39, 0x31, 0x31, 0x2b, 0x2b, 
0x28, 0x28, 0x2a, 0x2a, 0x31, 0x31, 0x3b, 0x3b, 0x48, 0x48, 0x56, 0x56, 0x66, 0x66, 0x75, 0x75, 0x82, 0x82, 0x8d, 0x8d, 0x94, 0x94, 0x99, 0x99, 0x9b, 0x9b, 
0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x91, 0x91, 0x93, 0x93, 0x98, 0x98, 0xa0, 0xa0, 0xa9, 0xa9, 0xb3, 0xb3, 0xbb, 0xbb, 
0xc1, 0xc1, 0xc3, 0xc3, 0xc3, 0xc3, 0xc0, 0xc0, 0xb9, 0xb9, 0xb1, 0xb1, 0xa6, 0xa6, 0x9a, 0x9a, 0x8d, 0x8d, 0x7f, 0x7f, 0x74, 0x74, 0x6c, 0x6c, 0x67, 0x67, 
0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x68, 0x68, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x51, 0x51, 0x53, 0x53, 0x58, 0x58, 
0x5c, 0x5c, 0x5d, 0x5d, 0x59, 0x59, 0x52, 0x52, 0x4a, 0x4a, 0x44, 0x44, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x52, 0x52, 0x5a, 0x5a, 0x63, 0x63, 
0x6b, 0x6b, 0x74, 0x74, 0x7d, 0x7d, 0x87, 0x87, 0x91, 0x91, 0x9c, 0x9c, 0xa6, 0xa6, 0xac, 0xac, 0xac, 0xac, 0xa6, 0xa6, 0x9b, 0x9b, 0x90, 0x90, 0x89, 0x89, 
0x87, 0x87, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8d, 0x8d, 0x8c, 0x8c, 0x8b, 0x8b, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 
0x87, 0x87, 0x7f, 0x7f, 0x72, 0x72, 0x61, 0x61, 0x4d, 0x4d, 0x3c, 0x3c, 0x31, 0x31, 0x2e, 0x2e, 0x33, 0x33, 0x3a, 0x3a, 0x43, 0x43, 0x4a, 0x4a, 0x50, 0x50, 
0x55, 0x55, 0x5b, 0x5b, 0x62, 0x62, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa1, 0xa1, 0xaa, 0xaa, 0xb2, 0xb2, 0xb8, 0xb8, 
0xbc, 0xbc, 0xbf, 0xbf, 0xbe, 0xbe, 0xbc, 0xbc, 0xb7, 0xb7, 0xb0, 0xb0, 0xa9, 0xa9, 0xa3, 0xa3, 0xa2, 0xa2, 0xa5, 0xa5, 0xaa, 0xaa, 0xae, 0xae, 0xad, 0xad, 
0xa6, 0xa6, 0x99, 0x99, 0x8a, 0x8a, 0x7a, 0x7a, 0x6a, 0x6a, 0x5d, 0x5d, 0x52, 0x52, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x46, 0x46, 0x46, 0x46, 0x46, 0x46, 
0x46, 0x46, 0x47, 0x47, 0x4a, 0x4a, 0x4f, 0x4f, 0x55, 0x55, 0x5c, 0x5c, 0x62, 0x62, 0x68, 0x68, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x73, 0x73, 0x72, 0x72, 
0x6f, 0x6f, 0x6b, 0x6b, 0x64, 0x64, 0x5e, 0x5e, 0x58, 0x58, 0x57, 0x57, 0x5a, 0x5a, 0x60, 0x60, 0x69, 0x69, 0x73, 0x73, 0x7e, 0x7e, 0x88, 0x88, 0x92, 0x92, 
0x9a, 0x9a, 0xa0, 0xa0, 0xa5, 0xa5, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa5, 0xa5, 0x9f, 0x9f, 0x98, 0x98, 0x93, 0x93, 0x90, 0x90, 
0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9c, 0x9c, 0x9c, 0x9c, 0x99, 0x99, 0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x7a, 0x7a, 
0x7a, 0x7a, 0x79, 0x79, 0x75, 0x75, 0x6c, 0x6c, 0x60, 0x60, 0x53, 0x53, 0x49, 0x49, 0x43, 0x43, 0x41, 0x41, 0x41, 0x41, 0x45, 0x45, 0x4a, 0x4a, 0x50, 0x50, 
0x56, 0x56, 0x5b, 0x5b, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x73, 0x73, 0x7a, 0x7a, 0x82, 0x82, 0x86, 0x86, 0x87, 0x87, 0x86, 0x86, 0x83, 0x83, 
0x81, 0x81, 0x81, 0x81, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 
0xa1, 0xa1, 0xa5, 0xa5, 0xa8, 0xa8, 0xa7, 0xa7, 0xa2, 0xa2, 0x9b, 0x9b, 0x92, 0x92, 0x8a, 0x8a, 0x83, 0x83, 0x7d, 0x7d, 0x78, 0x78, 0x74, 0x74, 0x72, 0x72, 
0x70, 0x70, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x69, 0x69, 0x6e, 0x6e, 
0x75, 0x75, 0x7d, 0x7d, 0x87, 0x87, 0x90, 0x90, 0x98, 0x98, 0x9c, 0x9c, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 
0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x73, 0x73, 0x74, 0x74, 
0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x74, 0x74, 0x74, 0x74, 0x77, 0x77, 0x7c, 0x7c, 
0x81, 0x81, 0x85, 0x85, 0x83, 0x83, 0x7c, 0x7c, 0x6f, 0x6f, 0x62, 0x62, 0x56, 0x56, 0x4e, 0x4e, 0x49, 0x49, 0x48, 0x48, 0x4b, 0x4b, 0x50, 0x50, 0x58, 0x58, 
0x62, 0x62, 0x6d, 0x6d, 0x79, 0x79, 0x85, 0x85, 0x90, 0x90, 0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 0xb0, 0xb0, 0xb2, 0xb2, 0xb1, 0xb1, 0xaf, 0xaf, 0xac, 0xac, 
0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xa8, 0xa8, 0xa2, 0xa2, 0x99, 0x99, 0x8f, 0x8f, 0x86, 0x86, 0x7f, 0x7f, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 
0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x64, 0x64, 0x60, 0x60, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x66, 0x66, 0x6d, 0x6d, 0x75, 0x75, 0x7f, 0x7f, 
0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa3, 0xa3, 0xa7, 0xa7, 0xa8, 0xa8, 0xa5, 0xa5, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 0x6d, 0x6d, 
0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x63, 0x63, 0x66, 0x66, 0x6b, 0x6b, 0x73, 0x73, 0x7c, 0x7c, 0x86, 0x86, 0x8e, 0x8e, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 
0x9f, 0x9f, 0xa1, 0xa1, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9a, 0x9a, 0x8e, 0x8e, 0x7f, 0x7f, 0x70, 0x70, 0x63, 0x63, 
0x5a, 0x5a, 0x55, 0x55, 0x53, 0x53, 0x53, 0x53, 0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x64, 
0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6e, 0x6e, 0x77, 0x77, 0x82, 0x82, 0x8d, 0x8d, 0x95, 0x95, 0x9c, 0x9c, 0xa0, 0xa0, 
0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa2, 0xa2, 0xa1, 0xa1, 0xa0, 0xa0, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x98, 0x98, 0x91, 0x91, 0x89, 0x89, 0x81, 0x81, 
0x7a, 0x7a, 0x75, 0x75, 0x72, 0x72, 0x71, 0x71, 0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7d, 0x7d, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 
0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x7b, 0x7b, 
0x83, 0x83, 0x8b, 0x8b, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x83, 0x83, 0x7b, 0x7b, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 
0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5d, 0x5d, 0x62, 0x62, 0x69, 0x69, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 
0x8f, 0x8f, 0x8c, 0x8c, 0x86, 0x86, 0x80, 0x80, 0x7a, 0x7a, 0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x71, 0x71, 0x77, 0x77, 0x81, 0x81, 0x8c, 0x8c, 0x98, 0x98, 
0xa4, 0xa4, 0xae, 0xae, 0xb4, 0xb4, 0xb6, 0xb6, 0xb2, 0xb2, 0xab, 0xab, 0xa2, 0xa2, 0x9a, 0x9a, 0x93, 0x93, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 
0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x91, 0x91, 0x90, 0x90, 0x8b, 0x8b, 0x82, 0x82, 
0x79, 0x79, 0x6f, 0x6f, 0x65, 0x65, 0x5d, 0x5d, 0x56, 0x56, 0x51, 0x51, 0x4e, 0x4e, 0x4d, 0x4d, 0x4f, 0x4f, 0x52, 0x52, 0x58, 0x58, 0x5e, 0x5e, 0x64, 0x64, 
0x68, 0x68, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x56, 0x56, 0x59, 0x59, 0x61, 0x61, 0x6b, 0x6b, 0x77, 0x77, 0x82, 0x82, 
0x8b, 0x8b, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa2, 0xa2, 0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 
0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x64, 0x64, 0x64, 0x64, 0x68, 0x68, 0x6f, 0x6f, 
0x77, 0x77, 0x7f, 0x7f, 0x87, 0x87, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa5, 0xa5, 0xa1, 0xa1, 0x9b, 0x9b, 0x95, 0x95, 
0x8f, 0x8f, 0x8b, 0x8b, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 
0x6c, 0x6c, 0x66, 0x66, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x5a, 0x5a, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 
0x63, 0x63, 0x68, 0x68, 0x6f, 0x6f, 0x79, 0x79, 0x84, 0x84, 0x8e, 0x8e, 0x95, 0x95, 0x99, 0x99, 0x9a, 0x9a, 0x98, 0x98, 0x93, 0x93, 0x8e, 0x8e, 0x88, 0x88, 
0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9e, 0x9e, 
0xa2, 0xa2, 0xa3, 0xa3, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9a, 0x9a, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 
0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x84, 0x84, 0x7c, 0x7c, 0x72, 0x72, 0x68, 0x68, 0x5f, 0x5f, 0x57, 0x57, 
0x50, 0x50, 0x4a, 0x4a, 0x45, 0x45, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3f, 0x3f, 0x44, 0x44, 0x4c, 0x4c, 0x55, 0x55, 0x60, 0x60, 0x6a, 0x6a, 0x75, 0x75, 
0x7f, 0x7f, 0x88, 0x88, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f, 0x9f, 0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 
0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x7e, 0x7e, 
0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x75, 0x75, 0x78, 0x78, 0x7e, 0x7e, 0x85, 0x85, 0x8c, 0x8c, 0x93, 0x93, 0x98, 0x98, 0x9b, 0x9b, 0x9a, 0x9a, 0x95, 0x95, 
0x8d, 0x8d, 0x84, 0x84, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x59, 0x59, 0x56, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x57, 0x57, 0x58, 0x58, 
0x5a, 0x5a, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6c, 0x6c, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x80, 0x80, 0x87, 0x87, 0x8f, 0x8f, 
0x98, 0x98, 0xa1, 0xa1, 0xaa, 0xaa, 0xb1, 0xb1, 0xb6, 0xb6, 0xb7, 0xb7, 0xb5, 0xb5, 0xb1, 0xb1, 0xaa, 0xaa, 0xa0, 0xa0, 0x95, 0x95, 0x88, 0x88, 0x7b, 0x7b, 
0x6d, 0x6d, 0x5f, 0x5f, 0x54, 0x54, 0x4d, 0x4d, 0x4b, 0x4b, 0x4c, 0x4c, 0x4f, 0x4f, 0x54, 0x54, 0x5a, 0x5a, 0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 0x6e, 0x6e, 
0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x84, 0x84, 0x86, 0x86, 
0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 
0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7f, 0x7f, 0x87, 0x87, 0x8f, 0x8f, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 
0x9d, 0x9d, 0x9b, 0x9b, 0x9a, 0x9a, 0x9b, 0x9b, 0x9f, 0x9f, 0xa3, 0xa3, 0xa8, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xa6, 0xa6, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 
0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x84, 0x84, 0x86, 0x86, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8a, 0x8a, 
0x84, 0x84, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x68, 0x68, 0x65, 0x65, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x6b, 0x6b, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 
0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 
0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x4c, 0x4c, 0x4e, 0x4e, 0x54, 0x54, 0x5b, 0x5b, 0x63, 0x63, 0x6a, 0x6a, 0x6d, 0x6d, 0x6c, 0x6c, 
0x67, 0x67, 0x62, 0x62, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x67, 0x67, 0x6e, 0x6e, 0x78, 0x78, 0x82, 0x82, 0x8c, 0x8c, 0x97, 0x97, 0xa1, 0xa1, 0xaa, 0xaa, 
0xb4, 0xb4, 0xbe, 0xbe, 0xc9, 0xc9, 0xd4, 0xd4, 0xdd, 0xdd, 0xe1, 0xe1, 0xdf, 0xdf, 0xd9, 0xd9, 0xd1, 0xd1, 0xc9, 0xc9, 0xc1, 0xc1, 0xba, 0xba, 0xb3, 0xb3, 
0xac, 0xac, 0xa4, 0xa4, 0x9c, 0x9c, 0x93, 0x93, 0x8c, 0x8c, 0x85, 0x85, 0x80, 0x80, 0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x60, 0x60, 0x55, 0x55, 0x4a, 0x4a, 
0x3f, 0x3f, 0x36, 0x36, 0x32, 0x32, 0x34, 0x34, 0x3e, 0x3e, 0x4d, 0x4d, 0x5f, 0x5f, 0x6f, 0x6f, 0x7d, 0x7d, 0x88, 0x88, 0x91, 0x91, 0x98, 0x98, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x84, 0x84, 
0x83, 0x83, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x74, 0x74, 0x72, 0x72, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x7d, 0x7d, 0x7b, 0x7b, 0x77, 0x77, 0x71, 0x71, 
0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5d, 0x5d, 0x61, 0x61, 0x68, 0x68, 0x72, 0x72, 0x80, 0x80, 0x91, 0x91, 0xa3, 0xa3, 0xb3, 0xb3, 0xc0, 0xc0, 
0xc7, 0xc7, 0xc9, 0xc9, 0xc4, 0xc4, 0xb7, 0xb7, 0xa4, 0xa4, 0x8c, 0x8c, 0x74, 0x74, 0x60, 0x60, 0x50, 0x50, 0x46, 0x46, 0x41, 0x41, 0x41, 0x41, 0x45, 0x45, 
0x4d, 0x4d, 0x55, 0x55, 0x5f, 0x5f, 0x68, 0x68, 0x71, 0x71, 0x79, 0x79, 0x7f, 0x7f, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8f, 0x8f, 
0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x92, 0x92, 0x8a, 0x8a, 
0x81, 0x81, 0x78, 0x78, 0x6e, 0x6e, 0x66, 0x66, 0x62, 0x62, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6d, 0x6d, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x67, 0x67, 
0x64, 0x64, 0x60, 0x60, 0x5e, 0x5e, 0x5e, 0x5e, 0x60, 0x60, 0x64, 0x64, 0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x76, 0x76, 0x78, 0x78, 0x79, 0x79, 
0x7a, 0x7a, 0x78, 0x78, 0x75, 0x75, 0x6f, 0x6f, 0x67, 0x67, 0x61, 0x61, 0x5e, 0x5e, 0x5f, 0x5f, 0x64, 0x64, 0x6b, 0x6b, 0x73, 0x73, 0x7b, 0x7b, 0x82, 0x82, 
0x87, 0x87, 0x88, 0x88, 0x86, 0x86, 0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 
0x75, 0x75, 0x7b, 0x7b, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 0x93, 0x93, 0x91, 0x91, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 
0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7d, 0x7d, 0x85, 0x85, 0x91, 0x91, 0x9e, 0x9e, 0xab, 0xab, 0xb6, 0xb6, 0xbe, 0xbe, 
0xc3, 0xc3, 0xc5, 0xc5, 0xc4, 0xc4, 0xc0, 0xc0, 0xba, 0xba, 0xb2, 0xb2, 0xa8, 0xa8, 0x9d, 0x9d, 0x91, 0x91, 0x84, 0x84, 0x75, 0x75, 0x66, 0x66, 0x56, 0x56, 
0x4a, 0x4a, 0x42, 0x42, 0x3f, 0x3f, 0x42, 0x42, 0x47, 0x47, 0x4e, 0x4e, 0x56, 0x56, 0x5e, 0x5e, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x78, 0x78, 0x7d, 0x7d, 
0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9b, 0x9b, 0xa2, 0xa2, 0xa9, 0xa9, 0xb2, 0xb2, 0xb9, 0xb9, 0xbe, 0xbe, 0xbc, 0xbc, 
0xb4, 0xb4, 0xa6, 0xa6, 0x96, 0x96, 0x86, 0x86, 0x77, 0x77, 0x6a, 0x6a, 0x5f, 0x5f, 0x56, 0x56, 0x4e, 0x4e, 0x47, 0x47, 0x43, 0x43, 0x41, 0x41, 0x42, 0x42, 
0x45, 0x45, 0x4c, 0x4c, 0x57, 0x57, 0x64, 0x64, 0x74, 0x74, 0x83, 0x83, 0x8e, 0x8e, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa5, 0xa5, 
0xa6, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9d, 0x9d, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x8f, 0x8f, 0x85, 0x85, 
0x77, 0x77, 0x66, 0x66, 0x53, 0x53, 0x41, 0x41, 0x34, 0x34, 0x2d, 0x2d, 0x2a, 0x2a, 0x2a, 0x2a, 0x2c, 0x2c, 0x2e, 0x2e, 0x31, 0x31, 0x35, 0x35, 0x3c, 0x3c, 
0x44, 0x44, 0x4f, 0x4f, 0x5c, 0x5c, 0x6a, 0x6a, 0x78, 0x78, 0x87, 0x87, 0x96, 0x96, 0xa4, 0xa4, 0xb1, 0xb1, 0xbe, 0xbe, 0xc9, 0xc9, 0xd4, 0xd4, 0xdd, 0xdd, 
0xe4, 0xe4, 0xe6, 0xe6, 0xe2, 0xe2, 0xd7, 0xd7, 0xc6, 0xc6, 0xb2, 0xb2, 0x9d, 0x9d, 0x89, 0x89, 0x76, 0x76, 0x67, 0x67, 0x5c, 0x5c, 0x56, 0x56, 0x55, 0x55, 
0x57, 0x57, 0x5d, 0x5d, 0x66, 0x66, 0x70, 0x70, 0x78, 0x78, 0x7c, 0x7c, 0x7d, 0x7d, 0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x61, 0x61, 0x59, 0x59, 0x54, 0x54, 
0x53, 0x53, 0x58, 0x58, 0x60, 0x60, 0x69, 0x69, 0x71, 0x71, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 
0x66, 0x66, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x81, 0x81, 0x88, 0x88, 0x8d, 0x8d, 0x90, 0x90, 
0x90, 0x90, 0x8f, 0x8f, 0x90, 0x90, 0x93, 0x93, 0x97, 0x97, 0x9c, 0x9c, 0xa0, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 0x9f, 0x9f, 0x99, 0x99, 0x91, 0x91, 0x86, 0x86, 
0x7b, 0x7b, 0x71, 0x71, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x7e, 0x7e, 
0x86, 0x86, 0x89, 0x89, 0x87, 0x87, 0x83, 0x83, 0x7d, 0x7d, 0x76, 0x76, 0x70, 0x70, 0x6d, 0x6d, 0x6f, 0x6f, 0x77, 0x77, 0x82, 0x82, 0x8e, 0x8e, 0x99, 0x99, 
0xa2, 0xa2, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xad, 0xad, 0xac, 0xac, 0xa7, 0xa7, 0x9e, 0x9e, 0x91, 0x91, 0x81, 0x81, 0x71, 0x71, 0x63, 0x63, 0x59, 0x59, 
0x53, 0x53, 0x52, 0x52, 0x55, 0x55, 0x5d, 0x5d, 0x68, 0x68, 0x73, 0x73, 0x7d, 0x7d, 0x84, 0x84, 0x89, 0x89, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x98, 0x98, 
0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 0x91, 0x91, 0x8b, 0x8b, 0x87, 0x87, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x91, 0x91, 0x98, 0x98, 0x9f, 0x9f, 0xa4, 0xa4, 
0xa7, 0xa7, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 0x9f, 0x9f, 0xa0, 0xa0, 0xa2, 0xa2, 0xa3, 0xa3, 0xa1, 0xa1, 0x9d, 0x9d, 0x96, 0x96, 0x8e, 0x8e, 0x87, 0x87, 
0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8e, 0x8e, 0x8e, 0x8e, 
0x8f, 0x8f, 0x8c, 0x8c, 0x86, 0x86, 0x7b, 0x7b, 0x6c, 0x6c, 0x5c, 0x5c, 0x4d, 0x4d, 0x40, 0x40, 0x36, 0x36, 0x2e, 0x2e, 0x28, 0x28, 0x26, 0x26, 0x26, 0x26, 
0x27, 0x27, 0x2b, 0x2b, 0x31, 0x31, 0x39, 0x39, 0x42, 0x42, 0x4d, 0x4d, 0x5a, 0x5a, 0x67, 0x67, 0x73, 0x73, 0x7b, 0x7b, 0x7f, 0x7f, 0x81, 0x81, 0x81, 0x81, 
0x81, 0x81, 0x82, 0x82, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 
0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa4, 0xa4, 0x9d, 0x9d, 0x93, 0x93, 0x89, 0x89, 0x7f, 0x7f, 0x77, 0x77, 0x70, 0x70, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 
0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x68, 0x68, 0x6b, 0x6b, 0x6c, 0x6c, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6b, 0x6b, 0x68, 0x68, 
0x66, 0x66, 0x67, 0x67, 0x6b, 0x6b, 0x71, 0x71, 0x79, 0x79, 0x81, 0x81, 0x8a, 0x8a, 0x92, 0x92, 0x9b, 0x9b, 0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb8, 0xb8, 
0xba, 0xba, 0xb9, 0xb9, 0xb5, 0xb5, 0xae, 0xae, 0xa4, 0xa4, 0x99, 0x99, 0x8e, 0x8e, 0x84, 0x84, 0x7d, 0x7d, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 
0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x62, 0x62, 0x64, 0x64, 0x67, 0x67, 0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 
0x87, 0x87, 0x8d, 0x8d, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8f, 0x8f, 0x92, 0x92, 0x98, 0x98, 0xa0, 0xa0, 0xa7, 0xa7, 
0xab, 0xab, 0xac, 0xac, 0xa9, 0xa9, 0xa5, 0xa5, 0x9e, 0x9e, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6e, 0x6e, 0x6c, 0x6c, 
0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x7f, 0x7f, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 
0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x89, 0x89, 0x81, 0x81, 0x78, 0x78, 0x6e, 0x6e, 0x66, 0x66, 0x60, 0x60, 0x5c, 0x5c, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5d, 0x5d, 0x60, 0x60, 0x63, 0x63, 0x67, 0x67, 0x6b, 0x6b, 0x6f, 0x6f, 0x74, 0x74, 0x7a, 0x7a, 0x7f, 0x7f, 0x86, 0x86, 0x8d, 0x8d, 0x94, 0x94, 
0x9c, 0x9c, 0xa4, 0xa4, 0xad, 0xad, 0xb5, 0xb5, 0xbb, 0xbb, 0xc0, 0xc0, 0xc3, 0xc3, 0xc4, 0xc4, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xa9, 0xa9, 0x9c, 0x9c, 
0x8d, 0x8d, 0x7c, 0x7c, 0x6b, 0x6b, 0x59, 0x59, 0x47, 0x47, 0x37, 0x37, 0x2b, 0x2b, 0x24, 0x24, 0x23, 0x23, 0x27, 0x27, 0x30, 0x30, 0x3b, 0x3b, 0x4a, 0x4a, 
0x59, 0x59, 0x67, 0x67, 0x74, 0x74, 0x7e, 0x7e, 0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 
0x95, 0x95, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x88, 0x88, 
0x86, 0x86, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x74, 0x74, 0x75, 0x75, 0x78, 0x78, 0x7d, 0x7d, 0x83, 0x83, 0x8b, 0x8b, 
0x93, 0x93, 0x9b, 0x9b, 0xa1, 0xa1, 0xa5, 0xa5, 0xa4, 0xa4, 0xa0, 0xa0, 0x99, 0x99, 0x8f, 0x8f, 0x82, 0x82, 0x74, 0x74, 0x65, 0x65, 0x59, 0x59, 0x4f, 0x4f, 
0x47, 0x47, 0x43, 0x43, 0x43, 0x43, 0x47, 0x47, 0x4d, 0x4d, 0x55, 0x55, 0x5c, 0x5c, 0x62, 0x62, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 
0x7b, 0x7b, 0x81, 0x81, 0x87, 0x87, 0x8e, 0x8e, 0x93, 0x93, 0x96, 0x96, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x7f, 0x7f, 0x79, 0x79, 
0x73, 0x73, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x66, 0x66, 0x6f, 0x6f, 0x78, 0x78, 
0x84, 0x84, 0x90, 0x90, 0x9c, 0x9c, 0xa8, 0xa8, 0xb2, 0xb2, 0xbb, 0xbb, 0xc2, 0xc2, 0xc6, 0xc6, 0xc6, 0xc6, 0xc3, 0xc3, 0xbd, 0xbd, 0xb2, 0xb2, 0xa5, 0xa5, 
0x95, 0x95, 0x84, 0x84, 0x73, 0x73, 0x63, 0x63, 0x55, 0x55, 0x4a, 0x4a, 0x44, 0x44, 0x42, 0x42, 0x45, 0x45, 0x4b, 0x4b, 0x54, 0x54, 0x5e, 0x5e, 0x6a, 0x6a, 
0x75, 0x75, 0x7d, 0x7d, 0x84, 0x84, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 
0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8a, 0x8a, 0x89, 0x89, 0x87, 0x87, 0x85, 0x85, 0x82, 0x82, 0x80, 0x80, 
0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x75, 0x75, 0x77, 0x77, 0x7a, 0x7a, 0x7d, 0x7d, 
0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x84, 0x84, 0x81, 0x81, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x64, 0x64, 0x5a, 0x5a, 0x4f, 0x4f, 0x46, 0x46, 0x3e, 0x3e, 
0x38, 0x38, 0x37, 0x37, 0x39, 0x39, 0x3f, 0x3f, 0x48, 0x48, 0x54, 0x54, 0x63, 0x63, 0x72, 0x72, 0x81, 0x81, 0x8f, 0x8f, 0x9a, 0x9a, 0xa2, 0xa2, 0xa8, 0xa8, 
0xab, 0xab, 0xab, 0xab, 0xa9, 0xa9, 0xa7, 0xa7, 0xa6, 0xa6, 0xa6, 0xa6, 0xa8, 0xa8, 0xab, 0xab, 0xaf, 0xaf, 0xb4, 0xb4, 0xba, 0xba, 0xbe, 0xbe, 0xbf, 0xbf, 
0xbf, 0xbf, 0xbc, 0xbc, 0xb8, 0xb8, 0xb5, 0xb5, 0xb2, 0xb2, 0xb0, 0xb0, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 0xa5, 0xa5, 0xa0, 0xa0, 0x98, 0x98, 0x8f, 0x8f, 
0x85, 0x85, 0x7b, 0x7b, 0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x64, 0x64, 0x60, 0x60, 0x5b, 0x5b, 0x54, 0x54, 0x4c, 0x4c, 
0x46, 0x46, 0x42, 0x42, 0x41, 0x41, 0x44, 0x44, 0x48, 0x48, 0x4f, 0x4f, 0x58, 0x58, 0x61, 0x61, 0x6a, 0x6a, 0x70, 0x70, 0x74, 0x74, 0x75, 0x75, 0x74, 0x74, 
0x74, 0x74, 0x73, 0x73, 0x73, 0x73, 0x75, 0x75, 0x7b, 0x7b, 0x86, 0x86, 0x92, 0x92, 0x9f, 0x9f, 0xaa, 0xaa, 0xb2, 0xb2, 0xb7, 0xb7, 0xb8, 0xb8, 0xb6, 0xb6, 
0xb0, 0xb0, 0xa8, 0xa8, 0x9f, 0x9f, 0x97, 0x97, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 
0x8e, 0x8e, 0x8d, 0x8d, 0x87, 0x87, 0x7f, 0x7f, 0x73, 0x73, 0x67, 0x67, 0x5c, 0x5c, 0x54, 0x54, 0x4e, 0x4e, 0x4c, 0x4c, 0x4d, 0x4d, 0x52, 0x52, 0x59, 0x59, 
0x62, 0x62, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 
0x7d, 0x7d, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 
0xa2, 0xa2, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 0x8f, 0x8f, 0x85, 0x85, 0x79, 0x79, 0x6a, 0x6a, 
0x5b, 0x5b, 0x4d, 0x4d, 0x43, 0x43, 0x3e, 0x3e, 0x3c, 0x3c, 0x3e, 0x3e, 0x40, 0x40, 0x43, 0x43, 0x46, 0x46, 0x47, 0x47, 0x45, 0x45, 0x41, 0x41, 0x3d, 0x3d, 
0x39, 0x39, 0x3a, 0x3a, 0x41, 0x41, 0x4c, 0x4c, 0x5b, 0x5b, 0x6c, 0x6c, 0x80, 0x80, 0x95, 0x95, 0xa9, 0xa9, 0xba, 0xba, 0xc9, 0xc9, 0xd4, 0xd4, 0xda, 0xda, 
0xda, 0xda, 0xd5, 0xd5, 0xcb, 0xcb, 0xbe, 0xbe, 0xb0, 0xb0, 0xa2, 0xa2, 0x95, 0x95, 0x8b, 0x8b, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 
0x8e, 0x8e, 0x8f, 0x8f, 0x90, 0x90, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x84, 0x84, 0x7d, 0x7d, 0x74, 0x74, 0x6a, 0x6a, 0x60, 0x60, 0x56, 0x56, 0x4f, 0x4f, 
0x4a, 0x4a, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x42, 0x42, 0x43, 0x43, 0x46, 0x46, 0x4d, 0x4d, 0x57, 0x57, 0x64, 0x64, 
0x71, 0x71, 0x7d, 0x7d, 0x86, 0x86, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d, 0x8d, 0x8e, 0x8e, 
0x8f, 0x8f, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 0x9b, 0x9b, 0xa1, 0xa1, 0xa8, 0xa8, 0xae, 0xae, 0xb2, 0xb2, 0xb4, 0xb4, 0xb4, 0xb4, 0xb1, 0xb1, 0xab, 0xab, 
0xa4, 0xa4, 0x9b, 0x9b, 0x91, 0x91, 0x85, 0x85, 0x79, 0x79, 0x6d, 0x6d, 0x63, 0x63, 0x5b, 0x5b, 0x56, 0x56, 0x55, 0x55, 0x58, 0x58, 0x5e, 0x5e, 0x67, 0x67, 
0x73, 0x73, 0x7f, 0x7f, 0x89, 0x89, 0x91, 0x91, 0x97, 0x97, 0x98, 0x98, 0x95, 0x95, 0x8e, 0x8e, 0x83, 0x83, 0x76, 0x76, 0x67, 0x67, 0x57, 0x57, 0x47, 0x47, 
0x3a, 0x3a, 0x32, 0x32, 0x31, 0x31, 0x35, 0x35, 0x3e, 0x3e, 0x4b, 0x4b, 0x5d, 0x5d, 0x71, 0x71, 0x85, 0x85, 0x97, 0x97, 0xa7, 0xa7, 0xb3, 0xb3, 0xbc, 0xbc, 
0xbf, 0xbf, 0xbd, 0xbd, 0xb8, 0xb8, 0xaf, 0xaf, 0xa6, 0xa6, 0x9c, 0x9c, 0x92, 0x92, 0x8b, 0x8b, 0x88, 0x88, 0x88, 0x88, 0x8c, 0x8c, 0x92, 0x92, 0x97, 0x97, 
0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9c, 0x9c, 0x97, 0x97, 0x8f, 0x8f, 0x85, 0x85, 0x7a, 0x7a, 0x6e, 0x6e, 0x63, 0x63, 0x59, 0x59, 0x51, 0x51, 0x4d, 0x4d, 
0x4c, 0x4c, 0x4e, 0x4e, 0x52, 0x52, 0x59, 0x59, 0x61, 0x61, 0x69, 0x69, 0x70, 0x70, 0x74, 0x74, 0x78, 0x78, 0x7a, 0x7a, 0x7d, 0x7d, 0x80, 0x80, 0x84, 0x84, 
0x87, 0x87, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x73, 0x73, 0x6c, 0x6c, 0x67, 0x67, 0x65, 0x65, 0x66, 0x66, 0x6b, 0x6b, 0x72, 0x72, 
0x7a, 0x7a, 0x83, 0x83, 0x8d, 0x8d, 0x96, 0x96, 0x9e, 0x9e, 0xa4, 0xa4, 0xa9, 0xa9, 0xad, 0xad, 0xae, 0xae, 0xac, 0xac, 0xa9, 0xa9, 0xa6, 0xa6, 0xa3, 0xa3, 
0xa2, 0xa2, 0xa1, 0xa1, 0xa2, 0xa2, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xac, 0xac, 0xad, 0xad, 0xab, 0xab, 0xa8, 0xa8, 0xa2, 0xa2, 0x99, 0x99, 0x8f, 0x8f, 
0x83, 0x83, 0x76, 0x76, 0x69, 0x69, 0x5d, 0x5d, 0x52, 0x52, 0x4b, 0x4b, 0x48, 0x48, 0x4a, 0x4a, 0x50, 0x50, 0x58, 0x58, 0x5f, 0x5f, 0x65, 0x65, 0x6a, 0x6a, 
0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x80, 0x80, 0x8a, 0x8a, 0x94, 0x94, 0x9e, 0x9e, 0xa7, 0xa7, 0xad, 0xad, 
0xb0, 0xb0, 0xaf, 0xaf, 0xab, 0xab, 0xa4, 0xa4, 0x9b, 0x9b, 0x8f, 0x8f, 0x82, 0x82, 0x77, 0x77, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 
0x6a, 0x6a, 0x69, 0x69, 0x66, 0x66, 0x61, 0x61, 0x5a, 0x5a, 0x52, 0x52, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x47, 0x47, 0x4a, 0x4a, 0x4f, 0x4f, 0x53, 0x53, 
0x58, 0x58, 0x5e, 0x5e, 0x66, 0x66, 0x70, 0x70, 0x7c, 0x7c, 0x89, 0x89, 0x96, 0x96, 0xa4, 0xa4, 0xb1, 0xb1, 0xbb, 0xbb, 0xc1, 0xc1, 0xc3, 0xc3, 0xc1, 0xc1, 
0xbc, 0xbc, 0xb6, 0xb6, 0xae, 0xae, 0xa6, 0xa6, 0x9d, 0x9d, 0x96, 0x96, 0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 
0x82, 0x82, 0x7d, 0x7d, 0x76, 0x76, 0x6e, 0x6e, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5d, 0x5d, 0x5d, 0x5d, 0x60, 0x60, 0x64, 0x64, 0x67, 0x67, 0x68, 0x68, 
0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x67, 0x67, 0x6e, 0x6e, 0x76, 0x76, 0x7e, 0x7e, 0x85, 0x85, 0x8a, 0x8a, 0x8d, 0x8d, 0x8d, 0x8d, 0x8a, 0x8a, 
0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x79, 0x79, 0x77, 0x77, 0x76, 0x76, 0x76, 0x76, 0x77, 0x77, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 
0x91, 0x91, 0x96, 0x96, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9a, 0x9a, 
0x94, 0x94, 0x8b, 0x8b, 0x81, 0x81, 0x78, 0x78, 0x72, 0x72, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7b, 0x7b, 
0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x62, 0x62, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x50, 0x50, 0x52, 0x52, 0x56, 0x56, 
0x5c, 0x5c, 0x62, 0x62, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x78, 0x78, 0x81, 0x81, 0x8c, 0x8c, 0x97, 0x97, 0xa1, 0xa1, 0xa9, 0xa9, 0xae, 0xae, 
0xb0, 0xb0, 0xaf, 0xaf, 0xab, 0xab, 0xa4, 0xa4, 0x9e, 0x9e, 0x99, 0x99, 0x96, 0x96, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 
0x95, 0x95, 0x98, 0x98, 0x9d, 0x9d, 0xa2, 0xa2, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6, 0xa2, 0xa2, 0x9b, 0x9b, 0x92, 0x92, 0x88, 0x88, 0x7f, 0x7f, 
0x78, 0x78, 0x73, 0x73, 0x70, 0x70, 0x70, 0x70, 0x74, 0x74, 0x7a, 0x7a, 0x81, 0x81, 0x89, 0x89, 0x91, 0x91, 0x98, 0x98, 0x9c, 0x9c, 0x9b, 0x9b, 0x96, 0x96, 
0x8d, 0x8d, 0x83, 0x83, 0x7b, 0x7b, 0x76, 0x76, 0x74, 0x74, 0x75, 0x75, 0x79, 0x79, 0x80, 0x80, 0x87, 0x87, 0x8d, 0x8d, 0x90, 0x90, 0x8f, 0x8f, 0x8a, 0x8a, 
0x84, 0x84, 0x7d, 0x7d, 0x76, 0x76, 0x70, 0x70, 0x6a, 0x6a, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x58, 0x58, 0x53, 0x53, 0x4c, 0x4c, 0x45, 0x45, 0x3d, 0x3d, 
0x35, 0x35, 0x2d, 0x2d, 0x27, 0x27, 0x26, 0x26, 0x2a, 0x2a, 0x36, 0x36, 0x48, 0x48, 0x5f, 0x5f, 0x78, 0x78, 0x94, 0x94, 0xaf, 0xaf, 0xc6, 0xc6, 0xd6, 0xd6, 
0xde, 0xde, 0xe0, 0xe0, 0xdc, 0xdc, 0xd5, 0xd5, 0xcc, 0xcc, 0xc2, 0xc2, 0xb7, 0xb7, 0xad, 0xad, 0xa4, 0xa4, 0x9b, 0x9b, 0x92, 0x92, 0x89, 0x89, 0x80, 0x80, 
0x78, 0x78, 0x70, 0x70, 0x6a, 0x6a, 0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x63, 0x63, 0x64, 0x64, 0x65, 0x65, 0x65, 0x65, 0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 
0x55, 0x55, 0x52, 0x52, 0x51, 0x51, 0x52, 0x52, 0x57, 0x57, 0x5e, 0x5e, 0x68, 0x68, 0x74, 0x74, 0x7f, 0x7f, 0x88, 0x88, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 
0x92, 0x92, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x86, 0x86, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6b, 0x6b, 0x63, 0x63, 0x5c, 0x5c, 0x55, 0x55, 0x50, 0x50, 
0x4e, 0x4e, 0x4e, 0x4e, 0x50, 0x50, 0x54, 0x54, 0x58, 0x58, 0x5e, 0x5e, 0x65, 0x65, 0x6d, 0x6d, 0x76, 0x76, 0x7f, 0x7f, 0x87, 0x87, 0x8d, 0x8d, 0x90, 0x90, 
0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa2, 0xa2, 0x9d, 0x9d, 0x97, 0x97, 
0x90, 0x90, 0x8a, 0x8a, 0x85, 0x85, 0x82, 0x82, 0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x71, 0x71, 0x6e, 0x6e, 0x6e, 0x6e, 0x71, 0x71, 0x77, 0x77, 0x7e, 0x7e, 
0x85, 0x85, 0x8c, 0x8c, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x82, 0x82, 0x81, 0x81, 
0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x80, 0x80, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x98, 0x98, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 
0xa7, 0xa7, 0xa6, 0xa6, 0xa3, 0xa3, 0x9e, 0x9e, 0x96, 0x96, 0x8d, 0x8d, 0x82, 0x82, 0x77, 0x77, 0x6c, 0x6c, 0x65, 0x65, 0x63, 0x63, 0x68, 0x68, 0x70, 0x70, 
0x7a, 0x7a, 0x83, 0x83, 0x89, 0x89, 0x8c, 0x8c, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 
0x7a, 0x7a, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x89, 0x89, 0x8d, 0x8d, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7d, 0x7d, 
0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 0x5b, 0x5b, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 
0x55, 0x55, 0x58, 0x58, 0x5b, 0x5b, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 0x5f, 0x5f, 0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 
0x5a, 0x5a, 0x5f, 0x5f, 0x6a, 0x6a, 0x7a, 0x7a, 0x8d, 0x8d, 0xa4, 0xa4, 0xbc, 0xbc, 0xd3, 0xd3, 0xe7, 0xe7, 0xf3, 0xf3, 0xf6, 0xf6, 0xf3, 0xf3, 0xeb, 0xeb, 
0xe1, 0xe1, 0xd7, 0xd7, 0xcc, 0xcc, 0xc1, 0xc1, 0xb5, 0xb5, 0xa7, 0xa7, 0x99, 0x99, 0x8b, 0x8b, 0x7c, 0x7c, 0x6f, 0x6f, 0x62, 0x62, 0x57, 0x57, 0x4c, 0x4c, 
0x43, 0x43, 0x3c, 0x3c, 0x37, 0x37, 0x35, 0x35, 0x36, 0x36, 0x39, 0x39, 0x40, 0x40, 0x49, 0x49, 0x54, 0x54, 0x5f, 0x5f, 0x6a, 0x6a, 0x70, 0x70, 0x73, 0x73, 
0x71, 0x71, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x63, 0x63, 
0x68, 0x68, 0x6e, 0x6e, 0x77, 0x77, 0x81, 0x81, 0x8a, 0x8a, 0x91, 0x91, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0xa2, 0xa2, 0xa9, 0xa9, 0xb2, 0xb2, 0xbb, 0xbb, 
0xc3, 0xc3, 0xc8, 0xc8, 0xcb, 0xcb, 0xcd, 0xcd, 0xcc, 0xcc, 0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 
0x86, 0x86, 0x77, 0x77, 0x6a, 0x6a, 0x5f, 0x5f, 0x57, 0x57, 0x51, 0x51, 0x4c, 0x4c, 0x46, 0x46, 0x40, 0x40, 0x39, 0x39, 0x34, 0x34, 0x31, 0x31, 0x31, 0x31, 
0x33, 0x33, 0x38, 0x38, 0x3f, 0x3f, 0x48, 0x48, 0x50, 0x50, 0x58, 0x58, 0x5f, 0x5f, 0x63, 0x63, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6e, 0x6e, 0x72, 0x72, 
0x76, 0x76, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 0xa6, 0xa6, 
0xa7, 0xa7, 0xa9, 0xa9, 0xac, 0xac, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb4, 0xb4, 0xb4, 0xb4, 0xb1, 0xb1, 0xac, 0xac, 0xa5, 0xa5, 0x9d, 0x9d, 0x95, 0x95, 
0x8e, 0x8e, 0x87, 0x87, 0x80, 0x80, 0x79, 0x79, 0x71, 0x71, 0x69, 0x69, 0x61, 0x61, 0x5a, 0x5a, 0x53, 0x53, 0x4e, 0x4e, 0x4c, 0x4c, 0x4c, 0x4c, 0x50, 0x50, 
0x56, 0x56, 0x5f, 0x5f, 0x69, 0x69, 0x74, 0x74, 0x7f, 0x7f, 0x89, 0x89, 0x8f, 0x8f, 0x91, 0x91, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 
0x89, 0x89, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x99, 0x99, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa5, 0xa5, 0xa6, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0xa1, 0xa1, 
0x9a, 0x9a, 0x8f, 0x8f, 0x81, 0x81, 0x72, 0x72, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x46, 0x46, 0x42, 0x42, 0x40, 0x40, 0x41, 0x41, 0x43, 0x43, 0x45, 0x45, 
0x47, 0x47, 0x47, 0x47, 0x47, 0x47, 0x45, 0x45, 0x43, 0x43, 0x41, 0x41, 0x3f, 0x3f, 0x3d, 0x3d, 0x3d, 0x3d, 0x3e, 0x3e, 0x44, 0x44, 0x50, 0x50, 0x62, 0x62, 
0x78, 0x78, 0x90, 0x90, 0xa6, 0xa6, 0xba, 0xba, 0xc9, 0xc9, 0xd4, 0xd4, 0xd9, 0xd9, 0xd9, 0xd9, 0xd4, 0xd4, 0xcd, 0xcd, 0xc4, 0xc4, 0xbb, 0xbb, 0xb2, 0xb2, 
0xa9, 0xa9, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8e, 0x8e, 0x8d, 0x8d, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 
0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 0x9a, 0x9a, 0x91, 0x91, 0x86, 0x86, 0x7a, 0x7a, 0x6e, 0x6e, 0x66, 0x66, 
0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x55, 0x55, 0x50, 0x50, 0x4c, 0x4c, 0x48, 0x48, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4c, 0x4c, 0x4f, 0x4f, 
0x52, 0x52, 0x56, 0x56, 0x5b, 0x5b, 0x62, 0x62, 0x6a, 0x6a, 0x73, 0x73, 0x7e, 0x7e, 0x89, 0x89, 0x95, 0x95, 0x9f, 0x9f, 0xa6, 0xa6, 0xa9, 0xa9, 0xab, 0xab, 
0xab, 0xab, 0xae, 0xae, 0xb2, 0xb2, 0xb7, 0xb7, 0xbc, 0xbc, 0xbe, 0xbe, 0xbc, 0xbc, 0xb6, 0xb6, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x91, 0x91, 0x87, 0x87, 
0x7f, 0x7f, 0x77, 0x77, 0x70, 0x70, 0x69, 0x69, 0x61, 0x61, 0x59, 0x59, 0x51, 0x51, 0x4c, 0x4c, 0x4a, 0x4a, 0x4e, 0x4e, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 
0x6c, 0x6c, 0x70, 0x70, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6a, 0x6a, 0x66, 0x66, 0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5f, 0x5f, 0x63, 0x63, 0x6b, 0x6b, 
0x76, 0x76, 0x83, 0x83, 0x91, 0x91, 0x9f, 0x9f, 0xad, 0xad, 0xb8, 0xb8, 0xbe, 0xbe, 0xc0, 0xc0, 0xbe, 0xbe, 0xbc, 0xbc, 0xbc, 0xbc, 0xbe, 0xbe, 0xc2, 0xc2, 
0xc6, 0xc6, 0xc8, 0xc8, 0xc7, 0xc7, 0xc2, 0xc2, 0xba, 0xba, 0xb1, 0xb1, 0xa5, 0xa5, 0x9a, 0x9a, 0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x88, 0x88, 0x89, 0x89, 
0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x81, 0x81, 0x7a, 0x7a, 0x72, 0x72, 0x69, 0x69, 0x5e, 0x5e, 0x51, 0x51, 0x43, 0x43, 0x35, 0x35, 0x29, 0x29, 0x20, 0x20, 
0x1c, 0x1c, 0x1c, 0x1c, 0x20, 0x20, 0x29, 0x29, 0x35, 0x35, 0x44, 0x44, 0x54, 0x54, 0x65, 0x65, 0x74, 0x74, 0x83, 0x83, 0x8f, 0x8f, 0x99, 0x99, 0x9e, 0x9e, 
0xa0, 0xa0, 0x9e, 0x9e, 0x96, 0x96, 0x8a, 0x8a, 0x7a, 0x7a, 0x6b, 0x6b, 0x5f, 0x5f, 0x57, 0x57, 0x54, 0x54, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 
0x70, 0x70, 0x77, 0x77, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x81, 0x81, 
0x87, 0x87, 0x90, 0x90, 0x9d, 0x9d, 0xaa, 0xaa, 0xb5, 0xb5, 0xbf, 0xbf, 0xc5, 0xc5, 0xc9, 0xc9, 0xca, 0xca, 0xc8, 0xc8, 0xc3, 0xc3, 0xbd, 0xbd, 0xb5, 0xb5, 
0xac, 0xac, 0xa2, 0xa2, 0x98, 0x98, 0x8c, 0x8c, 0x7f, 0x7f, 0x71, 0x71, 0x64, 0x64, 0x57, 0x57, 0x4b, 0x4b, 0x40, 0x40, 0x37, 0x37, 0x30, 0x30, 0x2c, 0x2c, 
0x2a, 0x2a, 0x2d, 0x2d, 0x34, 0x34, 0x41, 0x41, 0x52, 0x52, 0x64, 0x64, 0x77, 0x77, 0x88, 0x88, 0x98, 0x98, 0xa4, 0xa4, 0xab, 0xab, 0xae, 0xae, 0xad, 0xad, 
0xa9, 0xa9, 0xa3, 0xa3, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 
0x90, 0x90, 0x90, 0x90, 0x8d, 0x8d, 0x88, 0x88, 0x82, 0x82, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x77, 0x77, 
0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x69, 0x69, 
0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x79, 0x79, 0x79, 0x79, 0x7a, 0x7a, 0x7c, 0x7c, 0x7f, 0x7f, 0x84, 0x84, 
0x8a, 0x8a, 0x91, 0x91, 0x99, 0x99, 0xa0, 0xa0, 0xa8, 0xa8, 0xae, 0xae, 0xb2, 0xb2, 0xb5, 0xb5, 0xb5, 0xb5, 0xb3, 0xb3, 0xaf, 0xaf, 0xa8, 0xa8, 0xa1, 0xa1, 
0x9a, 0x9a, 0x94, 0x94, 0x8f, 0x8f, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7e, 0x7e, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6b, 0x6b, 0x66, 0x66, 
0x62, 0x62, 0x5f, 0x5f, 0x5d, 0x5d, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x5a, 0x5a, 0x5b, 0x5b, 0x5d, 0x5d, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 
0x73, 0x73, 0x79, 0x79, 0x7e, 0x7e, 0x84, 0x84, 0x89, 0x89, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7c, 0x7c, 
0x77, 0x77, 0x75, 0x75, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 
0x90, 0x90, 0x8d, 0x8d, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x6f, 0x6f, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 0x7c, 0x7c, 0x7f, 0x7f, 0x81, 0x81, 
0x82, 0x82, 0x81, 0x81, 0x7e, 0x7e, 0x7b, 0x7b, 0x77, 0x77, 0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x78, 0x78, 0x80, 0x80, 0x8c, 0x8c, 0x9d, 0x9d, 0xb0, 0xb0, 
0xc4, 0xc4, 0xd6, 0xd6, 0xe5, 0xe5, 0xef, 0xef, 0xf5, 0xf5, 0xf4, 0xf4, 0xed, 0xed, 0xe0, 0xe0, 0xd1, 0xd1, 0xbf, 0xbf, 0xad, 0xad, 0x9b, 0x9b, 0x8a, 0x8a, 
0x7b, 0x7b, 0x6d, 0x6d, 0x61, 0x61, 0x57, 0x57, 0x4f, 0x4f, 0x4a, 0x4a, 0x45, 0x45, 0x42, 0x42, 0x41, 0x41, 0x41, 0x41, 0x42, 0x42, 0x44, 0x44, 0x47, 0x47, 
0x4c, 0x4c, 0x52, 0x52, 0x57, 0x57, 0x5b, 0x5b, 0x5e, 0x5e, 0x5e, 0x5e, 0x5c, 0x5c, 0x59, 0x59, 0x54, 0x54, 0x4e, 0x4e, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 
0x55, 0x55, 0x5f, 0x5f, 0x6b, 0x6b, 0x79, 0x79, 0x88, 0x88, 0x95, 0x95, 0xa0, 0xa0, 0xa8, 0xa8, 0xad, 0xad, 0xb0, 0xb0, 0xb1, 0xb1, 0xb0, 0xb0, 0xaf, 0xaf, 
0xad, 0xad, 0xad, 0xad, 0xae, 0xae, 0xb0, 0xb0, 0xb3, 0xb3, 0xb6, 0xb6, 0xb9, 0xb9, 0xbb, 0xbb, 0xbc, 0xbc, 0xbb, 0xbb, 0xb7, 0xb7, 0xb2, 0xb2, 0xab, 0xab, 
0xa3, 0xa3, 0x9c, 0x9c, 0x94, 0x94, 0x8b, 0x8b, 0x83, 0x83, 0x7a, 0x7a, 0x70, 0x70, 0x67, 0x67, 0x5d, 0x5d, 0x54, 0x54, 0x4b, 0x4b, 0x44, 0x44, 0x3f, 0x3f, 
0x3d, 0x3d, 0x3e, 0x3e, 0x40, 0x40, 0x45, 0x45, 0x4b, 0x4b, 0x53, 0x53, 0x5b, 0x5b, 0x64, 0x64, 0x6c, 0x6c, 0x74, 0x74, 0x7c, 0x7c, 0x82, 0x82, 0x86, 0x86, 
0x8a, 0x8a, 0x8b, 0x8b, 0x8b, 0x8b, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 
0x81, 0x81, 0x85, 0x85, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x93, 0x93, 0x94, 0x94, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 
0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x79, 0x79, 0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 0x69, 0x69, 0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x62, 0x62, 0x62, 0x62, 
0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 0x5f, 0x5f, 0x5e, 0x5e, 0x5c, 0x5c, 0x5b, 0x5b, 0x5b, 0x5b, 0x5e, 0x5e, 0x63, 0x63, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 
0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9a, 0x9a, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 
0xa7, 0xa7, 0xaa, 0xaa, 0xad, 0xad, 0xb0, 0xb0, 0xb0, 0xb0, 0xae, 0xae, 0xa7, 0xa7, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 0x7d, 0x7d, 0x72, 0x72, 0x69, 0x69, 
0x60, 0x60, 0x5a, 0x5a, 0x56, 0x56, 0x52, 0x52, 0x4f, 0x4f, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 
0x4b, 0x4b, 0x53, 0x53, 0x5e, 0x5e, 0x6d, 0x6d, 0x7f, 0x7f, 0x93, 0x93, 0xa6, 0xa6, 0xb6, 0xb6, 0xc0, 0xc0, 0xc5, 0xc5, 0xc7, 0xc7, 0xc5, 0xc5, 0xc1, 0xc1, 
0xbc, 0xbc, 0xb6, 0xb6, 0xb1, 0xb1, 0xad, 0xad, 0xaa, 0xaa, 0xa7, 0xa7, 0xa0, 0xa0, 0x98, 0x98, 0x8d, 0x8d, 0x81, 0x81, 0x75, 0x75, 0x6a, 0x6a, 0x61, 0x61, 
0x5b, 0x5b, 0x58, 0x58, 0x5a, 0x5a, 0x60, 0x60, 0x6a, 0x6a, 0x76, 0x76, 0x84, 0x84, 0x94, 0x94, 0xa1, 0xa1, 0xaa, 0xaa, 0xad, 0xad, 0xac, 0xac, 0xa7, 0xa7, 
0x9f, 0x9f, 0x95, 0x95, 0x8a, 0x8a, 0x80, 0x80, 0x77, 0x77, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x62, 0x62, 0x5a, 0x5a, 0x52, 0x52, 0x4a, 0x4a, 0x44, 0x44, 
0x40, 0x40, 0x3f, 0x3f, 0x41, 0x41, 0x45, 0x45, 0x4b, 0x4b, 0x54, 0x54, 0x5f, 0x5f, 0x6b, 0x6b, 0x79, 0x79, 0x87, 0x87, 0x96, 0x96, 0xa3, 0xa3, 0xaf, 0xaf, 
0xba, 0xba, 0xc2, 0xc2, 0xc8, 0xc8, 0xcb, 0xcb, 0xcc, 0xcc, 0xcb, 0xcb, 0xc7, 0xc7, 0xc2, 0xc2, 0xbb, 0xbb, 0xb1, 0xb1, 0xa3, 0xa3, 0x93, 0x93, 0x80, 0x80, 
0x6f, 0x6f, 0x62, 0x62, 0x5a, 0x5a, 0x57, 0x57, 0x58, 0x58, 0x5d, 0x5d, 0x65, 0x65, 0x6e, 0x6e, 0x77, 0x77, 0x7d, 0x7d, 0x81, 0x81, 0x82, 0x82, 0x81, 0x81, 
0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x85, 0x85, 
0x7f, 0x7f, 0x77, 0x77, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x64, 0x64, 0x66, 0x66, 0x6b, 0x6b, 0x72, 0x72, 0x7b, 0x7b, 0x83, 0x83, 0x8b, 0x8b, 0x91, 0x91, 
0x95, 0x95, 0x9a, 0x9a, 0xa0, 0xa0, 0xa7, 0xa7, 0xaf, 0xaf, 0xb6, 0xb6, 0xbb, 0xbb, 0xbd, 0xbd, 0xbd, 0xbd, 0xbb, 0xbb, 0xb6, 0xb6, 0xb1, 0xb1, 0xa9, 0xa9, 
0xa0, 0xa0, 0x94, 0x94, 0x86, 0x86, 0x76, 0x76, 0x66, 0x66, 0x58, 0x58, 0x4b, 0x4b, 0x40, 0x40, 0x39, 0x39, 0x36, 0x36, 0x38, 0x38, 0x3b, 0x3b, 0x40, 0x40, 
0x44, 0x44, 0x46, 0x46, 0x47, 0x47, 0x47, 0x47, 0x48, 0x48, 0x49, 0x49, 0x4b, 0x4b, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 0x61, 0x61, 0x6a, 0x6a, 0x76, 0x76, 
0x84, 0x84, 0x93, 0x93, 0xa2, 0xa2, 0xad, 0xad, 0xb4, 0xb4, 0xb8, 0xb8, 0xb8, 0xb8, 0xb4, 0xb4, 0xad, 0xad, 0xa3, 0xa3, 0x9a, 0x9a, 0x93, 0x93, 0x8f, 0x8f, 
0x8d, 0x8d, 0x8b, 0x8b, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 
0x75, 0x75, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6f, 0x6f, 0x75, 0x75, 0x7b, 0x7b, 0x82, 0x82, 0x8a, 0x8a, 
0x92, 0x92, 0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 0xb0, 0xb0, 0xb3, 0xb3, 0xb3, 0xb3, 0xb2, 0xb2, 0xb0, 0xb0, 0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 
0x9c, 0x9c, 0x94, 0x94, 0x8c, 0x8c, 0x82, 0x82, 0x79, 0x79, 0x70, 0x70, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6c, 0x6c, 
0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x68, 0x68, 0x64, 0x64, 0x60, 0x60, 0x5c, 0x5c, 0x59, 0x59, 0x56, 0x56, 
0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x59, 0x59, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6b, 0x6b, 0x72, 0x72, 0x79, 0x79, 0x82, 0x82, 0x8a, 0x8a, 0x92, 0x92, 
0x98, 0x98, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x94, 0x94, 0x90, 0x90, 0x8d, 0x8d, 0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 
0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 0x8d, 0x8d, 0x8a, 0x8a, 0x84, 0x84, 0x7d, 0x7d, 0x75, 0x75, 0x6c, 0x6c, 0x63, 0x63, 0x5c, 0x5c, 0x58, 0x58, 0x57, 0x57, 
0x59, 0x59, 0x5e, 0x5e, 0x65, 0x65, 0x6e, 0x6e, 0x77, 0x77, 0x81, 0x81, 0x89, 0x89, 0x90, 0x90, 0x94, 0x94, 0x97, 0x97, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 
0x86, 0x86, 0x80, 0x80, 0x7b, 0x7b, 0x77, 0x77, 0x73, 0x73, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 
0x7b, 0x7b, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x93, 0x93, 0x96, 0x96, 0x97, 0x97, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa2, 0xa2, 0xa7, 0xa7, 0xaa, 0xaa, 
0xad, 0xad, 0xaf, 0xaf, 0xb1, 0xb1, 0xb3, 0xb3, 0xb5, 0xb5, 0xb7, 0xb7, 0xb7, 0xb7, 0xb6, 0xb6, 0xb1, 0xb1, 0xaa, 0xaa, 0xa0, 0xa0, 0x92, 0x92, 0x83, 0x83, 
0x72, 0x72, 0x62, 0x62, 0x54, 0x54, 0x4a, 0x4a, 0x42, 0x42, 0x3d, 0x3d, 0x39, 0x39, 0x38, 0x38, 0x38, 0x38, 0x3b, 0x3b, 0x40, 0x40, 0x4a, 0x4a, 0x55, 0x55, 
0x61, 0x61, 0x6d, 0x6d, 0x78, 0x78, 0x81, 0x81, 0x89, 0x89, 0x90, 0x90, 0x97, 0x97, 0x9d, 0x9d, 0xa3, 0xa3, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xac, 0xac, 
0xa8, 0xa8, 0xa0, 0xa0, 0x96, 0x96, 0x8b, 0x8b, 0x81, 0x81, 0x79, 0x79, 0x72, 0x72, 0x6b, 0x6b, 0x64, 0x64, 0x5d, 0x5d, 0x55, 0x55, 0x4f, 0x4f, 0x4d, 0x4d, 
0x4e, 0x4e, 0x52, 0x52, 0x58, 0x58, 0x60, 0x60, 0x68, 0x68, 0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7e, 0x7e, 0x83, 0x83, 
0x89, 0x89, 0x8f, 0x8f, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xaa, 0xaa, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb2, 0xb2, 0xae, 0xae, 
0xa8, 0xa8, 0x9f, 0x9f, 0x95, 0x95, 0x89, 0x89, 0x7d, 0x7d, 0x70, 0x70, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x47, 0x47, 0x42, 0x42, 0x41, 0x41, 0x45, 0x45, 
0x4e, 0x4e, 0x5e, 0x5e, 0x71, 0x71, 0x85, 0x85, 0x95, 0x95, 0xa1, 0xa1, 0xa9, 0xa9, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xaa, 0xaa, 0xa7, 0xa7, 
0xa3, 0xa3, 0x9f, 0x9f, 0x99, 0x99, 0x90, 0x90, 0x86, 0x86, 0x7a, 0x7a, 0x6e, 0x6e, 0x63, 0x63, 0x59, 0x59, 0x51, 0x51, 0x4a, 0x4a, 0x46, 0x46, 0x44, 0x44, 
0x45, 0x45, 0x49, 0x49, 0x50, 0x50, 0x5b, 0x5b, 0x69, 0x69, 0x76, 0x76, 0x81, 0x81, 0x89, 0x89, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 
0xa1, 0xa1, 0xa5, 0xa5, 0xa9, 0xa9, 0xac, 0xac, 0xaf, 0xaf, 0xb0, 0xb0, 0xb0, 0xb0, 0xae, 0xae, 0xac, 0xac, 0xa8, 0xa8, 0xa3, 0xa3, 0x9d, 0x9d, 0x96, 0x96, 
0x8b, 0x8b, 0x7d, 0x7d, 0x6d, 0x6d, 0x5e, 0x5e, 0x50, 0x50, 0x44, 0x44, 0x3b, 0x3b, 0x36, 0x36, 0x35, 0x35, 0x37, 0x37, 0x3c, 0x3c, 0x46, 0x46, 0x52, 0x52, 
0x63, 0x63, 0x76, 0x76, 0x88, 0x88, 0x99, 0x99, 0xa6, 0xa6, 0xb0, 0xb0, 0xb6, 0xb6, 0xb6, 0xb6, 0xb1, 0xb1, 0xa9, 0xa9, 0xa0, 0xa0, 0x96, 0x96, 0x8f, 0x8f, 
0x88, 0x88, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 
0x72, 0x72, 0x75, 0x75, 0x79, 0x79, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x98, 0x98, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 0xa3, 0xa3, 
0xa4, 0xa4, 0xa8, 0xa8, 0xab, 0xab, 0xad, 0xad, 0xaa, 0xaa, 0xa2, 0xa2, 0x96, 0x96, 0x88, 0x88, 0x78, 0x78, 0x6a, 0x6a, 0x5c, 0x5c, 0x50, 0x50, 0x48, 0x48, 
0x42, 0x42, 0x3e, 0x3e, 0x3d, 0x3d, 0x3f, 0x3f, 0x42, 0x42, 0x48, 0x48, 0x4f, 0x4f, 0x59, 0x59, 0x64, 0x64, 0x6f, 0x6f, 0x7a, 0x7a, 0x82, 0x82, 0x87, 0x87, 
0x89, 0x89, 0x8b, 0x8b, 0x8c, 0x8c, 0x8e, 0x8e, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x81, 0x81, 
0x82, 0x82, 0x82, 0x82, 0x81, 0x81, 0x80, 0x80, 0x7c, 0x7c, 0x76, 0x76, 0x6e, 0x6e, 0x64, 0x64, 0x5c, 0x5c, 0x57, 0x57, 0x56, 0x56, 0x58, 0x58, 0x5c, 0x5c, 
0x5f, 0x5f, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6f, 0x6f, 0x7a, 0x7a, 0x88, 0x88, 0x99, 0x99, 0xaa, 0xaa, 0xba, 0xba, 0xc9, 0xc9, 0xd4, 0xd4, 0xd9, 0xd9, 
0xd8, 0xd8, 0xd0, 0xd0, 0xc5, 0xc5, 0xb6, 0xb6, 0xa6, 0xa6, 0x95, 0x95, 0x84, 0x84, 0x76, 0x76, 0x69, 0x69, 0x60, 0x60, 0x59, 0x59, 0x58, 0x58, 0x5b, 0x5b, 
0x60, 0x60, 0x65, 0x65, 0x68, 0x68, 0x67, 0x67, 0x63, 0x63, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x53, 0x53, 0x57, 0x57, 0x5e, 0x5e, 0x67, 0x67, 
0x71, 0x71, 0x78, 0x78, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x7a, 0x7a, 0x76, 0x76, 
0x73, 0x73, 0x71, 0x71, 0x6f, 0x6f, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 0x8a, 0x8a, 
0x90, 0x90, 0x96, 0x96, 0x9a, 0x9a, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 
0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x83, 0x83, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7d, 0x7d, 0x7b, 0x7b, 0x79, 0x79, 0x77, 0x77, 
0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x7f, 0x7f, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7b, 0x7b, 
0x79, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x89, 0x89, 0x92, 0x92, 0x9a, 0x9a, 0x9f, 0x9f, 0xa2, 0xa2, 
0xa2, 0xa2, 0xa1, 0xa1, 0x9e, 0x9e, 0x9a, 0x9a, 0x96, 0x96, 0x92, 0x92, 0x8f, 0x8f, 0x8d, 0x8d, 0x8b, 0x8b, 0x87, 0x87, 0x80, 0x80, 0x75, 0x75, 0x69, 0x69, 
0x5d, 0x5d, 0x54, 0x54, 0x4f, 0x4f, 0x4f, 0x4f, 0x51, 0x51, 0x57, 0x57, 0x5e, 0x5e, 0x66, 0x66, 0x6e, 0x6e, 0x75, 0x75, 0x7b, 0x7b, 0x7f, 0x7f, 0x84, 0x84, 
0x89, 0x89, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xae, 0xae, 0xaa, 0xaa, 0xa5, 0xa5, 0x9b, 0x9b, 
0x8f, 0x8f, 0x82, 0x82, 0x76, 0x76, 0x6d, 0x6d, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x7d, 0x7d, 0x7b, 0x7b, 0x75, 0x75, 
0x6d, 0x6d, 0x64, 0x64, 0x5d, 0x5d, 0x5a, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x61, 0x61, 0x68, 0x68, 
0x71, 0x71, 0x7d, 0x7d, 0x8b, 0x8b, 0x99, 0x99, 0xa7, 0xa7, 0xb2, 0xb2, 0xb9, 0xb9, 0xbd, 0xbd, 0xbd, 0xbd, 0xba, 0xba, 0xb5, 0xb5, 0xad, 0xad, 0xa3, 0xa3, 
0x97, 0x97, 0x8b, 0x8b, 0x7e, 0x7e, 0x74, 0x74, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x74, 0x74, 0x77, 0x77, 0x76, 0x76, 0x73, 0x73, 0x6d, 0x6d, 0x65, 0x65, 
0x5b, 0x5b, 0x51, 0x51, 0x49, 0x49, 0x43, 0x43, 0x40, 0x40, 0x41, 0x41, 0x43, 0x43, 0x46, 0x46, 0x49, 0x49, 0x4d, 0x4d, 0x52, 0x52, 0x58, 0x58, 0x61, 0x61, 
0x6b, 0x6b, 0x75, 0x75, 0x7e, 0x7e, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x88, 0x88, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x81, 0x81, 
0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x85, 0x85, 0x8b, 0x8b, 0x94, 0x94, 0xa0, 0xa0, 0xae, 0xae, 0xbc, 0xbc, 0xc6, 0xc6, 0xcc, 0xcc, 0xcf, 0xcf, 0xce, 0xce, 
0xcb, 0xcb, 0xc6, 0xc6, 0xc0, 0xc0, 0xb9, 0xb9, 0xb1, 0xb1, 0xa8, 0xa8, 0x9e, 0x9e, 0x94, 0x94, 0x8b, 0x8b, 0x82, 0x82, 0x79, 0x79, 0x71, 0x71, 0x6b, 0x6b, 
0x67, 0x67, 0x63, 0x63, 0x5f, 0x5f, 0x5b, 0x5b, 0x57, 0x57, 0x51, 0x51, 0x4c, 0x4c, 0x47, 0x47, 0x43, 0x43, 0x3f, 0x3f, 0x3d, 0x3d, 0x3c, 0x3c, 0x3b, 0x3b, 
0x3c, 0x3c, 0x3f, 0x3f, 0x45, 0x45, 0x4f, 0x4f, 0x5b, 0x5b, 0x67, 0x67, 0x71, 0x71, 0x7a, 0x7a, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8d, 0x8d, 0x90, 0x90, 
0x93, 0x93, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0xa0, 0xa0, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x84, 0x84, 0x7b, 0x7b, 
0x74, 0x74, 0x6f, 0x6f, 0x6d, 0x6d, 0x70, 0x70, 0x77, 0x77, 0x84, 0x84, 0x94, 0x94, 0xa3, 0xa3, 0xae, 0xae, 0xb4, 0xb4, 0xb6, 0xb6, 0xb4, 0xb4, 0xb0, 0xb0, 
0xac, 0xac, 0xa6, 0xa6, 0xa1, 0xa1, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x8b, 0x8b, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x90, 0x90, 0x93, 0x93, 0x95, 0x95, 
0x96, 0x96, 0x94, 0x94, 0x8f, 0x8f, 0x87, 0x87, 0x7e, 0x7e, 0x74, 0x74, 0x6e, 0x6e, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 
0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x7b, 0x7b, 0x81, 0x81, 0x85, 0x85, 0x86, 0x86, 0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x7c, 0x7c, 0x78, 0x78, 0x74, 0x74, 
0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6c, 0x6c, 0x69, 0x69, 0x63, 0x63, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x56, 0x56, 0x58, 0x58, 0x59, 0x59, 
0x57, 0x57, 0x54, 0x54, 0x51, 0x51, 0x4e, 0x4e, 0x4b, 0x4b, 0x4b, 0x4b, 0x4e, 0x4e, 0x55, 0x55, 0x60, 0x60, 0x6f, 0x6f, 0x80, 0x80, 0x92, 0x92, 0xa4, 0xa4, 
0xb5, 0xb5, 0xc5, 0xc5, 0xd2, 0xd2, 0xdd, 0xdd, 0xe5, 0xe5, 0xe7, 0xe7, 0xe3, 0xe3, 0xd6, 0xd6, 0xc4, 0xc4, 0xaf, 0xaf, 0x99, 0x99, 0x83, 0x83, 0x70, 0x70, 
0x60, 0x60, 0x53, 0x53, 0x4b, 0x4b, 0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x48, 0x48, 0x4d, 0x4d, 0x53, 0x53, 0x5b, 0x5b, 0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 
0x7c, 0x7c, 0x7e, 0x7e, 0x7f, 0x7f, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 
0x8f, 0x8f, 0x92, 0x92, 0x95, 0x95, 0x98, 0x98, 0x9c, 0x9c, 0x9e, 0x9e, 0x9f, 0x9f, 0x9c, 0x9c, 0x95, 0x95, 0x8c, 0x8c, 0x82, 0x82, 0x79, 0x79, 0x72, 0x72, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6e, 0x6e, 0x72, 0x72, 0x78, 0x78, 0x80, 0x80, 0x89, 0x89, 0x93, 0x93, 0x9d, 0x9d, 0xa6, 0xa6, 0xae, 0xae, 0xb4, 0xb4, 0xb9, 0xb9, 
0xba, 0xba, 0xb8, 0xb8, 0xb2, 0xb2, 0xaa, 0xaa, 0xa0, 0xa0, 0x95, 0x95, 0x8a, 0x8a, 0x7f, 0x7f, 0x75, 0x75, 0x6a, 0x6a, 0x5f, 0x5f, 0x55, 0x55, 0x4c, 0x4c, 
0x44, 0x44, 0x3e, 0x3e, 0x3a, 0x3a, 0x37, 0x37, 0x33, 0x33, 0x2e, 0x2e, 0x28, 0x28, 0x23, 0x23, 0x1d, 0x1d, 0x19, 0x19, 0x17, 0x17, 0x19, 0x19, 0x1f, 0x1f, 
0x2b, 0x2b, 0x3b, 0x3b, 0x4d, 0x4d, 0x5f, 0x5f, 0x6f, 0x6f, 0x7e, 0x7e, 0x8b, 0x8b, 0x97, 0x97, 0xa2, 0xa2, 0xac, 0xac, 0xb3, 0xb3, 0xb8, 0xb8, 0xbb, 0xbb, 
0xba, 0xba, 0xb9, 0xb9, 0xb7, 0xb7, 0xb5, 0xb5, 0xb2, 0xb2, 0xb0, 0xb0, 0xab, 0xab, 0xa5, 0xa5, 0x9e, 0x9e, 0x97, 0x97, 0x91, 0x91, 0x8c, 0x8c, 0x8a, 0x8a, 
0x8a, 0x8a, 0x8d, 0x8d, 0x92, 0x92, 0x99, 0x99, 0xa0, 0xa0, 0xa6, 0xa6, 0xab, 0xab, 0xae, 0xae, 0xb0, 0xb0, 0xb1, 0xb1, 0xb1, 0xb1, 0xaf, 0xaf, 0xac, 0xac, 
0xa4, 0xa4, 0x99, 0x99, 0x8b, 0x8b, 0x7f, 0x7f, 0x77, 0x77, 0x74, 0x74, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x86, 0x86, 0x8b, 0x8b, 0x90, 0x90, 0x93, 0x93, 
0x94, 0x94, 0x93, 0x93, 0x91, 0x91, 0x8d, 0x8d, 0x87, 0x87, 0x81, 0x81, 0x7a, 0x7a, 0x72, 0x72, 0x69, 0x69, 0x61, 0x61, 0x59, 0x59, 0x53, 0x53, 0x4f, 0x4f, 
0x4c, 0x4c, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4a, 0x4b, 0x4b, 0x50, 0x50, 0x59, 0x59, 0x66, 0x66, 0x77, 0x77, 0x87, 0x87, 0x95, 0x95, 0x9e, 0x9e, 0xa3, 0xa3, 
0xa4, 0xa4, 0x9f, 0x9f, 0x97, 0x97, 0x8c, 0x8c, 0x81, 0x81, 0x79, 0x79, 0x73, 0x73, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7b, 0x7b, 0x81, 0x81, 
0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x91, 0x91, 0x91, 0x91, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x74, 0x74, 0x73, 0x73, 0x76, 0x76, 
0x7d, 0x7d, 0x86, 0x86, 0x91, 0x91, 0x9a, 0x9a, 0xa0, 0xa0, 0xa4, 0xa4, 0xa5, 0xa5, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 
0x7d, 0x7d, 0x75, 0x75, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 
0x77, 0x77, 0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x8f, 0x8f, 0x8b, 0x8b, 0x85, 0x85, 0x7f, 0x7f, 0x7a, 0x7a, 
0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 0x6e, 0x6e, 0x6b, 0x6b, 
0x66, 0x66, 0x5f, 0x5f, 0x58, 0x58, 0x54, 0x54, 0x53, 0x53, 0x55, 0x55, 0x5c, 0x5c, 0x68, 0x68, 0x79, 0x79, 0x8b, 0x8b, 0x9b, 0x9b, 0xa7, 0xa7, 0xac, 0xac, 
0xab, 0xab, 0xa7, 0xa7, 0xa2, 0xa2, 0x9d, 0x9d, 0x98, 0x98, 0x92, 0x92, 0x8a, 0x8a, 0x81, 0x81, 0x77, 0x77, 0x6e, 0x6e, 0x69, 0x69, 0x69, 0x69, 0x6c, 0x6c, 
0x72, 0x72, 0x76, 0x76, 0x7a, 0x7a, 0x7b, 0x7b, 0x7a, 0x7a, 0x76, 0x76, 0x6e, 0x6e, 0x65, 0x65, 0x5f, 0x5f, 0x5e, 0x5e, 0x63, 0x63, 0x6c, 0x6c, 0x76, 0x76, 
0x7e, 0x7e, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x8b, 0x8b, 0x92, 0x92, 0x98, 0x98, 0x9c, 0x9c, 0x9e, 0x9e, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 
0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa0, 0xa0, 0x9c, 0x9c, 0x91, 0x91, 0x81, 0x81, 0x6e, 0x6e, 0x5c, 0x5c, 0x51, 0x51, 0x4d, 0x4d, 
0x50, 0x50, 0x57, 0x57, 0x60, 0x60, 0x6a, 0x6a, 0x74, 0x74, 0x7d, 0x7d, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x92, 0x92, 0x92, 0x92, 0x8f, 0x8f, 0x8a, 0x8a, 
0x83, 0x83, 0x79, 0x79, 0x6d, 0x6d, 0x61, 0x61, 0x57, 0x57, 0x52, 0x52, 0x54, 0x54, 0x5a, 0x5a, 0x62, 0x62, 0x69, 0x69, 0x6e, 0x6e, 0x71, 0x71, 0x72, 0x72, 
0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 0x70, 0x70, 0x74, 0x74, 
0x7d, 0x7d, 0x8a, 0x8a, 0x96, 0x96, 0xa0, 0xa0, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xb7, 0xb7, 0xb5, 0xb5, 
0xb0, 0xb0, 0xa9, 0xa9, 0xa0, 0xa0, 0x96, 0x96, 0x8d, 0x8d, 0x86, 0x86, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8b, 0x8b, 0x85, 0x85, 0x7c, 0x7c, 
0x74, 0x74, 0x70, 0x70, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 0x7e, 0x7e, 0x7b, 0x7b, 0x71, 0x71, 0x64, 0x64, 0x53, 0x53, 0x41, 0x41, 0x2f, 0x2f, 0x20, 0x20, 
0x16, 0x16, 0x13, 0x13, 0x15, 0x15, 0x1c, 0x1c, 0x28, 0x28, 0x39, 0x39, 0x4d, 0x4d, 0x63, 0x63, 0x7a, 0x7a, 0x91, 0x91, 0xa6, 0xa6, 0xb6, 0xb6, 0xc0, 0xc0, 
0xc1, 0xc1, 0xbd, 0xbd, 0xb7, 0xb7, 0xb3, 0xb3, 0xb2, 0xb2, 0xb5, 0xb5, 0xb9, 0xb9, 0xbc, 0xbc, 0xbe, 0xbe, 0xbd, 0xbd, 0xba, 0xba, 0xb6, 0xb6, 0xb1, 0xb1, 
0xac, 0xac, 0xa9, 0xa9, 0xaa, 0xaa, 0xaf, 0xaf, 0xb6, 0xb6, 0xbd, 0xbd, 0xc1, 0xc1, 0xc1, 0xc1, 0xbd, 0xbd, 0xb7, 0xb7, 0xb1, 0xb1, 0xac, 0xac, 0xa7, 0xa7, 
0xa2, 0xa2, 0x9c, 0x9c, 0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x76, 0x76, 0x6a, 0x6a, 0x5e, 0x5e, 0x53, 0x53, 0x49, 0x49, 0x41, 0x41, 0x3b, 0x3b, 0x37, 0x37, 
0x33, 0x33, 0x31, 0x31, 0x30, 0x30, 0x30, 0x30, 0x33, 0x33, 0x37, 0x37, 0x3d, 0x3d, 0x43, 0x43, 0x47, 0x47, 0x4a, 0x4a, 0x4b, 0x4b, 0x4e, 0x4e, 0x53, 0x53, 
0x5c, 0x5c, 0x68, 0x68, 0x74, 0x74, 0x81, 0x81, 0x8b, 0x8b, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa7, 0xa7, 0xab, 0xab, 0xae, 0xae, 0xaf, 0xaf, 0xae, 0xae, 
0xab, 0xab, 0xa6, 0xa6, 0xa0, 0xa0, 0x97, 0x97, 0x8d, 0x8d, 0x84, 0x84, 0x7f, 0x7f, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 
0x94, 0x94, 0x94, 0x94, 0x91, 0x91, 0x8c, 0x8c, 0x86, 0x86, 0x7f, 0x7f, 0x79, 0x79, 0x74, 0x74, 0x71, 0x71, 0x71, 0x71, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 
0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x73, 0x73, 0x6d, 0x6d, 0x69, 0x69, 0x67, 0x67, 0x68, 0x68, 0x6d, 0x6d, 0x74, 0x74, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 
0x95, 0x95, 0x98, 0x98, 0x97, 0x97, 0x93, 0x93, 0x8c, 0x8c, 0x82, 0x82, 0x79, 0x79, 0x73, 0x73, 0x71, 0x71, 0x72, 0x72, 0x76, 0x76, 0x7d, 0x7d, 0x85, 0x85, 
0x8d, 0x8d, 0x92, 0x92, 0x91, 0x91, 0x8b, 0x8b, 0x80, 0x80, 0x73, 0x73, 0x67, 0x67, 0x5d, 0x5d, 0x56, 0x56, 0x52, 0x52, 0x52, 0x52, 0x55, 0x55, 0x5a, 0x5a, 
0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x84, 0x84, 0x90, 0x90, 0x9b, 0x9b, 0xa4, 0xa4, 0xab, 0xab, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xab, 0xab, 0xa5, 0xa5, 
0x9e, 0x9e, 0x95, 0x95, 0x8c, 0x8c, 0x82, 0x82, 0x7a, 0x7a, 0x74, 0x74, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6f, 0x6f, 0x74, 0x74, 0x77, 0x77, 0x79, 0x79, 
0x78, 0x78, 0x75, 0x75, 0x71, 0x71, 0x6c, 0x6c, 0x67, 0x67, 0x63, 0x63, 0x63, 0x63, 0x68, 0x68, 0x71, 0x71, 0x7e, 0x7e, 0x8a, 0x8a, 0x93, 0x93, 0x97, 0x97, 
0x97, 0x97, 0x92, 0x92, 0x89, 0x89, 0x7d, 0x7d, 0x70, 0x70, 0x64, 0x64, 0x5d, 0x5d, 0x5a, 0x5a, 0x5c, 0x5c, 0x60, 0x60, 0x65, 0x65, 0x6a, 0x6a, 0x6f, 0x6f, 
0x72, 0x72, 0x72, 0x72, 0x70, 0x70, 0x6b, 0x6b, 0x67, 0x67, 0x64, 0x64, 0x62, 0x62, 0x64, 0x64, 0x6a, 0x6a, 0x75, 0x75, 0x85, 0x85, 0x98, 0x98, 0xaa, 0xaa, 
0xb4, 0xb4, 0xb7, 0xb7, 0xb3, 0xb3, 0xab, 0xab, 0xa2, 0xa2, 0x9a, 0x9a, 0x93, 0x93, 0x90, 0x90, 0x90, 0x90, 0x94, 0x94, 0x99, 0x99, 0x9d, 0x9d, 0x9c, 0x9c, 
0x96, 0x96, 0x8d, 0x8d, 0x81, 0x81, 0x76, 0x76, 0x6c, 0x6c, 0x64, 0x64, 0x5f, 0x5f, 0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x68, 0x68, 0x70, 0x70, 0x7a, 0x7a, 
0x84, 0x84, 0x8c, 0x8c, 0x90, 0x90, 0x90, 0x90, 0x8d, 0x8d, 0x88, 0x88, 0x85, 0x85, 0x84, 0x84, 0x86, 0x86, 0x8a, 0x8a, 0x91, 0x91, 0x9a, 0x9a, 0xa2, 0xa2, 
0xa8, 0xa8, 0xa8, 0xa8, 0xa3, 0xa3, 0x99, 0x99, 0x8e, 0x8e, 0x84, 0x84, 0x7e, 0x7e, 0x7b, 0x7b, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x73, 0x73, 0x70, 0x70, 
0x6e, 0x6e, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6f, 0x6f, 0x72, 0x72, 0x77, 0x77, 0x7a, 0x7a, 0x7c, 0x7c, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x77, 0x77, 
0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x87, 0x87, 0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x95, 0x95, 
0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8b, 0x8b, 0x87, 0x87, 0x85, 0x85, 0x86, 0x86, 0x89, 0x89, 0x8f, 0x8f, 0x92, 0x92, 0x91, 0x91, 0x8a, 0x8a, 0x80, 0x80, 
0x75, 0x75, 0x6f, 0x6f, 0x6f, 0x6f, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 0x7d, 0x7d, 0x79, 0x79, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 
0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x5a, 0x5a, 0x5a, 0x5a, 0x5d, 0x5d, 0x65, 0x65, 0x70, 0x70, 0x7d, 0x7d, 0x89, 0x89, 0x91, 0x91, 
0x92, 0x92, 0x90, 0x90, 0x8c, 0x8c, 0x8a, 0x8a, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8c, 0x8c, 
0x8a, 0x8a, 0x89, 0x89, 0x89, 0x89, 0x8b, 0x8b, 0x8e, 0x8e, 0x8e, 0x8e, 0x8b, 0x8b, 0x85, 0x85, 0x7b, 0x7b, 0x71, 0x71, 0x69, 0x69, 0x63, 0x63, 0x5e, 0x5e, 
0x5b, 0x5b, 0x59, 0x59, 0x56, 0x56, 0x53, 0x53, 0x51, 0x51, 0x50, 0x50, 0x52, 0x52, 0x56, 0x56, 0x5d, 0x5d, 0x68, 0x68, 0x78, 0x78, 0x8a, 0x8a, 0x9c, 0x9c, 
0xab, 0xab, 0xb7, 0xb7, 0xc0, 0xc0, 0xc5, 0xc5, 0xc8, 0xc8, 0xc7, 0xc7, 0xc5, 0xc5, 0xc0, 0xc0, 0xb9, 0xb9, 0xae, 0xae, 0xa2, 0xa2, 0x99, 0x99, 0x93, 0x93, 
0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9f, 0x9f, 0xa0, 0xa0, 0x9c, 0x9c, 0x95, 0x95, 0x88, 0x88, 0x76, 0x76, 0x62, 0x62, 0x4f, 0x4f, 0x43, 0x43, 0x3f, 0x3f, 
0x41, 0x41, 0x46, 0x46, 0x4b, 0x4b, 0x4e, 0x4e, 0x50, 0x50, 0x51, 0x51, 0x52, 0x52, 0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5f, 0x5f, 0x65, 0x65, 0x6d, 0x6d, 
0x75, 0x75, 0x80, 0x80, 0x8c, 0x8c, 0x9a, 0x9a, 0xa8, 0xa8, 0xb7, 0xb7, 0xc5, 0xc5, 0xd2, 0xd2, 0xdc, 0xdc, 0xdf, 0xdf, 0xdc, 0xdc, 0xd4, 0xd4, 0xc8, 0xc8, 
0xbc, 0xbc, 0xb0, 0xb0, 0xa5, 0xa5, 0x9b, 0x9b, 0x91, 0x91, 0x89, 0x89, 0x83, 0x83, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 0x82, 0x82, 0x87, 0x87, 0x8c, 0x8c, 
0x91, 0x91, 0x94, 0x94, 0x94, 0x94, 0x8d, 0x8d, 0x80, 0x80, 0x6f, 0x6f, 0x5d, 0x5d, 0x4f, 0x4f, 0x44, 0x44, 0x3e, 0x3e, 0x3a, 0x3a, 0x37, 0x37, 0x35, 0x35, 
0x33, 0x33, 0x32, 0x32, 0x31, 0x31, 0x32, 0x32, 0x34, 0x34, 0x37, 0x37, 0x3b, 0x3b, 0x41, 0x41, 0x47, 0x47, 0x4c, 0x4c, 0x51, 0x51, 0x55, 0x55, 0x59, 0x59, 
0x5e, 0x5e, 0x67, 0x67, 0x73, 0x73, 0x82, 0x82, 0x90, 0x90, 0x9b, 0x9b, 0xa3, 0xa3, 0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 0xb5, 0xb5, 0xbe, 0xbe, 0xc6, 0xc6, 
0xce, 0xce, 0xd4, 0xd4, 0xd8, 0xd8, 0xdb, 0xdb, 0xdc, 0xdc, 0xdb, 0xdb, 0xd9, 0xd9, 0xd6, 0xd6, 0xd0, 0xd0, 0xc8, 0xc8, 0xbd, 0xbd, 0xb2, 0xb2, 0xa4, 0xa4, 
0x96, 0x96, 0x87, 0x87, 0x79, 0x79, 0x6e, 0x6e, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 0x51, 0x51, 0x49, 0x49, 0x41, 0x41, 0x39, 0x39, 0x33, 0x33, 0x2f, 0x2f, 
0x2d, 0x2d, 0x2e, 0x2e, 0x30, 0x30, 0x35, 0x35, 0x3c, 0x3c, 0x43, 0x43, 0x4a, 0x4a, 0x51, 0x51, 0x58, 0x58, 0x5c, 0x5c, 0x5f, 0x5f, 0x5e, 0x5e, 0x5d, 0x5d, 
0x5b, 0x5b, 0x5b, 0x5b, 0x5e, 0x5e, 0x63, 0x63, 0x69, 0x69, 0x71, 0x71, 0x78, 0x78, 0x80, 0x80, 0x89, 0x89, 0x93, 0x93, 0x9f, 0x9f, 0xab, 0xab, 0xb5, 0xb5, 
0xbd, 0xbd, 0xc1, 0xc1, 0xc2, 0xc2, 0xc1, 0xc1, 0xbf, 0xbf, 0xbe, 0xbe, 0xbd, 0xbd, 0xbc, 0xbc, 0xbb, 0xbb, 0xb9, 0xb9, 0xb7, 0xb7, 0xb3, 0xb3, 0xae, 0xae, 
0xa6, 0xa6, 0x9d, 0x9d, 0x94, 0x94, 0x8c, 0x8c, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x72, 0x72, 0x69, 0x69, 0x60, 0x60, 0x5a, 0x5a, 0x58, 0x58, 
0x59, 0x59, 0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x62, 0x62, 0x66, 0x66, 0x6d, 0x6d, 0x75, 0x75, 0x7f, 0x7f, 0x89, 0x89, 0x92, 0x92, 0x99, 0x99, 
0x9d, 0x9d, 0x9c, 0x9c, 0x96, 0x96, 0x8c, 0x8c, 0x81, 0x81, 0x79, 0x79, 0x73, 0x73, 0x71, 0x71, 0x73, 0x73, 0x78, 0x78, 0x81, 0x81, 0x8c, 0x8c, 0x98, 0x98, 
0xa4, 0xa4, 0xaf, 0xaf, 0xb9, 0xb9, 0xbf, 0xbf, 0xbf, 0xbf, 0xba, 0xba, 0xb1, 0xb1, 0xa5, 0xa5, 0x99, 0x99, 0x8e, 0x8e, 0x83, 0x83, 0x7c, 0x7c, 0x78, 0x78, 
0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x57, 0x57, 0x56, 0x56, 0x56, 0x56, 0x58, 0x58, 
0x5a, 0x5a, 0x5c, 0x5c, 0x5c, 0x5c, 0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x64, 0x64, 0x63, 0x63, 
0x60, 0x60, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x53, 0x53, 0x58, 0x58, 0x62, 0x62, 0x6f, 0x6f, 0x80, 0x80, 0x94, 0x94, 0xa9, 0xa9, 0xbc, 0xbc, 
0xcb, 0xcb, 0xd4, 0xd4, 0xd8, 0xd8, 0xd7, 0xd7, 0xd4, 0xd4, 0xcd, 0xcd, 0xc6, 0xc6, 0xc1, 0xc1, 0xbf, 0xbf, 0xc2, 0xc2, 0xc7, 0xc7, 0xce, 0xce, 0xd4, 0xd4, 
0xd7, 0xd7, 0xd6, 0xd6, 0xd2, 0xd2, 0xc9, 0xc9, 0xbb, 0xbb, 0xa9, 0xa9, 0x95, 0x95, 0x82, 0x82, 0x6f, 0x6f, 0x5d, 0x5d, 0x4b, 0x4b, 0x3a, 0x3a, 0x28, 0x28, 
0x17, 0x17, 0x09, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x15, 0x15, 0x28, 0x28, 0x3f, 0x3f, 0x55, 0x55, 0x69, 0x69, 0x79, 0x79, 0x85, 0x85, 
0x8e, 0x8e, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x94, 0x94, 0x8f, 0x8f, 0x8e, 0x8e, 0x91, 0x91, 0x97, 0x97, 0x9d, 0x9d, 
0xa1, 0xa1, 0xa1, 0xa1, 0x9f, 0x9f, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x94, 0x94, 0x8d, 0x8d, 0x84, 0x84, 0x79, 0x79, 
0x6e, 0x6e, 0x63, 0x63, 0x5b, 0x5b, 0x58, 0x58, 0x5b, 0x5b, 0x62, 0x62, 0x6b, 0x6b, 0x72, 0x72, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x81, 0x81, 0x85, 0x85, 
0x89, 0x89, 0x89, 0x89, 0x83, 0x83, 0x76, 0x76, 0x63, 0x63, 0x50, 0x50, 0x3f, 0x3f, 0x33, 0x33, 0x2c, 0x2c, 0x2a, 0x2a, 0x2c, 0x2c, 0x32, 0x32, 0x3b, 0x3b, 
0x46, 0x46, 0x53, 0x53, 0x62, 0x62, 0x71, 0x71, 0x82, 0x82, 0x93, 0x93, 0xa4, 0xa4, 0xb6, 0xb6, 0xc6, 0xc6, 0xd3, 0xd3, 0xde, 0xde, 0xe7, 0xe7, 0xee, 0xee, 
0xf3, 0xf3, 0xf7, 0xf7, 0xfa, 0xfa, 0xfc, 0xfc, 0xfa, 0xfa, 0xf7, 0xf7, 0xf1, 0xf1, 0xeb, 0xeb, 0xe5, 0xe5, 0xe0, 0xe0, 0xdb, 0xdb, 0xd5, 0xd5, 0xce, 0xce, 
0xc3, 0xc3, 0xb6, 0xb6, 0xa6, 0xa6, 0x95, 0x95, 0x82, 0x82, 0x70, 0x70, 0x5e, 0x5e, 0x4e, 0x4e, 0x41, 0x41, 0x36, 0x36, 0x2d, 0x2d, 0x26, 0x26, 0x1f, 0x1f, 
0x19, 0x19, 0x14, 0x14, 0x10, 0x10, 0x0e, 0x0e, 0x0e, 0x0e, 0x0f, 0x0f, 0x12, 0x12, 0x17, 0x17, 0x1f, 0x1f, 0x28, 0x28, 0x33, 0x33, 0x40, 0x40, 0x4e, 0x4e, 
0x5e, 0x5e, 0x6e, 0x6e, 0x7f, 0x7f, 0x90, 0x90, 0x9f, 0x9f, 0xad, 0xad, 0xb8, 0xb8, 0xc0, 0xc0, 0xc7, 0xc7, 0xca, 0xca, 0xcc, 0xcc, 0xcb, 0xcb, 0xc9, 0xc9, 
0xc7, 0xc7, 0xc4, 0xc4, 0xc2, 0xc2, 0xc0, 0xc0, 0xc1, 0xc1, 0xc4, 0xc4, 0xc8, 0xc8, 0xcd, 0xcd, 0xd0, 0xd0, 0xd0, 0xd0, 0xcd, 0xcd, 0xc7, 0xc7, 0xbc, 0xbc, 
0xae, 0xae, 0x9d, 0x9d, 0x8c, 0x8c, 0x7e, 0x7e, 0x72, 0x72, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 0x5c, 0x5c, 0x5d, 0x5d, 0x5d, 0x5d, 0x5e, 0x5e, 
0x5e, 0x5e, 0x5e, 0x5e, 0x5d, 0x5d, 0x5b, 0x5b, 0x58, 0x58, 0x55, 0x55, 0x53, 0x53, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 
0x4e, 0x4e, 0x49, 0x49, 0x42, 0x42, 0x3a, 0x3a, 0x33, 0x33, 0x2f, 0x2f, 0x2e, 0x2e, 0x30, 0x30, 0x35, 0x35, 0x3b, 0x3b, 0x42, 0x42, 0x49, 0x49, 0x4f, 0x4f, 
0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5d, 0x5d, 0x64, 0x64, 0x6d, 0x6d, 0x7a, 0x7a, 0x88, 0x88, 0x98, 0x98, 0xa8, 0xa8, 0xb8, 0xb8, 0xc6, 0xc6, 0xd2, 0xd2, 
0xda, 0xda, 0xe0, 0xe0, 0xe1, 0xe1, 0xdd, 0xdd, 0xd5, 0xd5, 0xc9, 0xc9, 0xbd, 0xbd, 0xb1, 0xb1, 0xa7, 0xa7, 0x9e, 0x9e, 0x96, 0x96, 0x8b, 0x8b, 0x7f, 0x7f, 
0x71, 0x71, 0x63, 0x63, 0x55, 0x55, 0x49, 0x49, 0x3f, 0x3f, 0x3b, 0x3b, 0x3d, 0x3d, 0x47, 0x47, 0x56, 0x56, 0x67, 0x67, 0x75, 0x75, 0x80, 0x80, 0x87, 0x87, 
0x8e, 0x8e, 0x95, 0x95, 0x9f, 0x9f, 0xaa, 0xaa, 0xb5, 0xb5, 0xbe, 0xbe, 0xc5, 0xc5, 0xca, 0xca, 0xcc, 0xcc, 0xcc, 0xcc, 0xcb, 0xcb, 0xc6, 0xc6, 0xbd, 0xbd, 
0xae, 0xae, 0x97, 0x97, 0x7c, 0x7c, 0x60, 0x60, 0x46, 0x46, 0x30, 0x30, 0x1e, 0x1e, 0x12, 0x12, 0x0d, 0x0d, 0x0e, 0x0e, 0x15, 0x15, 0x1e, 0x1e, 0x28, 0x28, 
0x34, 0x34, 0x40, 0x40, 0x50, 0x50, 0x65, 0x65, 0x7e, 0x7e, 0x9b, 0x9b, 0xb6, 0xb6, 0xcd, 0xcd, 0xdd, 0xdd, 0xe6, 0xe6, 0xeb, 0xeb, 0xed, 0xed, 0xec, 0xec, 
0xe8, 0xe8, 0xe1, 0xe1, 0xd5, 0xd5, 0xc4, 0xc4, 0xaf, 0xaf, 0x9a, 0x9a, 0x88, 0x88, 0x7b, 0x7b, 0x74, 0x74, 0x70, 0x70, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 
0x7a, 0x7a, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x90, 0x90, 0x96, 0x96, 0x9c, 0x9c, 0xa1, 0xa1, 0xa4, 0xa4, 0xa4, 0xa4, 0xa1, 0xa1, 0x9b, 0x9b, 0x95, 0x95, 
0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 0x93, 0x93, 0x90, 0x90, 0x89, 0x89, 0x7e, 0x7e, 0x72, 0x72, 0x67, 0x67, 0x5e, 0x5e, 0x58, 0x58, 0x52, 0x52, 0x4c, 0x4c, 
0x46, 0x46, 0x3f, 0x3f, 0x38, 0x38, 0x32, 0x32, 0x2e, 0x2e, 0x2c, 0x2c, 0x2d, 0x2d, 0x31, 0x31, 0x39, 0x39, 0x44, 0x44, 0x50, 0x50, 0x5e, 0x5e, 0x6d, 0x6d, 
0x7d, 0x7d, 0x8e, 0x8e, 0xa1, 0xa1, 0xb5, 0xb5, 0xca, 0xca, 0xdb, 0xdb, 0xe6, 0xe6, 0xe9, 0xe9, 0xe6, 0xe6, 0xdd, 0xdd, 0xd1, 0xd1, 0xc3, 0xc3, 0xb3, 0xb3, 
0xa5, 0xa5, 0x98, 0x98, 0x8e, 0x8e, 0x85, 0x85, 0x7e, 0x7e, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x5f, 0x5f, 0x5d, 0x5d, 
0x5c, 0x5c, 0x5b, 0x5b, 0x5d, 0x5d, 0x62, 0x62, 0x6e, 0x6e, 0x80, 0x80, 0x98, 0x98, 0xb0, 0xb0, 0xc6, 0xc6, 0xd6, 0xd6, 0xe1, 0xe1, 0xe6, 0xe6, 0xe3, 0xe3, 
0xda, 0xda, 0xcc, 0xcc, 0xbc, 0xbc, 0xac, 0xac, 0x9d, 0x9d, 0x90, 0x90, 0x84, 0x84, 0x77, 0x77, 0x69, 0x69, 0x5b, 0x5b, 0x4e, 0x4e, 0x44, 0x44, 0x3d, 0x3d, 
0x38, 0x38, 0x34, 0x34, 0x2f, 0x2f, 0x27, 0x27, 0x20, 0x20, 0x1b, 0x1b, 0x1b, 0x1b, 0x22, 0x22, 0x2f, 0x2f, 0x3f, 0x3f, 0x52, 0x52, 0x66, 0x66, 0x79, 0x79, 
0x87, 0x87, 0x8e, 0x8e, 0x8d, 0x8d, 0x86, 0x86, 0x7d, 0x7d, 0x73, 0x73, 0x6c, 0x6c, 0x67, 0x67, 0x66, 0x66, 0x69, 0x69, 0x70, 0x70, 0x7a, 0x7a, 0x86, 0x86, 
0x94, 0x94, 0xa2, 0xa2, 0xb0, 0xb0, 0xba, 0xba, 0xbf, 0xbf, 0xbd, 0xbd, 0xb5, 0xb5, 0xaa, 0xaa, 0x9d, 0x9d, 0x8f, 0x8f, 0x81, 0x81, 0x75, 0x75, 0x6e, 0x6e, 
0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x67, 0x67, 0x63, 0x63, 0x5d, 0x5d, 0x5a, 0x5a, 0x5c, 0x5c, 0x63, 0x63, 0x6f, 0x6f, 0x7d, 0x7d, 0x88, 0x88, 0x90, 0x90, 
0x93, 0x93, 0x91, 0x91, 0x88, 0x88, 0x7b, 0x7b, 0x69, 0x69, 0x59, 0x59, 0x4c, 0x4c, 0x44, 0x44, 0x41, 0x41, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 
0x43, 0x43, 0x4c, 0x4c, 0x5c, 0x5c, 0x71, 0x71, 0x85, 0x85, 0x96, 0x96, 0xa0, 0xa0, 0xa5, 0xa5, 0xa6, 0xa6, 0xa8, 0xa8, 0xa9, 0xa9, 0xac, 0xac, 0xaf, 0xaf, 
0xb3, 0xb3, 0xb5, 0xb5, 0xb8, 0xb8, 0xba, 0xba, 0xbd, 0xbd, 0xc1, 0xc1, 0xc7, 0xc7, 0xce, 0xce, 0xd7, 0xd7, 0xe2, 0xe2, 0xed, 0xed, 0xf6, 0xf6, 0xfa, 0xfa, 
0xf7, 0xf7, 0xf1, 0xf1, 0xeb, 0xeb, 0xe8, 0xe8, 0xeb, 0xeb, 0xef, 0xef, 0xf0, 0xf0, 0xe8, 0xe8, 0xd4, 0xd4, 0xb7, 0xb7, 0x94, 0x94, 0x70, 0x70, 0x4b, 0x4b, 
0x2a, 0x2a, 0x10, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0a, 0x0a, 0x16, 0x16, 0x22, 0x22, 0x2d, 0x2d, 0x38, 0x38, 0x41, 0x41, 0x49, 0x49, 
0x50, 0x50, 0x55, 0x55, 0x59, 0x59, 0x5d, 0x5d, 0x62, 0x62, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x91, 0x91, 0x96, 0x96, 0x94, 0x94, 0x8b, 0x8b, 0x80, 0x80, 
0x76, 0x76, 0x6e, 0x6e, 0x69, 0x69, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6c, 0x6c, 0x6d, 0x6d, 0x6f, 0x6f, 0x74, 0x74, 0x7c, 0x7c, 
0x8a, 0x8a, 0x9b, 0x9b, 0xad, 0xad, 0xbe, 0xbe, 0xce, 0xce, 0xda, 0xda, 0xe3, 0xe3, 0xe6, 0xe6, 0xe5, 0xe5, 0xdf, 0xdf, 0xd7, 0xd7, 0xce, 0xce, 0xc5, 0xc5, 
0xbc, 0xbc, 0xb4, 0xb4, 0xad, 0xad, 0xa5, 0xa5, 0x9e, 0x9e, 0x95, 0x95, 0x89, 0x89, 0x7b, 0x7b, 0x6b, 0x6b, 0x5a, 0x5a, 0x4a, 0x4a, 0x3c, 0x3c, 0x30, 0x30, 
0x28, 0x28, 0x27, 0x27, 0x2c, 0x2c, 0x36, 0x36, 0x42, 0x42, 0x4e, 0x4e, 0x59, 0x59, 0x63, 0x63, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 0x7b, 0x7b, 0x80, 0x80, 
0x86, 0x86, 0x8d, 0x8d, 0x95, 0x95, 0x9c, 0x9c, 0x9f, 0x9f, 0x9e, 0x9e, 0x9a, 0x9a, 0x93, 0x93, 0x8b, 0x8b, 0x82, 0x82, 0x7a, 0x7a, 0x73, 0x73, 0x6e, 0x6e, 
0x6c, 0x6c, 0x6c, 0x6c, 0x6f, 0x6f, 0x73, 0x73, 0x79, 0x79, 0x80, 0x80, 0x87, 0x87, 0x8c, 0x8c, 0x90, 0x90, 0x92, 0x92, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 
0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x82, 0x82, 0x86, 0x86, 0x8d, 0x8d, 0x96, 0x96, 0xa2, 0xa2, 0xaf, 0xaf, 
0xbb, 0xbb, 0xc3, 0xc3, 0xc8, 0xc8, 0xc8, 0xc8, 0xc2, 0xc2, 0xb7, 0xb7, 0xa7, 0xa7, 0x94, 0x94, 0x81, 0x81, 0x73, 0x73, 0x6a, 0x6a, 0x66, 0x66, 0x66, 0x66, 
0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x65, 0x65, 0x62, 0x62, 
0x5f, 0x5f, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x58, 0x58, 0x59, 0x59, 0x59, 0x59, 0x58, 0x58, 0x56, 0x56, 0x53, 0x53, 0x52, 0x52, 0x54, 0x54, 0x59, 0x59, 
0x61, 0x61, 0x69, 0x69, 0x70, 0x70, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x80, 0x80, 0x84, 0x84, 0x88, 0x88, 0x8b, 0x8b, 0x8a, 0x8a, 0x84, 0x84, 0x7b, 0x7b, 
0x71, 0x71, 0x65, 0x65, 0x5b, 0x5b, 0x53, 0x53, 0x50, 0x50, 0x55, 0x55, 0x60, 0x60, 0x72, 0x72, 0x85, 0x85, 0x98, 0x98, 0xa9, 0xa9, 0xb7, 0xb7, 0xc2, 0xc2, 
0xc8, 0xc8, 0xca, 0xca, 0xc9, 0xc9, 0xc6, 0xc6, 0xc2, 0xc2, 0xbc, 0xbc, 0xb6, 0xb6, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x94, 0x94, 0x8f, 0x8f, 
0x8a, 0x8a, 0x87, 0x87, 0x87, 0x87, 0x89, 0x89, 0x8f, 0x8f, 0x97, 0x97, 0x9e, 0x9e, 0xa0, 0xa0, 0x9d, 0x9d, 0x96, 0x96, 0x8d, 0x8d, 0x84, 0x84, 0x7d, 0x7d, 
0x77, 0x77, 0x75, 0x75, 0x77, 0x77, 0x7d, 0x7d, 0x87, 0x87, 0x92, 0x92, 0x9e, 0x9e, 0xa9, 0xa9, 0xb1, 0xb1, 0xb2, 0xb2, 0xa8, 0xa8, 0x93, 0x93, 0x76, 0x76, 
0x56, 0x56, 0x3a, 0x3a, 0x23, 0x23, 0x11, 0x11, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x06, 0x06, 0x0d, 0x0d, 0x16, 0x16, 0x26, 0x26, 
0x3e, 0x3e, 0x60, 0x60, 0x88, 0x88, 0xaf, 0xaf, 0xcf, 0xcf, 0xe6, 0xe6, 0xf4, 0xf4, 0xfb, 0xfb, 0xfe, 0xfe, 0xfc, 0xfc, 0xf9, 0xf9, 0xf1, 0xf1, 0xe6, 0xe6, 
0xd7, 0xd7, 0xc5, 0xc5, 0xb5, 0xb5, 0xa7, 0xa7, 0x9f, 0x9f, 0x9b, 0x9b, 0x9a, 0x9a, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9c, 0x9c, 
0x99, 0x99, 0x98, 0x98, 0x99, 0x99, 0x9d, 0x9d, 0xa2, 0xa2, 0xa3, 0xa3, 0x9e, 0x9e, 0x8f, 0x8f, 0x7a, 0x7a, 0x63, 0x63, 0x4f, 0x4f, 0x3e, 0x3e, 0x33, 0x33, 
0x2d, 0x2d, 0x2d, 0x2d, 0x32, 0x32, 0x3b, 0x3b, 0x44, 0x44, 0x4c, 0x4c, 0x52, 0x52, 0x55, 0x55, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x52, 0x52, 0x4f, 0x4f, 
0x4b, 0x4b, 0x45, 0x45, 0x40, 0x40, 0x3e, 0x3e, 0x42, 0x42, 0x4d, 0x4d, 0x5e, 0x5e, 0x72, 0x72, 0x88, 0x88, 0x9d, 0x9d, 0xb0, 0xb0, 0xc2, 0xc2, 0xd0, 0xd0, 
0xdb, 0xdb, 0xe4, 0xe4, 0xeb, 0xeb, 0xf1, 0xf1, 0xf5, 0xf5, 0xf8, 0xf8, 0xf7, 0xf7, 0xf1, 0xf1, 0xe4, 0xe4, 0xd3, 0xd3, 0xc1, 0xc1, 0xb1, 0xb1, 0xa4, 0xa4, 
0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x73, 0x73, 0x6b, 0x6b, 0x61, 0x61, 0x55, 0x55, 0x47, 0x47, 
0x3a, 0x3a, 0x2d, 0x2d, 0x23, 0x23, 0x1b, 0x1b, 0x18, 0x18, 0x1c, 0x1c, 0x27, 0x27, 0x36, 0x36, 0x45, 0x45, 0x53, 0x53, 0x5d, 0x5d, 0x63, 0x63, 0x67, 0x67, 
0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8a, 0x8a, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 
0x7d, 0x7d, 0x80, 0x80, 0x87, 0x87, 0x90, 0x90, 0x9c, 0x9c, 0xa9, 0xa9, 0xb8, 0xb8, 0xc8, 0xc8, 0xd9, 0xd9, 0xe9, 0xe9, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 
0xff, 0xff, 0xfb, 0xfb, 0xef, 0xef, 0xde, 0xde, 0xc9, 0xc9, 0xb4, 0xb4, 0x9f, 0x9f, 0x8b, 0x8b, 0x79, 0x79, 0x69, 0x69, 0x5d, 0x5d, 0x54, 0x54, 0x4d, 0x4d, 
0x49, 0x49, 0x48, 0x48, 0x48, 0x48, 0x4a, 0x4a, 0x4a, 0x4a, 0x48, 0x48, 0x43, 0x43, 0x3b, 0x3b, 0x31, 0x31, 0x26, 0x26, 0x1a, 0x1a, 0x0f, 0x0f, 0x07, 0x07, 
0x03, 0x03, 0x04, 0x04, 0x09, 0x09, 0x11, 0x11, 0x19, 0x19, 0x21, 0x21, 0x29, 0x29, 0x31, 0x31, 0x3b, 0x3b, 0x46, 0x46, 0x52, 0x52, 0x5d, 0x5d, 0x64, 0x64, 
0x67, 0x67, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x62, 0x62, 0x63, 0x63, 0x68, 0x68, 0x71, 0x71, 0x7f, 0x7f, 0x91, 0x91, 0xa5, 0xa5, 0xb8, 0xb8, 0xca, 0xca, 
0xda, 0xda, 0xe7, 0xe7, 0xf1, 0xf1, 0xf8, 0xf8, 0xfc, 0xfc, 0xfd, 0xfd, 0xfe, 0xfe, 0xfd, 0xfd, 0xfc, 0xfc, 0xfa, 0xfa, 0xf9, 0xf9, 0xf8, 0xf8, 0xf7, 0xf7, 
0xf6, 0xf6, 0xf6, 0xf6, 0xf4, 0xf4, 0xf0, 0xf0, 0xe7, 0xe7, 0xd4, 0xd4, 0xb8, 0xb8, 0x94, 0x94, 0x70, 0x70, 0x4f, 0x4f, 0x34, 0x34, 0x21, 0x21, 0x14, 0x14, 
0x0f, 0x0f, 0x11, 0x11, 0x17, 0x17, 0x1e, 0x1e, 0x24, 0x24, 0x26, 0x26, 0x27, 0x27, 0x2a, 0x2a, 0x30, 0x30, 0x3b, 0x3b, 0x4a, 0x4a, 0x5b, 0x5b, 0x6b, 0x6b, 
0x7a, 0x7a, 0x86, 0x86, 0x90, 0x90, 0x99, 0x99, 0xa1, 0xa1, 0xa7, 0xa7, 0xa9, 0xa9, 0xa5, 0xa5, 0x9b, 0x9b, 0x8d, 0x8d, 0x83, 0x83, 0x7f, 0x7f, 0x86, 0x86, 
0x94, 0x94, 0xa5, 0xa5, 0xb6, 0xb6, 0xc4, 0xc4, 0xce, 0xce, 0xd0, 0xd0, 0xc9, 0xc9, 0xb9, 0xb9, 0xa4, 0xa4, 0x92, 0x92, 0x88, 0x88, 0x89, 0x89, 0x93, 0x93, 
0x9f, 0x9f, 0xa7, 0xa7, 0xa9, 0xa9, 0xa5, 0xa5, 0x9c, 0x9c, 0x92, 0x92, 0x87, 0x87, 0x7d, 0x7d, 0x74, 0x74, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x6e, 0x6e, 
0x72, 0x72, 0x77, 0x77, 0x7c, 0x7c, 0x7f, 0x7f, 0x7f, 0x7f, 0x7c, 0x7c, 0x76, 0x76, 0x6c, 0x6c, 0x60, 0x60, 0x53, 0x53, 0x46, 0x46, 0x3e, 0x3e, 0x3e, 0x3e, 
0x47, 0x47, 0x57, 0x57, 0x69, 0x69, 0x7a, 0x7a, 0x87, 0x87, 0x91, 0x91, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 0x87, 0x87, 0x86, 0x86, 0x8a, 0x8a, 0x93, 0x93, 0x9a, 0x9a, 0x9f, 0x9f, 0x9e, 0x9e, 0x99, 0x99, 
0x92, 0x92, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x7f, 0x7f, 0x78, 0x78, 0x6d, 0x6d, 0x5f, 0x5f, 0x50, 0x50, 0x44, 0x44, 
0x3f, 0x3f, 0x42, 0x42, 0x4b, 0x4b, 0x55, 0x55, 0x5e, 0x5e, 0x64, 0x64, 0x68, 0x68, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x70, 0x70, 0x72, 0x72, 0x72, 0x72, 
0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 0x66, 0x66, 0x6b, 0x6b, 0x74, 0x74, 0x7f, 0x7f, 0x8d, 0x8d, 0x9b, 0x9b, 0xa7, 0xa7, 0xb1, 0xb1, 0xb3, 0xb3, 0xb0, 0xb0, 
0xa7, 0xa7, 0x9e, 0x9e, 0x97, 0x97, 0x93, 0x93, 0x92, 0x92, 0x92, 0x92, 0x90, 0x90, 0x8b, 0x8b, 0x85, 0x85, 0x7e, 0x7e, 0x79, 0x79, 0x78, 0x78, 0x79, 0x79, 
0x7c, 0x7c, 0x81, 0x81, 0x85, 0x85, 0x89, 0x89, 0x8c, 0x8c, 0x8c, 0x8c, 0x8a, 0x8a, 0x86, 0x86, 0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 
0x6e, 0x6e, 0x61, 0x61, 0x50, 0x50, 0x41, 0x41, 0x36, 0x36, 0x31, 0x31, 0x32, 0x32, 0x37, 0x37, 0x3d, 0x3d, 0x43, 0x43, 0x48, 0x48, 0x4d, 0x4d, 0x50, 0x50, 
0x51, 0x51, 0x53, 0x53, 0x56, 0x56, 0x5c, 0x5c, 0x66, 0x66, 0x73, 0x73, 0x7e, 0x7e, 0x87, 0x87, 0x8b, 0x8b, 0x8d, 0x8d, 0x8f, 0x8f, 0x96, 0x96, 0xa2, 0xa2, 
0xb2, 0xb2, 0xc1, 0xc1, 0xcd, 0xcd, 0xd3, 0xd3, 0xd4, 0xd4, 0xd2, 0xd2, 0xcf, 0xcf, 0xcc, 0xcc, 0xc9, 0xc9, 0xc5, 0xc5, 0xc1, 0xc1, 0xbb, 0xbb, 0xb5, 0xb5, 
0xb0, 0xb0, 0xae, 0xae, 0xaf, 0xaf, 0xb4, 0xb4, 0xba, 0xba, 0xc1, 0xc1, 0xc7, 0xc7, 0xca, 0xca, 0xc5, 0xc5, 0xb3, 0xb3, 0x93, 0x93, 0x6b, 0x6b, 0x44, 0x44, 
0x26, 0x26, 0x16, 0x16, 0x10, 0x10, 0x12, 0x12, 0x17, 0x17, 0x1c, 0x1c, 0x20, 0x20, 0x23, 0x23, 0x24, 0x24, 0x24, 0x24, 0x23, 0x23, 0x25, 0x25, 0x29, 0x29, 
0x31, 0x31, 0x3d, 0x3d, 0x4d, 0x4d, 0x61, 0x61, 0x7a, 0x7a, 0x95, 0x95, 0xb0, 0xb0, 0xc7, 0xc7, 0xda, 0xda, 0xe6, 0xe6, 0xec, 0xec, 0xea, 0xea, 0xdf, 0xdf, 
0xd0, 0xd0, 0xc2, 0xc2, 0xbc, 0xbc, 0xbf, 0xbf, 0xca, 0xca, 0xd7, 0xd7, 0xe4, 0xe4, 0xed, 0xed, 0xf2, 0xf2, 0xf2, 0xf2, 0xee, 0xee, 0xe7, 0xe7, 0xdd, 0xdd, 
0xd3, 0xd3, 0xca, 0xca, 0xc3, 0xc3, 0xbd, 0xbd, 0xb8, 0xb8, 0xb2, 0xb2, 0xa9, 0xa9, 0xa0, 0xa0, 0x95, 0x95, 0x88, 0x88, 0x7b, 0x7b, 0x6d, 0x6d, 0x5e, 0x5e, 
0x4f, 0x4f, 0x40, 0x40, 0x32, 0x32, 0x25, 0x25, 0x1a, 0x1a, 0x12, 0x12, 0x0d, 0x0d, 0x0a, 0x0a, 0x0b, 0x0b, 0x0e, 0x0e, 0x12, 0x12, 0x17, 0x17, 0x1a, 0x1a, 
0x1b, 0x1b, 0x1c, 0x1c, 0x1e, 0x1e, 0x23, 0x23, 0x2c, 0x2c, 0x39, 0x39, 0x48, 0x48, 0x58, 0x58, 0x69, 0x69, 0x7a, 0x7a, 0x8b, 0x8b, 0x9b, 0x9b, 0xaa, 0xaa, 
0xb9, 0xb9, 0xc7, 0xc7, 0xd2, 0xd2, 0xdc, 0xdc, 0xe3, 0xe3, 0xe6, 0xe6, 0xe6, 0xe6, 0xe1, 0xe1, 0xda, 0xda, 0xd3, 0xd3, 0xce, 0xce, 0xcc, 0xcc, 0xcc, 0xcc, 
0xcc, 0xcc, 0xca, 0xca, 0xc5, 0xc5, 0xbf, 0xbf, 0xb8, 0xb8, 0xb2, 0xb2, 0xad, 0xad, 0xa9, 0xa9, 0xa6, 0xa6, 0xa1, 0xa1, 0x9a, 0x9a, 0x91, 0x91, 0x85, 0x85, 
0x76, 0x76, 0x63, 0x63, 0x4d, 0x4d, 0x39, 0x39, 0x27, 0x27, 0x19, 0x19, 0x10, 0x10, 0x0a, 0x0a, 0x08, 0x08, 0x09, 0x09, 0x0e, 0x0e, 0x16, 0x16, 0x21, 0x21, 
0x30, 0x30, 0x42, 0x42, 0x55, 0x55, 0x67, 0x67, 0x77, 0x77, 0x85, 0x85, 0x8e, 0x8e, 0x93, 0x93, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x87, 0x87, 
0x8b, 0x8b, 0x93, 0x93, 0x9c, 0x9c, 0xa7, 0xa7, 0xb2, 0xb2, 0xbb, 0xbb, 0xc0, 0xc0, 0xc2, 0xc2, 0xc1, 0xc1, 0xbd, 0xbd, 0xb8, 0xb8, 0xb3, 0xb3, 0xac, 0xac, 
0xa5, 0xa5, 0x9e, 0x9e, 0x96, 0x96, 0x8e, 0x8e, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x72, 0x72, 
0x6b, 0x6b, 0x61, 0x61, 0x55, 0x55, 0x49, 0x49, 0x3c, 0x3c, 0x30, 0x30, 0x25, 0x25, 0x1a, 0x1a, 0x12, 0x12, 0x0b, 0x0b, 0x07, 0x07, 0x06, 0x06, 0x0b, 0x0b, 
0x15, 0x15, 0x23, 0x23, 0x36, 0x36, 0x4e, 0x4e, 0x68, 0x68, 0x85, 0x85, 0xa0, 0xa0, 0xb6, 0xb6, 0xc8, 0xc8, 0xd4, 0xd4, 0xdd, 0xdd, 0xe3, 0xe3, 0xe7, 0xe7, 
0xe9, 0xe9, 0xe7, 0xe7, 0xdf, 0xdf, 0xd3, 0xd3, 0xc3, 0xc3, 0xb4, 0xb4, 0xa7, 0xa7, 0xa0, 0xa0, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 
0xa0, 0xa0, 0xa8, 0xa8, 0xb5, 0xb5, 0xc6, 0xc6, 0xd7, 0xd7, 0xe5, 0xe5, 0xf0, 0xf0, 0xf4, 0xf4, 0xef, 0xef, 0xde, 0xde, 0xc0, 0xc0, 0x9a, 0x9a, 0x73, 0x73, 
0x51, 0x51, 0x36, 0x36, 0x23, 0x23, 0x16, 0x16, 0x0d, 0x0d, 0x08, 0x08, 0x05, 0x05, 0x06, 0x06, 0x0b, 0x0b, 0x15, 0x15, 0x22, 0x22, 0x33, 0x33, 0x46, 0x46, 
0x5a, 0x5a, 0x6e, 0x6e, 0x83, 0x83, 0x96, 0x96, 0xa8, 0xa8, 0xb9, 0xb9, 0xc6, 0xc6, 0xce, 0xce, 0xd1, 0xd1, 0xcf, 0xcf, 0xca, 0xca, 0xc3, 0xc3, 0xba, 0xba, 
0xb2, 0xb2, 0xad, 0xad, 0xaf, 0xaf, 0xb7, 0xb7, 0xc4, 0xc4, 0xcf, 0xcf, 0xd3, 0xd3, 0xcf, 0xcf, 0xc3, 0xc3, 0xb5, 0xb5, 0xa7, 0xa7, 0x9d, 0x9d, 0x95, 0x95, 
0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x5f, 0x5f, 
0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x56, 0x56, 0x53, 0x53, 0x4d, 0x4d, 0x46, 0x46, 0x3e, 0x3e, 0x34, 0x34, 0x29, 0x29, 0x1f, 0x1f, 0x18, 0x18, 0x19, 0x19, 
0x21, 0x21, 0x2e, 0x2e, 0x3f, 0x3f, 0x4f, 0x4f, 0x5c, 0x5c, 0x68, 0x68, 0x73, 0x73, 0x7f, 0x7f, 0x8c, 0x8c, 0x9b, 0x9b, 0xaa, 0xaa, 0xba, 0xba, 0xc9, 0xc9, 
0xd6, 0xd6, 0xe1, 0xe1, 0xe7, 0xe7, 0xe9, 0xe9, 0xe7, 0xe7, 0xe4, 0xe4, 0xe1, 0xe1, 0xde, 0xde, 0xdd, 0xdd, 0xdd, 0xdd, 0xde, 0xde, 0xe0, 0xe0, 0xe1, 0xe1, 
0xdf, 0xdf, 0xd7, 0xd7, 0xc9, 0xc9, 0xb6, 0xb6, 0xa0, 0xa0, 0x88, 0x88, 0x71, 0x71, 0x5a, 0x5a, 0x46, 0x46, 0x36, 0x36, 0x29, 0x29, 0x20, 0x20, 0x19, 0x19, 
0x14, 0x14, 0x11, 0x11, 0x10, 0x10, 0x12, 0x12, 0x18, 0x18, 0x21, 0x21, 0x2e, 0x2e, 0x3b, 0x3b, 0x47, 0x47, 0x52, 0x52, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 
0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0xa3, 0xa3, 0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 0xb5, 0xb5, 
0xbb, 0xbb, 0xbf, 0xbf, 0xc0, 0xc0, 0xbe, 0xbe, 0xba, 0xba, 0xb6, 0xb6, 0xb3, 0xb3, 0xb2, 0xb2, 0xb3, 0xb3, 0xb3, 0xb3, 0xb1, 0xb1, 0xac, 0xac, 0xa4, 0xa4, 
0x9b, 0x9b, 0x93, 0x93, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x68, 0x68, 0x59, 0x59, 0x46, 0x46, 0x30, 0x30, 0x1b, 0x1b, 
0x0c, 0x0c, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x04, 0x04, 0x08, 0x08, 0x0e, 0x0e, 0x18, 0x18, 0x28, 0x28, 0x3c, 0x3c, 0x50, 0x50, 0x63, 0x63, 
0x73, 0x73, 0x7f, 0x7f, 0x88, 0x88, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8d, 0x8d, 0x95, 0x95, 0xa3, 0xa3, 0xb6, 0xb6, 0xca, 0xca, 0xdc, 0xdc, 0xea, 0xea, 
0xf4, 0xf4, 0xf8, 0xf8, 0xf6, 0xf6, 0xef, 0xef, 0xe3, 0xe3, 0xd6, 0xd6, 0xc8, 0xc8, 0xbc, 0xbc, 0xb2, 0xb2, 0xab, 0xab, 0xa9, 0xa9, 0xad, 0xad, 0xb4, 0xb4, 
0xbe, 0xbe, 0xca, 0xca, 0xd6, 0xd6, 0xdf, 0xdf, 0xe2, 0xe2, 0xda, 0xda, 0xc7, 0xc7, 0xaa, 0xaa, 0x88, 0x88, 0x66, 0x66, 0x46, 0x46, 0x2b, 0x2b, 0x16, 0x16, 
0x0a, 0x0a, 0x08, 0x08, 0x0c, 0x0c, 0x12, 0x12, 0x16, 0x16, 0x15, 0x15, 0x12, 0x12, 0x10, 0x10, 0x15, 0x15, 0x21, 0x21, 0x34, 0x34, 0x49, 0x49, 0x5d, 0x5d, 
0x6f, 0x6f, 0x7f, 0x7f, 0x8d, 0x8d, 0x9c, 0x9c, 0xad, 0xad, 0xbd, 0xbd, 0xc9, 0xc9, 0xce, 0xce, 0xc9, 0xc9, 0xbd, 0xbd, 0xaf, 0xaf, 0xa2, 0xa2, 0x99, 0x99, 
0x95, 0x95, 0x98, 0x98, 0xa5, 0xa5, 0xba, 0xba, 0xd4, 0xd4, 0xeb, 0xeb, 0xf7, 0xf7, 0xf6, 0xf6, 0xeb, 0xeb, 0xdc, 0xdc, 0xce, 0xce, 0xc4, 0xc4, 0xbe, 0xbe, 
0xb7, 0xb7, 0xad, 0xad, 0x9e, 0x9e, 0x8b, 0x8b, 0x78, 0x78, 0x68, 0x68, 0x5d, 0x5d, 0x56, 0x56, 0x55, 0x55, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6c, 0x6c, 
0x6a, 0x6a, 0x61, 0x61, 0x52, 0x52, 0x41, 0x41, 0x31, 0x31, 0x25, 0x25, 0x1c, 0x1c, 0x15, 0x15, 0x0f, 0x0f, 0x0b, 0x0b, 0x08, 0x08, 0x0a, 0x0a, 0x14, 0x14, 
0x27, 0x27, 0x3f, 0x3f, 0x5b, 0x5b, 0x76, 0x76, 0x8d, 0x8d, 0xa2, 0xa2, 0xb2, 0xb2, 0xbe, 0xbe, 0xc6, 0xc6, 0xcb, 0xcb, 0xce, 0xce, 0xd1, 0xd1, 0xd4, 0xd4, 
0xd7, 0xd7, 0xd7, 0xd7, 0xd3, 0xd3, 0xcb, 0xcb, 0xc0, 0xc0, 0xb6, 0xb6, 0xaf, 0xaf, 0xae, 0xae, 0xb0, 0xb0, 0xb3, 0xb3, 0xb4, 0xb4, 0xb0, 0xb0, 0xa9, 0xa9, 
0x9f, 0x9f, 0x94, 0x94, 0x87, 0x87, 0x7a, 0x7a, 0x6f, 0x6f, 0x67, 0x67, 0x62, 0x62, 0x5f, 0x5f, 0x5b, 0x5b, 0x54, 0x54, 0x4a, 0x4a, 0x3d, 0x3d, 0x30, 0x30, 
0x27, 0x27, 0x23, 0x23, 0x24, 0x24, 0x29, 0x29, 0x33, 0x33, 0x40, 0x40, 0x4f, 0x4f, 0x5f, 0x5f, 0x6e, 0x6e, 0x7b, 0x7b, 0x85, 0x85, 0x8c, 0x8c, 0x8f, 0x8f, 
0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x80, 0x80, 0x7c, 0x7c, 0x7a, 0x7a, 0x7c, 0x7c, 0x85, 0x85, 0x93, 0x93, 0xa4, 0xa4, 0xb5, 0xb5, 0xc2, 0xc2, 0xc9, 0xc9, 
0xcb, 0xcb, 0xcb, 0xcb, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc7, 0xc7, 0xc3, 0xc3, 0xba, 0xba, 0xab, 0xab, 0x95, 0x95, 0x7c, 0x7c, 
0x62, 0x62, 0x4d, 0x4d, 0x3e, 0x3e, 0x34, 0x34, 0x2d, 0x2d, 0x28, 0x28, 0x23, 0x23, 0x1f, 0x1f, 0x1d, 0x1d, 0x1d, 0x1d, 0x21, 0x21, 0x29, 0x29, 0x32, 0x32, 
0x3d, 0x3d, 0x4a, 0x4a, 0x55, 0x55, 0x5f, 0x5f, 0x65, 0x65, 0x66, 0x66, 0x64, 0x64, 0x61, 0x61, 0x5e, 0x5e, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x64, 0x64, 
0x66, 0x66, 0x6a, 0x6a, 0x70, 0x70, 0x7b, 0x7b, 0x8b, 0x8b, 0x9f, 0x9f, 0xb3, 0xb3, 0xc4, 0xc4, 0xd2, 0xd2, 0xdb, 0xdb, 0xe1, 0xe1, 0xe7, 0xe7, 0xec, 0xec, 
0xf0, 0xf0, 0xf3, 0xf3, 0xf3, 0xf3, 0xf0, 0xf0, 0xea, 0xea, 0xe3, 0xe3, 0xde, 0xde, 0xd9, 0xd9, 0xd6, 0xd6, 0xd2, 0xd2, 0xcd, 0xcd, 0xc5, 0xc5, 0xb9, 0xb9, 
0xa6, 0xa6, 0x8b, 0x8b, 0x67, 0x67, 0x40, 0x40, 0x1c, 0x1c, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x0f, 0x0f, 0x19, 0x19, 0x21, 0x21, 0x29, 0x29, 
0x31, 0x31, 0x3b, 0x3b, 0x46, 0x46, 0x52, 0x52, 0x5c, 0x5c, 0x66, 0x66, 0x6f, 0x6f, 0x79, 0x79, 0x84, 0x84, 0x93, 0x93, 0xa3, 0xa3, 0xb3, 0xb3, 0xc1, 0xc1, 
0xce, 0xce, 0xd6, 0xd6, 0xda, 0xda, 0xd5, 0xd5, 0xca, 0xca, 0xbb, 0xbb, 0xae, 0xae, 0xaa, 0xaa, 0xb1, 0xb1, 0xbf, 0xbf, 0xcf, 0xcf, 0xd9, 0xd9, 0xdc, 0xdc, 
0xd7, 0xd7, 0xcd, 0xcd, 0xc1, 0xc1, 0xb4, 0xb4, 0xa9, 0xa9, 0xa0, 0xa0, 0x9a, 0x9a, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x94, 0x94, 0x8d, 0x8d, 
0x85, 0x85, 0x7b, 0x7b, 0x71, 0x71, 0x66, 0x66, 0x5a, 0x5a, 0x4b, 0x4b, 0x3a, 0x3a, 0x28, 0x28, 0x17, 0x17, 0x0b, 0x0b, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x02, 0x02, 0x06, 0x06, 0x0b, 0x0b, 0x13, 0x13, 0x21, 0x21, 0x36, 0x36, 0x51, 0x51, 0x72, 0x72, 0x91, 0x91, 0xac, 0xac, 
0xc1, 0xc1, 0xcf, 0xcf, 0xda, 0xda, 0xe2, 0xe2, 0xea, 0xea, 0xf2, 0xf2, 0xf8, 0xf8, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf3, 0xf3, 0xe7, 0xe7, 
0xd8, 0xd8, 0xcc, 0xcc, 0xc5, 0xc5, 0xc3, 0xc3, 0xc5, 0xc5, 0xc6, 0xc6, 0xc0, 0xc0, 0xb2, 0xb2, 0x9f, 0x9f, 0x89, 0x89, 0x77, 0x77, 0x69, 0x69, 0x60, 0x60, 
0x5b, 0x5b, 0x58, 0x58, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x4b, 0x4b, 0x40, 0x40, 0x33, 0x33, 0x2a, 0x2a, 0x28, 0x28, 0x2f, 0x2f, 0x3c, 0x3c, 0x49, 0x49, 
0x50, 0x50, 0x4f, 0x4f, 0x48, 0x48, 0x42, 0x42, 0x42, 0x42, 0x4a, 0x4a, 0x59, 0x59, 0x6b, 0x6b, 0x7d, 0x7d, 0x8d, 0x8d, 0x99, 0x99, 0xa0, 0xa0, 0xa3, 0xa3, 
0xa1, 0xa1, 0x9d, 0x9d, 0x9a, 0x9a, 0x9b, 0x9b, 0xa2, 0xa2, 0xab, 0xab, 0xb3, 0xb3, 0xb6, 0xb6, 0xb2, 0xb2, 0xa9, 0xa9, 0xa0, 0xa0, 0x98, 0x98, 0x96, 0x96, 
0x96, 0x96, 0x95, 0x95, 0x90, 0x90, 0x86, 0x86, 0x77, 0x77, 0x68, 0x68, 0x5b, 0x5b, 0x52, 0x52, 0x4e, 0x4e, 0x4b, 0x4b, 0x4b, 0x4b, 0x4a, 0x4a, 0x48, 0x48, 
0x44, 0x44, 0x3b, 0x3b, 0x2e, 0x2e, 0x1f, 0x1f, 0x14, 0x14, 0x10, 0x10, 0x17, 0x17, 0x24, 0x24, 0x34, 0x34, 0x42, 0x42, 0x4c, 0x4c, 0x52, 0x52, 0x57, 0x57, 
0x5d, 0x5d, 0x67, 0x67, 0x73, 0x73, 0x81, 0x81, 0x90, 0x90, 0x9e, 0x9e, 0xab, 0xab, 0xb6, 0xb6, 0xbe, 0xbe, 0xc4, 0xc4, 0xc8, 0xc8, 0xcb, 0xcb, 0xcd, 0xcd, 
0xcf, 0xcf, 0xd0, 0xd0, 0xd3, 0xd3, 0xd6, 0xd6, 0xdb, 0xdb, 0xe1, 0xe1, 0xe8, 0xe8, 0xee, 0xee, 0xf4, 0xf4, 0xf9, 0xf9, 0xfc, 0xfc, 0xfe, 0xfe, 0xfd, 0xfd, 
0xfa, 0xfa, 0xf4, 0xf4, 0xeb, 0xeb, 0xdf, 0xdf, 0xce, 0xce, 0xb9, 0xb9, 0x9d, 0x9d, 0x7b, 0x7b, 0x56, 0x56, 0x34, 0x34, 0x1a, 0x1a, 0x0a, 0x0a, 0x02, 0x02, 
0x01, 0x01, 0x03, 0x03, 0x06, 0x06, 0x0b, 0x0b, 0x11, 0x11, 0x19, 0x19, 0x24, 0x24, 0x32, 0x32, 0x42, 0x42, 0x53, 0x53, 0x65, 0x65, 0x78, 0x78, 0x8a, 0x8a, 
0x9b, 0x9b, 0xab, 0xab, 0xb8, 0xb8, 0xc1, 0xc1, 0xc5, 0xc5, 0xc3, 0xc3, 0xbc, 0xbc, 0xb2, 0xb2, 0xa5, 0xa5, 0x97, 0x97, 0x8a, 0x8a, 0x80, 0x80, 0x7e, 0x7e, 
0x83, 0x83, 0x8f, 0x8f, 0x9e, 0x9e, 0xae, 0xae, 0xbe, 0xbe, 0xcc, 0xcc, 0xd5, 0xd5, 0xd8, 0xd8, 0xd3, 0xd3, 0xca, 0xca, 0xbe, 0xbe, 0xb3, 0xb3, 0xa9, 0xa9, 
0xa2, 0xa2, 0x9d, 0x9d, 0x9a, 0x9a, 0x99, 0x99, 0x99, 0x99, 0x97, 0x97, 0x92, 0x92, 0x87, 0x87, 0x79, 0x79, 0x6a, 0x6a, 0x5b, 0x5b, 0x4c, 0x4c, 0x40, 0x40, 
0x34, 0x34, 0x28, 0x28, 0x1c, 0x1c, 0x10, 0x10, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x0b, 0x0b, 0x15, 0x15, 0x21, 0x21, 0x31, 0x31, 
0x45, 0x45, 0x5e, 0x5e, 0x79, 0x79, 0x95, 0x95, 0xaf, 0xaf, 0xc4, 0xc4, 0xd5, 0xd5, 0xde, 0xde, 0xde, 0xde, 0xd6, 0xd6, 0xc9, 0xc9, 0xbb, 0xbb, 0xb3, 0xb3, 
0xb1, 0xb1, 0xb4, 0xb4, 0xb8, 0xb8, 0xb9, 0xb9, 0xb5, 0xb5, 0xad, 0xad, 0xa4, 0xa4, 0x9e, 0x9e, 0x9c, 0x9c, 0x9d, 0x9d, 0x9f, 0x9f, 0xa1, 0xa1, 0xa0, 0xa0, 
0x9b, 0x9b, 0x94, 0x94, 0x8a, 0x8a, 0x7e, 0x7e, 0x70, 0x70, 0x65, 0x65, 0x5e, 0x5e, 0x5e, 0x5e, 0x61, 0x61, 0x64, 0x64, 0x65, 0x65, 0x62, 0x62, 0x5c, 0x5c, 
0x56, 0x56, 0x53, 0x53, 0x54, 0x54, 0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 0x69, 0x69, 0x6d, 0x6d, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6e, 0x6e, 0x6f, 0x6f, 0x71, 0x71, 0x73, 0x73, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x82, 0x82, 0x8a, 0x8a, 0x94, 0x94, 0xa0, 0xa0, 0xab, 0xab, 0xb3, 0xb3, 
0xb8, 0xb8, 0xb8, 0xb8, 0xb6, 0xb6, 0xb3, 0xb3, 0xae, 0xae, 0xa8, 0xa8, 0xa1, 0xa1, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 0x7f, 0x7f, 0x74, 0x74, 0x69, 0x69, 
0x5e, 0x5e, 0x51, 0x51, 0x44, 0x44, 0x37, 0x37, 0x2a, 0x2a, 0x1f, 0x1f, 0x18, 0x18, 0x16, 0x16, 0x18, 0x18, 0x1f, 0x1f, 0x28, 0x28, 0x34, 0x34, 0x42, 0x42, 
0x4e, 0x4e, 0x58, 0x58, 0x5e, 0x5e, 0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 0x7f, 0x7f, 0x8b, 0x8b, 0x97, 0x97, 0xa3, 0xa3, 0xae, 0xae, 0xb7, 0xb7, 
0xbd, 0xbd, 0xc0, 0xc0, 0xbf, 0xbf, 0xbb, 0xbb, 0xb1, 0xb1, 0xa3, 0xa3, 0x92, 0x92, 0x83, 0x83, 0x7b, 0x7b, 0x7c, 0x7c, 0x84, 0x84, 0x92, 0x92, 0xa7, 0xa7, 
0xbf, 0xbf, 0xd8, 0xd8, 0xee, 0xee, 0xfd, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xfd, 0xf3, 0xf3, 0xe5, 0xe5, 0xd5, 0xd5, 0xc0, 0xc0, 0xa6, 0xa6, 0x87, 0x87, 
0x65, 0x65, 0x44, 0x44, 0x2a, 0x2a, 0x17, 0x17, 0x0b, 0x0b, 0x06, 0x06, 0x07, 0x07, 0x0d, 0x0d, 0x17, 0x17, 0x25, 0x25, 0x38, 0x38, 0x4f, 0x4f, 0x67, 0x67, 
0x7f, 0x7f, 0x92, 0x92, 0xa1, 0xa1, 0xab, 0xab, 0xb1, 0xb1, 0xb5, 0xb5, 0xb8, 0xb8, 0xbb, 0xbb, 0xbf, 0xbf, 0xc3, 0xc3, 0xc9, 0xc9, 0xce, 0xce, 0xd1, 0xd1, 
0xce, 0xce, 0xc6, 0xc6, 0xb9, 0xb9, 0xad, 0xad, 0xa2, 0xa2, 0x9c, 0x9c, 0x9a, 0x9a, 0x9c, 0x9c, 0xa0, 0xa0, 0xa5, 0xa5, 0xaa, 0xaa, 0xab, 0xab, 0xa5, 0xa5, 
0x97, 0x97, 0x84, 0x84, 0x71, 0x71, 0x62, 0x62, 0x58, 0x58, 0x54, 0x54, 0x56, 0x56, 0x5e, 0x5e, 0x6b, 0x6b, 0x7a, 0x7a, 0x87, 0x87, 0x90, 0x90, 0x92, 0x92, 
0x8f, 0x8f, 0x89, 0x89, 0x80, 0x80, 0x75, 0x75, 0x6a, 0x6a, 0x5c, 0x5c, 0x4c, 0x4c, 0x38, 0x38, 0x22, 0x22, 0x0f, 0x0f, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x05, 0x05, 0x0b, 0x0b, 0x12, 0x12, 0x1c, 0x1c, 0x2b, 0x2b, 0x41, 0x41, 0x5b, 0x5b, 0x78, 0x78, 0x96, 0x96, 0xb4, 0xb4, 0xcf, 0xcf, 0xe5, 0xe5, 
0xf3, 0xf3, 0xf9, 0xf9, 0xf9, 0xf9, 0xf6, 0xf6, 0xf4, 0xf4, 0xf3, 0xf3, 0xf3, 0xf3, 0xf2, 0xf2, 0xed, 0xed, 0xe3, 0xe3, 0xd5, 0xd5, 0xc7, 0xc7, 0xbb, 0xbb, 
0xb3, 0xb3, 0xad, 0xad, 0xa8, 0xa8, 0xa1, 0xa1, 0x98, 0x98, 0x8c, 0x8c, 0x7d, 0x7d, 0x6c, 0x6c, 0x59, 0x59, 0x46, 0x46, 0x36, 0x36, 0x2b, 0x2b, 0x25, 0x25, 
0x24, 0x24, 0x26, 0x26, 0x27, 0x27, 0x28, 0x28, 0x2a, 0x2a, 0x2d, 0x2d, 0x34, 0x34, 0x41, 0x41, 0x51, 0x51, 0x61, 0x61, 0x6f, 0x6f, 0x78, 0x78, 0x7e, 0x7e, 
0x81, 0x81, 0x83, 0x83, 0x85, 0x85, 0x87, 0x87, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9c, 0x9c, 0x9d, 0x9d, 0x9b, 0x9b, 0x97, 0x97, 0x95, 0x95, 
0x97, 0x97, 0x9f, 0x9f, 0xab, 0xab, 0xb8, 0xb8, 0xc2, 0xc2, 0xc8, 0xc8, 0xc9, 0xc9, 0xc4, 0xc4, 0xba, 0xba, 0xab, 0xab, 0x98, 0x98, 0x84, 0x84, 0x70, 0x70, 
0x5e, 0x5e, 0x4f, 0x4f, 0x43, 0x43, 0x3b, 0x3b, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x38, 0x38, 0x39, 0x39, 0x39, 0x39, 0x37, 0x37, 0x33, 0x33, 0x2d, 0x2d, 
0x25, 0x25, 0x1e, 0x1e, 0x1a, 0x1a, 0x1a, 0x1a, 0x1c, 0x1c, 0x20, 0x20, 0x26, 0x26, 0x2b, 0x2b, 0x31, 0x31, 0x37, 0x37, 0x3f, 0x3f, 0x48, 0x48, 0x52, 0x52, 
0x5f, 0x5f, 0x6d, 0x6d, 0x7d, 0x7d, 0x8e, 0x8e, 0xa0, 0xa0, 0xb1, 0xb1, 0xc2, 0xc2, 0xd0, 0xd0, 0xdd, 0xdd, 0xe7, 0xe7, 0xed, 0xed, 0xf1, 0xf1, 0xf3, 0xf3, 
0xf5, 0xf5, 0xf5, 0xf5, 0xf5, 0xf5, 0xf3, 0xf3, 0xef, 0xef, 0xe9, 0xe9, 0xe2, 0xe2, 0xdc, 0xdc, 0xd9, 0xd9, 0xda, 0xda, 0xdf, 0xdf, 0xe6, 0xe6, 0xed, 0xed, 
0xf3, 0xf3, 0xf6, 0xf6, 0xf3, 0xf3, 0xe7, 0xe7, 0xd1, 0xd1, 0xb3, 0xb3, 0x90, 0x90, 0x6c, 0x6c, 0x49, 0x49, 0x29, 0x29, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x01, 0x01, 0x0b, 0x0b, 0x18, 0x18, 0x26, 0x26, 0x33, 0x33, 0x3f, 0x3f, 0x49, 0x49, 0x51, 0x51, 0x59, 0x59, 0x61, 0x61, 0x68, 0x68, 0x70, 0x70, 
0x7b, 0x7b, 0x88, 0x88, 0x99, 0x99, 0xac, 0xac, 0xbd, 0xbd, 0xca, 0xca, 0xd1, 0xd1, 0xd3, 0xd3, 0xd1, 0xd1, 0xcb, 0xcb, 0xc4, 0xc4, 0xbc, 0xbc, 0xb7, 0xb7, 
0xb8, 0xb8, 0xbf, 0xbf, 0xcb, 0xcb, 0xd7, 0xd7, 0xde, 0xde, 0xde, 0xde, 0xd8, 0xd8, 0xcc, 0xcc, 0xba, 0xba, 0xa4, 0xa4, 0x8d, 0x8d, 0x78, 0x78, 0x69, 0x69, 
0x62, 0x62, 0x60, 0x60, 0x60, 0x60, 0x5e, 0x5e, 0x58, 0x58, 0x50, 0x50, 0x47, 0x47, 0x41, 0x41, 0x3e, 0x3e, 0x3e, 0x3e, 0x40, 0x40, 0x42, 0x42, 0x43, 0x43, 
0x41, 0x41, 0x3e, 0x3e, 0x39, 0x39, 0x31, 0x31, 0x28, 0x28, 0x21, 0x21, 0x1c, 0x1c, 0x1c, 0x1c, 0x1f, 0x1f, 0x25, 0x25, 0x2e, 0x2e, 0x37, 0x37, 0x43, 0x43, 
0x51, 0x51, 0x64, 0x64, 0x7c, 0x7c, 0x96, 0x96, 0xaf, 0xaf, 0xc2, 0xc2, 0xcf, 0xcf, 0xd6, 0xd6, 0xdb, 0xdb, 0xdd, 0xdd, 0xe1, 0xe1, 0xe4, 0xe4, 0xe7, 0xe7, 
0xe9, 0xe9, 0xe8, 0xe8, 0xe6, 0xe6, 0xdf, 0xdf, 0xd5, 0xd5, 0xc6, 0xc6, 0xb5, 0xb5, 0xa6, 0xa6, 0x9d, 0x9d, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa1, 0xa1, 
0x9b, 0x9b, 0x8f, 0x8f, 0x81, 0x81, 0x73, 0x73, 0x65, 0x65, 0x59, 0x59, 0x4e, 0x4e, 0x44, 0x44, 0x3b, 0x3b, 0x32, 0x32, 0x2a, 0x2a, 0x23, 0x23, 0x1f, 0x1f, 
0x1e, 0x1e, 0x21, 0x21, 0x2a, 0x2a, 0x3a, 0x3a, 0x4c, 0x4c, 0x5d, 0x5d, 0x66, 0x66, 0x65, 0x65, 0x5e, 0x5e, 0x54, 0x54, 0x4c, 0x4c, 0x48, 0x48, 0x49, 0x49, 
0x4c, 0x4c, 0x51, 0x51, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x73, 0x73, 0x80, 0x80, 0x90, 0x90, 0xa3, 0xa3, 0xb8, 0xb8, 0xcd, 0xcd, 0xde, 0xde, 
0xe9, 0xe9, 0xec, 0xec, 0xe9, 0xe9, 0xe5, 0xe5, 0xe3, 0xe3, 0xe4, 0xe4, 0xe6, 0xe6, 0xe5, 0xe5, 0xdc, 0xdc, 0xca, 0xca, 0xaf, 0xaf, 0x8f, 0x8f, 0x6d, 0x6d, 
0x4a, 0x4a, 0x2b, 0x2b, 0x11, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x0a, 0x0a, 0x0f, 0x0f, 0x15, 0x15, 0x1e, 0x1e, 0x29, 0x29, 
0x36, 0x36, 0x44, 0x44, 0x50, 0x50, 0x5b, 0x5b, 0x64, 0x64, 0x6d, 0x6d, 0x76, 0x76, 0x80, 0x80, 0x8a, 0x8a, 0x94, 0x94, 0x9a, 0x9a, 0x9e, 0x9e, 0x9f, 0x9f, 
0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa7, 0xa7, 0xaa, 0xaa, 0xad, 0xad, 0xb2, 0xb2, 
0xba, 0xba, 0xc6, 0xc6, 0xd5, 0xd5, 0xe3, 0xe3, 0xef, 0xef, 0xf7, 0xf7, 0xfc, 0xfc, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xfc, 0xf4, 0xf4, 0xe2, 0xe2, 
0xc7, 0xc7, 0xa4, 0xa4, 0x7e, 0x7e, 0x5a, 0x5a, 0x3a, 0x3a, 0x20, 0x20, 0x0c, 0x0c, 0x02, 0x02, 0x00, 0x00, 0x05, 0x05, 0x0d, 0x0d, 0x15, 0x15, 0x1d, 0x1d, 
0x25, 0x25, 0x2d, 0x2d, 0x39, 0x39, 0x47, 0x47, 0x58, 0x58, 0x69, 0x69, 0x79, 0x79, 0x87, 0x87, 0x93, 0x93, 0x9f, 0x9f, 0xae, 0xae, 0xbf, 0xbf, 0xd1, 0xd1, 
0xe0, 0xe0, 0xea, 0xea, 0xec, 0xec, 0xe8, 0xe8, 0xde, 0xde, 0xd0, 0xd0, 0xbe, 0xbe, 0xad, 0xad, 0x9f, 0x9f, 0x99, 0x99, 0x9c, 0x9c, 0xa3, 0xa3, 0xab, 0xab, 
0xaf, 0xaf, 0xab, 0xab, 0xa3, 0xa3, 0x98, 0x98, 0x8f, 0x8f, 0x8a, 0x8a, 0x89, 0x89, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x99, 0x99, 0x9d, 0x9d, 0xa0, 0xa0, 
0xa2, 0xa2, 0xa0, 0xa0, 0x9b, 0x9b, 0x91, 0x91, 0x83, 0x83, 0x70, 0x70, 0x5b, 0x5b, 0x45, 0x45, 0x2f, 0x2f, 0x1b, 0x1b, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x06, 0x06, 0x0a, 0x0a, 0x12, 0x12, 0x21, 0x21, 0x36, 0x36, 0x51, 0x51, 0x70, 0x70, 0x8f, 0x8f, 0xad, 0xad, 0xc9, 0xc9, 
0xdf, 0xdf, 0xf0, 0xf0, 0xf9, 0xf9, 0xfe, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfe, 0xfd, 0xfd, 0xfa, 0xfa, 0xf3, 0xf3, 0xe7, 0xe7, 0xd7, 0xd7, 0xc6, 0xc6, 
0xb2, 0xb2, 0x9f, 0x9f, 0x8c, 0x8c, 0x7b, 0x7b, 0x6c, 0x6c, 0x60, 0x60, 0x57, 0x57, 0x4f, 0x4f, 0x47, 0x47, 0x40, 0x40, 0x39, 0x39, 0x33, 0x33, 0x30, 0x30, 
0x2f, 0x2f, 0x31, 0x31, 0x34, 0x34, 0x38, 0x38, 0x3d, 0x3d, 0x42, 0x42, 0x46, 0x46, 0x49, 0x49, 0x4a, 0x4a, 0x4a, 0x4a, 0x49, 0x49, 0x46, 0x46, 0x42, 0x42, 
0x3d, 0x3d, 0x38, 0x38, 0x32, 0x32, 0x2e, 0x2e, 0x2b, 0x2b, 0x2b, 0x2b, 0x32, 0x32, 0x3f, 0x3f, 0x50, 0x50, 0x63, 0x63, 0x75, 0x75, 0x86, 0x86, 0x94, 0x94, 
0xa1, 0xa1, 0xad, 0xad, 0xb9, 0xb9, 0xc5, 0xc5, 0xd1, 0xd1, 0xdc, 0xdc, 0xe7, 0xe7, 0xf1, 0xf1, 0xf5, 0xf5, 0xf3, 0xf3, 0xe8, 0xe8, 0xd9, 0xd9, 0xc7, 0xc7, 
0xb6, 0xb6, 0xa9, 0xa9, 0x9e, 0x9e, 0x94, 0x94, 0x89, 0x89, 0x7d, 0x7d, 0x70, 0x70, 0x64, 0x64, 0x58, 0x58, 0x4e, 0x4e, 0x46, 0x46, 0x3f, 0x3f, 0x39, 0x39, 
0x32, 0x32, 0x2c, 0x2c, 0x27, 0x27, 0x23, 0x23, 0x21, 0x21, 0x21, 0x21, 0x24, 0x24, 0x2b, 0x2b, 0x36, 0x36, 0x44, 0x44, 0x50, 0x50, 0x59, 0x59, 0x5d, 0x5d, 
0x5f, 0x5f, 0x63, 0x63, 0x6f, 0x6f, 0x83, 0x83, 0x9d, 0x9d, 0xb6, 0xb6, 0xc8, 0xc8, 0xd1, 0xd1, 0xd1, 0xd1, 0xcc, 0xcc, 0xc3, 0xc3, 0xba, 0xba, 0xb2, 0xb2, 
0xac, 0xac, 0xab, 0xab, 0xad, 0xad, 0xb2, 0xb2, 0xb6, 0xb6, 0xb6, 0xb6, 0xb1, 0xb1, 0xa9, 0xa9, 0xa1, 0xa1, 0x9c, 0x9c, 0x9e, 0x9e, 0xa3, 0xa3, 0xaa, 0xaa, 
0xb0, 0xb0, 0xb4, 0xb4, 0xb7, 0xb7, 0xba, 0xba, 0xbe, 0xbe, 0xc5, 0xc5, 0xcb, 0xcb, 0xcd, 0xcd, 0xc4, 0xc4, 0xaf, 0xaf, 0x92, 0x92, 0x72, 0x72, 0x53, 0x53, 
0x38, 0x38, 0x23, 0x23, 0x14, 0x14, 0x0a, 0x0a, 0x06, 0x06, 0x05, 0x05, 0x08, 0x08, 0x0c, 0x0c, 0x11, 0x11, 0x19, 0x19, 0x29, 0x29, 0x44, 0x44, 0x6a, 0x6a, 
0x96, 0x96, 0xbe, 0xbe, 0xd9, 0xd9, 0xe4, 0xe4, 0xe1, 0xe1, 0xd8, 0xd8, 0xcf, 0xcf, 0xcc, 0xcc, 0xce, 0xce, 0xd4, 0xd4, 0xdc, 0xdc, 0xe5, 0xe5, 0xec, 0xec, 
0xef, 0xef, 0xea, 0xea, 0xde, 0xde, 0xcd, 0xcd, 0xbd, 0xbd, 0xb1, 0xb1, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xaa, 0xaa, 0xa1, 0xa1, 0x92, 0x92, 0x81, 0x81, 
0x6e, 0x6e, 0x5b, 0x5b, 0x49, 0x49, 0x39, 0x39, 0x2a, 0x2a, 0x1c, 0x1c, 0x12, 0x12, 0x0e, 0x0e, 0x15, 0x15, 0x27, 0x27, 0x42, 0x42, 0x5e, 0x5e, 0x77, 0x77, 
0x8a, 0x8a, 0x96, 0x96, 0x9a, 0x9a, 0x97, 0x97, 0x8d, 0x8d, 0x7f, 0x7f, 0x71, 0x71, 0x68, 0x68, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x65, 0x65, 0x5d, 0x5d, 
0x51, 0x51, 0x48, 0x48, 0x46, 0x46, 0x4d, 0x4d, 0x5b, 0x5b, 0x6d, 0x6d, 0x80, 0x80, 0x91, 0x91, 0xa1, 0xa1, 0xad, 0xad, 0xb8, 0xb8, 0xc0, 0xc0, 0xc6, 0xc6, 
0xc9, 0xc9, 0xc8, 0xc8, 0xc5, 0xc5, 0xbe, 0xbe, 0xb3, 0xb3, 0xa5, 0xa5, 0x95, 0x95, 0x83, 0x83, 0x75, 0x75, 0x6e, 0x6e, 0x6e, 0x6e, 0x73, 0x73, 0x7a, 0x7a, 
0x7d, 0x7d, 0x7a, 0x7a, 0x74, 0x74, 0x6b, 0x6b, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x56, 0x56, 0x4e, 0x4e, 0x44, 0x44, 0x39, 0x39, 0x30, 0x30, 
0x29, 0x29, 0x25, 0x25, 0x25, 0x25, 0x2a, 0x2a, 0x33, 0x33, 0x3f, 0x3f, 0x4a, 0x4a, 0x52, 0x52, 0x56, 0x56, 0x57, 0x57, 0x59, 0x59, 0x5f, 0x5f, 0x6b, 0x6b, 
0x7b, 0x7b, 0x8c, 0x8c, 0x9d, 0x9d, 0xab, 0xab, 0xb7, 0xb7, 0xc0, 0xc0, 0xc9, 0xc9, 0xd0, 0xd0, 0xd5, 0xd5, 0xd8, 0xd8, 0xd6, 0xd6, 0xcf, 0xcf, 0xc5, 0xc5, 
0xba, 0xba, 0xb1, 0xb1, 0xaa, 0xaa, 0xa7, 0xa7, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5, 0xa5, 0xa0, 0xa0, 0x93, 0x93, 0x7d, 0x7d, 0x62, 0x62, 0x47, 0x47, 
0x30, 0x30, 0x1f, 0x1f, 0x14, 0x14, 0x0e, 0x0e, 0x09, 0x09, 0x06, 0x06, 0x04, 0x04, 0x04, 0x04, 0x05, 0x05, 0x0a, 0x0a, 0x10, 0x10, 0x18, 0x18, 0x1f, 0x1f, 
0x26, 0x26, 0x2e, 0x2e, 0x35, 0x35, 0x3f, 0x3f, 0x4b, 0x4b, 0x59, 0x59, 0x69, 0x69, 0x7b, 0x7b, 0x8f, 0x8f, 0xa3, 0xa3, 0xb2, 0xb2, 0xbb, 0xbb, 0xbb, 0xbb, 
0xb7, 0xb7, 0xb2, 0xb2, 0xb2, 0xb2, 0xb9, 0xb9, 0xc6, 0xc6, 0xd2, 0xd2, 0xda, 0xda, 0xdb, 0xdb, 0xd6, 0xd6, 0xce, 0xce, 0xc6, 0xc6, 0xc0, 0xc0, 0xbc, 0xbc, 
0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x9a, 0x9a, 0x99, 0x99, 0x9c, 0x9c, 0xa0, 0xa0, 0xa4, 0xa4, 
0xa7, 0xa7, 0xa9, 0xa9, 0xaa, 0xaa, 0xac, 0xac, 0xb2, 0xb2, 0xbd, 0xbd, 0xc8, 0xc8, 0xcd, 0xcd, 0xc6, 0xc6, 0xb0, 0xb0, 0x8f, 0x8f, 0x6a, 0x6a, 0x48, 0x48, 
0x2d, 0x2d, 0x19, 0x19, 0x0c, 0x0c, 0x04, 0x04, 0x01, 0x01, 0x01, 0x01, 0x05, 0x05, 0x0e, 0x0e, 0x1b, 0x1b, 0x2e, 0x2e, 0x46, 0x46, 0x66, 0x66, 0x8c, 0x8c, 
0xb4, 0xb4, 0xd6, 0xd6, 0xec, 0xec, 0xf3, 0xf3, 0xef, 0xef, 0xe6, 0xe6, 0xe1, 0xe1, 0xe1, 0xe1, 0xe6, 0xe6, 0xea, 0xea, 0xe9, 0xe9, 0xe0, 0xe0, 0xd1, 0xd1, 
0xc0, 0xc0, 0xb0, 0xb0, 0xa5, 0xa5, 0x9d, 0x9d, 0x9c, 0x9c, 0xa0, 0xa0, 0xa9, 0xa9, 0xb4, 0xb4, 0xbd, 0xbd, 0xbf, 0xbf, 0xb9, 0xb9, 0xad, 0xad, 0x9e, 0x9e, 
0x8e, 0x8e, 0x7e, 0x7e, 0x6f, 0x6f, 0x60, 0x60, 0x50, 0x50, 0x3e, 0x3e, 0x2d, 0x2d, 0x21, 0x21, 0x21, 0x21, 0x2e, 0x2e, 0x43, 0x43, 0x5b, 0x5b, 0x6f, 0x6f, 
0x7c, 0x7c, 0x81, 0x81, 0x7e, 0x7e, 0x75, 0x75, 0x67, 0x67, 0x56, 0x56, 0x46, 0x46, 0x38, 0x38, 0x2f, 0x2f, 0x28, 0x28, 0x24, 0x24, 0x20, 0x20, 0x1d, 0x1d, 
0x1b, 0x1b, 0x1e, 0x1e, 0x2b, 0x2b, 0x43, 0x43, 0x62, 0x62, 0x85, 0x85, 0xa6, 0xa6, 0xc5, 0xc5, 0xe0, 0xe0, 0xf4, 0xf4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
0xfb, 0xfb, 0xed, 0xed, 0xdb, 0xdb, 0xc7, 0xc7, 0xb2, 0xb2, 0x9f, 0x9f, 0x90, 0x90, 0x85, 0x85, 0x7c, 0x7c, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 
0x69, 0x69, 0x64, 0x64, 0x60, 0x60, 0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 0x5f, 0x5f, 0x60, 0x60, 0x5d, 0x5d, 0x55, 0x55, 0x49, 0x49, 0x3b, 0x3b, 0x2c, 0x2c, 
0x1e, 0x1e, 0x11, 0x11, 0x07, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x17, 0x17, 0x2f, 0x2f, 0x4b, 0x4b, 0x6a, 0x6a, 0x89, 0x89, 0xa5, 0xa5, 
0xbc, 0xbc, 0xcc, 0xcc, 0xd1, 0xd1, 0xcb, 0xcb, 0xbe, 0xbe, 0xad, 0xad, 0x9f, 0x9f, 0x94, 0x94, 0x8e, 0x8e, 0x8e, 0x8e, 0x93, 0x93, 0x9d, 0x9d, 0xaa, 0xaa, 
0xb9, 0xb9, 0xc7, 0xc7, 0xd5, 0xd5, 0xdf, 0xdf, 0xe4, 0xe4, 0xe1, 0xe1, 0xd5, 0xd5, 0xc3, 0xc3, 0xac, 0xac, 0x93, 0x93, 0x7b, 0x7b, 0x64, 0x64, 0x50, 0x50, 
0x41, 0x41, 0x38, 0x38, 0x33, 0x33, 0x2e, 0x2e, 0x28, 0x28, 0x1e, 0x1e, 0x13, 0x13, 0x09, 0x09, 0x03, 0x03, 0x03, 0x03, 0x09, 0x09, 0x13, 0x13, 0x20, 0x20, 
0x2f, 0x2f, 0x3f, 0x3f, 0x4e, 0x4e, 0x58, 0x58, 0x5e, 0x5e, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6f, 0x6f, 0x76, 0x76, 0x7d, 0x7d, 0x82, 0x82, 0x82, 0x82, 
0x80, 0x80, 0x80, 0x80, 0x83, 0x83, 0x8b, 0x8b, 0x97, 0x97, 0xa7, 0xa7, 0xb7, 0xb7, 0xc7, 0xc7, 0xd5, 0xd5, 0xe0, 0xe0, 0xe6, 0xe6, 0xe7, 0xe7, 0xe3, 0xe3, 
0xdc, 0xdc, 0xd3, 0xd3, 0xc9, 0xc9, 0xbe, 0xbe, 0xb3, 0xb3, 0xa7, 0xa7, 0x9c, 0x9c, 0x92, 0x92, 0x8b, 0x8b, 0x89, 0x89, 0x8c, 0x8c, 0x93, 0x93, 0x97, 0x97, 
0x95, 0x95, 0x8b, 0x8b, 0x7b, 0x7b, 0x6c, 0x6c, 0x63, 0x63, 0x62, 0x62, 0x69, 0x69, 0x76, 0x76, 0x87, 0x87, 0x9a, 0x9a, 0xaa, 0xaa, 0xb4, 0xb4, 0xaf, 0xaf, 
0x9d, 0x9d, 0x80, 0x80, 0x62, 0x62, 0x48, 0x48, 0x38, 0x38, 0x2f, 0x2f, 0x2c, 0x2c, 0x2b, 0x2b, 0x2b, 0x2b, 0x2c, 0x2c, 0x30, 0x30, 0x3a, 0x3a, 0x4b, 0x4b, 
0x61, 0x61, 0x7c, 0x7c, 0x99, 0x99, 0xb7, 0xb7, 0xd3, 0xd3, 0xe8, 0xe8, 0xf3, 0xf3, 0xf3, 0xf3, 0xeb, 0xeb, 0xe0, 0xe0, 0xd8, 0xd8, 0xd4, 0xd4, 0xd4, 0xd4, 
0xd6, 0xd6, 0xd7, 0xd7, 0xd6, 0xd6, 0xd2, 0xd2, 0xcd, 0xcd, 0xc8, 0xc8, 0xc3, 0xc3, 0xbe, 0xbe, 0xba, 0xba, 0xb5, 0xb5, 0xaf, 0xaf, 0xa8, 0xa8, 0xa0, 0xa0, 
0x96, 0x96, 0x8b, 0x8b, 0x7e, 0x7e, 0x70, 0x70, 0x63, 0x63, 0x57, 0x57, 0x4b, 0x4b, 0x40, 0x40, 0x36, 0x36, 0x2d, 0x2d, 0x26, 0x26, 0x24, 0x24, 0x2a, 0x2a, 
0x3a, 0x3a, 0x4e, 0x4e, 0x63, 0x63, 0x74, 0x74, 0x7d, 0x7d, 0x7f, 0x7f, 0x7c, 0x7c, 0x76, 0x76, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x5b, 0x5b, 0x59, 0x59, 
0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x5c, 0x5c, 0x6a, 0x6a, 0x81, 0x81, 0x9e, 0x9e, 0xbc, 0xbc, 0xd5, 0xd5, 0xe7, 0xe7, 0xf2, 0xf2, 
0xf7, 0xf7, 0xf8, 0xf8, 0xf6, 0xf6, 0xf3, 0xf3, 0xed, 0xed, 0xe2, 0xe2, 0xd4, 0xd4, 0xc3, 0xc3, 0xaf, 0xaf, 0x9a, 0x9a, 0x84, 0x84, 0x70, 0x70, 0x60, 0x60, 
0x57, 0x57, 0x55, 0x55, 0x56, 0x56, 0x57, 0x57, 0x52, 0x52, 0x45, 0x45, 0x34, 0x34, 0x23, 0x23, 0x18, 0x18, 0x15, 0x15, 0x19, 0x19, 0x20, 0x20, 0x24, 0x24, 
0x24, 0x24, 0x21, 0x21, 0x1d, 0x1d, 0x1a, 0x1a, 0x1b, 0x1b, 0x1f, 0x1f, 0x2b, 0x2b, 0x3e, 0x3e, 0x5b, 0x5b, 0x7c, 0x7c, 0x9b, 0x9b, 0xb4, 0xb4, 0xc4, 0xc4, 
0xcd, 0xcd, 0xcf, 0xcf, 0xce, 0xce, 0xcb, 0xcb, 0xc6, 0xc6, 0xbd, 0xbd, 0xad, 0xad, 0x96, 0x96, 0x7a, 0x7a, 0x62, 0x62, 0x51, 0x51, 0x4b, 0x4b, 0x4e, 0x4e, 
0x56, 0x56, 0x5f, 0x5f, 0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x73, 0x73, 0x78, 0x78, 0x7f, 0x7f, 0x88, 0x88, 0x94, 0x94, 0xa2, 0xa2, 0xb0, 0xb0, 0xb7, 0xb7, 
0xb2, 0xb2, 0xa1, 0xa1, 0x86, 0x86, 0x6b, 0x6b, 0x57, 0x57, 0x4e, 0x4e, 0x4d, 0x4d, 0x51, 0x51, 0x55, 0x55, 0x57, 0x57, 0x56, 0x56, 0x54, 0x54, 0x52, 0x52, 
0x52, 0x52, 0x53, 0x53, 0x55, 0x55, 0x58, 0x58, 0x5a, 0x5a, 0x5b, 0x5b, 0x5a, 0x5a, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 0x53, 0x53, 0x5a, 0x5a, 
0x65, 0x65, 0x70, 0x70, 0x78, 0x78, 0x7c, 0x7c, 0x7e, 0x7e, 0x82, 0x82, 0x8c, 0x8c, 0x9d, 0x9d, 0xb3, 0xb3, 0xc9, 0xc9, 0xd7, 0xd7, 0xdd, 0xdd, 0xdb, 0xdb, 
0xd2, 0xd2, 0xc5, 0xc5, 0xb5, 0xb5, 0xa4, 0xa4, 0x94, 0x94, 0x87, 0x87, 0x7d, 0x7d, 0x75, 0x75, 0x6d, 0x6d, 0x64, 0x64, 0x58, 0x58, 0x4c, 0x4c, 0x43, 0x43, 
0x41, 0x41, 0x46, 0x46, 0x52, 0x52, 0x61, 0x61, 0x71, 0x71, 0x80, 0x80, 0x8d, 0x8d, 0x97, 0x97, 0x9d, 0x9d, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9f, 0x9f, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa8, 0xa8, 0xb0, 0xb0, 0xba, 0xba, 0xc6, 0xc6, 0xd0, 0xd0, 0xd6, 0xd6, 0xd8, 0xd8, 0xd3, 0xd3, 0xc9, 0xc9, 0xb8, 0xb8, 0xa0, 0xa0, 
0x83, 0x83, 0x66, 0x66, 0x4c, 0x4c, 0x36, 0x36, 0x26, 0x26, 0x1d, 0x1d, 0x1d, 0x1d, 0x26, 0x26, 0x37, 0x37, 0x4f, 0x4f, 0x6b, 0x6b, 0x8c, 0x8c, 0xad, 0xad, 
0xca, 0xca, 0xe0, 0xe0, 0xeb, 0xeb, 0xef, 0xef, 0xeb, 0xeb, 0xe0, 0xe0, 0xd1, 0xd1, 0xc0, 0xc0, 0xae, 0xae, 0xa0, 0xa0, 0x95, 0x95, 0x8c, 0x8c, 0x85, 0x85, 
0x7c, 0x7c, 0x70, 0x70, 0x64, 0x64, 0x57, 0x57, 0x4b, 0x4b, 0x42, 0x42, 0x3d, 0x3d, 0x3d, 0x3d, 0x45, 0x45, 0x54, 0x54, 0x69, 0x69, 0x7f, 0x7f, 0x93, 0x93, 
0xa3, 0xa3, 0xaf, 0xaf, 0xb5, 0xb5, 0xb6, 0xb6, 0xb2, 0xb2, 0xab, 0xab, 0xa5, 0xa5, 0xa0, 0xa0, 0xa0, 0xa0, 0xa3, 0xa3, 0xa6, 0xa6, 0xa8, 0xa8, 0xa8, 0xa8, 
0xa5, 0xa5, 0x9f, 0x9f, 0x95, 0x95, 0x87, 0x87, 0x78, 0x78, 0x69, 0x69, 0x5c, 0x5c, 0x53, 0x53, 0x4d, 0x4d, 0x49, 0x49, 0x47, 0x47, 0x45, 0x45, 0x44, 0x44, 
0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x49, 0x49, 0x4f, 0x4f, 0x5a, 0x5a, 0x69, 0x69, 0x7c, 0x7c, 0x90, 0x90, 0xa2, 0xa2, 0xb1, 0xb1, 0xbc, 0xbc, 0xc2, 0xc2, 
0xc1, 0xc1, 0xb9, 0xb9, 0xac, 0xac, 0x9e, 0x9e, 0x90, 0x90, 0x84, 0x84, 0x7b, 0x7b, 0x74, 0x74, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x62, 0x62, 
0x5c, 0x5c, 0x57, 0x57, 0x54, 0x54, 0x55, 0x55, 0x5a, 0x5a, 0x63, 0x63, 0x6f, 0x6f, 0x7c, 0x7c, 0x8a, 0x8a, 0x97, 0x97, 0xa3, 0xa3, 0xae, 0xae, 0xb8, 0xb8, 
0xc0, 0xc0, 0xc6, 0xc6, 0xc9, 0xc9, 0xc9, 0xc9, 0xc6, 0xc6, 0xbe, 0xbe, 0xb0, 0xb0, 0x9d, 0x9d, 0x86, 0x86, 0x70, 0x70, 0x5f, 0x5f, 0x55, 0x55, 0x50, 0x50, 
0x4d, 0x4d, 0x4a, 0x4a, 0x44, 0x44, 0x3c, 0x3c, 0x32, 0x32, 0x27, 0x27, 0x1b, 0x1b, 0x11, 0x11, 0x0d, 0x0d, 0x11, 0x11, 0x20, 0x20, 0x36, 0x36, 0x50, 0x50, 
0x6a, 0x6a, 0x82, 0x82, 0x98, 0x98, 0xa9, 0xa9, 0xb6, 0xb6, 0xc0, 0xc0, 0xc5, 0xc5, 0xc6, 0xc6, 0xbf, 0xbf, 0xb2, 0xb2, 0xa1, 0xa1, 0x8f, 0x8f, 0x7f, 0x7f, 
0x72, 0x72, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x50, 0x50, 0x4a, 0x4a, 0x42, 0x42, 0x3a, 0x3a, 0x35, 0x35, 0x36, 0x36, 0x3d, 0x3d, 
0x49, 0x49, 0x56, 0x56, 0x5e, 0x5e, 0x62, 0x62, 0x62, 0x62, 0x62, 0x62, 0x64, 0x64, 0x6b, 0x6b, 0x76, 0x76, 0x81, 0x81, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 
0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x81, 0x81, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x8f, 0x8f, 0x8a, 0x8a, 0x82, 0x82, 0x78, 0x78, 
0x71, 0x71, 0x6d, 0x6d, 0x6b, 0x6b, 0x69, 0x69, 0x66, 0x66, 0x5f, 0x5f, 0x57, 0x57, 0x51, 0x51, 0x50, 0x50, 0x56, 0x56, 0x61, 0x61, 0x71, 0x71, 0x83, 0x83, 
0x98, 0x98, 0xac, 0xac, 0xbc, 0xbc, 0xc5, 0xc5, 0xc8, 0xc8, 0xc5, 0xc5, 0xc0, 0xc0, 0xbb, 0xbb, 0xb8, 0xb8, 0xb7, 0xb7, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 
0xb8, 0xb8, 0xb9, 0xb9, 0xbd, 0xbd, 0xc4, 0xc4, 0xce, 0xce, 0xd9, 0xd9, 0xe4, 0xe4, 0xed, 0xed, 0xf3, 0xf3, 0xf2, 0xf2, 0xe6, 0xe6, 0xd0, 0xd0, 0xb0, 0xb0, 
0x8e, 0x8e, 0x6b, 0x6b, 0x4c, 0x4c, 0x31, 0x31, 0x1b, 0x1b, 0x0c, 0x0c, 0x04, 0x04, 0x02, 0x02, 0x05, 0x05, 0x0e, 0x0e, 0x1c, 0x1c, 0x2f, 0x2f, 0x47, 0x47, 
0x66, 0x66, 0x8b, 0x8b, 0xb1, 0xb1, 0xd1, 0xd1, 0xe3, 0xe3, 0xe5, 0xe5, 0xda, 0xda, 0xc8, 0xc8, 0xb2, 0xb2, 0x9d, 0x9d, 0x8a, 0x8a, 0x7c, 0x7c, 0x75, 0x75, 
0x74, 0x74, 0x78, 0x78, 0x7f, 0x7f, 0x87, 0x87, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa2, 0xa2, 0xa8, 0xa8, 0xae, 0xae, 0xb5, 0xb5, 0xbd, 0xbd, 0xc7, 0xc7, 
0xd2, 0xd2, 0xdb, 0xdb, 0xe0, 0xe0, 0xe0, 0xe0, 0xda, 0xda, 0xce, 0xce, 0xbb, 0xbb, 0xa0, 0xa0, 0x82, 0x82, 0x67, 0x67, 0x56, 0x56, 0x50, 0x50, 0x54, 0x54, 
0x5d, 0x5d, 0x67, 0x67, 0x70, 0x70, 0x75, 0x75, 0x77, 0x77, 0x73, 0x73, 0x6a, 0x6a, 0x5e, 0x5e, 0x51, 0x51, 0x45, 0x45, 0x3b, 0x3b, 0x32, 0x32, 0x2b, 0x2b, 
0x25, 0x25, 0x20, 0x20, 0x1c, 0x1c, 0x1b, 0x1b, 0x1f, 0x1f, 0x28, 0x28, 0x37, 0x37, 0x4a, 0x4a, 0x61, 0x61, 0x7c, 0x7c, 0x99, 0x99, 0xb4, 0xb4, 0xcc, 0xcc, 
0xde, 0xde, 0xeb, 0xeb, 0xf0, 0xf0, 0xed, 0xed, 0xe2, 0xe2, 0xd0, 0xd0, 0xbc, 0xbc, 0xa9, 0xa9, 0x99, 0x99, 0x8b, 0x8b, 0x80, 0x80, 0x78, 0x78, 0x72, 0x72, 
0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x61, 0x61, 0x63, 0x63, 0x69, 0x69, 0x73, 0x73, 0x7f, 0x7f, 0x8b, 0x8b, 0x96, 0x96, 0xa0, 0xa0, 
0xa3, 0xa3, 0x9e, 0x9e, 0x8f, 0x8f, 0x7a, 0x7a, 0x63, 0x63, 0x4e, 0x4e, 0x3d, 0x3d, 0x33, 0x33, 0x2f, 0x2f, 0x32, 0x32, 0x3c, 0x3c, 0x49, 0x49, 0x57, 0x57, 
0x62, 0x62, 0x69, 0x69, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x66, 0x66, 
0x70, 0x70, 0x7d, 0x7d, 0x8b, 0x8b, 0x96, 0x96, 0x9e, 0x9e, 0xa3, 0xa3, 0xa4, 0xa4, 0xa4, 0xa4, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x98, 0x98, 0x94, 0x94, 
0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x76, 0x76, 0x6b, 0x6b, 0x62, 0x62, 0x5d, 0x5d, 0x5d, 0x5d, 0x61, 0x61, 0x64, 0x64, 0x64, 0x64, 0x5f, 0x5f, 0x57, 0x57, 
0x4d, 0x4d, 0x45, 0x45, 0x3f, 0x3f, 0x3c, 0x3c, 0x3c, 0x3c, 0x41, 0x41, 0x4a, 0x4a, 0x54, 0x54, 0x5d, 0x5d, 0x64, 0x64, 0x66, 0x66, 0x64, 0x64, 0x5f, 0x5f, 
0x58, 0x58, 0x51, 0x51, 0x49, 0x49, 0x42, 0x42, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x3a, 0x3a, 0x42, 0x42, 0x4e, 0x4e, 0x5d, 0x5d, 0x6c, 0x6c, 0x79, 0x79, 
0x83, 0x83, 0x8a, 0x8a, 0x8f, 0x8f, 0x95, 0x95, 0x9d, 0x9d, 0xa6, 0xa6, 0xaf, 0xaf, 0xb7, 0xb7, 0xbf, 0xbf, 0xc3, 0xc3, 0xc4, 0xc4, 0xc0, 0xc0, 0xb6, 0xb6, 
0xa9, 0xa9, 0x9d, 0x9d, 0x96, 0x96, 0x95, 0x95, 0x99, 0x99, 0xa0, 0xa0, 0xa8, 0xa8, 0xaf, 0xaf, 0xb5, 0xb5, 0xb8, 0xb8, 0xb8, 0xb8, 0xb5, 0xb5, 0xb0, 0xb0, 
0xab, 0xab, 0xa5, 0xa5, 0xa0, 0xa0, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x7a, 0x7a, 0x76, 0x76, 0x75, 0x75, 0x77, 0x77, 0x7e, 0x7e, 
0x89, 0x89, 0x98, 0x98, 0xaa, 0xaa, 0xbd, 0xbd, 0xcc, 0xcc, 0xd7, 0xd7, 0xdd, 0xdd, 0xdc, 0xdc, 0xd3, 0xd3, 0xc2, 0xc2, 0xaa, 0xaa, 0x8e, 0x8e, 0x6f, 0x6f, 
0x4f, 0x4f, 0x30, 0x30, 0x16, 0x16, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x0b, 0x0b, 0x23, 0x23, 0x45, 0x45, 0x6d, 0x6d, 0x95, 0x95, 0xb9, 0xb9, 0xd5, 0xd5, 
0xe9, 0xe9, 0xf5, 0xf5, 0xf9, 0xf9, 0xf5, 0xf5, 0xea, 0xea, 0xd9, 0xd9, 0xc2, 0xc2, 0xa6, 0xa6, 0x87, 0x87, 0x6d, 0x6d, 0x5b, 0x5b, 0x54, 0x54, 0x57, 0x57, 
0x5f, 0x5f, 0x6c, 0x6c, 0x79, 0x79, 0x87, 0x87, 0x93, 0x93, 0x9c, 0x9c, 0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xaa, 0xaa, 0xad, 0xad, 0xb0, 0xb0, 0xaf, 0xaf, 
0xaa, 0xaa, 0xa0, 0xa0, 0x91, 0x91, 0x7f, 0x7f, 0x6c, 0x6c, 0x5a, 0x5a, 0x4a, 0x4a, 0x3e, 0x3e, 0x37, 0x37, 0x37, 0x37, 0x3c, 0x3c, 0x45, 0x45, 0x51, 0x51, 
0x60, 0x60, 0x6f, 0x6f, 0x79, 0x79, 0x7c, 0x7c, 0x77, 0x77, 0x6b, 0x6b, 0x5b, 0x5b, 0x4a, 0x4a, 0x3a, 0x3a, 0x2e, 0x2e, 0x26, 0x26, 0x25, 0x25, 0x2c, 0x2c, 
0x38, 0x38, 0x4a, 0x4a, 0x61, 0x61, 0x7a, 0x7a, 0x96, 0x96, 0xb1, 0xb1, 0xc8, 0xc8, 0xdc, 0xdc, 0xec, 0xec, 0xf5, 0xf5, 0xf8, 0xf8, 0xf3, 0xf3, 0xe8, 0xe8, 
0xd7, 0xd7, 0xc1, 0xc1, 0xa5, 0xa5, 0x86, 0x86, 0x67, 0x67, 0x4b, 0x4b, 0x33, 0x33, 0x1f, 0x1f, 0x14, 0x14, 0x12, 0x12, 0x1b, 0x1b, 0x2c, 0x2c, 0x45, 0x45, 
0x63, 0x63, 0x85, 0x85, 0xa6, 0xa6, 0xc2, 0xc2, 0xd2, 0xd2, 0xd5, 0xd5, 0xcd, 0xcd, 0xbd, 0xbd, 0xaa, 0xaa, 0x95, 0x95, 0x80, 0x80, 0x6d, 0x6d, 0x5c, 0x5c, 
0x4e, 0x4e, 0x43, 0x43, 0x3c, 0x3c, 0x3b, 0x3b, 0x3f, 0x3f, 0x47, 0x47, 0x53, 0x53, 0x5f, 0x5f, 0x6d, 0x6d, 0x79, 0x79, 0x81, 0x81, 0x85, 0x85, 0x84, 0x84, 
0x7e, 0x7e, 0x77, 0x77, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x56, 0x56, 0x5a, 0x5a, 0x60, 0x60, 
0x69, 0x69, 0x74, 0x74, 0x81, 0x81, 0x8e, 0x8e, 0x9a, 0x9a, 0xa2, 0xa2, 0xa8, 0xa8, 0xa9, 0xa9, 0xa6, 0xa6, 0x9d, 0x9d, 0x8f, 0x8f, 0x7d, 0x7d, 0x6a, 0x6a, 
0x56, 0x56, 0x45, 0x45, 0x36, 0x36, 0x2c, 0x2c, 0x29, 0x29, 0x2c, 0x2c, 0x35, 0x35, 0x41, 0x41, 0x4d, 0x4d, 0x58, 0x58, 0x63, 0x63, 0x6e, 0x6e, 0x78, 0x78, 
0x83, 0x83, 0x8e, 0x8e, 0x97, 0x97, 0x9d, 0x9d, 0x9f, 0x9f, 0x9e, 0x9e, 0x99, 0x99, 0x8f, 0x8f, 0x82, 0x82, 0x72, 0x72, 0x63, 0x63, 0x57, 0x57, 0x50, 0x50, 
0x4e, 0x4e, 0x50, 0x50, 0x55, 0x55, 0x5d, 0x5d, 0x67, 0x67, 0x71, 0x71, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa4, 0xa4, 
0xac, 0xac, 0xb3, 0xb3, 0xb9, 0xb9, 0xbd, 0xbd, 0xbf, 0xbf, 0xbf, 0xbf, 0xbb, 0xbb, 0xb5, 0xb5, 0xae, 0xae, 0xa7, 0xa7, 0xa0, 0xa0, 0x98, 0x98, 0x90, 0x90, 
0x87, 0x87, 0x7c, 0x7c, 0x71, 0x71, 0x67, 0x67, 0x61, 0x61, 0x5e, 0x5e, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6b, 0x6b, 0x6f, 0x6f, 0x72, 0x72, 0x73, 0x73, 
0x72, 0x72, 0x6f, 0x6f, 0x6d, 0x6d, 0x6d, 0x6d, 0x70, 0x70, 0x75, 0x75, 0x7c, 0x7c, 0x82, 0x82, 0x89, 0x89, 0x8f, 0x8f, 0x96, 0x96, 0x9e, 0x9e, 0xa9, 0xa9, 
0xb4, 0xb4, 0xc0, 0xc0, 0xca, 0xca, 0xd2, 0xd2, 0xd9, 0xd9, 0xdf, 0xdf, 0xe4, 0xe4, 0xe9, 0xe9, 0xed, 0xed, 0xef, 0xef, 0xf0, 0xf0, 0xef, 0xef, 0xea, 0xea, 
0xdf, 0xdf, 0xc9, 0xc9, 0xaa, 0xaa, 0x84, 0x84, 0x5d, 0x5d, 0x3c, 0x3c, 0x23, 0x23, 0x11, 0x11, 0x08, 0x08, 0x05, 0x05, 0x09, 0x09, 0x12, 0x12, 0x1f, 0x1f, 
0x31, 0x31, 0x47, 0x47, 0x5f, 0x5f, 0x79, 0x79, 0x93, 0x93, 0xab, 0xab, 0xc1, 0xc1, 0xd0, 0xd0, 0xd5, 0xd5, 0xd1, 0xd1, 0xc5, 0xc5, 0xb4, 0xb4, 0xa1, 0xa1, 
0x8f, 0x8f, 0x7f, 0x7f, 0x71, 0x71, 0x69, 0x69, 0x65, 0x65, 0x65, 0x65, 0x68, 0x68, 0x6e, 0x6e, 0x75, 0x75, 0x7e, 0x7e, 0x87, 0x87, 0x8f, 0x8f, 0x94, 0x94, 
0x98, 0x98, 0x99, 0x99, 0x97, 0x97, 0x92, 0x92, 0x8b, 0x8b, 0x86, 0x86, 0x85, 0x85, 0x89, 0x89, 0x90, 0x90, 0x98, 0x98, 0x9d, 0x9d, 0x9e, 0x9e, 0x9c, 0x9c, 
0x97, 0x97, 0x91, 0x91, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x7d, 0x7d, 0x74, 0x74, 0x67, 0x67, 0x59, 0x59, 
0x4b, 0x4b, 0x3f, 0x3f, 0x36, 0x36, 0x30, 0x30, 0x30, 0x30, 0x35, 0x35, 0x3e, 0x3e, 0x4b, 0x4b, 0x5a, 0x5a, 0x6c, 0x6c, 0x7d, 0x7d, 0x8d, 0x8d, 0x99, 0x99, 
0xa0, 0xa0, 0xa2, 0xa2, 0x9f, 0x9f, 0x99, 0x99, 0x8f, 0x8f, 0x82, 0x82, 0x75, 0x75, 0x69, 0x69, 0x5f, 0x5f, 0x58, 0x58, 0x53, 0x53, 0x52, 0x52, 0x54, 0x54, 
0x59, 0x59, 0x60, 0x60, 0x69, 0x69, 0x74, 0x74, 0x80, 0x80, 0x8d, 0x8d, 0x9b, 0x9b, 0xaa, 0xaa, 0xb9, 0xb9, 0xc3, 0xc3, 0xc7, 0xc7, 0xc3, 0xc3, 0xb9, 0xb9, 
0xab, 0xab, 0x9a, 0x9a, 0x8a, 0x8a, 0x7a, 0x7a, 0x6b, 0x6b, 0x60, 0x60, 0x57, 0x57, 0x51, 0x51, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4c, 0x4c, 
0x52, 0x52, 0x5b, 0x5b, 0x65, 0x65, 0x6d, 0x6d, 0x70, 0x70, 0x6b, 0x6b, 0x62, 0x62, 0x58, 0x58, 0x52, 0x52, 0x51, 0x51, 0x55, 0x55, 0x5f, 0x5f, 0x6c, 0x6c, 
0x7c, 0x7c, 0x8e, 0x8e, 0x9e, 0x9e, 0xaa, 0xaa, 0xb3, 0xb3, 0xb7, 0xb7, 0xb8, 0xb8, 0xb8, 0xb8, 0xb5, 0xb5, 0xb1, 0xb1, 0xab, 0xab, 0xa0, 0xa0, 0x93, 0x93, 
0x83, 0x83, 0x73, 0x73, 0x67, 0x67, 0x5f, 0x5f, 0x5a, 0x5a, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 0x51, 0x51, 0x5a, 0x5a, 0x66, 0x66, 
0x74, 0x74, 0x84, 0x84, 0x92, 0x92, 0x9f, 0x9f, 0xa8, 0xa8, 0xaa, 0xaa, 0xa6, 0xa6, 0x9d, 0x9d, 0x93, 0x93, 0x8d, 0x8d, 0x8b, 0x8b, 0x8c, 0x8c, 0x8d, 0x8d, 
0x8b, 0x8b, 0x86, 0x86, 0x7d, 0x7d, 0x73, 0x73, 0x6a, 0x6a, 0x63, 0x63, 0x5e, 0x5e, 0x5e, 0x5e, 0x62, 0x62, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x93, 0x93, 
0xa0, 0xa0, 0xac, 0xac, 0xb6, 0xb6, 0xbe, 0xbe, 0xc3, 0xc3, 0xc7, 0xc7, 0xc7, 0xc7, 0xc4, 0xc4, 0xbe, 0xbe, 0xb5, 0xb5, 0xac, 0xac, 0xa3, 0xa3, 0x9b, 0x9b, 
0x94, 0x94, 0x8d, 0x8d, 0x83, 0x83, 0x77, 0x77, 0x6a, 0x6a, 0x5d, 0x5d, 0x52, 0x52, 0x4a, 0x4a, 0x45, 0x45, 0x43, 0x43, 0x44, 0x44, 0x46, 0x46, 0x4b, 0x4b, 
0x50, 0x50, 0x55, 0x55, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x71, 0x71, 0x7d, 0x7d, 0x8a, 0x8a, 0x97, 0x97, 0xa1, 0xa1, 0xa8, 0xa8, 0xaa, 0xaa, 0xa9, 0xa9, 
0xa3, 0xa3, 0x9b, 0x9b, 0x90, 0x90, 0x85, 0x85, 0x7c, 0x7c, 0x76, 0x76, 0x74, 0x74, 0x75, 0x75, 0x79, 0x79, 0x80, 0x80, 0x89, 0x89, 0x92, 0x92, 0x9a, 0x9a, 
0xa2, 0xa2, 0xa8, 0xa8, 0xad, 0xad, 0xb2, 0xb2, 0xb7, 0xb7, 0xbd, 0xbd, 0xc4, 0xc4, 0xcc, 0xcc, 0xd7, 0xd7, 0xe1, 0xe1, 0xea, 0xea, 0xf0, 0xf0, 0xf0, 0xf0, 
0xec, 0xec, 0xe0, 0xe0, 0xcb, 0xcb, 0xae, 0xae, 0x8c, 0x8c, 0x69, 0x69, 0x4a, 0x4a, 0x32, 0x32, 0x20, 0x20, 0x13, 0x13, 0x0b, 0x0b, 0x08, 0x08, 0x07, 0x07, 
0x0b, 0x0b, 0x14, 0x14, 0x21, 0x21, 0x33, 0x33, 0x4a, 0x4a, 0x66, 0x66, 0x85, 0x85, 0xa4, 0xa4, 0xbf, 0xbf, 0xd0, 0xd0, 0xd4, 0xd4, 0xcf, 0xcf, 0xc3, 0xc3, 
0xb4, 0xb4, 0xa3, 0xa3, 0x93, 0x93, 0x86, 0x86, 0x7d, 0x7d, 0x79, 0x79, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x85, 0x85, 0x8c, 0x8c, 0x92, 0x92, 0x96, 0x96, 
0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 0x8c, 0x8c, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 0x60, 0x60, 0x5c, 0x5c, 0x58, 0x58, 0x55, 0x55, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 
0x50, 0x50, 0x4a, 0x4a, 0x41, 0x41, 0x35, 0x35, 0x2b, 0x2b, 0x27, 0x27, 0x2a, 0x2a, 0x33, 0x33, 0x41, 0x41, 0x54, 0x54, 0x6b, 0x6b, 0x82, 0x82, 0x99, 0x99, 
0xac, 0xac, 0xbb, 0xbb, 0xc6, 0xc6, 0xcd, 0xcd, 0xd1, 0xd1, 0xd1, 0xd1, 0xcf, 0xcf, 0xca, 0xca, 0xc2, 0xc2, 0xb7, 0xb7, 0xaa, 0xaa, 0x9d, 0x9d, 0x91, 0x91, 
0x88, 0x88, 0x81, 0x81, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x7c, 0x7c, 0x81, 0x81, 0x88, 0x88, 0x92, 0x92, 0x9d, 0x9d, 0xa5, 0xa5, 0xa9, 0xa9, 0xa6, 0xa6, 
0x9d, 0x9d, 0x8f, 0x8f, 0x7b, 0x7b, 0x64, 0x64, 0x4b, 0x4b, 0x35, 0x35, 0x26, 0x26, 0x1e, 0x1e, 0x1e, 0x1e, 0x22, 0x22, 0x27, 0x27, 0x2e, 0x2e, 0x34, 0x34, 
0x3b, 0x3b, 0x42, 0x42, 0x4a, 0x4a, 0x53, 0x53, 0x5d, 0x5d, 0x66, 0x66, 0x6f, 0x6f, 0x77, 0x77, 0x7f, 0x7f, 0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 
0x99, 0x99, 0xa2, 0xa2, 0xab, 0xab, 0xb3, 0xb3, 0xb7, 0xb7, 0xb7, 0xb7, 0xb4, 0xb4, 0xb0, 0xb0, 0xaf, 0xaf, 0xb0, 0xb0, 0xb3, 0xb3, 0xb7, 0xb7, 0xb9, 0xb9, 
0xb8, 0xb8, 0xb5, 0xb5, 0xae, 0xae, 0xa3, 0xa3, 0x95, 0x95, 0x86, 0x86, 0x78, 0x78, 0x6d, 0x6d, 0x66, 0x66, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 
0x6c, 0x6c, 0x73, 0x73, 0x7d, 0x7d, 0x8a, 0x8a, 0x99, 0x99, 0xa7, 0xa7, 0xaf, 0xaf, 0xb0, 0xb0, 0xac, 0xac, 0xa2, 0xa2, 0x95, 0x95, 0x84, 0x84, 0x72, 0x72, 
0x61, 0x61, 0x53, 0x53, 0x49, 0x49, 0x42, 0x42, 0x3f, 0x3f, 0x40, 0x40, 0x44, 0x44, 0x4a, 0x4a, 0x52, 0x52, 0x5c, 0x5c, 0x67, 0x67, 0x73, 0x73, 0x7f, 0x7f, 
0x89, 0x89, 0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 0x9e, 0x9e, 0xa1, 0xa1, 0xa3, 0xa3, 0xa2, 0xa2, 0x9e, 0x9e, 0x95, 0x95, 0x8b, 0x8b, 0x80, 0x80, 0x7a, 0x7a, 
0x77, 0x77, 0x79, 0x79, 0x7f, 0x7f, 0x86, 0x86, 0x8f, 0x8f, 0x96, 0x96, 0x9c, 0x9c, 0x9c, 0x9c, 0x96, 0x96, 0x8c, 0x8c, 0x81, 0x81, 0x76, 0x76, 0x6e, 0x6e, 
0x67, 0x67, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5e, 0x5e, 0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x71, 0x71, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 
0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 0x7d, 0x7d, 0x82, 0x82, 0x85, 0x85, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x80, 0x80, 
0x85, 0x85, 0x8d, 0x8d, 0x98, 0x98, 0xa1, 0xa1, 0xa6, 0xa6, 0xa4, 0xa4, 0x9e, 0x9e, 0x98, 0x98, 0x94, 0x94, 0x94, 0x94, 0x98, 0x98, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa2, 0xa2, 0xa1, 0xa1, 0x9f, 0x9f, 0x9a, 0x9a, 0x94, 0x94, 0x8d, 0x8d, 0x88, 0x88, 0x86, 0x86, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x97, 0x97, 0x9f, 0x9f, 
0xa7, 0xa7, 0xaf, 0xaf, 0xb7, 0xb7, 0xbe, 0xbe, 0xc3, 0xc3, 0xc1, 0xc1, 0xb5, 0xb5, 0x9f, 0x9f, 0x81, 0x81, 0x61, 0x61, 0x43, 0x43, 0x2b, 0x2b, 0x18, 0x18, 
0x0c, 0x0c, 0x06, 0x06, 0x07, 0x07, 0x0c, 0x0c, 0x17, 0x17, 0x26, 0x26, 0x3b, 0x3b, 0x53, 0x53, 0x6f, 0x6f, 0x8c, 0x8c, 0xab, 0xab, 0xca, 0xca, 0xe4, 0xe4, 
0xf5, 0xf5, 0xfe, 0xfe, 0xfe, 0xfe, 0xf6, 0xf6, 0xe8, 0xe8, 0xd6, 0xd6, 0xc0, 0xc0, 0xaa, 0xaa, 0x95, 0x95, 0x83, 0x83, 0x74, 0x74, 0x69, 0x69, 0x64, 0x64, 
0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 0x7a, 0x7a, 0x7d, 0x7d, 0x7d, 0x7d, 0x7b, 0x7b, 0x77, 0x77, 0x72, 0x72, 0x6e, 0x6e, 0x6a, 0x6a, 0x69, 0x69, 0x6b, 0x6b, 
0x6e, 0x6e, 0x6f, 0x6f, 0x6d, 0x6d, 0x67, 0x67, 0x5e, 0x5e, 0x53, 0x53, 0x4a, 0x4a, 0x43, 0x43, 0x40, 0x40, 0x40, 0x40, 0x46, 0x46, 0x51, 0x51, 0x5f, 0x5f, 
0x6c, 0x6c, 0x75, 0x75, 0x79, 0x79, 0x79, 0x79, 0x74, 0x74, 0x6e, 0x6e, 0x66, 0x66, 0x5d, 0x5d, 0x55, 0x55, 0x4e, 0x4e, 0x49, 0x49, 0x47, 0x47, 0x49, 0x49, 
0x52, 0x52, 0x62, 0x62, 0x77, 0x77, 0x8f, 0x8f, 0xa7, 0xa7, 0xbd, 0xbd, 0xd1, 0xd1, 0xe2, 0xe2, 0xed, 0xed, 0xf5, 0xf5, 0xf9, 0xf9, 0xfa, 0xfa, 0xf8, 0xf8, 
0xf5, 0xf5, 0xef, 0xef, 0xe4, 0xe4, 0xd1, 0xd1, 0xb6, 0xb6, 0x96, 0x96, 0x78, 0x78, 0x5f, 0x5f, 0x4f, 0x4f, 0x45, 0x45, 0x41, 0x41, 0x3e, 0x3e, 0x3b, 0x3b, 
0x37, 0x37, 0x33, 0x33, 0x2e, 0x2e, 0x29, 0x29, 0x24, 0x24, 0x21, 0x21, 0x22, 0x22, 0x27, 0x27, 0x2f, 0x2f, 0x3b, 0x3b, 0x49, 0x49, 0x59, 0x59, 0x6a, 0x6a, 
0x7a, 0x7a, 0x88, 0x88, 0x94, 0x94, 0x9d, 0x9d, 0xa4, 0xa4, 0xa7, 0xa7, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xab, 0xab, 0xaf, 0xaf, 0xb3, 0xb3, 0xb4, 0xb4, 
0xaf, 0xaf, 0xa1, 0xa1, 0x8f, 0x8f, 0x7b, 0x7b, 0x6b, 0x6b, 0x60, 0x60, 0x5a, 0x5a, 0x57, 0x57, 0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5b, 0x5b, 0x5f, 0x5f, 
0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7c, 0x7c, 0x85, 0x85, 0x8d, 0x8d, 0x93, 0x93, 0x95, 0x95, 0x94, 0x94, 0x8f, 0x8f, 0x8a, 0x8a, 0x83, 0x83, 0x7e, 0x7e, 
0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x83, 0x83, 0x8a, 0x8a, 0x8d, 0x8d, 0x8e, 0x8e, 
0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x80, 0x80, 0x7d, 0x7d, 0x7c, 0x7c, 0x7c, 0x7c, 0x7d, 0x7d, 
0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x82, 0x82, 0x80, 0x80, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 
0x61, 0x61, 0x62, 0x62, 0x63, 0x63, 0x65, 0x65, 0x67, 0x67, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x65, 0x65, 0x61, 0x61, 0x5e, 0x5e, 0x5d, 0x5d, 0x60, 0x60, 
0x65, 0x65, 0x6c, 0x6c, 0x74, 0x74, 0x7b, 0x7b, 0x83, 0x83, 0x8a, 0x8a, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa0, 0xa0, 0xa1, 0xa1, 0xa2, 0xa2, 
0xa2, 0xa2, 0xa3, 0xa3, 0xa5, 0xa5, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 0xaa, 0xaa, 0xa8, 0xa8, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x99, 0x99, 
0x98, 0x98, 0x98, 0x98, 0x99, 0x99, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x97, 0x97, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 
0x6d, 0x6d, 0x65, 0x65, 0x5e, 0x5e, 0x59, 0x59, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 0x4d, 0x4d, 0x4b, 0x4b, 0x49, 0x49, 0x48, 0x48, 0x4a, 0x4a, 0x4e, 0x4e, 
0x55, 0x55, 0x5b, 0x5b, 0x61, 0x61, 0x65, 0x65, 0x68, 0x68, 0x6a, 0x6a, 0x6e, 0x6e, 0x72, 0x72, 0x79, 0x79, 0x81, 0x81, 0x8c, 0x8c, 0x98, 0x98, 0xa6, 0xa6, 
0xb5, 0xb5, 0xc4, 0xc4, 0xd3, 0xd3, 0xe1, 0xe1, 0xec, 0xec, 0xf4, 0xf4, 0xf6, 0xf6, 0xf4, 0xf4, 0xeb, 0xeb, 0xdb, 0xdb, 0xc2, 0xc2, 0xa3, 0xa3, 0x82, 0x82, 
0x60, 0x60, 0x40, 0x40, 0x24, 0x24, 0x0e, 0x0e, 0x02, 0x02, 0x00, 0x00, 0x04, 0x04, 0x11, 0x11, 0x26, 0x26, 0x40, 0x40, 0x5e, 0x5e, 0x7c, 0x7c, 0x97, 0x97, 
0xad, 0xad, 0xbe, 0xbe, 0xc9, 0xc9, 0xcd, 0xcd, 0xc9, 0xc9, 0xbf, 0xbf, 0xb1, 0xb1, 0x9e, 0x9e, 0x89, 0x89, 0x74, 0x74, 0x61, 0x61, 0x54, 0x54, 0x4e, 0x4e, 
0x4f, 0x4f, 0x54, 0x54, 0x5e, 0x5e, 0x6b, 0x6b, 0x79, 0x79, 0x86, 0x86, 0x90, 0x90, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 
0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 
0x88, 0x88, 0x8c, 0x8c, 0x92, 0x92, 0x98, 0x98, 0x9b, 0x9b, 0x9b, 0x9b, 0x97, 0x97, 0x90, 0x90, 0x87, 0x87, 0x7b, 0x7b, 0x6f, 0x6f, 0x65, 0x65, 0x5f, 0x5f, 
0x5f, 0x5f, 0x63, 0x63, 0x6c, 0x6c, 0x78, 0x78, 0x87, 0x87, 0x97, 0x97, 0xa6, 0xa6, 0xb5, 0xb5, 0xc1, 0xc1, 0xcb, 0xcb, 0xd0, 0xd0, 0xd1, 0xd1, 0xcc, 0xcc, 
0xc3, 0xc3, 0xb6, 0xb6, 0xa6, 0xa6, 0x93, 0x93, 0x80, 0x80, 0x6e, 0x6e, 0x60, 0x60, 0x56, 0x56, 0x50, 0x50, 0x4a, 0x4a, 0x44, 0x44, 0x3c, 0x3c, 0x34, 0x34, 
0x2d, 0x2d, 0x29, 0x29, 0x2a, 0x2a, 0x2f, 0x2f, 0x37, 0x37, 0x41, 0x41, 0x4b, 0x4b, 0x56, 0x56, 0x60, 0x60, 0x68, 0x68, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 
0x7a, 0x7a, 0x80, 0x80, 0x87, 0x87, 0x8c, 0x8c, 0x8d, 0x8d, 0x8a, 0x8a, 0x85, 0x85, 0x7f, 0x7f, 0x7c, 0x7c, 0x7b, 0x7b, 0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 
0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0x9d, 0x9d, 0x9b, 0x9b, 0x95, 0x95, 0x8e, 0x8e, 0x87, 0x87, 0x80, 0x80, 
0x7b, 0x7b, 0x78, 0x78, 0x79, 0x79, 0x7d, 0x7d, 0x83, 0x83, 0x88, 0x88, 0x8a, 0x8a, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7b, 0x7b, 0x79, 0x79, 0x79, 0x79, 
0x78, 0x78, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x63, 0x63, 0x5c, 0x5c, 0x57, 0x57, 0x54, 0x54, 0x53, 0x53, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 
0x54, 0x54, 0x57, 0x57, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 0x6a, 0x6a, 0x70, 0x70, 0x74, 0x74, 0x73, 0x73, 0x6e, 0x6e, 0x65, 0x65, 0x5c, 0x5c, 0x56, 0x56, 
0x53, 0x53, 0x53, 0x53, 0x58, 0x58, 0x61, 0x61, 0x6e, 0x6e, 0x7d, 0x7d, 0x8d, 0x8d, 0x9d, 0x9d, 0xab, 0xab, 0xb8, 0xb8, 0xc3, 0xc3, 0xca, 0xca, 0xce, 0xce, 
0xcf, 0xcf, 0xcc, 0xcc, 0xc5, 0xc5, 0xbb, 0xbb, 0xae, 0xae, 0x9f, 0x9f, 0x91, 0x91, 0x83, 0x83, 0x77, 0x77, 0x6c, 0x6c, 0x65, 0x65, 0x60, 0x60, 0x5c, 0x5c, 
0x5a, 0x5a, 0x57, 0x57, 0x54, 0x54, 0x51, 0x51, 0x4f, 0x4f, 0x50, 0x50, 0x54, 0x54, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 
0x78, 0x78, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 0x9a, 0x9a, 0xa6, 0xa6, 0xb2, 0xb2, 0xbc, 0xbc, 0xc3, 0xc3, 0xc6, 0xc6, 0xc6, 0xc6, 0xc4, 0xc4, 0xc1, 0xc1, 
0xbe, 0xbe, 0xba, 0xba, 0xb4, 0xb4, 0xa9, 0xa9, 0x9a, 0x9a, 0x88, 0x88, 0x76, 0x76, 0x68, 0x68, 0x5d, 0x5d, 0x58, 0x58, 0x56, 0x56, 0x59, 0x59, 0x5f, 0x5f, 
0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7d, 0x7d, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x91, 0x91, 0x92, 0x92, 0x91, 0x91, 0x8c, 0x8c, 0x85, 0x85, 
0x7d, 0x7d, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x62, 0x62, 0x5d, 0x5d, 0x59, 0x59, 0x54, 0x54, 0x51, 0x51, 0x4f, 0x4f, 0x4f, 0x4f, 0x50, 0x50, 0x53, 0x53, 
0x57, 0x57, 0x5c, 0x5c, 0x62, 0x62, 0x68, 0x68, 0x6e, 0x6e, 0x74, 0x74, 0x7a, 0x7a, 0x81, 0x81, 0x8a, 0x8a, 0x96, 0x96, 0xa3, 0xa3, 0xb2, 0xb2, 0xc3, 0xc3, 
0xd5, 0xd5, 0xe7, 0xe7, 0xf6, 0xf6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xe5, 0xe5, 0xcb, 0xcb, 0xab, 0xab, 0x88, 0x88, 0x65, 0x65, 0x44, 0x44, 
0x26, 0x26, 0x0e, 0x0e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x1c, 0x1c, 0x39, 0x39, 0x5c, 0x5c, 0x80, 0x80, 0xa2, 0xa2, 0xc1, 0xc1, 0xdb, 0xdb, 
0xee, 0xee, 0xf6, 0xf6, 0xf4, 0xf4, 0xea, 0xea, 0xd8, 0xd8, 0xc2, 0xc2, 0xa9, 0xa9, 0x8f, 0x8f, 0x78, 0x78, 0x67, 0x67, 0x5d, 0x5d, 0x5a, 0x5a, 0x5c, 0x5c, 
0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x81, 0x81, 0x89, 0x89, 0x8e, 0x8e, 0x91, 0x91, 0x93, 0x93, 0x95, 0x95, 0x99, 0x99, 0x9d, 0x9d, 0xa0, 0xa0, 0xa3, 0xa3, 
0xa3, 0xa3, 0xa0, 0xa0, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x85, 0x85, 0x7b, 0x7b, 0x70, 0x70, 0x66, 0x66, 0x5c, 0x5c, 0x54, 0x54, 0x4f, 0x4f, 0x4c, 0x4c, 
0x4c, 0x4c, 0x4c, 0x4c, 0x4c, 0x4c, 0x4a, 0x4a, 0x46, 0x46, 0x40, 0x40, 0x38, 0x38, 0x2d, 0x2d, 0x23, 0x23, 0x1c, 0x1c, 0x1b, 0x1b, 0x22, 0x22, 0x2f, 0x2f, 
0x40, 0x40, 0x51, 0x51, 0x61, 0x61, 0x70, 0x70, 0x7f, 0x7f, 0x8e, 0x8e, 0x9e, 0x9e, 0xad, 0xad, 0xbd, 0xbd, 0xcc, 0xcc, 0xda, 0xda, 0xe6, 0xe6, 0xed, 0xed, 
0xee, 0xee, 0xe6, 0xe6, 0xd9, 0xd9, 0xc8, 0xc8, 0xb5, 0xb5, 0xa1, 0xa1, 0x8d, 0x8d, 0x7a, 0x7a, 0x6a, 0x6a, 0x5d, 0x5d, 0x54, 0x54, 0x50, 0x50, 0x52, 0x52, 
0x5a, 0x5a, 0x66, 0x66, 0x72, 0x72, 0x7d, 0x7d, 0x84, 0x84, 0x87, 0x87, 0x87, 0x87, 0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 
0x7e, 0x7e, 0x7c, 0x7c, 0x76, 0x76, 0x6d, 0x6d, 0x62, 0x62, 0x5a, 0x5a, 0x58, 0x58, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x7b, 0x7b, 0x80, 0x80, 0x82, 0x82, 
0x81, 0x81, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 
0x74, 0x74, 0x7a, 0x7a, 0x83, 0x83, 0x8c, 0x8c, 0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x9a, 0x9a, 0x9e, 0x9e, 0xa6, 0xa6, 0xaf, 0xaf, 0xb5, 0xb5, 0xb4, 0xb4, 
0xab, 0xab, 0x9a, 0x9a, 0x86, 0x86, 0x6f, 0x6f, 0x59, 0x59, 0x46, 0x46, 0x37, 0x37, 0x2f, 0x2f, 0x2e, 0x2e, 0x33, 0x33, 0x3c, 0x3c, 0x48, 0x48, 0x56, 0x56, 
0x64, 0x64, 0x73, 0x73, 0x80, 0x80, 0x8d, 0x8d, 0x99, 0x99, 0xa0, 0xa0, 0xa2, 0xa2, 0x9e, 0x9e, 0x96, 0x96, 0x8d, 0x8d, 0x86, 0x86, 0x81, 0x81, 0x7e, 0x7e, 
0x7d, 0x7d, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x77, 0x77, 0x79, 0x79, 0x7e, 0x7e, 0x85, 0x85, 0x8e, 0x8e, 0x97, 0x97, 0xa0, 0xa0, 0xa6, 0xa6, 0xaa, 0xaa, 
0xab, 0xab, 0xa9, 0xa9, 0xa4, 0xa4, 0x9c, 0x9c, 0x94, 0x94, 0x8c, 0x8c, 0x83, 0x83, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5f, 0x5f, 
0x62, 0x62, 0x67, 0x67, 0x6f, 0x6f, 0x79, 0x79, 0x83, 0x83, 0x8e, 0x8e, 0x98, 0x98, 0xa0, 0xa0, 0xa7, 0xa7, 0xab, 0xab, 0xac, 0xac, 0xa8, 0xa8, 0xa1, 0xa1, 
0x97, 0x97, 0x8b, 0x8b, 0x80, 0x80, 0x76, 0x76, 0x6e, 0x6e, 0x69, 0x69, 0x66, 0x66, 0x68, 0x68, 0x6c, 0x6c, 0x73, 0x73, 0x7c, 0x7c, 0x85, 0x85, 0x8f, 0x8f, 
0x96, 0x96, 0x99, 0x99, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x88, 0x88, 0x8a, 0x8a, 0x8c, 0x8c, 0x8e, 0x8e, 
0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa7, 0xa7, 0xa4, 0xa4, 0x9f, 0x9f, 0x96, 0x96, 0x8c, 0x8c, 0x82, 0x82, 0x78, 0x78, 
0x70, 0x70, 0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 
0x4f, 0x4f, 0x50, 0x50, 0x56, 0x56, 0x61, 0x61, 0x70, 0x70, 0x81, 0x81, 0x90, 0x90, 0x9d, 0x9d, 0xa7, 0xa7, 0xb0, 0xb0, 0xb7, 0xb7, 0xbd, 0xbd, 0xc2, 0xc2, 
0xc7, 0xc7, 0xca, 0xca, 0xcc, 0xcc, 0xce, 0xce, 0xd0, 0xd0, 0xd3, 0xd3, 0xd8, 0xd8, 0xdd, 0xdd, 0xe0, 0xe0, 0xde, 0xde, 0xd7, 0xd7, 0xca, 0xca, 0xb7, 0xb7, 
0x9d, 0x9d, 0x7d, 0x7d, 0x5b, 0x5b, 0x3a, 0x3a, 0x22, 0x22, 0x13, 0x13, 0x0c, 0x0c, 0x0a, 0x0a, 0x0c, 0x0c, 0x11, 0x11, 0x18, 0x18, 0x26, 0x26, 0x3e, 0x3e, 
0x61, 0x61, 0x8b, 0x8b, 0xb3, 0xb3, 0xd4, 0xd4, 0xeb, 0xeb, 0xf5, 0xf5, 0xf5, 0xf5, 0xe9, 0xe9, 0xd3, 0xd3, 0xb7, 0xb7, 0x9a, 0x9a, 0x7f, 0x7f, 0x6a, 0x6a, 
0x5a, 0x5a, 0x4e, 0x4e, 0x49, 0x49, 0x48, 0x48, 0x4a, 0x4a, 0x50, 0x50, 0x57, 0x57, 0x5e, 0x5e, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 0x77, 0x77, 0x7a, 0x7a, 
0x80, 0x80, 0x8a, 0x8a, 0x99, 0x99, 0xab, 0xab, 0xbc, 0xbc, 0xc6, 0xc6, 0xca, 0xca, 0xc6, 0xc6, 0xbd, 0xbd, 0xb0, 0xb0, 0xa1, 0xa1, 0x91, 0x91, 0x83, 0x83, 
0x78, 0x78, 0x70, 0x70, 0x6c, 0x6c, 0x6c, 0x6c, 0x70, 0x70, 0x77, 0x77, 0x7f, 0x7f, 0x86, 0x86, 0x87, 0x87, 0x82, 0x82, 0x78, 0x78, 0x6d, 0x6d, 0x62, 0x62, 
0x5b, 0x5b, 0x57, 0x57, 0x57, 0x57, 0x5d, 0x5d, 0x68, 0x68, 0x76, 0x76, 0x85, 0x85, 0x93, 0x93, 0x9f, 0x9f, 0xa9, 0xa9, 0xb1, 0xb1, 0xb9, 0xb9, 0xc1, 0xc1, 
0xc7, 0xc7, 0xc9, 0xc9, 0xc5, 0xc5, 0xb9, 0xb9, 0xa7, 0xa7, 0x92, 0x92, 0x7e, 0x7e, 0x6a, 0x6a, 0x5a, 0x5a, 0x4b, 0x4b, 0x3e, 0x3e, 0x34, 0x34, 0x2d, 0x2d, 
0x2c, 0x2c, 0x33, 0x33, 0x42, 0x42, 0x59, 0x59, 0x72, 0x72, 0x8b, 0x8b, 0xa2, 0xa2, 0xb6, 0xb6, 0xc4, 0xc4, 0xcb, 0xcb, 0xcb, 0xcb, 0xc5, 0xc5, 0xbb, 0xbb, 
0xaf, 0xaf, 0xa2, 0xa2, 0x95, 0x95, 0x86, 0x86, 0x76, 0x76, 0x63, 0x63, 0x51, 0x51, 0x42, 0x42, 0x39, 0x39, 0x39, 0x39, 0x3f, 0x3f, 0x48, 0x48, 0x52, 0x52, 
0x5c, 0x5c, 0x64, 0x64, 0x6b, 0x6b, 0x71, 0x71, 0x76, 0x76, 0x7c, 0x7c, 0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x8e, 0x8e, 0x8e, 0x8e, 0x8c, 0x8c, 0x85, 0x85, 
0x7e, 0x7e, 0x77, 0x77, 0x74, 0x74, 0x77, 0x77, 0x7e, 0x7e, 0x86, 0x86, 0x8f, 0x8f, 0x96, 0x96, 0x9b, 0x9b, 0x9f, 0x9f, 0xa0, 0xa0, 0x9f, 0x9f, 0x9c, 0x9c, 
0x97, 0x97, 0x92, 0x92, 0x8a, 0x8a, 0x82, 0x82, 0x7a, 0x7a, 0x72, 0x72, 0x6a, 0x6a, 0x64, 0x64, 0x5f, 0x5f, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x69, 0x69, 
0x69, 0x69, 0x64, 0x64, 0x5d, 0x5d, 0x56, 0x56, 0x50, 0x50, 0x4f, 0x4f, 0x51, 0x51, 0x56, 0x56, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x73, 0x73, 0x7a, 0x7a, 
0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x95, 0x95, 0x97, 0x97, 0x96, 0x96, 0x94, 0x94, 0x91, 0x91, 0x8f, 0x8f, 0x8f, 0x8f, 0x92, 0x92, 
0x96, 0x96, 0x99, 0x99, 0x98, 0x98, 0x92, 0x92, 0x89, 0x89, 0x7e, 0x7e, 0x75, 0x75, 0x6e, 0x6e, 0x69, 0x69, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 
0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x75, 0x74, 0x74, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 
0x85, 0x85, 0x8a, 0x8a, 0x8e, 0x8e, 0x90, 0x90, 0x90, 0x90, 0x8e, 0x8e, 0x8a, 0x8a, 0x86, 0x86, 0x83, 0x83, 0x83, 0x83, 0x85, 0x85, 0x88, 0x88, 0x8b, 0x8b, 
0x8e, 0x8e, 0x90, 0x90, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa7, 0xa7, 0xab, 0xab, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 
0xac, 0xac, 0xa6, 0xa6, 0x9c, 0x9c, 0x8e, 0x8e, 0x7d, 0x7d, 0x6c, 0x6c, 0x5b, 0x5b, 0x4c, 0x4c, 0x3f, 0x3f, 0x35, 0x35, 0x2e, 0x2e, 0x2b, 0x2b, 0x2b, 0x2b, 
0x2d, 0x2d, 0x31, 0x31, 0x38, 0x38, 0x40, 0x40, 0x49, 0x49, 0x53, 0x53, 0x5e, 0x5e, 0x69, 0x69, 0x73, 0x73, 0x7d, 0x7d, 0x86, 0x86, 0x8e, 0x8e, 0x94, 0x94, 
0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x94, 0x94, 0x97, 0x97, 0x9d, 0x9d, 0xa5, 0xa5, 0xad, 0xad, 0xb6, 0xb6, 0xbe, 0xbe, 0xc2, 0xc2, 0xc1, 0xc1, 
0xba, 0xba, 0xaf, 0xaf, 0xa2, 0xa2, 0x96, 0x96, 0x8c, 0x8c, 0x83, 0x83, 0x7c, 0x7c, 0x77, 0x77, 0x71, 0x71, 0x6d, 0x6d, 0x6d, 0x6d, 0x72, 0x72, 0x7e, 0x7e, 
0x8e, 0x8e, 0xa0, 0xa0, 0xaf, 0xaf, 0xbc, 0xbc, 0xc5, 0xc5, 0xcc, 0xcc, 0xd2, 0xd2, 0xd9, 0xd9, 0xde, 0xde, 0xe2, 0xe2, 0xe3, 0xe3, 0xdf, 0xdf, 0xd6, 0xd6, 
0xc7, 0xc7, 0xaf, 0xaf, 0x90, 0x90, 0x6c, 0x6c, 0x49, 0x49, 0x2d, 0x2d, 0x1a, 0x1a, 0x0f, 0x0f, 0x0a, 0x0a, 0x07, 0x07, 0x06, 0x06, 0x08, 0x08, 0x10, 0x10, 
0x23, 0x23, 0x40, 0x40, 0x66, 0x66, 0x8e, 0x8e, 0xb2, 0xb2, 0xd0, 0xd0, 0xe6, 0xe6, 0xf2, 0xf2, 0xf5, 0xf5, 0xee, 0xee, 0xe0, 0xe0, 0xcf, 0xcf, 0xbf, 0xbf, 
0xb2, 0xb2, 0xa7, 0xa7, 0x9e, 0x9e, 0x96, 0x96, 0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7d, 0x7d, 0x79, 0x79, 
0x73, 0x73, 0x6e, 0x6e, 0x6a, 0x6a, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x71, 0x71, 0x71, 0x71, 0x6e, 0x6e, 0x6a, 0x6a, 0x63, 0x63, 0x5b, 0x5b, 
0x54, 0x54, 0x53, 0x53, 0x56, 0x56, 0x5e, 0x5e, 0x69, 0x69, 0x75, 0x75, 0x81, 0x81, 0x8c, 0x8c, 0x94, 0x94, 0x99, 0x99, 0x99, 0x99, 0x96, 0x96, 0x90, 0x90, 
0x88, 0x88, 0x7f, 0x7f, 0x77, 0x77, 0x70, 0x70, 0x6d, 0x6d, 0x6e, 0x6e, 0x73, 0x73, 0x7c, 0x7c, 0x89, 0x89, 0x99, 0x99, 0xaa, 0xaa, 0xba, 0xba, 0xc5, 0xc5, 
0xcb, 0xcb, 0xcc, 0xcc, 0xc7, 0xc7, 0xbf, 0xbf, 0xb3, 0xb3, 0xa4, 0xa4, 0x94, 0x94, 0x84, 0x84, 0x75, 0x75, 0x66, 0x66, 0x59, 0x59, 0x4f, 0x4f, 0x47, 0x47, 
0x43, 0x43, 0x41, 0x41, 0x42, 0x42, 0x46, 0x46, 0x4b, 0x4b, 0x50, 0x50, 0x51, 0x51, 0x4e, 0x4e, 0x49, 0x49, 0x42, 0x42, 0x3b, 0x3b, 0x36, 0x36, 0x31, 0x31, 
0x2d, 0x2d, 0x2a, 0x2a, 0x27, 0x27, 0x25, 0x25, 0x24, 0x24, 0x25, 0x25, 0x28, 0x28, 0x2e, 0x2e, 0x38, 0x38, 0x45, 0x45, 0x56, 0x56, 0x69, 0x69, 0x7e, 0x7e, 
0x92, 0x92, 0xa5, 0xa5, 0xb7, 0xb7, 0xc6, 0xc6, 0xd3, 0xd3, 0xde, 0xde, 0xe7, 0xe7, 0xed, 0xed, 0xef, 0xef, 0xed, 0xed, 0xe8, 0xe8, 0xe1, 0xe1, 0xd9, 0xd9, 
0xcf, 0xcf, 0xc5, 0xc5, 0xbb, 0xbb, 0xb2, 0xb2, 0xa8, 0xa8, 0x9f, 0x9f, 0x98, 0x98, 0x91, 0x91, 0x8d, 0x8d, 0x89, 0x89, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 
0x7d, 0x7d, 0x79, 0x79, 0x73, 0x73, 0x6c, 0x6c, 0x63, 0x63, 0x5a, 0x5a, 0x4f, 0x4f, 0x43, 0x43, 0x37, 0x37, 0x2d, 0x2d, 0x25, 0x25, 0x21, 0x21, 0x20, 0x20, 
0x22, 0x22, 0x27, 0x27, 0x30, 0x30, 0x3a, 0x3a, 0x44, 0x44, 0x4e, 0x4e, 0x57, 0x57, 0x5e, 0x5e, 0x65, 0x65, 0x6d, 0x6d, 0x76, 0x76, 0x7e, 0x7e, 0x86, 0x86, 
0x8d, 0x8d, 0x91, 0x91, 0x93, 0x93, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa1, 0xa1, 0xa3, 0xa3, 0xa5, 0xa5, 0xa7, 0xa7, 
0xaa, 0xaa, 0xad, 0xad, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb5, 0xb5, 0xb3, 0xb3, 0xad, 0xad, 0xa2, 0xa2, 0x94, 0x94, 0x85, 0x85, 0x79, 0x79, 0x6f, 0x6f, 
0x67, 0x67, 0x60, 0x60, 0x5a, 0x5a, 0x53, 0x53, 0x4c, 0x4c, 0x45, 0x45, 0x3f, 0x3f, 0x3c, 0x3c, 0x3a, 0x3a, 0x3c, 0x3c, 0x41, 0x41, 0x4a, 0x4a, 0x55, 0x55, 
0x61, 0x61, 0x6e, 0x6e, 0x7b, 0x7b, 0x88, 0x88, 0x94, 0x94, 0x9f, 0x9f, 0xaa, 0xaa, 0xb4, 0xb4, 0xbb, 0xbb, 0xbd, 0xbd, 0xba, 0xba, 0xb4, 0xb4, 0xab, 0xab, 
0xa4, 0xa4, 0x9e, 0x9e, 0x9a, 0x9a, 0x97, 0x97, 0x97, 0x97, 0x98, 0x98, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x99, 0x99, 
0x95, 0x95, 0x8f, 0x8f, 0x88, 0x88, 0x80, 0x80, 0x77, 0x77, 0x6e, 0x6e, 0x64, 0x64, 0x5c, 0x5c, 0x54, 0x54, 0x4d, 0x4d, 0x47, 0x47, 0x40, 0x40, 0x3a, 0x3a, 
0x33, 0x33, 0x30, 0x30, 0x31, 0x31, 0x38, 0x38, 0x44, 0x44, 0x52, 0x52, 0x62, 0x62, 0x70, 0x70, 0x7e, 0x7e, 0x88, 0x88, 0x8e, 0x8e, 0x8f, 0x8f, 0x8c, 0x8c, 
0x88, 0x88, 0x85, 0x85, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x96, 0x96, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 
0xa3, 0xa3, 0x9e, 0x9e, 0x97, 0x97, 0x91, 0x91, 0x8c, 0x8c, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x83, 0x83, 0x7e, 0x7e, 
0x77, 0x77, 0x71, 0x71, 0x6d, 0x6d, 0x6c, 0x6c, 0x71, 0x71, 0x79, 0x79, 0x81, 0x81, 0x87, 0x87, 0x8a, 0x8a, 0x89, 0x89, 0x88, 0x88, 0x86, 0x86, 0x85, 0x85, 
0x85, 0x85, 0x87, 0x87, 0x8b, 0x8b, 0x90, 0x90, 0x97, 0x97, 0xa0, 0xa0, 0xac, 0xac, 0xba, 0xba, 0xc9, 0xc9, 0xd6, 0xd6, 0xdf, 0xdf, 0xe1, 0xe1, 0xdd, 0xdd, 
0xd1, 0xd1, 0xbb, 0xbb, 0x9c, 0x9c, 0x77, 0x77, 0x53, 0x53, 0x34, 0x34, 0x1d, 0x1d, 0x0e, 0x0e, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x0a, 0x0a, 
0x1c, 0x1c, 0x37, 0x37, 0x59, 0x59, 0x7e, 0x7e, 0xa1, 0xa1, 0xc0, 0xc0, 0xda, 0xda, 0xeb, 0xeb, 0xf1, 0xf1, 0xeb, 0xeb, 0xdd, 0xdd, 0xcb, 0xcb, 0xb9, 0xb9, 
0xa9, 0xa9, 0x9b, 0x9b, 0x90, 0x90, 0x85, 0x85, 0x7b, 0x7b, 0x72, 0x72, 0x69, 0x69, 0x63, 0x63, 0x60, 0x60, 0x5e, 0x5e, 0x5d, 0x5d, 0x5c, 0x5c, 0x5a, 0x5a, 
0x57, 0x57, 0x56, 0x56, 0x57, 0x57, 0x5a, 0x5a, 0x60, 0x60, 0x68, 0x68, 0x71, 0x71, 0x7a, 0x7a, 0x84, 0x84, 0x8b, 0x8b, 0x8e, 0x8e, 0x8e, 0x8e, 0x8a, 0x8a, 
0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x83, 0x83, 0x86, 0x86, 0x88, 0x88, 0x89, 0x89, 0x89, 0x89, 0x88, 0x88, 0x88, 0x88, 
0x88, 0x88, 0x8a, 0x8a, 0x8e, 0x8e, 0x92, 0x92, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0xa2, 0xa2, 0xa5, 0xa5, 0xa9, 0xa9, 0xad, 0xad, 0xb0, 0xb0, 0xb1, 0xb1, 
0xb0, 0xb0, 0xac, 0xac, 0xa7, 0xa7, 0xa0, 0xa0, 0x97, 0x97, 0x8e, 0x8e, 0x85, 0x85, 0x7c, 0x7c, 0x73, 0x73, 0x6b, 0x6b, 0x63, 0x63, 0x5a, 0x5a, 0x52, 0x52, 
0x4b, 0x4b, 0x47, 0x47, 0x48, 0x48, 0x4e, 0x4e, 0x57, 0x57, 0x5f, 0x5f, 0x64, 0x64, 0x63, 0x63, 0x5f, 0x5f, 0x5a, 0x5a, 0x57, 0x57, 0x57, 0x57, 0x5b, 0x5b, 
0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x74, 0x74, 0x78, 0x78, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x79, 0x79, 0x7d, 0x7d, 0x85, 0x85, 0x90, 0x90, 0x9b, 0x9b, 
0xa3, 0xa3, 0xa7, 0xa7, 0xa8, 0xa8, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x98, 0x98, 0x90, 0x90, 0x85, 0x85, 0x77, 0x77, 0x68, 0x68, 0x5b, 0x5b, 0x55, 0x55, 
0x57, 0x57, 0x5f, 0x5f, 0x6d, 0x6d, 0x7f, 0x7f, 0x92, 0x92, 0xa5, 0xa5, 0xb5, 0xb5, 0xbe, 0xbe, 0xbf, 0xbf, 0xbb, 0xbb, 0xb3, 0xb3, 0xaa, 0xaa, 0xa0, 0xa0, 
0x96, 0x96, 0x8d, 0x8d, 0x85, 0x85, 0x7d, 0x7d, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 
0x63, 0x63, 0x5e, 0x5e, 0x58, 0x58, 0x52, 0x52, 0x4d, 0x4d, 0x4a, 0x4a, 0x4a, 0x4a, 0x4c, 0x4c, 0x50, 0x50, 0x55, 0x55, 0x5a, 0x5a, 0x5f, 0x5f, 0x64, 0x64, 
0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x66, 0x66, 0x69, 0x69, 0x6e, 0x6e, 0x76, 0x76, 0x7f, 0x7f, 0x88, 0x88, 0x8f, 0x8f, 0x94, 0x94, 0x98, 0x98, 0x9a, 0x9a, 
0x99, 0x99, 0x96, 0x96, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x78, 0x78, 0x6f, 0x6f, 0x69, 0x69, 0x67, 0x67, 0x68, 0x68, 0x6d, 0x6d, 0x76, 0x76, 0x83, 0x83, 
0x90, 0x90, 0x9d, 0x9d, 0xa5, 0xa5, 0xa8, 0xa8, 0xa8, 0xa8, 0xa5, 0xa5, 0xa4, 0xa4, 0xa4, 0xa4, 0xa5, 0xa5, 0xa7, 0xa7, 0xa7, 0xa7, 0xa5, 0xa5, 0xa2, 0xa2, 
0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x6e, 0x6e, 0x66, 0x66, 0x5f, 0x5f, 0x5a, 0x5a, 0x56, 0x56, 0x54, 0x54, 0x54, 0x54, 
0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x6f, 0x6f, 0x75, 0x75, 0x77, 0x77, 0x78, 0x78, 0x78, 0x78, 0x79, 0x79, 0x7c, 0x7c, 0x81, 0x81, 0x87, 0x87, 0x8b, 0x8b, 
0x8d, 0x8d, 0x8e, 0x8e, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9c, 0x9c, 0x9f, 0x9f, 0x9e, 0x9e, 0x98, 0x98, 
0x8f, 0x8f, 0x85, 0x85, 0x7e, 0x7e, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6e, 0x6e, 0x71, 0x71, 
0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x85, 0x85, 0x88, 0x88, 0x8a, 0x8a, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x85, 0x85, 0x8a, 0x8a, 0x8f, 0x8f, 0x93, 0x93, 
0x93, 0x93, 0x8c, 0x8c, 0x81, 0x81, 0x76, 0x76, 0x6c, 0x6c, 0x66, 0x66, 0x64, 0x64, 0x65, 0x65, 0x67, 0x67, 0x6a, 0x6a, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 
0x70, 0x70, 0x6e, 0x6e, 0x6d, 0x6d, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x7d, 0x7d, 0x87, 0x87, 
0x93, 0x93, 0x9d, 0x9d, 0xa4, 0xa4, 0xa4, 0xa4, 0xa1, 0xa1, 0x9c, 0x9c, 0x99, 0x99, 0x99, 0x99, 0x9b, 0x9b, 0x9f, 0x9f, 0xa5, 0xa5, 0xaa, 0xaa, 0xae, 0xae, 
0xb0, 0xb0, 0xae, 0xae, 0xa7, 0xa7, 0x9e, 0x9e, 0x95, 0x95, 0x8c, 0x8c, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x6c, 0x6c, 
0x6e, 0x6e, 0x77, 0x77, 0x84, 0x84, 0x94, 0x94, 0xa5, 0xa5, 0xb5, 0xb5, 0xc1, 0xc1, 0xc8, 0xc8, 0xc5, 0xc5, 0xba, 0xba, 0xa7, 0xa7, 0x90, 0x90, 0x78, 0x78, 
0x60, 0x60, 0x49, 0x49, 0x37, 0x37, 0x2b, 0x2b, 0x25, 0x25, 0x24, 0x24, 0x29, 0x29, 0x32, 0x32, 0x40, 0x40, 0x4f, 0x4f, 0x5c, 0x5c, 0x62, 0x62, 0x62, 0x62, 
0x5d, 0x5d, 0x54, 0x54, 0x4c, 0x4c, 0x44, 0x44, 0x40, 0x40, 0x40, 0x40, 0x45, 0x45, 0x4f, 0x4f, 0x5c, 0x5c, 0x68, 0x68, 0x72, 0x72, 0x78, 0x78, 0x7b, 0x7b, 
0x7c, 0x7c, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x8c, 0x8c, 0x94, 0x94, 0x9c, 0x9c, 0xa4, 0xa4, 0xab, 0xab, 0xaf, 0xaf, 0xb0, 0xb0, 0xaf, 0xaf, 0xaa, 0xaa, 
0xa2, 0xa2, 0x96, 0x96, 0x89, 0x89, 0x7e, 0x7e, 0x77, 0x77, 0x75, 0x75, 0x77, 0x77, 0x7c, 0x7c, 0x82, 0x82, 0x88, 0x88, 0x8d, 0x8d, 0x91, 0x91, 0x92, 0x92, 
0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x89, 0x89, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x7e, 0x7e, 0x75, 0x75, 0x68, 0x68, 0x5b, 0x5b, 0x50, 0x50, 0x48, 0x48, 
0x42, 0x42, 0x3f, 0x3f, 0x3f, 0x3f, 0x40, 0x40, 0x43, 0x43, 0x48, 0x48, 0x4f, 0x4f, 0x56, 0x56, 0x5f, 0x5f, 0x67, 0x67, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 
0x7d, 0x7d, 0x84, 0x84, 0x8c, 0x8c, 0x96, 0x96, 0xa0, 0xa0, 0xa9, 0xa9, 0xb1, 0xb1, 0xb6, 0xb6, 0xb9, 0xb9, 0xb8, 0xb8, 0xb3, 0xb3, 0xab, 0xab, 0xa4, 0xa4, 
0x9e, 0x9e, 0x9c, 0x9c, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9c, 0x9c, 0x98, 0x98, 0x94, 0x94, 0x8e, 0x8e, 0x88, 0x88, 0x82, 0x82, 0x7b, 0x7b, 
0x74, 0x74, 0x6e, 0x6e, 0x69, 0x69, 0x68, 0x68, 0x6b, 0x6b, 0x71, 0x71, 0x77, 0x77, 0x7d, 0x7d, 0x81, 0x81, 0x84, 0x84, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 
0x84, 0x84, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 0x89, 0x89, 0x8b, 0x8b, 0x8b, 0x8b, 0x88, 0x88, 0x83, 0x83, 0x7e, 0x7e, 0x79, 0x79, 0x75, 0x75, 0x72, 0x72, 
0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x69, 0x69, 0x6a, 0x6a, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x79, 0x79, 0x7d, 0x7d, 
0x81, 0x81, 0x86, 0x86, 0x8b, 0x8b, 0x8f, 0x8f, 0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9a, 0x9a, 0x96, 0x96, 0x8f, 0x8f, 0x89, 0x89, 0x83, 0x83, 
0x7e, 0x7e, 0x7c, 0x7c, 0x7d, 0x7d, 0x80, 0x80, 0x86, 0x86, 0x8d, 0x8d, 0x93, 0x93, 0x96, 0x96, 0x94, 0x94, 0x90, 0x90, 0x88, 0x88, 0x7f, 0x7f, 0x76, 0x76, 
0x6c, 0x6c, 0x63, 0x63, 0x5b, 0x5b, 0x55, 0x55, 0x50, 0x50, 0x4d, 0x4d, 0x4d, 0x4d, 0x50, 0x50, 0x55, 0x55, 0x5c, 0x5c, 0x64, 0x64, 0x6c, 0x6c, 0x73, 0x73, 
0x79, 0x79, 0x7b, 0x7b, 0x79, 0x79, 0x75, 0x75, 0x6f, 0x6f, 0x69, 0x69, 0x65, 0x65, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x72, 0x72, 0x7c, 0x7c, 
0x87, 0x87, 0x93, 0x93, 0x9e, 0x9e, 0xa7, 0xa7, 0xab, 0xab, 0xaa, 0xaa, 0xa6, 0xa6, 0x9e, 0x9e, 0x94, 0x94, 0x8a, 0x8a, 0x80, 0x80, 0x77, 0x77, 0x70, 0x70, 
0x6c, 0x6c, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 0x61, 0x61, 0x5d, 0x5d, 0x58, 0x58, 0x54, 0x54, 0x51, 0x51, 0x50, 0x50, 0x50, 0x50, 0x53, 0x53, 0x59, 0x59, 
0x62, 0x62, 0x6c, 0x6c, 0x77, 0x77, 0x82, 0x82, 0x8d, 0x8d, 0x95, 0x95, 0x98, 0x98, 0x98, 0x98, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 0x80, 0x80, 0x7c, 0x7c, 
0x79, 0x79, 0x79, 0x79, 0x7b, 0x7b, 0x80, 0x80, 0x85, 0x85, 0x8b, 0x8b, 0x8f, 0x8f, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0xa0, 0xa0, 0xa4, 0xa4, 0xa8, 0xa8, 
0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa6, 0xa6, 0xa0, 0xa0, 0x98, 0x98, 0x90, 0x90, 0x88, 0x88, 0x83, 0x83, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 
0x86, 0x86, 0x84, 0x84, 0x80, 0x80, 0x79, 0x79, 0x70, 0x70, 0x65, 0x65, 0x59, 0x59, 0x4f, 0x4f, 0x46, 0x46, 0x3f, 0x3f, 0x3a, 0x3a, 0x39, 0x39, 0x3c, 0x3c, 
0x42, 0x42, 0x49, 0x49, 0x51, 0x51, 0x59, 0x59, 0x61, 0x61, 0x67, 0x67, 0x6c, 0x6c, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x72, 0x72, 0x77, 0x77, 0x7d, 0x7d, 
0x82, 0x82, 0x85, 0x85, 0x85, 0x85, 0x84, 0x84, 0x82, 0x82, 0x83, 0x83, 0x86, 0x86, 0x8c, 0x8c, 0x94, 0x94, 0x9f, 0x9f, 0xad, 0xad, 0xbb, 0xbb, 0xc8, 0xc8, 
0xd3, 0xd3, 0xdb, 0xdb, 0xe0, 0xe0, 0xe1, 0xe1, 0xde, 0xde, 0xd9, 0xd9, 0xd0, 0xd0, 0xc5, 0xc5, 0xb6, 0xb6, 0xa6, 0xa6, 0x94, 0x94, 0x83, 0x83, 0x75, 0x75, 
0x6b, 0x6b, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5a, 0x5a, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 0x54, 0x54, 0x54, 0x54, 0x55, 0x55, 0x57, 0x57, 
0x58, 0x58, 0x58, 0x58, 0x56, 0x56, 0x51, 0x51, 0x4a, 0x4a, 0x45, 0x45, 0x43, 0x43, 0x46, 0x46, 0x4d, 0x4d, 0x57, 0x57, 0x63, 0x63, 0x70, 0x70, 0x7e, 0x7e, 
0x8b, 0x8b, 0x97, 0x97, 0xa3, 0xa3, 0xae, 0xae, 0xb8, 0xb8, 0xc1, 0xc1, 0xca, 0xca, 0xd1, 0xd1, 0xd7, 0xd7, 0xda, 0xda, 0xd9, 0xd9, 0xd5, 0xd5, 0xcf, 0xcf, 
0xc9, 0xc9, 0xc3, 0xc3, 0xbd, 0xbd, 0xb6, 0xb6, 0xae, 0xae, 0xa6, 0xa6, 0x9e, 0x9e, 0x97, 0x97, 0x93, 0x93, 0x94, 0x94, 0x96, 0x96, 0x99, 0x99, 0x99, 0x99, 
0x96, 0x96, 0x90, 0x90, 0x86, 0x86, 0x79, 0x79, 0x6a, 0x6a, 0x5b, 0x5b, 0x4d, 0x4d, 0x42, 0x42, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x38, 0x38, 0x37, 0x37, 
0x35, 0x35, 0x35, 0x35, 0x36, 0x36, 0x39, 0x39, 0x3e, 0x3e, 0x44, 0x44, 0x49, 0x49, 0x4e, 0x4e, 0x51, 0x51, 0x56, 0x56, 0x5b, 0x5b, 0x62, 0x62, 0x69, 0x69, 
0x6f, 0x6f, 0x72, 0x72, 0x71, 0x71, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x61, 0x61, 0x62, 0x62, 0x66, 0x66, 0x6d, 0x6d, 0x79, 0x79, 0x85, 0x85, 0x90, 0x90, 
0x97, 0x97, 0x98, 0x98, 0x94, 0x94, 0x8f, 0x8f, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 0x88, 0x88, 0x8b, 0x8b, 0x90, 0x90, 0x95, 0x95, 0x9a, 0x9a, 0x9f, 0x9f, 
0xa1, 0xa1, 0xa3, 0xa3, 0xa2, 0xa2, 0x9f, 0x9f, 0x99, 0x99, 0x92, 0x92, 0x8b, 0x8b, 0x85, 0x85, 0x82, 0x82, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 0x89, 0x89, 
0x8c, 0x8c, 0x8d, 0x8d, 0x8b, 0x8b, 0x84, 0x84, 0x7b, 0x7b, 0x70, 0x70, 0x66, 0x66, 0x5e, 0x5e, 0x57, 0x57, 0x53, 0x53, 0x51, 0x51, 0x51, 0x51, 0x52, 0x52, 
0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5b, 0x5b, 0x60, 0x60, 0x69, 0x69, 0x75, 0x75, 0x81, 0x81, 0x8c, 0x8c, 0x96, 0x96, 0x9d, 0x9d, 0xa1, 0xa1, 
0xa0, 0xa0, 0x9b, 0x9b, 0x93, 0x93, 0x8a, 0x8a, 0x82, 0x82, 0x7c, 0x7c, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x76, 0x76, 0x78, 0x78, 0x7b, 0x7b, 0x80, 0x80, 
0x85, 0x85, 0x8b, 0x8b, 0x90, 0x90, 0x92, 0x92, 0x91, 0x91, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 
0x76, 0x76, 0x76, 0x76, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x8a, 0x8a, 0x95, 0x95, 0xa3, 0xa3, 0xb2, 0xb2, 0xbf, 0xbf, 0xc9, 0xc9, 0xcd, 0xcd, 0xce, 0xce, 
0xcb, 0xcb, 0xc6, 0xc6, 0xc0, 0xc0, 0xb8, 0xb8, 0xae, 0xae, 0xa2, 0xa2, 0x93, 0x93, 0x81, 0x81, 0x71, 0x71, 0x62, 0x62, 0x56, 0x56, 0x4d, 0x4d, 0x47, 0x47, 
0x45, 0x45, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 0x56, 0x56, 0x5e, 0x5e, 0x66, 0x66, 0x6e, 0x6e, 0x75, 0x75, 0x7b, 0x7b, 0x7f, 0x7f, 0x7f, 0x7f, 0x7a, 0x7a, 
0x70, 0x70, 0x61, 0x61, 0x53, 0x53, 0x47, 0x47, 0x40, 0x40, 0x3c, 0x3c, 0x3c, 0x3c, 0x3f, 0x3f, 0x44, 0x44, 0x4a, 0x4a, 0x52, 0x52, 0x5a, 0x5a, 0x62, 0x62, 
0x6b, 0x6b, 0x75, 0x75, 0x81, 0x81, 0x8e, 0x8e, 0x9c, 0x9c, 0xa9, 0xa9, 0xb2, 0xb2, 0xb8, 0xb8, 0xba, 0xba, 0xba, 0xba, 0xb8, 0xb8, 0xb6, 0xb6, 0xb4, 0xb4, 
0xb1, 0xb1, 0xad, 0xad, 0xa9, 0xa9, 0xa5, 0xa5, 0xa2, 0xa2, 0x9f, 0x9f, 0x9e, 0x9e, 0x9e, 0x9e, 0x9f, 0x9f, 0xa2, 0xa2, 0xa6, 0xa6, 0xaa, 0xaa, 0xad, 0xad, 
0xac, 0xac, 0xa8, 0xa8, 0xa1, 0xa1, 0x99, 0x99, 0x91, 0x91, 0x8a, 0x8a, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x5e, 0x5e, 0x57, 0x57, 
0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x44, 0x44, 0x44, 0x44, 0x45, 0x45, 0x47, 0x47, 0x48, 0x48, 0x4a, 0x4a, 0x4b, 0x4b, 0x4d, 0x4d, 0x51, 0x51, 0x56, 0x56, 
0x5c, 0x5c, 0x60, 0x60, 0x62, 0x62, 0x61, 0x61, 0x5d, 0x5d, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x5a, 0x5a, 0x60, 0x60, 0x67, 0x67, 0x70, 0x70, 0x79, 0x79, 
0x82, 0x82, 0x89, 0x89, 0x8e, 0x8e, 0x92, 0x92, 0x94, 0x94, 0x97, 0x97, 0x99, 0x99, 0x9d, 0x9d, 0xa1, 0xa1, 0xa6, 0xa6, 0xab, 0xab, 0xb1, 0xb1, 0xb7, 0xb7, 
0xbe, 0xbe, 0xc6, 0xc6, 0xcd, 0xcd, 0xd1, 0xd1, 0xd0, 0xd0, 0xc8, 0xc8, 0xbc, 0xbc, 0xac, 0xac, 0x9c, 0x9c, 0x8c, 0x8c, 0x7d, 0x7d, 0x70, 0x70, 0x67, 0x67, 
0x62, 0x62, 0x60, 0x60, 0x5e, 0x5e, 0x5b, 0x5b, 0x55, 0x55, 0x4f, 0x4f, 0x48, 0x48, 0x41, 0x41, 0x3c, 0x3c, 0x38, 0x38, 0x36, 0x36, 0x36, 0x36, 0x38, 0x38, 
0x3c, 0x3c, 0x42, 0x42, 0x4b, 0x4b, 0x56, 0x56, 0x62, 0x62, 0x6d, 0x6d, 0x75, 0x75, 0x79, 0x79, 0x7a, 0x7a, 0x78, 0x78, 0x74, 0x74, 0x6d, 0x6d, 0x65, 0x65, 
0x5d, 0x5d, 0x57, 0x57, 0x54, 0x54, 0x52, 0x52, 0x53, 0x53, 0x55, 0x55, 0x58, 0x58, 0x5c, 0x5c, 0x62, 0x62, 0x6a, 0x6a, 0x75, 0x75, 0x82, 0x82, 0x8e, 0x8e, 
0x98, 0x98, 0xa1, 0xa1, 0xa7, 0xa7, 0xad, 0xad, 0xb2, 0xb2, 0xb8, 0xb8, 0xbe, 0xbe, 0xc3, 0xc3, 0xc7, 0xc7, 0xca, 0xca, 0xcb, 0xcb, 0xc9, 0xc9, 0xc3, 0xc3, 
0xbb, 0xbb, 0xb0, 0xb0, 0xa5, 0xa5, 0x9c, 0x9c, 0x95, 0x95, 0x91, 0x91, 0x8e, 0x8e, 0x8c, 0x8c, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 
0x93, 0x93, 0x95, 0x95, 0x96, 0x96, 0x93, 0x93, 0x8d, 0x8d, 0x87, 0x87, 0x80, 0x80, 0x7a, 0x7a, 0x74, 0x74, 0x71, 0x71, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 
0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 0x66, 0x66, 0x63, 0x63, 0x62, 0x62, 0x64, 0x64, 0x68, 0x68, 0x6b, 0x6b, 0x6c, 0x6c, 0x6a, 0x6a, 0x64, 0x64, 0x5d, 0x5d, 
0x55, 0x55, 0x4d, 0x4d, 0x46, 0x46, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3f, 0x3f, 0x44, 0x44, 0x4b, 0x4b, 0x56, 0x56, 0x63, 0x63, 0x73, 0x73, 0x85, 0x85, 
0x99, 0x99, 0xae, 0xae, 0xc0, 0xc0, 0xcd, 0xcd, 0xd3, 0xd3, 0xd4, 0xd4, 0xd2, 0xd2, 0xce, 0xce, 0xca, 0xca, 0xc4, 0xc4, 0xbd, 0xbd, 0xb3, 0xb3, 0xa5, 0xa5, 
0x94, 0x94, 0x83, 0x83, 0x72, 0x72, 0x63, 0x63, 0x57, 0x57, 0x4e, 0x4e, 0x4b, 0x4b, 0x4e, 0x4e, 0x55, 0x55, 0x5e, 0x5e, 0x69, 0x69, 0x74, 0x74, 0x7f, 0x7f, 
0x89, 0x89, 0x94, 0x94, 0x9d, 0x9d, 0xa6, 0xa6, 0xab, 0xab, 0xaa, 0xaa, 0xa4, 0xa4, 0x99, 0x99, 0x8d, 0x8d, 0x82, 0x82, 0x7a, 0x7a, 0x74, 0x74, 0x71, 0x71, 
0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x69, 0x69, 0x68, 0x68, 0x65, 0x65, 0x60, 0x60, 
0x58, 0x58, 0x4f, 0x4f, 0x48, 0x48, 0x45, 0x45, 0x48, 0x48, 0x4f, 0x4f, 0x5b, 0x5b, 0x68, 0x68, 0x76, 0x76, 0x84, 0x84, 0x92, 0x92, 0xa0, 0xa0, 0xac, 0xac, 
0xb7, 0xb7, 0xbf, 0xbf, 0xc5, 0xc5, 0xc7, 0xc7, 0xc6, 0xc6, 0xc1, 0xc1, 0xb9, 0xb9, 0xae, 0xae, 0xa2, 0xa2, 0x95, 0x95, 0x8a, 0x8a, 0x81, 0x81, 0x7a, 0x7a, 
0x74, 0x74, 0x6d, 0x6d, 0x65, 0x65, 0x5d, 0x5d, 0x58, 0x58, 0x55, 0x55, 0x58, 0x58, 0x5e, 0x5e, 0x66, 0x66, 0x6f, 0x6f, 0x78, 0x78, 0x80, 0x80, 0x84, 0x84, 
0x85, 0x85, 0x82, 0x82, 0x7d, 0x7d, 0x79, 0x79, 0x78, 0x78, 0x7d, 0x7d, 0x85, 0x85, 0x90, 0x90, 0x9c, 0x9c, 0xa8, 0xa8, 0xb3, 0xb3, 0xbc, 0xbc, 0xc1, 0xc1, 
0xc2, 0xc2, 0xbf, 0xbf, 0xb8, 0xb8, 0xac, 0xac, 0x9c, 0x9c, 0x8a, 0x8a, 0x78, 0x78, 0x69, 0x69, 0x5f, 0x5f, 0x58, 0x58, 0x55, 0x55, 0x55, 0x55, 0x58, 0x58, 
0x5c, 0x5c, 0x61, 0x61, 0x62, 0x62, 0x62, 0x62, 0x60, 0x60, 0x5f, 0x5f, 0x60, 0x60, 0x66, 0x66, 0x6e, 0x6e, 0x76, 0x76, 0x7d, 0x7d, 0x82, 0x82, 0x83, 0x83, 
0x83, 0x83, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x73, 0x73, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x7a, 0x7a, 0x7f, 0x7f, 
0x83, 0x83, 0x85, 0x85, 0x86, 0x86, 0x85, 0x85, 0x81, 0x81, 0x7a, 0x7a, 0x72, 0x72, 0x6c, 0x6c, 0x6b, 0x6b, 0x70, 0x70, 0x79, 0x79, 0x83, 0x83, 0x8d, 0x8d, 
0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x78, 0x78, 0x6e, 0x6e, 0x64, 0x64, 
0x5c, 0x5c, 0x56, 0x56, 0x53, 0x53, 0x55, 0x55, 0x59, 0x59, 0x5e, 0x5e, 0x62, 0x62, 0x65, 0x65, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6a, 0x6a, 0x6d, 0x6d, 
0x6f, 0x6f, 0x6e, 0x6e, 0x6a, 0x6a, 0x65, 0x65, 0x5f, 0x5f, 0x5c, 0x5c, 0x5b, 0x5b, 0x5c, 0x5c, 0x61, 0x61, 0x68, 0x68, 0x71, 0x71, 0x7b, 0x7b, 0x85, 0x85, 
0x8d, 0x8d, 0x92, 0x92, 0x97, 0x97, 0x9a, 0x9a, 0x9d, 0x9d, 0xa1, 0xa1, 0xa5, 0xa5, 0xa7, 0xa7, 0xa8, 0xa8, 0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 0x9b, 0x9b, 
0x9a, 0x9a, 0x9a, 0x9a, 0x9c, 0x9c, 0x9f, 0x9f, 0xa2, 0xa2, 0xa5, 0xa5, 0xa8, 0xa8, 0xa9, 0xa9, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9, 0xa9, 0xa8, 0xa8, 0xa7, 0xa7, 
0xa7, 0xa7, 0xa5, 0xa5, 0xa0, 0xa0, 0x9a, 0x9a, 0x92, 0x92, 0x89, 0x89, 0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x69, 0x69, 0x61, 0x61, 0x59, 0x59, 
0x52, 0x52, 0x4b, 0x4b, 0x47, 0x47, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x4a, 0x4a, 0x4f, 0x4f, 0x54, 0x54, 0x56, 0x56, 0x56, 0x56, 0x55, 0x55, 0x54, 0x54, 
0x54, 0x54, 0x56, 0x56, 0x5a, 0x5a, 0x61, 0x61, 0x68, 0x68, 0x70, 0x70, 0x7a, 0x7a, 0x83, 0x83, 0x8e, 0x8e, 0x9a, 0x9a, 0xa5, 0xa5, 0xb0, 0xb0, 0xb8, 0xb8, 
0xbc, 0xbc, 0xbe, 0xbe, 0xbd, 0xbd, 0xba, 0xba, 0xb4, 0xb4, 0xae, 0xae, 0xa7, 0xa7, 0xa2, 0xa2, 0x9f, 0x9f, 0x9c, 0x9c, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 
0x8d, 0x8d, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x7a, 0x7a, 0x78, 0x78, 0x76, 0x76, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6b, 0x6b, 0x68, 0x68, 
0x66, 0x66, 0x64, 0x64, 0x63, 0x63, 0x61, 0x61, 0x61, 0x61, 0x60, 0x60, 0x5f, 0x5f, 0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x6b, 0x6b, 0x70, 0x70, 
0x75, 0x75, 0x79, 0x79, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x8c, 0x8c, 0x91, 0x91, 0x97, 0x97, 
0x9b, 0x9b, 0x9f, 0x9f, 0xa2, 0xa2, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9a, 0x9a, 0x94, 0x94, 0x8e, 0x8e, 0x8a, 0x8a, 0x89, 0x89, 0x8c, 0x8c, 
0x92, 0x92, 0x99, 0x99, 0xa0, 0xa0, 0xa7, 0xa7, 0xad, 0xad, 0xaf, 0xaf, 0xad, 0xad, 0xa6, 0xa6, 0x9c, 0x9c, 0x90, 0x90, 0x82, 0x82, 0x74, 0x74, 0x67, 0x67, 
0x5b, 0x5b, 0x53, 0x53, 0x4f, 0x4f, 0x4e, 0x4e, 0x50, 0x50, 0x54, 0x54, 0x5b, 0x5b, 0x63, 0x63, 0x6a, 0x6a, 0x6e, 0x6e, 0x6f, 0x6f, 0x6d, 0x6d, 0x6a, 0x6a, 
0x67, 0x67, 0x65, 0x65, 0x64, 0x64, 0x64, 0x64, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6d, 0x6d, 0x6b, 0x6b, 0x68, 0x68, 0x64, 0x64, 0x5f, 0x5f, 
0x5b, 0x5b, 0x58, 0x58, 0x58, 0x58, 0x5a, 0x5a, 0x61, 0x61, 0x6b, 0x6b, 0x77, 0x77, 0x85, 0x85, 0x95, 0x95, 0xa3, 0xa3, 0xaf, 0xaf, 0xb7, 0xb7, 0xb9, 0xb9, 
0xb7, 0xb7, 0xb1, 0xb1, 0xab, 0xab, 0xa4, 0xa4, 0x9d, 0x9d, 0x97, 0x97, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x94, 0x94, 0x95, 0x95, 0x97, 0x97, 0x98, 0x98, 
0x99, 0x99, 0x97, 0x97, 0x93, 0x93, 0x8c, 0x8c, 0x84, 0x84, 0x79, 0x79, 0x6d, 0x6d, 0x5f, 0x5f, 0x51, 0x51, 0x44, 0x44, 0x38, 0x38, 0x2e, 0x2e, 0x26, 0x26, 
0x23, 0x23, 0x23, 0x23, 0x27, 0x27, 0x2f, 0x2f, 0x3b, 0x3b, 0x4c, 0x4c, 0x60, 0x60, 0x75, 0x75, 0x89, 0x89, 0x9c, 0x9c, 0xad, 0xad, 0xba, 0xba, 0xc4, 0xc4, 
0xc9, 0xc9, 0xcc, 0xcc, 0xca, 0xca, 0xc5, 0xc5, 0xbc, 0xbc, 0xb0, 0xb0, 0xa2, 0xa2, 0x92, 0x92, 0x82, 0x82, 0x71, 0x71, 0x63, 0x63, 0x58, 0x58, 0x51, 0x51, 
0x4e, 0x4e, 0x4f, 0x4f, 0x55, 0x55, 0x5e, 0x5e, 0x6b, 0x6b, 0x79, 0x79, 0x86, 0x86, 0x91, 0x91, 0x9b, 0x9b, 0xa2, 0xa2, 0xa6, 0xa6, 0xa5, 0xa5, 0xa3, 0xa3, 
0x9e, 0x9e, 0x99, 0x99, 0x94, 0x94, 0x8e, 0x8e, 0x89, 0x89, 0x83, 0x83, 0x7d, 0x7d, 0x77, 0x77, 0x72, 0x72, 0x6d, 0x6d, 0x6a, 0x6a, 0x67, 0x67, 0x66, 0x66, 
0x66, 0x66, 0x67, 0x67, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x80, 0x80, 0x82, 0x82, 0x84, 0x84, 0x88, 0x88, 
0x8c, 0x8c, 0x91, 0x91, 0x97, 0x97, 0x9c, 0x9c, 0xa0, 0xa0, 0xa4, 0xa4, 0xa6, 0xa6, 0xa7, 0xa7, 0xa5, 0xa5, 0xa1, 0xa1, 0x9e, 0x9e, 0x9b, 0x9b, 0x9a, 0x9a, 
0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a, 0x9a, 0x95, 0x95, 0x8d, 0x8d, 0x83, 0x83, 0x78, 0x78, 0x6d, 0x6d, 0x62, 0x62, 0x58, 0x58, 
0x50, 0x50, 0x4b, 0x4b, 0x49, 0x49, 0x49, 0x49, 0x4b, 0x4b, 0x50, 0x50, 0x56, 0x56, 0x5f, 0x5f, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 0x7e, 0x7e, 0x82, 0x82, 
0x84, 0x84, 0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x62, 0x62, 0x65, 0x65, 0x6a, 0x6a, 0x71, 0x71, 
0x7a, 0x7a, 0x84, 0x84, 0x8d, 0x8d, 0x94, 0x94, 0x98, 0x98, 0x99, 0x99, 0x99, 0x99, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x95, 0x95, 0x96, 0x96, 
0x97, 0x97, 0x97, 0x97, 0x96, 0x96, 0x92, 0x92, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x7f, 0x7f, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x88, 0x88, 
0x8a, 0x8a, 0x8b, 0x8b, 0x89, 0x89, 0x84, 0x84, 0x7e, 0x7e, 0x76, 0x76, 0x6c, 0x6c, 0x61, 0x61, 0x59, 0x59, 0x53, 0x53, 0x51, 0x51, 0x52, 0x52, 0x57, 0x57, 
0x60, 0x60, 0x6b, 0x6b, 0x77, 0x77, 0x83, 0x83, 0x8e, 0x8e, 0x95, 0x95, 0x9a, 0x9a, 0x9e, 0x9e, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa8, 0xa8, 0xa7, 0xa7, 
0xa4, 0xa4, 0x9f, 0x9f, 0x9a, 0x9a, 0x93, 0x93, 0x8d, 0x8d, 0x87, 0x87, 0x83, 0x83, 0x82, 0x82, 0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 
0x8f, 0x8f, 0x8d, 0x8d, 0x88, 0x88, 0x82, 0x82, 0x7b, 0x7b, 0x73, 0x73, 0x6d, 0x6d, 0x68, 0x68, 0x64, 0x64, 0x62, 0x62, 0x61, 0x61, 0x61, 0x61, 0x62, 0x62, 
0x62, 0x62, 0x61, 0x61, 0x5c, 0x5c, 0x56, 0x56, 0x50, 0x50, 0x4b, 0x4b, 0x47, 0x47, 0x46, 0x46, 0x49, 0x49, 0x52, 0x52, 0x5f, 0x5f, 0x70, 0x70, 0x80, 0x80, 
0x8e, 0x8e, 0x96, 0x96, 0x9a, 0x9a, 0x9b, 0x9b, 0x98, 0x98, 0x93, 0x93, 0x8c, 0x8c, 0x87, 0x87, 0x82, 0x82, 0x80, 0x80, 0x7f, 0x7f, 0x80, 0x80, 0x83, 0x83, 
0x88, 0x88, 0x8e, 0x8e, 0x95, 0x95, 0x9c, 0x9c, 0xa3, 0xa3, 0xa9, 0xa9, 0xaf, 0xaf, 0xb2, 0xb2, 0xb2, 0xb2, 0xb0, 0xb0, 0xad, 0xad, 0xab, 0xab, 0xa8, 0xa8, 
0xa6, 0xa6, 0xa2, 0xa2, 0x9e, 0x9e, 0x97, 0x97, 0x90, 0x90, 0x88, 0x88, 0x82, 0x82, 0x7e, 0x7e, 0x7c, 0x7c, 0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 
0x79, 0x79, 0x76, 0x76, 0x70, 0x70, 0x68, 0x68, 0x61, 0x61, 0x5c, 0x5c, 0x59, 0x59, 0x58, 0x58, 0x57, 0x57, 0x57, 0x57, 0x55, 0x55, 0x52, 0x52, 0x50, 0x50, 
0x4e, 0x4e, 0x4e, 0x4e, 0x4f, 0x4f, 0x52, 0x52, 0x56, 0x56, 0x5b, 0x5b, 0x60, 0x60, 0x66, 0x66, 0x6b, 0x6b, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 0x7f, 0x7f, 
0x84, 0x84, 0x88, 0x88, 0x8c, 0x8c, 0x8e, 0x8e, 0x8f, 0x8f, 0x8f, 0x8f, 0x90, 0x90, 0x93, 0x93, 0x99, 0x99, 0xa1, 0xa1, 0xa8, 0xa8, 0xad, 0xad, 0xaf, 0xaf, 
0xae, 0xae, 0xab, 0xab, 0xa7, 0xa7, 0xa1, 0xa1, 0x9b, 0x9b, 0x96, 0x96, 0x92, 0x92, 0x90, 0x90, 0x8e, 0x8e, 0x8c, 0x8c, 0x88, 0x88, 0x82, 0x82, 0x7b, 0x7b, 
0x74, 0x74, 0x6f, 0x6f, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x74, 0x74, 0x77, 0x77, 0x7c, 0x7c, 0x80, 0x80, 
0x84, 0x84, 0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x83, 0x83, 0x80, 0x80, 0x7f, 0x7f, 0x81, 0x81, 0x85, 0x85, 0x8c, 0x8c, 0x93, 0x93, 0x97, 0x97, 
0x97, 0x97, 0x95, 0x95, 0x91, 0x91, 0x8d, 0x8d, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7b, 0x7b, 0x75, 0x75, 0x6f, 0x6f, 0x69, 0x69, 0x64, 0x64, 
0x61, 0x61, 0x60, 0x60, 0x63, 0x63, 0x69, 0x69, 0x71, 0x71, 0x7a, 0x7a, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x92, 0x92, 0x95, 0x95, 
0x98, 0x98, 0x98, 0x98, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x85, 0x85, 0x81, 0x81, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 
0x78, 0x78, 0x74, 0x74, 0x70, 0x70, 0x6d, 0x6d, 0x6c, 0x6c, 0x6f, 0x6f, 0x74, 0x74, 0x78, 0x78, 0x7a, 0x7a, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x71, 0x71, 
0x73, 0x73, 0x78, 0x78, 0x7f, 0x7f, 0x87, 0x87, 0x90, 0x90, 0x99, 0x99, 0xa0, 0xa0, 0xa5, 0xa5, 0xa6, 0xa6, 0xa5, 0xa5, 0xa2, 0xa2, 0x9e, 0x9e, 0x99, 0x99, 
0x93, 0x93, 0x8c, 0x8c, 0x82, 0x82, 0x77, 0x77, 0x6b, 0x6b, 0x5f, 0x5f, 0x57, 0x57, 0x52, 0x52, 0x4f, 0x4f, 0x4e, 0x4e, 0x4c, 0x4c, 0x48, 0x48, 0x44, 0x44, 
0x40, 0x40, 0x3e, 0x3e, 0x40, 0x40, 0x44, 0x44, 0x4b, 0x4b, 0x55, 0x55, 0x62, 0x62, 0x71, 0x71, 0x7f, 0x7f, 0x8c, 0x8c, 0x96, 0x96, 0x9f, 0x9f, 0xa7, 0xa7, 
0xaf, 0xaf, 0xb8, 0xb8, 0xc1, 0xc1, 0xc9, 0xc9, 0xcc, 0xcc, 0xcc, 0xcc, 0xc7, 0xc7, 0xc0, 0xc0, 0xb9, 0xb9, 0xb1, 0xb1, 0xaa, 0xaa, 0xa3, 0xa3, 0x9d, 0x9d, 
0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 0x88, 0x88, 0x83, 0x83, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 0x76, 0x76, 0x75, 0x75, 0x72, 0x72, 0x6e, 0x6e, 0x68, 0x68, 
0x61, 0x61, 0x5c, 0x5c, 0x59, 0x59, 0x5b, 0x5b, 0x60, 0x60, 0x66, 0x66, 0x6c, 0x6c, 0x70, 0x70, 0x73, 0x73, 0x75, 0x75, 0x76, 0x76, 0x76, 0x76, 0x75, 0x75, 
0x75, 0x75, 0x75, 0x75, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6c, 0x6c, 0x67, 0x67, 0x64, 0x64, 0x63, 0x63, 0x64, 0x64, 0x67, 0x67, 
0x6b, 0x6b, 0x71, 0x71, 0x78, 0x78, 0x81, 0x81, 0x8a, 0x8a, 0x95, 0x95, 0xa0, 0xa0, 0xaa, 0xaa, 0xb1, 0xb1, 0xb4, 0xb4, 0xb5, 0xb5, 0xb2, 0xb2, 0xac, 0xac, 
0xa5, 0xa5, 0x9c, 0x9c, 0x93, 0x93, 0x8b, 0x8b, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x70, 0x70, 0x6c, 0x6c, 0x68, 0x68, 0x68, 0x68, 0x6b, 0x6b, 
0x6f, 0x6f, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7c, 0x7c, 0x7b, 0x7b, 0x76, 0x76, 0x70, 0x70, 0x69, 0x69, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x5b, 0x5b, 
0x5d, 0x5d, 0x5f, 0x5f, 0x62, 0x62, 0x65, 0x65, 0x68, 0x68, 0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x70, 0x70, 0x71, 0x71, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 
0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x8b, 0x8b, 
0x95, 0x95, 0xa0, 0xa0, 0xab, 0xab, 0xb3, 0xb3, 0xb7, 0xb7, 0xb7, 0xb7, 0xb5, 0xb5, 0xaf, 0xaf, 0xa7, 0xa7, 0x9e, 0x9e, 0x95, 0x95, 0x8d, 0x8d, 0x86, 0x86, 
0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x66, 0x66, 0x67, 0x67, 0x68, 0x68, 0x6b, 0x6b, 0x6f, 0x6f, 
0x73, 0x73, 0x77, 0x77, 0x79, 0x79, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x76, 0x76, 0x71, 0x71, 0x6c, 0x6c, 0x6a, 0x6a, 0x6a, 0x6a, 0x6c, 0x6c, 0x71, 0x71, 
0x79, 0x79, 0x83, 0x83, 0x8f, 0x8f, 0x9a, 0x9a, 0xa2, 0xa2, 0xa8, 0xa8, 0xab, 0xab, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 0xa4, 0xa4, 0xa0, 0xa0, 0x9d, 0x9d, 
0x9a, 0x9a, 0x97, 0x97, 0x95, 0x95, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9a, 0x9a, 0x9a, 0x9a, 
0x97, 0x97, 0x92, 0x92, 0x89, 0x89, 0x7d, 0x7d, 0x6f, 0x6f, 0x61, 0x61, 0x53, 0x53, 0x46, 0x46, 0x3c, 0x3c, 0x34, 0x34, 0x30, 0x30, 0x30, 0x30, 0x33, 0x33, 
0x39, 0x39, 0x40, 0x40, 0x4a, 0x4a, 0x54, 0x54, 0x5e, 0x5e, 0x67, 0x67, 0x6f, 0x6f, 0x75, 0x75, 0x7b, 0x7b, 0x80, 0x80, 0x84, 0x84, 0x88, 0x88, 0x8a, 0x8a, 
0x8b, 0x8b, 0x89, 0x89, 0x85, 0x85, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x73, 0x73, 0x73, 0x73, 0x77, 0x77, 0x80, 0x80, 0x8c, 0x8c, 0x99, 0x99, 0xa4, 0xa4, 
0xae, 0xae, 0xb5, 0xb5, 0xb8, 0xb8, 0xb8, 0xb8, 0xb5, 0xb5, 0xb0, 0xb0, 0xa9, 0xa9, 0xa2, 0xa2, 0x9b, 0x9b, 0x95, 0x95, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 
0x86, 0x86, 0x84, 0x84, 0x82, 0x82, 0x7f, 0x7f, 0x7c, 0x7c, 0x79, 0x79, 0x76, 0x76, 0x72, 0x72, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 0x72, 0x72, 0x77, 0x77, 
0x7b, 0x7b, 0x7f, 0x7f, 0x7f, 0x7f, 0x7e, 0x7e, 0x7c, 0x7c, 0x79, 0x79, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 
0x75, 0x75, 0x74, 0x74, 0x71, 0x71, 0x6e, 0x6e, 0x6d, 0x6d, 0x6d, 0x6d, 0x70, 0x70, 0x74, 0x74, 0x78, 0x78, 0x7d, 0x7d, 0x81, 0x81, 0x86, 0x86, 0x8c, 0x8c, 
0x91, 0x91, 0x97, 0x97, 0x9b, 0x9b, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 0x9a, 0x9a, 0x94, 0x94, 0x8c, 0x8c, 0x83, 0x83, 0x79, 0x79, 0x6f, 0x6f, 0x66, 0x66, 
0x5e, 0x5e, 0x57, 0x57, 0x50, 0x50, 0x4a, 0x4a, 0x45, 0x45, 0x42, 0x42, 0x44, 0x44, 0x49, 0x49, 0x50, 0x50, 0x58, 0x58, 0x5e, 0x5e, 0x61, 0x61, 0x61, 0x61, 
0x60, 0x60, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5f, 0x5f, 0x65, 0x65, 0x6f, 0x6f, 0x7b, 0x7b, 0x88, 0x88, 0x93, 0x93, 0x9c, 0x9c, 0xa2, 0xa2, 0xa7, 0xa7, 
0xaa, 0xaa, 0xab, 0xab, 0xac, 0xac, 0xaa, 0xaa, 0xa8, 0xa8, 0xa4, 0xa4, 0x9f, 0x9f, 0x9b, 0x9b, 0x9b, 0x9b, 0x9e, 0x9e, 0xa4, 0xa4, 0xab, 0xab, 0xb1, 0xb1, 
0xb7, 0xb7, 0xba, 0xba, 0xbb, 0xbb, 0xb8, 0xb8, 0xb2, 0xb2, 0xaa, 0xaa, 0xa2, 0xa2, 0x9b, 0x9b, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x87, 0x87, 
0x7f, 0x7f, 0x77, 0x77, 0x6f, 0x6f, 0x67, 0x67, 0x60, 0x60, 0x58, 0x58, 0x50, 0x50, 0x48, 0x48, 0x40, 0x40, 0x39, 0x39, 0x35, 0x35, 0x33, 0x33, 0x33, 0x33, 
0x37, 0x37, 0x3d, 0x3d, 0x46, 0x46, 0x50, 0x50, 0x5a, 0x5a, 0x64, 0x64, 0x6b, 0x6b, 0x72, 0x72, 0x78, 0x78, 0x7e, 0x7e, 0x84, 0x84, 0x8a, 0x8a, 0x8f, 0x8f, 
0x91, 0x91, 0x91, 0x91, 0x8f, 0x8f, 0x8d, 0x8d, 0x8d, 0x8d, 0x8f, 0x8f, 0x94, 0x94, 0x9a, 0x9a, 0xa2, 0xa2, 0xaa, 0xaa, 0xb3, 0xb3, 0xba, 0xba, 0xbe, 0xbe, 
0xbf, 0xbf, 0xbe, 0xbe, 0xbb, 0xbb, 0xb8, 0xb8, 0xb5, 0xb5, 0xb2, 0xb2, 0xae, 0xae, 0xab, 0xab, 0xa6, 0xa6, 0xa1, 0xa1, 0x9b, 0x9b, 0x94, 0x94, 0x8c, 0x8c, 
0x83, 0x83, 0x7a, 0x7a, 0x70, 0x70, 0x66, 0x66, 0x5b, 0x5b, 0x53, 0x53, 0x4d, 0x4d, 0x4b, 0x4b, 0x4c, 0x4c, 0x4f, 0x4f, 0x53, 0x53, 0x57, 0x57, 0x5b, 0x5b, 
0x5e, 0x5e, 0x5e, 0x5e, 0x5c, 0x5c, 0x57, 0x57, 0x53, 0x53, 0x50, 0x50, 0x4f, 0x4f, 0x51, 0x51, 0x55, 0x55, 0x5c, 0x5c, 0x66, 0x66, 0x72, 0x72, 0x7e, 0x7e, 
0x8a, 0x8a, 0x94, 0x94, 0x9c, 0x9c, 0xa2, 0xa2, 0xa4, 0xa4, 0xa3, 0xa3, 0xa0, 0xa0, 0x9b, 0x9b, 0x96, 0x96, 0x91, 0x91, 0x8b, 0x8b, 0x87, 0x87, 0x82, 0x82, 
0x7e, 0x7e, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x73, 0x73, 0x74, 0x74, 0x76, 0x76, 0x79, 0x79, 0x7e, 0x7e, 0x84, 0x84, 0x8b, 0x8b, 0x91, 0x91, 0x96, 0x96, 
0x9a, 0x9a, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x99, 0x99, 0x92, 0x92, 0x89, 0x89, 0x7e, 0x7e, 0x72, 0x72, 0x67, 0x67, 0x5c, 0x5c, 0x52, 0x52, 
0x4b, 0x4b, 0x45, 0x45, 0x42, 0x42, 0x42, 0x42, 0x45, 0x45, 0x4b, 0x4b, 0x55, 0x55, 0x60, 0x60, 0x6d, 0x6d, 0x79, 0x79, 0x83, 0x83, 0x8c, 0x8c, 0x92, 0x92, 
0x96, 0x96, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x95, 0x95, 0x99, 0x99, 0x9f, 0x9f, 0xa5, 0xa5, 0xaa, 0xaa, 0xae, 0xae, 0xb1, 0xb1, 0xb3, 0xb3, 
0xb3, 0xb3, 0xb2, 0xb2, 0xb0, 0xb0, 0xad, 0xad, 0xa8, 0xa8, 0xa3, 0xa3, 0x9e, 0x9e, 0x99, 0x99, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x92, 0x92, 0x93, 0x93, 
0x93, 0x93, 0x92, 0x92, 0x8f, 0x8f, 0x88, 0x88, 0x7e, 0x7e, 0x74, 0x74, 0x6a, 0x6a, 0x62, 0x62, 0x5a, 0x5a, 0x54, 0x54, 0x4f, 0x4f, 0x4c, 0x4c, 0x49, 0x49, 
0x46, 0x46, 0x45, 0x45, 0x45, 0x45, 0x46, 0x46, 0x48, 0x48, 0x4a, 0x4a, 0x4c, 0x4c, 0x4e, 0x4e, 0x51, 0x51, 0x54, 0x54, 0x57, 0x57, 0x5b, 0x5b, 0x5f, 0x5f, 
0x65, 0x65, 0x6d, 0x6d, 0x75, 0x75, 0x7d, 0x7d, 0x83, 0x83, 0x87, 0x87, 0x89, 0x89, 0x8a, 0x8a, 0x8b, 0x8b, 0x8e, 0x8e, 0x91, 0x91, 0x94, 0x94, 0x98, 0x98, 
0x9c, 0x9c, 0x9f, 0x9f, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa0, 0xa0, 0x9d, 0x9d, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x94, 0x94, 0x92, 0x92, 0x90, 0x90, 
0x8e, 0x8e, 0x8d, 0x8d, 0x8e, 0x8e, 0x90, 0x90, 0x94, 0x94, 0x96, 0x96, 0x95, 0x95, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x78, 0x78, 0x6d, 0x6d, 0x63, 0x63, 
0x5b, 0x5b, 0x55, 0x55, 0x52, 0x52, 0x52, 0x52, 0x52, 0x52, 0x53, 0x53, 0x54, 0x54, 0x55, 0x55, 0x56, 0x56, 0x58, 0x58, 0x5d, 0x5d, 0x62, 0x62, 0x67, 0x67, 
0x6c, 0x6c, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x87, 0x87, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 
0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x96, 0x96, 0x93, 0x93, 0x8e, 0x8e, 0x8a, 0x8a, 0x87, 0x87, 0x86, 0x86, 
0x86, 0x86, 0x86, 0x86, 0x85, 0x85, 0x82, 0x82, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x71, 0x71, 0x6e, 0x6e, 0x6c, 0x6c, 0x6d, 0x6d, 0x71, 0x71, 0x76, 0x76, 
0x7b, 0x7b, 0x7f, 0x7f, 0x81, 0x81, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x7e, 0x7b, 0x7b, 0x77, 0x77, 0x71, 0x71, 0x69, 0x69, 0x5e, 0x5e, 0x52, 0x52, 0x47, 0x47, 
0x3f, 0x3f, 0x3b, 0x3b, 0x3c, 0x3c, 0x41, 0x41, 0x4b, 0x4b, 0x58, 0x58, 0x69, 0x69, 0x79, 0x79, 0x89, 0x89, 0x96, 0x96, 0xa0, 0xa0, 0xa8, 0xa8, 0xad, 0xad, 
0xb0, 0xb0, 0xb0, 0xb0, 0xad, 0xad, 0xa9, 0xa9, 0xa3, 0xa3, 0x9c, 0x9c, 0x96, 0x96, 0x92, 0x92, 0x90, 0x90, 0x91, 0x91, 0x91, 0x91, 0x90, 0x90, 0x8d, 0x8d, 
0x88, 0x88, 0x81, 0x81, 0x7b, 0x7b, 0x74, 0x74, 0x6f, 0x6f, 0x6a, 0x6a, 0x66, 0x66, 0x64, 0x64, 0x62, 0x62, 0x60, 0x60, 0x5d, 0x5d, 0x58, 0x58, 0x52, 0x52, 
0x4d, 0x4d, 0x4a, 0x4a, 0x4a, 0x4a, 0x4e, 0x4e, 0x53, 0x53, 0x59, 0x59, 0x60, 0x60, 0x67, 0x67, 0x6e, 0x6e, 0x75, 0x75, 0x7c, 0x7c, 0x83, 0x83, 0x88, 0x88, 
0x8c, 0x8c, 0x8f, 0x8f, 0x90, 0x90, 0x91, 0x91, 0x93, 0x93, 0x97, 0x97, 0x9d, 0x9d, 0xa4, 0xa4, 0xac, 0xac, 0xb5, 0xb5, 0xbf, 0xbf, 0xc7, 0xc7, 0xcb, 0xcb, 
0xcc, 0xcc, 0xcb, 0xcb, 0xc7, 0xc7, 0xc2, 0xc2, 0xbd, 0xbd, 0xb8, 0xb8, 0xb2, 0xb2, 0xa9, 0xa9, 0x9f, 0x9f, 0x93, 0x93, 0x86, 0x86, 0x7b, 0x7b, 0x72, 0x72, 
0x6a, 0x6a, 0x65, 0x65, 0x63, 0x63, 0x64, 0x64, 0x66, 0x66, 0x69, 0x69, 0x6b, 0x6b, 0x6d, 0x6d, 0x6e, 0x6e, 0x6f, 0x6f, 0x6f, 0x6f, 0x6e, 0x6e, 0x6e, 0x6e, 
0x6c, 0x6c, 0x6a, 0x6a, 0x68, 0x68, 0x65, 0x65, 0x63, 0x63, 0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x72, 0x72, 0x76, 0x76, 0x79, 0x79, 0x7b, 0x7b, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7d, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x81, 0x81, 0x84, 0x84, 0x87, 0x87, 0x8b, 0x8b, 0x8f, 0x8f, 0x95, 0x95, 0x9b, 0x9b, 
0xa3, 0xa3, 0xab, 0xab, 0xb2, 0xb2, 0xb7, 0xb7, 0xb9, 0xb9, 0xb7, 0xb7, 0xb4, 0xb4, 0xae, 0xae, 0xa6, 0xa6, 0x9d, 0x9d, 0x93, 0x93, 0x89, 0x89, 0x80, 0x80, 
0x76, 0x76, 0x6e, 0x6e, 0x65, 0x65, 0x5e, 0x5e, 0x58, 0x58, 0x53, 0x53, 0x51, 0x51, 0x52, 0x52, 0x55, 0x55, 0x5b, 0x5b, 0x62, 0x62, 0x6c, 0x6c, 0x75, 0x75, 
0x7e, 0x7e, 0x85, 0x85, 0x89, 0x89, 0x8b, 0x8b, 0x8a, 0x8a, 0x87, 0x87, 0x83, 0x83, 0x7f, 0x7f, 0x7a, 0x7a, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x79, 0x79, 
0x7b, 0x7b, 0x7e, 0x7e, 0x80, 0x80, 0x82, 0x82, 0x82, 0x82, 0x80, 0x80, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 0x5b, 0x5b, 0x56, 0x56, 
0x54, 0x54, 0x54, 0x54, 0x56, 0x56, 0x5b, 0x5b, 0x61, 0x61, 0x69, 0x69, 0x72, 0x72, 0x7c, 0x7c, 0x86, 0x86, 0x91, 0x91, 0x9a, 0x9a, 0xa2, 0xa2, 0xa9, 0xa9, 
0xad, 0xad, 0xae, 0xae, 0xad, 0xad, 0xa7, 0xa7, 0xa0, 0xa0, 0x97, 0x97, 0x8f, 0x8f, 0x89, 0x89, 0x84, 0x84, 0x80, 0x80, 0x7e, 0x7e, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x7a, 0x7a, 0x7b, 0x7b, 0x7d, 0x7d, 0x7e, 0x7e, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7f, 0x7f, 0x7d, 0x7d, 0x7c, 0x7c, 0x7b, 0x7b, 
0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7a, 0x7a, 0x77, 0x77, 0x73, 0x73, 0x6f, 0x6f, 0x6e, 0x6e, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 
0x79, 0x79, 0x78, 0x78, 0x76, 0x76, 0x71, 0x71, 0x6a, 0x6a, 0x62, 0x62, 0x5b, 0x5b, 0x58, 0x58, 0x58, 0x58, 0x5c, 0x5c, 0x62, 0x62, 0x6b, 0x6b, 0x76, 0x76, 
0x81, 0x81, 0x8c, 0x8c, 0x94, 0x94, 0x9b, 0x9b, 0x9f, 0x9f, 0xa0, 0xa0, 0x9d, 0x9d, 0x97, 0x97, 0x8e, 0x8e, 0x85, 0x85, 0x7d, 0x7d, 0x77, 0x77, 0x74, 0x74, 
0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x72, 0x73, 0x73, 0x76, 0x76, 0x7b, 0x7b, 0x82, 0x82, 0x8a, 0x8a, 
0x91, 0x91, 0x96, 0x96, 0x99, 0x99, 0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0x9f, 0x9f, 0x9d, 0x9d, 0x9a, 0x9a, 0x97, 0x97, 0x92, 0x92, 0x8d, 0x8d, 
0x87, 0x87, 0x82, 0x82, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 0x75, 0x75, 0x72, 0x72, 0x6f, 0x6f, 0x6a, 0x6a, 0x65, 0x65, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 
0x5b, 0x5b, 0x5d, 0x5d, 0x5f, 0x5f, 0x60, 0x60, 0x63, 0x63, 0x65, 0x65, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x7b, 0x7b, 0x83, 0x83, 0x8d, 0x8d, 0x98, 0x98, 
0xa1, 0xa1, 0xa8, 0xa8, 0xad, 0xad, 0xae, 0xae, 0xad, 0xad, 0xa9, 0xa9, 0xa3, 0xa3, 0x9b, 0x9b, 0x91, 0x91, 0x86, 0x86, 0x7b, 0x7b, 0x6f, 0x6f, 0x66, 0x66, 
0x60, 0x60, 0x5e, 0x5e, 0x60, 0x60, 0x65, 0x65, 0x6c, 0x6c, 0x73, 0x73, 0x7b, 0x7b, 0x81, 0x81, 0x86, 0x86, 0x89, 0x89, 0x8b, 0x8b, 0x8d, 0x8d, 0x90, 0x90, 
0x94, 0x94, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9a, 0x9a, 0x95, 0x95, 0x90, 0x90, 0x8a, 0x8a, 0x87, 0x87, 0x84, 0x84, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 
0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x66, 0x66, 0x5c, 0x5c, 0x54, 0x54, 0x4e, 0x4e, 0x4a, 0x4a, 0x4a, 0x4a, 0x4d, 0x4d, 
0x54, 0x54, 0x60, 0x60, 0x72, 0x72, 0x86, 0x86, 0x9b, 0x9b, 0xac, 0xac, 0xba, 0xba, 0xc3, 0xc3, 0xc7, 0xc7, 0xc7, 0xc7, 0xc4, 0xc4, 0xbd, 0xbd, 0xb6, 0xb6, 
0xae, 0xae, 0xa8, 0xa8, 0xa1, 0xa1, 0x9b, 0x9b, 0x93, 0x93, 0x8a, 0x8a, 0x80, 0x80, 0x76, 0x76, 0x6f, 0x6f, 0x6b, 0x6b, 0x69, 0x69, 0x68, 0x68, 0x69, 0x69, 
0x6b, 0x6b, 0x6d, 0x6d, 0x6f, 0x6f, 0x72, 0x72, 0x75, 0x75, 0x78, 0x78, 0x7a, 0x7a, 0x7a, 0x7a, 0x79, 0x79, 0x77, 0x77, 0x73, 0x73, 0x70, 0x70, 0x6d, 0x6d, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6f, 0x6f, 0x76, 0x76, 0x80, 0x80, 0x89, 0x89, 0x90, 0x90, 0x93, 0x93, 0x92, 0x92, 0x8f, 0x8f, 0x89, 0x89, 0x82, 0x82, 0x7b, 0x7b, 
0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6e, 0x6e, 0x70, 0x70, 0x75, 0x75, 0x7c, 0x7c, 0x85, 0x85, 0x8e, 0x8e, 0x95, 0x95, 0x9b, 0x9b, 0x9f, 0x9f, 0xa1, 0xa1, 
0x9f, 0x9f, 0x9b, 0x9b, 0x95, 0x95, 0x8f, 0x8f, 0x8b, 0x8b, 0x89, 0x89, 0x8a, 0x8a, 0x8c, 0x8c, 0x8f, 0x8f, 0x92, 0x92, 0x94, 0x94, 0x96, 0x96, 0x97, 0x97, 
0x98, 0x98, 0x97, 0x97, 0x95, 0x95, 0x92, 0x92, 0x8d, 0x8d, 0x87, 0x87, 0x80, 0x80, 0x78, 0x78, 0x6f, 0x6f, 0x66, 0x66, 0x5e, 0x5e, 0x57, 0x57, 0x52, 0x52, 
0x4f, 0x4f, 0x4d, 0x4d, 0x4d, 0x4d, 0x4e, 0x4e, 0x51, 0x51, 0x55, 0x55, 0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 0x6b, 0x6b, 0x70, 0x70, 0x75, 0x75, 0x7a, 0x7a, 
0x7e, 0x7e, 0x82, 0x82, 0x86, 0x86, 0x89, 0x89, 0x8c, 0x8c, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8e, 0x8e, 
0x91, 0x91, 0x95, 0x95, 0x9b, 0x9b, 0x9f, 0x9f, 0xa2, 0xa2, 0xa3, 0xa3, 0xa2, 0xa2, 0x9f, 0x9f, 0x99, 0x99, 0x91, 0x91, 0x88, 0x88, 0x7e, 0x7e, 0x74, 0x74, 
0x69, 0x69, 0x60, 0x60, 0x58, 0x58, 0x53, 0x53, 0x4f, 0x4f, 0x4e, 0x4e, 0x4f, 0x4f, 0x53, 0x53, 0x58, 0x58, 0x5f, 0x5f, 0x67, 0x67, 0x70, 0x70, 0x77, 0x77, 
0x7f, 0x7f, 0x84, 0x84, 0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7b, 0x7b, 0x76, 0x76, 0x72, 0x72, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 
0x75, 0x75, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x90, 0x90, 0x98, 0x98, 0x9f, 0x9f, 0xa5, 0xa5, 0xaa, 0xaa, 0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xa7, 0xa7, 
0xa0, 0xa0, 0x98, 0x98, 0x8f, 0x8f, 0x85, 0x85, 0x7b, 0x7b, 0x72, 0x72, 0x69, 0x69, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x5b, 0x5b, 0x5c, 0x5c, 0x5e, 0x5e, 
0x60, 0x60, 0x62, 0x62, 0x62, 0x62, 0x61, 0x61, 0x5f, 0x5f, 0x5b, 0x5b, 0x56, 0x56, 0x51, 0x51, 0x4c, 0x4c, 0x48, 0x48, 0x45, 0x45, 0x45, 0x45, 0x46, 0x46, 
0x4a, 0x4a, 0x50, 0x50, 0x58, 0x58, 0x61, 0x61, 0x6b, 0x6b, 0x76, 0x76, 0x81, 0x81, 0x8c, 0x8c, 0x97, 0x97, 0xa2, 0xa2, 0xac, 0xac, 0xb7, 0xb7, 0xc2, 0xc2, 
0xca, 0xca, 0xcf, 0xcf, 0xd1, 0xd1, 0xce, 0xce, 0xc9, 0xc9, 0xc1, 0xc1, 0xb7, 0xb7, 0xac, 0xac, 0xa1, 0xa1, 0x99, 0x99, 0x95, 0x95, 0x94, 0x94, 0x96, 0x96, 
0x9a, 0x9a, 0xa0, 0xa0, 0xa7, 0xa7, 0xad, 0xad, 0xb0, 0xb0, 0xb1, 0xb1, 0xae, 0xae, 0xa9, 0xa9, 0xa1, 0xa1, 0x97, 0x97, 0x8c, 0x8c, 0x82, 0x82, 0x79, 0x79, 
0x74, 0x74, 0x70, 0x70, 0x6e, 0x6e, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 0x6a, 0x6a, 0x69, 0x69, 0x69, 0x69, 0x69, 0x69, 0x68, 0x68, 0x66, 0x66, 0x63, 0x63, 
0x5f, 0x5f, 0x59, 0x59, 0x53, 0x53, 0x4c, 0x4c, 0x45, 0x45, 0x41, 0x41, 0x42, 0x42, 0x47, 0x47, 0x50, 0x50, 0x5d, 0x5d, 0x6c, 0x6c, 0x7d, 0x7d, 0x8e, 0x8e, 
0x9e, 0x9e, 0xad, 0xad, 0xb9, 0xb9, 0xc2, 0xc2, 0xc9, 0xc9, 0xcb, 0xcb, 0xca, 0xca, 0xc7, 0xc7, 0xc2, 0xc2, 0xbc, 0xbc, 0xb7, 0xb7, 0xb1, 0xb1, 0xac, 0xac, 
0xa6, 0xa6, 0x9f, 0x9f, 0x97, 0x97, 0x8d, 0x8d, 0x83, 0x83, 0x76, 0x76, 0x6a, 0x6a, 0x5f, 0x5f, 0x58, 0x58, 0x56, 0x56, 0x58, 0x58, 0x5c, 0x5c, 0x62, 0x62, 
0x69, 0x69, 0x70, 0x70, 0x76, 0x76, 0x7a, 0x7a, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x83, 0x83, 0x84, 0x84, 0x85, 0x85, 0x87, 0x87, 
0x88, 0x88, 0x88, 0x88, 0x87, 0x87, 0x84, 0x84, 0x80, 0x80, 0x7a, 0x7a, 0x74, 0x74, 0x6d, 0x6d, 0x66, 0x66, 0x61, 0x61, 0x60, 0x60, 0x63, 0x63, 0x69, 0x69, 
0x70, 0x70, 0x78, 0x78, 0x80, 0x80, 0x87, 0x87, 0x8e, 0x8e, 0x93, 0x93, 0x96, 0x96, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9e, 0x9e, 0x9f, 0x9f, 0x9e, 0x9e, 
0x9b, 0x9b, 0x97, 0x97, 0x91, 0x91, 0x8a, 0x8a, 0x82, 0x82, 0x7a, 0x7a, 0x71, 0x71, 0x68, 0x68, 0x60, 0x60, 0x59, 0x59, 0x52, 0x52, 0x4b, 0x4b, 0x45, 0x45, 
0x40, 0x40, 0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x3a, 0x3a, 0x3e, 0x3e, 0x45, 0x45, 0x4f, 0x4f, 0x5c, 0x5c, 0x6a, 0x6a, 0x78, 0x78, 0x85, 0x85, 0x8f, 0x8f, 
0x96, 0x96, 0x9a, 0x9a, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x9b, 0x9b, 0x99, 0x99, 0x98, 0x98, 0x98, 0x98, 0x97, 0x97, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 
0x91, 0x91, 0x8e, 0x8e, 0x8b, 0x8b, 0x87, 0x87, 0x84, 0x84, 0x81, 0x81, 0x7f, 0x7f, 0x7f, 0x7f, 0x80, 0x80, 0x84, 0x84, 0x8a, 0x8a, 0x93, 0x93, 0x9b, 0x9b, 
0xa0, 0xa0, 0xa3, 0xa3, 0xa4, 0xa4, 0xa3, 0xa3, 0xa1, 0xa1, 0x9e, 0x9e, 0x9c, 0x9c, 0x9b, 0x9b, 0x9c, 0x9c, 0x9e, 0x9e, 0xa2, 0xa2, 0xa4, 0xa4, 0xa5, 0xa5, 
0xa1, 0xa1, 0x9c, 0x9c, 0x93, 0x93, 0x89, 0x89, 0x7e, 0x7e, 0x72, 0x72, 0x66, 0x66, 0x5a, 0x5a, 0x50, 0x50, 0x47, 0x47, 0x41, 0x41, 0x3f, 0x3f, 0x3f, 0x3f, 
0x43, 0x43, 0x4a, 0x4a, 0x51, 0x51, 0x5a, 0x5a, 0x63, 0x63, 0x6e, 0x6e, 0x79, 0x79, 0x84, 0x84, 0x90, 0x90, 0x9c, 0x9c, 0xa8, 0xa8, 0xb2, 0xb2, 0xbc, 0xbc, 
0xc2, 0xc2, 0xc4, 0xc4, 0xc2, 0xc2, 0xbc, 0xbc, 0xb4, 0xb4, 0xad, 0xad, 0xa7, 0xa7, 0xa2, 0xa2, 0x9e, 0x9e, 0x9b, 0x9b, 0x97, 0x97, 0x93, 0x93, 0x8e, 0x8e, 
0x87, 0x87, 0x80, 0x80, 0x79, 0x79, 0x71, 0x71, 0x6b, 0x6b, 0x66, 0x66, 0x61, 0x61, 0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4f, 0x4f, 0x4b, 0x4b, 0x49, 0x49, 
0x4a, 0x4a, 0x4e, 0x4e, 0x53, 0x53, 0x5b, 0x5b, 0x64, 0x64, 0x6d, 0x6d, 0x75, 0x75, 0x7a, 0x7a, 0x7d, 0x7d, 0x7e, 0x7e, 0x7d, 0x7d, 0x7a, 0x7a, 0x77, 0x77, 
0x73, 0x73, 0x71, 0x71, 0x70, 0x70, 0x72, 0x72, 0x76, 0x76, 0x7c, 0x7c, 0x83, 0x83, 0x8d, 0x8d, 0x97, 0x97, 0xa0, 0xa0, 0xa5, 0xa5, 0xa7, 0xa7, 0xa5, 0xa5, 
0xa2, 0xa2, 0x9e, 0x9e, 0x9b, 0x9b, 0x98, 0x98, 0x96, 0x96, 0x96, 0x96, 0x98, 0x98, 0x9b, 0x9b, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c, 0x9c, 0x98, 0x98, 0x93, 0x93, 
0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 0x81, 0x81, 0x7d, 0x7d, 0x7a, 0x7a, 0x78, 0x78, 0x78, 0x78, 0x7a, 0x7a, 0x7e, 0x7e, 0x83, 0x83, 0x89, 0x89, 0x8e, 0x8e, 
0x92, 0x92, 0x94, 0x94, 0x93, 0x93, 0x90, 0x90, 0x89, 0x89, 0x80, 0x80, 0x77, 0x77, 0x6e, 0x6e, 0x67, 0x67, 0x62, 0x62, 0x5e, 0x5e, 0x5b, 0x5b, 0x59, 0x59, 
0x57, 0x57, 0x57, 0x57, 0x59, 0x59, 0x5d, 0x5d, 0x63, 0x63, 0x6a, 0x6a, 0x70, 0x70, 0x75, 0x75, 0x79, 0x79, 0x7c, 0x7c, 0x7d, 0x7d, 0x7d, 0x7d, 0x7b, 0x7b, 
0x79, 0x79, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x81, 0x81, 0x88, 0x88, 0x90, 0x90, 0x97, 0x97, 
0x9c, 0x9c, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x99, 0x99, 0x97, 0x97, 0x95, 0x95, 0x94, 0x94, 0x92, 0x92, 0x91, 0x91, 0x8f, 0x8f, 0x8c, 0x8c, 0x87, 0x87, 
0x80, 0x80, 0x78, 0x78, 0x70, 0x70, 0x6a, 0x6a, 0x64, 0x64, 0x60, 0x60, 0x5d, 0x5d, 0x5b, 0x5b, 0x59, 0x59, 0x57, 0x57, 0x57, 0x57, 0x58, 0x58, 0x5b, 0x5b, 
0x60, 0x60, 0x66, 0x66, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x74, 0x74, 0x78, 0x78, 0x7c, 0x7c, 0x82, 0x82, 0x88, 0x88, 0x90, 0x90, 0x98, 0x98, 0xa1, 0xa1, 
0xa8, 0xa8, 0xad, 0xad, 0xaf, 0xaf, 0xaf, 0xaf, 0xad, 0xad, 0xaa, 0xaa, 0xa6, 0xa6, 0xa2, 0xa2, 0x9c, 0x9c, 0x96, 0x96, 0x8e, 0x8e, 0x85, 0x85, 0x7d, 0x7d, 
0x77, 0x77, 0x74, 0x74, 0x73, 0x73, 0x75, 0x75, 0x78, 0x78, 0x7b, 0x7b, 0x7f, 0x7f, 0x81, 0x81, 0x80, 0x80, 0x7d, 0x7d, 0x78, 0x78, 0x72, 0x72, 0x6d, 0x6d, 
0x68, 0x68, 0x66, 0x66, 0x66, 0x66, 0x68, 0x68, 0x6d, 0x6d, 0x74, 0x74, 0x7d, 0x7d, 0x85, 0x85, 0x8e, 0x8e, 0x96, 0x96, 0x9c, 0x9c, 0xa0, 0xa0, 0xa0, 0xa0, 
0x9d, 0x9d, 0x9a, 0x9a, 0x96, 0x96, 0x93, 0x93, 0x90, 0x90, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x86, 0x86, 0x82, 0x82, 0x7f, 0x7f, 0x7b, 0x7b, 0x78, 0x78, 
0x74, 0x74, 0x72, 0x72, 0x71, 0x71, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x71, 0x71, 0x71, 0x71, 0x72, 0x72, 0x74, 0x74, 0x76, 0x76, 0x78, 0x78, 
0x79, 0x79, 0x7a, 0x7a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7c, 0x7c, 0x7d, 0x7d, 0x7f, 0x7f, 0x82, 0x82, 0x86, 0x86, 0x8a, 0x8a, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 
0x9a, 0x9a, 0x9c, 0x9c, 0x9d, 0x9d, 0x9a, 0x9a, 0x95, 0x95, 0x8d, 0x8d, 0x84, 0x84, 0x7a, 0x7a, 0x71, 0x71, 0x68, 0x68, 0x62, 0x62, 0x5f, 0x5f, 0x61, 0x61, 
0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 0x7c, 0x7c, 0x83, 0x83, 0x89, 0x89, 0x8c, 0x8c, 0x8e, 0x8e, 0x8d, 0x8d, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 0x80, 0x80, 
0x7d, 0x7d, 0x7d, 0x7d, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x98, 0x98, 0x9b, 0x9b, 0x9c, 0x9c, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 
0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95, 0x95, 0x93, 0x93, 0x8d, 0x8d, 0x86, 0x86, 0x7c, 0x7c, 0x6e, 0x6e, 0x5e, 0x5e, 0x4e, 0x4e, 0x3e, 0x3e, 0x31, 0x31, 
0x29, 0x29, 0x25, 0x25, 0x25, 0x25, 0x2a, 0x2a, 0x33, 0x33, 0x3f, 0x3f, 0x4c, 0x4c, 0x59, 0x59, 0x65, 0x65, 0x70, 0x70, 0x7b, 0x7b, 0x86, 0x86, 0x91, 0x91, 
0x9c, 0x9c, 0xa6, 0xa6, 0xaf, 0xaf, 0xb7, 0xb7, 0xbd, 0xbd, 0xc0, 0xc0, 0xc0, 0xc0, 0xbd, 0xbd, 0xb8, 0xb8, 0xb3, 0xb3, 0xaf, 0xaf, 0xad, 0xad, 0xac, 0xac, 
0xac, 0xac, 0xac, 0xac, 0xab, 0xab, 0xaa, 0xaa, 0xa7, 0xa7, 0xa1, 0xa1, 0x9a, 0x9a, 0x91, 0x91, 0x87, 0x87, 0x7c, 0x7c, 0x70, 0x70, 0x64, 0x64, 0x59, 0x59, 
0x50, 0x50, 0x49, 0x49, 0x43, 0x43, 0x40, 0x40, 0x3e, 0x3e, 0x3f, 0x3f, 0x41, 0x41, 0x44, 0x44, 0x4a, 0x4a, 0x51, 0x51, 0x5a, 0x5a, 0x62, 0x62, 0x6a, 0x6a, 
0x70, 0x70, 0x75, 0x75, 0x76, 0x76, 0x74, 0x74, 0x6d, 0x6d, 0x63, 0x63, 0x59, 0x59, 0x52, 0x52, 0x4e, 0x4e, 0x4e, 0x4e, 0x51, 0x51, 0x58, 0x58, 0x62, 0x62, 
0x6e, 0x6e, 0x7a, 0x7a, 0x87, 0x87, 0x92, 0x92, 0x9c, 0x9c, 0xa6, 0xa6, 0xae, 0xae, 0xb6, 0xb6, 0xbd, 0xbd, 0xc1, 0xc1, 0xc3, 0xc3, 0xc2, 0xc2, 0xbe, 0xbe, 
0xb8, 0xb8, 0xb1, 0xb1, 0xaa, 0xaa, 0xa2, 0xa2, 0x99, 0x99, 0x91, 0x91, 0x88, 0x88, 0x81, 0x81, 0x7a, 0x7a, 0x76, 0x76, 0x74, 0x74, 0x74, 0x74, 0x76, 0x76, 
0x78, 0x78, 0x7a, 0x7a, 0x7c, 0x7c, 0x7c, 0x7c, 0x7a, 0x7a, 0x75, 0x75, 0x6e, 0x6e, 0x67, 0x67, 0x61, 0x61, 0x5c, 0x5c, 0x5a, 0x5a, 0x59, 0x59, 0x5b, 0x5b, 
0x5e, 0x5e, 0x64, 0x64, 0x6b, 0x6b, 0x74, 0x74, 0x7d, 0x7d, 0x86, 0x86, 0x8d, 0x8d, 0x93, 0x93, 0x96, 0x96, 0x97, 0x97, 0x96, 0x96, 0x91, 0x91, 0x8b, 0x8b, 
0x84, 0x84, 0x7d, 0x7d, 0x77, 0x77, 0x72, 0x72, 0x70, 0x70, 0x6f, 0x6f, 0x71, 0x71, 0x75, 0x75, 0x7a, 0x7a, 0x80, 0x80, 0x89, 0x89, 0x92, 0x92, 0x9b, 0x9b, 
0xa5, 0xa5, 0xac, 0xac, 0xb1, 0xb1, 0xb5, 0xb5, 0xb5, 0xb5, 0xb2, 0xb2, 0xac, 0xac, 0xa4, 0xa4, 0x9a, 0x9a, 0x90, 0x90, 0x85, 0x85, 0x7a, 0x7a, 0x6f, 0x6f, 
0x64, 0x64, 0x5a, 0x5a, 0x50, 0x50, 0x48, 0x48, 0x42, 0x42, 0x3e, 0x3e, 0x3c, 0x3c, 0x3c, 0x3c, 0x3e, 0x3e, 0x42, 0x42, 0x47, 0x47, 0x4c, 0x4c, 0x53, 0x53, 
0x59, 0x59, 0x5f, 0x5f, 0x65, 0x65, 0x6a, 0x6a, 0x6e, 0x6e, 0x71, 0x71, 0x72, 0x72, 0x73, 0x73, 0x72, 0x72, 0x71, 0x71, 0x73, 0x73, 0x78, 0x78, 0x83, 0x83, 
0x90, 0x90, 0xa0, 0xa0, 0xaf, 0xaf, 0xbc, 0xbc, 0xc8, 0xc8, 0xd0, 0xd0, 0xd3, 0xd3, 0xd1, 0xd1, 0xcb, 0xcb, 0xc4, 0xc4, 0xbc, 0xbc, 0xb4, 0xb4, 0xad, 0xad, 
0xa6, 0xa6, 0xa0, 0xa0, 0x99, 0x99, 0x92, 0x92, 0x8d, 0x8d, 0x89, 0x89, 0x86, 0x86, 0x85, 0x85, 0x86, 0x86, 0x87, 0x87, 0x8a, 0x8a, 0x8c, 0x8c, 0x90, 0x90, 
0x94, 0x94, 0x97, 0x97, 0x9b, 0x9b, 0x9c, 0x9c, 0x9a, 0x9a, 0x95, 0x95, 0x8c, 0x8c, 0x81, 0x81, 0x74, 0x74, 0x67, 0x67, 0x5a, 0x5a, 0x50, 0x50, 0x4b, 0x4b, 
0x4a, 0x4a, 0x4e, 0x4e, 0x53, 0x53, 0x58, 0x58, 0x5c, 0x5c, 0x5f, 0x5f, 0x62, 0x62, 0x66, 0x66, 0x6c, 0x6c, 0x74, 0x74, 0x7c, 0x7c, 0x84, 0x84, 0x8b, 0x8b, 
0x92, 0x92, 0x96, 0x96, 0x98, 0x98, 0x97, 0x97, 0x93, 0x93, 0x8e, 0x8e, 0x89, 0x89, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x75, 0x75, 0x6f, 0x6f, 0x6b, 0x6b, 
0x68, 0x68, 0x67, 0x67, 0x69, 0x69, 0x6e, 0x6e, 0x73, 0x73, 0x78, 0x78, 0x7b, 0x7b, 0x7d, 0x7d, 0x7f, 0x7f, 0x80, 0x80, 0x82, 0x82, 0x83, 0x83, 0x85, 0x85, 
0x86, 0x86, 0x87, 0x87, 0x87, 0x87, 0x85, 0x85, 0x80, 0x80, 0x7a, 0x7a, 0x71, 0x71, 0x69, 0x69, 0x63, 0x63, 0x5f, 0x5f, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d, 
0x5d, 0x5d, 0x5c, 0x5c, 0x5b, 0x5b, 0x5a, 0x5a, 0x58, 0x58, 0x56, 0x56, 0x55, 0x55, 0x56, 0x56, 0x5a, 0x5a, 0x5f, 0x5f, 0x66, 0x66, 0x70, 0x70, 0x7c, 0x7c, 
0x89, 0x89, 0x96, 0x96, 0xa2, 0xa2, 0xac, 0xac, 0xb5, 0xb5, 0xbc, 0xbc, 0xc2, 0xc2, 0xc6, 0xc6, 0xca, 0xca, 0xcd, 0xcd, 0xd0, 0xd0, 0xd4, 0xd4, 0xd6, 0xd6, 
0xd6, 0xd6, 0xd3, 0xd3, 0xcc, 0xcc, 0xc1, 0xc1, 0xb4, 0xb4, 0xa6, 0xa6, 0x96, 0x96, 0x86, 0x86, 0x77, 0x77, 0x6c, 0x6c, 0x63, 0x63, 0x5d, 0x5d, 0x58, 0x58, 
0x55, 0x55, 0x53, 0x53, 0x51, 0x51, 0x4f, 0x4f, 0x4c, 0x4c, 0x49, 0x49, 0x45, 0x45, 0x42, 0x42, 0x40, 0x40, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x3f, 0x3e, 0x3e, 
0x3d, 0x3d, 0x3b, 0x3b, 0x39, 0x39, 0x38, 0x38, 0x37, 0x37, 0x38, 0x38, 0x3b, 0x3b, 0x42, 0x42, 0x4b, 0x4b, 0x58, 0x58, 0x65, 0x65, 0x73, 0x73, 0x7f, 0x7f, 
0x8b, 0x8b, 0x95, 0x95, 0x9e, 0x9e, 0xa5, 0xa5, 0xab, 0xab, 0xaf, 0xaf, 0xb2, 0xb2, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 0xb5, 0xb5, 0xb6, 0xb6, 
0xb6, 0xb6, 0xb6, 0xb6, 0xb5, 0xb5, 0xb4, 0xb4, 0xb1, 0xb1, 0xad, 0xad, 0xa7, 0xa7, 0xa1, 0xa1, 0x9b, 0x9b, 0x96, 0x96, 0x93, 0x93, 0x91, 0x91, 0x90, 0x90, 
0x90, 0x90, 0x90, 0x90, 0x8f, 0x8f, 0x8e, 0x8e, 0x8b, 0x8b, 0x88, 0x88, 0x84, 0x84, 0x7f, 0x7f, 0x7a, 0x7a, 0x74, 0x74, 0x6e, 0x6e, 0x68, 0x68, 0x63, 0x63, 
0x5e, 0x5e, 0x59, 0x59, 0x54, 0x54, 0x4f, 0x4f, 0x4a, 0x4a, 0x45, 0x45, 0x41, 0x41, 0x3e, 0x3e, 0x3d, 0x3d, 0x3d, 0x3d, 0x41, 0x41, 0x48, 0x48, 0x54, 0x54, 
0x62, 0x62, 0x72, 0x72, 0x83, 0x83, 0x93, 0x93, 0xa2, 0xa2, 0xae, 0xae, 0xb7, 0xb7, 0xbc, 0xbc, 0xbe, 0xbe, 0xbe, 0xbe, 0xbc, 0xbc, 0xba, 0xba, 0xb8, 0xb8, 
0xb7, 0xb7, 0xb9, 0xb9, 0xbc, 0xbc, 0xc1, 0xc1, 0xc5, 0xc5, 0xc8, 0xc8, 0xc8, 0xc8, 0xc6, 0xc6, 0xc1, 0xc1, 0xb9, 0xb9, 0xb0, 0xb0, 0xa5, 0xa5, 0x99, 0x99, 
0x8e, 0x8e, 0x84, 0x84, 0x7b, 0x7b, 0x72, 0x72, 0x69, 0x69, 0x5f, 0x5f, 0x55, 0x55, 0x4a, 0x4a, 0x40, 0x40, 0x37, 0x37, 0x2e, 0x2e, 0x28, 0x28, 0x24, 0x24, 
0x23, 0x23, 0x24, 0x24, 0x28, 0x28, 0x2d, 0x2d, 0x34, 0x34, 0x3b, 0x3b, 0x42, 0x42, 0x47, 0x47, 0x4b, 0x4b, 0x4f, 0x4f, 0x53, 0x53, 0x59, 0x59, 0x62, 0x62, 
0x6d, 0x6d, 0x79, 0x79, 0x86, 0x86, 0x94, 0x94, 0xa0, 0xa0, 0xaa, 0xaa, 0xb1, 0xb1, 0xb4, 0xb4, 0xb5, 0xb5, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb5, 0xb5, 
0xb6, 0xb6, 0xb6, 0xb6, 0xb4, 0xb4, 0xb0, 0xb0, 0xac, 0xac, 0xa7, 0xa7, 0xa3, 0xa3, 0x9f, 0x9f, 0x9d, 0x9d, 0x9e, 0x9e, 0xa1, 0xa1, 0xa7, 0xa7, 0xac, 0xac, 
0xb1, 0xb1, 0xb5, 0xb5, 0xb6, 0xb6, 0xb4, 0xb4, 0xad, 0xad, 0xa2, 0xa2, 0x94, 0x94, 0x84, 0x84, 0x74, 0x74, 0x64, 0x64, 0x56, 0x56, 0x4a, 0x4a, 0x41, 0x41, 
0x3c, 0x3c, 0x39, 0x39, 0x38, 0x38, 0x36, 0x36, 0x35, 0x35, 0x32, 0x32, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x32, 0x32, 0x35, 0x35, 0x3a, 0x3a, 0x41, 0x41, 
0x49, 0x49, 0x51, 0x51, 0x59, 0x59, 0x62, 0x62, 0x6a, 0x6a, 0x72, 0x72, 0x7a, 0x7a, 0x81, 0x81, 0x88, 0x88, 0x8e, 0x8e, 0x93, 0x93, 0x97, 0x97, 0x9a, 0x9a, 
0x9c, 0x9c, 0x9d, 0x9d, 0x9e, 0x9e, 0x9d, 0x9d, 0x9b, 0x9b, 0x98, 0x98, 0x92, 0x92, 0x8a, 0x8a, 0x82, 0x82, 0x7b, 0x7b, 0x75, 0x75, 0x71, 0x71, 0x70, 0x70, 
0x72, 0x72, 0x77, 0x77, 0x7f, 0x7f, 0x89, 0x89, 0x93, 0x93, 0x9f, 0x9f, 0xaa, 0xaa, 0xb3, 0xb3, 0xb9, 0xb9, 0xbd, 0xbd, 0xbe, 0xbe, 0xbc, 0xbc, 0xb9, 0xb9, 
0xb4, 0xb4, 0xaf, 0xaf, 0xa8, 0xa8, 0xa0, 0xa0, 0x97, 0x97, 0x8d, 0x8d, 0x81, 0x81, 0x74, 0x74, 0x65, 0x65, 0x56, 0x56, 0x49, 0x49, 0x3f, 0x3f, 0x3a, 0x3a, 
0x39, 0x39, 0x3c, 0x3c, 0x43, 0x43, 0x4c, 0x4c, 0x57, 0x57, 0x63, 0x63, 0x6e, 0x6e, 0x77, 0x77, 0x7f, 0x7f, 0x85, 0x85, 0x89, 0x89, 0x8d, 0x8d, 0x8f, 0x8f, 
0x90, 0x90, 0x92, 0x92, 0x93, 0x93, 0x95, 0x95, 0x97, 0x97, 0x99, 0x99, 0x9b, 0x9b, 0x9d, 0x9d, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e, 0x9e, 0x9c, 0x9c, 0x99, 0x99, 
0x96, 0x96, 0x93, 0x93, 0x8f, 0x8f, 0x8b, 0x8b, 0x86, 0x86, 0x81, 0x81, 0x7c, 0x7c, 0x77, 0x77, 0x72, 0x72, 0x6f, 0x6f, 0x6c, 0x6c, 0x6b, 0x6b, 0x6a, 0x6a, 
0x6b, 0x6b, 0x6b, 0x6b, 0x6c, 0x6c, 0x6d, 0x6d, 0x6d, 0x6d, 0x6c, 0x6c, 0x6b, 0x6b, 0x69, 0x69, 0x67, 0x67, 0x65, 0x65, 0x63, 0x63, 0x61, 0x61, 0x60, 0x60, 
0x5e, 0x5e, 0x5f, 0x5f, 0x61, 0x61, 0x65, 0x65, 0x6c, 0x6c, 0x72, 0x72, 0x79, 0x79, 0x7f, 0x7f, 0x83, 0x83, 0x87, 0x87, 0x8a, 0x8a, 0x8b, 0x8b, 0x8d, 0x8d, 
0x8f, 0x8f, 0x92, 0x92, 0x97, 0x97, 0x9d, 0x9d, 0xa3, 0xa3, 0xa7, 0xa7, 0xa8, 0xa8, 0xa7, 0xa7, 0xa4, 0xa4, 0x9e, 0x9e, 0x98, 0x98, 0x90, 0x90, 0x89, 0x89, 
0x84, 0x84, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x7f, 0x7f, 0x79, 0x79, 0x72, 0x72, 0x6a, 0x6a, 0x62, 0x62, 
0x5a, 0x5a, 0x54, 0x54, 0x50, 0x50, 0x50, 0x50, 0x54, 0x54, 0x5d, 0x5d, 0x68, 0x68, 0x74, 0x74, 0x81, 0x81, 0x8e, 0x8e, 0x99, 0x99, 0xa1, 0xa1, 0xa5, 0xa5, 
0xa7, 0xa7, 0xa6, 0xa6, 0xa2, 0xa2, 0x9d, 0x9d, 0x96, 0x96, 0x8e, 0x8e, 0x86, 0x86, 0x7e, 0x7e, 0x76, 0x76, 0x70, 0x70, 0x6c, 0x6c, 0x6c, 0x6c, 0x6d, 0x6d, 
0x70, 0x70, 0x72, 0x72, 0x74, 0x74, 0x75, 0x75, 0x75, 0x75, 0x73, 0x73, 0x71, 0x71, 0x6d, 0x6d, 0x6a, 0x6a, 0x68, 0x68, 0x67, 0x67, 0x67, 0x67, 0x66, 0x66, 
0x64, 0x64, 0x60, 0x60, 0x5b, 0x5b, 0x56, 0x56, 0x53, 0x53, 0x52, 0x52, 0x53, 0x53, 0x56, 0x56, 0x5c, 0x5c, 0x63, 0x63, 0x6c, 0x6c, 0x75, 0x75, 0x7e, 0x7e, 
0x86, 0x86, 0x8c, 0x8c, 0x91, 0x91, 0x94, 0x94, 0x95, 0x95, 0x95, 0x95, 0x93, 0x93, 0x90, 0x90, 0x8c, 0x8c, 0x89, 0x89, 0x87, 0x87, 0x88, 0x88, 0x8d, 0x8d, 
0x94, 0x94, 0x9b, 0x9b, 0xa1, 0xa1, 0xa4, 0xa4, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa7, 0xa7, 0xa8, 0xa8, 0xaa, 0xaa, 0xab, 0xab, 
0xac, 0xac, 0xac, 0xac, 0xaa, 0xaa, 0xa6, 0xa6, 0xa1, 0xa1, 0x9c, 0x9c, 0x98, 0x98, 0x92, 0x92, 0x8b, 0x8b, 0x82, 0x82, 0x75, 0x75, 0x66, 0x66, 0x56, 0x56, 
0x48, 0x48, 0x3c, 0x3c, 0x33, 0x33, 0x2d, 0x2d, 0x2c, 0x2c, 0x2f, 0x2f, 0x35, 0x35, 0x3d, 0x3d, 0x46, 0x46, 0x50, 0x50, 0x59, 0x59, 0x60, 0x60, 0x66, 0x66, 
0x69, 0x69, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6a, 0x6b, 0x6b, 0x6c, 0x6c, 0x70, 0x70, 0x76, 0x76, 0x7f, 0x7f, 0x89, 0x89, 0x92, 0x92, 0x99, 0x99, 0x9d, 0x9d, 
0x9d, 0x9d, 0x9c, 0x9c, 0x9a, 0x9a, 0x98, 0x98, 0x96, 0x96, 0x95, 0x95, 0x94, 0x94, 0x93, 0x93, 0x92, 0x92, 0x91, 0x91, 0x8e, 0x8e, 0x8a, 0x8a, 0x85, 0x85, 
0x81, 0x81, 0x7e, 0x7e, 0x7e, 0x7e, 0x7f, 0x7f, 0x83, 0x83, 0x88, 0x88, 0x8e, 0x8e, 0x94, 0x94, 0x9b, 0x9b, 0xa3, 0xa3, 0xaa, 0xaa, 0xb1, 0xb1, 0xb6, 0xb6, 
0xb8, 0xb8, 0xb8, 0xb8, 0xb4, 0xb4, 0xae, 0xae, 0xa5, 0xa5, 0x9b, 0x9b, 0x8f, 0x8f, 0x83, 0x83, 0x78, 0x78, 0x6d, 0x6d, 0x63, 0x63, 0x59, 0x59, 0x52, 0x52, 
0x4b, 0x4b, 0x46, 0x46, 0x43, 0x43, 0x42, 0x42, 0x43, 0x43, 0x45, 0x45, 0x47, 0x47, 0x4a, 0x4a, 0x4c, 0x4c, 0x4e, 0x4e, 0x50, 0x50, 0x53, 0x53, 0x56, 0x56, 
};
